import React from 'react';
import { Tooltip } from 'antd';
import Icon from 'COMPONENT/Icon';
import style from './styles.module.less';

const TIPS = [
  '①请输入关键字搜索支行，例如中国建设银行股份有限公司佛山锦隆花园支行，可输入“锦隆”二字进行搜索。',
  '②若没有找到具体支行，可选择其上级分行使用。例如若没有找到中国建设银行股份有限公司佛山锦隆花园支行，则可选择中国建设银行股份有限公司佛山分行。',
  '③若实在找不到具体支行或上级分行，请联系付款出纳协助查找。',
];

function Title() {
  return (
    <div className={style.para}>
      {TIPS.map((tip, index) => (
        <p key={index}>{tip}</p>
      ))}
    </div>
  );
}

/* 银行支行搜索提示 */
export default function BankTooltip(props = {}) {
  const { tip = '填写说明', placement = 'rightBottom' } = props;
  return (
    <Tooltip title={<Title />} placement={placement} overlayClassName={style.overlay}>
      <div className={style.tooltip}>
        <span>{tip}</span>
        <Icon type="question_circle" size={14} className={style.icon} />
      </div>
    </Tooltip>
  );
}
