import React from 'react';
import style from './styles.module.less';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import { ANSWER, HAND_UP, getKeyCfg } from './config';
import { Icon } from 'COMPONENT';

const CallButton = (props) => {
  return (
    <button
      className={classNames(
        props.className,
        style.callButton,
        style[getKeyCfg(props.type, 'className')],
        props.disabled && style.disabled,
      )}
      onClick={props.disabled ? null : props.onClick}
    >
      <Icon type={getKeyCfg(props.type, 'icon')} />
      <span>{getKeyCfg(props.type, 'text')}</span>
    </button>
  );
};

CallButton.propTypes = {
  className: PropTypes.string,
  type: PropTypes.oneOf([ANSWER, HAND_UP]),
  onClick: PropTypes.func,
  disabled: PropTypes.bool,
};

CallButton.defaultProps = {
  type: HAND_UP,
  disabled: false,
};

export default CallButton;
