import {
  getContactChangeLogByCustomerId,
  checkContactExist,
  sendConfirmMessage,
  resendConfirmMessage,
} from 'SERVICE/customer';

/**
 * 获取申请记录
 *
 * @param params {Object} {customerId}
 * @return {Promise<>}
 */
export function loadApplyRecord(params) {
  return getContactChangeLogByCustomerId(params);
}

/**
 *
 * @param params
 * @return {*}
 */
export async function checkContactIsExist(params) {
  try {
    const response = await checkContactExist(params);
    let isExist = false;

    if (response && response.resultCode === -1) {
      isExist = true;
    }

    return { isExist };
  } catch (e) {
    return { isExist: false };
  }
}

/**
 * 发送短信
 *
 * @param params {Object} 首次发送: {cusId, oldContact, newContact, modifyReason}, 重新发送: { changeLogId: 修改记录ID }
 * @param messageType {string} {first: 首次发送, second: 重新发送}
 */
export function sendMessageToContact(params, messageType = 'first') {
  if (messageType === 'first') {
    return sendConfirmMessage(params);
  }

  return resendConfirmMessage(params);
}
