import { CONFIRM_STATUS_WAIT } from './constant';

/**
 * 查找当前号码是否存在未确认状态的历史申请记录
 *
 * @param contact {string} 新号码
 * @param applyList {Array} 申请修改历史记录
 * @return {Boolean}
 */
export function calcIsExistApplyRecord(contact, applyList) {
  if (!contact || !applyList || applyList.length === 0) {
    return false;
  }

  return applyList.some((record) => {
    return record.newContact === contact && calcConfirmStatusIsWait(record.confirmStatus);
  });
}

/**
 * 判断客户确认状态是否为未确认
 *
 * @param confirmStatus {string} 客户确认状态
 * @return {boolean}
 */
export function calcConfirmStatusIsWait(confirmStatus) {
  return confirmStatus === CONFIRM_STATUS_WAIT;
}
