import React from 'react';
import PropTypes from 'prop-types';
import QrCode from 'COMPONENT/QrCode';
import styles from './styles.module.less';

const Link = (props) => {
  return (
    <div className={styles.link}>
      <div className={styles.qrCodeWrap}>
        {props.url && <QrCode id="ShareByLinkQrCode" text={props.url} width={200} height={200} />}
      </div>
      <p className={styles.tip}>扫码分享给家长</p>
      <div className={styles.scanGuide} />
    </div>
  );
};

Link.propTypes = {
  url: PropTypes.string,
};

export default Link;
