import React from 'react';
import PropTypes from 'prop-types';
import styles from './styles.module.less';
import { Button } from 'COMPONENT';

const defaultAlign = 'left';
const defaultWeight = 'bold';

const Message = (props) => {
  return (
    <div className={styles.message}>
      <div className={styles.header}>短信模板如下</div>

      <div className={styles.body}>
        {(props.infos || []).map((item, index) => (
          <div
            className={styles.messageItem}
            style={{
              textAlign: item.textAlign || defaultAlign,
              fontWeight: item.fontWeight || defaultWeight,
            }}
            key={index}
          >
            <span>{item.text}</span>
          </div>
        ))}

        <div className={styles.messageItemBold}>
          <span>发送内容：</span>
          <div className={styles.template}>
            <div>{props.template}</div>
          </div>
        </div>
      </div>

      <div className={styles.footer}>
        <Button onClick={props.onSend} type="primary">
          确认发送短信
        </Button>
      </div>
    </div>
  );
};

Message.propTypes = {
  infos: PropTypes.arrayOf(
    PropTypes.shape({
      text: PropTypes.string,
      textAlign: PropTypes.oneOf(['left', 'center', 'right']),
      fontWeight: PropTypes.oneOf(['normal', 'bold']),
    }),
  ),
  template: PropTypes.string,
  onSend: PropTypes.func,
};

export default Message;
