import React from 'react';
import PropTypes from 'prop-types';
import { Iframe, Loading } from 'COMPONENT';
import styles from './styles.module.less';
import xhPosterBg from 'ASSET/base64/confirmInfo/xh';

class SharePoster extends React.Component {
  static propTypes = {
    // open page (filepath: src/views/GeneratePicture/ConfirmInfo)
    iframeSrc: PropTypes.string,
    tips: PropTypes.node,
  };

  static defaultProps = {
    tips: '请直接将海报发送给家长，请勿扫码后再分享。',
  };

  constructor(props) {
    super(props);

    this.handleIframeLoad = this.handleIframeLoad.bind(this);

    this.state = {
      loading: true,
      iframeCoverVisible: true,
    };

    this.posterPic = xhPosterBg;
  }

  handleIframeLoad() {
    this.setState({
      loading: false,
      iframeCoverVisible: false,
    });
  }

  render() {
    debugger;
    return (
      <div className={styles.poster}>
        <Loading loading={this.state.loading} tip="正在生成海报..." />

        {<p className={styles.tips}>{this.props.tips || ''}</p>}

        <div className={styles.posterWrapper}>
          {this.state.iframeCoverVisible && <img className={styles.posterPic} src={this.posterPic} alt="占位图" />}
          {this.props.iframeSrc && (
            <Iframe src={this.props.iframeSrc} width={375} height={667} onLoad={this.handleIframeLoad} />
          )}
        </div>

        <div className={styles.copyTip}>鼠标右键点击可复制图片</div>
      </div>
    );
  }
}

export default SharePoster;
