import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import './index.less';

const ExpandBtn = (props) => {
  return (
    <span
      className={classNames('DropdownMenu', props.className)}
      onClick={props.onClick}
      style={props.style}>
        <span className="DropdownMenu-content">
          {props.active ? props.activeText : props.defaultText}
        </span>
      {
        props.showArrow &&
        <span className={classNames({
          'DropdownMenu-arrow': true,
          'DropdownMenu-arrow-up': props.active,
        })}> </span>
      }
      </span>
  );
};

ExpandBtn.propTypes = {
  active: PropTypes.bool.isRequired,
  onClick: PropTypes.func.isRequired,
  defaultText: PropTypes.string,
  activeText: PropTypes.string,
  showArrow: PropTypes.bool,
  className: PropTypes.string,
  style: PropTypes.object,
};

ExpandBtn.defaultProps = {
  defaultText: '展开',
  activeText: '收起',
  showArrow: true,
  className: '',
};

export default ExpandBtn;
