const FILE_TYPES = ['word', 'excel', 'ppt', 'pdf', 'txt', 'zip', 'rar', 'png', 'jpg', 'bmp', 'video']
const FILE_TYPE_MAP_EXTENSION = {
  word: ['doc', 'docx'],
  excel: ['xls', 'xlsx'],
  ppt: ['ppt', 'pptx'],
  pdf: ['pdf'],
  txt: ['txt'],
  zip: ['zip'],
  rar: ['rar'],
  png: ['png'],
  jpg: ['jpg', 'jpeg'],
  bmp: ['bmp'],
  video: ['mp4']
}
let FILE_EXTENSIONS = []
Object.values(FILE_TYPE_MAP_EXTENSION).forEach(exs => {
  FILE_EXTENSIONS = [...FILE_EXTENSIONS, ...exs]
})
let FILE_TYPE_EXTENSIONS = {};
Object.keys(FILE_TYPE_MAP_EXTENSION).forEach((fileType) => {
  FILE_TYPE_MAP_EXTENSION[fileType].forEach((extension) => {
    FILE_TYPE_EXTENSIONS[extension] = fileType;
  });
});

export default {
  FILE_TYPES,
  FILE_EXTENSIONS,
  FILE_TYPE_MAP_EXTENSION,
  FILE_TYPE_EXTENSIONS,
}
