import React from 'react';
import style from './index.less';
import PropTypes from 'prop-types';
import { runFunc } from '../utils/common';

const classPrefix = 'Iframe';

class Iframe extends React.Component {
  constructor(props) {
    super(props);
    this.onLoad = this.onLoad.bind(this);
    this.state = {};
  }

  static propTypes = {
    src: PropTypes.string.isRequired,
    onLoad: PropTypes.func,
    id: PropTypes.string,
    name: PropTypes.string,
    width: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
    height: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
    style: PropTypes.object,
  };

  static defaultProps = {
    id: null,
    name: null,
    width: '100%',
    height: '100%',
    style: {},
  };

  onLoad(event) {
    runFunc(this.props.onLoad, event.target.contentWindow);
  }

  render() {
    return (
      <div
        className={style[classPrefix]}
        style={{
          ...this.props.style,
          width: this.props.width,
          height: this.props.height,
        }}>
        <iframe
          id={this.props.id}
          name={this.props.name}
          className={style[`${classPrefix}-main`]}
          src={this.props.src}
          onLoad={this.onLoad}
          width="100%"
          height="100%"/>
      </div>
    )
  }
}

export default Iframe;
