import React from 'react';
import PropTypes from 'prop-types';
import Popover from '../../Popover';
import Icon from '../../Icon';
import style from './index.less';
import classNames from 'classnames';

const classPrefix = 'ColTips';

const ColTips = (props) => {
  return (
    <Popover
      content={props.content}
      overlayClassName={classNames(style[`${classPrefix}-pop`], props.overlayClassName)}
      overlayStyle={props.overlayStyle}>
      <Icon className={style[`${classPrefix}-icon`]} type={props.iconType} size={props.iconSize}/>
    </Popover>
  );
};
ColTips.protoTypes = {
  content: PropTypes.oneOfType([
    PropTypes.node, PropTypes.string,
  ]).isRequired,
  iconType: PropTypes.string,
  iconSize: PropTypes.number,
  overlayClassName: PropTypes.string,
  overlayStyle: PropTypes.object,
};
ColTips.defaultProps = {
  iconType: 'question_circle',
  iconSize: 12,
  overlayClassName: '',
  overlayStyle: null,
};

export default ColTips;
