const checkEmptyCell = (text) => {
  return text || '-'
}

/**
 * 创建按字数所占表格单元格宽度
 *
 * return { function }
 * */
function createSetWidth(options = {}) {
  const defaultFontSize = options.fontSize || 12;
  const defaultPadding = options.padding || 15;
  const storage = {};
  return function (fontNum, fontSize, padding) {
    fontSize = fontSize || defaultFontSize;
    padding = padding || defaultPadding;
    let storageKey = fontNum.toString() + fontSize.toString();
    if (!storage[storageKey]) {
      storage[storageKey] = (fontNum * fontSize) + (padding * 2);
    }
    return storage[storageKey];
  }
}

export {
  checkEmptyCell,
  createSetWidth,
}
