import React from 'react'
import ModalComp from './Modal'
import { Modal as AntdModal } from 'antd'
import confirm from './confirm'
import confirmClose from './confirmClose'
import countdown from './countdown'
import {
  runFunc,
} from '../utils/common'

class Modal extends React.Component {

  componentDidMount() {
    runFunc(this.props.pushModal, this.modalRef);
  }

  componentWillUnmount() {
    runFunc(this.props.popModal);
  }

  showOkTips = (text) => {
    this.modalRef.showOkTips(text)
  }

  render() {
    return <ModalComp {...this.props} ref={c => this.modalRef = c} />
  }
}

Modal.confirm = confirm
Modal.confirmClose = confirmClose
Modal.countdown = countdown
Modal.warning = AntdModal.warning
Modal.success = AntdModal.success
Modal.error = AntdModal.error
Modal.info = AntdModal.info

export default Modal