
import ReactDOM from 'react-dom'
import ConfirmCompClose from './ConfirmCompClose'

const confirmClose = (config) => {
  let div = document.createElement('div')
  document.body.appendChild(div)
  const { onCancel } = config
  const close = () => {
    const unmountResult = ReactDOM.unmountComponentAtNode(div)
    if (unmountResult && div.parentNode) {
      div.parentNode.removeChild(div)
    }
    if(onCancel){
      onCancel()
    }
  }

  const render = (props) => {
    ReactDOM.render(<ConfirmCompClose {...props} />, div)
  }

  render({ ...config, close })

  return {
    close,
  }
}

export default confirmClose