import PropTypes from 'prop-types';
import classNames from 'classnames';
import style from './index.less';
import notDataImg from "../assets/imgs/noData.png";

const NoDataPlus = (props) => {
  const classPrefix = 'NoData';
  return (
    <div className={classNames(style[classPrefix], props.className)} style={props.style}>
      {
        props.showImg &&
        <img className={classNames(style[`${classPrefix}-img`], props.imgClassName)} src={notDataImg} alt="暂无数据"/>
      }
      {
        props.showText &&
        <p className={classNames(style[`${classPrefix}-text`], props.textClassName)}>{props.text}</p>
      }
    </div>
  )
};

NoDataPlus.propTypes = {
  showImg: PropTypes.bool,
  showText: PropTypes.bool,
  text: PropTypes.string,
  imgClassName: PropTypes.string,
  textClassName: PropTypes.string,
};

NoDataPlus.defaultProps = {
  showImg: true,
  showText: true,
  text: '暂无数据',
  imgClassName: '',
  textClassName: ''
};

export default NoDataPlus;
