import React from 'react'
import { parseUrl } from 'UTIL/url'
import { PROXY_OLD_BOSS, PROXY_OLD_BOSS_URL } from 'CONST/config';
import { urlBase } from 'CONST/config'

/**
 * 在新版页面中弹出旧版的Modal弹窗
 * @property {string} modalUrl 旧版 modal html 文件的目录,如 function/contract/contractDetailModal.html
 * @property {function} onClose 关闭弹窗的回调函数
 * @property {string} mode 打开弹窗的方式, 'iframe' | 'modal',默认 'modal'
 * @property {object} params 传入弹窗的参数
 * @property {string} css 需要应用于旧版 modal 的 css 样式
 */
class OldClass extends React.Component {
  constructor(props) {
    super(props)
  }

  onLoaded = (e) => {
    const { onClose, css } = this.props
    const oldPageWindow = e.target.contentWindow
    const jq = oldPageWindow.$
    this.jq = jq
    jq(e.target.contentWindow.document).on('click', "button[class*=close]", function () {
      onClose()
    })
    jq(e.target.contentWindow.document).on('click', '[data-dismiss="modal"]', function (e) {
      const $this = jq(e.target);
      const hasClose = $this.hasClass('close');

      if (hasClose) {
        return;
      }

      onClose();
    });
    jq(e.target.contentWindow.document).on('click', "button:contains('确认')", function () {
      onClose()
    })
    jq(e.target.contentWindow.document).find("head").append(`<style>${css}</style>`)
  }

  render () {
    const { modalUrl, mode = "modal", params = {} } = this.props
    let style
    let widthHeightStyle
    let modalSrc
    if (mode === "modal") {
      modalSrc = `params=${encodeURI(JSON.stringify({ params, modalSrc: modalUrl }))}`
      style = { width: '100%', height: '100%', position: "fixed", top: "0", right: "0" }
      widthHeightStyle = { width: "100%", height: "100%" }
    } else {
      modalSrc = `params=${encodeURI(JSON.stringify({ params, modalSrc: modalUrl, mode: 'iframe' }))}`
      style = { width: '100%', height: '100%', position: "fixed", top: "0", right: "0", display: "flex", justifyContent: "center", alignItems: "center", background: "rgba(0,0,0,0.5)" }
      widthHeightStyle = { width: "80%", height: "80%" }
    }
    return (
      <div style={style}>
        <iframe
          frameBorder={0}
          style={widthHeightStyle}
          marginHeight={0}
          marginWidth={0}
          src={`${PROXY_OLD_BOSS ? `/webapp/` : urlBase}iframeTemplate.html?${modalSrc}`}
          style={Object.assign({}, { position: 'relative', zIndex: 4 }, widthHeightStyle)}
          onLoad={this.onLoaded}
        >
        </iframe>
      </div>
    )
  }
}

export default OldClass
