/**
 * 单选框组件
 * @property {string} [size] - 大小，'small'|'xSmall'
 */
import React from 'react'
import { Radio as AntdRadio } from 'antd'
import styles from './styles.less'
import classnames from 'classnames'
import {Tooltip} from 'antd'
import { Icon as AntdIcon } from 'antd'

class Radio extends React.Component {

  render() {
    const { size, className, style, tip, ...props } = this.props
    const sizeCls = 'Radio-' + size
    const cls = {
      'Radio': 1,
      [sizeCls]: !!size,
      [className]: !!className,
    }
    return (
      <div className={classnames(cls)+ ' ' + styles.radio} style={style}>
        <AntdRadio {...props} />
        {
          tip && 
          <Tooltip placement="top" title={<div>{tip}</div>}>
            <AntdIcon type="question-circle" className={styles.icon}/>
          </Tooltip>
        }
      </div>
    )
  }
}

Radio.Group = AntdRadio.Group
Radio.RadioButton = AntdRadio.Button

export default Radio
