import React from 'react';
import styles from './index.less'
import {Icon} from 'antd';
import Options from '../Options';

class SearchMoreItem extends React.Component {

  render() {
    let {titles, dict, isMultiSelect, titleValue, subValue, changeTabs, onChange, conditionWidth, hideUnlimited} = this.props;
    return (
      <div style={{backgroundColor: '#F5F5F5'}}>
        <div className={'Search-label'} style={ conditionWidth ? { width: conditionWidth } : {}}>
          <div>
            {'更多筛选'}
          </div>
        </div>
        <div className={'Search-selectItem'} style={{backgroundColor: '#f9f9f9'}}>
          <div className={'Search-title'}>
            {
              titles.map((val, key) => {
                // val形如{text: xxx, val: xxx}
                const titleVal = val.val;
                // 如果选不限 则显示该项的标题 如果选其他选项 则显示选项名字
                let text = val.text;
                if (subValue.length>0) {
                  const subValueVal = subValue[titleVal];
                  text = subValueVal === UNLIMITED_VAL ? val.text : dict[titleVal].find(v => v.val === subValueVal).text;
                }
                let titleValueVal = titleValue ? titleValue.val : '';
                return (
                  <span className={titleValueVal === titleVal ? 'active' : ''} onClick={e => {changeTabs(val)}} key={key}>{text}<Icon type={titleValueVal === titleVal ? 'up' : 'down'}/>
                    <i className={'Search-hideLine'}></i></span>
                )
              })
            }
          </div>
          {
            titles.map(title => {
              const titleVal = title.val;
              let titleValueVal = titleValue ? titleValue.val : '';
              let subValueVal = subValue && subValue[titleVal] ? subValue[titleVal] : '';
              return (
                  <div className={'Search-content'} key={titleVal} style={{display: titleVal === titleValueVal ? 'block' : 'none'}}>
                    <Options isMultiSelect={isMultiSelect && isMultiSelect[titleVal] ? isMultiSelect[titleVal] : false} onChange={(val) => onChange(val, titleVal)}
                             dict={dict[titleVal]} value={subValueVal} hideUnlimited={hideUnlimited && hideUnlimited[titleVal] ? hideUnlimited[titleVal] : false}
                    />
                  </div>
                )
              }
            )
          }
        </div>

      </div>

    )
  }
}

export default SearchMoreItem;
