import React from 'react'
import classnames from 'classnames'
import { Icon } from 'antd'
import { MULTI_TYPE } from "./common"

export default class extends React.PureComponent {
  /**
   * 选择
   */
  onSelect = () => {
    const { val, onSelect, isActive, disabled } = this.props
    if (!isActive && !disabled) {
      onSelect(val)
    }
  }

  /**
   * 取消选择
   */
  unSelect = () => {
    const { val, unSelect, disabled } = this.props
    if (!disabled) {
      unSelect(val)
    }
  }

  render() {
    const { type, text, isActive, isRealOption, disabled, visible } = this.props
    const classNames = classnames({
      'Search2-option': true,
      'Search2-hidden': !visible,
      'Search2-disabled': disabled,
      'Search2-activeOption': isActive,
      'Search2-multiOption': type === MULTI_TYPE && isRealOption
    })
    return (
      <li className={classNames} onClick={this.onSelect} >
        { text }
        { (type === MULTI_TYPE && !!isActive && isRealOption && !disabled) && <Icon type="close" className="Search2-multiClose" onClick={this.unSelect} /> }
      </li>
    )
  }
}
