/**
 * Created by Haolin<haolinhom@gmail.com> on 2019/6/14.
 */
import React from 'react';
import PropTypes from 'prop-types';
import { classPrefix, defaultItemWidth } from './config';
import './index.less';
// import { Button } from 'antd';
import Button from 'COMPONENT/Button';

const ItemWrap = (props) => {
  return (
    <div className={`${classPrefix}-ItemWrap`} style={{ width: props.width }}>{props.children}</div>
  );
};
ItemWrap.propTypes = {
  width: PropTypes.number,
};
ItemWrap.defaultProps = {
  width: defaultItemWidth,
};

const Popup = (props) => {
  return (
    <div className={`${classPrefix}-Popup`} style={{ width: props.maxWidth }} onClick={(e) => { e.stopPropagation() }}>
      <div className={`${classPrefix}-Popup-body`}>{props.children}</div>
      <div className={`${classPrefix}-Popup-footer`}>
        <div className={`${classPrefix}-Popup-footer-more`}> </div>
        <div className={`${classPrefix}-Popup-footer-btn`}>
          <Button onClick={props.onSearch} disabled={props.searchDisabled}
                  loading={props.searchBtnLoading} type="primary">搜索</Button>
          <Button onClick={props.onReset} disabled={props.resetDisabled} type="default">重置</Button>
        </div>
      </div>
    </div>
  );
};
Popup.propTypes = {
  maxWidth: PropTypes.oneOfType([ PropTypes.number, PropTypes.string ]),
  onSearch: PropTypes.func,
  searchDisabled: PropTypes.bool,
  onReset: PropTypes.func,
  resetDisabled: PropTypes.bool,
};
Popup.defaultProps = {
  maxWidth: 'auto',
};
Popup.ItemWrap = ItemWrap;


export default Popup;
