import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import style from './styles.module.less';

const classPrefix = 'SearchField';

const SearchField = (props) => {
  const span = props.span >= 1 ? props.span : 1;
  return (
    <div className={classNames(
      style[classPrefix],
      style[`span-${span}`],
      props.className
    )}
         style={props.style}>
      {props.children}
    </div>
  )
};
SearchField.propTypes = {
  span: PropTypes.number,
  children: PropTypes.any,
  className: PropTypes.string,
  style: PropTypes.object,
};
SearchField.defaultProps = {
  span: 1,
};

export default SearchField;
