import React from 'react';
import PropTypes from 'prop-types';
import style from './index.less';

const winQRCode = window.QRCode;

class QRCodeOnly extends React.Component {
  constructor(props) {
    super(props);
    this.qrCodeHD = null;
  }
  static classPrefix = 'QRCodeOnly';
  static propTypes = {
    id: PropTypes.string.isRequired,
    text: PropTypes.string.isRequired,
    visible: PropTypes.bool,
  };
  static defaultProps = {
    visible: true,
  };
  // 初始化二维码
  static initQrCode(DOMId, text, width, height) {
    return new winQRCode(document.querySelector(`#${DOMId}`), {
      text,
      width,
      height,
      colorDark: "#000000",
      colorLight: "#ffffff",
      correctLevel: winQRCode.CorrectLevel.Q
    });
  };
  componentDidMount() {
    this.qrCodeHD = QRCodeOnly.initQrCode(this.props.id, this.props.text, 1000, 1000);
  }
  componentWillUnmount() {
    this.qrCodeHD = null;
  }

  render() {
    const prefix = QRCodeOnly.classPrefix;
    const styleObj = this.props.visible ? { display: 'block' } : { display: 'none' };
    return (
      <div id={this.props.id} className={style[`${prefix}-HD`]} style={styleObj}> </div>
    )
  }
}

export default QRCodeOnly;
