import React from 'react';
import classNames from "classnames";
import Card from '../../Card';
import style from './styles.module.less';
import shoppingCartPng from '../../assets/imgs/shoppingCart.png';

const AddBtn = (props) => {
  return (
    <div className={style.addBtn} onClick={props.onClick}>
      <div className={style.addBtnBody}>
        <img className={style.addBtnIcon} src={shoppingCartPng} alt="添加"/>
      </div>
    </div>
  )
};

const ToBoSelected = (props) => {
  return (
    <Card className={classNames(style.ToBoSelected, props.className)}>
      <div className={style.cardBody}>{props.children}</div>
      <div className={style.btnWrap}>
        <AddBtn onClick={props.onClick}/>
      </div>
    </Card>
  );
};

export default ToBoSelected;
