import React from 'react'
import classnames from 'classnames'
import {Icon} from 'antd'
import style from './index.less'

/**
 * 简单封装一个只有点击删除功能的tag
 */
class TagClose extends React.Component {
    static defaultProps = {
        onClose: () => {},
    };

    render() {
        const {onClose, children, className} = this.props;

        const cls = {
            [style.tag]: true,
            [className]: !!className,
        };

        return (
            <div className={classnames(cls)}>
                <span className={style.tag_text}>{children}</span>
                <Icon type="close" className={style.tag_close} onClick={onClose} />
            </div>
        )
    }
}

export default TagClose
