const loadScript = (src, callback) => {
  let script = document.createElement('script');
  script.type = "text/javascript";
  script.onload = () => {
    if (callback) callback();
  };
  script.src = src;
  document.body.appendChild(script);
};

function runFunc(fn, ...arg) {
  if (fn && typeof fn === 'function') {
    return fn(...arg);
  }
  return null;
}

export {
  loadScript,
  runFunc,
}
