/* agentLoginStatus */
// (坐席登录状态)离线
export const CALL_LOGIN_STATUS_OFFLINE = -1;
// (坐席登录状态)忙碌
export const CALL_LOGIN_STATUS_BUSY = 0;
// (坐席登录状态)空闲
export const CALL_LOGIN_STATUS_LEISURE = 1;
// (坐席登录状态)振铃中
export const CALL_LOGIN_STATUS_RINGING = 2;
// (坐席登录状态)通话中
export const CALL_LOGIN_STATUS_CALLING = 3;
// (坐席登录状态)异常
export const CALL_LOGIN_STATUS_ABNORMAL = 99;

export const callLoginStatusCfg = {
  [CALL_LOGIN_STATUS_OFFLINE]: '离线',
  [CALL_LOGIN_STATUS_BUSY]: '忙碌',
  [CALL_LOGIN_STATUS_LEISURE]: '空闲',
  [CALL_LOGIN_STATUS_RINGING]: '接通中',
  [CALL_LOGIN_STATUS_CALLING]: '通话中',
  [CALL_LOGIN_STATUS_ABNORMAL]: '异常',
};

/* callWay */
// (Sip登录方式)网络电话
export const CALL_WAY_WEB = 1;
// (Sip登录方式)SIP话机
export const CALL_WAY_SIP = 2;
// (Sip登录方式)手机
export const CALL_WAY_PHONE = 3;

export const callWayCfg = {
  [CALL_WAY_WEB]: '网络电话',
  [CALL_WAY_SIP]: 'SIP话机',
  [CALL_WAY_PHONE]: '手机',
};

/* agentStatus */
// (坐席状态)未激活
export const CALL_AGENT_STATUS_INACTIVE = 0;
// (坐席状态)启用中
export const CALL_AGENT_STATUS_ACTIVE = 1;
// (坐席状态)停用
export const CALL_AGENT_STATUS_DISABLED = 9;
// (坐席状态)删除
export const CALL_AGENT_STATUS_DELETED = -1;

export const callAgentStatusCfg = {
  [CALL_AGENT_STATUS_INACTIVE]: '未激活',
  [CALL_AGENT_STATUS_ACTIVE]: '启用中',
  [CALL_AGENT_STATUS_DISABLED]: '停用',
  [CALL_AGENT_STATUS_DELETED]: '删除',
};

/* callFlag */
// (接听标识)未接听
export const CALL_FLAG_MISSED = 0;
// (接听标识)已接听
export const CALL_FLAG_ANSWERED = 1;

export const callFlagCfg = {
  [CALL_FLAG_MISSED]: '未接听',
  [CALL_FLAG_ANSWERED]: '已接听',
};

/* callDirection */
// (呼叫类型)呼入
export const CALL_DIRECT_ANSWER = 0;
// (呼叫类型)呼出
export const CALL_DIRECT_CALL = 1;

export const callDirectionCfg = {
  [CALL_DIRECT_ANSWER]: '呼入',
  [CALL_DIRECT_CALL]: '呼出',
};

/* callResult */
// 通话结果
export const callResultCfg = {
  10: '坐席接听',
  11: '振铃未接听',
  12: 'ivr放弃',
  13: '排队放弃',
  14: '非服务时间来电',
  15: '呼入话机异常',
  16: '呼入网络异常',
  17: '排队超时',
  18: '客户速挂',
  20: '客户接听',
  21: '客户未接听',
  25: '呼出话机异常',
  26: '呼出网络异常',
  781: '客户拒接',
  774: '号码空号',
  770: '客户关机',
  771: '客户停机',
  772: '暂时无法接通',
  773: '客户正在通话',
  30: '第三方接听',
  31: '第三方无法接通',
  32: '第三方振铃未接听',
};

/* ender */
// 挂断方
export const callEndCfg = {
  0: '系统超时挂断',
  1: '客服挂断',
  2: '客户挂断',
  3: '转接挂断',
  4: '强拆挂断',
  5: '第三方挂断',
};

/* bindStatus */
// (坐席绑定状态)未绑定
export const CALL_AGENT_UNBIND = 1;
// (坐席绑定状态)已绑定
export const CALL_AGENT_BIND = 2;

export const bindStatusCfg = {
  [CALL_AGENT_UNBIND]: '未绑定',
  [CALL_AGENT_BIND]: '已绑定',
};
