import {
  peiYouTest,
  peiYouPre,
  peiYou,
  twoTeacherTest,
  twoTeacherPre,
  twoTeacher,
  uat,
  pre,
  prd,
} from 'CONST/buildEnv';

const urlBase = '/eduboss/';

const errors = {
  netError: { errorType: 1, text: '网络错误，请稍后重试' },
  systemError: { errorType: 2, text: '系统错误，请联系管理员' },
  loginTimeout: { errorType: 3, text: '登录超时，请重新登录' },
  serverError: { errorType: 4, text: '服务器错误，请联系管理员' },
  outServerError: { errorType: 5, text: '外部系统异常' },
};

const OLDPAGEBASE = '/oldPage';
const WELCOMEHTML = 'function/welcome.html';
const NEXT_COMPACT = '/next-compact';
// 无需java调试旧Boss前端页面
const PROXY_OLD_BOSS = process.env.PROXY_OLD_BOSS;
const PROXY_OLD_BOSS_URL = process.env.PROXY_OLD_BOSS_URL;

// 给家长看的地方，比如收款凭证，是否显示上课日期，默认为false
export const IS_SHOW_START_DATE_SWITCH = false;

let PROJECT_NAME = 'spark';
let SYSTEM_MARK = 'XINGHUO';

// 引流报读的接口前缀url
const cmallUrlBase = '/cmall/xhboss/api/';

// 流量新报读的接口前缀url
export const insightUrlBase = '/xhmall/api/';

// 星火、双师新后端服务的接口前缀url
export const bossApiUrlBase = '/eduboss/boss-xinghuo-api/';

const preArr = [pre, peiYouPre, twoTeacherPre];
const prdArr = [prd, peiYou, twoTeacher];

// 往全局Index内添加额外的属性
const IndexAttribute = {
  codeOption: [["'", '%27']],
};

// Index.getLoginUser().institution 对应的值
const xinghuoInstitution = 'xinghuo';
const peiyouInstitution = 'advance';
const twoTeacherInstitution = 'two_teacher';

const insightRouteMap = {
  EDIT_ROUTE_PATH: '/xhmall/admin/console/cmall/course/edit',
};

const isDevEnv = process.env.NODE_ENV === 'development';

const isPrdEnv = prdArr.indexOf(process.env.BUILD_ENV) > -1;

const pdfViewerHref = 'https://xiao-zh-cdn.xiao100.com/public/multi/pdf-viewer/web/viewer.html?file=${URL}';

export {
  urlBase,
  errors,
  OLDPAGEBASE,
  WELCOMEHTML,
  NEXT_COMPACT,
  PROJECT_NAME,
  SYSTEM_MARK,
  PROXY_OLD_BOSS,
  PROXY_OLD_BOSS_URL,
  IndexAttribute,
  xinghuoInstitution,
  peiyouInstitution,
  twoTeacherInstitution,
  cmallUrlBase,
  insightRouteMap,
  isDevEnv,
  isPrdEnv,
  pdfViewerHref,
};
