// '授课方式：1-面授；2-直播 在线A；3-录播 在线B；4-答疑；自习'
const teachingTypeEnum = {
  FACE_TO_FACE: 1,
  LIVE: 2,
  RECORDED: 3,
  ANSWER: 4,
  AI: 5,
};

// 产品组
// ONLINE_CLASS  本地网课
// FAQ_CLASS                        答疑
// LIVE_CLASS                直播
// VIDEO_CLASS                录播
// PRODUCT_GROUP_HL                AI录播课
// 其他                                        都是面授
const productGroupEnum = {
  ONLINE_CLASS: 'ONLINE_CLASS',
  FAQ_CLASS: 'FAQ_CLASS',
  LIVE_CLASS: 'LIVE_CLASS',
  VIDEO_CLASS: 'VIDEO_CLASS',
  PRODUCT_GROUP_HL: 'PRODUCT_GROUP_HL',
};

const teachingTypeDict = [
  {
    val: teachingTypeEnum.FACE_TO_FACE,
    text: '面授',
  },
  {
    val: teachingTypeEnum.LIVE,
    text: '在线A',
  },
  {
    val: teachingTypeEnum.RECORDED,
    text: '在线B',
  },
  {
    val: teachingTypeEnum.ANSWER,
    text: '自习',
  },
  {
    val: teachingTypeEnum.AI,
    text: 'AI录播课',
  },
];

/**
 * 考勤状态
 */
const attendanceDict = [
  { val: 'NEW', text: '未上课' },
  { val: 'CONPELETE', text: '准时上课' },
  { val: 'LEAVE', text: '请假' },
  { val: 'ABSENT', text: '缺勤' },
  { val: 'LATE', text: '迟到' },
];

/**
 * 课程状态
 */
const courseStatusDict = [
  { val: 'CHARGED', text: '已结算' },
  { val: 'TEACHER_ATTENDANCE', text: '老师已考勤' },
  { val: 'NEW', text: '未上课' },
];

export default {
  productGroupEnum,
  teachingTypeEnum,
  attendanceDict,
  courseStatusDict,
  teachingTypeDict,
};
