// 创建教学年份字典
function createJxYearDict(start, optionNum = 3) {
  if (start && typeof start !== 'number') {
    throw new Error('Error: getJxYearDict argument[0] start is invalid');
  }

  if (typeof optionNum !== 'number') {
    throw new Error('Error: getJxYearDict argument[1] optionNum is invalid');
  }

  if (!start) {
    start = new Date().getFullYear();
  }

  optionNum = optionNum < 3 ? 3 : optionNum;

  const optionMaxNum = 20;

  optionNum = optionNum > optionMaxNum ? 20 : optionNum;

  let jxYearDict = [{ text: `${start - 1}`, val: `${start - 1}` }];

  optionNum--;

  for (let i = 0; i < optionNum; i++) {
    jxYearDict.push({ text: `${start + i}`, val: `${start + i}` });
  }

  return jxYearDict;
}

// 教学季度字典
const jxQuarterDict = [
  { text: '春季', val: '1' },
  { text: '暑假', val: '2' },
  { text: '秋季', val: '3' },
  { text: '寒假', val: '4' },
];

export { createJxYearDict, jxQuarterDict };
