import { pre, prd, peiYouTest, peiYouPre, peiYou, twoTeacherTest, twoTeacherPre, twoTeacher } from 'CONST/buildEnv';

let menus = [];
let checkBuildEnvList = [pre, prd, peiYouTest, peiYouPre, peiYou, twoTeacherTest, twoTeacherPre, twoTeacher];
if (process.env && checkBuildEnvList.indexOf(process.env.BUILD_ENV) === -1) {
  menus = [
    { id: 'docRoot', parentId: '-1', rname: '前端开发文档' },

    { id: 'docLess', parentId: 'docRoot', rname: 'LESS变量' },
    /*  { id: 'docLessOverview', parentId: 'docLess', name: '总览', rname: '总览', newUrl: '/docLessOverview' },*/
    { id: 'docLessColorPrimary', parentId: 'docLess', name: '主色', rname: '主色', newUrl: '/docLessColorPrimary' },
    {
      id: 'docLessColorAssistant',
      parentId: 'docLess',
      name: '辅助色',
      rname: '辅助色',
      newUrl: '/docLessColorAssistant',
    },
    { id: 'docLessColorBasic', parentId: 'docLess', name: '基础色', rname: '基础色', newUrl: '/docLessColorBasic' },
    { id: 'docLessColorFont', parentId: 'docLess', name: '字体色', rname: '字体色', newUrl: '/docLessColorFont' },
    { id: 'docLessFontSize', parentId: 'docLess', name: '字体大小', rname: '字体大小', newUrl: '/docLessFontSize' },
    { id: 'docLessBorderRadius', parentId: 'docLess', name: '圆角', rname: '圆角', newUrl: '/docLessBorderRadius' },
    { id: 'docLessShadow', parentId: 'docLess', name: '阴影', rname: '阴影', newUrl: '/docLessShadow' },
    {
      id: 'docLessInputControl',
      parentId: 'docLess',
      name: '输入控件',
      rname: '输入控件',
      newUrl: '/docLessInputControl',
    },

    { id: 'docComponents', parentId: 'docRoot', rname: '公共组件' },
    {
      id: 'docComponentsInfo',
      parentId: 'docComponents',
      name: '公共组件概述',
      rname: '概述',
      newUrl: '/docComponentsInfo',
    },
    { id: 'docBadage', parentId: 'docComponents', name: '标记', rname: '标记', newUrl: '/docBadage' },
    { id: 'docBlock', parentId: 'docComponents', name: '内容区块', rname: '内容区块', newUrl: '/docBlock' },
    { id: 'docButton', parentId: 'docComponents', name: '按钮', rname: '按钮', newUrl: '/docButton' },
    { id: 'docCheckbox', parentId: 'docComponents', name: '复选按钮', rname: '复选按钮', newUrl: '/docCheckbox' },
    { id: 'docDatePicker', parentId: 'docComponents', name: '日期选择', rname: '日期选择', newUrl: '/docDatePicker' },
    { id: 'docDotButton', parentId: 'docComponents', name: '点状按钮', rname: '点状按钮', newUrl: '/docDotButton' },
    {
      id: 'docDropdownMenu',
      parentId: 'docComponents',
      name: '下拉菜单',
      rname: '下拉菜单',
      newUrl: '/docDropdownMenu',
    },
    { id: 'docFileIcon', parentId: 'docComponents', name: '文件图标', rname: '文件图标', newUrl: '/docFileIcon' },
    { id: 'docFileList', parentId: 'docComponents', name: '文件列表', rname: '文件列表', newUrl: '/docFileList' },
    { id: 'docFormItem', parentId: 'docComponents', name: '表单项目', rname: '表单项目', newUrl: '/docFormItem' },
    { id: 'docIcon', parentId: 'docComponents', name: '图标', rname: '图标', newUrl: '/docIcon' },
    { id: 'docIconButton', parentId: 'docComponents', name: '图标按钮', rname: '图标按钮', newUrl: '/docIconButton' },
    { id: 'docInput', parentId: 'docComponents', name: '文本框', rname: '文本框', newUrl: '/docInput' },
    { id: 'docInputNumber', parentId: 'docComponents', name: '数字框', rname: '数字框', newUrl: '/docInputNumber' },
    { id: 'docInputTag', parentId: 'docComponents', name: '可输入标签', rname: '可输入标签', newUrl: '/docInputTag' },
    { id: 'docList', parentId: 'docComponents', name: '列表', rname: '列表', newUrl: '/docList' },
    { id: 'docLoading', parentId: 'docComponents', name: '加载动画', rname: '加载动画', newUrl: '/docLoading' },
    { id: 'docModal', parentId: 'docComponents', name: '模态框', rname: '模态框', newUrl: '/docModal' },
    { id: 'docMonthPicker', parentId: 'docComponents', name: '月份选择', rname: '月份选择', newUrl: '/docMonthPicker' },
    { id: 'docMultiSelect', parentId: 'docComponents', name: '多选框', rname: '多选框', newUrl: '/docMultiSelect' },
    { id: 'docPage', parentId: 'docComponents', name: '页面', rname: '页面', newUrl: '/docPage' },
    { id: 'docPopover', parentId: 'docComponents', name: '气泡弹框', rname: '气泡弹框', newUrl: '/docPopover' },
    { id: 'docRadio', parentId: 'docComponents', name: '单选按钮', rname: '单选按钮', newUrl: '/docRadio' },
    { id: 'docSearch', parentId: 'docComponents', name: '筛选器', rname: '筛选器', newUrl: '/docSearch' },
    { id: 'docSearch2', parentId: 'docComponents', name: '筛选器2', rname: '筛选器2', newUrl: '/docSearch2' },
    { id: 'docSearchBar', parentId: 'docComponents', name: '搜索栏', rname: '搜索栏', newUrl: '/docSearchBar' },
    { id: 'docSection', parentId: 'docComponents', name: '页面板块', rname: '页面板块', newUrl: '/docSection' },
    { id: 'docSelect', parentId: 'docComponents', name: '选择框', rname: '选择框', newUrl: '/docSelect' },
    { id: 'docSortButton', parentId: 'docComponents', name: '排序按钮', rname: '排序按钮', newUrl: '/docSortButton' },
    { id: 'docTabs', parentId: 'docComponents', name: '页签组', rname: '页签组', newUrl: '/docTabs' },
    { id: 'docTag', parentId: 'docComponents', name: '标签', rname: '标签', newUrl: '/docTag' },
    { id: 'docTagSelect', parentId: 'docComponents', name: '标签多选框', rname: '标签多选框', newUrl: '/docTagSelect' },
    { id: 'docTextArea', parentId: 'docComponents', name: '多行输入框', rname: '多行输入框', newUrl: '/docTextArea' },
    { id: 'docTextLink', parentId: 'docComponents', name: '文字链接', rname: '文字链接', newUrl: '/docTextLink' },
    { id: 'docTimePicker', parentId: 'docComponents', name: '时间选择', rname: '时间选择', newUrl: '/docTimePicker' },
    {
      id: 'docTreeMultiSelect',
      parentId: 'docComponents',
      name: '树多选框',
      rname: '树多选框',
      newUrl: '/docTreeMultiSelect',
    },
    { id: 'docTreeSelect', parentId: 'docComponents', name: '树选择框', rname: '树选择框', newUrl: '/docTreeSelect' },
    { id: 'docEditor', parentId: 'docComponents', name: '富文本编辑器', rname: '富文本编辑器', newUrl: '/docEditor' },
    { id: 'docValidator', parentId: 'docComponents', name: '输入校验', rname: '输入校验', newUrl: '/docValidator' },
    {
      id: 'docShareQRCode',
      parentId: 'docComponents',
      name: '分享二维码',
      rname: '分享二维码',
      newUrl: '/docShareQRCode',
    },
    { id: 'docDeck', parentId: 'docComponents', name: '自定义列表', rname: '自定义列表', newUrl: '/docDeck' },
    {
      id: 'docSearchButton',
      parentId: 'docComponents',
      name: '筛选按钮(展开筛选项)',
      rname: '筛选按钮(展开筛选项)',
      newUrl: '/docSearchButton',
    },

    { id: 'docBLoC', parentId: 'docRoot', rname: '业务组件' },
    { id: 'docBLoCOverview', parentId: 'docBLoC', name: '业务组件概述', rname: '概述', newUrl: '/docBLoCOverview' },
    {
      id: 'docModalSelectCourseTime',
      parentId: 'docBLoC',
      name: '选择上课时间(讲数)',
      rname: '选择上课时间(讲数)',
      newUrl: '/docModalSelectCourseTime',
    },

    { id: 'docUtil', parentId: 'docRoot', rname: '工具包' },
    { id: 'docUtilInfo', parentId: 'docUtil', name: '工具包概述', rname: '概述', newUrl: '/docUtilInfo' },
    { id: 'Test', parentId: 'docRoot', name: '测试页面', rname: '测试页面', newUrl: '/Test' },
  ];
}

export default menus;
