import React from 'react';
import Button from 'COMPONENT/Button';
import ModalSelectCourseTime from 'BLOC/ModalSelectCourseTime';

const SelectCourseTimeTips = (selectedKeys, list) => {
  return (
    <div>
      已选 {selectedKeys.length} 个，总共 {list.length} 讲数
    </div>
  );
};

class DemoFooterTipsRender extends React.Component {
  constructor(props) {
    super(props);
    this.switchModalSelectCourseTime = this.switchModalSelectCourseTime.bind(this);
    this.confirmCourseTime = this.confirmCourseTime.bind(this);
    this.state = {
      modalVisible: false,
    };
  }
  // 切换选择首次上课时间弹窗显示
  switchModalSelectCourseTime() {
    this.setState((prevState) => ({ modalVisible: !prevState.modalVisible }));
  }
  // 确认选择首次上课时间
  confirmCourseTime(item, index, list) {
    console.log(item, index, list);
    this.switchModalSelectCourseTime();
  }

  render() {
    return (
      <div>
        <Button type="primary" onClick={this.switchModalSelectCourseTime}>
          选择
        </Button>
        {this.state.modalVisible && (
          <ModalSelectCourseTime
            classId={this.props.classId}
            productType={this.props.productType}
            onCancel={this.switchModalSelectCourseTime}
            onConfirm={this.confirmCourseTime}
            multiSelect={true}
            footerTipsRender={SelectCourseTimeTips}
          />
        )}
      </div>
    );
  }
}

export default DemoFooterTipsRender;
