import React from 'react';
import Button from 'COMPONENT/Button';
import ModalSelectCourseTime from 'BLOC/ModalSelectCourseTime';
import showMessage from 'COMPONENT/utils/globalTips/showMessage';

class DemoNoDataDirectCallback extends React.Component {
  constructor(props) {
    super(props);
    this.switchModalSelectCourseTime = this.switchModalSelectCourseTime.bind(this);
    this.confirmCourseTime = this.confirmCourseTime.bind(this);
    this.noCourseTime = this.noCourseTime.bind(this);
    this.state = {
      modalVisible: false,
    };
  }
  // 切换选择首次上课时间弹窗显示
  switchModalSelectCourseTime() {
    this.setState((prevState) => ({ modalVisible: !prevState.modalVisible }));
  }
  // 确认选择首次上课时间
  confirmCourseTime(item, index, list) {
    console.log(item, index, list);
    this.switchModalSelectCourseTime();
  }
  // 班级未排课
  noCourseTime() {
    showMessage('没有数据时不打开选择弹窗，直接调用所传函数！', 'error');
    this.switchModalSelectCourseTime();
  }

  render() {
    return (
      <div>
        <Button type="primary" onClick={this.switchModalSelectCourseTime}>
          选择
        </Button>
        {this.state.modalVisible && (
          <ModalSelectCourseTime
            classId={this.props.classId}
            productType={this.props.productType}
            onCancel={this.switchModalSelectCourseTime}
            onConfirm={this.confirmCourseTime}
            noDataDirectCallback={this.noCourseTime}
          />
        )}
      </div>
    );
  }
}

export default DemoNoDataDirectCallback;
