/**
 * 浮动列
 * @property {[reactNode]} children 内容
 * @property {string} className 附加在根元素的类名
 * @property {Object} style 附加在根元素的样式
 */
import React from 'react';
import styles from './styles.less';

const FloatCol = ({ children, className, style }) => {
  return (
    <div className={styles.wrap + ' ' + (className || '')} style={style}>
      {children}
    </div>
  );
};

export default FloatCol;
