/**
 * 显示组件实例方法信息的表格
 * @property {[reactNode]} children 表格行，每一行的格式为：
    <tr>
      <td>函数名</td>
      <td>说明</td>
      <td>参数</td>
    </tr>
 */
import React from 'react';
import styles from './styles.less';

const PropsTable = ({ children }) => {
  return (
    <table className={styles.tableView}>
      <thead>
        <tr className={styles.header}>
          <th>函数名</th>
          <th>说明</th>
          <th>参数</th>
        </tr>
      </thead>
      <tbody>{children}</tbody>
    </table>
  );
};

export default PropsTable;
