/**
 * 显示组件属性信息的表格
 * @property {[reactNode]} children 表格行，每一行的格式为：
    <tr>
      <td>参数名</td>
      <td>说明</td>
      <td>类型</td>
      <td>默认值</td>
    </tr>
 */
import React from 'react';
import styles from './styles.less';

const PropsTable = ({ children }) => {
  return (
    <table className={styles.tableView}>
      <thead>
        <tr className={styles.header}>
          <th>属性名</th>
          <th>说明</th>
          <th>类型</th>
          <th>默认值</th>
        </tr>
      </thead>
      <tbody>{children}</tbody>
    </table>
  );
};

export default PropsTable;
