/**
 * 页面区块
 * @property {string} title 标题
 * @property {[reactNode]} children 内容
 */
import React from 'react';
import styles from './styles.less';

const Section = ({ title, children, className }) => {
  return (
    <div className={styles.wrap + ' ' + (className || '')}>
      <h2>{title}</h2>
      {children}
    </div>
  );
};

export default Section;
