/**
 * 显示LESS变量属性信息的表格
 * @property {[reactNode]} children 表格行，每一行的格式为：
    <tr>
      <td>名称</td>
      <td>变量名</td>
      <td>值</td>
    </tr>
 */
import React from 'react';
import styles from './styles.less';

const PropsTable = ({ children }) => {
  return (
    <table className={styles.tableView}>
      <thead>
        <tr className={styles.header}>
          <th>名称</th>
          <th>变量名</th>
          <th>值</th>
        </tr>
      </thead>
      <tbody>{children}</tbody>
    </table>
  );
};

export default PropsTable;
