import React from 'react';
import CompPage from 'DOC/DocPage';
import PropsTable from '../../PropsTable';
import FuncsTable from '../../FuncsTable';
import Sec from '../../Section';
import BasicDemo from './BasicDemo';
import FormDemo from './FormDemo';
import DarkDemo from './DarkDemo';
import styles from '../../styles.less';

class Main extends React.Component {
  render() {
    return (
      <CompPage>
        <Sec title="功能介绍">用于具有特定主题的内容划分。</Sec>
        <Sec title="例子">
          <h3>基本用法</h3>
          <BasicDemo />
          <h3>表单</h3>
          <FormDemo />
          <h3>深色背景</h3>
          <DarkDemo />
        </Sec>
        <Sec title="开发说明">暂无。</Sec>
        <Sec title="属性">
          <PropsTable>
            <tr>
              <td>title</td>
              <td>标题</td>
              <td>ReactNode</td>
              <td></td>
            </tr>
            <tr>
              <td>className</td>
              <td>附加在根元素的类名</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>style</td>
              <td>附加在根元素的样式</td>
              <td>object</td>
              <td></td>
            </tr>
            <tr>
              <td>type</td>
              <td>类型，可选值有：'dark'（深色背景）</td>
              <td>string</td>
              <td></td>
            </tr>
          </PropsTable>
        </Sec>
      </CompPage>
    );
  }
}

export default Main;
