import React from 'react';
import CompPage from 'DOC/DocPage';
import PropsTable from '../../PropsTable';
import FuncsTable from '../../FuncsTable';
import Sec from '../../Section';
import BasicDemo from './BasicDemo';
import SizeDemo from './SizeDemo';
import DisabledDemo from './DisabledDemo';
import IconDemo from './IconDemo';
import styles from '../../styles.less';
import TextLink from 'COMPONENT/TextLink';
import getWrappedInstance from 'UTIL/getWrappedInstance';
import styleVars from 'COMPONENT/theme/variables';

class Main extends React.Component {
  render() {
    return (
      <CompPage ref={(c) => (this.pageRef = getWrappedInstance(c))}>
        <Sec title="功能介绍">按钮，可防止快速点击。</Sec>
        <Sec title="例子">
          <h3>基本用法</h3>
          <BasicDemo />
          <h3>三种大小</h3>
          <SizeDemo />
          <h3>禁用状态</h3>
          <DisabledDemo />
          <h3>带图标</h3>
          <IconDemo />
        </Sec>
        <Sec title="开发说明">暂无。</Sec>
        <Sec title="属性">
          <PropsTable>
            <tr>
              <td>children</td>
              <td>内容</td>
              <td>ReactNode</td>
              <td>-</td>
            </tr>
            <tr>
              <td>iconType</td>
              <td>
                图标类型，详见<TextLink onClick={() => this.pageRef.openPage({ path: '/docIcon' })}>Icon</TextLink>
                组件的可用类型
              </td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>type</td>
              <td>类型，可选'primary'</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>size</td>
              <td>大小，可选'small'|'xSmall'</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>onClick</td>
              <td>点击时的回调</td>
              <td>Function</td>
              <td></td>
            </tr>
            <tr>
              <td>disabled</td>
              <td>禁用状态</td>
              <td>boolean</td>
              <td></td>
            </tr>
            <tr>
              <td>className</td>
              <td>附加在根元素的类</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>style</td>
              <td>附加在根元素的样式</td>
              <td>object</td>
              <td></td>
            </tr>
          </PropsTable>
        </Sec>
      </CompPage>
    );
  }
}

export default Main;
