import React from 'react';
import CompPage from 'DOC/DocPage';
import PropsTable from '../../PropsTable';
import FuncsTable from '../../FuncsTable';
import Sec from '../../Section';
import BasicDemo from './BasicDemo';
import DisabledDemo from './DisabledDemo';
import SizeDemo from './SizeDemo';
import HalfDemo from './HalfDemo';
import styles from '../../styles.less';
import styleVars from 'COMPONENT/theme/variables';

class Main extends React.Component {
  render() {
    return (
      <CompPage>
        <Sec title="功能介绍">复选按钮，替代React自带的checkbox组件。</Sec>
        <Sec title="例子">
          <h3>基本用法</h3>
          <BasicDemo />
          <h3>禁用状态</h3>
          <DisabledDemo />
          <h3>两种大小</h3>
          <SizeDemo />
          <div className={styles.info}>注：图标大小一致，字体大小和行高有区别。</div>
          <h3>半选</h3>
          <HalfDemo />
        </Sec>
        <Sec title="开发说明">暂无。</Sec>
        <Sec title="属性">
          <PropsTable>
            <tr>
              <td>checked</td>
              <td>选中状态</td>
              <td>boolean</td>
              <td></td>
            </tr>
            <tr>
              <td>size</td>
              <td>大小，可选'small'</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>onChange</td>
              <td>选中状态改变时的回调</td>
              <td>function(e)</td>
              <td></td>
            </tr>
            <tr>
              <td>disabled</td>
              <td>禁用状态</td>
              <td>boolean</td>
              <td></td>
            </tr>
            <tr>
              <td>indeterminate</td>
              <td>半选状态</td>
              <td>boolean</td>
              <td></td>
            </tr>
            <tr>
              <td>className</td>
              <td>附加在根元素的类</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>style</td>
              <td>附加在根元素的样式</td>
              <td>object</td>
              <td></td>
            </tr>
          </PropsTable>
          <h3>Checkbox.Group属性</h3>
          <PropsTable>
            <tr>
              <td>options</td>
              <td>选项配置</td>
              <td>
                <pre>
                  {`[
  {
    value: string - 值，必需
    label: string - 显示文字，必需
  }
]`}
                </pre>
              </td>
              <td>-</td>
            </tr>
            <tr>
              <td>value</td>
              <td>选中值集合</td>
              <td>string[]</td>
              <td></td>
            </tr>
            <tr>
              <td>onChange</td>
              <td>选中值改变时的回调，参数为选中值集合</td>
              <td>function(string[])</td>
              <td></td>
            </tr>
            <tr>
              <td>size</td>
              <td>大小，可选'small'</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>disabled</td>
              <td>禁用状态</td>
              <td>boolean</td>
              <td></td>
            </tr>
            <tr>
              <td>className</td>
              <td>附加在根元素的类</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>style</td>
              <td>附加在根元素的样式</td>
              <td>object</td>
              <td></td>
            </tr>
          </PropsTable>
        </Sec>
      </CompPage>
    );
  }
}

export default Main;
