import React from 'react';
import moment from 'moment';
import { momentToDate, dateToMoment } from 'COMPONENT/utils/form';
import DateRangePicker from 'COMPONENT/DateRangePicker';

class Main extends React.Component {
  state = {
    value: null,
  };

  /**
   * 获取要禁用的日期值
   * @param  {string} value 过滤前的日期值
   * @return {boolean} 是否要禁用
   */
  getDisabledDate = (value) => {
    if (!value) {
      return false;
    }
    return dateToMoment(value).valueOf() < dateToMoment(momentToDate(moment())).valueOf();
  };

  render() {
    const { value } = this.state;
    return (
      <div style={{ width: 300 }}>
        <DateRangePicker
          value={value}
          onChange={(val) => this.setState({ value: val })}
          disabledDate={(val) => this.getDisabledDate(val)}
        />
      </div>
    );
  }
}

export default Main;
