import React from 'react';
import CompPage from 'DOC/DocPage';
import PropsTable from '../../PropsTable';
import FuncsTable from '../../FuncsTable';
import Sec from '../../Section';
import BasicDemo from './BasicDemo';
import SizeDemo from './SizeDemo';
import DisableDemo from './DisableDemo';
import DisableValueDemo from './DisableValueDemo';
import styles from '../../styles.less';
import ErrorPage from 'DOC/ErrorPage';

class Main extends React.Component {
  render() {
    return <ErrorPage text="组件重构中，敬请期待..." />;
    return (
      <CompPage>
        <Sec title="功能介绍">
          日期范围输入控件，用于同时输入开始日期和结束日期，可选择或者直接输入，格式为：YYYY-MM-DD（年-月-日）。
        </Sec>
        <Sec title="例子">
          <h3>基本用法</h3>
          <BasicDemo />
          <h3>两种大小</h3>
          <SizeDemo />
          <h3>禁用状态</h3>
          <DisableDemo />
          <h3>输入限制</h3>
          <DisableValueDemo />
          <div className={styles.info}>本示例展示禁止选择今天之前的日期。</div>
        </Sec>
        <Sec title="开发说明">暂无。</Sec>
        <Sec title="属性">
          <PropsTable>
            <tr>
              <td>value</td>
              <td>日期值，格式为：YYYY-MM-DD</td>
              <td>string[]</td>
              <td></td>
            </tr>
            <tr>
              <td>onChange</td>
              <td>值变化时的回调函数</td>
              <td>function(string[])</td>
              <td></td>
            </tr>
            <tr>
              <td>size</td>
              <td>大小，'large'为大号</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>placeholder</td>
              <td>占位文字</td>
              <td>string[]</td>
              <td></td>
            </tr>
            <tr>
              <td>onFocus</td>
              <td>获得焦点时的回调函数</td>
              <td>function</td>
              <td></td>
            </tr>
            <tr>
              <td>onBlur</td>
              <td>失去焦点时的回调函数</td>
              <td>function</td>
              <td></td>
            </tr>
            <tr>
              <td>disabledDate</td>
              <td>获取不可选的日期</td>
              <td>
                Function
                <br />
                {`@param  {string} value - 当前的日期值`}
                <br />
                {`@return {boolean} - 是否要禁用`}
              </td>
              <td></td>
            </tr>
            <tr>
              <td>popupContainer</td>
              <td>承载弹出浮层的DOM元素</td>
              <td>DocumentElement</td>
              <td>document</td>
            </tr>
          </PropsTable>
        </Sec>
      </CompPage>
    );
  }
}

export default Main;
