import React from 'react';
import style from './index.less';
import Deck from 'COMPONENT/Deck';

const classPrefix = 'DeckDemo';

function Card(props) {
  return (
    <div className={style[`${classPrefix}-card`]} key={props.id}>
      <p>{props.isSelected ? '✔' : '×'}</p>
      <p>{props.name}</p>
    </div>
  );
}

class DeckDemo extends React.Component {
  constructor(props) {
    super(props);
    this.onPageChange = this.onPageChange.bind(this);
    this.onSelectedRowChange = this.onSelectedRowChange.bind(this);
    this.state = {
      list: [
        {
          id: 'mock0001',
          name: '测试数据01',
        },
        {
          id: 'mock0002',
          name: '测试数据02',
        },
        {
          id: 'mock0003',
          name: '测试数据03',
        },
      ],
      total: 3,
      current: 1,
      size: 10,
      selectedRowKeys: [],
    };
  }
  onPageChange(current, size) {
    this.setState({
      current,
      size,
    });
  }
  onSelectedRowChange(keys) {
    this.setState({ selectedRowKeys: keys });
  }

  render() {
    return (
      <Deck
        dataSource={this.state.list}
        render={Card}
        pagination={{
          total: this.state.total,
          current: this.state.current,
          size: this.state.size,
          onChange: this.onPageChange,
        }}
        rowSelection={{
          selectedRowKeys: this.state.selectedRowKeys,
          onChange: this.onSelectedRowChange,
          // singleSelect: true,
        }}
        bodyClassName={style[`${classPrefix}-wrapper`]}
      />
    );
  }
}

export default DeckDemo;
