/**
 * Created by Haolin<haolinhom@gmail.com> on 2019/5/7.
 */
import React from 'react';
import CompPage from 'DOC/DocPage';
import Section from 'DOC/Section';
import PropsTable from 'DOC/PropsTable';
import Demo from './Demo';

class Main extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  render() {
    return (
      <CompPage>
        <Section title="功能介绍">自定义列表（卡片堆）容器组件，提供列表渲染所需的分页，每项可选等功能。</Section>
        <Section title="例子">
          <h3>基础用法</h3>
          <Demo />
        </Section>
        <Section title="Deck属性">
          <PropsTable>
            <tr>
              <td>dataSource</td>
              <td>(必填) 数据源</td>
              <td>Array</td>
              <td>-</td>
            </tr>
            <tr>
              <td>render</td>
              <td>(必填) 列表项渲染函数</td>
              <td>Function(props)</td>
              <td>-</td>
            </tr>
            <tr>
              <td>pagination</td>
              <td>(可选) 分页配置，具体参考下方的pagination配置。不传时显示分页信息。</td>
              <td>Object</td>
              <td>-</td>
            </tr>
            <tr>
              <td>rowSelection</td>
              <td>
                (可选)
                已选列表项配置，具体参考下方的rowSelection配置。有传时会往render内传多一个isSelected属性，不传时列表项不可以选。
              </td>
              <td>Object</td>
              <td>-</td>
            </tr>
            <tr>
              <td>className</td>
              <td>(可选) Deck的class名</td>
              <td>String</td>
              <td>-</td>
            </tr>
            <tr>
              <td>bodyClassName</td>
              <td>(可选) 列表项class名</td>
              <td>String</td>
              <td>-</td>
            </tr>
            <tr>
              <td>bodyStyle</td>
              <td>(可选) 列表项容器样式</td>
              <td>styleObject</td>
              <td>-</td>
            </tr>
          </PropsTable>
        </Section>
        <Section title="pagination配置">
          <PropsTable>
            <tr>
              <td>total</td>
              <td>(可选) 列表项总数</td>
              <td>Number</td>
              <td>-</td>
            </tr>
            <tr>
              <td>current</td>
              <td>(可选) 当前页码</td>
              <td>Number</td>
              <td>1</td>
            </tr>
            <tr>
              <td>size</td>
              <td>(可选) 每页条数</td>
              <td>Number</td>
              <td>-</td>
            </tr>
            <tr>
              <td>onChange</td>
              <td>(可选) 当前页码、每页条数更新时触发</td>
              <td>Function(current, size)</td>
              <td>-</td>
            </tr>
            <tr>
              <td>showQuickJumper</td>
              <td>(可选) 是否显示页码快速跳转</td>
              <td>Boolean</td>
              <td>true</td>
            </tr>
            <tr>
              <td>pageSizeOptions</td>
              <td>(可选) 每页条数可选项</td>
              <td>Array[String]</td>
              <td>['10', '20', '50']</td>
            </tr>
            <tr>
              <td>showSizeChanger</td>
              <td>(可选) 是否可以更改每页条数</td>
              <td>Boolean</td>
              <td>true</td>
            </tr>
            <tr>
              <td>onShowSizeChange</td>
              <td>(可选) 每页条数更新时触发</td>
              <td>Function(current, size)</td>
              <td>pagination.onChange</td>
            </tr>
          </PropsTable>
        </Section>
        <Section title="rowSelection配置">
          <PropsTable>
            <tr>
              <td>selectedRowKeys</td>
              <td>(可选) 已选项key值数组</td>
              <td>Array</td>
              <td>-</td>
            </tr>
            <tr>
              <td>onChange</td>
              <td>(可选) 已选项更新时触发</td>
              <td>Function(keys)</td>
              <td>-</td>
            </tr>
            <tr>
              <td>singleSelect</td>
              <td>(可选) 是否单选</td>
              <td>Boolean</td>
              <td>false</td>
            </tr>
          </PropsTable>
        </Section>
      </CompPage>
    );
  }
}

export default Main;
