import React from 'react';
import CompPage from 'DOC/DocPage';
import PropsTable from '../../PropsTable';
import FuncsTable from '../../FuncsTable';
import Sec from '../../Section';
import BasicDemo from './BasicDemo';
import SizeDemo from './SizeDemo';
import styles from '../../styles.less';
import TextLink from 'COMPONENT/TextLink';
import getWrappedInstance from 'UTIL/getWrappedInstance';

class Main extends React.Component {
  render() {
    return (
      <CompPage ref={(c) => (this.pageRef = getWrappedInstance(c))}>
        <Sec title="功能介绍">圆形或圆角正方形的小按钮，按钮内容一般为单个的图标或文字。</Sec>
        <Sec title="例子">
          <h3>基本用法</h3>
          <BasicDemo />
          <h3>自定义大小</h3>
          <SizeDemo />
        </Sec>
        <Sec title="开发说明">暂无。</Sec>
        <Sec title="属性">
          <PropsTable>
            <tr>
              <td>type</td>
              <td>类型，可选'primary'</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>iconType</td>
              <td>
                图标类型，详见<TextLink onClick={() => this.pageRef.openPage({ path: '/docIcon' })}>Icon</TextLink>
                组件的可用类型
              </td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>shape</td>
              <td>形状，默认为圆形，可设为圆角正方形'square'</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>children</td>
              <td>内容，一般为单个文字，设置了children时忽略iconType</td>
              <td>ReactNode</td>
              <td></td>
            </tr>
            <tr>
              <td>size</td>
              <td>大小（px）</td>
              <td>number</td>
              <td>28</td>
            </tr>
            <tr>
              <td>onClick</td>
              <td>点击时的回调</td>
              <td>Function</td>
              <td></td>
            </tr>
            <tr>
              <td>disabled</td>
              <td>禁用状态</td>
              <td>boolean</td>
              <td></td>
            </tr>
            <tr>
              <td>className</td>
              <td>附加在外层包裹元素的类</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>style</td>
              <td>附加在外层包裹元素的样式</td>
              <td>object</td>
              <td></td>
            </tr>
            <tr>
              <td>title</td>
              <td>鼠标悬浮时的提示文字</td>
              <td>string</td>
              <td></td>
            </tr>
          </PropsTable>
        </Sec>
      </CompPage>
    );
  }
}

export default Main;
