import React from 'react';
import CompPage from 'DOC/DocPage';
import PropsTable from '../../PropsTable';
import FuncsTable from '../../FuncsTable';
import Sec from '../../Section';
import BasicDemo from './BasicDemo';
import DisableDemo from './DisableDemo';
import styles from '../../styles.less';

class Main extends React.Component {
  render() {
    return (
      <CompPage>
        <Sec title="功能介绍">基于百度编辑器客制化的富文本编辑器。</Sec>
        <Sec title="例子">
          <h3>基本用法</h3>
          <BasicDemo />
        </Sec>
        <Sec title="开发说明">暂无。</Sec>
        <Sec title="属性">
          <PropsTable>
            <tr>
              <td>width</td>
              <td>宽度</td>
              <td>number|string</td>
              <td>753(设置低于700无效)</td>
            </tr>
            <tr>
              <td>height</td>
              <td>高度</td>
              <td>number|string</td>
              <td>536(编辑区域高度，不包括工具栏，标题栏)</td>
            </tr>
            <tr>
              <td>hasTitle</td>
              <td>是否有标题输入栏</td>
              <td>boolean</td>
              <td>false</td>
            </tr>
            <tr>
              <td>titleNum</td>
              <td>标题允许输入最大字符数</td>
              <td>number</td>
              <td>12</td>
            </tr>
            <tr>
              <td>ueConfig</td>
              <td>百度编辑器配置</td>
              <td>object</td>
              <td>无(非必填)</td>
            </tr>
          </PropsTable>
        </Sec>
        <Sec title="实例方法">
          <FuncsTable>
            <tr>
              <td>getContent</td>
              <td>获取编辑器内容</td>
              <td></td>
              <td>getTitle</td>
              <td>获取标题</td>
              <td></td>
            </tr>
          </FuncsTable>
        </Sec>
      </CompPage>
    );
  }
}

export default Main;
