import React from 'react';
import FileIcon from 'COMPONENT/FileIcon';
import styles from './styles.less';
import { FILE_TYPES, FILE_TYPE_MAP_EXTENSION } from 'COMPONENT/FileIcon/config';

class Main extends React.Component {
  render() {
    return (
      <div className={styles.wrap}>
        {FILE_TYPES.map((type) => {
          return (
            <div className={styles.item} key={type}>
              <FileIcon type={type} className={styles.icon} />
              <div>{`${type}(${FILE_TYPE_MAP_EXTENSION[type].join(',')})`}</div>
            </div>
          );
        })}
      </div>
    );
  }
}

export default Main;
