import React from 'react';
import CompPage from 'DOC/DocPage';
import PropsTable from '../../PropsTable';
import FuncsTable from '../../FuncsTable';
import Sec from '../../Section';
import AllDemo from './AllDemo';
import SizeDemo from './SizeDemo';
import styles from '../../styles.less';
import TextLink from 'COMPONENT/TextLink';
import getWrappedInstance from 'UTIL/getWrappedInstance';
import styleVars from 'COMPONENT/theme/variables';
import { FILE_TYPES, FILE_EXTENSIONS } from 'COMPONENT/FileIcon/config';

const getArryStr = (arry) => {
  return arry.map((a) => "'" + a + "'").join('|');
};

class Main extends React.Component {
  render() {
    return (
      <CompPage ref={(c) => (this.pageRef = getWrappedInstance(c))}>
        <Sec title="功能介绍">根据文件类型或扩展名显示图标</Sec>
        <Sec title="例子">
          <h3>支持的类型</h3>
          <AllDemo />
          <h3>设置大小</h3>
          <SizeDemo />
        </Sec>
        <Sec title="开发说明">暂无。</Sec>
        <Sec title="属性">
          <PropsTable>
            <tr>
              <td>className</td>
              <td>附加在根元素的类</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>style</td>
              <td>附加在根元素的样式</td>
              <td>object</td>
              <td></td>
            </tr>
            <tr>
              <td>type</td>
              <td>文件类型，传入了此属性时忽略extensionName属性，可选{getArryStr(FILE_EXTENSIONS)}</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>extensionName</td>
              <td>扩展名，可选{getArryStr(FILE_TYPES)}</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>size</td>
              <td>大小（px）</td>
              <td>number</td>
              <td>38</td>
            </tr>
          </PropsTable>
        </Sec>
      </CompPage>
    );
  }
}

export default Main;
