import React from 'react';
import { Row, Col } from 'antd';
import Input from 'COMPONENT/Input';
import Radio from 'COMPONENT/Radio';
import Checkbox from 'COMPONENT/Checkbox';
import Page from 'COMPONENT/Page';
import FormItem from 'COMPONENT/FormItem';
import Select from 'COMPONENT/Select';
import TextArea from 'COMPONENT/TextArea';
import styles from './styles.less';

const RadioGroup = Radio.Group;

class Main extends React.Component {
  render() {
    return (
      <Row style={{ maxWidth: 1000, marginTop: 30 }} className={styles.wrap}>
        <Col span={12}>
          <FormItem name="产品名称" required={true}>
            <Input />
          </FormItem>
        </Col>
        <Col span={12}>
          <FormItem name="产品年份" required={true}>
            <Select />
          </FormItem>
        </Col>
        <Col span={12}>
          <FormItem name="年级" required={true}>
            <Select />
          </FormItem>
        </Col>
        <Col span={12}>
          <FormItem name="年级段">小学</FormItem>
        </Col>
        <Col span={24}>
          <FormItem name="体验课设置" required={true}>
            <RadioGroup>
              <Radio value="DAT000000000465">体验课9课时</Radio>
              <Radio value="DAT000000000466">体验课6课时</Radio>
              <Radio value="DAT000000000467">不允许体验课</Radio>
            </RadioGroup>
          </FormItem>
        </Col>
        <Col span={20}>
          <FormItem name="所属分公司" required={true}>
            <Select mode="multiple" />
          </FormItem>
        </Col>
        <Col span={20}>
          <FormItem name="关联其他产品">
            <Select mode="multiple" />
          </FormItem>
        </Col>
        <Col span={4}>
          <FormItem labelWidth={0} style={{ paddingLeft: 0, paddingRight: 5, marginLeft: -30 }}>
            <Checkbox checked={true}>关联产品允许编辑</Checkbox>
          </FormItem>
        </Col>
        <Col span={24}>
          <FormItem name="备注">
            <TextArea rows={3} />
          </FormItem>
        </Col>
      </Row>
    );
  }
}

export default Main;
