import React from 'react';
import CompPage from 'DOC/DocPage';
import PropsTable from '../../PropsTable';
import FuncsTable from '../../FuncsTable';
import Sec from '../../Section';
import BasicDemo from './BasicDemo';
import FormDemo from './FormDemo';
import NarrowDemo from './NarrowDemo';
import styles from '../../styles.less';

class Main extends React.Component {
  render() {
    return (
      <CompPage>
        <Sec title="功能介绍">表单中的一个项目，包含名称和内容两部分。</Sec>
        <Sec title="例子">
          <h3>基本用法</h3>
          <BasicDemo />
          <h3>复杂表单</h3>
          <FormDemo />
          <h3>小号</h3>
          <NarrowDemo />
        </Sec>
        <Sec title="开发说明">暂无。</Sec>
        <Sec title="属性">
          <PropsTable>
            <tr>
              <td>name</td>
              <td>名称</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>children</td>
              <td>内容</td>
              <td>ReactNode</td>
              <td></td>
            </tr>
            <tr>
              <td>size</td>
              <td>大小，可选'small'</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>labelWidth</td>
              <td>名称区域的宽度（px）</td>
              <td>number</td>
              <td>120</td>
            </tr>
            <tr>
              <td>required</td>
              <td>是否必填项</td>
              <td>boolean</td>
              <td></td>
            </tr>
            <tr>
              <td>className</td>
              <td>附加在根元素上的类名</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>style</td>
              <td>附加在根元素上的样式</td>
              <td>object</td>
              <td></td>
            </tr>
          </PropsTable>
        </Sec>
      </CompPage>
    );
  }
}

export default Main;
