import React from 'react';
import Icon from 'COMPONENT/Icon';
import request from 'UTIL/http/fetch';
import SvgLib from 'COMPONENT/assets/svgs/symbol-defs.svg';
import styles from './styles.less';

class Main extends React.Component {
  state = {
    ids: [],
    mIds: [],
  };

  componentDidMount() {
    request(SvgLib, { method: 'GET' }).then((d) => {
      let strs = d.data.match(/<symbol id="Icon-((\w|-)+)"\s/gi);
      let ids = [];
      let mIds = [];
      strs.forEach((s) => {
        const id = s.replace('<symbol id="Icon-', '').replace('" ', '');
        if (this.checkMultiColor(id)) {
          mIds.push(id);
        } else {
          ids.push(id);
        }
      });
      this.setState({ ids, mIds });
    });
  }

  checkMultiColor = (type) => {
    const arry = type.split('_');
    return arry[arry.length - 1] === 'mc' || arry[arry.length - 2] === 'mc';
  };

  getItem = (id) => {
    return (
      <div key={id} className={styles.item}>
        <Icon type={id} size={24} />
        <div>{id}</div>
      </div>
    );
  };

  render() {
    const { ids, mIds } = this.state;
    return (
      <div>
        <div className={'clearfix ' + styles.wrap}>
          <h4 className={styles.subTitle}>单色</h4>
          {ids.map(this.getItem)}
        </div>
        <div className={'clearfix ' + styles.wrap}>
          <h4 className={styles.subTitle}>多色</h4>
          {mIds.map(this.getItem)}
        </div>
      </div>
    );
  }
}

export default Main;
