import React from 'react';
import CompPage from 'DOC/DocPage';
import PropsTable from '../../PropsTable';
import FuncsTable from '../../FuncsTable';
import Sec from '../../Section';
import BasicDemo from './BasicDemo';
import SizeDemo from './SizeDemo';
import ColorDemo from './ColorDemo';
import DisabledDemo from './DisabledDemo';
import MultiTypeDemo from './MultiTypeDemo';
import styles from '../../styles.less';
import TextLink from 'COMPONENT/TextLink';
import getWrappedInstance from 'UTIL/getWrappedInstance';

class Main extends React.Component {
  render() {
    return (
      <CompPage ref={(c) => (this.pageRef = getWrappedInstance(c))}>
        <Sec title="功能介绍"></Sec>
        <Sec title="例子">
          <h3>基本用法</h3>
          <BasicDemo />
          <h3>自定义大小</h3>
          <SizeDemo />
          <h3>自定义颜色</h3>
          <ColorDemo />
          <h3>禁用状态</h3>
          <DisabledDemo />
          <h3>鼠标悬浮时切换图标</h3>
          <MultiTypeDemo />
        </Sec>
        <Sec title="开发说明">暂无。</Sec>
        <Sec title="属性">
          <PropsTable>
            <tr>
              <td>type</td>
              <td>
                图标类型，详见<TextLink onClick={() => this.pageRef.openPage({ path: '/docIcon' })}>Icon</TextLink>
                组件的可用类型
              </td>
              <td>string</td>
              <td>-</td>
            </tr>
            <tr>
              <td>hoverType</td>
              <td>鼠标悬浮时的图标类型</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>color</td>
              <td>颜色，仅对单色图标有效，默认为次要字体色</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>hoverColor</td>
              <td>鼠标悬浮时的颜色，仅对单色图标有效，默认为主色</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>disabledColor</td>
              <td>禁用状态时的颜色，仅对单色图标有效，默认为提示字体色</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>size</td>
              <td>大小（px），默认为普通字体大小</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>onClick</td>
              <td>点击时的回调</td>
              <td>Function</td>
              <td></td>
            </tr>
            <tr>
              <td>title</td>
              <td>标题</td>
              <td>{`string | ReactNode | () => ReactNode`}</td>
              <td></td>
            </tr>
            <tr>
              <td>disabled</td>
              <td>禁用状态</td>
              <td>boolean</td>
              <td></td>
            </tr>
            <tr>
              <td>className</td>
              <td>附加在根元素的类名</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>style</td>
              <td>附加在根元素的样式</td>
              <td>object</td>
              <td></td>
            </tr>
          </PropsTable>
        </Sec>
      </CompPage>
    );
  }
}

export default Main;
