import React from 'react';
import CompPage from 'DOC/DocPage';
import PropsTable from '../../PropsTable';
import FuncsTable from '../../FuncsTable';
import Sec from '../../Section';
import BasicDemo from './BasicDemo';
import SizeDemo from './SizeDemo';
import styles from '../../styles.less';
import TextLink from 'COMPONENT/TextLink';
import getWrappedInstance from 'UTIL/getWrappedInstance';

class Main extends React.Component {
  render() {
    return (
      <CompPage ref={(c) => (this.pageRef = getWrappedInstance(c))}>
        <Sec title="功能介绍">数字输入框，只能输入数字，可点按钮增减。</Sec>
        <Sec title="例子">
          <h3>基本用法</h3>
          <BasicDemo />
          <h3>三种大小</h3>
          <SizeDemo />
        </Sec>
        <Sec title="开发说明">暂无。</Sec>
        <Sec title="属性">
          <PropsTable>
            <tr>
              <td>value</td>
              <td>值</td>
              <td>number</td>
              <td></td>
            </tr>
            <tr>
              <td>placeholder</td>
              <td>占位文字</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>disabled</td>
              <td>禁用状态</td>
              <td>boolean</td>
              <td></td>
            </tr>
            <tr>
              <td>size</td>
              <td>大小，可选'small'|'xSmall'</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>validator</td>
              <td>
                校验器配置，请参考
                <TextLink onClick={() => this.pageRef.openPage({ path: '/docValidator' })}>Validator</TextLink>
                组件的属性配置
              </td>
              <td>object</td>
              <td></td>
            </tr>
            <tr>
              <td>max</td>
              <td>最大值</td>
              <td>number</td>
              <td></td>
            </tr>
            <tr>
              <td>min</td>
              <td>最小值</td>
              <td>number</td>
              <td></td>
            </tr>
            <tr>
              <td>step</td>
              <td>点击上下按钮时增减的步数</td>
              <td>number</td>
              <td></td>
            </tr>
            <tr>
              <td>onChange</td>
              <td>值变化时的回调</td>
              <td>Function(number)</td>
              <td></td>
            </tr>
            <tr>
              <td>onClick</td>
              <td>鼠标点击时的回调</td>
              <td>Function(e)</td>
              <td></td>
            </tr>
            <tr>
              <td>onKeyDown</td>
              <td>键盘按下时的回调</td>
              <td>Function(e)</td>
              <td></td>
            </tr>
            <tr>
              <td>onBlur</td>
              <td>失去焦点时的回调</td>
              <td>Function(e)</td>
              <td></td>
            </tr>
            <tr>
              <td>onFocus</td>
              <td>得到焦点时的回调</td>
              <td>Function(e)</td>
              <td></td>
            </tr>
            <tr>
              <td>className</td>
              <td>附加在根元素的类</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>style</td>
              <td>附加在根元素的样式</td>
              <td>object</td>
              <td></td>
            </tr>
          </PropsTable>
        </Sec>
      </CompPage>
    );
  }
}

export default Main;
