import React from 'react';
import InputTag from 'COMPONENT/InputTag';
import Button from 'COMPONENT/Button';
import styles from './styles.less';

class Main extends React.Component {
  state = {
    values: [''],
  };

  remove = (idx) => {
    this.setState({
      values: this.state.values.filter((v, i) => i !== idx),
    });
  };

  add = () => {
    this.setState({
      values: [...this.state.values, ''],
    });
  };

  onValueChange = (idx, val) => {
    this.setState({
      values: this.state.values.map((v, i) => {
        if (i === idx) {
          return val;
        }
        return v;
      }),
    });
  };

  render() {
    return (
      <div className="clearfix" style={{ marginTop: 30 }}>
        {this.state.values.map((v, i) => {
          return (
            <InputTag
              key={i}
              inputWidth={60}
              closable
              onClose={() => this.remove(i)}
              value={v}
              onChange={(val) => this.onValueChange(i, val)}
              className={styles.item}
            >
              {`项目 ${i + 1}`}
            </InputTag>
          );
        })}
        <Button iconType="plus" onClick={this.add} className={styles.item}>
          添加
        </Button>
      </div>
    );
  }
}

export default Main;
