import React from 'react';
import CompPage from 'DOC/DocPage';
import PropsTable from '../../PropsTable';
import FuncsTable from '../../FuncsTable';
import Sec from '../../Section';
import BasicDemo from './BasicDemo';
import NumberDemo from './NumberDemo';
import SizeDemo from './SizeDemo';
import GroupDemo from './GroupDemo';
import styles from '../../styles.less';
import TextLink from 'COMPONENT/TextLink';
import styleVars from 'COMPONENT/theme/variables';
import getWrappedInstance from 'UTIL/getWrappedInstance';

class Main extends React.Component {
  render() {
    return (
      <CompPage ref={(c) => (this.pageRef = getWrappedInstance(c))}>
        <Sec title="功能介绍">可输入标签，包含标题和输入框，输入框可选文本或者数字类型，标签可关闭。</Sec>
        <Sec title="例子">
          <h3>基本用法</h3>
          <BasicDemo />
          <h3>数字型</h3>
          <NumberDemo />
          <h3>三种大小</h3>
          <SizeDemo />
          <h3>组操作</h3>
          <GroupDemo />
        </Sec>
        <Sec title="开发说明">暂无。</Sec>
        <Sec title="属性">
          <PropsTable>
            <tr>
              <td>children</td>
              <td>标题内容</td>
              <td>ReactNode</td>
              <td></td>
            </tr>
            <tr>
              <td>type</td>
              <td>输入框类型，默认为文本输入框，可选'number'</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>closable</td>
              <td>是否可关闭</td>
              <td>boolean</td>
              <td></td>
            </tr>
            <tr>
              <td>onClose</td>
              <td>关闭时的回调</td>
              <td>Function</td>
              <td></td>
            </tr>
            <tr>
              <td>inputWidth</td>
              <td>输入框的宽度（px）</td>
              <td>number</td>
              <td></td>
            </tr>
            <tr>
              <td>className</td>
              <td>附加在根元素的类名</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>style</td>
              <td>附加在根元素的样式</td>
              <td>object</td>
              <td></td>
            </tr>
            <tr>
              <td>validator</td>
              <td>
                校验器配置，请参考
                <TextLink onClick={() => this.pageRef.openPage({ path: '/docValidator' })}>Validator</TextLink>
                组件的属性配置
              </td>
              <td>object</td>
              <td></td>
            </tr>
          </PropsTable>
          <div className={styles.info}>
            根据type的不同带有<TextLink onClick={() => this.pageRef.openPage({ path: '/docInput' })}>Input</TextLink>或
            <TextLink onClick={() => this.pageRef.openPage({ path: '/docInputNumber' })}>InputNumber</TextLink>
            的所有属性（className、style除外）。
          </div>
        </Sec>
      </CompPage>
    );
  }
}

export default Main;
