import React from 'react';
import List from 'COMPONENT/List';

let mockData = [];
for (let i = 0; i < 99; i++) {
  const no = i + 1;
  mockData.push({ col1: 'xxx' + no, col2: 'yyy' + no });
}
const columns = [
  { title: '第1列', dataIndex: 'col1' },
  { title: '第2列', dataIndex: 'col2' },
];

class Main extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      list: [], // {Array} 列表数据
      currentPage: 1, // {number} 当前页码
      pageSize: 2, // {number} 每页记录数
      totalRecords: mockData.length, // {number} 总记录数
    };
  }

  componentDidMount() {
    this.loadList(1, 2);
  }

  loadList = (page, pageSize) => {
    let list = [];
    const startIdx = pageSize * (page - 1);
    for (let i = startIdx; i < startIdx + pageSize; i++) {
      if (mockData[i]) {
        list.push(mockData[i]);
      }
    }
    this.setState({ list, currentPage: page, pageSize });
  };

  render() {
    const { list, currentPage, pageSize, totalRecords } = this.state;
    return (
      <div style={{ height: 200 }}>
        <List
          dataSource={list}
          columns={columns}
          pagination={{
            current: currentPage,
            pageSize,
            total: totalRecords,
            pageSizeOptions: ['2', '3', '5'],
          }}
          onChange={({ current, pageSize }) => this.loadList(current, pageSize)}
        />
      </div>
    );
  }
}

export default Main;
