import React from 'react';
import CompPage from 'DOC/DocPage';
import PropsTable from '../../PropsTable';
import FuncsTable from '../../FuncsTable';
import Sec from '../../Section';
import BasicDemo from './BasicDemo';
import SizeDemo from './SizeDemo';
import TipsDemo from './TipsDemo';
import styles from '../../styles.less';

class Main extends React.Component {
  render() {
    return (
      <CompPage>
        <Sec title="功能介绍">数据加载时的动画等待提示。</Sec>
        <Sec title="例子">
          <h3>基本用法</h3>
          <BasicDemo />
          <h3>两种大小</h3>
          <SizeDemo />
          <h3>文字提示</h3>
          <TipsDemo />
        </Sec>
        <Sec title="开发说明">
          <ul className={styles.ul}>
            <li>组件的布局方式为绝对定位，所以通常需要给外层元素样式设置定位属性（position）</li>
          </ul>
        </Sec>
        <Sec title="属性">
          <PropsTable>
            <tr>
              <td>loading</td>
              <td>是否等待状态</td>
              <td>boolean</td>
              <td></td>
            </tr>
            <tr>
              <td>size</td>
              <td>图标大小，'large'为大号</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>tip</td>
              <td>文字提示</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>delay</td>
              <td>延迟显示的时间（毫秒）</td>
              <td>number</td>
              <td></td>
            </tr>
          </PropsTable>
        </Sec>
      </CompPage>
    );
  }
}

export default Main;
