import React from 'react';
import Button from 'COMPONENT/Button';
import Modal from 'COMPONENT/Modal';
import getWrappedInstance from 'UTIL/getWrappedInstance';

class Main extends React.Component {
  state = {
    visible: false,
  };

  close = () => {
    this.setState({ visible: false });
  };

  commit = () => {
    this._modal.showOkTips('操作失败：一些错误信息一些错误信息');
  };

  render() {
    const { visible } = this.state;
    return (
      <div>
        <Button type="primary" onClick={() => this.setState({ visible: true })}>
          查看示例
        </Button>
        {visible && (
          <Modal
            title="错误提示示例"
            okText="提交"
            onOk={this.commit}
            onCancel={this.close}
            ref={(c) => (this._modal = getWrappedInstance(c))}
          >
            <p>点击提交按钮，查看错误提示。</p>
          </Modal>
        )}
      </div>
    );
  }
}

export default Main;
