import React from 'react';
import Button from 'COMPONENT/Button';
import Modal from 'COMPONENT/Modal';

class Main extends React.Component {
  state = {
    visible: false,
  };

  close = () => {
    this.setState({ visible: false });
  };

  render() {
    const { visible } = this.state;
    return (
      <div>
        <Button type="primary" onClick={() => this.setState({ visible: true })}>
          查看示例
        </Button>
        {visible && (
          <Modal
            title="标题"
            onCancel={this.close}
            footer={
              <div>
                <div style={{ float: 'left', lineHeight: '32px' }}>说明：一些提示信息</div>
                <Button type="primary" onClick={this.close}>
                  自定义按钮
                </Button>
              </div>
            }
          >
            <p>任意内容</p>
            <p>任意内容任意内容任意内容</p>
            <p>任意内容任意内容任意内容任意内容任意内容任意内容</p>
          </Modal>
        )}
      </div>
    );
  }
}

export default Main;
