import React from 'react';
import Button from 'COMPONENT/Button';
import Modal from 'COMPONENT/Modal';

class Main extends React.Component {
  state = {
    visible: false,
  };

  close = () => {
    this.setState({ visible: false });
  };

  render() {
    const { visible } = this.state;
    return (
      <div>
        <Button type="primary" onClick={() => this.setState({ visible: true })}>
          查看示例
        </Button>
        {visible && (
          <Modal title="等待状态示例" onOk={this.close} onCancel={this.close} loading={true}>
            <p>
              模态框处于等待状态时：
              <br />
              1、内容区域不可操作
              <br />
              2、显示等待动画
              <br />
              3、确定按钮禁用
            </p>
          </Modal>
        )}
      </div>
    );
  }
}

export default Main;
