import React from 'react';
import { Button } from 'antd';
import Modal from 'COMPONENT/Modal';
import FormItem from 'COMPONENT/FormItem';
import TextArea from 'COMPONENT/TextArea';
import showMessage from 'COMPONENT/utils/globalTips/showMessage';
import getWrappedInstance from 'UTIL/getWrappedInstance';

class Main extends React.Component {
  state = {
    detail: null,
    loading: false,
  };

  componentDidMount() {
    this.initContent();
  }

  /**
   * 请求初始化数据
   */
  initContent = () => {
    this.setState({ loading: true });
    setTimeout(() => {
      //模拟网络延时
      this.setState({ detail: '一些业务描述一些业务描述', loading: false });
    }, 1000);
  };

  /**
   * 请求提交数据
   */
  commit = () => {
    const { onClose } = this.props;
    this.setState({ loading: true });
    setTimeout(() => {
      //模拟网络延时
      const success = Math.random() > 0.5 ? true : false; //模拟提交成功和失败状态
      if (success) {
        showMessage('操作成功', 'success');
        onClose();
      } else {
        this._modal.showOkTips('操作失败：一些错误信息一些错误信息');
        this.setState({ loading: false });
      }
    }, 1500);
  };

  render() {
    const { onClose } = this.props;
    const { detail, loading } = this.state;
    return (
      <Modal
        loading={loading}
        title="网络请求交互示例"
        onCancel={onClose}
        okText="提交"
        onOk={this.commit}
        ref={(c) => (this._modal = getWrappedInstance(c))}
      >
        <FormItem name="项目描述">{detail}</FormItem>
        <FormItem name="审批意见">
          <TextArea />
        </FormItem>
      </Modal>
    );
  }
}

export default Main;
