import React from 'react';
import moment from 'moment';
import { momentToMonth, monthToMoment, MONTH_FORMAT } from 'COMPONENT/utils/form';
import MonthPicker from 'COMPONENT/MonthPicker';

class Main extends React.Component {
  state = {
    value: null,
  };

  /**
   * 获取要禁用的月份值
   * @param  {string} value 过滤前的月份值
   * @return {boolean} 是否要禁用
   */
  getDisabledMonth = (value) => {
    if (!value) {
      return false;
    }
    return monthToMoment(value, MONTH_FORMAT).valueOf() < monthToMoment(momentToMonth(moment())).valueOf();
  };

  render() {
    const { value } = this.state;
    return (
      <div style={{ width: 200 }}>
        <MonthPicker
          value={value}
          onChange={(val) => this.setState({ value: val })}
          disabledMonth={(val) => this.getDisabledMonth(val)}
        />
      </div>
    );
  }
}

export default Main;
