import React from 'react';
import { Row, Col } from 'antd';
import Page from 'COMPONENT/Page';
import Block from 'COMPONENT/Block';
import FormItem from 'COMPONENT/FormItem';
import Select from 'COMPONENT/Select';
import TextArea from 'COMPONENT/TextArea';
import showMessage from 'COMPONENT/utils/globalTips/showMessage';
import styles from './styles.less';

class Main extends React.Component {
  state = {
    name: null,
    year: null,
    serise: null,
    grade: null,
    remark: '',
    loading: false,
  };

  componentDidMount() {
    this.initContent();
  }

  /**
   * 请求初始化数据
   */
  initContent = () => {
    this.setState({ loading: true });
    setTimeout(() => {
      //模拟网络延时
      this.setState({
        name: '小班产品007',
        year: '2018',
        serise: '星火培优',
        grade: '高一',
        remark: '呵呵',
        loading: false,
      });
    }, 1000);
  };

  /**
   * 请求提交数据
   */
  commit = () => {
    this.setState({ loading: true });
    setTimeout(() => {
      //模拟网络延时
      const success = Math.random() > 0.5 ? true : false; //模拟提交成功和失败状态
      if (success) {
        showMessage('操作成功', 'success');
      } else {
        this._page.showOkTips('操作失败：一些错误信息一些错误信息');
      }
      this.setState({ loading: false });
    }, 1500);
  };

  render() {
    const { name, year, serise, grade, remark, loading } = this.state;
    return (
      <Page route={this.props.route} footer={true} loading={loading} onOk={this.commit} ref={(c) => (this._page = c)}>
        <Block title="产品信息">
          <Row style={{ maxWidth: 1000, margin: '10px 0 0 -25px' }}>
            <Col span={12}>
              <FormItem name="产品名称">{name}</FormItem>
            </Col>
            <Col span={12}>
              <FormItem name="产品年份">{year}</FormItem>
            </Col>
            <Col span={12}>
              <FormItem name="产品系列">{serise}</FormItem>
            </Col>
            <Col span={12}>
              <FormItem name="年级段">{grade}</FormItem>
            </Col>
            <Col span={24}>
              <FormItem name="详细说明">
                <TextArea rows={3} value={remark} onChange={(e) => this.setState({ remark: e.target.value })} />
              </FormItem>
            </Col>
          </Row>
        </Block>
      </Page>
    );
  }
}

export default Main;
