import React from 'react';
import ReactDOM from 'react-dom';
import Popover from 'COMPONENT/Popover';
import TextLink from 'COMPONENT/TextLink';
import Checkbox from 'COMPONENT/Checkbox';

const CheckboxGroup = Checkbox.Group;

const options = [
  { label: '选项1', value: '1' },
  { label: '选项2', value: '2' },
  { label: '选项3', value: '3' },
];

class SelectPop extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      visible: false,
      value: null,
    };
  }

  ok = () => {
    const { onOk } = this.props;
    const { value } = this.state;
    this.setState({ visible: false, title: null });
    onOk(
      value
        ? options
            .filter((op) => value.indexOf(op.value) >= 0)
            .map((p) => p.label)
            .join('、')
        : null,
    );
  };

  render() {
    const { children, onOk, getPopupContainer } = this.props;
    const { visible, value } = this.state;

    const content = (
      <div style={{ padding: 20 }} ref={(c) => (this.$content = ReactDOM.findDOMNode(c))}>
        <div>
          <CheckboxGroup options={options} value={value} onChange={(val) => this.setState({ value: val })} />
        </div>
        <div style={{ marginTop: 20, textAlign: 'right' }}>
          <TextLink onClick={this.ok}>确定</TextLink>
          <TextLink type="secondary" style={{ marginLeft: 20 }} onClick={() => this.setState({ visible: false })}>
            取消
          </TextLink>
        </div>
      </div>
    );

    return (
      <Popover
        content={content}
        trigger="click"
        visible={visible}
        onVisibleChange={(visible) => this.setState({ visible })}
        getPopupContainer={getPopupContainer}
      >
        {children}
      </Popover>
    );
  }
}

export default SelectPop;
