import React from 'react';
import Button from 'COMPONENT/Button';
import Popover from 'COMPONENT/Popover';
import styles from './styles.less';

const content = (
  <div>
    <p>一些内容</p>
    <p>一些内容一些内容</p>
    <p>一些内容一些内容一些内容</p>
  </div>
);
const buttonWidth = 70;
const cfg = {
  getPopupContainer: (ele) => ele.parentNode,
};
class Main extends React.Component {
  render() {
    return (
      <div className={styles.wrap}>
        <div style={{ marginLeft: buttonWidth, whiteSpace: 'nowrap' }}>
          <Popover {...cfg} placement="topLeft" content={content}>
            <Button>上左</Button>
          </Popover>
          <Popover {...cfg} placement="top" content={content}>
            <Button>上</Button>
          </Popover>
          <Popover {...cfg} placement="topRight" content={content}>
            <Button>上右</Button>
          </Popover>
        </div>
        <div style={{ width: buttonWidth, float: 'left' }}>
          <Popover {...cfg} placement="leftTop" content={content}>
            <Button>左上</Button>
          </Popover>
          <Popover {...cfg} placement="left" content={content}>
            <Button>左</Button>
          </Popover>
          <Popover {...cfg} placement="leftBottom" content={content}>
            <Button>左下</Button>
          </Popover>
        </div>
        <div style={{ width: buttonWidth, marginLeft: buttonWidth * 4 + 24 }}>
          <Popover {...cfg} placement="rightTop" content={content}>
            <Button>右上</Button>
          </Popover>
          <Popover {...cfg} placement="right" content={content}>
            <Button>右</Button>
          </Popover>
          <Popover {...cfg} placement="rightBottom" content={content}>
            <Button>右下</Button>
          </Popover>
        </div>
        <div style={{ marginLeft: buttonWidth, clear: 'both', whiteSpace: 'nowrap' }}>
          <Popover {...cfg} placement="bottomLeft" content={content}>
            <Button>下左</Button>
          </Popover>
          <Popover {...cfg} placement="bottom" content={content}>
            <Button>下</Button>
          </Popover>
          <Popover {...cfg} placement="bottomRight" content={content}>
            <Button>下右</Button>
          </Popover>
        </div>
      </div>
    );
  }
}

export default Main;
