import React from 'react';
import CompPage from 'DOC/DocPage';
import PropsTable from '../../PropsTable';
import FuncsTable from '../../FuncsTable';
import Sec from '../../Section';
import BasicDemo from './BasicDemo';
import DisabledDemo from './DisabledDemo';
import SizeDemo from './SizeDemo';
import styles from '../../styles.less';
import styleVars from 'COMPONENT/theme/variables';

class Main extends React.Component {
  render() {
    return (
      <CompPage>
        <Sec title="功能介绍">单选按钮，替代React自带的radio组件。</Sec>
        <Sec title="例子">
          <h3>基本用法</h3>
          <BasicDemo />
          <h3>禁用状态</h3>
          <DisabledDemo />
          <h3>两种大小</h3>
          <SizeDemo />
          <div className={styles.info}>选框大小一致，字体大小和行高有区别。</div>
        </Sec>
        <Sec title="开发说明">暂无。</Sec>
        <Sec title="属性">
          <PropsTable>
            <tr>
              <td>checked</td>
              <td>选中状态</td>
              <td>boolean</td>
              <td></td>
            </tr>
            <tr>
              <td>size</td>
              <td>大小，可选'small'</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>onChange</td>
              <td>选中状态改变时的回调</td>
              <td>Function(e)</td>
              <td></td>
            </tr>
            <tr>
              <td>disabled</td>
              <td>禁用状态</td>
              <td>boolean</td>
              <td></td>
            </tr>
            <tr>
              <td>className</td>
              <td>附加在根元素的类</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>style</td>
              <td>附加在根元素的样式</td>
              <td>object</td>
              <td></td>
            </tr>
          </PropsTable>
        </Sec>
      </CompPage>
    );
  }
}

export default Main;
