import React from 'react';
import Search from 'COMPONENT/Search';

const dict1 = [
  { val: '1', text: '选项1' },
  { val: '2', text: '选项2' },
];
const dict2 = [
  { val: '1', text: '选项1' },
  { val: '2', text: '选项2' },
  { val: '3', text: '选项3' },
  { val: '4', text: '选项4' },
  { val: '5', text: '选项5' },
  { val: '6', text: '选项6' },
  { val: '7', text: '选项7' },
  { val: '8', text: '选项8' },
  { val: '9', text: '选项9' },
  { val: '10', text: '选项10' },
  { val: '11', text: '选项11' },
  { val: '12', text: '选项12' },
  { val: '13', text: '选项13' },
  { val: '14', text: '选项14' },
  { val: '15', text: '选项15' },
  { val: '16', text: '选项16' },
  { val: '17', text: '选项17' },
];
const conditions = [
  { title: '单选', field: 'single', dict: dict1 },
  { title: '多选', field: 'multi', dict: dict2, isMultiSelect: true },
  {
    type: 'moreSelect',
    title: [
      { text: '单选', val: 'moreSingle' },
      { text: '多选', val: 'moreMulti' },
    ],
    dict: {
      moreSingle: dict1,
      moreMulti: dict2,
    },
    isMultiSelect: {
      moreSingle: false,
      moreMulti: true,
    },
  },
];

class Main extends React.Component {
  state = {
    inputValue: null,
    single: null,
    multi: null,
    moreSingle: null,
    moreMulti: null,
  };

  onInputChange = (inputValue) => {
    this.setState({ inputValue });
  };

  onSearch = (searchKeys) => {
    this.setState(searchKeys);
    console.log(`查询条件：`, searchKeys);
  };

  render() {
    const { inputValue, single, multi, moreSingle, moreMulti } = this.state;
    const selectedDatas = {
      inputValue,
      single,
      multi,
      moreSingle,
      moreMulti,
    };
    return (
      <div>
        <Search
          conditions={conditions}
          selectedDatas={selectedDatas}
          onSearch={this.onSearch}
          onInputChange={this.onInputChange}
          isShowResult={false}
          conditionWidth={110}
          placeholder="请输入条件搜索"
        />
      </div>
    );
  }
}

export default Main;
