import React from 'react';
import CompPage from 'DOC/DocPage';
import PropsTable from '../../PropsTable';
import FuncsTable from '../../FuncsTable';
import Sec from '../../Section';
import BasicDemo from './BasicDemo';
import CollapseDemo from './CollapseDemo';
import styles from '../../styles.less';

class Main extends React.Component {
  render() {
    return (
      <CompPage>
        <Sec title="功能介绍">
          搜索栏，主要功能是对查询条件输入控件布局，以及提供通用的交互。特点有：
          <ul className={styles.ul}>
            <li>适用于单行单字段的控件，如单行输入框、选择框、多选框、数字输入框、日期输入框等</li>
            <li>控件横向布局，一行6个，数目大于6时，可折叠</li>
            <li>集成了“查询”、“重置”、“更多”（需要折叠时显示）按钮</li>
          </ul>
        </Sec>
        <Sec title="例子">
          <h3>基本用法</h3>
          <BasicDemo />
          <h3>可折叠</h3>
          <CollapseDemo />
        </Sec>
        <Sec title="开发说明">
          <li>统一使用默认尺寸的控件（高度为36px）</li>
        </Sec>
        <Sec title="属性">
          <PropsTable>
            <tr>
              <td>children</td>
              <td>查询条件输入控件集合</td>
              <td>ReactNode</td>
              <td>-</td>
            </tr>
            <tr>
              <td>onSearch</td>
              <td>触发查询时的回调</td>
              <td>function</td>
              <td>-</td>
            </tr>
            <tr>
              <td>onReset</td>
              <td>触发重置时的回调</td>
              <td>function</td>
              <td>-</td>
            </tr>
            <tr>
              <td>expand</td>
              <td>是否展开</td>
              <td>boolean</td>
              <td></td>
            </tr>
            <tr>
              <td>onToggleExpand</td>
              <td>切换展开状态时的回调，参数为展开状态</td>
              <td>function(boolean)</td>
              <td></td>
            </tr>
          </PropsTable>
        </Sec>
      </CompPage>
    );
  }
}

export default Main;
