/**
 * Created by Haolin<haolinhom@gmail.com> on 2019/6/15.
 */
import React from 'react';
import { connect } from 'dva';
import CompPage from 'DOC/DocPage';
import Section from 'DOC/Section';
import PropsTable from 'DOC/PropsTable';
import Button from 'COMPONENT/Button';

class Main extends React.Component {
  constructor(props) {
    super(props);
    this.openPage = this.openPage.bind(this);
    this.openDemoPage = this.openDemoPage.bind(this);
  }

  openPage(params) {
    const { dispatch } = this.props;
    dispatch({
      type: 'main/openPage',
      payload: params,
    });
  }

  openDemoPage() {
    this.openPage({ path: '/docSearchButtonDemo' });
  }

  render() {
    return (
      <CompPage>
        <Section title="功能介绍">
          <p>筛选按钮（展开筛选项）组件，用于替代SearchBar组件的使用。</p>
          <p>在Page组件中使用时，可在Page的headerToolBar属性内赋值本组件（包括其他按钮操作）。</p>
        </Section>
        <Section title="例子">
          <h3>基础用法</h3>
          <Button onClick={this.openDemoPage} type="primary">
            例子
          </Button>
        </Section>
        <Section title="SearchButton属性">
          <PropsTable>
            <tr>
              <td>onSearch</td>
              <td>(必填) 搜索</td>
              <td>Function</td>
              <td>-</td>
            </tr>
            <tr>
              <td>onReset</td>
              <td>(必填) 重置</td>
              <td>Function</td>
              <td>-</td>
            </tr>
            <tr>
              <td>searchBtnLoading</td>
              <td>(可选) 搜索按钮loading</td>
              <td>Boolean</td>
              <td>false</td>
            </tr>
            <tr>
              <td>searchDisabled</td>
              <td>(可选) 搜索按钮不可点击</td>
              <td>Boolean</td>
              <td>false</td>
            </tr>
            <tr>
              <td>resetDisabled</td>
              <td>(可选) 重置按钮不可点击</td>
              <td>Boolean</td>
              <td>false</td>
            </tr>
            <tr>
              <td>maxGridEachRow</td>
              <td>(可选) 每行默认显示n个单元</td>
              <td>Number</td>
              <td>5</td>
            </tr>
            <tr>
              <td>girdConfig</td>
              <td>
                (可选)
                props.children在其中所占单元大小。（没有配置该属性时均默认为1；有配置时会按children顺序设置；配置长度小于children长度时，剩余没有配置的默认为1）
              </td>
              <td>Array</td>
              <td>[ ]</td>
            </tr>
            <tr>
              <td>getPopupContainer</td>
              <td>(可选) </td>
              <td>Function</td>
              <td>function() {'{}'}</td>
            </tr>
            <tr>
              <td>dropdownClassName</td>
              <td>(可选) 弹窗类名</td>
              <td>String</td>
              <td>''</td>
            </tr>
            <tr>
              <td>dropdownStyle</td>
              <td>(可选) 弹窗样式</td>
              <td>StyleObject</td>
              <td>null</td>
            </tr>
            <tr>
              <td>dropdownPlacement</td>
              <td>(可选) 弹窗显示的位置（可选'bottomLeft'或'bottom'），具体位置显示可以参考ant-design。</td>
              <td>string</td>
              <td>'bottomRight'</td>
            </tr>
            <tr>
              <td>popupTransitionName</td>
              <td>(可选) 弹窗的Transition名</td>
              <td>string</td>
              <td>'Dropdown-slide-up'</td>
            </tr>
          </PropsTable>
        </Section>
      </CompPage>
    );
  }
}

export default connect()(Main);
