import React from 'react';
import { connect } from 'dva';
import Button from 'COMPONENT/Button';
import CompPage from 'DOC/DocPage';
import PropsTable from '../../PropsTable';
import FuncsTable from '../../FuncsTable';
import Sec from '../../Section';
import styles from '../../styles.less';

class Main extends React.Component {
  openPage = (params) => {
    const { dispatch } = this.props;
    dispatch({
      type: 'main/openPage',
      payload: params,
    });
  };

  render() {
    return (
      <CompPage>
        <Sec title="功能介绍">用于构建多板块页面。</Sec>
        <Sec title="例子">
          <h3>基本用法</h3>
          <Button type="primary" onClick={() => this.openPage({ path: '/docSectionBasicDemo' })}>
            查看示例
          </Button>
        </Sec>
        <Sec title="开发说明">暂无。</Sec>
        <Sec title="属性">
          <PropsTable>
            <tr>
              <td>className</td>
              <td>附加在根元素上的类名</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>style</td>
              <td>附加在根元素上的样式</td>
              <td>object</td>
              <td></td>
            </tr>
            <tr>
              <td>title</td>
              <td>标题</td>
              <td>ReactNode</td>
              <td></td>
            </tr>
            <tr>
              <td>toolBar</td>
              <td>右侧工具栏</td>
              <td>ReactNode</td>
              <td></td>
            </tr>
            <tr>
              <td>children</td>
              <td>主体内容</td>
              <td>ReactNode</td>
              <td></td>
            </tr>
            <tr>
              <td>loading</td>
              <td>加载状态</td>
              <td>boolean</td>
              <td></td>
            </tr>
          </PropsTable>
        </Sec>
      </CompPage>
    );
  }
}

export default connect()(Main);
