import React from 'react';
import Select from 'COMPONENT/Select';

const dict = [
  { val: '1', text: '曾老师', pinyin: 'zenglaoshi' },
  { val: '2', text: '李老师', pinyin: 'lilaoshi' },
  { val: '3', text: '黄管理', pinyin: 'huangguanli' },
  { val: '4', text: '晓管理', pinyin: 'xiaoguanli' },
  { val: '5', text: '李静静', pinyin: 'lijingjing' },
];

class Main extends React.Component {
  state = {
    value: null,
  };

  filter = (searchKey, option) => {
    const { text, pinyin } = option;
    return text.indexOf(searchKey) >= 0 || pinyin.indexOf(searchKey) >= 0;
  };

  render() {
    const { value } = this.state;
    return (
      <div style={{ width: 200 }}>
        <Select
          showSearch
          placeholder="请输入姓名或者拼音搜索"
          dict={dict}
          value={value}
          onChange={(value) => this.setState({ value })}
          filter={this.filter}
        />
      </div>
    );
  }
}

export default Main;
