import React from 'react';
import { Row as AntdRow, Col as AntdCol } from 'antd';
import Select from 'COMPONENT/Select';
import Button from 'COMPONENT/Button';
import SelectModal from './SelectModal';

const dict = [
  { val: '1', text: '选项 1' },
  { val: '2', text: '选项 2' },
  { val: '3', text: '选项 3' },
];

class Main extends React.Component {
  state = {
    value: null,
    selectModalVisible: false,
  };

  render() {
    const { value, selectModalVisible } = this.state;
    return (
      <div>
        <AntdRow style={{ width: 240 }}>
          <AntdCol span={20}>
            <Select
              dict={dict}
              value={value}
              onChange={(value) => this.setState({ value })}
              selectable={false}
              disabled
            />
          </AntdCol>
          <AntdCol span={4} style={{ paddingLeft: 20 }}>
            <Button type="primary" onClick={() => this.setState({ selectModalVisible: true })}>
              选择
            </Button>
          </AntdCol>
        </AntdRow>
        {selectModalVisible && (
          <SelectModal
            onSelect={(val) => this.setState({ selectModalVisible: false, value: val })}
            onClose={() => this.setState({ selectModalVisible: false })}
          />
        )}
      </div>
    );
  }
}

export default Main;
