import React from 'react';
import { Row, Col } from 'antd';
import Select from 'COMPONENT/Select';

const provinceDict = [
  { val: 'guangdong', text: '广东省' },
  { val: 'guangxi', text: '广西壮族自治区' },
];

const guandongDict = [
  { val: 'guangzhou', text: '广州' },
  { val: 'dongguan', text: '东莞' },
  { val: 'zhuhai', text: '珠海' },
];

const guanxiDict = [
  { val: 'nanning', text: '南宁' },
  { val: 'guili', text: '桂林' },
];

class Main extends React.Component {
  state = {
    provinceValue: 'guangdong',
    cityValue: null,
    cityDict: guandongDict,
  };

  provinceChange = (provinceValue) => {
    this.setState({ provinceValue, cityDict: this.getCityDict(provinceValue), cityValue: null });
  };

  getCityDict = (provinceValue) => {
    if (provinceValue === 'guangdong') {
      return guandongDict;
    } else if (provinceValue === 'guangxi') {
      return guanxiDict;
    } else {
      return [];
    }
  };

  render() {
    const { provinceValue, cityValue, cityDict } = this.state;
    return (
      <Row gutter={16} style={{ width: 432 }}>
        <Col span={12}>
          <Select placeholder="省份" dict={provinceDict} value={provinceValue} onChange={this.provinceChange} />
        </Col>
        <Col span={12}>
          <Select
            placeholder="城市"
            dict={cityDict}
            value={cityValue}
            onChange={(value) => this.setState({ cityValue: value })}
          />
        </Col>
      </Row>
    );
  }
}

export default Main;
