import React from 'react';
import Select from 'COMPONENT/Select';
import { debounce } from 'lodash';

let initDict = [
  { val: '1', text: '选项 1' },
  { val: '2', text: '选项 2' },
];

class Main extends React.Component {
  state = {
    value: null,
    dict: initDict,
  };

  dictVersion = 1;

  onSearchKeyChange = (key) => {
    debounce(this.search, 300)(key);
  };

  search = (key) => {
    if (key) {
      const dictVersion = ++this.dictVersion;
      setTimeout(() => {
        if (this.dictVersion === dictVersion) {
          const fakeSearchResult = [
            { val: `${key}search_1`, text: `${key}搜索结果1` },
            { val: `${key}search_2`, text: `${key}搜索结果2` },
          ];
          this.setState({ dict: fakeSearchResult });
        }
      }, 500);
    } else {
      this.dictVersion++;
      this.setState({ dict: initDict });
    }
  };

  render() {
    const { value, dict } = this.state;
    return (
      <div style={{ width: 200 }}>
        <Select
          dict={dict}
          value={value}
          onChange={(value) => this.setState({ value })}
          onSearchKeyChange={this.onSearchKeyChange}
          textInValue
          showSearch
        />
      </div>
    );
  }
}

export default Main;
