import React from 'react';
import CompPage from 'DOC/DocPage';
import Section from 'DOC/Section';
import PropsTable from 'DOC/PropsTable';
import Demo from './Demo';

class Main extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  render() {
    return (
      <CompPage>
        <Section title="功能介绍">
          分享二维码弹窗组件，能导出用于微信分享的带背景图片，也可以导出高清单个二维码图片。
        </Section>
        <Section title="例子">
          <h3>基础用法</h3>
          <Demo />
        </Section>
        <Section title="属性">
          <PropsTable>
            <tr>
              <td>title</td>
              <td>(可选) 弹窗标题</td>
              <td>String</td>
              <td>分享二维码</td>
            </tr>
            <tr>
              <td>shareTitle</td>
              <td>(可选) 二维码上方提示语</td>
              <td>String</td>
              <td> </td>
            </tr>
            <tr>
              <td>shareText</td>
              <td>(必填) 二维码内容</td>
              <td>String</td>
              <td> </td>
            </tr>
            <tr>
              <td>visible</td>
              <td>(必填) 是否显示弹窗</td>
              <td>Boolean</td>
              <td> </td>
            </tr>
            <tr>
              <td>onCancel</td>
              <td>(必填) 关闭弹窗回调</td>
              <td>Function</td>
              <td> </td>
            </tr>
            <tr>
              <td>fileName</td>
              <td>(可选) </td>
              <td>String</td>
              <td>二维码</td>
            </tr>
            <tr>
              <td>showShareBtn</td>
              <td>(可选) 是否显示导出分享二维码按钮</td>
              <td>Boolean</td>
              <td>true</td>
            </tr>
            <tr>
              <td>showHDBtn</td>
              <td>(可选) 是否显示导出高清二维码按钮</td>
              <td>Boolean</td>
              <td>true</td>
            </tr>
            <tr>
              <td>tips</td>
              <td>(可选) 二维码下方提示语</td>
              <td>String</td>
              <td>长按识别二维码</td>
            </tr>
            <tr>
              <td>tipsStyle</td>
              <td>(可选) 提示语样式</td>
              <td>String</td>
              <td>null</td>
            </tr>
            <tr>
              <td>tipsVisible</td>
              <td>(可选) 二维码下方提示是否显示</td>
              <td>Boolean</td>
              <td>true</td>
            </tr>
            <tr>
              <td>fingerprintVisible</td>
              <td>(可选) 提示语下方指纹图片是否显示</td>
              <td>Boolean</td>
              <td>true</td>
            </tr>
          </PropsTable>
        </Section>
      </CompPage>
    );
  }
}

export default Main;
