import React from 'react';
import CompPage from 'DOC/DocPage';
import PropsTable from '../../PropsTable';
import FuncsTable from '../../FuncsTable';
import Sec from '../../Section';
import BasicDemo from './BasicDemo';
import SizeDemo from './SizeDemo';
import EditDemo from './EditDemo';
import ColorDemo from './ColorDemo';
import styles from '../../styles.less';
import styleVars from 'COMPONENT/theme/variables';

class Main extends React.Component {
  render() {
    return (
      <CompPage>
        <Sec title="功能介绍">标签，一般用于展示词条集合。</Sec>
        <Sec title="例子">
          <h3>基本用法</h3>
          <BasicDemo />
          <h3>三种大小</h3>
          <SizeDemo />
          <h3>动态增减</h3>
          <EditDemo />
          <h3>自定义颜色</h3>
          <ColorDemo />
        </Sec>
        <Sec title="开发说明">暂无。</Sec>
        <Sec title="属性">
          <PropsTable>
            <tr>
              <td>children</td>
              <td>内容</td>
              <td>ReactNode</td>
              <td>-</td>
            </tr>
            <tr>
              <td>size</td>
              <td>大小，可选'small'|xSmall</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>color</td>
              <td>背景颜色值</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>closable</td>
              <td>是否可关闭</td>
              <td>boolean</td>
              <td></td>
            </tr>
            <tr>
              <td>onClose</td>
              <td>关闭时的回调</td>
              <td>Function</td>
              <td></td>
            </tr>
            <tr>
              <td>afterClose</td>
              <td>关闭动画完成后的回调</td>
              <td>Function</td>
              <td></td>
            </tr>
            <tr>
              <td>fontWhite</td>
              <td>字体色是否白色</td>
              <td>boolean</td>
              <td></td>
            </tr>
            <tr>
              <td>className</td>
              <td>附加在根元素的类名</td>
              <td>string</td>
              <td></td>
            </tr>
          </PropsTable>
        </Sec>
      </CompPage>
    );
  }
}

export default Main;
