import React from 'react';
import { Row as AntdRow, Col as AntdCol } from 'antd';
import TagSelect from 'COMPONENT/TagSelect';
import Button from 'COMPONENT/Button';
import SelectModal from './SelectModal';
import { dict } from '../common';

class Main extends React.Component {
  state = {
    value: null,
    selectModalVisible: false,
  };

  render() {
    const { value, selectModalVisible } = this.state;
    return (
      <div>
        <AntdRow style={{ width: 360 }}>
          <AntdCol span={20}>
            <TagSelect
              dict={dict}
              value={value}
              onChange={(value) => this.setState({ value })}
              selectable={false}
              disabled
            />
          </AntdCol>
          <AntdCol span={4} style={{ paddingLeft: 20 }}>
            <Button type="primary" onClick={() => this.setState({ selectModalVisible: true })}>
              选择
            </Button>
          </AntdCol>
        </AntdRow>
        {selectModalVisible && (
          <SelectModal
            onSelect={(val) => this.setState({ selectModalVisible: false, value: val })}
            onClose={() => this.setState({ selectModalVisible: false })}
          />
        )}
      </div>
    );
  }
}

export default Main;
