import React from 'react';
import CompPage from 'DOC/DocPage';
import PropsTable from '../../PropsTable';
import FuncsTable from '../../FuncsTable';
import Sec from '../../Section';
import TypeDemo from './TypeDemo';
import SizeDemo from './SizeDemo';
import DisabledDemo from './DisabledDemo';
import styles from '../../styles.less';
import TextLink from 'COMPONENT/TextLink';
import getWrappedInstance from 'UTIL/getWrappedInstance';

class Main extends React.Component {
  render() {
    return (
      <CompPage ref={(c) => (this.pageRef = getWrappedInstance(c))}>
        <Sec title="功能介绍">文字链接，替代React自带的a组件。</Sec>
        <Sec title="例子">
          <h3>两种类型</h3>
          <TypeDemo />
          <h3>自定义大小</h3>
          <SizeDemo />
          <h3>禁用状态</h3>
          <DisabledDemo />
        </Sec>
        <Sec title="开发说明">暂无。</Sec>
        <Sec title="属性">
          <PropsTable>
            <tr>
              <td>children</td>
              <td>文本内容</td>
              <td>ReactNode</td>
              <td>-</td>
            </tr>
            <tr>
              <td>fontSize</td>
              <td>字体大小，默认为普通字体大小</td>
              <td>number</td>
              <td></td>
            </tr>
            <tr>
              <td>disabled</td>
              <td>禁用状态</td>
              <td>boolean</td>
              <td></td>
            </tr>
            <tr>
              <td>type</td>
              <td>类型，可选'secondary'</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>onClick</td>
              <td>点击时的回调</td>
              <td>Function</td>
              <td></td>
            </tr>
            <tr>
              <td>className</td>
              <td>附加在根元素上的类名</td>
              <td>string</td>
              <td></td>
            </tr>
            <tr>
              <td>style</td>
              <td>附加在根元素上的样式</td>
              <td>object</td>
              <td></td>
            </tr>
          </PropsTable>
        </Sec>
      </CompPage>
    );
  }
}

export default Main;
