import React from 'react';
import Tag from 'COMPONENT/Tag';
import Validator from 'COMPONENT/Validator';
import Button from 'COMPONENT/Button';
import styles from './styles.less';

class Main extends React.Component {
  idx = 1;

  state = {
    items: [],
  };

  add = () => {
    const { items } = this.state;
    this.setState({ items: [...items, this.idx++] });
  };

  remove = (id) => {
    const { items } = this.state;
    this.setState({ items: items.filter((s) => s !== id) });
  };

  render() {
    const { items } = this.state;
    return (
      <Validator rules={[{ required: '请添加项目' }]} value={items}>
        <div className={styles.items}>
          {items.map((id) => {
            return (
              <div key={id} className={styles.item}>
                <Tag closable onClose={() => this.remove(id)}>
                  {`项目${id}`}
                </Tag>
              </div>
            );
          })}
          <div key="add" className={styles.item}>
            <Button onClick={this.add}>添加</Button>
          </div>
        </div>
      </Validator>
    );
  }
}

export default Main;
