import React from 'react';
import Input from 'COMPONENT/Input';
import InputNumber from 'COMPONENT/InputNumber';
import Select from 'COMPONENT/Select';
import MultiSelect from 'COMPONENT/MultiSelect';
import DatePicker from 'COMPONENT/DatePicker';
import MonthPicker from 'COMPONENT/MonthPicker';
import TimePicker from 'COMPONENT/TimePicker';
import InputTag from 'COMPONENT/InputTag';
import TextArea from 'COMPONENT/TextArea';
import styles from './styles.less';

class Main extends React.Component {
  state = {
    inputVal: null,
    numberVal: null,
    selectVal: null,
    multiSelVal: null,
    dateVal: null,
    monthVal: null,
    timeVal: null,
    inputTagVal: null,
    textAreaVal: '',
  };

  render() {
    const { inputVal, numberVal, selectVal, multiSelVal, dateVal, monthVal, timeVal, inputTagVal, textAreaVal } =
      this.state;
    return (
      <div>
        <div className={styles.wrap}>
          <div className={styles.item}>
            <Input
              placeholder="文本框"
              value={inputVal}
              onChange={(e) => this.setState({ inputVal: e.target.value })}
              validator={{ showStatus: true, showTips: false }}
            />
          </div>
          <div className={styles.item}>
            <InputNumber
              placeholder="数字输入"
              value={numberVal}
              onChange={(val) => this.setState({ numberVal: val })}
              validator={{ showStatus: true, showTips: false }}
            />
          </div>
          <div className={styles.item}>
            <Select
              placeholder="单选框"
              value={selectVal}
              onChange={(val) => this.setState({ selectVal: val })}
              validator={{ showStatus: true, showTips: false }}
            />
          </div>
          <div className={styles.item}>
            <MultiSelect
              placeholder="多选框"
              value={multiSelVal}
              onChange={(val) => this.setState({ multiSelVal: val })}
              validator={{ showStatus: true, showTips: false }}
            />
          </div>
          <div className={styles.item}>
            <DatePicker
              placeholder="日期选择"
              value={dateVal}
              onChange={(val) => this.setState({ dateVal: val })}
              validator={{ showStatus: true, showTips: false }}
            />
          </div>
          <div className={styles.item}>
            <MonthPicker
              placeholder="月份选择"
              value={monthVal}
              onChange={(val) => this.setState({ monthVal: val })}
              validator={{ showStatus: true, showTips: false }}
            />
          </div>
          <div className={styles.item}>
            <TimePicker
              placeholder="时间选择"
              value={timeVal}
              onChange={(val) => this.setState({ timeVal: val })}
              validator={{ showStatus: true, showTips: false }}
            />
          </div>
          <div className={styles.item}>
            <InputTag
              placeholder="可输入标签"
              value={inputTagVal}
              onChange={(val) => this.setState({ inputTagVal: val })}
              validator={{ showStatus: true, showTips: false }}
            >
              名称
            </InputTag>
          </div>
        </div>
        <div style={{ width: 643 }}>
          <TextArea
            rows={3}
            placeholder="多行文本框"
            value={textAreaVal}
            onChange={(val) => this.setState({ textAreaVal: val })}
            validator={{ showStatus: true, showTips: false }}
          />
        </div>
      </div>
    );
  }
}

export default Main;
