import styles from './styles.less';

const ColorSample = (props) => {
  const { className, title, darkFont, style: styleProp, info, color, fontColor } = props;

  let style = {};
  if (styleProp) {
    style = styleProp;
  }
  if (color) {
    style = { ...style, background: color };
  }
  let fontStyle = {};
  if (fontColor) {
    fontStyle = { ...fontStyle, color: fontColor };
  }

  return (
    <div
      className={styles.piece + (className ? ' ' + className : '') + ' ' + (darkFont === true ? styles.darkFont : '')}
      style={style}
    >
      <div className={styles.pieceTitle} style={fontStyle}>
        {title}
      </div>
      <div className={styles.pieceInfo} style={fontStyle}>
        {info}
      </div>
    </div>
  );
};

export default ColorSample;
