import React from 'react';
import CompPage from 'DOC/DocPage';
import Sec from 'DOC/Section';
import commonStyles from '../../styles.less';
// import styles from './styles.less';
import ColorSample from 'DOC/lessPages/ColorSample';
import Demo from 'DOC/lessPages/Demo';
import Row from 'DOC/Row';
import Col from 'DOC/FloatCol';
import { Radio, Checkbox, Switch, Steps, Progress } from 'antd';
import Button from 'COMPONENT/Button';
import IconButton from 'COMPONENT/IconButton';
import Input from 'COMPONENT/Input';
import InputNumber from 'COMPONENT/InputNumber';
import Select from 'COMPONENT/Select';
import MultiSelect from 'COMPONENT/MultiSelect';
import DatePicker from 'COMPONENT/DatePicker';
import DateRangePicker from 'COMPONENT/DateRangePicker';
import TagSelect from 'COMPONENT/TagSelect';
import TextArea from 'COMPONENT/TextArea';
import TimePicker from 'COMPONENT/TimePicker';

const RadioGroup = Radio.Group;
const Step = Steps.Step;

import styleVars from 'COMPONENT/theme/variables';
console.log(styleVars);

const colStyle = {
  width: 200,
};
const colStyle1 = {
  width: 140,
};
const colStyle2 = {
  width: 420,
};
const dict = [
  { val: '1', text: '选项1' },
  { val: '2', text: '选项2' },
  { val: '3', text: '选项3' },
];
const dictLong = [
  { val: '1', text: '选项1' },
  { val: '2', text: '选项2' },
  { val: '3', text: '选项3' },
  { val: '4', text: '选项3' },
  { val: '5', text: '选项3' },
  { val: '6', text: '选项3' },
  { val: '7', text: '选项3' },
  { val: '8', text: '选项3' },
  { val: '9', text: '选项3' },
  { val: '10', text: '选项3' },
  { val: '11', text: '选项3' },
  { val: '12', text: '选项3' },
];
const groupDict = [
  {
    label: '第一组',
    options: [
      { val: '1', text: '选项1' },
      { val: '2', text: '选项2' },
      { val: '3', text: '选项3' },
    ],
  },
  {
    label: '第二组',
    options: [
      { val: '4', text: '选项4' },
      { val: '5', text: '选项5' },
    ],
  },
];
const inLineStyle = {
  lineHeight: '36px',
};

const inLineStyle2 = {
  lineHeight: '28px',
};

const liTitleStyle = {
  fontSize: styleVars.fontSizeHeadingSm,
  margin: '10px 0',
};

class Main extends React.Component {
  render() {
    return (
      <CompPage>
        <Sec title="简介">
          输入控件的相关标准，用于输入控件，如文本输入框、选择框、按钮等，以及需要与控件对齐或样式统一的文字、图标等其他元素。
          <ul className={commonStyles.ul}>
            <div style={liTitleStyle}>高度</div>
            <li>
              标准 @inputHeight<span className={commonStyles.tips}> - 默认的输入控件高度</span>
            </li>
            <li>
              小号 @inputHeightSm<span className={commonStyles.tips}> - 用于小号控件</span>
            </li>
            <li>
              加小 @inputHeightXs<span className={commonStyles.tips}> - 用于加小号控件</span>
            </li>
            <div style={liTitleStyle}>字体大小</div>
            <li>
              标准 @inputFontSize<span className={commonStyles.tips}> - 默认的输入控件字体大小</span>
            </li>
            <li>
              小号 @inputFontSizeSm<span className={commonStyles.tips}> - 用于小号控件</span>
            </li>
            <li>
              加小 @inputFontSizeXs<span className={commonStyles.tips}> - 用于加小号控件</span>
            </li>
          </ul>
        </Sec>
        <Sec title="样本">待完善。</Sec>
        <Sec title="使用场景">
          <Demo title="标准输入控件">待完善。</Demo>
          <Demo title="小号输入控件">待完善。</Demo>
          <Demo title="加小号输入控件">待完善。</Demo>
          <Demo title="文字、图标">待完善。</Demo>
        </Sec>
      </CompPage>
    );
  }
}

export default Main;
