import { storeName, authToRemindType, ECS_CLASS_RETURN_UNAUDIT, SCHOOL_STUDENT_NOTICE } from './config';
import { getRemindCount } from 'SERVICE/common';
import { crmNotificationListAdapter } from './utils';
import { runFunc, errorsHandle } from 'UTIL/common';

/**
 * 该模块内嵌于account模块中
 * */
export default {
  state: {
    crmNotificationList: [],
    isInit: true,
    openWhenSysInit: false,
  },
  reduces: {
    updateState(state, { payload }) {
      return {
        ...state,
        ...payload,
      };
    },
  },
  effects: {
    *loadCrmNotificationList({ payload: { callback } }, { select, put }) {
      const remindTypeList = yield select((state) => {
        return authToRemindType
          .map((item) => (state.account.btnAuths.includes(item.auth) ? item.type : null))
          .filter((item) => item);
      });

      const fetchList = remindTypeList.map((type) => getRemindCount({ remindType: type }, true));

      const fetchRsp = yield Promise.all(fetchList).catch(errorsHandle());
      if (fetchRsp) {
        const originList = fetchRsp.map((rsp, rspIndex) => ({
          remindType: remindTypeList[rspIndex],
          data: rsp.data,
        }));
        let payload = { crmNotificationList: crmNotificationListAdapter(originList) };

        const isInit = yield select((state) => state[storeName].isInit);
        if (isInit) {
          payload.openWhenSysInit = payload.crmNotificationList.length > 0;
          payload.isInit = false;
        }

        yield put({
          type: 'updateState',
          payload,
        });
      }

      runFunc(callback);
    },
  },
};
