import {
  FOLLOW_UP,
  VISIT,
  INITIATIVE_NEW_RESOURCE_PERSONAL,
  GENERAL_NEW_RESOURCE_PERSONAL,
  NEW_RESOURCE_POOL,
  NEW_NETWORK_RESOURCE,
  ECS_CLASS_RETURN_UNAUDIT,
  ECS_CLASS_ACCOUNTANT_RAUDIT,
  PROMOTION_INFO_RETURN_UNAUDIT,
  SCHOOL_STUDENT_NOTICE,
} from './config';

const crmNotificationItemAdapter = {
  [FOLLOW_UP](data) {
    const count = Number(data.count);
    return count > 0
      ? {
          text: `你今天有 ${count} 个学生需要跟进，请及时跟进。`,
          params: { remindType: FOLLOW_UP },
        }
      : null;
  },
  [VISIT](data) {
    const count = Number(data.count);
    return count > 0
      ? {
          text: `你预约了 ${count} 个学生今天上门，请及时跟进。`,
          params: { remindType: VISIT },
        }
      : null;
  },
  [INITIATIVE_NEW_RESOURCE_PERSONAL](data) {
    const count = Number(data.count);
    return count > 0
      ? {
          text: `你新增 ${count} 个主动资源及拉访，请及时跟进。`,
          params: { remindType: INITIATIVE_NEW_RESOURCE_PERSONAL },
        }
      : null;
  },
  [GENERAL_NEW_RESOURCE_PERSONAL](data) {
    const count = Number(data.count);
    return count > 0
      ? {
          text: `你资源池流入了 ${count} 个新资源，请及时跟进。`,
          params: { remindType: GENERAL_NEW_RESOURCE_PERSONAL },
        }
      : null;
  },
  [NEW_RESOURCE_POOL](data) {
    const count = Number(data.count);
    return count > 0
      ? {
          text: `${data.campusName}资源池流入了 ${count} 个新资源，请及时分配。`,
          params: {
            campusId: data.campusId,
            remindType: NEW_RESOURCE_POOL,
          },
        }
      : null;
  },
  [NEW_NETWORK_RESOURCE](data) {
    const count = Number(data.count);
    return count > 0
      ? {
          text: `网络资源池今天有${count}个资源需要分配，请及时处理。`,
          params: {
            remindType: NEW_NETWORK_RESOURCE,
          },
        }
      : null;
  },
  [ECS_CLASS_RETURN_UNAUDIT](data) {
    const count = Number(data.count);
    return count > 0
      ? {
          text: `您有${count}个待审批精英班退费申请，请及时处理。`,
          params: {
            remindType: ECS_CLASS_RETURN_UNAUDIT,
            auditStatus: 'UNAUDIT',
          },
        }
      : null;
  },
  [ECS_CLASS_ACCOUNTANT_RAUDIT](data) {
    const count = Number(data.count);
    return count > 0
      ? {
          text: `您有${count}个待审批精英班退费申请，请及时处理。`,
          params: {
            remindType: ECS_CLASS_ACCOUNTANT_RAUDIT,
            auditStatus: 'ACCOUNTANT_RAUDIT',
          },
        }
      : null;
  },
  [PROMOTION_INFO_RETURN_UNAUDIT](data) {
    const count = Number(data.count);
    return count > 0
      ? {
          text: `您有${count}个抵扣券申请待审核，请及时处理。`,
          params: {
            remindType: PROMOTION_INFO_RETURN_UNAUDIT,
            promotionInfoStatus: '2',
          },
        }
      : null;
  },
  [SCHOOL_STUDENT_NOTICE](data) {
    const count = Number(data.count);
    return count > 0
      ? {
          text: `您有${count}个学生的当前学校信息不符合当前学段，请更新。`,
          params: {
            remindType: SCHOOL_STUDENT_NOTICE,
          },
        }
      : null;
  },
};

const crmNotificationListAdapter = (originList) => {
  let tagList = [];

  originList.forEach((item) => {
    if (Array.isArray(item.data.list)) {
      item.data.list.forEach((poolItem) => {
        tagList.push({
          remindType: item.remindType,
          data: poolItem,
        });
      });
    } else {
      tagList.push(item);
    }
  });

  return tagList.map((item) => crmNotificationItemAdapter[item.remindType](item.data)).filter((item) => item);
};

export { crmNotificationListAdapter };
