// 产品类型
const productType = 'productTypes';
// 产品系列
const productSeries = 'courseSeries';
// 产品组
const productGroup = 'productGroup';
// 班级类型
const classType = 'classTypes';
// 班级层次
const classLevel = 'classLevels';
// 分公司
const branch = 'branch';
// 学习中心
const campus = 'campus';
// 选项
const options = 'options';

// 获取对应上级关系，按顺序排列(由上至下)
const parentCfg = {
  [productType]: null,
  [productSeries]: [productType],
  [productGroup]: [productType],
  [classType]: [productType],
  [classLevel]: [productType, classType],
  [branch]: null,
  [campus]: [branch],
};
// 获取关联关系字典配置
const getDictCfg = {
  [productType]: null,
  [productSeries]: [productSeries],
  [productGroup]: [productGroup],
  [classType]: [classType],
  [classLevel]: [classType, classLevel],
  [branch]: null,
  [campus]: [campus],
};
// 更新关联关系值配置
const updateCfg = {
  [productType]: [productSeries, productGroup, classType, classLevel],
  [classType]: [classLevel],
  [branch]: [campus],
};

export {
  productType,
  productSeries,
  productGroup,
  classType,
  classLevel,
  branch,
  campus,
  options,
  parentCfg,
  getDictCfg,
  updateCfg,
};
