import React from 'react';
import styles from './styles.less';
import { Button, Col, Row } from 'antd';

class Comments extends React.Component {
  constructor(props) {
    super(props);
  }

  componentDidMount() {}

  render() {
    let data = this.props.data;
    return (
      <div>
        <ul>
          {data.map((v, k) => {
            return (
              <li key={k} className={styles.replyItem}>
                <div className={styles.info}>
                  <span>发布人: {v.userName}</span>
                  <span style={{ float: 'right' }}>发布时间：{v.createTime}</span>
                </div>
                <Row>
                  <Col span={20}>
                    <div
                      dangerouslySetInnerHTML={{
                        __html: v.content,
                      }}
                      className={styles.content}
                    ></div>
                  </Col>
                  <Col span={4}>
                    <div className={styles.delete}>
                      <Button type="primary" style={{ marginTop: 10 }} data-id={v.id} onClick={this.props.deleteReply}>
                        删除
                      </Button>
                    </div>
                  </Col>
                </Row>
              </li>
            );
          })}
        </ul>
        <div className={styles.pagination}>{this.props.children}</div>
      </div>
    );
  }
}

export default Comments;
