import React from 'react';
import { Tree } from 'antd';
import defaultPng from 'ASSET/imgs/40_40.svg';
const TreeNode = Tree.TreeNode;
import styles from './styles.less';

class TopList extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  render() {
    const data = this.props.data;
    const isHomeroomTeacher = this.props.type === 'homeroomTeacher';

    return (
      <div className={styles.top10}>
        <ul className={styles.top10List}>
          {data.map((v, k) => {
            return (
              <li key={k} style={{ marginBottom: 15 }}>
                <div>
                  <div>
                    <span>{isHomeroomTeacher ? v.bonusRank : v.rank || k + 1}</span>
                  </div>
                  <div>
                    <span>
                      <img src={defaultPng} alt="" />
                    </span>
                  </div>
                  <div>
                    <span>{v.username}</span>
                    <span>{isHomeroomTeacher ? v.userBelongOrgName : v.orgName}</span>
                  </div>
                  <div>
                    <span>{isHomeroomTeacher ? v.totalBonusAmount : v.natureAmount || v.amount}</span>
                  </div>
                </div>
                <div>
                  {(isHomeroomTeacher ? v.totalBonusAmount != 0 : v.lineAmount != null) && (
                    <Tree defaultExpandedKeys={[]}>
                      <TreeNode key="0-0" title="">
                        <TreeNode
                          title={`${isHomeroomTeacher ? `新签  ${v.newBonusAmount}` : `线上  ${v.onlineAmount}`}`}
                          key="0-0-1"
                        ></TreeNode>
                        <TreeNode
                          title={`${isHomeroomTeacher ? `续费  ${v.reBonusAmount}` : `线下  ${v.lineAmount}`}`}
                          key="0-0-2"
                        ></TreeNode>
                      </TreeNode>
                    </Tree>
                  )}
                </div>
              </li>
            );
          })}
        </ul>
      </div>
    );
  }
}

export default TopList;
