import React from 'react';
import defaultPng from 'ASSET/imgs/40_40.svg';
import styles from './styles.less';

const TopList = (props) => {
  const { data } = props;

  return (
    <div className={styles.top10}>
      <ul className={styles.top10List}>
        {data.map((v, k) => {
          return (
            <li key={k} style={{ marginBottom: 15 }}>
              <div>
                <div>
                  <span>{v.rank || k + 1}</span>
                </div>
                <div>
                  <span>
                    <img src={defaultPng} alt="" />
                  </span>
                </div>
                <div>
                  <span>{v.userName}</span>
                  <span>{v.orgName}</span>
                </div>
                <div>
                  <span>{v.amount}</span>
                </div>
              </div>
            </li>
          );
        })}
      </ul>
    </div>
  );
};

export default TopList;
