import { logoutSystem } from 'SERVICE/system';
import { logout as logoutFn } from 'SERVICE/account';
import gioReport from 'UTIL/gioReport';

export function sendMessage(type, data, path, callback) {
  this.postMessage(JSON.stringify({ type, data, path, callback }));
}

export function getPath(location) {
  const { query } = location;
  const path = query.path;
  const allQueryKeys = Object.keys(query);
  const restQueryKeys = allQueryKeys.filter((item) => item !== 'path');
  let pathQuery = '';
  if (restQueryKeys.length > 0) {
    const questionMark = path.lastIndexOf('?') > -1 ? '&' : '?';
    pathQuery = questionMark + restQueryKeys.map((key) => `${key}=${query[key]}`).join('&');
  }
  return path + pathQuery;
}

export function logout() {
  logoutSystem().then(() => {
    gioReport.clearUserId();
    logoutFn();
  });
}
