/**
 * 旧页面
 */
import React from 'react';
import { connect } from 'dva';
import Main from './Main';
import { parseUrl } from 'UTIL/url';
import { checkContractPrintDetail } from 'SERVICE/contract';
import showMessage from 'COMPONENT/utils/globalTips/showMessage';
import registerModel from 'UTIL/registerModel';

class OldPage extends React.Component {
  constructor(props) {
    super(props);

    this.loadModal = this.loadModal.bind(this);
    this.switchModalBatchActivating = this.switchModalBatchActivating.bind(this);

    const urlInfo = parseUrl();
    const { src: url } = urlInfo.params;

    this.state = {
      url,
      modal: {
        //通用弹框，旧页面调用新版弹框
        comp: null, //组件
        visible: false, //显示状态
        oldPageParams: {}, //参数
        props: {},
      },
    };
    // 事件监听
    this.listeners = [
      { selector: '#promiseClassPlanBtn', func: this.promiseClassPlanBtnClick },
      {
        selector:
          '.studentScoreManageBtn, .o2oStudentScoreManageBtn, .otmStudentScoreManageBtn, .promiseStudentScoreManageBtn, .smallStudentScoreManageBtn',
        func: this.studentScoreManageBtnClick,
      },
      { selector: '.financeOTOCourseCheckBtn', func: this.financeOTOCourseCheckBtnClick },
      {
        selector:
          '.studentFollowVisitBtn, .o2oStudentFollowVisitBtn, .otmStudentFollowVisitBtn, .promiseStudentFollowVisitBtn, .smallStudentFollowVisitBtn',
        func: this.studentFollowVisitBtnClick,
      },
      {
        selector:
          '.studentDocManageBtn, .o2oStudentDocManageBtn, .otmStudentDocManageBtn, .promiseStudentDocManageBtn, .smallStudentDocManageBtn',
        func: this.studentDocManageBtnClick,
      },
      { selector: '.addCustomerBtn', func: this.addCustomerBtnClick },
      { selector: '.addNetworkCustomerBtn', func: this.addNetworkCustomerBtnClick },
      { selector: '#addMainClassBtn', func: this.handleAddMainClass },
      { selector: '#productImportBtn', func: this.showProductImport },
      { selector: '#productImportHistory', func: this.openProductImportHistory },
      { selector: '#showContractAssignClass, #checkContractAssignClass', func: this.showContractAssignClass },
      { selector: '#addMainClassBtn', func: this.handleAddMainClass },
      { selector: '#changeCourses', func: this.changeCourses },
      { selector: '#twoTeacherChangeCourses', func: this.twoTeacherChangeCourses },
      { selector: '#subjectAssign', func: this.showSubjectAssign },
      { selector: '.addProductBtn', func: this.showContractAddProduct },
      { selector: 'a[name="addProductBtn"]', func: this.showContractAddProduct },
      { selector: '.prepare', func: this.showPrePare },
      { selector: '.canclePrePare', func: this.showcanclePrePare },
      { selector: '.prepareReason', func: this.showPrepareReason },
      { selector: '#sharePayment', func: this.showContractSharePaymentOld },
      { selector: '#addNewCourses', func: this.showAddNewCourses },
      { selector: '#modifyCourses', func: this.showModifyCourses },
      { selector: '#clickElementToOpenReactPage', func: this.clickElementToOpenReactPage },
      { selector: '#clickElementToOpenReactModal', func: this.clickElementToOpenReactModal },
      { selector: '#studentBatchRegBtn', func: this.switchModalBatchActivating },
      { selector: '#batchBuildClass', func: this.batchBuildClass },
      { selector: '#downloadStudentSchedule', func: this.downloadStudentSchedule },
    ];
    // 弹窗组件配置
    this.modalCompCfg = {
      // 显示抵扣券明细
      showDeductionCouponInfo(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/preferential/modals/DeductionCouponInfoModal/index'));
        });
      },
      // 产品缩单
      narrowContract(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/contract/modals/NarrowContractModal/index'));
        });
      },
      // 标记特殊学生
      editStudentLabel(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/student/modals/EditStudentLabelModal/index'));
        });
      },
      // 产品管理导入
      productImport(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/product/modals/ProductImport'));
        });
      },
      // 合同一对一、一对多分配课时
      contractAssignClass(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/contract/modals/AssignClassModal/index'));
        });
      },
      // 合同列表 => 双师科次分配
      subjectAssign(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/contract/modals/SubjectAssign/index'));
        });
      },
      // 合同列表 -> 星火科次业绩分配
      xhSubjectPerfAllocation(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/contract/modals/XhSubjectPerformanceAllocation'));
        });
      },
      // 添加合同 => 添加合同产品
      contractAddProduct(resolve) {
        require.ensure([], (require) => {
          registerModel(require('PAGE/contract/ModalAddProduct/store'));
          resolve(require('PAGE/contract/ModalAddProduct/index'));
        });
      },
      // (old)合同列表 => 分享支付
      contractSharePaymentOld(resolve) {
        require.ensure([], (require) => {
          registerModel(require('PAGE/contract/SharePayment/store'));
          resolve(require('PAGE/contract/SharePayment/index'));
        });
      },
      // 小班管理 => 详情 => 预退班
      prePare(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/course/modals/prePareClass/index'));
        });
      },
      // 小班管理 => 详情 => 取消预退班
      cancelPrePare(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/course/modals/CancelPrePareClass/index'));
        });
      },
      // 小班管理 => 详情 => 预退班原因
      prepareReason(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/course/modals/PrepareReason/index'));
        });
      },
      // 小班管理 => 课程 => 新增课程
      addNewCourses(resolve) {
        require.ensure([], (require) => {
          registerModel(require('PAGE/course/miniClassManage/MiniClassManage/Modal/AddNewCourse/store'));
          resolve(require('PAGE/course/miniClassManage/MiniClassManage/Modal/AddNewCourse/index'));
        });
      },
      // 小班管理 => 课程 => 批量修改课程
      modifyCourses(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/course/miniClassManage/MiniClassManage/Modal/ModifyCourse/index'));
        });
      },
      // 修改学生姓名
      modifyStudentName(resolve) {
        require.ensure([], (require) => {
          resolve(require('BLOC/ModalModifyStudentName'));
        });
      },
      // 学生列表-批量激活
      studentBatchActivating(resolve) {
        require.ensure([], (require) => {
          registerModel(require('PAGE/student/BatchActivating/store'));
          resolve(require('PAGE/student/BatchActivating/index'));
        });
      },
      // 小班管理 =>  批量建班
      batchBuildClass(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/course/modals/BatchBuildClass'));
        });
      },
      // 学生课程表 => 下载课程表
      downloadStudentSchedule(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/course/modals/DownloadStudentSchedule'));
        });
      },
      // 资源管理(双师)-客户资源调配-客户详情
      ssResourceCustomerDetail(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/SSCRM/common/CustomerDetailModal'));
        });
      },
      // 合同列表 => 结束合同
      endContract(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/contract/modals/EndContractModal'));
        });
      },
      // 修改客户手机号码弹窗
      editCustomerContact(resolve) {
        require.ensure([], (require) => {
          resolve(require('BLOC/ModalEditCustomerContact/Modal'));
        });
      },
      // 合同列表 => 确认合同
      confirm(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/contract/modals/Confirm'));
        });
      },
      // 合同修改记录
      contractModifyRecord(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/contract/modals/ContractModifyRecord/Modal'));
        });
      },
      // 合同修改记录
      batchImportStudentScore(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/student/modals/BatchImportStudentScoreModal/index'));
        });
      },
      // 批量结束合同
      batchCloseContract(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/contract/modals/BatchCloseContractModal'));
        });
      },
      // 合同支付(选择支付方式、合同收款、分享支付)
      pay(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/contract/modals/Pay'));
        });
      },
      // 合同线下确认
      offlineContractConfirm(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/contract/modals/OfflineContractConfirm'));
        });
      },
      // 小班合同季度修改
      smallClassAlterQuarter(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/contract/modals/SmallClassAlterQuarter'));
        });
      },
      // 收款人确认
      confirmPayerInfoModal(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/contract/modals/ConfirmPayerInfoModal'));
        });
      },
      // 打印合同
      printContract(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/contract/modals/PrintContract'));
        });
      },
      // 课程图片
      showCourseImageModal(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/contract/modals/ShowCourseImageModal'));
        });
      },
      // 上传图片弹窗
      uploadImgModal(resolve) {
        require.ensure([], (require) => {
          resolve(require('SRC/BLoComponents/ModalUploadImg/oldPageIndex'));
        });
      },
      // 上传附件弹窗
      uploadFileModal(resolve) {
        require.ensure([], (require) => {
          resolve(require('SRC/BLoComponents/ModalUploadFile/oldPageIndex'));
        });
      },
      // 选择课程日期
      selectCourseDate(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/course/modals/SelectCourseDate'));
        });
      },
      // 批量修改小班首课时间
      batchUpdateMiniCourseTime(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/course/modals/BatchUpdateMiniCourseTime'));
        });
      },
      // 通用 modal
      showModal(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/course/modals/BossModal'));
        });
      },
      // 小班退课
      dropMiniClassCourse(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/course/modals/DropMiniClassCourse'));
        });
      },
      // 批量修改小班信息
      syncConfirm(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/course/modals/SyncConfirm'));
        });
      },
      // 退费记录详情
      withdrawInfo(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/contract/modals/WithdrawInfo'));
        });
      },
      // 小班管理 => 课程 => 修改课程
      showModifyCourse(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/course/miniClassManage/MiniClassManage/Modal/ModifyCourse'));
        });
      },
      // 小班管理 => 课程 => 修改课程
      arrangeTimeModal(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/course/miniClassManage/MiniClassManage/Modal/ArrangeTimeModal'));
        });
      },
      // 合同管理 => 收款记录 => 冲销售
      showContractWriteOff(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/contract/modals/ContractWriteOff'));
        });
      },
      // 考勤 => 查看电子签名
      showESignatureRecord(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/course/modals/E-signature'));
        });
      },
      // 审批 => 确认信息页
      AuditListModal(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/approveManage/modals/AuditListModal'));
        });
      },
      // 审批 => 线下合同
      OnlineOffConfirm(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/approveManage/modals/OnlineOffConfirm'));
        });
      },
      // 审批 => 撤销流程
      CancelFlow(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/approveManage/modals/CancelFlow'));
        });
      },
      // 小班批量上下架
      smallClassBatchShelf(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/course/modals/BatchShelf/index'));
        });
      },
      // 批量修改在读学校
      onBatchModifySchool(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/course/modals/BatchModifySchool/index'));
        });
      },
      // 学生意向管理
      StudentIntentionManage(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/student/StudentIntentionManage'));
        });
      },
      // 打印指导价合同
      printGuidePriceContract(resolve) {
        require.ensure([], (require) => {
          resolve(require('PAGE/contract/modals/PrintContract/ModalGuidePrice'));
        });
      },
    };
  }

  componentDidMount() {
    global.GlobalEvent.on('oldPage:ExportNotice', this.exportNotice);
  }

  componentWillUnmount() {
    global.GlobalEvent.off('oldPage:ExportNotice');
  }

  loadModal(type) {
    return new Promise(this.modalCompCfg[type]);
  }

  /**
   * 导出中心通知
   */
  exportNotice = () => {
    this.props.dispatch({
      type: 'main/exportNotice',
    });
  };

  promiseClassPlanBtnClick = (element) => {
    const { dispatch } = this.props;
    const jq = this._main.jq;
    const promiseStudentId = jq(element).attr('data-id');
    dispatch({
      type: 'home/openTab',
      payload: {
        title: '精英班学生课程规划',
        pageId: 'promiseClassPlan',
        oldPageParams: { promiseStudentId },
      },
    });
  };

  /**
   * 产品管理模块--显示产品导入模态框
   */
  showProductImport = () => {
    this.loadModal('productImport').then((comp) => {
      this.setState({
        modal: {
          comp: comp,
          visible: true,
        },
      });
    });
  };

  //如果在关闭弹框前改变路由，会导致原本的iframe加载了错误的页面，所以加了一个callback，再关闭弹框后再作改变路由等其它操作
  hideCommonModal = (callback) => {
    this.setState(
      {
        modal: {
          comp: this.state.modal.comp,
          visible: false,
        },
      },
      callback,
    );
  };

  showContractAssignClass = async (element, conId) => {
    const contractId = conId || element.getAttribute('data-id');
    let editType;
    if (element && element.id === 'checkContractAssignClass') {
      let result;
      try {
        result = await checkContractPrintDetail({ contractId });
      } catch (error) {}
      if (!result.data) {
        return showMessage('请先分配合同课时');
      }
      editType = 'check';
    }
    this.loadModal('contractAssignClass').then((comp) => {
      this.setState({
        modal: {
          comp: comp,
          visible: true,
          oldPageParams: {
            contractId,
            editType,
          },
        },
      });
    });
  };

  //双师科次分配
  showSubjectAssign = (element) => {
    // const fundId = element.getAttribute('data-fundId')
    const contractId = element.getAttribute('data-contractId');
    const contractTotalMoney = element.getAttribute('data-contractTotalMoney');
    const contractCampus = element.getAttribute('data-contractCampus');
    // const payType = element.getAttribute('data-payType')
    // const payMoney = element.getAttribute('data-payMoney')
    const stuName = element.getAttribute('data-stuName');
    const stuId = element.getAttribute('data-stuId');
    this.loadModal('subjectAssign').then((comp) => {
      this.setState({
        modal: {
          comp,
          visible: true,
          oldPageParams: {
            // fundId,
            contractId,
            contractTotalMoney,
            contractCampus,
            // payType,
            // payMoney,
            stuName,
            stuId,
          },
        },
      });
    });
  };

  /**
   * 新增合同 添加产品 模态框
   * @param element
   */
  showContractAddProduct = async (element) => {
    const jq = this._main.jq;
    const $ele = jq(element);
    this.loadModal('contractAddProduct').then((comp) => {
      this.setState({
        modal: {
          comp,
          visible: true,
          oldPageParams: {
            selectedProductStorage: $ele.data('selectedProductStorage'),
            sKey_gradeId: $ele.data('sKey_gradeId'),
            sKey_campus: $ele.data('sKey_campus'),
            isEcs: $ele.data('isEcs'),
            sKey_productTypeId: $ele.data('sKey_productTypeId'),
          },
        },
      });
    });
  };

  studentScoreManageBtnClick = (element) => {
    const { dispatch } = this.props;
    const jq = this._main.jq;
    const studentId = jq(element).attr('data-id');
    const studentName = jq(element).attr('data-name');
    const type = jq(element).attr('data-type');
    const studyManagerName = jq(element).attr('data-study-maneger-name');
    const headTeacherName = jq(element).attr('data-head-teacher-name') || jq(element).attr('data-header-teacher-name');
    dispatch({
      type: 'main/openPage',
      payload: {
        path: '/scoreManage',
        params: { studentId, studentName, type, studyManagerName, headTeacherName },
        refresh: true,
      },
    });
  };

  financeOTOCourseCheckBtnClick = (element) => {
    const { dispatch } = this.props;
    const jq = this._main.jq;
    const campusId = jq(element).attr('data-campus-id');
    const teacherId = jq(element).attr('data-teacher-id');
    const startDate = jq(element).attr('data-start-date');
    const endDate = jq(element).attr('data-end-date');
    const teacherName = jq(element).attr('data-teacher-name');
    dispatch({
      type: 'main/openPage',
      payload: {
        path: '/OTOCourseCheck',
        params: { campusId, teacherId, startDate, endDate, teacherName },
        refresh: true,
      },
    });
  };

  /**
   * 预退班
   * @param element
   */
  showPrePare = (element) => {
    const jq = this._main.jq;
    const $ele = jq(element);
    const studentId = $ele.attr('data-studentId');
    const miniClassId = $ele.attr('data-miniClassId');
    this.loadModal('prePare').then((comp) => {
      this.setState({
        modal: {
          comp,
          visible: true,
          oldPageParams: {
            studentId,
            miniClassId,
          },
        },
      });
    });
  };

  /**
   * 取消预退班
   */
  showcanclePrePare = (element) => {
    const jq = this._main.jq;
    const $ele = jq(element);
    const studentId = $ele.attr('data-studentId');
    const miniClassId = $ele.attr('data-miniClassId');
    this.loadModal('cancelPrePare').then((comp) => {
      this.setState({
        modal: {
          comp,
          visible: true,
          oldPageParams: {
            studentId,
            miniClassId,
          },
        },
      });
    });
  };

  /**
   * 预退理由
   */
  showPrepareReason = (element) => {
    const jq = this._main.jq;
    const $ele = jq(element);
    const studentId = $ele.attr('data-studentId');
    const miniClassId = $ele.attr('data-miniClassId');
    this.loadModal('prepareReason').then((comp) => {
      this.setState({
        modal: {
          comp,
          visible: true,
          oldPageParams: {
            studentId,
            miniClassId,
          },
        },
      });
    });
  };

  studentFollowVisitBtnClick = (element) => {
    const { dispatch } = this.props;
    const jq = this._main.jq;
    const studentId = jq(element).attr('data-id');
    const studentName = jq(element).attr('data-name');
    const studyManagerName = jq(element).attr('data-study-maneger-name');
    dispatch({
      type: 'main/openPage',
      payload: { path: '/StudentFollowVisit', params: { studentId, studentName, studyManagerName }, refresh: true },
    });
  };
  // 学生档案
  studentDocManageBtnClick = (element) => {
    const { dispatch } = this.props;
    const jq = this._main.jq;
    const studentId = jq(element).attr('data-id');
    const studentName = jq(element).attr('data-name');
    const studyManagerName = jq(element).attr('data-study-maneger-name');
    const oneOnOneStatus = jq(element).attr('data-oneOnOneStatus') || '';
    const studyManagerId = jq(element).attr('data-studyManegerId') || '';
    const gradeId = jq(element).attr('data-gradeId') || '';
    const gradeName = jq(element).attr('data-gradeName') || '';
    dispatch({
      type: 'main/openPage',
      payload: {
        path: '/StudentFile',
        params: {
          studentId,
          studentName,
          studyManager: studyManagerName,
          oneOnOneStatus,
          studyManagerId,
          gradeId,
          gradeName,
        },
        refresh: true,
      },
    });
  };

  changeCourses = () => {
    const { dispatch } = this.props;
    const jq = this._main.jq;
    const selRows = jq('#jqgrid-sl').jqGrid('getGridParam', 'selarrrow');
    const miniClassId = jq('#changeCourses').attr('data-miniClassId');

    let temp = false;

    for (let i = 0; i < selRows.length; i++) {
      let rowData = jq('#jqgrid-sl').jqGrid('getRowData', selRows[i]);
      if (rowData.studentStatus === 'PREPARE_DROP') {
        temp = true;
        break;
      }
    }
    if (temp === true) {
      return;
    }

    if (selRows.length === 0) {
      return;
    } else {
      let studentIds = selRows.map((rowKey) => {
        return jq('#jqgrid-sl').jqGrid('getRowData', rowKey).studentId;
      });
      dispatch({
        type: 'main/openPage',
        payload: {
          path: '/MiniClassCourseManage',
          params: { studentIds, miniClassId, isMultiChangeCourse: true },
          refresh: true,
        },
      });
    }
  };

  twoTeacherChangeCourses = () => {
    const { dispatch } = this.props;
    const jq = this._main.jq;
    const selRows = jq('#jqgrid-sl').jqGrid('getGridParam', 'selarrrow');
    const classTwoId = jq('#twoTeacherChangeCourses').attr('data-twoClassId');
    if (selRows.length === 0) {
      return;
    } else {
      let studentIds = selRows.map((rowKey) => {
        return jq('#jqgrid-sl').jqGrid('getRowData', rowKey).studentId;
      });
      dispatch({
        type: 'main/openPage',
        payload: {
          path: '/twoTeacherCourseManage',
          params: { studentIds, classTwoId, isMultiChangeCourse: true },
          refresh: true,
        },
      });
    }
  };

  addCustomerBtnClick = (element) => {
    const { dispatch } = this.props;
    const jq = this._main.jq;
    const workbrenchType = jq(element).attr('data-workbrenchType');
    dispatch({
      type: 'main/openPage',
      payload: { path: '/ReceptionAddCustomer', params: { workbrenchType }, refresh: true },
    });
  };

  /**
   * 双师管理(集团) 新增主班
   * */
  handleAddMainClass = (element) => {
    console.log('旧页面调用新版!!!!');
  };

  addNetworkCustomerBtnClick = (element) => {
    const { dispatch } = this.props;
    const jq = this._main.jq;
    const contact = jq(element).attr('data-contact');
    const workbrenchType = jq(element).attr('data-workbrenchType');
    dispatch({
      type: 'main/openPage',
      payload: { path: '/InputCustomerOnLine', params: { contact, workbrenchType }, refresh: true },
    });
  };

  openProductImportHistory = () => {
    const { dispatch } = this.props;
    dispatch({
      type: 'main/openPage',
      payload: {
        path: '/ProductImportHistory',
      },
    });
  };

  /**
   * 小班管理 => 课程 => 新增课程
   */
  showAddNewCourses = (element) => {
    const jq = this._main.jq;
    const miniClassId = jq(element).attr('data-miniClassId');
    const campusId = jq(element).attr('data-campusId');
    const isOnline = jq(element).attr('data-isOnline');
    const productVersionId = jq(element).attr('data-productVersionId');
    const productQuarterId = jq(element).attr('data-productQuarterId');
    const classLevelId = jq(element).attr('data-classLevelId');
    const blBranchId = jq(element).attr('data-blBranchId');
    const productGroupName = jq(element).attr('data-productGroupName');
    const productGroupId = jq(element).attr('data-productGroupId');
    this.loadModal('addNewCourses').then((comp) => {
      this.setState({
        modal: {
          comp,
          visible: true,
          oldPageParams: {
            miniClassId,
            campusId,
            isOnline,
            productVersionId,
            productQuarterId,
            blBranchId,
            classLevelId,
            productGroupId,
            productGroupName,
          },
        },
      });
    });
  };

  /**
   * 小班管理 => 课程 => 批量修改课程
   */
  showModifyCourses = (element) => {
    const jq = this._main.jq;
    const miniClassId = jq(element).attr('data-miniClassId');
    const courseMinutes = jq(element).attr('data-courseMinutes');
    const campusId = jq(element).attr('data-campusId');
    const isOnline = jq(element).attr('data-isOnline');
    const productVersionId = jq(element).attr('data-productVersionId');
    const productQuarterId = jq(element).attr('data-productQuarterId');
    const classLevelId = jq(element).attr('data-classLevelId');
    const blBranchId = jq(element).attr('data-blBranchId');
    const courseNatureMinutes = jq(element).attr('data-courseNatureMinutes');
    const productGroupId = jq(element).attr('data-productGroupId');
    const selectedRows = jq('#miniClassCourse').jqGrid('getGridParam', 'selarrrow');
    if (selectedRows.length === 0) {
      showMessage('请选择课程!');
      return;
    }
    let courses = selectedRows.map((row) => {
      return jq('#miniClassCourse').jqGrid('getRowData', row);
    });
    this.loadModal('modifyCourses').then((comp) => {
      this.setState({
        modal: {
          comp,
          visible: true,
          oldPageParams: {
            miniClassId,
            courses,
            courseMinutes,
            campusId,
            isOnline,
            gradeId: courses[0].gradeId,
            subjectId: courses[0].subjectId,
            productVersionId,
            productQuarterId,
            blBranchId,
            classLevelId,
            courseNatureMinutes,
            productGroupId,
          },
        },
      });
    });
  };

  /**
   * 旧页面，点击html元素打开react route
   * 1. html元素id必须为clickElementToOpenReactPage
   * 2. 由于html元素id唯一，如果需要监听多个元素点击时需要手动创建元素模拟点击事件并删除元素，使用setAttribute设置元素属性
   * 3. 使用data-path属性设置路由地址，如：data-path="/changeClass"
   * 4. 使用data-params属性传递参数，属性值为转换后的JSON字符串
   *
   * @param element <button type="button" id="clickElementToOpenReactPage" data-path="" data-params=""></button>
   */
  clickElementToOpenReactPage = (element) => {
    if (!element) {
      return;
    }

    const { dispatch } = this.props;
    const path = element.getAttribute('data-path');
    const paramString = element.getAttribute('data-params');
    let params = {};

    try {
      params = JSON.parse(paramString);
    } catch (e) {}

    if (path) {
      dispatch({
        type: 'main/openPage',
        payload: {
          path: path,
          params: params,
          query: params,
          refresh: true,
        },
      });
    }
  };

  /**
   * 旧页面，点击html元素打开react modal
   * 1. html元素id必须为clickElementToOpenReactModal
   * 2. 由于html元素id唯一，如果需要监听多个元素点击时需要手动创建元素模拟点击事件并删除元素，使用setAttribute设置元素属性
   * 3. 使用data-params属性传递参数，属性值为转换后的JSON字符串
   * 4. 在modalCompCfg配置所需弹窗，并在html元素设置`data-modal-type`属性值，如：data-modal-type="ssResourceCustomerDetail"
   *
   * @param element <button type="button" id="clickElementToOpenReactModal" data-modal-type="" data-params=""></button>
   */
  clickElementToOpenReactModal = (element) => {
    if (!element) {
      return;
    }

    const modalType = element.getAttribute('data-modal-type');
    const paramString = element.getAttribute('data-params');
    const propsString = element.getAttribute('data-props');
    let params = {};
    let props = {};

    try {
      params = JSON.parse(paramString);
    } catch (e) {}

    try {
      props = JSON.parse(propsString);
    } catch (e) {}

    if (modalType) {
      this.loadModal(modalType)
        .then((comp) => {
          this.setState({
            modal: {
              comp,
              visible: true,
              oldPageParams: params,
              props,
            },
          });
        })
        .catch((e) => {
          console.error({ e });
        });
    }
  };

  // (学生列表)批量激活弹窗
  switchModalBatchActivating(element) {
    const jq = this._main.jq;
    const $ele = jq(element);
    this.loadModal('studentBatchActivating').then((comp) => {
      this.setState({
        modal: {
          comp,
          visible: true,
          oldPageParams: { customerStudents: $ele.data('customerStudents') },
        },
      });
    });
  }

  // 小班管理 => 批量建班
  batchBuildClass = () => {
    this.loadModal('batchBuildClass').then((comp) => {
      this.setState({
        modal: {
          comp,
          visible: true,
        },
      });
    });
  };

  // 学生课程表 => 下载课程表
  downloadStudentSchedule = (element) => {
    const jq = this._main.jq;
    const $ele = jq(element);
    this.loadModal('downloadStudentSchedule').then((comp) => {
      this.setState({
        modal: {
          comp,
          visible: true,
        },
      });
    });
  };

  // (old)合同列表-分享支付
  showContractSharePaymentOld = (element) => {
    this.loadModal('contractSharePaymentOld').then((comp) => {
      this.setState({
        modal: {
          comp,
          visible: true,
          oldPageParams: {
            contractId: element.dataset.contractId,
            actionPayType: element.dataset.payType,
          },
        },
      });
    });
  };

  render() {
    const { modal } = this.state;
    const CommonModal = modal.comp;

    return (
      <div style={{ height: '100%' }}>
        <Main url={this.state.url} listeners={this.listeners} ref={(c) => (this._main = c)} />
        {modal && modal.visible && (
          <CommonModal
            {...modal.props}
            oldPageParams={modal.oldPageParams}
            onClose={this.hideCommonModal}
            onCancel={this.hideCommonModal}
          />
        )}
      </div>
    );
  }
}

export default connect()(OldPage);
