import { SS_DEAL_STATUS_DICT, SS_CALLOUT_DEAL_STATUS_DICT } from 'PAGE/SSCRM/common/util/dicts';
import { getDictTextByVal } from 'UTIL/dict';

/**
 * 拼接外呼跟进状态字典，兼容资源调转后跟进状态丢失问题(咨询师调配给外呼专员)
 *
 * @param dealStatus {string?} 当前跟进状态
 * @return {*[]}
 */
export function concatCalloutDealStatusDict(dealStatus) {
  if (!dealStatus) {
    return SS_CALLOUT_DEAL_STATUS_DICT;
  }

  const dict = SS_CALLOUT_DEAL_STATUS_DICT.map((item) => {
    return { ...item };
  });
  let appendDict = [];

  // 判断`外呼跟进状态字典`中是否存在`当前跟进状态`
  const existStatus = SS_CALLOUT_DEAL_STATUS_DICT.some((item) => item.val === dealStatus);
  if (!existStatus) {
    const text = getDictTextByVal(SS_DEAL_STATUS_DICT, dealStatus);
    appendDict = [{ text: text || dealStatus, val: dealStatus }];
  }

  return dict.concat(appendDict);
}
