import { formatDeliverTargetDict } from './utils';
import { transformCalloutResourceToOldResource } from './CusSignedList/ModalCalloutPoolTree/util';

/**
 * 获取跟进客户列表
 *
 * @return {Promise<*>}
 */
export function loadCusList(param) {
  return new Promise((resolve) => {
    const result = {
      list: [
        {
          cusName: '123',
          deliverTargetId: '12333',
        },
        {
          cusName: '123',
          deliverTargetId: '12333',
        },
        {
          cusName: '123',
          deliverTargetId: '12333',
        },
        {
          cusName: '123',
          deliverTargetId: '12333',
        },
        {
          cusName: '123',
          deliverTargetId: '12333',
        },
        {
          cusName: '123',
          deliverTargetId: '12333',
        },
      ],
      totalRecords: 120,
      page: 1,
    };

    setTimeout(() => {
      resolve(result);
    }, 800);
  });
}

/**
 * 获取外呼专员角色的资源树
 *
 * @return {Promise<*|Array|Array>}
 */
export function getCalloutResourceTree(param) {
  return new Promise((resolve) => {
    setTimeout(() => {
      const result = [
        {
          orgId: '123',
          orgName: '123',
          userList: [
            {
              userId: 'asdasd',
              userName: 'asdaasda',
              roleCode: 'CONSULTOR',
            },
            {
              userId: '42433',
              userName: 'asdsad',
              roleCode: 'test',
            },
          ],
        },
      ];
      const data = transformCalloutResourceToOldResource(result);

      resolve(data);
    }, 800);
  });
}

/**
 * 获取跟进人字典
 *
 * @return {Promise<*>}
 */
export function loadDeliverTargetDict() {
  return new Promise((resolve) => {
    setTimeout(() => {
      const result = [
        {
          orgId: '123',
          orgName: '123',
          userList: [
            {
              userId: '123',
              userName: '123',
              roleCode: 'CONSULTOR',
            },
            {
              userId: '42433',
              userName: 'asdsad',
              roleCode: 'test',
            },
          ],
        },
      ];
      const dict = formatDeliverTargetDict(result);

      resolve(dict);
    }, 800);
  });
}
