import { getStudentListByCusContact } from 'SERVICE/consultant';
import { getLoginUserProvinceCity } from 'SERVICE/system';
import { saveCustomerStudent } from 'SERVICE/ssCRM';

/**
 * 获取关联学生
 * @param phone
 */
export const loadLinkStudents = async ({ phone }) => {
  try {
    const { data } = await getStudentListByCusContact({ contact: phone }, true);
    const {
      studentList,
      customerId,
      customerName,
      resEntranceId,
      intentionCampusId,
      blCampusId,
      customerIdCardType,
      customerIdCardNo,
    } = data;

    if (!studentList) {
      return { customerId: null, list: null };
    }

    const parentInfo = {
      customerId,
      customerName,
      resEntranceId,
      intentionCampusId,
      blCampusId,
      customerIdCardType,
      customerIdCardNo,
    };
    const list = studentList.map((stu) => {
      return {
        id: stu.studentId,
        name: stu.studentName,
        gradeName: stu.gradeName,
        schoolName: stu.schoolName,
        canFollow: stu.canFollow,
        follower: null,
        gradeId: stu.gradeId,
        schoolId: stu.schoolId,
        studentType: stu.studentType,
      };
    });

    return { customerId, list, parentInfo };
  } catch (e) {
    throw e;
  }
};

export const loadLoginUserProvinceCity = async () => {
  const apiData = await getLoginUserProvinceCity();
  const data = apiData ? apiData.data : {};
  return { province: data.provinceId || null, city: data.cityId || null };
};

/**
 * 客户录入
 * @param param
 * @return {Promise<*>}
 */
export const saveCustomer = async function (param) {
  return await saveCustomerStudent(param);
};
