export const addCusFormCfg = {
  labelWidth: 100,
  style: { padding: '0 25px' },
};

export const addCusModalRowStyle = {
  marginRight: -22,
};

export const linkFormCfg = {
  labelWidth: 40,
  style: { padding: '0 10px', marginBottom: 10, lineHeight: '24px' },
};

export const noop = () => {};

/**
 * 学生基本信息
 * @type {*}
 */
export const STUDENT_INFO = {
  stuId: null,
  name: null,
  contact: null,
  sex: null,
  schoolId: null,
  gradeId: null,
  address: null,
};

/**
 * 录入客户时，根据入口传递 工作台: `workBench` 字段
 * @type {*} {key: props.pageFromType, value: 'value'}
 */
export const WORK_BENCH = {
  Reception: 'RECEPTION', // 前台工作台
  Consultant: 'CALL_OUT', // 咨询师工作台
  Resource: 'MANAGER', // 资源管理
};

/**
 * 格式化学生信息列表
 * @param list 学生列表
 * @param isNewStudent 是否为新增的学生，新增学生无学生ID
 * @return {Array}
 */
export function formatStudentList(list = [], isNewStudent = false) {
  if (!list || list.length <= 0) {
    return [];
  }

  return list.map((stu) => {
    const { id, name, gradeId, schoolId, sex, contact, address, idCardNo } = stu;
    const stuId = isNewStudent ? null : id;

    return {
      stuId: stuId || null,
      name: name || null,
      gradeId: gradeId || null,
      schoolId: schoolId || null,
      sex: sex || null,
      contact: contact || null,
      address: address || null,
      idCardNo: idCardNo || null,
    };
  });
}
