import React from 'react';
import styles from './styles.less';
import Sec from '../../component/Sec';
import * as loaders from '../../util/loaders';
import List from 'COMPONENT/List';

class RecordsBlockManage extends React.Component {
  constructor(props) {
    super(props);

    this.state = {
      list: [], // 我的跟进记录列表
    };
  }

  initContent = async () => {
    const { cusId, stuId, campusId } = this.props;
    const [recordsLists] = await Promise.all([loaders.loadRecordsManage(campusId, cusId, stuId)]).catch(() => {
      this.props.onLoadingEnd();
    });
    const { list } = recordsLists;

    this.setState({ list });
  };

  render() {
    const { list } = this.state;

    const columns = [
      { title: '意向度', dataIndex: 'intentionOfTheCustomerName', key: 'intentionOfTheCustomerName', width: 70 },
      { title: '跟进时间', dataIndex: 'createTime', width: 150 },
      { title: '客户意向产品', dataIndex: 'customerSignName', width: 150 },
      { title: '下次跟进日期', dataIndex: 'nextFollowTime', width: 150 },
      { title: '预约上门时间', dataIndex: 'meetingTime', width: 150 },
      { title: '跟进内容', dataIndex: 'remark', width: 300 },
    ];

    return (
      <div className={styles.wrap}>
        {list.map((ele) => {
          return (
            <Sec key={ele.consultantName} title={`${ele.consultantName ? ele.consultantName + '的' : ''}跟进记录`}>
              <List dataSource={ele.followupRecords} columns={columns} />
            </Sec>
          );
        })}
      </div>
    );
  }
}

export default RecordsBlockManage;
