import React from 'react';
import { connect } from 'dva';
import Main from './Main';

class CusDetailPage extends React.Component {
  closeCurrentTab = () => {
    const { activeTabId } = this.props;

    this.props.dispatch({
      type: 'main/removeTab',
      payload: { id: activeTabId },
    });
  };

  render() {
    const { location, params, route, dispatch, user } = this.props;
    const mirrorId = location.query.mirrorId;
    let pms = {};

    if (params.mirrors && mirrorId) {
      pms = params.mirrors[mirrorId];
    } else {
      pms = params;
    }

    return (
      <Main route={route} {...pms} pageParams={pms} onCloseTab={this.closeCurrentTab} dispatch={dispatch} user={user} />
    );
  }
}

const mapStateToProps = (state) => {
  const pathName = state.routing.locationBeforeTransitions.pathname || '/SSCustomerDetailView';

  return {
    params: state.main.pageParams[pathName] || {},
    activeTabId: state.main.activeTabId,
    user: state.account.user,
  };
};

export default connect(mapStateToProps)(CusDetailPage);
