import React from 'react';
import styles from './styles.less';
import * as loaders from '../../util/loaders';
import Loading from 'COMPONENT/Loading';

/**
 * 客户动态
 */
class CusNewsBlock extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      list: [], // 列表数据 [{time, content}]
      loading: false,
    };
  }

  initContent = () => {
    this.setState({ loading: true });
    const { cusId, stuId, deliverTarget } = this.props;

    loaders
      .loadCusNews(cusId, stuId, deliverTarget)
      .then((list) => {
        this.setState({ list, loading: false });
      })
      .catch(() => {
        this.setState({ list: [], loading: false });
      });
  };

  componentDidMount() {
    this.initContent();
  }

  render() {
    const { list, loading } = this.state;
    return (
      <div className={styles.wrap}>
        <div className={styles.inner}>
          <Loading loading={loading} />
          {list.map((li, idx) => {
            return (
              <div key={idx} className={styles.item}>
                <div className={styles.time}>{li.time}</div>
                <div className={styles.content}>{li.content}</div>
              </div>
            );
          })}
        </div>
      </div>
    );
  }
}
export default CusNewsBlock;
