import React from 'react';
import styles from './styles.less';
import { visitStatusDict } from './dicts';
import utils from './utils';
import Schedule from './Schedule';

const getToolbar = () => {
  const samples = visitStatusDict.map((d) => {
    return { text: d.text, color: utils.visitStatusColors[d.val].primary };
  });

  return (
    <div className={styles.toolbarLeft}>
      {samples.map((sa) => {
        const { color, text } = sa;
        return (
          <div key={color} className={styles.sample}>
            <div className={styles.sampleColor} style={{ background: color }} />
            <div className={styles.sampleText}>{text}</div>
          </div>
        );
      })}
    </div>
  );
};

class VisitCusSchedule extends React.Component {
  render() {
    const { startDate, endDate, list, onCardClick, enableCardAction, onRefresh, isManager } = this.props;

    return (
      <div className={styles.wrap}>
        <div className={styles.toolbar}>{getToolbar()}</div>
        <Schedule
          startDate={startDate}
          endDate={endDate}
          list={list}
          onCardClick={onCardClick}
          onRefresh={onRefresh}
          isManager={isManager}
        />
      </div>
    );
  }
}

export default VisitCusSchedule;
