import moment from 'moment';
import { DATE_FORMAT } from 'COMPONENT/utils/form';
import dicts from './dicts';
import styleVars from 'COMPONENT/theme/variables';

const getWeekRange = (mom) => {
  let day = mom.day();
  day = day === 0 ? 6 : day - 1;
  const startDate = mom.add(-day, 'days').format(DATE_FORMAT);
  const endDate = moment(startDate, DATE_FORMAT).add(6, 'days').format(DATE_FORMAT);

  return { startDate, endDate };
};

const addDays = (date, days) => {
  return moment(date, DATE_FORMAT).add(days, 'days').format(DATE_FORMAT);
};
const visitStatusColors = {
  [dicts.VISIT_STATUS_UNVISIT]: { primary: styleVars.warningColor, bg: styleVars.warningColorBg },
  [dicts.VISIT_STATUS_VISITED]: { primary: styleVars.primaryColor, bg: styleVars.primaryColorBg },
};

export default {
  visitStatusColors,
  getWeekRange,
  addDays,
};
