import React from 'react';
import styles from './styles.less';
import moment from 'moment';
import DotButton from 'COMPONENT/DotButton';
import Button from 'COMPONENT/Button';
import utils from './utils';
import jslog from 'SRC/jslog';

const dotBtnStyle = {
  height: 36,
  width: 28,
  lineHeight: '36px',
};

class WeekSelect extends React.Component {
  render() {
    const {
      value: { startDate, endDate },
      onChange,
    } = this.props;

    return (
      <div className={styles.wrap}>
        <div className={styles.right}>
          <DotButton
            iconType="left"
            className={styles.weekBtn}
            shape={'square'}
            style={dotBtnStyle}
            onClick={() => {
              jslog.report('click', { function_name: '咨询师工作台>跟进客户管理（新版）>预约上门客户>上周' });
              onChange({ startDate: utils.addDays(startDate, -7), endDate: utils.addDays(endDate, -7) });
            }}
          />
          <Button
            className={styles.weekBtn}
            dataReportClick={'咨询师工作台>跟进客户管理（新版）>预约上门客户>本周'}
            onClick={() => onChange(utils.getWeekRange(moment()))}
          >
            本周
          </Button>
          <DotButton
            iconType="right"
            className={styles.weekBtn}
            shape={'square'}
            style={dotBtnStyle}
            onClick={() => {
              jslog.report('click', { function_name: '咨询师工作台>跟进客户管理（新版）>预约上门客户>下周' });
              onChange({ startDate: utils.addDays(startDate, 7), endDate: utils.addDays(endDate, 7) });
            }}
          />
        </div>
        <div className={styles.dateRange}>
          {startDate}~{endDate}
        </div>
      </div>
    );
  }
}

export default WeekSelect;
