/**
 * 完整的资源来源 RES_ENTRANCE (未使用)
 */
// 来电
const ENTRANCE_CALL_IN = 'INBOUND_CALL';
// 直访
const ENTRANCE_DIRECT_VISIT = 'DIRECT_VISIT';
// 地推
const ENTRANCE_GROUND_PROMOTION = 'GROUND_PROMOTION';
// 网络
const ENTRANCE_ON_LINE = 'ON_LINE';
// 转介绍
const ENTRANCE_TRANSFER = 'TRANSFER';

export const SS_ENTRANCE_DICT = [
  { val: ENTRANCE_CALL_IN, text: '来电' },
  { val: ENTRANCE_DIRECT_VISIT, text: '直访' },
  { val: ENTRANCE_TRANSFER, text: '转介绍' },
  { val: ENTRANCE_GROUND_PROMOTION, text: '地推' },
  { val: 'MARKETING_OUTCALL', text: '市场外呼' },
  { val: 'COMMUNITY', text: '社群' },
  { val: 'CHANNEL', text: '渠道' },
  { val: 'MARKETING_ACTIVITY', text: '市场活动' },
  { val: 'OPERATION_OUTCALL', text: '运营外呼' },
  { val: 'ACTIVATE_STU', text: '老生激活' },
  { val: ENTRANCE_ON_LINE, text: '网络' },
  { val: 'DAT000000000669', text: '市场来源' },
];

/**
 * 客户录入（教务）- 资源来源
 */
export const SS_RECEPTION_ENTRANCE_DICT = [
  { val: ENTRANCE_CALL_IN, text: '来电' },
  { val: ENTRANCE_DIRECT_VISIT, text: '直访' },
  { val: ENTRANCE_ON_LINE, text: '网络' },
];

/**
 * 咨询师、资源管理 - 资源来源
 * 老生激活不用录入
 */
export const SS_COMMON_ENTRANCE_DICT = [
  { val: ENTRANCE_GROUND_PROMOTION, text: '地推' },
  { val: 'MARKETING_OUTCALL', text: '市场外呼' },
  { val: 'COMMUNITY', text: '社群' },
  { val: 'CHANNEL', text: '渠道' },
  { val: 'MARKETING_ACTIVITY', text: '市场活动' },
  { val: 'OPERATION_OUTCALL', text: '运营外呼' },
  { val: ENTRANCE_ON_LINE, text: '网络' },
];

/**
 * 外呼工作台 - 外呼专员 - 资源来源
 */
export const ss_CALLOUT_ENTRANCE_DICT = [
  { val: ENTRANCE_DIRECT_VISIT, text: '直访' },
  { val: ENTRANCE_CALL_IN, text: '来电' },
  { val: 'MARKETING_OUTCALL', text: '市场外呼' },
  { val: 'COMMUNITY', text: '社群' },
  { val: 'CHANNEL', text: '渠道' },
  { val: ENTRANCE_GROUND_PROMOTION, text: '地推' },
  { val: 'MARKETING_ACTIVITY', text: '市场活动' },
  { val: 'OPERATION_OUTCALL', text: '运营外呼' },
  { val: ENTRANCE_TRANSFER, text: '转介绍' },
  { val: 'ACTIVATE_STU', text: '老生激活' },
];

/**
 * 完整的跟进状态
 */
// 考试通过
export const SS_DEAL_STATUS_EXAM_PASS = 'EXAM_PASS';
// 预约未上门
export const DEAL_STATUS_APPOINTMENT_NOT_COME = 'APPOINTMENT_NOT_COME';

export const SS_DEAL_STATUS_DICT = [
  { val: 'STAY_FOLLOW', text: '待跟进' },
  { val: 'FOLLOWING', text: '跟进中' },
  { val: 'APPOINTMENT_COME', text: '预约已上门' },
  { val: DEAL_STATUS_APPOINTMENT_NOT_COME, text: '预约未上门' },
  { val: SS_DEAL_STATUS_EXAM_PASS, text: '考试通过' },
  { val: 'EXAM_FAIL', text: '考试未通过' },
  { val: 'EXAM_WAIT', text: '上门未考试' },
  { val: 'PASS_NOT_SIGNUP', text: '通过考试未签单' },
  { val: 'SIGNEUP', text: '已签合同' },
];

/**
 * 添加跟进记录-跟进状态
 */
export const SS_RECORD_DEAL_STATUS_DICT = [
  { val: 'STAY_FOLLOW', text: '待跟进' },
  // {val: 'FOLLOWING', text: '跟进中'},
  { val: 'APPOINTMENT_COME', text: '预约已上门' },
  { val: DEAL_STATUS_APPOINTMENT_NOT_COME, text: '预约未上门' },
  { val: SS_DEAL_STATUS_EXAM_PASS, text: '考试通过' },
  { val: 'EXAM_FAIL', text: '考试未通过' },
  { val: 'EXAM_WAIT', text: '上门未考试' },
  { val: 'PASS_NOT_SIGNUP', text: '通过考试未签单' },
];

/**
 * 外呼跟进状态（用回咨询师跟进状态）
 * @type {*[]}
 */
// export const CALLOUT_DEAL_STATUS_WAIT_FOLLOW = 'CALLING_WAIT_FOLLOW';
// export const CALLOUT_DEAL_STATUS_FOLLOWING = 'CALLING_FOLLOWING';
// export const CALLOUT_DEAL_STATUS_FOLLOW_COMPLETED = 'CALLING_FOLLOW_COMPLETED';
export const CALLOUT_DEAL_STATUS_WAIT_FOLLOW = 'STAY_FOLLOW';
export const CALLOUT_DEAL_STATUS_FOLLOWING = 'FOLLOWING';
export const CALLOUT_DEAL_STATUS_FOLLOW_COMPLETED = DEAL_STATUS_APPOINTMENT_NOT_COME;
export const SS_CALLOUT_DEAL_STATUS_DICT = [
  { val: CALLOUT_DEAL_STATUS_WAIT_FOLLOW, text: '待跟进' },
  { val: CALLOUT_DEAL_STATUS_FOLLOWING, text: '跟进中' },
  { val: CALLOUT_DEAL_STATUS_FOLLOW_COMPLETED, text: '预约未上门' },
];
export const SS_CALLOUT_DEAL_STATUS_DICT_UN_SIGN = [
  { val: CALLOUT_DEAL_STATUS_WAIT_FOLLOW, text: '待跟进' },
  { val: CALLOUT_DEAL_STATUS_FOLLOWING, text: '跟进中' },
];

/**
 * 考试类型 ENTRANCE_EXAM_TYPE
 */
export const SS_EXAM_TYPE_DICT = [
  { val: 'CONVENTION', text: '常规班' },
  { val: 'FREE', text: '0元班' },
  { val: 'PUBLIC_EXPERSE', text: '公费生' },
];

/**
 * 科目ID 语文/英语/数学
 * @type {string}
 */
export const CHINESE = 'CHINESE';
export const ENGLISH = 'ENGLISH';
export const MATHEMATICS = 'MATHEMATICS';

/**
 * 是否诺到
 * isAppointCome
 */
export const SS_IS_APPOINT_COME_DICT = [
  { val: '1', text: '是' },
  { val: '0', text: '否' },
];

/**
 * 导入状态
 * cusStatus
 */
export const SS_EXPORT_STATUS_SUCCESS = '1';
export const SS_EXPORT_STATUS_ERROR = '-1';
export const SS_EXPORT_STATUS_WAITING = '0';
export const SS_EXPORT_STATUS = [
  { val: SS_EXPORT_STATUS_SUCCESS, text: '成功' },
  { val: SS_EXPORT_STATUS_ERROR, text: '失败' },
  { val: SS_EXPORT_STATUS_WAITING, text: '待导入' },
];

/**
 * 证件类型
 * @type {string}
 */
export const CERTIFICATE_TYPE_ID_CARD = 'CT_IDENTITY_CARD';
export const CERTIFICATE_TYPE = [
  { val: CERTIFICATE_TYPE_ID_CARD, text: '身份证' },
  { val: 'CT_IDENTITY_CARD_HK_MC', text: '港澳居民来往内地通行证' },
  { val: 'CT_IDENTITY_CARD_TW', text: '台湾同胞来往内地通行证' },
  { val: 'CT_PASSPORT', text: '护照' },
];
