import React from 'react';
import { connect } from 'dva';
import { Page, Icon } from 'COMPONENT';
import styles from './styles.less';
import VisitCusSec from './VisitCusSec';
import CusListSec from './CusListSec';

/**
 * 咨询师工作台-跟进客户
 */
class FollowCustomer extends React.Component {
  constructor(props) {
    super(props);

    this.state = {
      collapsed: true,
      cusListSecProps: {},
    };
  }

  componentWillUnmount() {
    this.props.dispatch({
      type: 'main/setPageParams',
      payload: {
        path: '/SSConsultantFollowCustomer',
        params: null,
      },
    });
  }

  collapse = () => {
    const { collapsed } = this.state;
    this.setState({ collapsed: !collapsed });
  };

  render() {
    const { collapsed, cusListSecProps } = this.state;

    return (
      <Page route={this.props.route} title={false} className={styles.page}>
        <div className={styles.section}>
          <div className={collapsed ? styles.collapsedBody : styles.sectionBody} style={{ display: 'flex' }}>
            <div style={{ flex: '2' }}>
              <VisitCusSec />
            </div>
          </div>
        </div>

        <div className={styles.collapsedContainer}>
          <div className={styles.collapsed} onClick={this.collapse}>
            <Icon type={collapsed ? 'down' : 'up'} size={10} />
          </div>
        </div>

        <div style={{ marginTop: 15 }}>
          <CusListSec {...cusListSecProps} />
        </div>
      </Page>
    );
  }
}

export default connect()(FollowCustomer);
