import React from 'react';
import { Page, Button, PopTip } from 'COMPONENT';
import styles from './styles.less';
import AddCustomerMain from '../../common/AddCustomerMain';
import getWrappedInstance from 'UTIL/getWrappedInstance';

/**
 * 资源管理-录入客户
 */
class AddCustomer extends React.Component {
  constructor(props) {
    super(props);

    this.state = {
      loading: false,
      saveTipsVis: false,
      saveTips: null,
    };
  }

  showSaveTips = (text) => {
    this.setState({ saveTipsVis: true, saveTips: text || '请正确填写信息' });
  };

  render() {
    const { loading, saveTipsVis, saveTips } = this.state;

    return (
      <Page route={this.props.route} loading={loading} ref={(c) => (this.pageRef = c)}>
        <div className={styles.wrap}>
          <AddCustomerMain
            pageFromType="Resource"
            onLoadingStart={() => this.setState({ loading: true })}
            onLoadingEnd={() => this.setState({ loading: false })}
            onError={this.showSaveTips}
            onSaveSuccess={this.addCustomerMainRef ? this.addCustomerMainRef.reset : null}
            ref={(c) => (this.addCustomerMainRef = getWrappedInstance(c))}
          />
          <div className={styles.footer}>
            <PopTip
              visible={saveTipsVis}
              content={saveTips}
              onClose={() => this.setState({ saveTipsVis: false })}
              getPopupContainer={(ele) => ele.parentNode}
            >
              <Button type={'primary'} onClick={this.addCustomerMainRef ? this.addCustomerMainRef.onOk : null}>
                保存客户
              </Button>
            </PopTip>
          </div>
        </div>
      </Page>
    );
  }
}
export default AddCustomer;
