import { getCustomerList } from 'SERVICE/ssCRM';

/**
 * 获取客户列表
 *
 * @param param
 * @return {Promise<{totalRecords: *, page: *, list: *}>}
 */
async function loadCustomerList(param = {}) {
  const { currentPage, pageSize, isAppointCome } = param;
  const params = {
    ...param,
    page: currentPage,
    rows: pageSize,
    hasAppointment: isAppointCome,
  };

  delete params.currentPage;
  delete params.pageSize;
  delete params.isAppointCome;

  const { records, rows, page } = await getCustomerList(params);

  return { list: rows || [], totalRecords: records, page };
}

export default {
  loadCustomerList,
};
