import React from 'react';
import style from './index.less';

/**
 * 自定义标签列表
 *
 * @param props.list 标签列表
 * @param props.onTagClick 点击标签
 * @return {*}
 * @constructor
 */
const TagList = (props) => {
  const { list, onTagClick } = props;

  const onClick = (tagName) => {
    if (onTagClick) {
      onTagClick(tagName);
    }
  };

  return (
    <ul className={style.tagWrap}>
      {list.map((tagName, index) => {
        return (
          <li
            key={index}
            className={style.tagName}
            onClick={(e) => {
              onClick(tagName);
            }}
          >
            {tagName}
          </li>
        );
      })}
    </ul>
  );
};

export default TagList;
