import React from 'react';
import { connect } from 'dva';
import Page from 'COMPONENT/Page';
import SearchButton from 'COMPONENT/SearchButton';
import Button from 'COMPONENT/Button';
import Input from 'COMPONENT/Input';
import Select from 'COMPONENT/Select';
import List from 'COMPONENT/List';

import ModalSelectClass from '../continueRegManage/ContinueReg/ModalSelectClass';

const { COL_WIDTH_S, COL_WIDTH_M, COL_WIDTH_XL } = List;

class Test extends React.Component {
  constructor(props) {
    super(props);
    this.hideCommonModal = this.hideCommonModal.bind(this);
    this.init = this.init.bind(this);
    this.initDict = this.initDict.bind(this);
    this.state = {
      loading: false,
      modalVisible: false,
    };
    this.columns = [
      { title: '序号', dataIndex: 'number', key: 'number', width: COL_WIDTH_S },
      { title: '班级名称', dataIndex: 'lectureName', key: 'lectureName', width: COL_WIDTH_XL },
      { title: '分公司', dataIndex: 'branchName', key: 'branchName', width: COL_WIDTH_M },
      { title: '学习中心', dataIndex: 'campusName', key: 'campusName', width: COL_WIDTH_M },
      { title: '年份', dataIndex: 'yearName', key: 'yearName', width: COL_WIDTH_M },
      { title: '季度', dataIndex: 'quarterName', key: 'quarterName', width: COL_WIDTH_M },
      { title: '年级', dataIndex: 'gradeName', key: 'gradeName', width: COL_WIDTH_M },
      { title: '科目', dataIndex: 'subjectName', key: 'subjectName', width: COL_WIDTH_M },
    ];
  }

  componentDidMount() {
    // this.init();
  }

  hideCommonModal(callback) {
    this.setState(
      {
        modal: {
          comp: this.state.modal.comp,
          visible: false,
        },
      },
      callback,
    );
  }

  async init() {
    this.setState({ loading: true });
    await new Promise(this.initDict);
    this.setState({ loading: false });
  }
  initDict(resolve) {
    this.props.dispatch({
      type: 'dict/initDict',
      payload: {
        list: ['branch', 'campus', 'year', 'quarter', 'grade', 'subject'],
        callback() {
          resolve();
        },
      },
    });
  }

  handleTest = () => {
    this.setState((prevState) => ({ modalVisible: !prevState.modalVisible }));
  };

  handleSubmit = (data) => {
    console.log(data);
    this.handleTest();
  };

  render() {
    return (
      <Page
        loading={this.state.loading}
        route={this.props.route}
        headerToolBar={
          <Button type="primary" onClick={this.handleTest}>
            测试
          </Button>
        }
      >
        <List columns={this.columns} dataSource={[]} />
        {this.state.modalVisible && (
          <ModalSelectClass
            initSKey={{
              originalClassId: null,
              blCampusId: 'ff808081482bb63001482c1991610002',
              yearId: 'DAT000000000533',

              quarterId: 'DAT0000000233',

              gradeId: '402881e647ce90330147ce94ef900002',
              subjectId: 'DAT0000000018',
            }}
            title="选择关联的班级"
            onClose={this.handleTest}
            onSubmit={this.handleSubmit}
          />
        )}
      </Page>
    );
  }
}

const mapStateToProps = (state) => {
  return {
    branchDict: state.dict.branch,
    campusDict: state.dict.campus,
    yearDict: state.dict.year,
    quarterDict: state.dict.quarter,
    gradeDict: state.dict.grade,
    subjectDict: state.dict.subject,
  };
};

export default connect(mapStateToProps)(Test);
