import React from 'react';
import styles from './styles.module.less';
import { abortRefundWorkflowById, abortPromiseRefund } from 'SERVICE/audit';
import showMessage from 'COMPONENT/utils/globalTips/showMessage';

import { Modal } from 'COMPONENT';
import { Button } from 'antd';

class OnlineOffConfirm extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      loading: false,
    };
  }

  closePanel = () => {
    this.props.onCancel();
  };

  submitCancelFlow = async () => {
    try {
      if (this.props.contractInfo.from === 'promiseStudent') {
        if (!this.props.contractInfo.refundWorkflowId) {
          return showMessage('流程编号为空');
        }
        this.setState({ loading: true });
        await abortPromiseRefund({
          promiseStudentId: this.props.contractInfo.refundWorkflowId,
        });
      } else {
        if (!this.props.contractInfo.refundWorkflowId) {
          return showMessage('流程编号为空');
        }
        this.setState({ loading: true });
        await abortRefundWorkflowById({
          refundWorkflowId: this.props.contractInfo.refundWorkflowId,
        });
      }
      this.setState({ loading: false });
      GlobalEvent.emit('ONLINE_OFF_CONFIRM_REFRESH');
      this.closePanel();
    } catch (e) {
      this.setState({ loading: false });
      showMessage(e?.text || '撤销流程失败，请稍后重试');
    }
  };

  render() {
    return (
      <Modal
        title="撤销流程"
        width={580}
        loading={this.state.loading}
        onCancel={this.closePanel}
        footer={
          <div>
            <Button type="primary" onClick={this.submitCancelFlow}>
              确定撤销
            </Button>
            <Button onClick={this.closePanel}>关闭</Button>
          </div>
        }
      >
        <div className={styles.modalPanel}>
          确定【撤销流程】会撤销已发起的OA申请并且把BOSS退费流程重置为待提交状态，后续可以重新发起退费流程！
        </div>
      </Modal>
    );
  }
}

export default OnlineOffConfirm;
