import React from 'react';
import { Input } from 'antd';
import _ from 'lodash';

export default class CommonInput extends React.Component {
  constructor(props) {
    super(props);
    this.isComposing = false;
    this.state = {
      value: props.value,
    };
  }

  componentWillReceiveProps(nextProps) {
    this.setState({
      value: nextProps.value,
    });
  }

  handleCompositionStart = () => {
    this.isComposing = true;
  };

  handleCompositionEnd = (event) => {
    this.isComposing = false;
    this.props.onChange?.(event.currentTarget.value);
  };

  handleChange = (event) => {
    const rawValue = event.target.value;
    this.setState({ value: rawValue });
    if (!this.isComposing) {
      this.props.onChange?.(rawValue);
    }
  };

  render() {
    return (
      <Input
        {..._.omit(this.props, ['value', 'onChange'])}
        value={this.state.value}
        onChange={this.handleChange}
        onCompositionStart={this.handleCompositionStart}
        onCompositionEnd={this.handleCompositionEnd}
      />
    );
  }
}
