import { List } from 'COMPONENT';
import moment from 'moment';
const { COL_WIDTH_M } = List;

const Columns = [
  {
    title: '退费ID',
    dataIndex: 'refundWorkId',
    key: 'refundWorkId',
    width: COL_WIDTH_M,
  },
  {
    title: '退费时间',
    dataIndex: 'finishedDatetime',
    key: 'finishedDatetime',
    width: COL_WIDTH_M,
    render(text) {
      return moment(text).format('YYYY-MM-DD HH:mm:ss');
    },
  },
  {
    title: '退费分公司',
    dataIndex: 'branchName',
    key: 'branchName',
    width: COL_WIDTH_M,
  },
  {
    title: '退费学习中心',
    dataIndex: 'campusName',
    key: 'campusName',
    width: COL_WIDTH_M,
  },
  {
    title: '退费学生',
    dataIndex: 'studentName',
    key: 'studentName',
    width: COL_WIDTH_M,
  },
  {
    title: '退费合同',
    dataIndex: 'contractId',
    key: 'contractId',
    width: COL_WIDTH_M,
  },
  {
    title: '商户号',
    dataIndex: 'merchRefundNo',
    key: 'merchRefundNo',
    width: COL_WIDTH_M,
  },
  {
    title: '退费渠道',
    dataIndex: 'channelName',
    key: 'channelName',
    width: COL_WIDTH_M,
  },
  {
    title: '账户头像',
    dataIndex: 'payAvatar',
    key: 'payAvatar',
    width: COL_WIDTH_M,
    render: (text) => {
      return <img style={{ width: 20, height: 20 }} src={text} />;
    },
  },
  {
    title: '支付账户名',
    dataIndex: 'payAccount',
    key: 'payAccount',
    width: COL_WIDTH_M,
  },
  {
    title: '支付参考号',
    dataIndex: 'posId',
    key: 'posId',
    width: COL_WIDTH_M,
  },
  {
    title: '退费金额',
    dataIndex: 'refundAmount',
    key: 'refundAmount',
    width: COL_WIDTH_M,
  },
];

export { Columns };
