import moment from 'moment';
import { List } from 'COMPONENT';
const { COL_WIDTH_M } = List;

export const statusEnum = {
  AUDITING: '审批中',
  AUDIT_COMPLETED: '已通过',
  AUDIT_REJECT: '不通过',
  AUDIT_STOP: '已终止',
};

export const TABLE_COLUMS = [
  {
    title: '编号',
    dataIndex: 'id',
    key: 'id',
    width: COL_WIDTH_M,
  },
  {
    title: 'OA工单号',
    dataIndex: 'oaInstanceId',
    key: 'oaInstanceId',
    width: COL_WIDTH_M,
  },
  {
    title: '上课学习中心',
    dataIndex: 'blCampusName',
    key: 'blCampusName',
    width: COL_WIDTH_M,
  },
  {
    title: '发起时间',
    dataIndex: 'createTime',
    key: 'createTime',
    width: COL_WIDTH_M,
    render(text) {
      return moment(text).format('YYYY-MM-DD HH:mm:ss');
    },
  },
  {
    title: '课程名称',
    dataIndex: 'className',
    key: 'className',
    width: COL_WIDTH_M,
    render(text, row) {
      return `${row.className} - ${row.courseNum}`;
    },
  },
  {
    title: '上课时间',
    dataIndex: 'contractId',
    key: 'contractId',
    width: COL_WIDTH_M,
    render(text, row) {
      return `${row.courseDate} ${row.courseTime}`;
    },
  },
  {
    title: '申请人',
    dataIndex: 'createUserName',
    key: 'createUserName',
    width: COL_WIDTH_M,
  },
  {
    title: '审批人',
    dataIndex: 'approveUserName',
    key: 'approveUserName',
    width: COL_WIDTH_M,
  },
  {
    title: '状态',
    dataIndex: 'approveStatus',
    key: 'approveStatus',
    width: COL_WIDTH_M,
    render(text) {
      const getStatusColor = {
        AUDITING: '#6d67ff',
        AUDIT_COMPLETED: '#6d67ff',
        AUDIT_REJECT: 'red',
        AUDIT_STOP: '#333',
      };
      return <span style={{ color: getStatusColor[text] }}>{statusEnum[text]}</span>;
    },
  },
];
