import {
  pageRecords,
  getClassroomResponseByCampus,
  getClassroomResponseByOrg,
  exportRecords,
} from 'SERVICE/basicInformationManage';

// 查询抓拍记录表
export const pageRecordsApi = async (params) => {
  const data = await pageRecords(params);
  if (data.resultCode === 0) {
    const { total, list, pageNum, pageSize } = data.data;
    return {
      total,
      list,
      pageNum,
      pageSize,
    };
  } else {
    console.log(data);
  }
};

// 导出抓拍记录表
export const exportRecordsApi = async (params) => {
  const data = await exportRecords(params);
  if (data.resultCode === 0) {
    return data.data;
  } else {
    console.log(data);
  }
};

// 获取当前学习中心的所有教室
export const getClassroomResponseByCampusApi = async (params) => {
  const data = await getClassroomResponseByCampus(params);
  if (data.value) {
    return Object.entries(data.value).map((value) => {
      return {
        val: value[0],
        text: value[1],
      };
    });
  } else {
    return [];
  }
};

// 获取当前学习中心/分公司的所有教室
export const getClassroomResponseByOrgApi = async (params) => {
  const data = await getClassroomResponseByOrg(params);
  if (Array.isArray(data.data)) {
    return data.data.map((campus) => {
      return {
        label: campus.campusId,
        campusId: campus.campusId,
        options: (campus.data || []).map((classRoom) => ({ text: classRoom.name, val: `${classRoom.id}` })),
      };
    });
    // return data.data.reduce((pre, current) => {
    //   return pre.concat((current.data || []).map(classRoom => ({text: classRoom.name, val: `${classRoom.id}`})));
    // }, []);
  } else {
    return [];
  }
};
