import React from 'react';
import { Modal } from 'COMPONENT';
import { storeName } from '../store/config';
import { connect } from 'dva';
import style from './style.less';

function ImportResultModal(props) {
  function close() {
    props.dispatch({
      type: `${storeName}/onImportResultModalOk`,
    });
  }

  return (
    <Modal loading={props.importModalLoading} onClose={close} title="" width={600} cancelText="关闭" okBtnShow={false}>
      <div className={style.center}>
        <div className={style.title}>
          导入成功，成功<span className={style.number}>{props.successNum}</span>条！失败
          <span className={style.number}>{props.failNum}</span>条！
        </div>
        <div className={style.content}>
          导入成功结果可在教室管理列表中查看，默认状态为「待审批」，可单个或批量发起OA审批。
        </div>
        <a className={style.download} href={props.resultUrl} download>
          下载导入失败教室列表
        </a>
      </div>
    </Modal>
  );
}

function mapStateToProps(state) {
  return {
    totalNum: state[storeName].totalNum,
    successNum: state[storeName].successNum,
    failNum: state[storeName].failNum,
    resultUrl: state[storeName].resultUrl,
  };
}

export default connect(mapStateToProps)(ImportResultModal);
