import React from 'react';
import { Button } from 'COMPONENT';
import PropTypes from 'prop-types';

class ModalFooterBtn extends React.Component {
  static propTypes = {
    confirmBtnDisabled: PropTypes.bool.isRequired,
    onOk: PropTypes.func.isRequired,
    onCancel: PropTypes.func.isRequired,
  };

  render() {
    const { onOk, onCancel, confirmBtnDisabled } = this.props;

    return (
      <div style={{ display: 'flex', justifyContent: 'flex-end' }}>
        <Button type="primary" onClick={onOk} disabled={confirmBtnDisabled}>
          保存
        </Button>
        <Button onClick={onCancel}>取消</Button>
      </div>
    );
  }
}

export default ModalFooterBtn;
