import React from 'react';
import { connect } from 'dva';
import { Page } from 'COMPONENT';
import Search from './Search';
import DetailModal from './DetailModal';
import { storeName } from './store/config';
import TableList from './TableList';

class ClassRoomManagement extends React.Component {
  state = {
    pageLoading: true,
  };

  componentDidMount() {
    this.loadList();
    this.hidePageLoading();
  }

  hidePageLoading = () => {
    this.setState({
      pageLoading: false,
    });
  };

  loadList = async () => {
    this.props.dispatch({
      type: `${storeName}/loadList`,
    });
  };

  render() {
    let { detailModalVisible } = this.props;
    let { pageLoading } = this.state;

    return (
      <Page
        fitWindowHeight={true}
        loading={pageLoading}
        route={this.props.route}
        subHeader={<Search onSearch={this.loadList} />}
      >
        <TableList loadList={this.loadList} />
        {detailModalVisible && <DetailModal />}
      </Page>
    );
  }
}

function mapStateToProps(state) {
  return {
    detailModalVisible: state[storeName].detailModalVisible,
  };
}

export default connect(mapStateToProps)(ClassRoomManagement);
