import { getBelongOrg } from 'SERVICE/basicInformationManage';
import { requestWrapper } from 'UTIL/promiseHandler';

// const nodes = [  {id:2,parentId:1},{id:3,parentId:1},{id:4,parentId:2},{id:5,parentId:3},]
function formatOrganizationTreeData(nodes = []) {
  const allNodes = nodes.map((node) => {
    node.label = node.name;
    node.value = node.id;
    node.key = node.id;
    return node;
  });
  const nodesMap = allNodes.reduce((acc, cur) => {
    const { id } = cur;
    acc[id] = cur;
    return acc;
  }, {});

  // mount child nodes to parent
  for (const node of nodes) {
    const { parentId } = node;
    const parent = nodesMap[parentId];
    if (parent) {
      if (!parent.children) {
        parent.children = [];
      }
      parent.children.push(node);
      node.visited = true;
    }
  }

  // filter visited node
  const result = [];
  for (const [key, node] of Object.entries(nodesMap)) {
    if (!node.visited) {
      result.push(node);
    }
  }

  return result;
}

export const listOrganizationTreeData = async () => {
  const [, data = []] = await requestWrapper(getBelongOrg({}));
  return formatOrganizationTreeData(data);
};
