import React from 'react';
import { PreviewImgs, Icon } from 'COMPONENT';
import style from './style.less';

function ImagePreviewModal({ imageSrcs = [], currentSrc = '', onClose }) {
  return (
    <div className={style.imagePreviewContainer}>
      <div className={style.imagePreviewContent}>
        <PreviewImgs list={imageSrcs} activeSrc={currentSrc} showThumbnail={false} />
      </div>
      <div className={style.close} onClick={onClose}>
        <Icon className={style.icon} type="cross_circle" size={32} />
      </div>
    </div>
  );
}

export default ImagePreviewModal;
