import React from 'react';
import List from 'COMPONENT/List';
import loaders from '../loaders';
import 'COMPONENT/Page/styles.less';

class EleAccChangeLogs extends React.Component {
  constructor(props) {
    super(props);

    this.state = {
      dataSource: [],
      listLoading: false,
    };
  }

  componentDidMount() {
    this.setState({ listLoading: true });
    const { stuId } = this.props;
    if (!stuId) {
      return;
    }
    Promise.all([loaders.getElectronicAccountChangeLogByStudentId({ studentId: stuId })]).then(([eleAccChangeLogs]) => {
      this.setState({
        dataSource: eleAccChangeLogs,
        listLoading: false,
      });
    });
  }

  columns = [
    { title: '变更时间', dataIndex: 'changeTime' },
    { title: '操作人', dataIndex: 'changeUserName' },
    {
      title: '变更金额',
      dataIndex: 'changeAmount',
      render: (text, row) => {
        return `${(row.changeType || '') === 'A' ? '+' : '-'}${text}`;
      },
    },
    { title: '变更后金额', dataIndex: 'afterAmount' },
    { title: '类型', dataIndex: 'typeName' },
    { title: '备注', dataIndex: 'remark' },
  ];

  render() {
    const { dataSource, listLoading } = this.state;
    return (
      <div className="Page-scroller" style={{ margin: '0', maxHeight: '560px' }}>
        <List dataSource={dataSource} columns={this.columns} loading={listLoading} />
      </div>
    );
  }
}
export default EleAccChangeLogs;
