import React from 'react';
import List from 'COMPONENT/List';
import loaders from '../loaders';
import 'COMPONENT/Page/styles.less';
import { loadCommonDict } from 'UTIL/dict';

class EleAccout extends React.Component {
  constructor(props) {
    super(props);

    this.state = {
      dataSource: [],
      listLoading: false,
      sourceTypeDict: [],
    };
  }

  componentDidMount() {
    this.setState({ listLoading: true });
    const { stuId } = this.props;
    if (!stuId) {
      return;
    }
    Promise.all([loaders.getStuEleAccFlow({ studentId: stuId }), loadCommonDict('ECFlowSourceType')]).then(
      ([eleAccFlow, sourceTypeDict]) => {
        this.setState({
          dataSource: eleAccFlow,
          listLoading: false,
          sourceTypeDict: sourceTypeDict,
        });
      },
    );
  }

  commonRender = (val, row, i) => {
    return val || '-';
  };

  render() {
    const columns = [
      { title: '合同编号', dataIndex: 'contractId', render: this.commonRender },
      { title: '产品名称', dataIndex: 'productName', render: this.commonRender },
      { title: '产品类型', dataIndex: 'productType', render: this.commonRender },
      { title: '来源', dataIndex: 'source', dict: this.state.sourceTypeDict },
      { title: '入账金额', dataIndex: 'incomeMoney' },
      { title: '已用金额', dataIndex: 'consumeMoney' },
      { title: '可用金额', dataIndex: 'resumeMoney' },
    ];

    const { dataSource, listLoading } = this.state;
    return (
      <div className="Page-scroller" style={{ margin: '0', maxHeight: '560px' }}>
        <List dataSource={dataSource} columns={columns} loading={listLoading} />
      </div>
    );
  }
}
export default EleAccout;
