import React from 'react';
import styles from './styles.less';
import Icon from 'COMPONENT/Icon';
import styleVars from 'COMPONENT/theme/variables';

class Fold extends React.Component {
  state = {
    expand: this.props.defaultExpand,
  };
  render() {
    const { title, children } = this.props;
    const { expand } = this.state;
    return (
      <div className={styles.wrap}>
        <div className={styles.header} onClick={() => this.setState({ expand: !expand })}>
          <div className={styles.title}>{title}</div>
          <Icon type={expand ? 'up' : 'down'} className={styles.arrow} size={10} color={styleVars.fontColorSecondary} />
        </div>
        <div style={{ display: expand ? 'block' : 'none' }}>{children}</div>
      </div>
    );
  }
}
export default Fold;
