import React from 'react';
import styles from './styles.less';
import Validator from 'COMPONENT/Validator';
/*
<TagGroup
                  multiple
                  dict={cusTagDict}
                  value={tag}
                  onChange={val => this.setState({tag: val})}
                  color={styleVars.warningColor}
                  bgColor={styleVars.warningColorBg}
                  validator={{
                    rules: ['required'],
                    silent: !checking,
                    onErrorChange: e => this.errorChange('tag', e),
                  }}
                />
* */
class TagGroup extends React.Component {
  state = {
    value: [],
  };

  componentWillReceiveProps = (nextProps) => {
    const { value: val, multiple } = nextProps;
    const value = val ? (multiple ? val : [val]) : [];
    this.setState({ value });
  };

  onClick = (val) => {
    const { multiple, onChange } = this.props;
    const { value } = this.state;
    let newValue;
    if (value.indexOf(val) >= 0) {
      newValue = value.filter((v) => v !== val);
    } else {
      if (multiple) {
        newValue = [...value, val];
      } else {
        newValue = [val];
      }
    }
    onChange(newValue.length > 0 ? (multiple ? newValue : newValue[0]) : null);
  };

  render() {
    const { multiple, dict, onChange, color, bgColor, activeColor, activeBgColor, validator } = this.props;
    const { value } = this.state;
    let comp = (
      <div className={styles.wrap}>
        {dict &&
          dict.map((d) => {
            const isActive = value.indexOf(d.val) >= 0;
            return (
              <div
                key={d.val}
                className={styles.tag}
                style={{ background: isActive ? activeBgColor : bgColor, color: isActive ? activeColor : color }}
                onClick={() => this.onClick(d.val)}
              >
                {d.text}
              </div>
            );
          })}
      </div>
    );
    if (validator) {
      comp = (
        <Validator value={value} {...validator}>
          {comp}
        </Validator>
      );
    }
    return comp;
  }
}
export default TagGroup;
