import React from 'react';
import { connect } from 'dva';
import Main from './Main';

class CusDetailPage extends React.Component {
  constructor(props) {
    super(props);

    this.callProps = {
      agentId: props.agentId,
      agentLoginStatus: props.agentLoginStatus,
      callWay: props.callWay,
      enabled: props.enabled,
    };
  }

  closeCurrentTab = () => {
    const { activeTabId } = this.props;
    this.props.dispatch({
      type: 'main/removeTab',
      payload: { id: activeTabId },
    });
  };

  render() {
    const { location, params, route, activeTabId, dispatch, user } = this.props;
    const mirrorId = location.query.mirrorId;
    let pms = {};

    if (mirrorId) {
      pms = params.mirrors[mirrorId];
    } else {
      pms = params;
    }

    return (
      <Main
        route={route}
        {...pms}
        pageParams={pms}
        onCloseTab={this.closeCurrentTab}
        dispatch={dispatch}
        user={user}
        btnAuth={this.props.btnAuth}
        callProps={this.callProps}
      />
    );
  }
}

const mapStateToProps = (state) => {
  return {
    params: state.main.pageParams['/CommonCusDetailPage'],
    activeTabId: state.main.activeTabId,
    user: state.account.user,
    btnAuth: state.account.btnAuths,
    agentId: state.callCenter.agentId,
    agentLoginStatus: state.callCenter.agentLoginStatus,
    callWay: state.callCenter.callWay,
    enabled: state.callCenter.enabled,
  };
};

export default connect(mapStateToProps)(CusDetailPage);
