import React from 'react';
import { connect } from 'dva';
import Page from 'COMPONENT/Page';
import styles from './styles.less';
import SaleFunnelSec from './SaleFunnelSec';
import RankingSec from './RankingSec';
import CampusFollowSec from '../MasterDataBoard/CampusFollowSec';
import CallRecordsSec from '../common/CallRecordsSec';

class DataBoard extends React.Component {
  state = {
    loading: false, // {boolean} 页面加载状态
    canShow: null, // {boolean} 页面是否有内容可显示
    errorTips: null, // {boolean} 页面无内容时的提示
  };

  componentDidMount() {
    // this.setState({ loading: true })
    // checkHasCampus().then(({ canShow, errorTips }) => {
    //   this.setState({ loading: false, canShow, errorTips })
    // }, e => {
    //   this.setState({ loading: false, canShow: false, errorTips: e.text || '数据加载错误' })
    // })
    this.setState({ canShow: true });
  }

  scrollPage = (px) => {
    const scroller = this.pageRef.getScrollerElement();
    scroller.scrollTop = px;
  };

  render() {
    const { userId, branchId, campusId, dispatch } = this.props;
    const hasConsultWorkbrench = this.props.callCenterConfig.hasConsultWorkbrench;
    const alreadyBind = this.props.alreadyBind;

    const { loading, canShow, errorTips } = this.state;

    const callRecordsSecProps = {
      userId: this.props.userId,
      customerInputVisible: true,
    };

    return (
      <Page
        loading={loading}
        route={this.props.route}
        title={false}
        className={canShow ? styles.page : null}
        ref={(c) => (this.pageRef = c)}
      >
        {canShow && (
          <div>
            <div className={styles.sec}>
              <SaleFunnelSec
                dispatch={this.props.dispatch}
                campusId={campusId}
                consultantId={userId}
                branchId={branchId}
              />
            </div>
            {/*<div className={styles.sec}>
                <FollowRadioSec  />
              </div>
             */}
            <div className={styles.sec}>
              <CampusFollowSec userId={this.props.userId} dispatch={dispatch} />
            </div>
            <div className={styles.sec}>{hasConsultWorkbrench && <CallRecordsSec {...callRecordsSecProps} />}</div>
            <div className={styles.sec}>
              <RankingSec userId={this.props.userId} onScrollPage={this.scrollPage} />
            </div>
          </div>
        )}
        {errorTips && <div className={styles.tips}>{errorTips}</div>}
      </Page>
    );
  }
}
const mapStateToProps = (state) => {
  return {
    userId: state.account.user.userId,
    branchId: state.account.user.brenchId,
    campusId: state.account.user.campusId,
    callCenterConfig: state.account.callCenterConfig,
    alreadyBind: state.callCenter.alreadyBind,
  };
};
export default connect(mapStateToProps)(DataBoard);
