import dicts, { TIME_RANGE_WEEK, TIME_RANGE_MONTH, TIME_RANGE_QUARTER, timeRangeDict, cusStatusDict } from './dicts';
import { getSalesFunnel, getSalesFunnelDetailsInfo } from 'SERVICE/consultant';
const loadSaleFunnel = async ({ timeRange, ...rest }) => {
  const api = await getSalesFunnel({ queryTimeType: timeRange, ...rest });
  const data = (api && api.data) || {};
  console.log(data);
  const funnel = cusStatusDict.map((d) => {
    console.log(d.val, data[d.val]);
    return {
      value: data[d.val] || 0,
      name: d.text,
      nameVal: d.val,
      itemStyle: {
        normal: { color: d.color, borderWidth: 2 },
        emphasis: { color: d.color, borderColor: d.color },
      },
    };
  });

  return { funnel, all: data.ALL || 0 };
  /*  const funnel = cusStatusDict.map(d => {
      return {
        value: Math.round(2 + Math.random() * 40) ,
        name: d.text,
        nameVal: d.val,
        itemStyle: {
          normal: { color: d.color, borderWidth: 2 },
          emphasis: { color: d.color, borderColor: d.color },
        },
      }
    })
    return {
      funnel,
      visited: [
        { stuName: '王甜甜', grade: '402881e647ce90330147ce94ef900006', name: '王先生', contract: '189898989898', id: '1' },
        { stuName: '王甜甜', grade: '402881e647ce90330147ce94ef900006', name: '王先生', contract: '189898989898', id: '2' },
        { stuName: '王甜甜', grade: '402881e647ce90330147ce94ef900006', name: '王先生', contract: '189898989898', id: '3' },
        { stuName: '王甜甜', grade: '402881e647ce90330147ce94ef900006', name: '王先生', contract: '189898989898', id: '4' },
        { stuName: '王甜甜', grade: '402881e647ce90330147ce94ef900006', name: '王先生', contract: '189898989898', id: '5' },
        { stuName: '王甜甜', grade: '402881e647ce90330147ce94ef900006', name: '王先生', contract: '189898989898', id: '6' },
      ]
    }*/
};

const loadSaleCusList = async ({ timeRange, cusStatus, ...rest }) => {
  const visitedApi = await getSalesFunnelDetailsInfo({
    queryTimeType: timeRange,
    customerIntentionType: cusStatus,
    ...rest,
  });
  const list = visitedApi.data instanceof Array ? visitedApi.data : [];
  return list.map((d) => {
    return {
      stuName: d.studentName,
      grade: d.gradeName,
      name: d.customerName,
      contract: d.contract,
      id: d.customerId,
      stuId: d.studentId,
      cusStatus: d.customerType,
      deliverTarget: d.deliverTarget,
      customerId: d.customerId,
      studentId: d.studentId,
      studentName: d.studentName,
      phoneNum: d.contract.replace(/(\w{3})\w*(\w{4})/, '$1****$2'),
    };
  });
};

const loadFollowRadio = async ({ timeRange, startDate, endDate, sorts }) => {
  const sortType = sorts
    ? Object.keys(sorts).find((key) => {
        return sorts[key];
      })
    : null;
  return [
    {
      name:
        '黄咨询' +
        `${timeRange || ''} ${startDate || ''} ${endDate || ''}` +
        (sortType ? ' ' + sortType + ' ' + sorts[sortType] : ''),
      total: 150,
      totalAll: 300,
      pull: 50,
      pullAll: 50,
      direct: 20,
      directAll: 50,
      callIn: 20,
      callInAll: 50,
      net: 20,
      netAll: 50,
      recommend: 20,
      recommendAll: 50,
      tmk: 20,
      tmkAll: 50,
      callOut: 20,
      callOutAll: 50,
    },
    {
      name: '黄咨询',
      total: 150,
      totalAll: 300,
      pull: 50,
      pullAll: 50,
      direct: 20,
      directAll: 50,
      callIn: 20,
      callInAll: 50,
      net: 20,
      netAll: 50,
      recommend: 20,
      recommendAll: 50,
      tmk: 20,
      tmkAll: 50,
      callOut: 20,
      callOutAll: 50,
    },
    {
      name: '黄咨询',
      total: 150,
      totalAll: 300,
      pull: 50,
      pullAll: 50,
      direct: 20,
      directAll: 50,
      callIn: 20,
      callInAll: 50,
      net: 20,
      netAll: 50,
      recommend: 20,
      recommendAll: 50,
      tmk: 20,
      tmkAll: 50,
      callOut: 20,
      callOutAll: 50,
    },
    {
      name: '黄咨询',
      total: 150,
      totalAll: 300,
      pull: 50,
      pullAll: 50,
      direct: 20,
      directAll: 50,
      callIn: 20,
      callInAll: 50,
      net: 20,
      netAll: 50,
      recommend: 20,
      recommendAll: 50,
      tmk: 20,
      tmkAll: 50,
      callOut: 20,
      callOutAll: 50,
    },
    {
      name: '黄咨询',
      total: 150,
      totalAll: 300,
      pull: 50,
      pullAll: 50,
      direct: 20,
      directAll: 50,
      callIn: 20,
      callInAll: 50,
      net: 20,
      netAll: 50,
      recommend: 20,
      recommendAll: 50,
      tmk: 20,
      tmkAll: 50,
      callOut: 20,
      callOutAll: 50,
    },
  ];
};

export default {
  loadSaleFunnel,
  loadSaleCusList,
  loadFollowRadio,
};
