import React from 'react';
import { Row, Col } from 'antd';
import { FormItem } from 'COMPONENT';

/**
 * 学生信息
 *
 * @param student {object} 学生信息 {studentId: '', contact: '', studentName: '', gradeName: '', blCampusName: ''}
 */
class StudentInfo extends React.Component {
  static defaultProps = {
    student: null,
  };

  constructor(props) {
    super(props);
  }

  render() {
    const student = this.props.student || {};

    return (
      <Row>
        <Col span={8}>
          <FormItem name="手机号" labelWidth={50} style={{ padding: 0, marginBottom: 0 }}>
            {student.contact}
          </FormItem>
        </Col>
        <Col span={8}>
          <FormItem name="姓名" labelWidth={50} style={{ padding: 0, marginBottom: 0 }}>
            {student.studentName}
          </FormItem>
        </Col>
        <Col span={8}>
          <FormItem name="年级" labelWidth={50} style={{ padding: 0, marginBottom: 0 }}>
            {student.gradeName}
          </FormItem>
        </Col>
      </Row>
    );
  }
}

export default StudentInfo;
