// 教学数据字典
function getJxDictByType(dictType) {
  const dict = {
    GRADE: [
      { text: '一年级', val: 'GRADE0001' },
      { text: '二年级', val: 'GRADE0002' },
      { text: '三年级', val: 'GRADE0003' },
    ],
    SUBJECT: [
      { text: '语文', val: 'SUBJECT0001' },
      { text: '数学', val: 'SUBJECT0002' },
      { text: '英语', val: 'SUBJECT0003' },
    ],
  };

  return new Promise((resolve) => {
    setTimeout(() => {
      resolve(dict[dictType] || []);
    }, 660);
  });
}
// 试卷管理数据查询
const getTestPaperData = function () {
  return new Promise((resolve) => {
    const rsp = {
      resultCode: 0,
      resultMessage: 'success',
      data: {
        list: [
          {
            id: 'mock0001',
            name: '六年级数学入学测试（人教版）标准版原试卷',
            branchId: '000002',
            branchName: '东莞分公司',
            year: '2020',
            season: '暑假',
            grade: '六年级',
            subject: '数学',
            creator: '肖玉芬',
            createDttm: '2020.05.25',
            previewUrl: 'https://www.google.com',
          },
        ],
      },
    };
    rsp.data.total = rsp.data.list.length;
    setTimeout(function () {
      resolve(rsp);
    }, 1000);
  });
};
// 报告管理数据查询
const getTestReportData = function () {
  return new Promise((resolve) => {
    const rsp = {
      resultCode: 0,
      resultMessage: 'success',
      data: {
        list: [
          {
            examId: 'mock0001',
            name: '张云彬',
            branchId: '000002',
            branchName: '东莞分公司',
            year: '2020',
            season: '暑假',
            grade: '六年级',
            subject: '数学',
            score: '95',
            studentId: 'STU123456',
            classTypeName: '创新A',
            createTime: '2020.05.25',
            previewUrl: 'https://www.google.com',
          },
        ],
      },
    };
    rsp.data.total = rsp.data.list.length;
    setTimeout(function () {
      resolve(rsp);
    }, 1000);
  });
};

export { getJxDictByType, getTestPaperData, getTestReportData };
