import React from 'react';
import Modal from 'COMPONENT/Modal';
import AddCustomerMain from 'PAGE/common/AddCustomerMain';
import getWrappedInstance from 'UTIL/getWrappedInstance';
import styles from './styles.less';
import classnames from 'classnames';
import { WORKBENCH_CALL_OUT } from 'PAGE/common/utils';
class AddCusModal extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      loading: false, // {boolean} 等待状态
    };
  }

  render() {
    const { onClose, onSaveSuccess, showResEntrance } = this.props;
    const { loading } = this.state;
    const modalCls = {
      [styles.wrap]: 1,
      [styles.modal]: 1,
    };

    return (
      <Modal
        className={classnames(modalCls)}
        loading={loading}
        title="录入客户"
        width={820}
        onOk={this.addCustomerMainRef ? this.addCustomerMainRef.onOk : null}
        onClose={onClose}
        noLine
        cancelBtnShow={false}
        okText="保存客户"
        closable
        ref={(c) => (this.modalRef = getWrappedInstance(c))}
      >
        <AddCustomerMain
          showResEntrance={showResEntrance}
          onLoadingStart={() => this.setState({ loading: true })}
          onLoadingEnd={() => this.setState({ loading: false })}
          onError={this.modalRef ? this.modalRef.showOkTips : null}
          onSaveSuccess={() => {
            onSaveSuccess();
            onClose();
          }}
          ref={(c) => (this.addCustomerMainRef = getWrappedInstance(c))}
          workBench={WORKBENCH_CALL_OUT}
          callType={'CONSULTANT'}
        />
      </Modal>
    );
  }
}

export default AddCusModal;
