import React from 'react';
import { connect } from 'dva';
import Page from 'COMPONENT/Page';
import styles from './styles.less';
import VisitCusSec from './VisitCusSec';
import PhoneCusSec from './PhoneCusSec';
import CusListSec from './CusListSec';
import Icon from 'COMPONENT/Icon';

class FollowCustomer extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      collapsed: false,
      cusListSecProps: {},
    };
  }

  componentWillUnmount() {}

  collapse = () => {
    const { collapsed } = this.state;
    this.setState({
      collapsed: !collapsed,
    });
  };

  onPhoneCusSecChange = ({ defaultSearchConditions, initCusList }) => {
    this.setState({
      cusListSecProps: { defaultSearchConditions, initCusList },
    });
  };

  clearPageParam = () => {
    this.props.dispatch({
      type: 'main/setPageParams',
      payload: {
        path: '/ConsultantFollowCustomer',
        params: null,
      },
    });
  };

  render() {
    const { collapsed, cusListSecProps } = this.state;
    return (
      <Page route={this.props.route} title={false} className={styles.page}>
        <div className={styles.section}>
          <div className={collapsed ? styles.collapsedBody : styles.sectionBody} style={{ display: 'flex' }}>
            <div style={{ flex: '2' }}>
              <VisitCusSec />
            </div>
            <div className={styles.vrContainer}>
              <div className={styles.vr} />
            </div>
            <div style={{ flex: '1' }}>
              <PhoneCusSec onChange={this.onPhoneCusSecChange} />
            </div>
          </div>
        </div>
        <div className={styles.collapsedContainer}>
          <div className={styles.collapsed} onClick={this.collapse}>
            <Icon type={collapsed ? 'down' : 'up'} size={10} />
          </div>
        </div>
        <div style={{ marginTop: 15 }}>
          <CusListSec {...cusListSecProps} />
        </div>
      </Page>
    );
  }
}
export default connect()(FollowCustomer);
