import React from 'react';
import styles from './styles.less';
import { Row, Col } from 'antd';
import TextLink from 'COMPONENT/TextLink';

class VisitRadioBlock extends React.Component {
  onClick = (item) => {
    this.props.onClick(item);
  };

  render() {
    const { data } = this.props;
    return (
      <div className={styles.wrap}>
        <div className={styles.list}>
          {data.length > 0 ? (
            data.map((item, idx) => {
              return (
                <div key={item.id} className={styles.item}>
                  <span className={styles.itemLeft}>{item.text}</span>
                  <span className={styles.itemRight}>
                    <TextLink onClick={() => this.onClick(item)}>{item.val}</TextLink>
                  </span>
                </div>
              );
            })
          ) : (
            <div className={styles.tips}>暂无记录</div>
          )}
        </div>
      </div>
    );
  }
}
export default VisitRadioBlock;
