import styVars from 'COMPONENT/theme/variables';

const TIME_RANGE_TODAY = '1';
const TIME_RANGE_WEEK = '2';
const TIME_RANGE_MONTH = '3';
const TIME_RANGE_QUARTER = '4';

const timeRangeDict = [
  { val: TIME_RANGE_WEEK, text: '本周' },
  { val: TIME_RANGE_MONTH, text: '本月' },
  { val: TIME_RANGE_QUARTER, text: '季度' },
];

const timeRange2Dict = [{ val: TIME_RANGE_TODAY, text: '今日' }, ...timeRangeDict];

const CUS_STATUS_NEW = '1';
const CUS_STATUS_HIGH = '2';
const CUS_STATUS_LOW = '3';
const CUS_STATUS_VISITED = '4';
const CUS_STATUS_FEEL = '5';
const CUS_STATUS_SIGNED = '6';
const cusStatusDict = [
  { val: CUS_STATUS_NEW, text: '新客户', color: styVars.infoColor },
  { val: CUS_STATUS_HIGH, text: '高意向', color: styVars.highlightColor },
  { val: CUS_STATUS_LOW, text: '低意向', color: styVars.warningColor },
  { val: CUS_STATUS_VISITED, text: '已上门', color: styVars.primaryColor },
  { val: CUS_STATUS_FEEL, text: '体验课', color: styVars.successColor },
  { val: CUS_STATUS_SIGNED, text: '签单', color: '#2697A7' },
];

export default {
  TIME_RANGE_TODAY,
  TIME_RANGE_WEEK,
  TIME_RANGE_MONTH,
  TIME_RANGE_QUARTER,
  timeRangeDict,
  timeRange2Dict,
  CUS_STATUS_NEW,
  CUS_STATUS_HIGH,
  CUS_STATUS_LOW,
  CUS_STATUS_VISITED,
  CUS_STATUS_FEEL,
  CUS_STATUS_SIGNED,
  cusStatusDict,
};
