import React from 'react';
import styles from './styles.less';
import upImg from 'ASSET/imgs/color_up.png';
import downImg from 'ASSET/imgs/color_down.png';

class AchievementRankingItem extends React.Component {
  render() {
    const {
      data: { rank, asc, desc, num },
    } = this.props;

    return (
      <div className={styles.wrap}>
        <div className={styles.rank}>{rank}</div>
        <div className={styles.icon}>{(asc || desc) && <img src={asc ? upImg : downImg} />}</div>
        <div className={styles.changeRank}>{!asc && !desc ? '持平' : `${asc || desc}名`}</div>
        <div className={styles.num}>{num}</div>
      </div>
    );
  }
}
export default AchievementRankingItem;
