import React from 'react';
import styles from './styles.less';
import classnames from 'classnames';

class AchievementBarChart extends React.Component {
  bars = {};

  getBarRef = (rank) => {
    return this.bars[rank];
  };

  render() {
    const { data, currentUserId, showNumCount } = this.props;
    let maxNum = 0;
    data.forEach((d) => {
      if (d.num > maxNum) {
        maxNum = d.num;
      }
    });
    return (
      <div className={styles.wrap}>
        {data.map((d, idx) => {
          const isMe = d.isMe;
          const showNum = d.showNum;
          const rowCls = {
            [styles.row]: 1,
            [styles.rowActive]: isMe,
            [styles.rowTop10]: idx < 10,
          };
          const width = maxNum === 0 || d.num === 0 ? 0 : Math.round((d.num / maxNum) * 100) + '%';
          return (
            <div key={idx} className={classnames(rowCls)} ref={(c) => (this.bars[d.rank] = c)}>
              <div className={styles.rankWrap}>
                <div className={styles.rank}>{d.rank}</div>
              </div>
              <div className={styles.name} title={isMe ? undefined : d.name}>
                {isMe ? '我' : d.name}
              </div>
              <div className={styles.campus} title={d.campusName}>
                {d.campusName}
              </div>
              <div className={styles.barWrap}>
                <div className={styles.bar} style={{ width }} />
              </div>
              <div className={styles.num}>{!showNumCount || d.rank <= showNumCount || showNum ? d.num : null}</div>
            </div>
          );
        })}
      </div>
    );
  }
}
export default AchievementBarChart;
