import React from 'react';
import Popover from 'COMPONENT/Popover';
import FormItem from 'COMPONENT/FormItem';
import styles from './styles.less';

const getPopContent = (title, infos, onClick) => {
  return (
    <div>
      {infos.map((info, idx) => {
        const { label, content } = info;
        if (label === '学生姓名') {
          return (
            <FormItem key={idx} name={label} szie="small" labelWidth={80}>
              <a onClick={onClick}>{content}</a>
            </FormItem>
          );
        }
        return (
          <FormItem key={idx} name={label} szie="small" labelWidth={80}>
            {content}
          </FormItem>
        );
      })}
    </div>
  );
};

class MoreInfoPop extends React.Component {
  render() {
    const { children, data, $panel, title, onClick } = this.props;
    return (
      <Popover placement="right" content={getPopContent(title, data, onClick)} overlayClassName={styles.popWrap}>
        {children}
      </Popover>
    );
  }
}

export default MoreInfoPop;
