import React from 'react';
import classnames from 'classnames';
import styles from './styles.less';
import utils from '../utils';
import moment from 'moment';
import { DATE_FORMAT } from 'COMPONENT/utils/form';

class ScheduleHeader extends React.Component {
  render() {
    const { cols, activeDate } = this.props;

    return (
      <div className={styles.wrap}>
        <div className={styles.left}>&nbsp;</div>
        <div className={styles.main}>
          {cols.map((col) => {
            const cls = {
              [styles.col]: 1,
              [styles.active]: activeDate === col.date,
            };
            const dateCls = {
              [styles.date]: 1,
              [styles.today]: col.date === moment().format(DATE_FORMAT),
            };
            return (
              <div key={col.date} className={classnames(cls)} style={{ flex: col.width }}>
                <span className={classnames(dateCls)}>{col.date.slice(8)}</span>
                <span className={styles.week}>{utils.weekNames[utils.getWeekByDate(col.date)]}</span>
              </div>
            );
          })}
        </div>
      </div>
    );
  }
}

export default ScheduleHeader;
