import React from 'react';
import PropTypes from 'prop-types';
import style from './styles.module.less';
import { Icon } from 'antd';

const PhoneCall = (props) => {
  return (
    <span>
      <span>{props.phoneNum}</span>
      {props.callVisible && <Icon className={style.phoneCallIcon} type="phone" onClick={props.onCall} />}
    </span>
  );
};

PhoneCall.propTypes = {
  phoneNum: PropTypes.string,
  onCall: PropTypes.func,
  callVisible: PropTypes.bool,
};

PhoneCall.defaultProps = {
  callVisible: true,
};

export default PhoneCall;
