import React from 'react';
import Modal from 'COMPONENT/Modal';
import List from 'COMPONENT/List';

const { COL_WIDTH_M, COL_WIDTH_L } = List;
const columns = [
  { title: '原班季度', key: 'originClass', dataIndex: 'originClass', width: COL_WIDTH_M },
  { title: '匹配班季度', key: 'matchClass', dataIndex: 'matchClass', width: COL_WIDTH_M },
  { title: '原班年份', key: 'originYear', dataIndex: 'originYear', width: COL_WIDTH_M },
  { title: '匹配班年份', key: 'matchYear', dataIndex: 'matchYear', width: COL_WIDTH_M },
  { title: '原班年级', key: 'originGrade', dataIndex: 'originGrade', width: COL_WIDTH_M },
  { title: '匹配班年级', key: 'matchGrade', dataIndex: 'matchGrade', width: COL_WIDTH_M },
  { title: '原班科目', key: 'originSubject', dataIndex: 'originSubject', width: COL_WIDTH_M },
  { title: '匹配班科目', key: 'matchSubject', dataIndex: 'matchSubject', width: COL_WIDTH_M },
];

const dataSources = [
  {
    originClass: '寒假',
    matchClass: '春季',
    originYear: '2020',
    matchYear: '2020',
    originGrade: '五年级',
    matchGrade: '五年级',
    originSubject: '语文',
    matchSubject: '语文',
  },
  {
    originClass: '春季',
    matchClass: '暑假、秋季',
    originYear: '2020',
    matchYear: '2020',
    originGrade: '五年级',
    matchGrade: '+1:六年级',
    originSubject: '数学',
    matchSubject: '数学',
  },
  {
    originClass: '暑假',
    matchClass: '秋季',
    originYear: '2020',
    matchYear: '2020',
    originGrade: '五年级',
    matchGrade: '五年级',
    originSubject: '英语',
    matchSubject: '英语',
  },
  {
    originClass: '秋季',
    matchClass: '寒假、春季',
    originYear: '2020',
    matchYear: '+1:2021',
    originGrade: '五年级',
    matchGrade: '五年级',
    originSubject: '',
    matchSubject: '',
  },
  {
    originClass: '规则',
    matchClass: '春、秋顺延2个季度，寒暑顺延1个季度',
    originYear: '规则',
    matchYear: '秋季+1',
    originGrade: '规则',
    matchGrade: '春季+1',
    originSubject: '规则',
    matchSubject: '科目相同',
  },
];
export default class RuleDetailModal extends React.Component {
  render() {
    const { onClose } = this.props;
    return (
      <Modal title="默认规则" width={1000} cancelText="关闭" onCancel={onClose} okBtnShow={false}>
        <List columns={columns} dataSource={dataSources} />
      </Modal>
    );
  }
}
