const TWO_TEACHER_VAL = 'TWO_TEACHER';
const SMALL_CLASS_VAL = 'SMALL_CLASS';

const productTypeAllow = ['TWO_TEACHER', 'SMALL_CLASS'];

const productTypeDict = [
  { text: '双师', val: TWO_TEACHER_VAL },
  { text: '小班', val: SMALL_CLASS_VAL },
];

const linkDict = [
  { text: '是', val: '1' },
  { text: '否', val: '0' },
];

const quarterMap = {
  spring: 'DAT0000000231',
  summer: 'DAT0000000232',
  autumn: 'DAT0000000233',
  winter: 'DAT0000000230',
};
const quarterText = {
  DAT0000000231: '春季星期数',
  DAT0000000232: '暑假期数',
  DAT0000000233: '秋季星期数',
  DAT0000000230: '寒假期数',
};
const quarterToDict = {
  DAT0000000231: 'weekDayDict',
  DAT0000000232: 'phaseDict',
  DAT0000000233: 'weekDayDict',
  DAT0000000230: 'phaseDict',
};
const isWinterOrSummerVacation = function (quarterId) {
  return quarterId
    ? {
        // 寒假
        DAT0000000230: true,
        // 春季
        DAT0000000231: false,
        // 暑假
        DAT0000000232: true,
        // 秋季
        DAT0000000233: false,
      }[quarterId]
    : false;
};

export {
  TWO_TEACHER_VAL,
  SMALL_CLASS_VAL,
  productTypeAllow,
  productTypeDict,
  linkDict,
  isWinterOrSummerVacation,
  quarterMap,
  quarterText,
  quarterToDict,
};
