import api from 'SERVICE/continueRegManage';
// 获取续报班列表
const getLinkClassList = async (params) => {
  const data = await api.getLinkClassList(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};
/*-------------------------------首页接口-------------------*/
// 获取首页原版列表
const getIndexLinkList = async (params) => {
  const data = await api.queryOriginalClassList(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

// 导出首页原版列表
const exportIndexLinkList = async (params) => {
  const data = await api.queryOriginalClassList(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

// 导出首页原版列表
const getIndexClassSeriesDetail = async (params) => {
  const data = await api.querySeriesClassList(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

// 首页删除续班
const deleteIndexClassLink = async (params) => {
  const data = await api.deleteClassRenew(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

// 首页手动关联续班
const indexHandLink = async (params) => {
  const data = await api.submitHandClassRenew(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

// 获取关联详情
const getLinkDetailRange = async (params) => {
  const data = await api.getLinkDetailRange(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

/* --------------------------人续接口-------------------- */
// 获取人续列表
const getLinkStudentList = async (params) => {
  const data = await api.findStudentRenewList(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};
// 推荐课程
const saveLinkStudent = async (params) => {
  const data = await api.saveStudentRenewInfo(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};
// 获取人续详情
const getLinkStudentInfo = async (params) => {
  const data = await api.findStudentRenewInfo(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};
const changeStudentLinkStatus = async (params) => {
  const data = await api.findStudentRenewInfo(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

const getImportStudentList = async (params) => {
  const data = await api.findStudentRenewImportList(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

/* -------------------班续------------------------*/

// 查看平移班续方位
const getClassLinkRange = async (params) => {
  const data = await api.queryTranslateClassRewRange(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};
// 提交班续平行关联
const submitClassLink = async (params) => {
  const data = await api.submitTranslateClassRenew(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};
// 获取班续导入记录
const getImportClassList = async (params) => {
  const data = await api.findClassRenewImportList(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

// 下载未匹配班续excel
const getUnMatchClassImport = async (params) => {
  const data = await api.exportClassUnMatchRecord(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

export {
  getLinkClassList,
  getIndexLinkList,
  exportIndexLinkList,
  getIndexClassSeriesDetail,
  deleteIndexClassLink,
  indexHandLink,
  getLinkDetailRange,
  getLinkStudentList,
  getLinkStudentInfo,
  saveLinkStudent,
  getImportStudentList,
  changeStudentLinkStatus,
  getImportClassList,
  submitClassLink,
  getClassLinkRange,
  getUnMatchClassImport,
};
