import React from 'react';
import style from './styles.module.less';
import PropTypes from 'prop-types';
import classnames from 'classnames';

const InfoBlock = (props) => {
  const titleStyle = classnames({
    [style.InfoBlockHeader]: true,
    [style.SegmentTitle]: props.isSegment,
  });
  return (
    <div className={style.InfoBlock} style={props.style}>
      <div className={style.header}>
        {props.headerSlot && <div className={style.headerSlot}>{props.headerSlot}</div>}
        <div className={titleStyle}>
          {props.title && <div className={style.InfoBlockTitle}>{props.title}</div>}
          {props.toolbar && <div className={style.InfoBlockToolbar}>{props.toolbar}</div>}
        </div>
      </div>
      {props.children && <div className={style.InfoBlockBody}>{props.children}</div>}
    </div>
  );
};

InfoBlock.propTypes = {
  title: PropTypes.element,
  toolbar: PropTypes.any,
  style: PropTypes.object,
  headerSlot: PropTypes.node,
  isSegment: PropTypes.bool,
};

export default InfoBlock;
