import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import style from './styles.module.less';

const InfoGroup = (props) => {
  return <div className={classNames(style.InfoGroup, props.className)}>{props.children}</div>;
};

InfoGroup.PropTypes = {
  className: PropTypes.string,
};

const InfoItem = (props) => {
  return (
    <div className={classNames(style.InfoItem, style.className)}>
      {props.label && <span>{props.label}：</span>}
      <span>{props.children || '-'}</span>
    </div>
  );
};

InfoItem.PropTypes = {
  className: PropTypes.string,
  label: PropTypes.string.isRequired,
};

InfoItem.InfoGroup = InfoGroup;

export default InfoItem;
