import React, { PropTypes } from 'react';
import classNames from 'classnames';
import style from '../styles.module.less';
import { Radio } from 'antd';
import { OVERDUE_ALARM, WAIT_FORM_CONFIRM } from '../constants';

class AlarmType extends React.Component {
  static propTypes = {
    alarmType: PropTypes.string.isRequired,
    onAlarmTypeChange: PropTypes.func.isRequired,
  };

  constructor(props) {
    super(props);
  }

  render() {
    return (
      <div className={classNames(style.selectAlarmType)}>
        <Radio.Group value={this.props.alarmType} onChange={this.props.onAlarmTypeChange} size="large">
          <Radio.Button value={OVERDUE_ALARM}>超期预警</Radio.Button>
          <Radio.Button value={WAIT_FORM_CONFIRM}>修改后待确认</Radio.Button>
        </Radio.Group>
      </div>
    );
  }
}

export default AlarmType;
