/**
 * Created by Haolin on 2019/2/18.
 */
import React from 'react';
import { connect } from 'dva';
import Modal from 'COMPONENT/Modal';
import showMessage from 'COMPONENT/utils/globalTips/showMessage';
import List from 'COMPONENT/List';
import { getContractProductList } from 'SERVICE/contract';

const { COL_WIDTH_S, COL_WIDTH_M, COL_WIDTH_L, COL_WIDTH_XL } = List;

class ContractPrdModal extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      name: '合同产品',
      listLoading: false,
      list: [],
    };
    this.columns = [
      { title: '产品名称', dataIndex: 'productName', key: 'productName', width: COL_WIDTH_L },
      { title: '应收金额', dataIndex: 'realAmount', key: 'realAmount', width: COL_WIDTH_M },
      { title: '付款状态', dataIndex: 'paidStatusName', key: 'paidStatusName', width: COL_WIDTH_M },
    ];
    this.init = this.init.bind(this);
  }
  static classPrefix = 'ContractPrdModal';
  componentDidMount() {
    this.init();
  }

  async init() {
    const { id, data } = this.props;
    this.setState({
      listLoading: true,
      name: `${id} (${data.studentName})`,
    });
    const rsp = await getContractProductList({ contractId: id }, true).catch((err) => {
      showMessage(err.text, 'error');
    });
    let list = [];
    if (rsp && rsp.resultCode === 0) {
      list = rsp.data;
    }
    this.setState({
      listLoading: false,
      list,
    });
  }

  render() {
    const { onCancel } = this.props;
    const { name, listLoading, list } = this.state;
    const prefix = ContractPrdModal.classPrefix;

    return (
      <Modal title={name} loading={false} closable={true} onCancel={onCancel} okBtnShow={false} widthSize="S">
        <List dataSource={list} columns={this.columns} loading={listLoading} pagination={false} />
      </Modal>
    );
  }
}

const mapStateToProps = (state) => {
  return {};
};

export default connect(mapStateToProps)(ContractPrdModal);
