import React from 'react';
import PropTypes from 'prop-types';
import styles from './index.less';
import { Popover } from 'COMPONENT';

/**
 * 已选优惠券展示组件
 *
 * @param props.promotionList {Array} 优惠券列表
 * @constructor
 */
const SelectedCouponList = (props) => {
  return (
    <ul className={styles.coupon_wrap}>
      {props.promotionList.map((item, index) => {
        const name = item.promotionName || item.promotionCouponName;

        if (index < props.truncationNum) {
          return (
            <li key={index} className={styles.coupon_item}>
              {name}
            </li>
          );
        }

        return '';
      })}
      {props.promotionList.length > props.truncationNum && (
        <Popover
          content={
            <ul className={styles.PopoverWrap}>
              {props.promotionList.map((item, index) => {
                if (index >= props.truncationNum) {
                  const name = item.promotionName || item.promotionCouponName;

                  return (
                    <li key={index} className={styles.coupon_item}>
                      {name}
                    </li>
                  );
                }

                return '';
              })}
            </ul>
          }
        >
          <li className={styles.coupon_more}>更多 ></li>
        </Popover>
      )}
    </ul>
  );
};

SelectedCouponList.propTypes = {
  promotionList: PropTypes.array,
  truncationNum: PropTypes.number,
};

SelectedCouponList.defaultProps = {
  promotionList: [],
  truncationNum: 3,
};

export default SelectedCouponList;
