import { getContractSnapshotById } from 'SERVICE/contract';

/**
 * 获取合同快照数据
 *
 * @param params.id {string} 快照记录ID
 * @return {Promise<{}>}
 */
export async function getContractSnapshot(params) {
  if (!params || !params.id) {
    return null;
  }

  try {
    const { data } = await getContractSnapshotById(params);

    return data;
  } catch (e) {
    return null;
  }
}
