/**
 * 获取合同快照数据
 *
 * @param params.id {string} 快照记录ID
 * @return {Promise<{*}>}
 */
export function getContractSnapshot(params) {
  if (!params || !params.id) {
    return null;
  }

  return new Promise((resolve) => {
    setTimeout(() => {
      const response = {
        SUCCESS: null,
        resultCode: 0,
        resultMessage: 'R0@t3',
        data: {
          studentId: 'studentId',
          studentName: 'stu' + Math.random() * 1000,
          studentGradeId: 'OZybIk',
          studentGradeName: 'Y*(4#',
          customerId: 'Te)F',
          customerName: 'm[zq7',
          customerContact: 'UbwN7',
          blCampusId: '9@Rflo',
          blCampusName: '51RFW',
          schoolId: 'qgU',
          schoolName: 'schoolName' + Math.random() * 100,
          contractTypeValue: '8WPWc1',
          contractTypeName: '(ol9zr',
          operateUserId: '8nGvY',
          operateUserName: '4RP',
          totalAmount: Math.random() * 1000,
          promotionAmount: 27278452816912.62,
          realAmount: Math.random() * 1000,
          paidAmount: Math.random() * 1000,
          promotionCouponVos: [
            {
              promotionCouponId: 'RXt',
              promotionCouponName: 'QX1s',
              promotionCouponRuleId: '%SOH)',
              promotionCouponAmount: -4997047839732392,
            },
            {
              promotionCouponId: 'v2**',
              promotionCouponName: 'sV8Xwu',
              promotionCouponRuleId: '1h!',
              promotionCouponAmount: 2680516196262004.5,
            },
            {
              promotionCouponId: 'CRG9',
              promotionCouponName: 'Iyi',
              promotionCouponRuleId: '[kP',
              promotionCouponAmount: -8342940791944565,
            },
            {
              promotionCouponId: 'H#QF7t&',
              promotionCouponName: 'r%X0mj',
              promotionCouponRuleId: 'Idv%Mu',
              promotionCouponAmount: 4702228207126312,
            },
            {
              promotionCouponId: 'gEVv(Gv',
              promotionCouponName: 'NWS6l',
              promotionCouponRuleId: 'wCL^Fte',
              promotionCouponAmount: 8197935143125908,
            },
          ],
          contractProductVos: [
            {
              contractProductId: ']!csL7w',
              productTypeValue: 'z5F%j',
              productTypeName: 'U1Qc9E',
              productId: 'Rav*(Zi',
              productName: '(a5rpEu',
              classId: 'VsXRh',
              className: 'BS^40',
              mainTeacherId: 'aA7M',
              mainTeacherName: '*#4eO',
              assistTeacherId: 'Bw%gI1r',
              assistTeacherName: '58z@6',
              startClassDate: 'w3&',
              startClassTime: 'S[2hJ',
              classLength: -3302448364021980,
              price: -5592998046464208,
              totalCourseHours: -8317781896944577,
              promotionAmount: 880915514237116.9,
              realAmount: -3493205828450164.5,
              totalAmount: 7649278127073069,
              promotionInfoVos: [
                {
                  id: 'yH4Zo',
                  name: 'kIf8D]',
                  promotionType: 'yRA$',
                  promotionValue: 'Kn[)*',
                  calExpression: '[)Z6',
                  settlePromotionAmount: 1086483633604052.8,
                },
                {
                  id: 'OassV',
                  name: 'MBLGAm2',
                  promotionType: 'ckksc',
                  promotionValue: 'j(&',
                  calExpression: 'Z2IM7',
                  settlePromotionAmount: -1029421736286892.2,
                },
              ],
              promotionActivityVos: [
                { id: 'A4m4jo', name: 'LIz', ruleId: '4GHsSGF' },
                {
                  id: 'zQ)ZI',
                  name: 'KLub',
                  ruleId: 'T!e6O4',
                },
                { id: '#bGT', name: '^T6S89', ruleId: ')5WuBx' },
              ],
            },
            {
              contractProductId: 'i(lHrL',
              productTypeValue: '(1iIJse',
              productTypeName: '2&*T',
              productId: 'gQ3h',
              productName: '&ezJ',
              classId: 'B23wc',
              className: 'P#hCn[',
              mainTeacherId: '0tR)I',
              mainTeacherName: 'zhvi',
              assistTeacherId: 'SeO',
              assistTeacherName: 'S!u',
              startClassDate: 'JDd',
              startClassTime: 'D^D',
              classLength: -74065232749124,
              price: -1700271231961896.8,
              totalCourseHours: 7488167213896429,
              promotionAmount: 3145740685116924,
              realAmount: -6981779978343533,
              totalAmount: -1463451490421208.8,
              promotionInfoVos: [
                {
                  id: 'g3h',
                  name: 'ucGKl',
                  promotionType: 'qycH#%',
                  promotionValue: '(@aDX',
                  calExpression: 'J^Bp6km',
                  settlePromotionAmount: -3414768061771544.5,
                },
              ],
              promotionActivityVos: [
                { id: '$tA', name: 'qJZd5', ruleId: 'jEM' },
                {
                  id: '6V3YL',
                  name: 'oeQ',
                  ruleId: 'wr*',
                },
              ],
            },
            {
              contractProductId: 'GI$X#T',
              productTypeValue: 'jRU%R',
              productTypeName: 'lGHDL&4',
              productId: ']U7g',
              productName: 'lS&9',
              classId: 'N3C9',
              className: 'bo1gx7l',
              mainTeacherId: 'LtqT&E',
              mainTeacherName: 'Pyrefb',
              assistTeacherId: 'n3^m',
              assistTeacherName: 'Ur9OXQp',
              startClassDate: 'OL]1',
              startClassTime: 'lyG*U5',
              classLength: 1993590335395668,
              price: 2718666254597860.5,
              totalCourseHours: -3862465760582280.5,
              promotionAmount: -1364572810179868.5,
              realAmount: 5465708242079853,
              totalAmount: -8065282368831460,
              promotionInfoVos: [
                {
                  id: '86gC',
                  name: 's^1*tn',
                  promotionType: 'V$MY',
                  promotionValue: 'e!g&^',
                  calExpression: 'uP(ecLK',
                  settlePromotionAmount: 6359358713989788,
                },
              ],
              promotionActivityVos: [
                { id: 'ERU@', name: 'WO3fpA', ruleId: '%k8' },
                {
                  id: 'YEL*9',
                  name: 'ReKA',
                  ruleId: 'ZcFpd&',
                },
                { id: 'iPXTs', name: 'NZ%Sg9', ruleId: '8Ckb2f' },
                {
                  id: '9n2@iT',
                  name: 'db6UT',
                  ruleId: 'PC68i',
                },
                { id: 'Q)ZQk', name: 'qbwb', ruleId: 'CM@#' },
              ],
            },
            {
              contractProductId: 'eKDAQ^',
              productTypeValue: 'Od0EM',
              productTypeName: 'lwfxQ',
              productId: 'PjeNE[',
              productName: 'f5xP5Z',
              classId: '1w@pk',
              className: 'Wr9FwiJ',
              mainTeacherId: '!GD4t',
              mainTeacherName: 'f9Iw',
              assistTeacherId: 'rfW12',
              assistTeacherName: '%NF8',
              startClassDate: 'eL[y',
              startClassTime: 'E$EP!S',
              classLength: -157821097915996,
              price: -3619154829660272,
              totalCourseHours: -6224748005835665,
              promotionAmount: 8901848250074452,
              realAmount: -8541825955442429,
              totalAmount: -8872869666181500,
              promotionInfoVos: [
                {
                  id: 'q3(w',
                  name: 'ZAHbn',
                  promotionType: '%3f$B',
                  promotionValue: '088(hc',
                  calExpression: 'Zs&M]',
                  settlePromotionAmount: 389530501948228.1,
                },
              ],
              promotionActivityVos: [
                { id: '^4(ZFT', name: 'hSJ&8)', ruleId: 'pgu' },
                {
                  id: 'dm*5',
                  name: '%idVZF',
                  ruleId: 'IN%j',
                },
                { id: 'xerzO', name: 'Tq!ok8d', ruleId: 'dXX' },
                {
                  id: '5@Tr',
                  name: 'B8T',
                  ruleId: 'qgGi^T9',
                },
                { id: 'bbtmVM', name: '4v(', ruleId: 'Y%Eh' },
              ],
            },
          ],
        },
        timeStamp: 1318994372069612,
      };
      const { data } = response;

      resolve(data);
    }, 800);
  });
}
