import React from 'react';
import styles from './styles.module.less';
import { Row, Col } from 'antd';
import PropTypes from 'prop-types';

class PerformanceHeader extends React.Component {
  constructor(props) {
    super(props);
  }

  static propTypes = {
    studentId: PropTypes.string,
    studentName: PropTypes.string,
    contractId: PropTypes.string,
    contractBlCampusName: PropTypes.string,
    typeName: PropTypes.string,
    transactionAmount: PropTypes.oneOfType([PropTypes.string, PropTypes.number]),
  };

  render() {
    const { studentId, studentName, contractId, contractBlCampusName, typeName, transactionAmount } = this.props;
    return (
      <div className={styles.performanceHeader}>
        <Row gutter={20}>
          <Col span={8}>
            <div className="gutter-box">
              <span>学生编号：</span>
              <span>{studentId}</span>
            </div>
          </Col>
          <Col span={8}>
            <div className="gutter-box">
              <span>学生姓名：</span>
              <span>{studentName}</span>
            </div>
          </Col>
          <Col span={8}>
            <div className="gutter-box">
              <span>合同编号：</span>
              <span>{contractId}</span>
            </div>
          </Col>
        </Row>
        <Row gutter={20}>
          <Col span={8}>
            <div className="gutter-box">
              <span>合同学习中心：</span>
              <span>{contractBlCampusName}</span>
            </div>
          </Col>
          <Col span={8}>
            <div className="gutter-box">
              <span>调转类型：</span>
              <span>{typeName}</span>
            </div>
          </Col>
          <Col span={8}>
            <div className="gutter-box">
              <span>调转金额：</span>
              <span>{transactionAmount}</span>
            </div>
          </Col>
        </Row>
      </div>
    );
  }
}

export default PerformanceHeader;
