import {
  pageTransferRecords,
  saveIncomeDistributionRecord,
  getIncomeDistributionByFundsChangeId,
  pageIncomeDistributionRecords,
} from 'SERVICE/contract';

// 查询资金调转记录列表
export const pageTransferRecordsApi = async (params) => {
  const data = await pageTransferRecords(params);
  if (data.resultCode === 0) {
    const { total, list, pageNum, pageSize } = data.data;
    return {
      total,
      list,
      pageNum,
      pageSize,
    };
  } else {
    console.log(data);
  }
};

// 保存修改记录
export const saveIncomeDistributionRecordApi = async (params) => {
  const data = await saveIncomeDistributionRecord(params);
  if (data.resultCode === 0) {
    return {
      data: data.data,
      message: data.resultMessage,
    };
  } else {
    console.log(data);
  }
};

// 分配情况详情
export const getIncomeDistributionByFundsChangeIdApi = async (params) => {
  const data = await getIncomeDistributionByFundsChangeId(params);
  if (data.resultCode === 0) {
    const {
      fundsChangeId,
      contractId,
      studentId,
      studentName,
      contractBlCampusId,
      contractBlCampusName,
      type,
      typeName,
      transactionAmount,
      incomeDistributionVos = [],
    } = data.data || {};
    return {
      fundsChangeId,
      contractId,
      studentId,
      studentName,
      contractBlCampusId,
      contractBlCampusName,
      type,
      typeName,
      transactionAmount,
      incomeDistributionVos,
    };
  } else {
    console.log(data);
  }
};

// 业绩分配动态
export const pageIncomeDistributionRecordsApi = async (params) => {
  const data = await pageIncomeDistributionRecords(params);
  if (data.resultCode === 0) {
    const { total, list, pageNum, pageSize } = data.data;
    return {
      total,
      list,
      pageNum,
      pageSize,
    };
  } else {
    console.log(data);
  }
};
