/**
 * Created by Haolin on 2019/1/9.
 */
import React from 'react';
import { connect } from 'dva';
import { storeName } from '../store/constant.js';
// import style from './index.less';
import Section from '../components/Section';
import SelectedProductDesk from './SelectedProductDesk';

class SelectedProduct extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      name: '已选产品',
      loading: false,
    };
    this.delProduct = this.delProduct.bind(this);
  }
  static classPrefix = 'SelectedProduct';
  componentDidMount() {}
  componentWillUnmount() {}

  delProduct(index) {
    this.props.dispatch({
      type: `${storeName}/delProductFromCart`,
      payload: { index },
    });
  }

  render() {
    const { list, total } = this.props;
    const { name, loading } = this.state;
    const prefix = SelectedProduct.classPrefix;

    return (
      <Section className={prefix} title={name}>
        <SelectedProductDesk dataSource={list} onBtnClick={this.delProduct} />
      </Section>
    );
  }
}

const mapStateToProps = (state) => {
  const { selectedProductList } = state[storeName];
  let total = selectedProductList.length;
  return {
    list: selectedProductList,
    total,
  };
};

export default connect(mapStateToProps)(SelectedProduct);
