/**
 * Created by Haolin on 2019/1/9.
 */
import style from './index.less';
import classNames from 'classnames';

const Section = (props) => {
  const { className, title, children, paddingSize, bodyStyle } = props;
  const prefix = 'Section';
  return (
    <div className={classNames(style[prefix], className)}>
      <div className={style[`${prefix}-header`]}>
        <div className={style[`${prefix}-title`]}>{title}</div>
      </div>
      <div
        className={style[`${prefix}-body`]}
        style={{ paddingLeft: paddingSize, paddingRight: paddingSize, ...bodyStyle }}
      >
        <div className={style[`${prefix}-content`]}>{children}</div>
      </div>
    </div>
  );
};
Section.defaultProps = {
  className: '',
  paddingSize: 0,
};

export default Section;
