/**
 * Created by Haolin on 2019/1/11.
 */
import React from 'react';
import classNames from 'classnames';
import compStyle from './index.less';
import 'COMPONENT/DropdownMenu/styles.less';

class ShowMore extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      arrowUp: false,
    };
    this.switchArrowUp = this.switchArrowUp.bind(this);
    this.handleClick = this.handleClick.bind(this);
  }
  static classPrefix = 'ShowMore';
  switchArrowUp() {
    this.setState((prevState, prevProps) => ({
      arrowUp: !prevState.arrowUp,
    }));
  }
  handleClick() {
    this.switchArrowUp();
    if (this.props.onClick) this.props.onClick();
  }
  render() {
    const { text, activeText, activeColor, style } = this.props;
    const { arrowUp } = this.state;
    const classPrefix = ShowMore.classPrefix;
    let btnText = arrowUp ? activeText || text : text;
    let _style = {
      color: arrowUp ? activeColor : 'auto',
      ...style,
    };
    return (
      <span
        className={classNames(compStyle[classPrefix], arrowUp ? compStyle[`${classPrefix}-open`] : '')}
        onClick={this.handleClick}
        style={_style}
      >
        <span className={compStyle[`${classPrefix}-text`]}>{btnText || '更多'}</span>
        <span className={classNames('DropdownMenu-arrow', arrowUp ? 'DropdownMenu-arrow-up' : '')}> </span>
      </span>
    );
  }
}

export default ShowMore;
