import React from 'react';
import { connect } from 'dva';
import style from './index.less';
import Page from 'COMPONENT/Page';
import Button from 'COMPONENT/Button';

const classPrefix = 'PerformanceStatisticsOld';

class PerformanceStatisticsOld extends React.Component {
  constructor(props) {
    super(props);
    this.openNewPage = this.openNewPage.bind(this);
    this.state = {
      name: '业绩科次统计(页面已迁移)',
    };
  }

  openNewPage() {
    this.props.dispatch({
      type: 'main/openPage',
      payload: {
        path: `/performanceStatistics`,
        params: {},
        refresh: true,
      },
    });
  }

  render() {
    return (
      <Page name={this.state.name} loading={false} route={this.props.route} fitWindowHeight>
        <div className={style[`${classPrefix}-wrap`]}>
          <p>
            本页面已迁移到<span>【报表中心>双师报表】</span>下，请移步查看。
          </p>
          <p>
            <Button type="primary" onClick={this.openNewPage}>
              快速跳转
            </Button>
          </p>
        </div>
      </Page>
    );
  }
}

export default connect()(PerformanceStatisticsOld);
