/**
 * Created by Haolin on 2019/5/27.
 */
import React from 'react';
import { connect } from 'dva';
import { storeName } from '../store/constant';
import Modal from 'COMPONENT/Modal';
import List from 'COMPONENT/List';

const { COL_WIDTH_S, COL_WIDTH_M, COL_WIDTH_L } = List;

class ModalPaidOrder extends React.Component {
  constructor(props) {
    super(props);
    this.init = this.init.bind(this);
    this.initOrderInfo = this.initOrderInfo.bind(this);
    this.switchDetail = this.switchDetail.bind(this);
    this.beforeDestroy = this.beforeDestroy.bind(this);
    this.state = {
      name: '支付完成订单',
      loading: false,
    };
    this.columns = [
      { title: '序号', dataIndex: 'number', key: 'number', width: COL_WIDTH_S },
      { title: '收款人', dataIndex: 'fundPerson', key: 'fundPerson', width: COL_WIDTH_M },
      { title: '支付时间', dataIndex: 'paidTime', key: 'paidTime', width: COL_WIDTH_L },
      { title: '支付金额', dataIndex: 'paidAmount', key: 'paidAmount', width: COL_WIDTH_M },
      {
        title: '操作',
        dataIndex: 'sharePaymentId',
        key: 'action',
        width: COL_WIDTH_S,
        getActionConfig: (text, record, index) => {
          return [
            {
              text: '详情',
              onClick: () => {
                this.switchDetail(text);
              },
            },
          ];
        },
      },
    ];
  }
  componentDidMount() {
    this.init();
  }
  componentWillUnmount() {
    this.beforeDestroy();
  }

  async init() {
    this.setState({ loading: true });
    await new Promise(this.initOrderInfo);
    this.setState({ loading: false });
  }

  initOrderInfo(resolve) {
    this.props.dispatch({
      type: `${storeName}/initOrderInfo`,
      payload: {
        callback() {
          resolve();
        },
      },
    });
  }

  switchDetail(id) {
    this.props.onQrCode(id, 'detail');
  }

  beforeDestroy() {
    this.props.dispatch({ type: `${storeName}/resetModalPaidOrder` });
  }

  render() {
    return (
      <Modal
        title={this.state.name}
        loading={this.state.loading}
        onCancel={this.props.onCancel}
        okBtnShow={false}
        widthSize="M"
      >
        <List dataSource={this.props.list} columns={this.columns} />
      </Modal>
    );
  }
}

const mapStateToProps = (state) => {
  return {
    list: state[storeName].orderList,
  };
};

export default connect(mapStateToProps)(ModalPaidOrder);
