/**
 * Created by Haolin<haolinhom@gmail.com> on 2019/5/27.
 */
import { clone } from 'lodash';
import showMessage from 'COMPONENT/utils/globalTips/showMessage';

function errorsHandling(errCallback) {
  return (err) => {
    showMessage(err.text, 'error');
    if (errCallback) errCallback();
  };
}

function buildSharePaymentList(contractPrdList, contractPrdAmountList) {
  let prdList = [];
  if (contractPrdAmountList.length > 0) {
    prdList = clone(contractPrdList);
    contractPrdAmountList.forEach((item, index) => {
      prdList[index].amount = item;
    });
  }
  return prdList;
}

function buildPaymentParams(contractId, contractPrdList, contractPrdAmountList) {
  return {
    contractId,
    contractProductVos: contractPrdList.map((item, index) => ({
      id: item.id,
      payment: contractPrdAmountList[index],
    })),
  };
}

export { errorsHandling, buildSharePaymentList, buildPaymentParams };
