import React from 'react';
import IconButton from 'COMPONENT/IconButton';
import styles from './styles.less';
import styVars from 'COMPONENT/theme/variables';

const btnCfg = {
  color: styVars.fontColor,
  hoverColor: styVars.fontColor,
  disabledColor: styVars.fontColorTips,
  className: styles.btn,
};

class CountInput extends React.Component {
  plus = () => {
    const { value, onChange } = this.props;
    onChange(value + 1);
  };

  minus = () => {
    const { value, onChange } = this.props;
    onChange(value - 1);
  };

  render() {
    const { value } = this.props;
    return (
      <div className={styles.wrap}>
        <IconButton {...btnCfg} type={'minus_circle'} onClick={this.minus} />
        <div className={styles.value}>{value}</div>
        <IconButton {...btnCfg} type={'plus_circle'} onClick={this.plus} disabled={value === 0} />
      </div>
    );
  }
}

export default CountInput;
