import React from 'react';
import CourseModal from '../CourseModal';
import TextLink from 'COMPONENT/TextLink';
import styles from './styles.less';

class courseInfoLink extends React.Component {
  state = {
    courseModalVis: false, // {boolean} 学生在读课程弹框显示状态
  };

  render() {
    const {
      stuInfo: { cusId, stuId },
      onUpdateParams,
      courseInfo,
    } = this.props;
    const { courseModalVis } = this.state;
    return (
      <div className={styles.wrap}>
        <TextLink onClick={() => this.setState({ courseModalVis: true })}>学生在读课程</TextLink>
        {courseModalVis && (
          <CourseModal
            cusId={cusId}
            stuId={stuId}
            onClose={() => this.setState({ courseModalVis: false })}
            courseInfo={courseInfo}
            onUpdateParams={onUpdateParams}
          />
        )}
      </div>
    );
  }
}

export default courseInfoLink;
