import React from 'react';
import styles from './styles.less';
import classnames from 'classnames';
import { getFieldWithFiller } from 'COMPONENT/utils/form';

class FormItems extends React.Component {
  render() {
    const { data, float } = this.props;
    const cls = {
      [styles.wrap]: 1,
      [styles.floatRight]: float === 'right',
    };
    return (
      <div className={classnames(cls)}>
        {data
          .filter((da) => !da.hide)
          .map((d, i) => {
            return (
              <div key={i} className={styles.item}>
                <div className={styles.name}>{d.name}</div>
                <div className={styles.content}>{getFieldWithFiller(d.content)}</div>
              </div>
            );
          })}
      </div>
    );
  }
}

export default FormItems;
