import React from 'react';
import { connect } from 'dva';
import styles from './styles.less';
import SelectProductMain from '../SelectProductMain';
import Page from 'COMPONENT/Page';

class MakeDiscount extends React.Component {
  render() {
    const {
      location,
      params,
      shop: { cartList, loading },
    } = this.props;
    const { onUpdateParams, types, promotionId, promotionTitle } = params.mirrors[location.query.mirrorId];

    return (
      <Page loading={loading} className={styles.wrap} title={false}>
        <div className={styles.header}>{`《${promotionTitle}》活动凑单`}</div>
        <SelectProductMain
          cartList={cartList}
          onUpdateParams={onUpdateParams}
          types={types}
          promotionId={promotionId}
        />
      </Page>
    );
  }
}

const mapStateToProps = (state) => {
  return {
    params: state.main.pageParams['/AddContractMakeDiscount'],
    shop: state.main.pageParams['/AddContractList/Shop'],
  };
};

export default connect(mapStateToProps)(MakeDiscount);
