import React from 'react';
import styles from './styles.less';
import dicts from '../dicts';
import styVars from 'COMPONENT/theme/variables';

class PromotionModeTag extends React.Component {
  render() {
    const { mode, corner } = this.props;
    const info = dicts.promotionModeDict.find((d) => d.val === mode);
    const bgColor = info ? info.bgColor : null;

    return (
      <div className={styles.wrap} style={{ background: bgColor }}>
        {info ? info.tag : null}
        {corner && <div className={styles.corner} style={{ borderBottomColor: bgColor }} />}
      </div>
    );
  }
}

export default PromotionModeTag;
