import React from 'react';
import styles from './styles.less';
import CourseInfoLink from '../CourseInfoLink';
import FormItems from '../FormItems';
import SelectProductMain from '../SelectProductMain';

class SelectProduct extends React.Component {
  render() {
    const {
      cartList,
      stuInfo,
      stuInfo: { stuName, gradeName, campusName },
      courseInfo,
      onUpdateParams,
      types,
    } = this.props;

    const headerData = [
      { name: '学习中心', content: campusName },
      { name: '年级', content: gradeName },
      { name: '学生姓名', content: stuName },
    ];
    return (
      <div className={styles.wrap}>
        <div className={styles.header}>
          <div className={styles.headerItem}>
            <CourseInfoLink stuInfo={stuInfo} courseInfo={courseInfo} onUpdateParams={onUpdateParams} />
          </div>
          <div className={styles.headerItem}>
            <FormItems data={headerData} float={'right'} />
          </div>
        </div>
        <SelectProductMain cartList={cartList} onUpdateParams={onUpdateParams} types={types} />
      </div>
    );
  }
}

export default SelectProduct;
