import React from 'react';
import styles from './styles.less';
import FormItem from 'COMPONENT/FormItem';
import TextLink from 'COMPONENT/TextLink';
import IconButton from 'COMPONENT/IconButton';
import SelectClassHoursModal from '../SelectClassHoursModal';
import styVars from 'COMPONENT/theme/variables';
import FormItems from '../../FormItems';

class ProductInfoBodyMini extends React.Component {
  state = {
    selectClassHoursModalVis: false,
  };

  onSelectHoursConfirm = (firstClassDate, count) => {
    this.setState({ selectClassHoursModalVis: false });
    this.props.onCartInfoChange({ firstClassDate, count });
  };

  render() {
    const {
      data: { type, teacher, num, numTotal, time, address, hours, hoursTotal, classHoursList },
      cartInfo: { firstClassDate, count },
      itemInCart,
    } = this.props;
    const { selectClassHoursModalVis } = this.state;
    const rowData1 = [
      { name: '老师', content: teacher },
      {
        name: '已上课时',
        content: (
          <span>
            <span>{hours}</span>
            <span>/</span>
            <span className={styles.textSecondary}>{hoursTotal}</span>
          </span>
        ),
      },
      {
        name: '剩余名额',
        content: (
          <span>
            <span>{numTotal - num}</span>
            <span>/</span>
            <span className={styles.textSecondary}>{numTotal}</span>
          </span>
        ),
      },
    ];
    const rowData2 = [{ name: '时间', content: time }];
    const rowData3 = [
      { name: '地点', content: address },
      {
        name: '首次上课日期',
        content: (
          <div>
            {firstClassDate}
            <IconButton
              type={'edit_mc_h'}
              hoverType={'edit_mc_h'}
              style={{ marginLeft: 10, position: 'relative', top: 1 }}
              onClick={() => this.setState({ selectClassHoursModalVis: true })}
            />
          </div>
        ),
        hide: !itemInCart,
      },
    ];
    return (
      <div className={styles.wrap}>
        <FormItems data={rowData1} />
        <FormItems data={rowData2} />
        <FormItems data={rowData3} />
        {selectClassHoursModalVis && (
          <SelectClassHoursModal
            productType={type}
            classHoursList={classHoursList}
            firstClassDate={firstClassDate}
            count={count}
            onConfirm={this.onSelectHoursConfirm}
            onClose={() => this.setState({ selectClassHoursModalVis: false })}
          />
        )}
      </div>
    );
  }
}

export default ProductInfoBodyMini;
