import React from 'react';
import styles from './styles.less';
import FormItem from 'COMPONENT/FormItem';
import TextLink from 'COMPONENT/TextLink';
import IconButton from 'COMPONENT/IconButton';
import styVars from 'COMPONENT/theme/variables';
import FormItems from '../../FormItems';
import dicts from '../../dicts';
import utils from '../../utils';
import SelectClassHoursModal from '../SelectClassHoursModal';

class ProductInfoBodyTwo extends React.Component {
  state = {
    selectClassHoursModalVis: false,
  };

  onSelectHoursConfirm = (firstClassDate, count) => {
    this.setState({ selectClassHoursModalVis: false });
    this.props.onCartInfoChange({ firstClassDate, count });
  };

  render() {
    const {
      data: { type, mainTeacher, className, teacher, num, numTotal, time, address, hours, hoursTotal, classHoursList },
      cartInfo: { firstClassDate, count },
      itemInCart,
    } = this.props;
    const { selectClassHoursModalVis } = this.state;
    return (
      <div className={styles.wrap}>
        <FormItems data={[{ name: '主讲老师', content: mainTeacher }]} />
        <div className={styles.assistClassInfo}>
          <div className={styles.assistClassHeader}>
            <div className={styles.assistClassName}>{className}</div>
          </div>
          <FormItems
            data={[
              { name: '辅导老师', content: teacher },
              {
                name: '已上课时',
                content: (
                  <span>
                    <span>{hours}</span>
                    <span>/</span>
                    <span className={styles.textSecondary}>{hoursTotal}</span>
                  </span>
                ),
              },
              {
                name: '剩余名额',
                content: (
                  <span>
                    <span>{numTotal - num}</span>
                    <span>/</span>
                    <span className={styles.textSecondary}>{numTotal}</span>
                  </span>
                ),
              },
              { name: '地点', content: address },
            ]}
          />
          <FormItems
            data={[
              { name: '上课时间', content: time },
              {
                name: '首次上课日期',
                content: (
                  <div>
                    {firstClassDate}
                    <IconButton
                      type={'edit_mc_h'}
                      hoverType={'edit_mc_h'}
                      style={{ marginLeft: 10, position: 'relative', top: 1 }}
                      onClick={() => this.setState({ selectClassHoursModalVis: true })}
                    />
                  </div>
                ),
                hide: !itemInCart,
              },
            ]}
          />
        </div>
        {selectClassHoursModalVis && (
          <SelectClassHoursModal
            productType={type}
            classHoursList={classHoursList}
            firstClassDate={firstClassDate}
            count={count}
            onConfirm={this.onSelectHoursConfirm}
            onClose={() => this.setState({ selectClassHoursModalVis: false })}
          />
        )}
      </div>
    );
  }
}

export default ProductInfoBodyTwo;
