import React from 'react';
import styles from './styles.less';
import FormItem from 'COMPONENT/FormItem';
import classnames from 'classnames';
import FormItems from '../../FormItems';

class SelectClassHours extends React.Component {
  onSelect = (idx) => {
    const { classHoursList } = this.props;
    const data = classHoursList[idx];
    this.props.onSelect(data.date, classHoursList.length - idx);
  };

  render() {
    const { classHoursList, firstClassDate, count } = this.props;
    let selectedIdx;
    classHoursList.forEach((d, i) => {
      if (d.date === firstClassDate) {
        selectedIdx = i;
      }
    });
    return (
      <div className={styles.wrap}>
        <div className={styles.header}>
          <FormItems
            data={[
              { name: '剩余', content: classHoursList.filter((d) => !d.isDone).length },
              { name: '已上', content: classHoursList.filter((d) => d.isDone).length },
            ]}
            float={'right'}
          />
        </div>
        <div className={styles.body}>
          {classHoursList.map((d, i) => {
            const cls = {
              [styles.btn]: 1,
              [styles.btnDone]: d.isDone,
              [styles.btnSelected]: selectedIdx >= 0 && i >= selectedIdx,
            };
            return (
              <div key={i} className={classnames(cls)} onClick={() => this.onSelect(i)}>
                {`${d.date}      第${i + 1}节`}
              </div>
            );
          })}
        </div>
        <div className={styles.footer}>
          <FormItems
            data={[
              { name: '首次上课日期', content: firstClassDate },
              { name: '课时', content: count },
            ]}
          />
        </div>
        <div
          className={styles.warning}
          style={{ visibility: selectedIdx >= 0 && classHoursList[selectedIdx].isDone ? 'visible' : 'hidden' }}
        >
          选择已上课课时需要冲销后重新考勤，请谨慎操作
        </div>
      </div>
    );
  }
}

export default SelectClassHours;
