import React from 'react';
import { Row, Col } from 'antd';
import { getDictTextByVal, loadCommonDict, loadBranchCampusDict } from 'UTIL/dict';
import { FIELD_FILLER, checkFieldEmpty, getFieldWithFiller, getCommonErrorTips } from 'COMPONENT/utils/form';
import Button from 'COMPONENT/Button';
import Block from 'COMPONENT/Block';
import styles from './styles.less';
import moment from 'moment';
import dicts from '../dicts';
import {
  LIST_TYPE_MY,
  LIST_TYPE_OTHER,
  listTypeDict,
  CONTRACT_TYPE_NEW,
  CONTRACT_TYPE_AGAIN,
  contractTypeDict,
} from '../dicts';
import StudentInfo from '../StudentInfo';

class SelectProductSet extends React.Component {
  goSelectProduct = (types) => {
    this.props.onUpdateParams({ types, status: dicts.SHOP_STATUS_SELECT, cartList: [] });
  };

  render() {
    const { user, stuInfo, courseInfo, onUpdateParams } = this.props;
    return (
      <div className={styles.wrap}>
        <StudentInfo user={user} stuInfo={stuInfo} courseInfo={courseInfo} onUpdateParams={onUpdateParams} />
        <Block title="报读课程产品">
          <Button
            onClick={() =>
              this.goSelectProduct([dicts.PRODUCT_TYPE_OTO, dicts.PRODUCT_TYPE_OTM, dicts.PRODUCT_TYPE_OTHER])
            }
            className={styles.selBtn}
          >
            一对一/一对多/其他
          </Button>
          <Button
            onClick={() =>
              this.goSelectProduct([dicts.PRODUCT_TYPE_MINI, dicts.PRODUCT_TYPE_LECTRUE, dicts.PRODUCT_TYPE_OTHER])
            }
            className={styles.selBtn}
          >
            小班/讲座/其他
          </Button>
          <Button
            onClick={() =>
              this.goSelectProduct([dicts.PRODUCT_TYPE_TWO, dicts.PRODUCT_TYPE_LECTRUE, dicts.PRODUCT_TYPE_OTHER])
            }
            className={styles.selBtn}
          >
            双师/讲座/其他
          </Button>
          <Button
            onClick={() => this.goSelectProduct([dicts.PRODUCT_TYPE_PROMISE, dicts.PRODUCT_TYPE_OTHER])}
            className={styles.selBtn}
          >
            精英班/其他
          </Button>
          <Button onClick={() => this.goSelectProduct([dicts.PRODUCT_TYPE_OTHER])} className={styles.selBtn}>
            其他
          </Button>
        </Block>
      </div>
    );
  }
}

export default SelectProductSet;
