import React from 'react';
import styles from './styles.less';
import classnames from 'classnames';

class Ticket extends React.Component {
  render() {
    const { data, checked, onClick } = this.props;
    const { id, name, main, secondary, info } = data;
    const cls = {
      [styles.wrap]: 1,
      [styles.checked]: checked,
    };
    return (
      <div className={classnames(cls)} onClick={onClick}>
        <div className={styles.header}>
          <div className={styles.mainWrap}>
            <div className={styles.main}>{main}</div>
            <div className={styles.secondary}>{secondary}</div>
          </div>
          <div className={styles.info}>{info}</div>
        </div>
        <div className={styles.footer}>{name}</div>
      </div>
    );
  }
}

export default Ticket;
