import styVars from 'COMPONENT/theme/variables';

const LIST_TYPE_MY = 'my';
const LIST_TYPE_OTHER = 'other';
const listTypeDict = [
  { val: LIST_TYPE_MY, text: '本分公司' },
  { val: LIST_TYPE_OTHER, text: '跨分公司' },
];

const conditionCampus = { title: '学习中心', field: 'campus', dictName: 'campusDict' };
const conditionGrade = { title: '年级', field: 'grade', dictName: 'gradeDict' };
const conditionSubject = { title: '关联科目', field: 'subject', dictName: 'subjectDict' };
const conditionProductSeries = { title: '产品系列', field: 'productSeries', dictName: 'productSeriesDict' };
const conditionProductGroup = { title: '产品组', field: 'productGroup', dictName: 'productGroupDict' };
const conditionQuarter = { title: '季度', field: 'quarter', dictName: 'quarterDict' };
const conditionPhase = { title: '期数', field: 'phase', dictName: 'phaseDict' };
const conditionLevel = { title: '层次', field: 'level', dictName: 'levelDict' };
const conditionOtmClassType = { title: '一对多班级类型', field: 'otmClassType', dictName: 'otmClassTypeDict' };
const conditionMiniClassType = { title: '小班班级类型', field: 'miniClassType', dictName: 'miniClassTypeDict' };
const conditionTwoClassType = { title: '双师班级类型', field: 'twoClassType', dictName: 'twoClassTypeDict' };
const conditionPromiseClassType = {
  title: '精英班班级类型',
  field: 'promiseClassType',
  dictName: 'promiseClassTypeDict',
};
const conditionFeeType = { title: '费用类型', field: 'feeType', dictName: 'feeTypeDict' };

const allContions = [
  conditionCampus,
  conditionGrade,
  conditionSubject,
  conditionProductSeries,
  conditionProductGroup,
  conditionQuarter,
  conditionPhase,
  conditionLevel,
  conditionOtmClassType,
  conditionMiniClassType,
  conditionTwoClassType,
  conditionPromiseClassType,
  conditionFeeType,
];

const PRODUCT_TYPE_OTO = 'ONE_ON_ONE_COURSE';
const PRODUCT_TYPE_OTM = 'ONE_ON_MANY';
const PRODUCT_TYPE_PROMISE = 'ECS_CLASS';
const PRODUCT_TYPE_MINI = 'SMALL_CLASS';
const PRODUCT_TYPE_LECTRUE = 'LECTURE';
const PRODUCT_TYPE_TWO = 'TWO_TEACHER';
const PRODUCT_TYPE_OTHER = 'OTHERS';

const productTypeDict = [
  {
    val: PRODUCT_TYPE_OTO,
    text: '一对一',
    tag: '一',
    otherType: 'ONE_ON_ONE_COURSE_FOR_OTHER',
    conditions: [conditionCampus, conditionGrade, conditionSubject, conditionProductSeries, conditionProductGroup],
  },
  {
    val: PRODUCT_TYPE_OTM,
    text: '一对多',
    tag: '多',
    otherType: 'ONE_ON_MANY_FOR_OTHER',
    conditions: [conditionCampus, conditionGrade, conditionSubject, conditionOtmClassType],
  },
  {
    val: PRODUCT_TYPE_PROMISE,
    text: '精英班',
    tag: '目',
    otherType: 'ECS_CLASS_FOR_OTHER',
    conditions: [conditionCampus, conditionGrade, conditionQuarter, conditionPromiseClassType],
  },
  {
    val: PRODUCT_TYPE_MINI,
    text: '小班',
    tag: '班',
    otherType: 'SMALL_CLASS_FOR_OTHER',
    conditions: [
      conditionCampus,
      conditionGrade,
      conditionQuarter,
      conditionSubject,
      conditionProductSeries,
      conditionLevel,
      conditionPhase,
      conditionMiniClassType,
      conditionProductGroup,
    ],
  },
  {
    val: PRODUCT_TYPE_LECTRUE,
    text: '讲座',
    tag: '讲',
    otherType: 'DAT000000000461',
    conditions: [conditionCampus, conditionGrade],
  },
  {
    val: PRODUCT_TYPE_TWO,
    text: '双师',
    tag: '双',
    otherType: 'TWO_TEACHER_CLASS_FOR_OTHER',
    conditions: [
      conditionCampus,
      conditionGrade,
      conditionQuarter,
      conditionSubject,
      conditionPhase,
      conditionTwoClassType,
    ],
  },
  { val: PRODUCT_TYPE_OTHER, text: '其他', tag: '其', conditions: [conditionCampus, conditionGrade, conditionFeeType] },
];

const SHOP_STATUS_SELECT_SET = 'selectProductSet';
const SHOP_STATUS_SELECT = 'selectProduct';
const SHOP_STATUS_CHECK = 'checkOut';
const shopStatusDict = [
  { val: SHOP_STATUS_SELECT_SET, text: '选择产品组合' },
  { val: SHOP_STATUS_SELECT, text: '选择产品' },
  { val: SHOP_STATUS_CHECK, text: '结账' },
];

const CONTRACT_TYPE_NEW = 'NEW_CONTRACT';
const CONTRACT_TYPE_AGAIN = 'RE_CONTRACT';
const contractTypeDict = [
  { val: CONTRACT_TYPE_NEW, text: '新签' },
  { val: CONTRACT_TYPE_AGAIN, text: '续签' },
];

const COURSE_STATUS_START = '1';
const COURSE_STATUS_NOT_START = '2';
const courseStatusDict = [
  { val: COURSE_STATUS_START, text: '已上课' },
  { val: COURSE_STATUS_NOT_START, text: '未开课' },
];

const PROMOTION_MODE_GIVE = 'PROMOTION_GIVE';
const PROMOTION_MODE_REDUCE = 'PROMOTION_FULL_SALE';
const PROMOTION_MODE_DISCOUNT = 'PROMOTION_DISCOUNT';
const PROMOTION_MODE_SUIT = 'PROMOTION_SUIT';
const PROMOTION_MODE_REDUCE_TICKET = 'COUPON_FULL_SALE';
const PROMOTION_MODE_DISCOUNT_TICKET = 'COUPON_DISCOUNT';
const PROMOTION_MODE_REDUCE_CODE = 'PROMOTION_CODE_SALE';
const PROMOTION_MODE_DISCOUNT_CODE = 'PROMOTION_CODE_DISCOUNT';
const promotionModeDict = [
  { val: PROMOTION_MODE_GIVE, text: '满赠促销', tag: '满赠', bgColor: styVars.warningColor },
  { val: PROMOTION_MODE_REDUCE, text: '满减促销', tag: '满减', bgColor: styVars.warningColor },
  { val: PROMOTION_MODE_DISCOUNT, text: '打折促销', tag: '折扣', bgColor: styVars.highlightColor },
  { val: PROMOTION_MODE_SUIT, text: '套装促销', tag: '套装', bgColor: styVars.highlightColor },
  { val: PROMOTION_MODE_REDUCE_TICKET, text: '满减券', tag: '满减', bgColor: styVars.warningColor },
  { val: PROMOTION_MODE_DISCOUNT_TICKET, text: '折扣券', tag: '折扣', bgColor: styVars.highlightColor },
  { val: PROMOTION_MODE_REDUCE_CODE, text: '满减码', tag: '满减', bgColor: styVars.warningColor },
  { val: PROMOTION_MODE_DISCOUNT_CODE, text: '折扣码', tag: '折扣', bgColor: styVars.highlightColor },
];

const DISPATCH_TYPE_RANDOM = '1';
const DISPATCH_TYPE_CUSTOM = '2';
const dispatchTypeDict = [
  { val: DISPATCH_TYPE_RANDOM, text: '随机分班' },
  { val: DISPATCH_TYPE_CUSTOM, text: '指定分班' },
];

const GIFT_MODE_COURSE = '1';
const GIFT_MODE_TICKET = '2';
const giftModeDict = [
  { val: GIFT_MODE_COURSE, text: '赠课' },
  { val: GIFT_MODE_TICKET, text: '赠券' },
];

const PROMOTION_TYPE_ACTIVITY = 'PROMOTION';
const PROMOTION_TYPE_TICKET = 'COUPON';
const PROMOTION_TYPE_CODE = 'PROMOTION_CODE';
const promotionTypeDict = [
  { val: PROMOTION_TYPE_ACTIVITY, text: '优惠活动', canCollect: true },
  { val: PROMOTION_TYPE_TICKET, text: '优惠券', canCollect: false },
  { val: PROMOTION_TYPE_CODE, text: '促销码', canCollect: false },
];

const OTM_CLASS_TYPE_2 = '2';
const OTM_CLASS_TYPE_3 = '3';
const OTM_CLASS_TYPE_4 = '4';
const OTM_CLASS_TYPE_5 = '5';
const otmClassTypeDict = [
  { val: OTM_CLASS_TYPE_2, text: '一对二' },
  { val: OTM_CLASS_TYPE_3, text: '一对三' },
  { val: OTM_CLASS_TYPE_4, text: '一对四' },
  { val: OTM_CLASS_TYPE_5, text: '一对五' },
];

export default {
  LIST_TYPE_MY,
  LIST_TYPE_OTHER,
  listTypeDict,

  PRODUCT_TYPE_OTO,
  PRODUCT_TYPE_OTM,
  PRODUCT_TYPE_PROMISE,
  PRODUCT_TYPE_MINI,
  PRODUCT_TYPE_LECTRUE,
  PRODUCT_TYPE_TWO,
  PRODUCT_TYPE_OTHER,
  productTypeDict,
  SHOP_STATUS_SELECT_SET,
  SHOP_STATUS_SELECT,
  SHOP_STATUS_CHECK,
  shopStatusDict,
  allContions,
  CONTRACT_TYPE_NEW,
  CONTRACT_TYPE_AGAIN,
  contractTypeDict,
  COURSE_STATUS_START,
  COURSE_STATUS_NOT_START,
  courseStatusDict,
  PROMOTION_MODE_GIVE,
  PROMOTION_MODE_REDUCE,
  PROMOTION_MODE_DISCOUNT,
  PROMOTION_MODE_SUIT,
  PROMOTION_MODE_REDUCE_TICKET,
  PROMOTION_MODE_DISCOUNT_TICKET,
  PROMOTION_MODE_REDUCE_CODE,
  PROMOTION_MODE_DISCOUNT_CODE,
  promotionModeDict,

  DISPATCH_TYPE_RANDOM,
  DISPATCH_TYPE_CUSTOM,
  dispatchTypeDict,

  GIFT_MODE_COURSE,
  GIFT_MODE_TICKET,
  giftModeDict,

  PROMOTION_TYPE_ACTIVITY,
  PROMOTION_TYPE_TICKET,
  promotionTypeDict,

  OTM_CLASS_TYPE_2,
  OTM_CLASS_TYPE_3,
  OTM_CLASS_TYPE_4,
  OTM_CLASS_TYPE_5,
  otmClassTypeDict,
};
