import React from 'react';

import { Page } from 'COMPONENT';

import DataList from './components/DataList';

import styles from './styles.module.less';

export default class EducationManagementPlatform extends React.Component {
  state = {
    loading: false,
  };

  constructor(props) {
    super(props);
  }

  handleSetLoading = (loading) => {
    this.setState({ loading });
  };

  generateList() {
    const props = {
      onSetLoading: this.handleSetLoading,
    };
    return <DataList {...props} />;
  }

  render() {
    return (
      <Page
        title="教育平台管理"
        loading={this.state.loading}
        footer={false}
        route={this.props.route}
        fitWindowHeight={true}
        className={styles.educationPlatform}
      >
        {this.generateList()}
      </Page>
    );
  }
}
