import React from 'react';
import { Page } from 'COMPONENT';
import DataList from './components/DataList';

import styles from './styles.module.less';

export default class EducationPlatformPayment extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      loading: false,
    };
  }

  handleSetLoading = (loading) => {
    this.setState({ loading });
  };

  generateList() {
    const props = {
      onSetLoading: this.handleSetLoading,
    };
    return <DataList {...props} />;
  }

  render() {
    return (
      <Page
        title="教育平台支付数据列表"
        loading={this.state.loading}
        footer={false}
        route={this.props.route}
        fitWindowHeight={true}
        className={styles.educationPlatformPayment}
      >
        {this.generateList()}
      </Page>
    );
  }
}
