import React from 'react';

import { Page } from 'COMPONENT';
import DetailPanel from './components/DetailPanel';
import TreeSelector from './components/TreeSelector';

import styles from './styles.module.less';

export default class IndustrialRelConfig extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      path: '',
      campusId: null,
      loading: false,
      campusName: null,
    };
  }

  handleSelectCampus = (campusId, campusName, path) => {
    this.setState({ campusId, campusName, path });
  };

  handleSetLoading = (loading) => {
    this.setState({ loading });
  };

  render() {
    const { path, campusId, campusName, loading } = this.state;

    return (
      <Page
        title={false}
        loading={loading}
        footer={false}
        route={this.props.route}
        fitWindowHeight={true}
        className={styles.refConfigWrapper}
      >
        <div className={styles.relConfigContent}>
          <div className={styles.leftContent}>
            <TreeSelector onSelectCampus={this.handleSelectCampus} onSetLoading={this.handleSetLoading} />
          </div>
          <div className={styles.rightContent}>
            <DetailPanel campusId={campusId} campusName={campusName} path={path} onSetLoading={this.handleSetLoading} />
          </div>
        </div>
      </Page>
    );
  }
}
