import React from 'react';
import styles from './styles.less';

export default function ({ product, onClick, disabled, arrangeTypeDict }) {
  return (
    <div className={styles.productCard}>
      <p className={styles.productType}>
        <span className={product.arrangeNum > 0 ? styles.light : styles.unLight} />
        {arrangeTypeDict.find((dict) => dict.val === product.printArrangeType).text}
      </p>

      <p className={styles.productArrangeName} title={product.arrangeName}>
        {product.arrangeName}
      </p>

      <p style={{ color: '#999' }}>
        未分配课时: <span style={product.arrangeNum > 0 ? { color: '#3587FF' } : {}}>{product.arrangeNum}</span>
      </p>

      <span onClick={onClick} className={product.arrangeNum > 0 && !disabled ? styles.assignBtn : styles.assignBtnNot}>
        分配
      </span>
    </div>
  );
}
