const electronicAccountDesc =
  '电子账户将根据合同类型区分AB类型，若学生同时拥有“电子账户(A)”和“电子账户”两种类型的电子账户余额，需要分开使用。建议先使用“电子账户A”的余额后，再使用“电子账户”；例：学生电子账户的余额有3000元，其中2000是“电子账户A”的余额，1000是“电子账户”的余额，需要分开使用。先消耗完“电子账户A”的2000余额，再消耗“电子账户”的1000余额。';

const POS = 'POS';
const EDU_PLATFORM = 'EDU_PLATFORM';
const BANK_TRANSFER = 'BANK_TRANSFER';
const BANK_TRANSFER_A = 'BANK_TRANSFER_A';
const ALI_PAY = 'ALI_PAY';
const WEB_CHART_PAY = 'WEB_CHART_PAY';
const ALI_PAY_A = 'ALI_PAY_A';
const WEB_CHART_PAY_A = 'WEB_CHART_PAY_A';
const THIRD_PARTY_PAYMENT = 'THIRD_PARTY_PAYMENT';
const ELECTRONIC_ACCOUNT = 'ELECTRONIC_ACCOUNT';
const ELECTRONIC_ACCOUNT_A = 'ELECTRONIC_ACCOUNT_A';
const QRCODE_PAY = 'QRCODE_PAY';

const defaultChannel = POS;

const defaultPaymentDict = [
  {
    text: '现金',
    val: 'CASH',
  },
  {
    text: 'POS',
    val: 'POS',
  },
  {
    text: '教育平台',
    val: 'EDU_PLATFORM',
  },
  {
    text: '电子账户',
    val: 'ELECTRONIC_ACCOUNT',
  },
  {
    text: '第三方平台',
    val: 'THIRD_PARTY_PAYMENT',
  },
  {
    text: '微信支付',
    val: 'WEB_CHART_PAY',
  },
  {
    text: '支付宝支付',
    val: 'ALI_PAY',
  },
  {
    text: '银行汇款',
    val: 'BANK_TRANSFER',
  },
];

const scanPaymentDict = [];

// 支付状态 Unpaid 未支付 PENDING 支付中， FAIL 失败， SUCCESS 成功
const payStatusMap = {
  Unpaid: 'Unpaid',
  PENDING: 'PENDING',
  FAIL: 'FAIL',
  SUCCESS: 'SUCCESS',
};

// 支付结果(PAID-已支付;CANCEL-取消;UNPAID_TIMEOUT-未支付超时)
const paidStatus = {
  PAID: 'PAID',
  CANCEL: 'CANCEL',
  UNPAID_TIMEOUT: 'UNPAID_TIMEOUT',
  INVALID: 'INVALID',
};

const visibleMap = {
  scanningChannelVisible: false,
  platformVisible: false,
  collectVisible: false,
  posVisible: false,
  electronicAccountVisble: false,
};

const valideConfig = {
  POS: {
    posId: true,
    posNumber: true,
    posReceiptDate: true,
  },
  EDU_PLATFORM: {
    posId: true,
    posNumber: true,
    posReceiptDate: true,
  },
  THIRD_PARTY_PAYMENT: {
    platformName: true,
    thirdPartyOrderNo: true,
    thirdPartyProductName: true,
  },
  BANK_TRANSFER: {
    collectCardNo: true,
    collector: true,
  },
  BANK_TRANSFER_A: {
    collectCardNo: true,
    collector: true,
  },
};

const channelMap = {
  POS,
  EDU_PLATFORM,
  BANK_TRANSFER,
  BANK_TRANSFER_A: BANK_TRANSFER,
  ALI_PAY: QRCODE_PAY,
  WEB_CHART_PAY: QRCODE_PAY,
  ALI_PAY_A: QRCODE_PAY,
  WEB_CHART_PAY_A: QRCODE_PAY,
  THIRD_PARTY_PAYMENT,
  ELECTRONIC_ACCOUNT,
  ELECTRONIC_ACCOUNT_A: ELECTRONIC_ACCOUNT,
};

export default {
  electronicAccountDesc,
  defaultPaymentDict,
  scanPaymentDict,
  visibleMap,
  valideConfig,
  channelMap,
  payStatusMap,
  paidStatus,
  POS,
  BANK_TRANSFER,
  BANK_TRANSFER_A,
  ALI_PAY,
  WEB_CHART_PAY,
  ALI_PAY_A,
  WEB_CHART_PAY_A,
  THIRD_PARTY_PAYMENT,
  ELECTRONIC_ACCOUNT,
  ELECTRONIC_ACCOUNT_A,
  QRCODE_PAY,
  defaultChannel,
  EDU_PLATFORM,
};
