import React from 'react';
import { Modal } from 'COMPONENT';
import PropTypes from 'prop-types';
import { saveFundWashOfContract } from 'SERVICE/contract';

export default class ContractWriteOffModal extends React.Component {
  state = {
    modalVisible: true,
    okBtnShow: true,
    allowWriteOff: true,
    loading: false,
  };

  static propTypes = {
    onCancel: PropTypes.func.isRequired,
    fundsId: PropTypes.string.isRequired,
  };

  constructor(props) {
    super(props);
  }

  close = () => {
    this.props.onCancel();
  };

  onOk = async () => {
    this.setState({
      loading: true,
    });

    const params = {
      fundsId: this.props.fundsId,
      fundsWashAmount: 0,
    };

    try {
      await saveFundWashOfContract(params);
      window.GlobalEvent.emit('reload');
    } catch (err) {
      //
    } finally {
      this.close();
    }
  };

  render() {
    return (
      <Modal
        loading={this.state.loading}
        title="温馨提示"
        onCancel={this.close}
        okBtnShow={this.state.okBtnShow}
        okText="继续冲销"
        widthSize="S"
        cancelText="关闭"
        onOk={this.onOk}
      >
        <div style={{ padding: '25px' }}>
          {this.state.allowWriteOff ? (
            <div>由于合同已经无效，本次冲销将把该收款剩余金额全部冲销，请问是否继续冲销？</div>
          ) : (
            <div>该收款已退费，不允许冲销</div>
          )}
        </div>
      </Modal>
    );
  }
}
