import { PRODUCT_TYPE_OTHERS } from '../constant';

/**
 * 格式化责任人字典state key
 *
 * @param key
 * @param index
 * @return {string}
 */
export function formatPersonDictStateKey(key, index) {
  return `personDict-${key}-${index}`;
}

/**
 * 判断是否为其他类型产品
 *
 * @param productType {string} 产品类型
 * @return {boolean}
 */
export function calcIsOthersProduct(productType) {
  return productType === PRODUCT_TYPE_OTHERS;
}

/**
 * 材料费或可退金额为0时，不需要填写责任人
 *
 * @param record {Object} 产品列表数据
 * @return {boolean}
 */
export function calcNotValidRecord(record) {
  return calcIsOthersProduct(record.productType) || record.refundableAmount === 0;
}
