import { getContractById, finishContract } from 'SERVICE/contract';

/**
 * 获取合同详情
 *
 * @param contractId
 * @return {Promise<*>}
 */
export async function loadContractDetail(contractId) {
  try {
    return await getContractById({ contractId });
  } catch (e) {
    return null;
  }
}

/**
 * 结束合同
 *
 * @param params
 * @return {Promise<{resultCode: number}|*>}
 */
export function doFinishContract(params) {
  return finishContract(params);
}
