import React from 'react';
import Modal from 'COMPONENT/Modal';
import Button from 'COMPONENT/Button';
import { Radio } from 'antd';
import styles from './styles.module.less';

const title = '选择审批人';

class SelectApprovalModal extends React.Component {
  constructor(props) {
    super(props);

    this.state = {};
  }

  componentDidMount() {}

  render() {
    const { selectedUser, approvalUsers } = this.props;

    return (
      <Modal
        title={title}
        width={500}
        onCancel={this.props.onCancel}
        cancelBtnShow={false}
        footer={
          <div className={styles.footer}>
            <Button type="primary" disabled={!selectedUser} onClick={this.props.onConfirm}>
              确认
            </Button>
          </div>
        }
      >
        {approvalUsers.length > 0 && (
          <Radio.Group
            onChange={(e) => this.props.onChange(e.target.value)}
            value={selectedUser && selectedUser.userId}
          >
            {approvalUsers.map((item) => (
              <div className={styles.userItem} key={item.userId}>
                <Radio key={item.userId} value={item.userId}>
                  ({item.roleName}) {item.userName}
                </Radio>
              </div>
            ))}
          </Radio.Group>
        )}
      </Modal>
    );
  }
}

export default SelectApprovalModal;
