import React from 'react';
import Modal from 'COMPONENT/Modal';
import Button from 'COMPONENT/Button';
import { loginUser } from 'UTIL/common';
import { OSS_IMAGES_CDN_PREFIX, OSS_IMAGES_CDN_PREFIX_SS } from 'CONST/ossConfig';
import UploadImg from '../../../../course/modals/UploadImg';
import styles from './styles.module.less';

const title = '确认信息';

const xhContractExample1 = `${OSS_IMAGES_CDN_PREFIX}/contract-example-page1.png`;
const xhContractExample2 = `${OSS_IMAGES_CDN_PREFIX}/contract-example-page2.png`;

const ssContractExample1 = `${OSS_IMAGES_CDN_PREFIX_SS}/contract-example-page1.png`;
const ssContractExample2 = `${OSS_IMAGES_CDN_PREFIX_SS}/contract-example-page2.png`;

const exampleFile = {
  page1: [
    { src: loginUser.isXingHuoSym() ? xhContractExample1 : ssContractExample1 },
    { src: loginUser.isXingHuoSym() ? xhContractExample2 : ssContractExample2 },
  ],
  page2: [
    { src: loginUser.isXingHuoSym() ? xhContractExample1 : ssContractExample1 },
    { src: loginUser.isXingHuoSym() ? xhContractExample2 : ssContractExample2 },
  ],
};

class UploadFileModal extends React.Component {
  constructor(props) {
    super(props);
  }

  handleFileUpload = (files) => {
    const newFiles = files.map((r) => {
      let fileKey = r.fileKey;
      if (!fileKey) {
        const arr = r.src.split('/');
        fileKey = arr[arr.length - 1];
      }
      return {
        ...r,
        fileKey,
      };
    });
    this.props.onFileChange(newFiles);
  };

  handleFileDelete = (files) => {
    this.props.onFileChange(files);
  };

  render() {
    return (
      <Modal
        title={title}
        width={500}
        loading={false}
        onCancel={this.props.onCancel}
        footer={
          <div className={styles.footer}>
            <Button type="default" onClick={this.props.onCancel}>
              关闭
            </Button>
            <Button type="primary" onClick={this.props.onConfirm} disabled={!this.props.contractFiles.length}>
              确认
            </Button>
          </div>
        }
      >
        <div className={styles.uploadItem}>
          <UploadImg value={exampleFile.page2} size={100} max={2} viewOnly={true} />
          <p className={styles.uploadLabel}>
            <span className={styles.uploadLabelItem}>
              样例预览
              <br />
              （第一页）
            </span>
            <span className={styles.uploadLabelItem}>
              样例预览
              <br />
              （第二页）
            </span>
          </p>
        </div>
        <div className={styles.uploadItem}>
          <UploadImg
            value={this.props.contractFiles}
            text="必填"
            max={2}
            multiple
            uploadComplete={this.handleFileUpload}
            deleteComplete={this.handleFileDelete}
            size={100}
            viewOnly={false}
          />
          <p className={styles.tips}>请上传已签字的合同照片！（正反面2张）</p>
        </div>
      </Modal>
    );
  }
}

export default UploadFileModal;
