import React from 'react';
import PropType from 'prop-types';
import { Modal, Button } from 'COMPONENT';
import styles from './styles.module.less';

class ModalGuidePrice extends React.Component {
  constructor(props) {
    super(props);

    this.openPrintPage = this.openPrintPage.bind(this);
    this.printCourseContract = this.printCourseContract.bind(this);
    this.printServiceContract = this.printServiceContract.bind(this);
  }

  static propTypes = {
    contractId: PropType.string.isRequired,
    templateCode: PropType.string.isRequired,
    isAllPage: PropType.oneOfType([PropType.string, PropType.number]),
    onClose: PropType.func.isRequired,
  };

  static defaultProps = {
    isAllPage: 0,
  };

  openPrintPage(guideType) {
    const { contractId, templateCode, isAllPage } = this.props;
    const path = `/print/contract/${contractId}/${templateCode}?tempType=1&isAllPage=${isAllPage}&guideType=${guideType}`;
    let newWindow = window.parent.open('about:blank');
    newWindow.location.href = path;
  }

  printCourseContract() {
    this.openPrintPage(1);
    this.props.onClose();
  }

  printServiceContract() {
    this.openPrintPage(2);
    this.props.onClose();
  }

  render() {
    const { onClose } = this.props;
    return (
      <Modal title="请选择打印内容" onCancel={onClose} footer={null} width={450}>
        <div className={styles.row}>
          <Button type="primary" onClick={this.printCourseContract}>
            打印课程费合同
          </Button>
        </div>
        <div className={styles.row}>
          <Button onClick={this.printServiceContract}>打印服务费合同</Button>
        </div>
      </Modal>
    );
  }
}

export default ModalGuidePrice;
