import React from 'react';
import { Modal, Button, Radio } from 'COMPONENT';
import PropTypes from 'prop-types';
import styles from './styles.module.less';

const title = '打印设置';

class Index extends React.Component {
  static propTypes = {
    onOk: PropTypes.func.isRequired,
    onCancel: PropTypes.func.isRequired,
  };

  static defaultProps = {
    onOk() {},
  };

  constructor(props) {
    super(props);
    this.state = {
      loading: false,
      current: '0',
    };
  }

  close = () => {
    this.props.onCancel();
  };

  changeValue = (val) => {
    this.setState({ current: val });
  };

  render() {
    const { current } = this.state;
    return (
      <Modal
        title={title}
        width={500}
        loading={this.state.loading}
        onCancel={this.close}
        footer={
          <div className={styles.footer}>
            <Button type="default" onClick={this.close}>
              关闭
            </Button>
            <Button type="primary" onClick={() => this.props.onOk(current)}>
              打印
            </Button>
          </div>
        }
      >
        <div>
          <div className={styles.modalTitle}>
            设置指引：针式打印机仅能打印合同第一页，需要提前盖章和印刷；喷墨打印机可以打印全部页面，事后盖章。
          </div>
          <div className={styles.modalTips}>选择打印页数</div>
          <div className={styles.modalRadio}>
            <Radio
              checked={current === '0'}
              onChange={() => {
                this.changeValue('0');
              }}
            >
              使用针式打印机（仅打印第一页）
            </Radio>
            <Radio
              checked={current === '1'}
              onChange={() => {
                this.changeValue('1');
              }}
            >
              使用喷墨打印机（打印全部页面）
            </Radio>
          </div>
        </div>
      </Modal>
    );
  }
}

export default Index;
