import React from 'react';
import { Modal, Radio } from 'COMPONENT';
import { templateTypeDict } from '../constant';

const RadioGroup = Radio.Group;
const radioStyle = {
  display: 'block',
  height: '42px',
  lineHeight: '42px',
};

/**
 * 选择合同模版弹窗
 *
 * @param props.contractId {string} 合同ID
 * @param props.onOk {function} 出参为模版类型 templateType: { GROUP: '', COUNTRY: '' }
 * @param props.onClose {function}
 */
class Index extends React.Component {
  static defaultProps = {
    contractId: null,
    onOk() {},
    onClose() {},
  };

  constructor(props) {
    super(props);

    this.state = {
      templateType: null,
    };
  }

  /**
   * 确认提交
   */
  onOk = () => {
    this.props.onOk(this.state.templateType);
  };

  render() {
    return (
      <Modal
        title="选择合同模版"
        width={300}
        cancelText="关闭"
        onCancel={this.props.onClose}
        onOk={this.onOk}
        okBtnDisabled={!this.state.templateType}
      >
        <RadioGroup onChange={(e) => this.setState({ templateType: e.target.value })} value={this.state.templateType}>
          {templateTypeDict.map((item, index) => {
            return (
              <Radio key={index} value={item.val} style={radioStyle}>
                {item.text}
              </Radio>
            );
          })}
        </RadioGroup>
      </Modal>
    );
  }
}

export default Index;
