import React from 'react';
import { Modal, Radio } from 'COMPONENT';
import { templateTypeDict } from './constant';

const RadioGroup = Radio.Group;

/**
 * 选择合同模版弹窗
 *
 * @param props.contractId {string} 合同ID
 * @param props.onClose {function}
 */
class Index extends React.Component {
  static defaultProps = {
    contractId: null,
    onClose() {},
  };

  constructor(props) {
    super(props);

    this.state = {
      templateType: null,
    };
  }

  /**
   * 确认提交
   */
  onOk = () => {
    this.props.onClose();
    this.doPrint();
  };

  /**
   * 打印
   */
  doPrint = () => {
    const { templateType } = this.state;

    console.log(templateType);
  };

  render() {
    return (
      <Modal
        title="选择合同模版"
        width={600}
        cancelText="关闭"
        onCancel={this.props.onClose}
        onOk={this.onOk}
        okBtnDisabled={!this.state.templateType}
      >
        <RadioGroup onChange={(e) => this.setState({ templateType: e.target.value })} value={this.state.templateType}>
          {templateTypeDict.map((item) => {
            return <Radio value={item.val}>{item.text}</Radio>;
          })}
        </RadioGroup>
      </Modal>
    );
  }
}

export default Index;
