import React from 'react';
import PropTypes from 'prop-types';
import styles from './index.less';
import { formatPayText } from './util';

const PayCard = (props) => {
  const payText = formatPayText(props.buttonType);

  return (
    <section
      className={styles.payCard}
      data-type={props.buttonType}
      data-disabled={props.disabled}
      onClick={!props.disabled && props.onClick}
    >
      <div className={styles.icon_wrap} />

      <div className={styles.desc_wrap}>
        <h5 className={styles.desc_title}>
          <span style={{ marginRight: 10 }}>{payText.title}</span>
        </h5>
        <p className={styles.desc_detail}>{payText.detail}</p>
      </div>
    </section>
  );
};

PayCard.propTypes = {
  buttonType: PropTypes.oneOf(['receive', 'share']).isRequired,
  onClick: PropTypes.func.isRequired,
  disabled: PropTypes.bool,
};

PayCard.defaultProps = {
  disabled: false,
};

export default PayCard;
