import React from 'react';
import PropTypes from 'prop-types';
import { Modal } from 'COMPONENT';
import styles from './index.less';
import PayCard from './PayCard';
import { SHARE, RECEIVE } from '../../signContractPro/config';

class SelectPayType extends React.Component {
  constructor(props) {
    super(props);
  }

  static propTypes = {
    campusId: PropTypes.string.isRequired,
    onCancel: PropTypes.func.isRequired,
    switchPayType: PropTypes.func.isRequired,
  };

  render() {
    return (
      <Modal
        title="请选择付款方式"
        cancelText="放弃支付"
        okBtnShow={false}
        okBtnDisabled={false}
        loading={false}
        onCancel={this.props.onCancel}
        className={styles.payTypeModal}
      >
        <article className={styles.container}>
          <PayCard buttonType="receive" onClick={() => this.props.switchPayType(RECEIVE)} />
          <PayCard buttonType="share" onClick={() => this.props.switchPayType(SHARE)} />
        </article>
      </Modal>
    );
  }
}

export default SelectPayType;
