import { peiyouInstitution, twoTeacherInstitution, xinghuoInstitution } from 'CONST/config';

const SMALL_CLASS = 'SMALL_CLASS';
const TWO_TEACHER = 'TWO_TEACHER';
const ECS_CLASS = 'ECS_CLASS';
const LECTURE = 'LECTURE';
const OTHERS = 'OTHERS';
const ONE_ON_ONE_COURSE = 'ONE_ON_ONE_COURSE';
const ONE_ON_MANY = 'ONE_ON_MANY';

const productTypeDict = [
  { text: '小班', val: SMALL_CLASS },
  { text: '双师', val: TWO_TEACHER },
];

const quantityResetType = [ECS_CLASS, OTHERS];

const productTypeAllow = [SMALL_CLASS, TWO_TEACHER, ONE_ON_MANY, ONE_ON_ONE_COURSE];

// 不需要年级默认值的类型
const NoAcquiescenceType = [OTHERS, LECTURE];

const winter = 'DAT0000000230';
const spring = 'DAT0000000231';
const summer = 'DAT0000000232';
const autumn = 'DAT0000000233';
const QUARTER_WINTER = winter;
const QUARTER_SPRING = spring;
const QUARTER_SUMMER = summer;
const QUARTER_AUTUMN = autumn;

// 不同系统的不同产品类型
const systemProduct = {
  [xinghuoInstitution]: ['ONE_ON_ONE_COURSE', 'ONE_ON_MANY', 'SMALL_CLASS', 'LECTURE', 'OTHERS'], // 星火
  [twoTeacherInstitution]: ['TWO_TEACHER', 'SMALL_CLASS', 'OTHERS', 'LECTURE'], // 双师
  [peiyouInstitution]: ['SMALL_CLASS', 'OTHERS', 'LECTURE'], // 培优
  ECS_CLASS: ['ECS_CLASS', 'OTHERS'], // 精英班， 目前只有星火有精英班
};

// 前短维护每个系统下的产品类型，后端增加需要在这修改
const systemProductTab = {
  // 星火
  [xinghuoInstitution]: [
    {
      text: '一对一',
      val: 'ONE_ON_ONE_COURSE',
    },
    {
      text: '一对多',
      val: 'ONE_ON_MANY',
    },
    {
      text: '小班',
      val: 'SMALL_CLASS',
    },
    {
      text: '讲座',
      val: 'LECTURE',
    },
    {
      text: '其他产品',
      val: 'OTHERS',
    },
  ],
  // 双师
  [twoTeacherInstitution]: [
    {
      text: '双师',
      val: 'TWO_TEACHER',
    },
    {
      text: '小班',
      val: 'SMALL_CLASS',
    },
    {
      text: '其他',
      val: 'OTHERS',
    },
    {
      text: '讲座',
      val: 'LECTURE',
    },
  ],
  // 培优
  [peiyouInstitution]: [
    {
      text: '小班',
      val: 'SMALL_CLASS',
    },
    {
      text: '其他',
      val: 'OTHERS',
    },
    {
      text: '讲座',
      val: 'LECTURE',
    },
  ],
  // 精英班， 目前只有星火有精英班
  ECS_CLASS: [
    {
      text: '精英班',
      val: 'ECS_CLASS',
    },
    {
      text: '其他产品',
      val: 'OTHERS',
    },
  ],
};

export {
  SMALL_CLASS,
  TWO_TEACHER,
  ECS_CLASS,
  LECTURE,
  OTHERS,
  productTypeDict,
  productTypeAllow,
  winter,
  spring,
  summer,
  autumn,
  QUARTER_WINTER,
  QUARTER_SPRING,
  QUARTER_SUMMER,
  QUARTER_AUTUMN,
  ONE_ON_MANY,
  ONE_ON_ONE_COURSE,
  systemProduct,
  systemProductTab,
  quantityResetType,
  NoAcquiescenceType,
};
