import React from 'react';
import { Row, Col } from 'antd';
import CouponCard from '../CouponCard';

function initEventListener(el, props) {
  if (!el) {
    return false;
  }

  el.addEventListener(
    'scroll',
    function (e) {
      console.log(e);
    },
    false,
  );
}

/**
 * 优惠券列表
 *
 * @param props.list 排好序的优惠券列表
 */
const CouponList = (props) => {
  const { list, onSelect } = props;

  return (
    <section
      ref={(c) => {
        console.log(c);
      }}
    >
      <Row gutter={20}>
        {list.map((coupon, index) => {
          return (
            <Col key={index} span={12}>
              <CouponCard data={coupon} onClick={onSelect} />
            </Col>
          );
        })}
      </Row>
    </section>
  );
};

export default CouponList;
