import { getSuitablePromotion } from 'SERVICE/contract';
import { formatBDApiClassIds, formatBDRealAmount } from './util';

/**
 * 订单结算时批量获取可选优惠券和不可选优惠券
 * 最后将结果组装成promiseAllMatchCouponList所返回结果
 *
 * @param studentId 学生ID
 * @param branchId 学生分公司ID
 * @param productList 选中产品列表
 * @return {*} {data: {suitablePromotion: [可用优惠券], unSuitablePromotion: [不可用优惠券]}}
 */
export function promiseMultipleMatchCouponList({ studentId, branchId, productList }) {
  const classIds = formatBDApiClassIds(productList);
  const realAmount = formatBDRealAmount(productList);
  const params = { studentId, branchId, amount: realAmount, courseIds: classIds };

  return getSuitablePromotion(params);
}
