import React from 'react';
import style from './styles.module.less';
import PropTypes from 'prop-types';
import TipText from '../../components/TipText';

const TableClass = (props) => {
  return (
    <span className={style.TableClass}>
      <span className={style.TableClassName}>{props.data.className}</span>
      <span className={style.TableClassInfo}>
        开课日期：
        {props.today > props.data.startClassDate ? (
          <TipText>{props.data.startClassDate || '-'}</TipText>
        ) : (
          props.data.startClassDate || '-'
        )}
      </span>
      <span className={style.TableClassInfo}>
        已上课时：{`${props.data.consumeCourseHours || '-'}/${props.data.totalCourseHours || '-'}`}
      </span>
      <span className={style.TableClassInfo}>
        已报：{`${props.data.peopleQuantity || '-'}/${props.data.maxPeopleQuantity || '-'}`}
      </span>
    </span>
  );
};

TableClass.propTypes = {
  data: PropTypes.shape({
    className: PropTypes.string,
    startClassDate: PropTypes.string,
    consumeCourseHours: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
    totalCourseHours: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
    peopleQuantity: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
    maxPeopleQuantity: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
  }),
};

export default TableClass;
