import React from 'react';
import style from './styles.module.less';
import PropTypes from 'prop-types';

const InfoBlock = (props) => {
  return (
    <div className={style.InfoBlock} style={props.style}>
      <div className={style.InfoBlockHeader}>
        {props.title && <div className={style.InfoBlockTitle}>{props.title}</div>}
        {props.toolbar && <div className={style.InfoBlockToolbar}>{props.toolbar}</div>}
      </div>
      {props.children && <div className={style.InfoBlockBody}>{props.children}</div>}
    </div>
  );
};

InfoBlock.propTypes = {
  title: PropTypes.string,
  toolbar: PropTypes.any,
  style: PropTypes.object,
};

export default InfoBlock;
