import React from 'react';
import style from './style.module.less';
import { Row } from 'antd';
import InfoItem from './InfoItem';
import PropTypes from 'prop-types';
import classNames from 'classnames';

const InfoForm = (props) => {
  return (
    <Row
      className={classNames(style.InfoForm, props.className)}
      type="flex"
      align="middle"
      justify="start"
      style={{ ...props.style }}
    >
      {props.children}
    </Row>
  );
};

InfoForm.propTypes = {
  className: PropTypes.string,
  style: PropTypes.object,
};

InfoForm.defaultProps = {
  style: {},
};

InfoForm.InfoItem = InfoItem;

export default InfoForm;
