import React from 'react';
import style from './styles.module.less';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import Loading from 'COMPONENT/Loading';

const Page = (props) => {
  return (
    <div className={style.Page}>
      <div className={style.PageWrap}>
        <div className={classNames(style.PageBody, props.className)}>{props.children}</div>
      </div>
      {props.footer && <div className={style.PageFooter}>{props.footer}</div>}
      <Loading className={style.PageLoading} loading={props.loading} />
    </div>
  );
};

Page.propTypes = {
  loading: PropTypes.bool,
};

Page.defaultProps = {
  loading: false,
};

export default Page;
