import React from 'react';
import PropTypes from 'prop-types';
import styles from './index.less';
import { Popover } from 'COMPONENT';

/**
 * 已选优惠券展示组件
 *
 * @param props.couponList 已选优惠券列表
 * @constructor
 */
const SelectedCouponList = (props) => {
  return (
    <section>
      <ul className={styles.coupon_wrap}>
        {props.couponList.map((item, index) => {
          if (index < props.truncationNum) {
            return (
              <li key={index} className={styles.coupon_item}>
                {item._couponName || item.promotionName}
              </li>
            );
          }

          return '';
        })}
        {props.couponList.length > props.truncationNum && (
          <Popover
            content={
              <ul className={styles.PopoverWrap}>
                {props.couponList.map((item, index) => {
                  if (index >= props.truncationNum) {
                    return (
                      <li key={index} className={styles.coupon_item}>
                        {item._couponName || item.promotionName}
                      </li>
                    );
                  }

                  return '';
                })}
              </ul>
            }
          >
            <li className={styles.coupon_more}>更多 ></li>
          </Popover>
        )}
      </ul>
    </section>
  );
};

SelectedCouponList.propTypes = {
  truncationNum: PropTypes.number,
};

SelectedCouponList.defaultProps = {
  truncationNum: 3,
};

export default SelectedCouponList;
