import React from 'react';
import style from './styles.module.less';
import PropTypes from 'prop-types';
import classNames from 'classnames';

const Text = (props) => {
  return (
    <span className={classNames(style.Text, props.className)} style={{ ...props.style }}>
      <span className={style.TextLabel}>{props.label}：</span>
      <span className={style.TextContent}>{props.children}</span>
    </span>
  );
};

Text.propTypes = {
  label: PropTypes.string.isRequired,
  className: PropTypes.string,
  style: PropTypes.object,
};

Text.defaultProps = {
  style: {},
};

export default Text;
