import React from 'react';
import style from './styles.module.less';
import PropTypes from 'prop-types';

const TipText = (props) => {
  return (
    <span
      className={style.TipText}
      style={{
        fontSize: props.fontSize,
        fontWeight: props.fontWeight,
        ...props.style,
      }}
    >
      {props.children}
    </span>
  );
};

TipText.propTypes = {
  fontSize: PropTypes.number,
  fontWeight: PropTypes.string,
  style: PropTypes.object,
  children: PropTypes.any,
};

TipText.defaultProps = {
  fontSize: 14,
  fontWeight: 'normal',
  style: {},
};

export default TipText;
