import NP from 'number-precision';

function numFormatToMoney(num) {
  let ret = num.toFixed(2);
  ret = parseFloat(ret);
  ret = ret.toLocaleString();
  const lastIndex = ret.lastIndexOf('.');
  if (lastIndex === -1) {
    ret += '.00';
  } else if (ret.length - lastIndex === 2) {
    ret += '0';
  }
  return ret;
}

function isMoreThanZero(num) {
  return typeof num === 'number' && num > 0;
}

function clickPrdTableTab(index) {
  setTimeout(function () {
    let selectedPrdTab = document.querySelector('#ProductTable').querySelectorAll('.ant-tabs-tab')[index];
    if (selectedPrdTab) {
      selectedPrdTab.click();
    }
  });
}

function focusResize() {
  setTimeout(function () {
    window.dispatchEvent(new Event('resize'));
  });
}

function centToYuan(num) {
  if (num === 0) {
    return 0;
  }
  return NP.divide(num, 100);
}

function yuanToCent(num) {
  if (num === 0) {
    return 0;
  }
  return NP.times(num, 100);
}

function jsonParseObjAttrByKey(obj, key) {
  return JSON.parse(obj[key] || null);
}

function getBranchByCampus(campusId, dict) {
  const tag = dict.find((item) => (item.options || []).findIndex((option) => option.val === campusId) > -1);
  return tag ? tag.val : null;
}

export {
  numFormatToMoney,
  isMoreThanZero,
  clickPrdTableTab,
  focusResize,
  centToYuan,
  yuanToCent,
  jsonParseObjAttrByKey,
  getBranchByCampus,
};
