const SMALL_CLASS = 'SMALL_CLASS';
const TWO_TEACHER = 'TWO_TEACHER';
const ECS_CLASS = 'ECS_CLASS';
const LECTURE = 'LECTURE';
const OTHERS = 'OTHERS';
const ONE_ON_ONE_COURSE = 'ONE_ON_ONE_COURSE';
const ONE_ON_MANY = 'ONE_ON_MANY';

const productTypeDict = [
  { text: '小班', val: SMALL_CLASS },
  { text: '双师', val: TWO_TEACHER },
];

const quantityResetType = [ECS_CLASS, OTHERS];

const productTypeAllow = [SMALL_CLASS, TWO_TEACHER, ONE_ON_MANY, ONE_ON_ONE_COURSE];

// 不需要年级默认值的类型
const NoAcquiescenceType = [OTHERS, LECTURE];

// 不需要换算课时的类型
const NoCourseHoursProductType = [OTHERS, LECTURE];

const mainTcTextCfg = {
  null: '班主任',
  undefined: '班主任',
  [SMALL_CLASS]: '班主任',
  [TWO_TEACHER]: '主讲老师',
};

const auxTcTextCfg = {
  null: '班主任',
  undefined: '班主任',
  [SMALL_CLASS]: '任课老师',
  [TWO_TEACHER]: '辅导老师',
};

const winter = 'DAT0000000230';
const spring = 'DAT0000000231';
const summer = 'DAT0000000232';
const autumn = 'DAT0000000233';
const QUARTER_WINTER = winter;
const QUARTER_SPRING = spring;
const QUARTER_SUMMER = summer;
const QUARTER_AUTUMN = autumn;

const updateQuarterCfg = {
  [winter]: [spring],
  [spring]: [summer, autumn],
  [summer]: [autumn],
  [autumn]: [winter, spring],
};

const grade0 = '幼升小';
const grade00 = '幼儿园';
const grade01 = '一年级';
const grade02 = '二年级';
const grade03 = '三年级';
const grade04 = '四年级';
const grade05 = '五年级';
const grade06 = '六年级';
const grade07 = '初一';
const grade08 = '初二';
const grade09 = '初三';
const grade10 = '高一';
const grade11 = '高二';
const grade12 = '高三';
const grade13 = '毕业';

const updateGradeCfg = {
  [grade0]: grade01,
  [grade00]: grade01,
  [grade01]: grade02,
  [grade02]: grade03,
  [grade03]: grade04,
  [grade04]: grade05,
  [grade05]: grade06,
  [grade06]: grade07,
  [grade07]: grade08,
  [grade08]: grade09,
  [grade09]: grade10,
  [grade10]: grade11,
  [grade11]: grade12,
  [grade12]: grade13,
};

// 续报班级(仅供交互使用)
const RENEWAL_CLASS = 'RENEWAL_CLASS';

// 不同系统的不同产品类型
const systemProduct = {
  default: [RENEWAL_CLASS, SMALL_CLASS, ONE_ON_ONE_COURSE, ONE_ON_MANY, LECTURE, OTHERS], // 星火
  [ECS_CLASS]: [ECS_CLASS, OTHERS], // 精英班， 目前只有星火有精英班
};

const TAB_RENEWAL_CLASS = { text: '续报班级', val: RENEWAL_CLASS };
const TAB_SMALL_CLASS = { text: '班课', val: SMALL_CLASS };
const TAB_ONE_ON_ONE_COURSE = { text: '1对1', val: ONE_ON_ONE_COURSE };
const TAB_ONE_ON_MANY = { text: '1对多', val: ONE_ON_MANY };
const TAB_LECTURE = { text: '讲座', val: LECTURE };
const TAB_OTHERS = { text: '其他产品', val: OTHERS };
const TAB_ECS_CLASS = { text: '精英班', val: ECS_CLASS };

// 前短维护每个系统下的产品类型，后端增加需要在这修改
const systemProductTab = {
  default: [TAB_RENEWAL_CLASS, TAB_SMALL_CLASS, TAB_ONE_ON_ONE_COURSE, TAB_ONE_ON_MANY, TAB_LECTURE, TAB_OTHERS],
  [ECS_CLASS]: [TAB_ECS_CLASS, TAB_OTHERS],
  [SMALL_CLASS]: [TAB_SMALL_CLASS, TAB_OTHERS],
  [ONE_ON_ONE_COURSE]: [TAB_ONE_ON_ONE_COURSE, TAB_OTHERS],
  [ONE_ON_MANY]: [TAB_ONE_ON_MANY, TAB_OTHERS],
  [LECTURE]: [TAB_LECTURE, TAB_OTHERS],
  [OTHERS]: [TAB_OTHERS],
};

// 其他所属产品类型
const OTHER_SMALL_CLASS = 'SMALL_CLASS_FOR_OTHER';
const OTHER_ONE_ON_ONE_COURSE = 'ONE_ON_ONE_COURSE_FOR_OTHER';
const OTHER_ONE_ON_MANY = 'ONE_ON_MANY_FOR_OTHER';
const OTHER_ECS_CLASS = 'ECS_CLASS_FOR_OTHER';
const OTHER_LECTURE = 'DAT000000000461';
const OTHER_OTHERS = 'DAT0000000388';

const OPTION_OTHER_SMALL_CLASS = { text: '班课', val: OTHER_SMALL_CLASS };
const OPTION_OTHER_ONE_ON_ONE_COURSE = { text: '一对一', val: OTHER_ONE_ON_ONE_COURSE };
const OPTION_OTHER_ONE_ON_MANY = { text: '一对多', val: OTHER_ONE_ON_MANY };
const OPTION_OTHER_ECS_CLASS = { text: '精英班', val: OTHER_ECS_CLASS };
const OPTION_OTHER_LECTURE = { text: '讲座', val: OTHER_LECTURE };
const OPTION_OTHER_OTHERS = { text: '其他', val: OTHER_OTHERS };

const otherOfCategoryDictCfg = {
  [SMALL_CLASS]: [OPTION_OTHER_SMALL_CLASS],
  [ONE_ON_ONE_COURSE]: [OPTION_OTHER_ONE_ON_ONE_COURSE],
  [ONE_ON_MANY]: [OPTION_OTHER_ONE_ON_MANY],
  [ECS_CLASS]: [OPTION_OTHER_ECS_CLASS, OPTION_OTHER_OTHERS],
  [LECTURE]: [OPTION_OTHER_LECTURE],
};

const otherOfCategoryValCfg = {
  [SMALL_CLASS]: OTHER_SMALL_CLASS,
  [ONE_ON_ONE_COURSE]: OTHER_ONE_ON_ONE_COURSE,
  [ONE_ON_MANY]: OTHER_ONE_ON_MANY,
  [ECS_CLASS]: OTHER_ECS_CLASS,
  [LECTURE]: OTHER_LECTURE,
  [OTHERS]: OTHER_OTHERS,
};

const characterTextCfg = {
  YINLIU: '引流课程',
  NEWSIGN: '常规课程',
  RESIGN: '常规课程',
  NORMAL: '常规课程',
};

const SPECIAL_PRODUCT_TYPE = {
  [SMALL_CLASS]: 1,
  [ONE_ON_MANY]: 1,
};
const WARNING_MESSAGE = [
  {
    [SMALL_CLASS]:
      '当前已选购小班产品不可与素质类产品混签，如需添加本产品，请先将购课单中已选中的小班产品删除后，再点击添加。',
    [ONE_ON_MANY]:
      '当前已选购的一对多产品，不可与素质类产品混签，如需添加本产品，请先将购课单中已选中的一对多产品删除后，再点击添加。',
  },
  {
    [SMALL_CLASS]:
      '当前已选购素质类产品不可与其他小班产品混签，如需添加本产品，请先将购课单中已选中的小班产品删除后，再点击添加。',
    [ONE_ON_MANY]:
      '当前已选购的素质类产品，不可与其他一对多产品混签，如需添加本产品，请先将购课单中已选中素质类产品删除后，再点击添加。',
  },
  {
    [SMALL_CLASS]: '已选择素质合作项目班级，不可与其他班课混签。',
    [ONE_ON_MANY]: '已选择素质合作项目班级，不可与其他班课混签。',
  },
];
const CLASS_TYPE_BROADCAST_COOPERATE = 'DAT000000001024';
const PRODUCT_GROUP_BROADCAST_COOPERATE = 'DAT000000001029'; // 产品组合作项目id值

export {
  SMALL_CLASS,
  TWO_TEACHER,
  ECS_CLASS,
  LECTURE,
  OTHERS,
  CLASS_TYPE_BROADCAST_COOPERATE,
  PRODUCT_GROUP_BROADCAST_COOPERATE,
  WARNING_MESSAGE,
  SPECIAL_PRODUCT_TYPE,
  productTypeDict,
  productTypeAllow,
  mainTcTextCfg,
  auxTcTextCfg,
  winter,
  spring,
  summer,
  autumn,
  QUARTER_WINTER,
  QUARTER_SPRING,
  QUARTER_SUMMER,
  QUARTER_AUTUMN,
  ONE_ON_MANY,
  ONE_ON_ONE_COURSE,
  updateQuarterCfg,
  updateGradeCfg,
  systemProduct,
  systemProductTab,
  quantityResetType,
  NoAcquiescenceType,
  NoCourseHoursProductType,
  otherOfCategoryDictCfg,
  otherOfCategoryValCfg,
  characterTextCfg,
  RENEWAL_CLASS,
};
