# 产品选择弹窗

## 概述
    合同签订模块购物车选择弹窗页面
## 目录

```
ModalAddProduct
│   
└─────Search 搜索框 包含平铺筛选
│      │ index.js
│      └─ styles.module.less
│ 
└─────SelectedCard 待选List的选项卡
│      │ index.js
│      └─ styles.module.less
│ 
└─────ToBeSelectedCard 已选List的选项卡
│      │ index.js
│      └─ styles.module.less
│ 
└─ index.js 模块入口代码
│ 
└─ config.js 一些常量配置
│ 
└─ utils.js 一些工具函数
│ 
└─  styles.module.less 入口index.js对应模块样式
│ 
└─  commom.module.less 公共样式
```

## 模块文件说明

只说明部分较为重要的文件

### ModalAddProduct/index.js

    模块入口文件

#### 参数
参数 | 说明 | 类型 | 默认值
---|--- | --- | --- 
defaultcValue | object | 筛选项默认值 | -
title | string | 弹窗标题 | -
onClose | func | 关闭回调事件 |  -

> 以上是props传参，其它一些参数值从redux里面取，具体参数查看 `mapStateToProps`函数

#### 内置方法
    大部分方法都有注释说明，下面只挑需要注意的说明

1. 小班、双师、一对一、一对多 选择完产品要判断购物车是否已存在，存在则不添加，代码逻辑在`checkSelect`函数
2. 产品年级与学生年级不一致时要提醒是否跨年级上课（双师小班存在升班情况，升班情况不用提醒）代码逻辑在`checkSelect`函数
3. 小班、双师、一对一、一对多 选择完产品后要请求并选择首次上课时间，相关组件`ModalSelectCourseTime`，相关函数`addPrdWithStartTime`与`addPrdWithCourseTime`
4. `initProduct` 初始化产品列表，需要注意整理的初始值要做不同系统不同产品类型处理，例如：
```
initProduct = (params) => {
    ...
   // 其他类型 所属产品类型默认值为其他
    const otherOfCategoryId = OTHERS === selectProductType ? 'DAT0000000388' : undefined

    // 产品年份默认当前年份
    let productVersionId = getBLoYearId(yearDict, new Date(serverDate))
    let quarterId = []

    // 小班与双师要进行升班处理
    if ([SMALL_CLASS, TWO_TEACHER].includes(selectProductType)) {
      gradeId = grade.gradeId || _gradeId
      quarterId = getQuarterId(serverDate)
      productVersionId = getNextYear(yearDict, serverDate) || productVersionId
    }

    // 小班时年级为幼儿园和毕业都改完全部
    selectProductType === SMALL_CLASS && gradeId === grade.gradeId && (['幼儿园', '毕业'].includes(grade.gradeName)) && (gradeId = null)
    
    ....
```
> 同时在Search做搜索项默认值的时候要跟这里对应，即搜索项展示的默认要和这里第一次请求的默认值是一致的

### Search
    搜索框,包含平铺筛选
    
#### 参数
参数 | 说明 | 类型 | 默认值
---|--- | --- | --- 
selectProductType | string | 产品类型 | -
isEcs | bool | 是否为精英班 | -
institution | string | 当前系统名称 |  -
onSearch | func | 搜索事件回调
defaultcValue | object | 筛选项默认值 | -

> 以上是props传参，其它一些参数值从redux里面取，具体参数查看 `mapStateToProps`函数

#### 内置方法

    大部分方法都有注释说明，下面只挑需要注意的说明
    
1.按照业务需求，需要根据不同系统不同产品类型来渲染不同的搜索框以及平铺

- 搜索框，`getSearchDom`,里面会按照需求返回不同的搜索框
- 筛选项，`getSearchCfg`,里面会按照需求返回不同的筛选项

2.筛选的默认值需要按照不同场景特别处理 ，目前主要处理`getSearchCfg`里面的默认值，如下：
```
getSearchCfg = () =>
  ...

 // 类型为其它时不需要年级默认值
    let _gradeId = gradeId
    if (!NoAcquiescenceType.includes(selectProductType)) _gradeId = gradeId !== undefined ? gradeId : this.props.gradeId

    // 小班与双师要进行升班处理
    if ([SMALL_CLASS, TWO_TEACHER].includes(selectProductType)) _gradeId = gradeId !== undefined ? _gradeId : grade.gradeId

    // 小班过滤幼儿园和毕业, 以及默认值是幼儿园和小班是需要变为全部
    let _gradeDict = gradeDict;
    if (selectProductType === SMALL_CLASS) {
      _gradeDict = gradeDict.filter(({ text }) => !['幼儿园', '毕业'].includes(text))
      if (gradeId === undefined && (['幼儿园', '毕业'].includes(grade.gradeName))) _gradeId = null
    }

    // 精英班没有 幼儿园
    if (selectProductType === ECS_CLASS) {
      _gradeDict = gradeDict.filter(({ text }) => !['幼儿园'].includes(text))
      if (gradeId === undefined && (['幼儿园', '毕业'].includes(grade.gradeName))) _gradeId = null
    }
    ...
```

3.`submit`提交函数也要对某些字段做特殊处理

```
  submit = () => {
   ....
     // 年级参数处理
    let _gradeId = gradeId
    if (!NoAcquiescenceType.includes(selectProductType) && gradeId === undefined) {
      if ([SMALL_CLASS, TWO_TEACHER].includes(selectProductType)) {
        _gradeId = grade.gradeId || _gradeId
        ['幼儿园', '毕业'].includes(grade.gradeName) && (_gradeId = null)
      } else {
        _gradeId = this.props.gradeId || _gradeId
      }
    }

    // 季度参数处理
    let _quarterId = quarterId
    if ([SMALL_CLASS, TWO_TEACHER].includes(selectProductType)) {
      if (quarterId === undefined) _quarterId = getQuarterId(serverDate) || _quarterId
      // 年份参数处理
      _productVersionId = getNextYear(yearDict, serverDate) || _productVersionId
    }
    ...
```

> 目前需要特殊处理的默认字段为：年级、年份、所属产品类型、季度

## 优化
1. 所属产品类型默认值以及筛选项（不同系统）目前是前端写死的
2. Search2组件 添加数据收集功能，类似from组件的getFiledsValue
3. 其他类型所属产品筛选项是前端根据名字筛选的，考虑是否读接口



