import React from 'react';
import PropTypes from 'prop-types';
import styles from './styles.module.less';
import Modal from 'COMPONENT/Modal/Modal';
import { Row, Col } from 'antd';

class ModalCouponDetail extends React.Component {
  static propTypes = {
    data: PropTypes.array.isRequired,
    onCancel: PropTypes.func.isRequired,
  };

  constructor(props) {
    super(props);

    this.state = {};
  }

  render() {
    const { props } = this;

    return (
      <Modal
        title="已使用优惠券"
        className={styles.modalCouponDetail}
        onCancel={props.onCancel}
        cancelText="关闭"
        okBtnShow={false}
        widthSize="M"
      >
        <Row type="flex">
          {props.data.map((item) => (
            <Col span={12} key={item._couponId}>
              <div className={styles.card}>
                <div className={styles.cardMain}>
                  <div>{item._couponName}</div>
                  <div>券码：{item._couponId}</div>
                </div>
                {/*<div className={styles.cardSub}>
                  <span>￥{item._couponDiscount}</span>
                </div>*/}
              </div>
            </Col>
          ))}
        </Row>
      </Modal>
    );
  }
}

export default ModalCouponDetail;
