import React from 'react';
import { COUPON_RULE_VO_KEY } from '../../config';
import SingleDetail from './SingleDetail';
import MultipleDetail from './MultipleDetail';
import styles from '../index.less';

const ruleVoKey = COUPON_RULE_VO_KEY;

/**
 * 优惠券左边的金额与使用条件展示
 *
 * @param props.data 优惠券
 * @param props.onlyShowSingleRule 只显示单条规则
 * @constructor
 */
const LeftDetail = (props) => {
  const { data, onlyShowSingleRule } = props;

  const ruleVos = data[ruleVoKey] || [];
  const isSingle = ruleVos.length <= 1;
  const showSingleRule = isSingle || onlyShowSingleRule;

  return (
    <div className={styles.top_left}>
      {showSingleRule ? <SingleDetail {...props} /> : <MultipleDetail {...props} />}
    </div>
  );
};

export default LeftDetail;
