import React from 'react';
import { Tooltip } from 'antd';
import styles from '../index.less';
import { formatPromotionRuleResult } from '../util';
import { COUPON_RULE_VO_KEY, COUPON_PROMOTION_TYPE_KEY } from '../../config';

const ruleVoKey = COUPON_RULE_VO_KEY;
const promotionTypeKey = COUPON_PROMOTION_TYPE_KEY;

/**
 * 单个规则显示-抵扣券
 *
 * @param props.data 优惠券
 * @param props.productList
 * @param props.hitRule 命中的规则（如果有）
 * @return {*}
 * @constructor
 */
const SingleDetail = (props) => {
  const { data } = props;

  const rulesVos = data[ruleVoKey] || [];
  const hitRule = props.hitRule || rulesVos[0];
  const result = formatPromotionRuleResult({ promotionType: data[promotionTypeKey], rule: hitRule });

  return (
    <div className={styles.top_left_single_big_num}>
      <Tooltip placement="top" title={`¥ ${result.resultNum}`}>
        <span>¥ {result.resultNum}</span>
      </Tooltip>
    </div>
  );
};

export default SingleDetail;
