import React from 'react';
import styles from '../index.less';
import { COUPON_PROMOTION_TYPE_KEY, COUPON_RULE_VO_KEY } from '../../config';
import { formatRuleFinalTextDeposit } from './utils';

const ruleVoKey = COUPON_RULE_VO_KEY;
const promotionTypeKey = COUPON_PROMOTION_TYPE_KEY;

/**
 * tooltip 规则显示
 *
 * @param props
 * @return {*}
 * @constructor
 */
const TooltipRuleList = (props) => {
  const { data } = props;
  const ruleVos = data[ruleVoKey] || [];
  const promotionType = data[promotionTypeKey];

  return (
    <ul className={styles.top_left_tooltip}>
      {ruleVos.map((item, index) => {
        return (
          <li key={index}>
            <span className={styles.top_left_text}>{formatRuleFinalTextDeposit(promotionType, item, data)}</span>
          </li>
        );
      })}
    </ul>
  );
};

export default TooltipRuleList;
