import { formatPromotionRuleResult } from '../util';
import NP from 'number-precision';
import { COURSE_HOURS_TRANSFORM_MULTIPLE } from '../../config';

/**
 * 格式化抵扣券的规则显示
 *
 * @param promotionType
 * @param rule
 * @param data
 * @return {string}
 */
export function formatRuleFinalTextDeposit(promotionType, rule, data = { limitProductTypes: [] }) {
  const ruleResult = formatPromotionRuleResult({ promotionType, rule });
  let { prefixText, prefixNum, prefixUnit, resultText, resultNum, resultUnit } = ruleResult;

  // 抵扣券特殊处理 1v1 1对多
  if (
    data.promotionNature === 'COUPON_DEPOSIT' &&
    (data.limitProductTypes.includes('ONE_ON_ONE_COURSE') || data.limitProductTypes.includes('ONE_ON_MANY'))
  ) {
    if (!isNaN(prefixNum)) prefixNum = NP.divide(prefixNum, COURSE_HOURS_TRANSFORM_MULTIPLE).toFixed(2);
  }

  return prefixText + prefixNum + `${prefixUnit || '个班'}` + resultText + resultNum + resultUnit;
}
