/**
 * 优惠类型 promotionNature
 */
// 营销优惠券(营销券)
export const PROMOTION_NATURE_MARKET = 'COUPON_MARKET';
// 普通优惠券(满减券)
export const PROMOTION_NATURE_NORMAL = 'COUPON_NORMAL';
// 无门槛优惠券(代金券)
export const PROMOTION_NATURE_REDEEM = 'COUPON_REDEEM';
// 预存抵扣券(抵扣券)
export const PROMOTION_NATURE_DEPOSIT = 'COUPON_DEPOSIT';
export const promotionNatureCfg = {
  [PROMOTION_NATURE_MARKET]: '营销券',
  [PROMOTION_NATURE_NORMAL]: '满减券',
  [PROMOTION_NATURE_REDEEM]: '代金券',
  [PROMOTION_NATURE_DEPOSIT]: '抵扣券',
};

/**
 * 优惠活动页面类型
 * */
// 满减促销
export const FullReducePromotion = 'FullReducePromotion';
// 折扣促销
export const DiscountPromotion = 'DiscountPromotion';
// 满赠促销
export const FullGivePromotion = 'FullGivePromotion';

/**
 * 活动类型
 * */
// 满减促销-满减
export const PROMOTION_FULL_SALE_NORMAL = 'PROMOTION_FULL_SALE_NORMAL';
// 满减促销-每满减
export const PROMOTION_FULL_SALE_EVERY = 'PROMOTION_FULL_SALE_EVERY';

// 折扣促销-现金折扣
export const PROMOTION_DISCOUNT_CASH = 'PROMOTION_DISCOUNT_CASH';
// 折扣促销-课时折扣
export const PROMOTION_DISCOUNT_COURSE = 'PROMOTION_DISCOUNT_COURSE';
// 折扣促销-产品折扣
export const PROMOTION_DISCOUNT_PRODUCT = 'PROMOTION_DISCOUNT_PRODUCT';

// 满赠促销-赠课时
export const PROMOTION_GIVE_HOURS = 'PROMOTION_GIVE_HOURS';

// 满减券-满减
export const COUPON_FULL_SALE_NORMAL = 'COUPON_FULL_SALE_NORMAL';
// 满减券-没满减
export const COUPON_FULL_SALE_EVERY = 'COUPON_FULL_SALE_EVERY';

// 折扣券-现金折扣
export const COUPON_DISCOUNT_CASH = 'COUPON_DISCOUNT_CASH';
// 折扣券-课时折扣
export const COUPON_DISCOUNT_COURSE = 'COUPON_DISCOUNT_COURSE';

/**
 * 优惠单位
 * */
// 金额
export const MONEY = 'MONEY';
// 课时
export const COURSE_HOURS = 'COURSE_HOURS';
// 产品数
export const PRODUCT_NUMS = 'PRODUCT_NUMS';
// 课时分钟
const RULE_UNIT_NATURE_MINUTES = 'NATURE_MINUTES';

// 优惠条件文字配置
export const promotionsPrefixCfg = {
  // 优惠活动
  [PROMOTION_FULL_SALE_NORMAL]: '满',
  [PROMOTION_FULL_SALE_EVERY]: '每满',
  [PROMOTION_DISCOUNT_CASH]: '满',
  [PROMOTION_DISCOUNT_COURSE]: '满',
  [PROMOTION_DISCOUNT_PRODUCT]: '满',
  [PROMOTION_GIVE_HOURS]: '满',
  // 优惠券
  [COUPON_FULL_SALE_NORMAL]: '满',
  [COUPON_FULL_SALE_EVERY]: '每满',
  [COUPON_DISCOUNT_CASH]: '满',
  [COUPON_DISCOUNT_COURSE]: '满',
};

// 条件单位配置
export const conditionUnitCfg = {
  // 以下为优惠活动
  [PROMOTION_FULL_SALE_NORMAL]: {
    [MONEY]: '元',
    [COURSE_HOURS]: '课时',
    [PRODUCT_NUMS]: '件',
  },
  [PROMOTION_FULL_SALE_EVERY]: {
    [MONEY]: '元',
    [COURSE_HOURS]: '课时',
  },
  [PROMOTION_DISCOUNT_CASH]: '元',
  [PROMOTION_DISCOUNT_COURSE]: '课时',
  [PROMOTION_DISCOUNT_PRODUCT]: '个产品',
  [PROMOTION_GIVE_HOURS]: '课时',
  // 以下为优惠券
  [COUPON_FULL_SALE_NORMAL]: {
    [MONEY]: '元',
    [COURSE_HOURS]: '小时',
    [PRODUCT_NUMS]: '件产品',
    // tips：此时应该显示`分钟`，但目前系统使用仍是小时，因此显示小时
    [RULE_UNIT_NATURE_MINUTES]: '小时',
  },
  [COUPON_FULL_SALE_EVERY]: {
    [MONEY]: '元',
    [COURSE_HOURS]: '小时',
    [PRODUCT_NUMS]: '件产品',
  },
  [COUPON_DISCOUNT_CASH]: '现金',
  [COUPON_DISCOUNT_COURSE]: '小时',
};

// 需要通过ruleUnit来获取条件单位的优惠类型集合
export const needRuleUnitList = [
  // 优惠活动
  PROMOTION_FULL_SALE_NORMAL,
  // 优惠券
  COUPON_FULL_SALE_NORMAL,
  COUPON_FULL_SALE_EVERY,
];

// 优惠形式文字配置
export const promotionsTypeCfg = {
  // 优惠活动
  [FullReducePromotion]: '减',
  [PROMOTION_FULL_SALE_NORMAL]: '减',
  [PROMOTION_FULL_SALE_EVERY]: '减',
  [DiscountPromotion]: '折后',
  [PROMOTION_DISCOUNT_CASH]: '折后',
  [PROMOTION_DISCOUNT_COURSE]: '折后',
  [PROMOTION_DISCOUNT_PRODUCT]: '折后',
  [FullGivePromotion]: '赠',
  [PROMOTION_GIVE_HOURS]: '赠',
  // 优惠券
  [COUPON_FULL_SALE_NORMAL]: '减',
  [COUPON_FULL_SALE_EVERY]: '减',
  [COUPON_DISCOUNT_CASH]: '折',
  [COUPON_DISCOUNT_COURSE]: '折',
};

// 优惠单位
export const promotionsUnitCfg = {
  // 优惠活动
  [FullReducePromotion]: '元',
  [PROMOTION_FULL_SALE_NORMAL]: '元',
  [PROMOTION_FULL_SALE_EVERY]: '元',
  [DiscountPromotion]: '%',
  [PROMOTION_DISCOUNT_CASH]: '%',
  [PROMOTION_DISCOUNT_COURSE]: '%',
  [PROMOTION_DISCOUNT_PRODUCT]: '%',
  [FullGivePromotion]: '课时',
  [PROMOTION_GIVE_HOURS]: '课时',
  // 优惠券
  [COUPON_FULL_SALE_NORMAL]: '元',
  [COUPON_FULL_SALE_EVERY]: '元',
  [COUPON_DISCOUNT_CASH]: '%',
  [COUPON_DISCOUNT_COURSE]: '%',
};

// 暑秋连报
export const SUM_AUT = 'SUM_AUT';
// 寒春连报
export const WIN_SPR = 'WIN_SPR';
// 不连报
export const NONE = 'NONE';

// 连报条件-字典
export const continuityDict = [
  { text: '不连报', val: NONE },
  { text: '暑秋连报', val: SUM_AUT },
  { text: '寒春连报', val: WIN_SPR },
];
