import React from 'react';
import { Row, Col } from 'antd';
import CouponCard from '../CouponCard';

/**
 * 优惠券列表
 *
 * @param props.list {Array} 排好序的优惠券列表
 * @param props.productList {Array} 已选产品列表
 * @param props.onSelect {function} 选中优惠券
 */
const CouponList = (props) => {
  const { list, productList, onSelect } = props;

  return (
    <Row gutter={20}>
      {list.map((coupon, index) => {
        return (
          <Col key={index} span={12}>
            <CouponCard data={coupon} productList={productList} onClick={onSelect} />
          </Col>
        );
      })}
    </Row>
  );
};

export default CouponList;
