/**
 * 优惠券唯一键对应的字段
 * @type {string}
 */
export const COUPON_ID_KEY = 'couponId';

/**
 * 优惠券规则集合对应的字段
 * @type {string}
 */
export const COUPON_RULE_VO_KEY = 'promotionRuleVos';

/**
 * 优惠券类型对应字段
 * @type {string}
 */
export const COUPON_PROMOTION_TYPE_KEY = 'promotionTypeId';

/**
 * 优惠券-规则列表中-优惠规则-对应产品数量字段
 * @type {string}
 */
export const COUPON_PROMOTION_RULE_NUM_KEY = 'promotionRule';

/**
 * 时间格式
 * @type {string}
 */
export const dateFormatter = 'YYYY-MM-DD';
export const dateTimeFormatter = 'YYYY-MM-DD HH:mm:ss';
export const defaultTimeEarly = '00:00:00';
export const defaultTimeLate = '23:59:59';

/**
 * 是否可叠加 superPosition: {0: 不可叠加, 1: 可叠加}
 * @type {string[]}
 */
export const superPositionCfg = ['不可叠加', '可叠加'];

/**
 * 默认分页条数
 * @type {number}
 */
export const DEFAULT_PAGE_SIZE = 999;
/**
 * 是否显示页码
 * @type {boolean}
 */
export const SHOW_PAGER = false;

/**
 * @desc 券规则Key
 */
export const RULE_KEY = 'ruleUnit';

/**
 * @desc 优惠券规则单位为`产品数量`时的key
 */
export const RULE_UNIT_PRODUCT_NUMS = 'PRODUCT_NUMS';

/**
 * @desc 优惠券规则单位为`课时`时的key
 */
export const RULE_UNIT_COURSE_HOURS = 'COURSE_HOURS';

/**
 * @desc 化优惠券规则单位为`课时分钟`时的key
 */
export const RULE_UNIT_NATURE_MINUTES = 'NATURE_MINUTES';

/**
 * 课时转小时或课时转分钟的倍数
 * @type {number}
 */
export const COURSE_HOURS_TRANSFORM_MULTIPLE = 60;
