import React from 'react';
import NP from 'number-precision';

const BloCourseTimeLabel = (props) => {
  const { data } = props;
  // 详情接口返回
  let courseNatureMinutes = data.courseNatureMinutes;
  if (!courseNatureMinutes) {
    // 优先取数量*每讲分钟时长，没有就取接口返回的总课时分钟
    courseNatureMinutes =
      data.quantity > 0 ? NP.times(data.quantity, data.classTimeLength) : data.totalCourseNatureMinutes || 0;
  }
  const hours = NP.divide(courseNatureMinutes, 60) | 0;
  const minutes = Math.floor(courseNatureMinutes % 60);
  return (
    <span>
      {hours > 0 && hours + '小时'}
      {minutes > 0 && minutes + '分钟'}
    </span>
  );
};

export default BloCourseTimeLabel;
