import React from 'react';
import PropTypes from 'prop-types';
import styles from './styles.module.less';
import { Popover } from 'antd';
import { InputNumber } from 'COMPONENT';
import { ONE_ON_ONE_COURSE, ONE_ON_MANY, OTHERS } from '../../config';
import { runFunc } from 'UTIL/common';
import { formatCourseToHour } from '../../../../../utils/common';

class BloInputNumber extends React.Component {
  constructor(props) {
    super(props);

    this.getMaxTips = this.getMaxTips.bind(this);
    this.showMaxTips = this.showMaxTips.bind(this);
    this.onChange = this.onChange.bind(this);

    this.isOneToOneOrOneToMoreBlo =
      [ONE_ON_ONE_COURSE, ONE_ON_MANY].includes(props.groupType) && props.isYinLiu && props.productType !== OTHERS;

    this.max = this.props.max || Infinity;
    if (this.isOneToOneOrOneToMoreBlo) {
      this.max = formatCourseToHour(18 || 0, props.classTimeLength);
      if (props.isEdit && props.value > this.max) {
        this.max = Infinity;
      }
    }

    this.state = {
      tipsVisible: false,
    };
  }

  static propTypes = {
    productType: PropTypes.string,
    classTimeLength: PropTypes.number,
    groupType: PropTypes.string,
    isYinLiu: PropTypes.bool,
    isEdit: PropTypes.bool,
  };

  getMaxTips() {
    if (this.isOneToOneOrOneToMoreBlo) {
      return `引流1对1、引流1对多不可超过${this.max}小时`;
    }

    return '';
  }

  showMaxTips() {
    this.setState(
      {
        tipsVisible: true,
      },
      () => {
        const _self = this;
        setTimeout(function () {
          _self.setState({
            tipsVisible: false,
          });
        }, 3000);
      },
    );
  }

  onChange(val) {
    if (this.isOneToOneOrOneToMoreBlo && val > this.max) {
      val = this.max;
      this.showMaxTips();
    }
    runFunc(this.props.onChange, val);
  }

  render() {
    return (
      <Popover
        visible={this.state.tipsVisible}
        placement="top"
        overlayClassName={styles.warningOverlay}
        content={this.getMaxTips()}
      >
        <InputNumber max={this.state.max} {...this.props} onChange={this.onChange} size="xSmall" maxLength={4} />
      </Popover>
    );
  }
}

export default BloInputNumber;
