import React from 'react';
import PropTypes from 'prop-types';
import styles from './styles.module.less';

const FoldPanel = (props) => {
  const foldWidth = props.fold ? 0 : props.foldWidth;

  return (
    <div className={styles.foldPaned}>
      <div className={styles.main}>{props.main}</div>

      <div className={styles.sub} style={{ width: foldWidth }}>
        {props.sub}
      </div>
    </div>
  );
};

FoldPanel.propTypes = {
  fold: PropTypes.bool,
  foldWidth: PropTypes.number,
  main: PropTypes.node,
  sub: PropTypes.node,
};

FoldPanel.defaultProps = {
  fold: false,
  foldWidth: 300,
};

export default FoldPanel;
