import React from 'react';
import style from './styles.module.less';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import { Col } from 'antd';

const InfoItem = (props) => {
  return (
    <Col className={style.InfoItem} span={props.span}>
      <div className={style.InfoItemLabel}>{props.label}：</div>
      <div className={style.InfoItemContent}>
        <div className={classNames(style.InfoItemMain, props.contentClassName)} style={{ ...props.contentStyle }}>
          {props.children}
        </div>
      </div>
    </Col>
  );
};

InfoItem.propTypes = {
  span: PropTypes.number.isRequired,
  label: PropTypes.oneOfType([PropTypes.string, PropTypes.element]).isRequired,
  contentClassName: PropTypes.string,
  contentStyle: PropTypes.object,
  children: PropTypes.any,
};

InfoItem.defaultProps = {
  style: {},
};

export default InfoItem;
