// 自动计算优惠
export const calcAuto = 'calcAuto';
// 手动计算优惠
export const calcManual = 'calcManual';

export const winter = 'DAT0000000230';
export const spring = 'DAT0000000231';
export const summer = 'DAT0000000232';
export const autumn = 'DAT0000000233';

export const ONE_ON_ONE_COURSE = 'ONE_ON_ONE_COURSE';
export const ONE_ON_MANY = 'ONE_ON_MANY';
export const SMALL_CLASS = 'SMALL_CLASS';
export const TWO_TEACHER = 'TWO_TEACHER';
export const ECS_CLASS = 'ECS_CLASS';
export const LECTURE = 'LECTURE';
export const OTHERS = 'OTHERS';

export const ECS_CLASS_FOR_OTHER = 'ECS_CLASS_FOR_OTHER';
export const ONE_ON_ONE_COURSE_FOR_OTHER = 'ONE_ON_ONE_COURSE_FOR_OTHER';
export const ONE_ON_MANY_FOR_OTHER = 'ONE_ON_MANY_FOR_OTHER';
export const SMALL_CLASS_FOR_OTHER = 'SMALL_CLASS_FOR_OTHER';
export const TWO_TEACHER_CLASS_FOR_OTHER = 'TWO_TEACHER_CLASS_FOR_OTHER';
export const ALL = 'ALL';
// 班课(包括小班、双师)
export const CLASS_COURSE = 'CLASS_COURSE';

export const OTHER_CATEGORY_TYPE_MARKETING = 'DAT000000673225';

export const RECEIVE = 'RECEIVE';
export const SHARE = 'SHARE';

// 历史原因只能用中文匹配
export const yinliu = '引流';

export const contractGroupMap = {
  [ECS_CLASS]: ECS_CLASS,
  [ONE_ON_ONE_COURSE]: ONE_ON_ONE_COURSE,
  [ONE_ON_MANY]: ONE_ON_MANY,
  [SMALL_CLASS]: CLASS_COURSE,
  [TWO_TEACHER]: CLASS_COURSE,
  [LECTURE]: LECTURE,
  [OTHERS]: OTHERS,
};

export const contractOtherGroupMap = {
  [ECS_CLASS_FOR_OTHER]: ECS_CLASS,
  [ONE_ON_ONE_COURSE_FOR_OTHER]: ONE_ON_ONE_COURSE,
  [ONE_ON_MANY_FOR_OTHER]: ONE_ON_MANY,
  [SMALL_CLASS_FOR_OTHER]: CLASS_COURSE,
  [TWO_TEACHER_CLASS_FOR_OTHER]: CLASS_COURSE,
};

export const contractGroupPriority = [ECS_CLASS, ONE_ON_ONE_COURSE, ONE_ON_MANY, CLASS_COURSE, LECTURE, OTHERS];

export const groupTypesMap = {
  ECS_CLASS: '精英班',
  ONE_ON_ONE_COURSE: '一对一',
  ONE_ON_MANY: '一对多',
  CLASS_COURSE: '班课',
  LECTURE: '讲座',
  OTHERS: '其它',
};

export const useCouponGroupTypes = [CLASS_COURSE, ONE_ON_ONE_COURSE, ONE_ON_MANY];

export const useCouponProductTypes = [SMALL_CLASS, ONE_ON_ONE_COURSE, ONE_ON_MANY];

export const productTypeNameCfg = {
  [ONE_ON_ONE_COURSE]: '1对1',
  [ONE_ON_MANY]: '1对多',
  [SMALL_CLASS]: '班课',
  [TWO_TEACHER]: '双师',
  [ECS_CLASS]: '精英班',
  [LECTURE]: '讲座',
  [OTHERS]: '其他',
};

export const NEW_CONTRACT = 'NEW_CONTRACT';
export const RE_CONTRACT = 'RE_CONTRACT';

export const contractTypeCfg = {
  [NEW_CONTRACT]: '新签合同',
  [RE_CONTRACT]: '续费合同',
};

export const calcCouponIdCfg = {
  [SMALL_CLASS](id) {
    return `XB-${id}`;
  },
  [TWO_TEACHER](id) {
    return `SS-${id}`;
  },
};

export const NORMAL = 'NORMAL';
export const ENDED = 'ENDED';
export const CLOSE_PRODUCT = 'CLOSE_PRODUCT';
export const UNVALID = 'UNVALID';
export const FROZEN = 'FROZEN';

export const activeUseCaseCfg = {
  [NEW_CONTRACT]: 'NEW',
  [RE_CONTRACT]: 'RE',
};

export const PAID = 'PAID';

// 证件类型-身份证
export const CT_IDENTITY_CARD = 'CT_IDENTITY_CARD';

export const certificateTypeMap = {
  [CT_IDENTITY_CARD]: '身份证',
};

export const CLASS_TYPE_BROADCAST_COOPERATE = 'DAT000000001024';
export const PRODUCT_GROUP_BROADCAST_COOPERATE = 'DAT000000001029'; // 产品组合作项目id值

export const SPECIAL_PRODUCT_TYPE = {
  [SMALL_CLASS]: 1,
  [ONE_ON_MANY]: 1,
};
