import { listRecords } from 'SERVICE/course';
import moment from 'moment';

const getListRecords = async (params) => {
  const { pageSize, datas, rowCount: total } = await listRecords(params);

  const dataSource = datas.map((record) => {
    const {
      createTime,
      createUserName,
      total,
      fail,
      sourceUrl,
      resultUrl,
      importStatus,
      importResult,
      sourceName,
      resultName,
    } = record;

    return {
      createTime: moment(createTime).format('YYYY-MM-DD HH:mm:ss'),
      createUserName,
      total,
      sucess: parseInt(total - fail),
      fail,
      sourceUrl,
      resultUrl,
      importStatus,
      importResult,
      sourceName,
      resultName,
    };
  });

  return {
    dataSource,
    total,
  };
  // return {
  //   dataSource: [{
  //     createTime: moment(new Date().getTime()).format("YYYY-MM-DD HH:mm:ss"),
  //     createUserName: "xxxx",
  //     total: 4,
  //     sucess: 1,
  //     fail: 3,
  //     sourceUrl: "fdsafad",
  //     resultUrl: "asdfdsaf",
  //     importStatus: 0,
  //     // importResult,
  //     sourceName: "safdsaf.xls",
  //     resultName: "safdsaf.xls"
  //   },
  //   {
  //     createTime: moment(new Date().getTime()).format("YYYY-MM-DD HH:mm:ss"),
  //     createUserName: "xxxx",
  //     total: 4,
  //     sucess: 1,
  //     fail: 3,
  //     sourceUrl: "fdsafad",
  //     resultUrl: "asdfdsaf",
  //     importStatus: 1,
  //     // importResult,
  //     sourceName: "safdsaf.xls",
  //     resultName: "safdsaf.xls"
  //   },
  //   {
  //     createTime: moment(new Date().getTime()).format("YYYY-MM-DD HH:mm:ss"),
  //     createUserName: "xxxx",
  //     total: 4,
  //     sucess: 1,
  //     fail: 3,
  //     sourceUrl: "fdsafad",
  //     resultUrl: "asdfdsaf",
  //     importStatus: 2,
  //     // importResult,
  //     sourceName: "safdsaf.xls",
  //     resultName: "safdsaf.xls"
  //   },
  // ],
  //   current: 1,
  //   rows: 4
  // }
};

export default {
  getListRecords,
};
