import { browserHistory } from 'react-router';
import { OLDPAGEBASE } from 'CONST/config';
import { List } from 'COMPONENT';

const { COL_WIDTH_M, COL_WIDTH_L } = List;

export default [
  {
    title: '序号',
    dataIndex: 'index',
    key: 'index',
    rowKey: 'index',
    width: COL_WIDTH_L,
    render(text, row, index) {
      return index + 1;
    },
  },
  {
    title: '小班名称',
    dataIndex: 'miniClassName',
    key: 'miniClassName',
    rowKey: 'miniClassName',
    width: COL_WIDTH_L,
    render(text, row) {
      return (
        <span
          style={{ color: 'blue', cursor: 'pointer' }}
          onClick={() => {
            let path = `function/course/miniClassDetail.html?miniClassId=${row.miniClassId}`;
            let title = `小班详情`;

            browserHistory.push({
              pathname: OLDPAGEBASE,
              query: { src: path, title },
            });
          }}
        >
          {text}
        </span>
      );
    },
  },
  {
    title: '所属学习中心',
    dataIndex: 'blCampusName',
    key: 'blCampusName',
    rowKey: 'blCampusName',
    width: COL_WIDTH_L,
  },
  {
    title: '班级层次',
    dataIndex: 'classLevelName',
    key: 'classLevelName',
    rowKey: 'classLevelName',
    width: COL_WIDTH_L,
  },
  {
    title: '招生人数',
    dataIndex: 'peopleQuantity',
    key: 'peopleQuantity',
    rowKey: 'peopleQuantity',
    width: COL_WIDTH_M,
    render(text, row) {
      return `${row.miniClassPeopleNum}/${row.peopleQuantity}`;
    },
  },
  {
    title: '小班状态',
    dataIndex: 'statusName',
    key: 'statusName',
    rowKey: 'statusName',
    width: COL_WIDTH_L,
  },
  {
    title: '已上讲数/总讲数',
    dataIndex: 'courseNumber',
    key: 'courseNumber',
    rowKey: 'courseNumber',
    width: COL_WIDTH_L,
    render(text, row) {
      return `${row.attendNum}/${row.allNum}`;
    },
  },
  {
    title: '每讲费用/总费用',
    dataIndex: 'price',
    key: 'price',
    rowKey: 'price',
    width: COL_WIDTH_L,
    render(text, row) {
      return `${row.unitPrice * row.everyCourseClassNum}/${row.unitPrice * row.totalClassHours}`;
    },
  },
  {
    title: '班级班主任',
    dataIndex: 'studyManagerName',
    key: 'studyManagerName',
    rowKey: 'studyManagerName',
    width: COL_WIDTH_L,
    render(text, row) {
      return row.studyManagerName;
    },
  },
];
