/**
 * Created by XiaoYongSen on 20190630.
 */
import React from 'react';
import { Calendar } from 'antd';
import moment from 'moment';
import './style.less';

class Cal extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      activeDay: null, // 最后一次点击的日期
      date: null, // 日期面板日期
    };
  }

  /**
   * 格式化日期
   */
  formatDate = (date) => {
    let y = date.getFullYear();
    let m = date.getMonth() + 1;
    let d = date.getDate();
    m = m < 10 ? '0' + m : m.toString();
    d = d < 10 ? '0' + d : d.toString();

    return `${y}-${m}-${d}`;
  };

  chooseDate = (momentDate) => {
    momentDate = new Date(momentDate);
    const { updateDate } = this.props;
    const dateStr = this.formatDate(momentDate);

    updateDate(dateStr);
  };

  calCell = (date) => {
    let dateObj = new Date(date);
    let check = this.formatDate(dateObj);
    const propsDate = this.props.date;
    const { activeDay } = this.state;
    let cellClass = 'hom-calendar-day-cell';
    if (propsDate.length > 0 && propsDate.findIndex((item) => item === check) !== -1) {
      cellClass = cellClass + ' chosen';
    }
    if (activeDay === check) {
      cellClass = cellClass + ' active';
    }
    let day = dateObj.getDate();
    return (
      <div className="hom-calendar-cell">
        <div className={cellClass}>{day}</div>
      </div>
    );
  };

  render() {
    const { date } = this.state;
    return (
      <Calendar
        className="hom-calendar"
        fullscreen={false}
        dateFullCellRender={this.calCell}
        onSelect={this.chooseDate}
        value={date ? date : moment(this.props.startDate)}
        onPanelChange={(date) => {
          this.setState({ date });
        }}
      />
    );
  }
}

export default Cal;
