import { List } from 'COMPONENT';
const { COL_WIDTH_M, COL_WIDTH_L } = List;

export default [
  {
    title: '序号',
    dataIndex: 'index',
    key: 'index',
    width: COL_WIDTH_L,
    render(text, row, index) {
      return index + 1;
    },
  },
  {
    title: '小班名称',
    dataIndex: 'miniClassName',
    key: 'miniClassName',
    width: COL_WIDTH_L,
  },
  {
    title: '学生编号',
    dataIndex: 'studentId',
    key: 'studentId',
    width: COL_WIDTH_L,
  },
  {
    title: '学生姓名',
    dataIndex: 'studentName',
    key: 'studentName',
    width: COL_WIDTH_L,
  },
  {
    title: '地区',
    dataIndex: 'location',
    key: 'location',
    width: COL_WIDTH_L,
    render(text, row) {
      return `${row.provinceName || ''}${row.cityName || ''}${row.areaName || ''}`;
    },
  },
  {
    title: '详细地址',
    dataIndex: 'address',
    key: 'address',
    width: COL_WIDTH_L,
  },
  {
    title: '收件人',
    dataIndex: 'recipient',
    key: 'recipient',
    width: COL_WIDTH_M,
  },
  {
    title: '收件人电话',
    dataIndex: 'recipientPhone',
    key: 'recipientPhone',
    width: COL_WIDTH_M,
  },
  {
    title: '所属学习中心',
    dataIndex: 'contractCampusName',
    key: 'contractCampusName',
    width: COL_WIDTH_M,
  },
  {
    title: '距离最近分公司学习中心',
    dataIndex: 'recentlyCampusName',
    key: 'recentlyCampusName',
    width: COL_WIDTH_L,
    render(text, row) {
      return text || row.remark;
    },
  },
  {
    title: '距离（公里）',
    dataIndex: 'recentlyDistance',
    key: 'recentlyDistance',
    width: COL_WIDTH_M,
    render(text) {
      return text ? (text / 1000).toFixed(2) : '';
    },
  },
];
