import { List } from 'COMPONENT';
const { COL_WIDTH_M, COL_WIDTH_L } = List;
const requireDeliverMap = {
  0: '否',
  1: '是',
};

const statusMap = {
  PENDING_START: '未上课',
  STARTED: <span style={{ color: '#6d67ff' }}>上课中</span>,
  COMPLETE: '已完成',
};

export default [
  {
    title: 'ID',
    dataIndex: 'classId',
    key: 'classId',
    width: COL_WIDTH_L,
  },
  {
    title: '本地网课名称',
    dataIndex: 'className',
    key: 'className',
    width: COL_WIDTH_L,
  },
  {
    title: '招生人数',
    dataIndex: 'peopleQuantity',
    key: 'peopleQuantity',
    width: COL_WIDTH_L,
    render(text, row) {
      return `${row.peopleNum}/${row.peopleQuantity}`;
    },
  },
  {
    title: '所属分公司',
    dataIndex: 'blBranchName',
    key: 'blBranchName',
    width: COL_WIDTH_L,
  },
  {
    title: '上课日期',
    dataIndex: 'startDate',
    key: 'startDate',
    width: COL_WIDTH_M,
  },
  {
    title: '上课时间',
    dataIndex: 'classStartTime',
    key: 'classStartTime',
    width: COL_WIDTH_L,
    render(text, row) {
      return `${row.classStartTime} - ${row.classEndTime}`;
    },
  },
  {
    title: '主讲老师',
    dataIndex: 'teacherName',
    key: 'teacherName',
    width: COL_WIDTH_L,
  },
  {
    title: '年级',
    dataIndex: 'gradeName',
    key: 'gradeName',
    width: COL_WIDTH_L,
  },
  {
    title: '科目',
    dataIndex: 'subjectName',
    key: 'subjectName',
    width: COL_WIDTH_L,
  },
  {
    title: '星期',
    dataIndex: 'phaseName',
    key: 'phaseName',
    width: COL_WIDTH_L,
  },
  {
    title: '强制填写收件信息',
    dataIndex: 'needDeliveryInfo',
    key: 'needDeliveryInfo',
    width: COL_WIDTH_L,
    render(text) {
      return requireDeliverMap[text];
    },
  },
  {
    title: '网课状态',
    dataIndex: 'statusName',
    key: 'statusName',
    width: COL_WIDTH_L,
    render(text, row) {
      return statusMap[row.status];
    },
  },
  {
    title: '已上讲数/总讲数',
    dataIndex: '4',
    key: '4',
    width: COL_WIDTH_L,
    render(text, row) {
      return `${row.attendNum}/${row.allNum}`;
    },
  },
  {
    title: '关联小班数',
    dataIndex: 'bindMiniClassNum',
    key: 'bindMiniClassNum',
    width: COL_WIDTH_L,
  },
];
