import showMessage from 'COMPONENT/utils/globalTips/showMessage';

function errorsHandling(handleErr, errKeyName) {
  return function (err) {
    showMessage(errKeyName ? err[errKeyName] : err.text, 'error');
    if (handleErr) handleErr();
  };
}

function runFunc(fn, ...arg) {
  if (fn && typeof fn === 'function') {
    return fn(...arg);
  }
  return null;
}

function buildTeacher(tc1, tc2) {
  if (tc1 && tc2) {
    return `${tc1}、${tc2}`;
  }
  if (tc1) {
    return tc1;
  }
  if (tc2) {
    return tc2;
  }
  return '其他';
}

export { errorsHandling, runFunc, buildTeacher };
