import React from 'react';
import { storeName } from '../store/config';
import { connect } from 'dva';
import List from 'COMPONENT/List';

const { COL_WIDTH_M } = List;

function MessageRecordTable(props) {
  const columns = [
    { title: '操作人', dataIndex: 'userName', width: COL_WIDTH_M },
    { title: '岗位', dataIndex: 'roleName', width: COL_WIDTH_M },
    { title: '操作类型', dataIndex: 'operationTypeName', width: COL_WIDTH_M },
    { title: '操作时间', dataIndex: 'operationTime', width: COL_WIDTH_M },
    {
      title: '家长是否确认',
      dataIndex: 'isReplay',
      width: COL_WIDTH_M,
      render: (isReplay, record, index) => {
        return isReplay ? '是' : '否';
      },
    },
  ];

  return (
    <List rowKey="id" dataSource={props.detailModalData.messageUpRespVos || []} columns={columns} loading={false} />
  );
}

function mapStateToProps(state) {
  return {
    detailModalData: state[storeName].detailModalData,
  };
}

export default connect(mapStateToProps)(MessageRecordTable);
