import React from 'react';
import { storeName } from '../store/config';
import { connect } from 'dva';
import List from 'COMPONENT/List';
import moment from 'moment';

const { COL_WIDTH_M, COL_WIDTH_XL } = List;

function WorkflowTable(props) {
  const columns = [
    { title: '处理人', dataIndex: 'userName', width: COL_WIDTH_M },
    { title: '岗位', dataIndex: 'roleName', width: COL_WIDTH_M },
    { title: '审批节点', dataIndex: 'title', width: COL_WIDTH_M },
    { title: '操作类型', dataIndex: 'operateStatusName', width: COL_WIDTH_M },
    {
      title: '操作时间',
      dataIndex: 'operateTime',
      width: COL_WIDTH_XL,
      render: (timestamp, record, index) => {
        return moment(new Date(timestamp)).format('llll');
      },
    },
    { title: '批注', dataIndex: 'notes', width: COL_WIDTH_M },
  ];

  return <List rowKey="id" dataSource={props.records} columns={columns} loading={false} />;
}

function mapStateToProps(state) {
  return {
    records: state[storeName].workflowTableRecords,
  };
}

export default connect(mapStateToProps)(WorkflowTable);
