import React from 'react';
import Modal from 'COMPONENT/Modal';
import { storeName } from '../store/config';
import { connect } from 'dva';

function MessageModal(props) {
  function close() {
    props.dispatch({
      type: `${storeName}/closeMessageModal`,
    });
  }

  function ok() {
    new Promise((resolve) => {
      props.dispatch({
        type: `${storeName}/onMessageModalOk`,
        payload: {
          resolve,
        },
      });
    }).then(() => {
      props.onOk();
    });
  }

  return (
    <Modal loading={false} onCancel={close} onClose={close} onOk={ok} title="提示" width={450} cancelText="取消">
      {props.messageModalText}
    </Modal>
  );
}

function mapStateToProps(state) {
  return {
    messageModalText: state[storeName].messageModalText,
  };
}

export default connect(mapStateToProps)(MessageModal);
