import showMessage from 'COMPONENT/utils/globalTips/showMessage';

function errorsHandling(handleErr, errKeyName) {
  return function (err) {
    showMessage(errKeyName ? err[errKeyName] : err.text, 'error');
    if (handleErr) handleErr();
  };
}

function isEmpty(val) {
  return (
    val == null ||
    val === '' ||
    (Array.isArray(val) && val.length === 0) ||
    (typeof val === 'object' && Object.keys(val).length === 0)
  );
}

export { errorsHandling, isEmpty };
