import React from 'react';
import Popover from 'COMPONENT/Popover';
import FormItem from 'COMPONENT/FormItem';
import styles from './styles.less';

const getPopContent = (title, infos) => {
  return (
    <div>
      <div className={styles.title}>{title}</div>
      {infos.map((info, idx) => {
        const { label, content } = info;
        return (
          <FormItem key={idx} name={label} szie="small" labelWidth={80}>
            {content}
          </FormItem>
        );
      })}
    </div>
  );
};

class MoreInfoPop extends React.Component {
  render() {
    const { children, data, $panel, title } = this.props;
    return (
      <Popover placement="right" content={getPopContent(title, data)} overlayClassName={styles.popWrap}>
        {children}
      </Popover>
    );
  }
}

export default MoreInfoPop;
