import { exportSyncFailedRecordExcel, getLastUpdateTime } from 'SERVICE/course';
import showMessage from 'COMPONENT/utils/globalTips/showMessage';

const exportSyncFailedRecordExcelApi = async (params) => {
  let url = await exportSyncFailedRecordExcel(params).catch((error) => {
    showMessage(error.text);
  });
  return url.data;
};

const getLastUpdateTimeApi = async () => {
  try {
    let { data: updateTime } = await getLastUpdateTime();
    const { oneToOneLastUpdateTime, miniClassLastUpdateTime, oneToManyLastUpdateTime, twoTeacherLastUpdateTime } =
      updateTime;
    return {
      oneToOneLastUpdateTime,
      miniClassLastUpdateTime,
      oneToManyLastUpdateTime,
      twoTeacherLastUpdateTime,
    };
  } catch (error) {
    console.log(error);
    showMessage('网络连接错误!');
  }
};

export default {
  exportSyncFailedRecordExcelApi,
  getLastUpdateTimeApi,
};
