import React from 'react';
import Modal from 'COMPONENT/Modal';
import { batchSetUpAutoSyncConfig } from 'SERVICE/product';
import SubmitModal from './SubmitModal';
import { Radio, Row, Col, message } from 'antd';

class ClassinSynMutileModal extends React.Component {
  constructor(props) {
    super(props);

    this.state = {
      autoSyncOto: null, // 自动同步开关-一对一,[,false:未开通；,true:已开通；,]
      autoSyncOtm: null, // 自动同步开关-一对多,[,false:未开通；,true:已开通；,]
      autoSyncMiniclass: null, // 自动同步开关-小班,[,false:未开通；,true:已开通；,]
      SubmitModalVisible: false, //  确认提交弹窗
    };
  }

  /**
   * 取消
   */
  onCancel = () => {
    this.setState({ status: 1 });
    this.props.onClose();
  };

  /**
   * 确认提交
   */
  batchSetUpAutoSyncConfig = async () => {
    const { autoSyncOto, autoSyncOtm, autoSyncMiniclass } = this.state;
    const Params = {
      autoSyncOto,
      autoSyncOtm,
      autoSyncMiniclass,
      campusIds: this.props.campusIds,
    };
    const apiData = await batchSetUpAutoSyncConfig(Params);
    if (apiData.resultCode !== 0) {
      message.error(apiData.resultMessage);
      // throw new Error(apiData.resultMessage)
    } else {
      message.success('批量设置同步成功');
    }
    // 刷新列表
    this.props.loadList();
    this.setState({ SubmitModalVisible: false });
    this.props.onClose();
  };

  /**
   *
   * @returns 保存
   */
  save = () => {
    this.props.onSubmit();
  };

  ok = () => {
    const { autoSyncOto, autoSyncOtm, autoSyncMiniclass } = this.state;
    if (autoSyncOto === null || autoSyncOtm === null || autoSyncMiniclass === null) {
      return message.error('选项不能为空！');
    }
    this.setState({ SubmitModalVisible: true });
  };
  getWidthSize = () => {
    const { status } = this.state;
    return status === 2 ? 'M' : '';
  };

  /**
   *
   * @returns 渲染body
   */
  renderBody = () => {
    const { autoSyncOto, autoSyncOtm, autoSyncMiniclass, SubmitModalVisible } = this.state;
    return (
      <div>
        <Row style={{ marginBottom: '10px' }}>
          <Col span={12}>1对1课程自动同步</Col>
          <Col span={12}>
            <Radio.Group
              name="radiogroup"
              onChange={(e) => {
                this.setState({
                  autoSyncOto: e.target.value,
                });
              }}
              value={autoSyncOto}
            >
              <Radio value={true}>批量开启</Radio>
              <Radio value={false}>批量关闭</Radio>
            </Radio.Group>
          </Col>
        </Row>

        <Row style={{ marginBottom: '10px' }}>
          <Col span={12}>一对多课程自动同步</Col>
          <Col span={12}>
            <Radio.Group
              name="radiogroup"
              onChange={(e) => {
                this.setState({
                  autoSyncOtm: e.target.value,
                });
              }}
              value={autoSyncOtm}
            >
              <Radio value={true}>批量开启</Radio>
              <Radio value={false}>批量关闭</Radio>
            </Radio.Group>
          </Col>
        </Row>

        <Row style={{ marginBottom: '10px' }}>
          <Col span={12}>小班课程自动同步</Col>
          <Col span={12}>
            <Radio.Group
              name="radiogroup"
              onChange={(e) => {
                this.setState({
                  autoSyncMiniclass: e.target.value,
                });
              }}
              value={autoSyncMiniclass}
            >
              <Radio value={true}>批量开启</Radio>
              <Radio value={false}>批量关闭</Radio>
            </Radio.Group>
          </Col>
        </Row>

        {
          /**
           * 确认提交
           */
          SubmitModalVisible && (
            <SubmitModal
              save={this.batchSetUpAutoSyncConfig}
              onClose={() => {
                this.setState({ SubmitModalVisible: false });
              }}
            />
          )
        }
      </div>
    );
  };

  render() {
    return (
      <Modal
        loading={this.state.loading}
        title={'批量设置自动同步'}
        widthSize={this.getWidthSize()}
        width="466"
        onCancel={this.onCancel}
        onOk={this.ok}
        okText="提交"
        cancelText="取消"
      >
        {this.renderBody()}
      </Modal>
    );
  }
}

export default ClassinSynMutileModal;
