import React from 'react';
import Modal from 'COMPONENT/Modal';
import { message } from 'antd';
import { cleanUpSynchronizedCourse } from 'SERVICE/product';

class SubmitModal extends React.Component {
  constructor(props) {
    super(props);

    this.state = {
      loading: false,
    };
  }

  /**
   * 取消
   */
  onCancel = () => {
    this.props.onClose();
  };

  getWidthSize = () => {
    const { status } = this.state;
    return status === 2 ? 'M' : '';
  };

  /**
   * 一键清除
   */
  cleanUpSynchronizedCourse = async () => {
    const Params = {
      campusIds: this.props.campusIds,
    };
    const apiData = await cleanUpSynchronizedCourse(Params);
    if (apiData.resultCode !== 0) {
      throw new Error(apiData.resultMessage);
    } else {
      message.success('一键清除已同步课程成功');
    }
    // 刷新列表
    this.props.loadList();
    this.props.onClose();
  };

  /**
   *
   * @returns 渲染body
   */
  renderBody = () => {
    return (
      <div style={{ textAlign: 'justify' }}>
        <p>重要提示：</p>
        <p>
          1.
          点击确认后，会立刻将所选校区的全部自动同步开关关闭，并将classin全部未上课的课次删除、全部课程状态改为已结课，并清除同步记录，该操作不可逆，请谨慎操作；
        </p>
        <p>2. BOSS原有排课不受影响；</p>
        <p>3. 校区执行“一键清除已同步课程”任务时，校区课程同步开关不可开启；</p>
        <p>4. 清除后如需再次使用classin上课，可在清除任务执行完成后，开启同步开关，重新同步。</p>
      </div>
    );
  };

  render() {
    return (
      <Modal
        loading={this.state.loading}
        title={'是否确认清除？'}
        widthSize={this.getWidthSize()}
        width="506"
        onCancel={this.onCancel}
        onOk={this.cleanUpSynchronizedCourse}
        okText="确认"
        cancelText="取消"
      >
        {this.renderBody()}
      </Modal>
    );
  }
}

export default SubmitModal;
