import React from 'react';
import Modal from 'COMPONENT/Modal';

class SubmitModal extends React.Component {
  constructor(props) {
    super(props);

    this.state = {
      loading: false,
      status: 1,
    };
  }

  /**
   * 取消
   */
  onCancel = () => {
    this.setState({ status: 1 });
    this.props.onClose();
  };

  /**
   *
   * @returns 保存
   */
  save = () => {
    this.props.save();
  };

  getWidthSize = () => {
    const { status } = this.state;

    return status === 2 ? 'M' : '';
  };

  /**
   *
   * @returns 渲染body
   */
  renderBody = () => {
    return (
      <div style={{ textAlign: 'justify' }}>
        <p>重要提示：</p>
        <p>1. 只会同步上课方式为“在线A”的课节、和存在上课方式为“在线A”课节的小班；</p>
        <p>2. “在线A”课程开课后不允许修改和删除，请最晚在开课前半小时完成确认；</p>
        <p>3. 如有校区正在执行“一键清除已同步课程”任务，该校区同步开关不可开启；</p>
        <p>
          4.
          开启开关后，会立刻执行课程同步，关闭开关后，会立刻中止课程同步，由于同步过程需要耗费一定时间，建议切换开关前后至少间隔15分钟，避免频繁操作导致同步错误。
        </p>
      </div>
    );
  };

  render() {
    return (
      <Modal
        loading={this.state.loading}
        title={'是否确认提交？'}
        widthSize={this.getWidthSize()}
        width="506"
        onCancel={this.onCancel}
        onOk={this.save}
        okText="确认"
        cancelText="返回上一步"
      >
        {this.renderBody()}
      </Modal>
    );
  }
}

export default SubmitModal;
