import React from 'react';
import styles from './styles.less';
import classnames from 'classnames';

class FormItem extends React.Component {
  render() {
    const { name, children, required } = this.props;

    const nameCls = {
      [styles.name]: 1,
      [styles.required]: !!required,
    };

    return (
      <div className={styles.wrap}>
        <div className={classnames(nameCls)}>{name}</div>
        <div className={styles.content}>{children}</div>
      </div>
    );
  }
}

export default FormItem;
