import { storeName } from './config';
import { errorsHandling } from './utils';
import { remindByCourseList } from 'SERVICE/course';

export default {
  namespace: storeName,
  state: {
    dataSource: [],
    total: 0,
  },
  reducers: {
    updateState(state, { payload }) {
      return {
        ...state,
        ...payload,
      };
    },
  },
  effects: {
    *loadData({ payload: { params, callback } }, { select, put, call }) {
      const { datas: dataSource, rowCount: total } = yield remindByCourseList(params).catch(errorsHandling());
      yield put({
        type: 'updateState',
        payload: {
          dataSource,
          total,
        },
      });
      if (callback) callback();
    },
  },
};
