/**
 * 扣费条目
 * @property {string} name 名称
 * @property {number} money 金额
 * @property {number?} count 数量
 * @property {string?} type 类型 [ regular: 正价 | discount：优惠 ] 默认为regular
 */
import React from 'react';
import { formatMoney } from './common';
import styles from './styles.less';

const FeeItem = ({ type, name, money, count }) => {
  const showMoney = formatMoney(money * count === 0 ? 0 : money);
  const showCount = count ? ' * ' + count : '';
  return (
    <div className={styles.feeItem}>
      <div
        className={[
          styles.feeName,
          styles.label,
          styles.dot,
          type === 'discount' ? styles.dotGreen : styles.dotBlue,
        ].join(' ')}
      >
        {name}
      </div>
      <div className={styles.feeMoney}>{showMoney + showCount}</div>
    </div>
  );
};

export default FeeItem;
