/**
 * 学生信息表格
 * @property {object} data 内容数据，格式如下： 
   { 
    name: string  学生姓名
    cusName: string  客户姓名
    gradeName: string  学生年级
    contact: string  客户电话
    promiseStudentStatusName: string  学生精英班状态
    promiseClassName: string  精英班名称
    signCourseName: string  签约课程
   }
 */
import React from 'react';
import { Row, Col } from 'antd';
import styles from './styles.less';

const colSpans = {
  sm: { span: 12 },
  lg: { span: 6 },
};

const StudentInfo = ({ data, colCount }) => {
  const { name, cusName, gradeName, contact, promiseStudentStatusName, promiseClassName, signCourseName } = data;
  return (
    <div style={{ marginBottom: -12 }}>
      <Row gutter={20} className={styles.studentInfo}>
        <Col {...colSpans}>
          <span className={styles.label}>学生姓名</span>
          <span>{name}</span>
        </Col>
        <Col {...colSpans}>
          <span className={styles.label}>客户姓名</span>
          <span>{cusName}</span>
        </Col>
        <Col {...colSpans}>
          <span className={styles.label}>学生年级</span>
          <span>{gradeName}</span>
        </Col>
        <Col {...colSpans}>
          <span className={styles.label}>客户电话</span>
          <span>{contact}</span>
        </Col>
        <Col {...colSpans}>
          <span className={styles.label}>学生精英班状态</span>
          <span>{promiseStudentStatusName}</span>
        </Col>
        <Col {...colSpans}>
          <span className={styles.label}>精英班名称</span>
          <span>{promiseClassName}</span>
        </Col>
        <Col {...colSpans}>
          <span className={styles.label}>签约课程</span>
          <span>{signCourseName}</span>
        </Col>
      </Row>
    </div>
  );
};

export default StudentInfo;
