import React, { Component } from 'react';
import moment from 'moment';
import { Icon as AntdIcon } from 'antd';
import { Tooltip } from 'antd';
import Icon from 'COMPONENT/Icon';
import styles from '../../styles.less';

export default class ClassTag extends Component {
  constructor(props) {
    super(props);
  }

  render() {
    const { idMapColor, classItem, handleDelClass, record, confilctMessage } = this.props;

    return (
      <div style={{ backgroundColor: idMapColor[classItem.classId][0] }} className={styles['tag-container']}>
        <div className={styles.tag}>
          <div style={{ color: idMapColor[classItem.classId][1] }}>
            <p>
              {classItem.className + ' '}
              {confilctMessage && (
                <Tooltip placement="top" title={confilctMessage}>
                  <AntdIcon type="info-circle" className={styles.infoIcon} />
                </Tooltip>
              )}
            </p>
            <p>{classItem.blCampusName}</p>
            <p>{classItem.mainTeacherName + ' ' + (classItem.assistTeacherName || '')}</p>
            <p>{classItem.classStartDate + (classItem.classEndDate ? ' ~ ' + classItem.classEndDate : '')}</p>
            <p>
              {classItem.classStartTime +
                ' ~ ' +
                moment(classItem.classStartTime, 'HH:mm').add(classItem.classLength, 'm').format('HH:mm')}
            </p>
          </div>
          <Icon
            type="cross"
            style={{ color: idMapColor[classItem.classId][1] }}
            className={styles.closeBtn}
            onClick={() => handleDelClass(classItem.classId, record && record.studentId, classItem.seriesId)}
          />
        </div>
      </div>
    );
  }
}
