import showMessage from 'COMPONENT/utils/globalTips/showMessage';

function errorsHandling(handleErr, errKeyName) {
  return function (err) {
    showMessage(errKeyName ? err[errKeyName] : err.text, 'error');
    if (handleErr) handleErr();
  };
}

function runFunc(fn, ...arg) {
  if (fn && typeof fn === 'function') {
    return fn(...arg);
  }
  return null;
}

export { errorsHandling, runFunc };
