/**
 * 一天的时间表顶部栏
 * @property {string} title 标题
 */
import React from 'react';
import { minuteW, dayW } from '../common';
import styles from './styles.less';

class ScheduleBoardHeaderCell extends React.Component {
  render() {
    const { title } = this.props;
    let times = [];
    for (let i = 6; i <= 24; i++) {
      times.push(
        <div key={i} className={styles.time} style={{ width: minuteW * 60 }}>
          {i + ':00'}
        </div>,
      );
    }

    return (
      <div className={styles.wrap} style={{ width: dayW }}>
        <div className={styles.inner}>
          <div className={styles.title}>{title}</div>
          <div className={styles.timesWrap}>{times}</div>
        </div>
      </div>
    );
  }
}

export default ScheduleBoardHeaderCell;
