import moment from 'moment';
import { List } from 'COMPONENT';
const { COL_WIDTH_M } = List;

export const TABLE_COLUMS = [
  {
    title: '最近扣费失败时间',
    dataIndex: 'failTime',
    key: 'failTime',
    width: 160,
    render(text) {
      return text ? moment(text).format('YYYY-MM-DD HH:mm:ss') : '';
    },
  },
  {
    title: '扣费学习中心',
    dataIndex: 'chargeCampusName',
    key: 'chargeCampusName',
    width: COL_WIDTH_M,
  },
  {
    title: '合同编号',
    dataIndex: 'contractId',
    key: 'contractId',
    width: 140,
  },
  {
    title: '上课时间',
    dataIndex: 'onClassTime',
    key: 'onClassTime',
    width: 170,
    render(text, row) {
      return `${row.courseDate} ${row.courseStartTime}-${row.courseEndTime}`;
    },
  },
  {
    title: '考勤时间',
    dataIndex: 'attendantTime',
    key: 'attendantTime',
    width: 160,
    render(text) {
      return text ? moment(text).format('YYYY-MM-DD HH:mm:ss') : '';
    },
  },
  {
    title: '考勤类型',
    dataIndex: 'attendanceTypeName',
    key: 'attendanceTypeName',
    width: 100,
  },
  {
    title: '小班名称',
    dataIndex: 'miniClassName',
    key: 'miniClassName',
    width: COL_WIDTH_M,
  },
  {
    title: '讲次',
    dataIndex: 'courseNum',
    key: 'courseNum',
    width: 80,
    render(text) {
      return `第${text}讲`;
    },
  },
  {
    title: '学生姓名',
    dataIndex: 'studentName',
    key: 'studentName',
    width: COL_WIDTH_M,
  },
  {
    title: '老师姓名',
    dataIndex: 'teacherName',
    key: 'teacherName',
    width: COL_WIDTH_M,
  },
  {
    title: '班级班主任姓名',
    dataIndex: 'studyManagerName',
    key: 'studyManagerName',
    width: COL_WIDTH_M,
  },
  {
    title: '扣费失败原因',
    dataIndex: 'chargeFailReason',
    key: 'chargeFailReason',
    width: COL_WIDTH_M,
  },
];
