import React from 'react';
import { Table } from 'antd';
import { Modal, Button } from 'COMPONENT';
import styles from './styles.module.less';
export default class CustomerTransferRuleDescriptionModal extends React.Component {
  constructor(props) {
    super(props);
    this.columns = [
      {
        width: 120,
        title: this.generateDescTh(),
        dataIndex: 'desc',
        render: (value) => <div style={{ color: '#999' }}>{value}</div>,
      },
      {
        width: 250,
        dataIndex: 'customer',
        title: '自定义调课转班规则',
        render: (value) => {
          return <div dangerouslySetInnerHTML={{ __html: value }}></div>;
        },
      },
      {
        width: 250,
        dataIndex: 'normal',
        title: '常规调课转班规则',
      },
    ];
    this.dataSource = [
      {
        id: 1,
        desc: '作用范围',
        customer: '自定义调课转班规则配置仅对广州分公司开放；<br/>应用于星火教育 APP 家长自助调课转班操作；',
        normal: '默认调课转班规则适用于集团内所有小班调课转班；',
      },
      {
        id: 2,
        desc: '配置说明',
        customer:
          '单一规则中只能选择同一分公司、同一年份、季度的班级；<br/>配置时需要注意同一条规则内，<font color="FF695E">所有班级的班次、每讲单价需保持一致；</font><br/>规则配置完成后APP内调课转班选项将立即生效，请谨慎操作；',
        normal: '无需配置',
      },
      {
        id: 3,
        desc: '效果说明',
        customer:
          '自定义调课转班可以把不同年级、不同科目、不同班级层次、不同校区的班级加入同一条规则中；<br/>同一规则下的班级可以互相调课转班，无需审批；<br/>只应用于星火教育 APP 广州地区学生，不适用于BOSS 运营系统内小班调课转班操作；',
        normal:
          'BOSS 运营系统内可以教务员/老师可以针对单一学生进行调课转班操作；转班操作需要经相关流程审批，审批通过后生效；',
      },
    ];
  }

  onCancel = () => {
    this.props.onCancel();
  };

  generateDescTable() {
    const props = {
      rowKey: 'id',
      bordered: true,
      pagination: false,
      columns: this.columns,
      dataSource: this.dataSource,
    };
    return <Table {...props}></Table>;
  }

  generateDescTh() {
    return (
      <div className={styles.descThWrapper}>
        <span className={styles.rule}>规则</span>
        <span className={styles.line}></span>
        <span className={styles.desc}>说明</span>
      </div>
    );
  }

  render() {
    const props = {
      width: 690,
      onCancel: this.onCancel,
      title: '小班自定义调转规则说明',
      wrapClassName: styles.ruleDescriptionWrapper,
      footer: (
        <div>
          <Button type="primary" onClick={this.onCancel}>
            确定
          </Button>
        </div>
      ),
    };
    return <Modal {...props}>{this.generateDescTable()}</Modal>;
  }
}
