import React from 'react';
import { connect } from 'dva';
import { SearchBar, DatePicker, Input, Select } from 'COMPONENT';
import { storeName, changeTypeDict, auditStatusDict } from '../store/config';

class Search extends React.Component {
  constructor(props) {
    super(props);

    this.state = {};
  }
  render() {
    const {
      sKey_startTime,
      sKey_endTime,
      sKey_oaInstanceId,
      sKey_studentName,
      sKey_changeType,
      sKey_auditStatus,
      handleSearch,
      handleReset,
      handleKeyword,
    } = this.props;
    return (
      <SearchBar onSearch={handleSearch} onReset={handleReset}>
        <DatePicker
          placeholder="开始时间"
          value={sKey_startTime}
          onChange={(val) => {
            handleKeyword({ type: 'sKey_startTime', val });
          }}
        />
        <DatePicker
          placeholder="结束时间"
          value={sKey_endTime}
          onChange={(val) => {
            handleKeyword({ type: 'sKey_endTime', val });
          }}
        />
        <Input
          placeholder="OA编号"
          value={sKey_oaInstanceId}
          onChange={(e) => {
            handleKeyword({ type: 'sKey_oaInstanceId', val: e.target.value });
          }}
        />
        <Input
          placeholder="学生名字"
          value={sKey_studentName}
          onChange={(e) => {
            handleKeyword({ type: 'sKey_studentName', val: e.target.value });
          }}
        />
        <Select
          placeholder="转班类型"
          dict={changeTypeDict}
          value={sKey_changeType}
          onChange={(val) => {
            handleKeyword({ type: 'sKey_changeType', val });
          }}
        />
        <Select
          placeholder="审批状态"
          dict={auditStatusDict}
          value={sKey_auditStatus}
          onChange={(val) => {
            handleKeyword({ type: 'sKey_auditStatus', val });
          }}
        />
      </SearchBar>
    );
  }
}

const mapStateToProps = (state) => {
  return {
    sKey_startTime: state[storeName].sKey_startTime,
    sKey_endTime: state[storeName].sKey_endTime,
    sKey_oaInstanceId: state[storeName].sKey_oaInstanceId,
    sKey_studentName: state[storeName].sKey_studentName,
    sKey_changeType: state[storeName].sKey_changeType,
    sKey_auditStatus: state[storeName].sKey_auditStatus,
  };
};
export default connect(mapStateToProps)(Search);
