/**
 * Created by Haolin on 2018/7/17.
 */
import React from 'react';
import { connect } from 'dva';
import { Modal } from 'antd';
import FormItem from 'COMPONENT/FormItem';
import InputNumber from 'COMPONENT/InputNumber';
import style from './style.less';

class AddLine extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      count: null,
    };
  }

  componentWillMount() {}

  componentDidMount() {}

  componentWillUnmount() {}

  /**
   * 更新state
   * */
  updateState = (newState) => {
    this.setState((prevState, props) => {
      return {
        ...newState,
      };
    });
  };

  /**
   * 处理行数输入
   * */
  handleInputNum = (val) => {
    this.updateState({ count: val });
  };

  /**
   * 确定按钮
   * */
  confirm = () => {
    const { count } = this.state;
    const { handleConfirm } = this.props;

    handleConfirm(count);
    this.setState({ count: null });
  };

  render() {
    const { toggle, handleCancel, max } = this.props;
    const { count } = this.state;

    let wrapClassName = max > 0 ? 'add-line' : 'add-line no-ok-btn';

    return (
      <Modal wrapClassName={wrapClassName} visible={toggle} width={320} onOk={this.confirm} onCancel={handleCancel}>
        <FormItem name="新增行数" labelWidth={80} style={{ margin: 0, paddingLeft: 0, paddingRight: 24 }}>
          <InputNumber
            placeholder={'还可新增 ' + max + ' 行'}
            value={count}
            max={max}
            min={0}
            onChange={(e) => this.handleInputNum(e)}
          />
        </FormItem>
        <div className={style['add-line-tip']}>总行数不可超过50行</div>
      </Modal>
    );
  }
}

const mapStateToProps = (state) => {
  return {
    store: {},
  };
};

export default connect()(AddLine);
