/**
 * Created by Haolin on 2018/7/12.
 */
import { Row, Col } from 'antd';
import Button from 'COMPONENT/Button';
import DropdownMenu from 'COMPONENT/DropdownMenu';

const ProductName = (props) => {
  const { data, style } = props;
  return (
    <div className="hom-ellipsis" title={data.text} style={style ? style : ''}>
      {data.text}
    </div>
  );
};

const DropDownMenu = (props) => {
  const { data } = props;
  let total = data.length;
  return (
    <DropdownMenu
      className="list-btn"
      text={'（共' + total + '个）'}
      size="small"
      placement="bottomLeft"
      menus={data}
      hasArrow={true}
    />
  );
};

const ChooseProduct = (props) => {
  let listLen = props.list.length;
  let menu = [];
  if (listLen > 0) {
    menu = props.list.map((item) => ({ text: `${item.branchName}-${item.productNameFirst}` }));
  }
  return (
    <Row type="flex">
      {listLen > 0 && (
        <Col span={16}>
          <ProductName data={menu[0]} style={{ paddingRight: 10 }} />
          {listLen > 1 && <DropDownMenu data={menu} />}
        </Col>
      )}
      <Col span={8}>
        <Button type="primary" size="small" onClick={props.handleClick} disabled={props.noChoose}>
          选择产品
        </Button>
      </Col>
    </Row>
  );
};

export default ChooseProduct;
