/**
 * Created by Haolin on 2018/7/19.
 */
import { Row, Col } from 'antd';
import DropdownMenu from 'COMPONENT/DropdownMenu';

const ProductName = (props) => {
  return (
    <span className="hom-ellipsis" title={props.data.text} style={props.style || ''}>
      {props.data.text}
    </span>
  );
};

const DropDownMenu = (props) => {
  let total = props.data.length;
  return (
    <DropdownMenu
      className="list-btn"
      text={'更多（共' + total + '个）'}
      size="small"
      placement="bottomRight"
      menus={props.data}
      hasArrow={true}
    />
  );
};

const ShowProduct = (props) => {
  let listLen = props.list.length;
  let menu = [];
  if (listLen > 0) {
    menu = props.list.map((item) => ({ text: item.name }));
  }
  return (
    <Row type="flex">
      {listLen > 0 && (
        <Col span={24}>
          <ProductName data={menu[0]} style={{ paddingRight: 10 }} />
          {listLen > 1 && <DropDownMenu data={menu} />}
        </Col>
      )}
      {listLen === 0 && <span>-</span>}
    </Row>
  );
};

export default ShowProduct;
