/**
 * Created by Haolin on 2019/3/25.
 */
import React from 'react';
import { connect } from 'dva';
import style from './index.less';
import Block from 'COMPONENT/Block';
import Tabs from 'COMPONENT/Tabs';
import tabContentConfig from './config.js';

const Tab = Tabs.Tab;

class ViceClassInfo extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      // 标签值
      tabKey: 0,
    };
    this.switchTab = this.switchTab.bind(this);
  }
  static classPrefix = 'ViceClassInfo';
  // 构建Tabs
  static buildTabs(title, content, index) {
    return (
      <Tab title={title} key={index}>
        {content}
      </Tab>
    );
  }
  // 切换tab
  switchTab(key) {
    this.setState({ tabKey: key });
  }

  render() {
    const {} = this.props;
    const { tabKey } = this.state;
    const prefix = ViceClassInfo.classPrefix;

    return (
      <Block className={style[prefix]} title="双师课堂辅导班级信息" type="dark">
        <Tabs activeKey={tabKey} onChange={this.switchTab} type="button">
          {tabContentConfig.length > 0 &&
            tabContentConfig.map((item, index) => ViceClassInfo.buildTabs(item.title, item.content, index))}
        </Tabs>
      </Block>
    );
  }
}

const mapStateToProps = (state) => {
  return {};
};

export default connect(mapStateToProps)(ViceClassInfo);
