/**
 * Created by Haolin on 2019/3/19.
 */
import { PropTypes } from 'react';
import style from './index.less';
import addBtnIconPng from '../../../assets/addBtnIcon.png';
// 产品信息
const ProductInfo = (props) => {
  const prefix = 'ProductInfo';
  let display = {
    display: Boolean(props.text) ? 'inline-block' : 'none',
  };
  return (
    <span className={style[prefix]} style={display}>
      {props.text}
    </span>
  );
};
// 添加按钮
const AddBtn = (props) => {
  const prefix = 'AddBtn';
  return (
    <div className={style[prefix]} onClick={props.onClick}>
      <div className={style[`${prefix}-body`]}>
        <img className={style[`${prefix}-icon`]} src={addBtnIconPng} alt="add" />
      </div>
    </div>
  );
};
AddBtn.propTypes = {
  onClick: PropTypes.func.isRequired,
};
// 产品卡片
const ProductCard = (props) => {
  const {
    data: { grade, product, character, classType, courseSeries, subject, branch, totalHours },
    index,
    onBtnClick,
    addPrdSelectedList,
  } = props;
  const selectedProductList = addPrdSelectedList.map((value) => value.product.val);
  const prefix = 'ProductCard';
  return (
    <div className={style[prefix]}>
      <div className={style[`${prefix}-left`]}>
        <div className={style[`${prefix}-header`]}>
          <div className={style[`${prefix}-title`]}>
            <span className={style[`${prefix}-type`]}>{grade.text}</span>
            <span>{product.text}</span>
          </div>
        </div>
        <div className={style[`${prefix}-body`]}>
          <ProductInfo text={character.text} />
          <ProductInfo text={classType.text} />
          <ProductInfo text={courseSeries.text} />
          <ProductInfo text={subject.text} />
          <ProductInfo text={branch.text} />
        </div>
        <div className={style[`${prefix}-footer`]}> </div>
      </div>
      <div className={style[`${prefix}-right`]}>
        <div className={style[`${prefix}-num-wrap`]}>
          <span className={style[`${prefix}-total`]}>{totalHours.text}课时</span>
        </div>
        <div className={style[`${prefix}-btn-wrap`]}>
          {!selectedProductList.includes(product.val) && <AddBtn onClick={onBtnClick} />}
        </div>
      </div>
    </div>
  );
};

export default ProductCard;
