/**
 * Created by Haolin on 2019/3/19.
 */
import { PropTypes } from 'react';
import style from './index.less';
// 产品信息
const ProductInfo = (props) => {
  const prefix = 'ProductInfo';
  let display = {
    display: Boolean(props.text) ? 'inline-block' : 'none',
  };
  return (
    <span className={style[prefix]} style={display}>
      {props.text}
    </span>
  );
};
// 删除按钮
const DelBtn = (props) => {
  const prefix = 'DelBtn';
  return (
    <div className={style[prefix]} onClick={props.onClick} title="删除">
      {' '}
    </div>
  );
};
DelBtn.propTypes = {
  onClick: PropTypes.func.isRequired,
};
// 已选产品卡片
const SelectedProductCard = (props) => {
  const {
    data: { grade, product, totalHours, branch, viceClassNum },
    onBtnClick,
  } = props;
  const prefix = 'SelectedProductCard';
  return (
    <div className={style[prefix]}>
      <div className={style[`${prefix}-header`]}>
        <div className={style[`${prefix}-title`]}>
          <span className={style[`${prefix}-type`]}>{grade.text}</span>
          <span>{product.text}</span>
        </div>
        {viceClassNum === 0 && <DelBtn onClick={onBtnClick} />}
      </div>
      <div className={style[`${prefix}-body`]}>
        <ProductInfo text={`${totalHours.text}课时`} />
        <ProductInfo text={branch.text} />
      </div>
      <div className={style[`${prefix}-footer`]}> </div>
    </div>
  );
};

export default SelectedProductCard;
