/**
 * Created by Haolin on 2019/3/19.
 */
import React from 'react';
import { connect } from 'dva';
import style from './index.less';
import storeName from '../../store/constant.js';
import Section from '../../components/Section';
import SelectedProductDesk from './SelectedProductDesk';

class SelectedProduct extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      name: '已选产品',
      loading: false,
    };
    this.delProduct = this.delProduct.bind(this);
    this.beforeDestroy = this.beforeDestroy.bind(this);
  }
  static classPrefix = 'SelectedProduct';
  componentWillUnmount() {
    this.beforeDestroy();
  }
  // 删除商品
  delProduct(index) {
    this.props.dispatch({
      type: `${storeName}/deleteProduct`,
      payload: { index },
    });
  }
  // 组件注销前销毁数据
  beforeDestroy() {
    this.props.dispatch({
      type: `${storeName}/updateState`,
      payload: {
        addPrd_selectedList: [],
      },
    });
  }

  render() {
    const { list } = this.props;
    const { name, loading } = this.state;
    const prefix = SelectedProduct.classPrefix;

    return (
      <Section
        className={style[prefix]}
        loading={loading}
        title={<span>{name}</span>}
        bodyStyle={{
          height: 'calc(100% - 10px)',
          overflowY: 'auto',
        }}
      >
        <SelectedProductDesk dataSource={list} onBtnClick={this.delProduct} />
      </Section>
    );
  }
}

const mapStateToProps = (state) => {
  return {
    list: state[storeName].addPrd_selectedList,
  };
};

export default connect(mapStateToProps)(SelectedProduct);
