/**
 * Created by Haolin<haolinhom@gmail.com> on 2019/3/27.
 */
import Popover from 'COMPONENT/Popover';
import style from './index.less';

const classPrefix = 'PopContent';
// 容器
const PopContent = (props) => {
  return <div className={style[classPrefix]}>{props.data.length > 0 ? build(props.data) : '-'}</div>;
};
// 内容
const Content = (props) => {
  return <p className={style[`${classPrefix}-content`]}>{props.children}</p>;
};
// 生成jsx
const build = (arr) => {
  if (arr.length > 2) {
    let result = arr.slice(0, 2).map((item, index) => <Content key={index}>{item}</Content>);
    let all = arr.map((item, index) => <Content key={index}>{item}</Content>);
    let more = (
      <Content key={'more'}>
        <Popover overlayClassName={style[`${classPrefix}-popover`]} content={all}>
          <span className={style[`${classPrefix}-more`]}>...</span>
        </Popover>
      </Content>
    );
    result.push(more);
    return result;
  } else {
    return arr.map((item, index) => <Content key={index}>{item}</Content>);
  }
};

export default PopContent;
