import styles from './index.less';
import { Icon } from 'antd';
import SelectNewMiniClass from '../SelectNewMiniClass';

const oldMiniClassMessage = (selectNewMiniClass, classTwoName = '') => {
  return (
    <div>
      <h2>
        <Icon type="exclamation-circle" className={styles.tipIcon} />
        调入班信息
        <div className={styles.tip}>
          <div className={styles.iconWrapper}>
            <Icon type="exclamation-circle" className={styles.tipIcon + ' ' + styles.bigIcon} />
          </div>
          <div>
            <p>调入辅班与调出辅班必须满足：</p>
            <span>年级、科目、课时单价、课时时长、年份、季度相同</span>
          </div>
        </div>
      </h2>
      <div className={styles.selectedNewClass}>
        <div>请选择调入班:</div>
        <div
          className={styles.classTwoName}
          onClick={() => {
            selectNewMiniClass();
          }}
        >
          {classTwoName}
        </div>
      </div>
    </div>
  );
};

const NewClassInfo = (props) => {
  const { selectNewMiniClass, newCourseList, newTwoTeacherClassInfo } = props;
  if (Object.keys(newTwoTeacherClassInfo).length === 0) {
    return (
      <div>
        {/* 选择调入班提示 */}
        {oldMiniClassMessage(selectNewMiniClass)}
      </div>
    );
  } else {
    const { classroomName, classTwoName, teacher } = newTwoTeacherClassInfo;
    const { teacherName } = teacher;
    return (
      <div>
        {/* 选择调入班提示 */}
        {oldMiniClassMessage(selectNewMiniClass, classTwoName)}
        {
          <div>
            <div className={styles.classInfo + ' ' + 'clearfix'}>
              <dl>
                <dt>老师：</dt>
                <dd>{teacherName}</dd>
                <dt>教室：</dt>
                <dd>{classroomName}</dd>
              </dl>
            </div>
            <div className={styles.courseInfo + ' ' + 'clearfix'}>
              <dl>
                {newCourseList.map((course, index) => {
                  let { courseNum, courseTime, courseEndTime, courseDate } = course;
                  if (index === 0) {
                    return (
                      <div>
                        <dt>课程信息：</dt>
                        <dd>
                          {courseNum} {courseDate} {courseTime}-{courseEndTime}
                        </dd>
                      </div>
                    );
                  } else {
                    return (
                      <div>
                        <dt></dt>
                        <dd>
                          {courseNum} {courseDate} {courseTime}-{courseEndTime}
                        </dd>
                      </div>
                    );
                  }
                })}
              </dl>
            </div>
          </div>
        }
      </div>
    );
  }
};

export default NewClassInfo;
