import React from 'react';
import styles from './index.less';

class ConflictList extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      showMoreBtn: false,
      expend: false,
    };
  }

  componentDidMount() {
    if (this.$listLabelWrapper.offsetHeight > 58) {
      this.setState({
        showMoreBtn: true,
      });
    }
  }

  componentWillReceiveProps() {
    if (this.$listLabelWrapper.offsetHeight > 58) {
      this.setState({
        showMoreBtn: true,
      });
    } else {
      this.setState({
        showMoreBtn: false,
      });
    }
  }

  showOrHidden = () => {
    let { expend } = this.state;
    let $conflictList = this.$listLabelWrapper.parentNode;
    this.setState({ expend: !expend }, () => {
      if (this.state.expend) {
        $conflictList.style.height = this.$listLabelWrapper.offsetHeight + 'px';
        $conflictList.parentNode.style.height = this.$listLabelWrapper.offsetHeight + 20 + 'px';
      } else {
        $conflictList.style.height = '58px';
        $conflictList.parentNode.style.height = '58px';
      }
    });
  };

  render() {
    const { expend, showMoreBtn } = this.state;
    const { title, list, current, onClickName } = this.props;
    let listLabel = list.map((value, index, list) => {
      let { name, id } = value;
      if (id === current) {
        return (
          <div key={id} className={styles.labelItem + ' ' + styles.current}>
            {name}
          </div>
        );
      } else {
        return (
          <div
            key={id}
            className={styles.labelItem}
            onClick={() => {
              onClickName(id);
            }}
          >
            {name}
          </div>
        );
      }
    });
    return (
      <div className={styles.content}>
        <div style={{ paddingTop: '6px' }}>{title}</div>
        <div className={styles.listLabel}>
          <div
            className={styles.labelItemWrapper}
            ref={(listLabelWrapper) => {
              this.$listLabelWrapper = listLabelWrapper;
            }}
          >
            {listLabel}
          </div>
        </div>
        <div style={{ paddingTop: '6px' }} onClick={this.showOrHidden}>
          {showMoreBtn === true && <span className={styles.moreBtn}>{!expend ? '更多' : '收起'}</span>}
        </div>
      </div>
    );
  }
}

export default ConflictList;
