import React from 'react';
import styles from './index.less';
import Icon from 'COMPONENT/Icon';
import HoverCard from '../Hovercard/index';

class Node extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  render() {
    const { node, top, height, type, editCourse, changeCourse } = this.props;
    console.log('node');
    console.log(node);
    if (Array.isArray(node) === true) {
      const course = node[0];
      let conflictNums = node.length;
      let { courseTime, courseEndTime, courseName, classTwoName } = course;
      let courseTimes = node.map((course) => {
        return course.courseTime;
      });
      let courseEndTimes = node.map((course) => {
        return course.courseEndTime;
      });
      courseTime = new Date(Math.min(...courseTimes)).toTimeString().substr(0, 5);
      courseEndTime = new Date(Math.max(...courseEndTimes)).toTimeString().substr(0, 5);
      return (
        <div className={styles.node + ' ' + styles.conflictNode} style={{ top: top + 'px', height: height + 'px' }}>
          <div>
            <div className={styles.center}>
              <span className={styles.time}>{courseTime}</span>
              <span className={styles.time}>-</span>
              <span className={styles.time}>{courseEndTime}</span>
              <Icon type="information_cricle" style={{ marginLeft: '2px' }}></Icon>
            </div>
            <p className={styles.courseName + ' ' + styles.courseInfo}>{classTwoName}</p>
          </div>
          <p className={styles.conflictMessage}>共有{conflictNums}门课程冲突</p>
          <div className={styles.hoverCard}>
            <HoverCard node={node} type={type} editCourse={editCourse} changeCourse={changeCourse}></HoverCard>
          </div>
        </div>
      );
    } else {
      let { courseTime, courseEndTime, courseName, blCampusName, courseNum, classTwoName } = node;
      courseTime = new Date(courseTime).toTimeString().substr(0, 5);
      courseEndTime = new Date(courseEndTime).toTimeString().substr(0, 5);
      return (
        <div className={styles.node} style={{ top: top + 'px', height: height + 'px' }}>
          <div>
            <span className={styles.time}>{courseTime}</span>
            <span className={styles.time}>-</span>
            <span className={styles.time}>{courseEndTime}</span>
            <p className={styles.courseName + ' ' + styles.courseInfo}>{classTwoName}</p>
          </div>
          <p className={styles.courseInfo}>
            {courseNum}({blCampusName})
          </p>
          <div className={styles.hoverCard}>
            <HoverCard node={node} type={type} editCourse={editCourse} changeCourse={changeCourse}></HoverCard>
          </div>
        </div>
      );
    }
  }
}

export default Node;
