import React from 'react';
import PropTypes from 'prop-types';
import style from './index.less';
import TableContainer from './TableContainer';
import TableMain from './TableMain';

class CourseTable extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }
  static classPrefix = 'CourseTable';
  static propTypes = {
    dataSource: PropTypes.object.isRequired,
    rowsConfig: PropTypes.arrayOf(
      PropTypes.shape({
        id: PropTypes.string.isRequired,
        name: PropTypes.string,
        row: PropTypes.arrayOf(PropTypes.string).isRequired,
        disabled: PropTypes.bool,
      }),
    ).isRequired,
    colsConfig: PropTypes.arrayOf(
      PropTypes.shape({
        id: PropTypes.string.isRequired,
        name: PropTypes.string.isRequired,
        disabled: PropTypes.bool,
      }),
    ).isRequired,
    render: PropTypes.func.isRequired,
    renderMinHeight: PropTypes.number,
    notShowBlank: PropTypes.shape({
      trigger: PropTypes.bool,
      config: PropTypes.array,
    }),
  };
  static defaultProps = {
    notShowBlank: {
      trigger: false,
      config: [],
    },
  };

  render() {
    const prefix = CourseTable.classPrefix;

    return (
      <div className={style[prefix]}>
        <TableContainer columns={this.props.colsConfig} rows={this.props.rowsConfig}>
          <TableMain
            columns={this.props.colsConfig}
            rows={this.props.rowsConfig}
            dataSource={this.props.dataSource}
            render={this.props.render}
            renderMinHeight={this.props.renderMinHeight}
          />
        </TableContainer>
      </div>
    );
  }
}

export default CourseTable;
