/**
 * Created by Haolin on 2019/1/5.
 */
import React from 'react';
import { connect } from 'dva';
import Page from 'COMPONENT/Page';
import style from './style.less';
import Section from '../components/Section';
import LectureDetail from './LectureDetail';
import RegStdDetail from './RegStdDetail';

class Detail extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      name: '讲座详情',
      loading: false,
      fileList: [],
    };
  }
  static classPrefix = 'Detail';

  onFileChange = (fileList) => {
    this.setState({ fileList });
  };

  render() {
    const { route, lectureId } = this.props;
    const { name, loading, fileList } = this.state;
    const prefix = Detail.classPrefix;

    return (
      <Page
        name={name}
        className={style[prefix]}
        loading={loading}
        route={route}
        fitWindowHeight={true}
        subHeader={
          <Section title="线上讲座信息">
            <LectureDetail id={lectureId} onFileChange={this.onFileChange} />
          </Section>
        }
      >
        <Section title="学生报名信息" fixHeightAutoScroll={true}>
          <RegStdDetail id={lectureId} fileList={fileList} />
        </Section>
      </Page>
    );
  }
}

const mapStateToProps = (state) => {
  const { lectureId } = state.main.pageParams['/twoTeacherLecture/detail'];
  return {
    lectureId,
  };
};

export default connect(mapStateToProps)(Detail);
