/**
 * Created by Haolin on 2018/12/29.
 */
import React from 'react';
import { connect } from 'dva';
import { Row, Col } from 'antd';
import { storeName } from '../../store/constant.js';
import style from './style.less';

const SelectedItem = (props) => {
  const { text, index, handleDel } = props;
  const classPrefix = 'SelectedItem';
  return (
    <Row className={style[classPrefix]}>
      <Col span={2}>
        <span className={style[`${classPrefix}-label`]}> 产品{index + 1}</span>
      </Col>
      <Col span={20}>
        <span className={style[`${classPrefix}-text`]}>{text}</span>
      </Col>
      <Col span={2}>
        <span
          className={style[`${classPrefix}-delBtn`]}
          onClick={() => {
            handleDel(index);
          }}
        >
          删除
        </span>
      </Col>
    </Row>
  );
};

class AllSelectedProduct extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
    this.deletePrd = this.deletePrd.bind(this);
  }
  static classPrefix = 'AllSelectedProduct';
  componentDidMount() {}
  componentWillUnmount() {}

  deletePrd(index) {
    this.props.dispatch({
      type: `${storeName}/deleteProduct`,
      payload: { index },
    });
  }

  render() {
    const { list } = this.props;
    const {} = this.state;
    const prefix = AllSelectedProduct.classPrefix;

    return (
      <div className={style[prefix]}>
        <Row>
          <Col span={3}>
            <div className="label-normal">已选产品</div>
          </Col>
          <Col span={21}>
            {list.length > 0 ? (
              list.map((item, index) => (
                <SelectedItem text={item} index={index} handleDel={this.deletePrd} key={index} />
              ))
            ) : (
              <div className={style[`${prefix}-noData`]}>暂无已选产品</div>
            )}
          </Col>
        </Row>
      </div>
    );
  }
}

const mapStateToProps = (state) => {
  const { addLecture_prdList } = state[storeName];
  let list = addLecture_prdList.map((item) => item.name);
  return {
    list,
  };
};

export default connect(mapStateToProps)(AllSelectedProduct);
