/**
 * Created by Haolin<haolinhom@gmail.com> on 2018/12/29.
 */
import style from './style.less';

const FlexRow = (props) => {
  const { children, fitNode, fitWidth, marginRight } = props;
  const classPrefix = 'FlexRow';
  return (
    <div className={style[classPrefix]} style={{ marginRight: marginRight }}>
      {children && <div className={style[`${classPrefix}-adaptive`]}>{children}</div>}
      <div className={style[`${classPrefix}-fit`]} style={{ maxWidth: fitWidth, minWidth: fitWidth, width: fitWidth }}>
        {fitNode}
      </div>
    </div>
  );
};
FlexRow.defaultProps = {
  fitWidth: 'auto',
  marginRight: 20,
};

export default FlexRow;
