/**
 * Created by Haolin<haolinhom@gmail.com> on 2019/1/8.
 */
import { Popconfirm } from 'antd';
import TextLink from 'COMPONENT/TextLink';

const LinkBtnWithPop = (props) => {
  const { text, title, okText, cancelText, confirm, cancel, disabled } = props;
  const classPrefix = 'LinkBtnWithPop';
  return (
    <div className={classPrefix}>
      <Popconfirm title={title} onConfirm={confirm} onCancel={cancel} okText={okText} cancelText={cancelText}>
        <TextLink fontSize={12} disabled={disabled}>
          {text}
        </TextLink>
      </Popconfirm>
    </div>
  );
};
LinkBtnWithPop.defaultProps = {
  text: '操作',
  title: '确定执行该操作吗？',
  okText: '确定',
  cancelText: '取消',
  confirm: function () {},
  cancel: function () {},
  disabled: false,
};

export default LinkBtnWithPop;
