/**
 * Created by Haolin<haolinhom@gmail.com> on 2018/12/29.
 */
import DropdownMenu from 'COMPONENT/DropdownMenu';
import FlexRow from '../FlexRow';
import style from './style.less';

const ListWithDropDownMenu = (props) => {
  const { data } = props;
  const classPrefix = 'ListWithDropDownMenu';
  const total = data.length;
  const list = data.map((item) => ({ text: item }));
  return (
    <div className={style[classPrefix]}>
      <FlexRow
        fitWidth={74}
        fitNode={
          <DropdownMenu
            className={style[`${classPrefix}-menu`]}
            text={'（共' + total + '个）'}
            size="small"
            placement="bottomRight"
            menus={list}
            hasArrow={true}
          />
        }
      >
        <div className={style[`${classPrefix}-text`]}>{data[0] || '-'}</div>
      </FlexRow>
    </div>
  );
};

export default ListWithDropDownMenu;
