/**
 * Created by Haolin<haolinhom@gmail.com> on 2018/12/29.
 */
import Popover from 'COMPONENT/Popover';
import style from './style.less';

const ListWithPop = (props) => {
  const { data, popMaxWidth } = props;
  const classPrefix = 'ListWithPop';
  let checkLen = data.length > 1;
  const popList = data.slice(1);
  return (
    <span>
      {checkLen ? (
        <Popover
          overlayClassName={style[`${classPrefix}-Popover`]}
          maxWidth={popMaxWidth}
          content={popList.map((item, index) => (
            <p className={style[`${classPrefix}-item`]} key={index}>
              {item}
            </p>
          ))}
          // getPopupContainer={ele => ele.parentNode}
        >
          <span className={style[classPrefix]}>{`${data[0]}`}</span>
        </Popover>
      ) : (
        <span>{data[0] || '-'}</span>
      )}
    </span>
  );
};
ListWithPop.defaultProps = {
  popMaxWidth: 200,
};

export default ListWithPop;
