import style from './style.less';
import classNames from 'classnames';
import { PropTypes } from 'react';
import Wrapper from 'COMPONENT/Wrapper';

const classPrefix = 'Section';

const Section = (props) => {
  return (
    <Wrapper
      bodyFitHeight={props.fixHeightAutoScroll}
      className={classNames(style[classPrefix], props.className)}
      header={props.title && <div className={style[`${classPrefix}-header`]}>{props.title}</div>}
    >
      <div className={classNames(style[`${classPrefix}-body`])}>{props.children}</div>
    </Wrapper>
  );
};
Section.propTypes = {
  classNames: PropTypes.string,
  title: PropTypes.string,
  children: PropTypes.node,
  fixHeightAutoScroll: PropTypes.bool,
};
Section.defaultProps = {
  fixHeightAutoScroll: false,
};

export default Section;
