import { List } from 'COMPONENT';
const { COL_WIDTH_L } = List;

export default [
  {
    title: '小班名称',
    dataIndex: 'miniClassName',
    key: 'miniClassName',
    width: COL_WIDTH_L,
  },
  {
    title: '所属校区',
    dataIndex: 'blCampusName',
    key: 'blCampusName',
    width: COL_WIDTH_L,
  },
  {
    title: '上课方式',
    dataIndex: 'teachingType',
    key: 'teachingType',
    width: COL_WIDTH_L,
    render(text, row) {
      let teacherType = ['面授', '在线A', '在线B', '自习', 'AI录播课'];
      return row.teachingType === null ? '' : teacherType[row.teachingType - 1];
    },
  },
  {
    title: '产品组',
    dataIndex: 'productGroupName',
    key: 'productGroupName',
    width: COL_WIDTH_L,
  },
  {
    title: '上课日期',
    dataIndex: 'courseDate',
    key: 'courseDate',
    width: COL_WIDTH_L,
  },
  {
    title: '上课时间',
    dataIndex: 'classStartTime',
    key: 'classStartTime',
    width: COL_WIDTH_L,
    render(text, row) {
      return `${row.courseTime} - ${row.courseEndTime}`;
    },
  },
  {
    title: '讲数',
    dataIndex: 'courseNum',
    key: 'courseNum',
    width: COL_WIDTH_L,
    render(text) {
      return `第${text}讲`;
    },
  },
  {
    title: '课程状态',
    dataIndex: 'courseStatusName',
    key: 'courseStatusName',
    width: COL_WIDTH_L,
  },
  {
    title: '年级',
    dataIndex: 'gradeName',
    key: 'gradeName',
    width: COL_WIDTH_L,
  },
  {
    title: '科目',
    dataIndex: 'subjectName',
    key: 'subjectName',
    width: COL_WIDTH_L,
  },
  {
    title: '老师',
    dataIndex: 'teacherName',
    key: 'teacherName',
    width: COL_WIDTH_L,
    render(text) {
      return text || '其他';
    },
  },
  {
    title: '教室',
    dataIndex: 'classroom',
    key: 'classroom',
    width: COL_WIDTH_L,
  },
];
