import { loadSmallTcApi, batchUpdateMiniClassCourse, smallClassQuarterAavaliableTeacherList } from 'SERVICE/course';

const loadSmallTeacherApi = async (params) => {
  const data = await loadSmallTcApi(params);
  let result = [];
  data.forEach((teacher) => {
    const newOption = { text: teacher.name + `(${teacher.employeeNo || ''})`, val: teacher.userId };
    const label = teacher.campusName;
    let group = result.find((g) => g.label === label);
    if (group) {
      group.options = [...group.options, newOption];
    } else {
      result.push({
        label,
        options: [newOption],
        // val: teacher.campusId
      });
    }
  });
  return result;
};

const loadSmallClassQuarterTeacherList = async (params) => {
  const result = [];
  const res = await smallClassQuarterAavaliableTeacherList({ ...params, pageNum: 1, pageSize: 999 });
  if (res.resultCode === 0) {
    const { list } = res.data;
    list.forEach((item) => {
      const option = { text: item.name, val: item.userId };
      const label = item.organizationName;
      let group = result.find((r) => r.label === label);
      if (group) {
        group.options = [...group.options, option];
      } else {
        result.push({
          label,
          options: [option],
        });
      }
    });
  }
  return result;
};

const batchUpdateMiniClassCourseApi = async (params) => {
  const data = await batchUpdateMiniClassCourse(params);
  return data.resultCode;
};

export default {
  loadSmallTeacherApi,
  batchUpdateMiniClassCourseApi,
  loadSmallClassQuarterTeacherList,
};
