import { getUserByRoldCodesSelection } from 'SERVICE/common';
import {
  findMiniClassRenewPage,
  findSubjectLeader,
  deleteSubjectLeaderApi,
  modifySubjectLeaderApi,
  exportMiniClassRenewExcel,
  findMiniClassRenewRate,
} from 'SERVICE/course';
import { formateDict } from 'UTIL/dict';

const getTeacherDictByBrench = async (params) => {
  const data = await getUserByRoldCodesSelection(params);
  return formateDict(data);
};

const searchMiniClassRenewPage = async (params) => {
  const { datas, rowCount } = await findMiniClassRenewPage(params);
  return {
    dataSource: datas,
    total: rowCount,
  };
};

const searchSubjectLeader = async () => {
  const { datas } = await findSubjectLeader();
  return datas;
};

const deleteSubjectLeader = async (params) => {
  const { resultCode } = await deleteSubjectLeaderApi(params);
  return resultCode;
};

const modifySubjectLeader = async (params) => {
  const { resultCode } = await modifySubjectLeaderApi(params);
  return resultCode;
};

const exportMiniClassRenewExcelApi = async (params) => {
  const { resultCode } = await exportMiniClassRenewExcel(params);
  return {
    resultCode,
  };
};

const findMiniClassRenewRateApi = async (params) => {
  const { data } = await findMiniClassRenewRate(params);
  return {
    fullClassRate: data.fullClassRate,
    reNnqRate: data.reNnqRate,
    reNqRate: data.reNqRate,
  };
};

export default {
  getTeacherDictByBrench,
  searchMiniClassRenewPage,
  searchSubjectLeader,
  deleteSubjectLeader,
  modifySubjectLeader,
  exportMiniClassRenewExcelApi,
  findMiniClassRenewRateApi,
};
