import styles from './index.less';
import { Icon } from 'antd';
import SelectNewMiniClass from '../SelectNewMiniClass';

const oldMiniClassMessage = (selectNewMiniClass, miniClassName = '') => {
  return (
    <div>
      <h2>
        <Icon type="exclamation-circle" className={styles.tipIcon} />
        调入班信息
        <div className={styles.tip}>
          <div className={styles.iconWrapper}>
            <Icon type="exclamation-circle" className={styles.tipIcon + ' ' + styles.bigIcon} />
          </div>
          <div>
            <p>调入小班与调出小班必须满足：</p>
            <span>年级、科目、小时单价、小时时长、年份、季度相同</span>
          </div>
        </div>
      </h2>
      <div className={styles.selectedNewClass}>
        <div>请选择调入班:</div>
        <div
          className={styles.miniClassName}
          onClick={() => {
            selectNewMiniClass();
          }}
        >
          {miniClassName}
        </div>
      </div>
    </div>
  );
};

const NewClassInfo = (props) => {
  const { selectNewMiniClass, newCourseList, newMiniClassInfo, newMiniClassCourses, selectNewCourse } = props;
  if (Object.keys(newMiniClassInfo).length === 0) {
    return (
      <div>
        {/* 选择调入班提示 */}
        {oldMiniClassMessage(selectNewMiniClass)}
      </div>
    );
  } else {
    const { classroomName, miniClassName, teacher } = newMiniClassInfo;
    const { teacherName } = teacher;
    return (
      <div>
        {/* 选择调入班提示 */}
        {oldMiniClassMessage(selectNewMiniClass, miniClassName)}
        {
          <div className={styles.wrapper + ' ' + 'clearfix'}>
            {newMiniClassCourses.map((course, index) => {
              const { courseDate, courseNum, selected } = course;
              if (selected === true) {
                return (
                  <div
                    className={styles.item + ' ' + styles.selected}
                    onClick={() => {
                      selectNewCourse(index);
                    }}
                    key={index}
                  >
                    <span className={styles.courseDate}>{courseDate}</span>
                    <span>{courseNum}</span>
                  </div>
                );
              } else {
                return (
                  <div
                    className={styles.item}
                    onClick={() => {
                      selectNewCourse(index);
                    }}
                    key={index}
                  >
                    <span className={styles.courseDate}>{courseDate}</span>
                    <span>{courseNum}</span>
                  </div>
                );
              }
            })}
          </div>
        }
      </div>
    );
  }
};

export default NewClassInfo;
