import React from 'react';
import styles from './index.less';

const OldCourseNum = (props) => {
  const { studentCourses, selectCourse } = props;

  return (
    <div>
      <h2>请选择原班讲数</h2>
      <div className={styles.wrapper + ' ' + 'clearfix'}>
        {studentCourses.map((course, index) => {
          const { courseId, courseStatus, courseDate, courseNum, selected, isConflict, ishas, batchAccess } = course;

          if (courseStatus === 'NEW') {
            if (selected === true) {
              return (
                <div
                  className={styles.item + ' ' + styles.selected}
                  onClick={() => {
                    selectCourse(index);
                  }}
                  key={index}
                >
                  <span className={styles.courseDate}>{courseDate}</span>
                  <span>{courseNum}</span>
                </div>
              );
            } else if (ishas === false) {
              return (
                <div className={styles.item + ' ' + styles.attendance} key={index} title="该学生不存在此课程">
                  <span className={styles.courseDate}>{courseDate}</span>
                  <span>{courseNum}</span>
                </div>
              );
            } else if (isConflict === true) {
              return (
                <div
                  className={styles.item + ' ' + styles.conflict}
                  onClick={() => {
                    selectCourse(index);
                  }}
                  key={index}
                >
                  <span className={styles.courseDate}>{courseDate}</span>
                  <span>{courseNum}</span>
                </div>
              );
            } else if (batchAccess === 'false') {
              return (
                <div className={styles.item + ' ' + styles.attendance} key={index} title="选中学生该课程不在同一小班">
                  <span className={styles.courseDate}>{courseDate}</span>
                  <span>{courseNum}</span>
                </div>
              );
            }
            return (
              <div
                className={styles.item}
                onClick={() => {
                  selectCourse(index);
                }}
                key={index}
              >
                <span className={styles.courseDate}>{courseDate}</span>
                <span>{courseNum}</span>
              </div>
            );
          } else {
            return (
              <div className={styles.item + ' ' + styles.attendance} key={index} title="已考勤">
                <span className={styles.courseDate}>{courseDate}</span>
                <span>{courseNum}</span>
              </div>
            );
          }
        })}
      </div>
    </div>
  );
};

export default OldCourseNum;
