import React from 'react';
import DotButton from 'COMPONENT/DotButton';
import styles from './index.less';
import moment from 'moment';
import { getWeekByDate, weekNames } from '../utils';

class ScheduleHeader extends React.Component {
  constructor(props) {
    super(props);
  }

  render() {
    let { dateArray, onClickPreWeek, onClickNextWeek, searchDate } = this.props;
    dateArray = dateArray.map((date) => {
      return moment(date).format().slice(0, 10);
    });
    return (
      <div className={styles.wrap}>
        <div>
          <DotButton iconType="left" className={styles.icon + ' ' + styles.iconLeft} onClick={onClickPreWeek} />
        </div>

        <div className={styles.main}>
          {dateArray.map((date) => {
            if (date === searchDate) {
              return (
                <div key={date} className={styles.weekItem}>
                  <span className={styles.week + ' ' + styles.currentWeek}>{weekNames[getWeekByDate(date)]}</span>
                  <span className={styles.date + ' ' + styles.currentDate}>{date.slice(5)}</span>
                </div>
              );
            } else {
              return (
                <div key={date} className={styles.weekItem}>
                  <span className={styles.week}>{weekNames[getWeekByDate(date)]}</span>
                  <span className={styles.date}>{date.slice(5)}</span>
                </div>
              );
            }
          })}
        </div>

        <div>
          <DotButton iconType="right" className={styles.icon} onClick={onClickNextWeek} />
        </div>
      </div>
    );
  }
}

export default ScheduleHeader;
