import moment from 'moment';
import { DATE_FORMAT } from 'COMPONENT/utils/form';

const getWeekByDate = (date) => {
  const day = moment(date, DATE_FORMAT).day();
  return day === 0 ? 6 : day - 1;
};

const weekNames = ['星期一', '星期二', '星期三', '星期四', '星期五', '星期六', '星期日'];

const getPanelTimes = () => {
  return ['06:00', '08:00', '10:00', '12:00', '14:00', '16:00', '18:00', '20:00', '22:00'];
};

const TabsNames = {
  COURSE: 'COURSE',
  CONFLICT: 'CONFLICT',
  COURSE_SUMMARY: 'COURSE_SUMMARY',
};

// 查询类型 - 老师、学生、科室
const CustomerTypes = {
  teacher: 'TEACHER',
  student: 'STUDENT',
  classroom: 'CLASSROOM',
};

export default {
  getWeekByDate,
  weekNames,
  getPanelTimes,
  TabsNames,
  CustomerTypes,
};
