import React from 'react';
import Modal from 'COMPONENT/Modal';
import Loaders from './loaders';

class PrepareReason extends React.Component {
  constructor(props) {
    super(props);

    this.state = {
      // 从旧页面过来的数据
      studentId: props.oldPageParams.studentId,
      miniClassId: props.oldPageParams.miniClassId,

      remark: '',
    };
  }

  componentDidMount() {
    const { studentId, miniClassId } = this.state;
    Loaders.getMiniClassPrepareDropReasonApi({ studentId, miniClassId }).then(({ remark }) => {
      this.setState({ remark });
    });
  }

  render() {
    const { remark } = this.state;
    return (
      <Modal title="预退理由" width="520" onCancel={this.props.onClose} onOk={this.props.onClose}>
        <p>{remark}</p>
      </Modal>
    );
  }
}

export default PrepareReason;
