/**
 * Created by Haolin on 2018/7/9.
 */
import React from 'react';
import { connect } from 'dva';
import FormItem from 'COMPONENT/FormItem';
import { Row, Col } from 'antd';

function CampusShow(props) {
  const {
    data: { bonusOrgName, amount },
  } = props;
  return (
    <Col span={6}>
      <span>{bonusOrgName}</span>
      <span>（{amount}元）;</span>
    </Col>
  );
}
function AttributionShow(props) {
  const {
    data: { subBonusDistributeType, amount, enableFlg },
  } = props;
  let label = '';
  let key = 'bonusOrgName';
  switch (subBonusDistributeType) {
    case 'USER_USER':
      label = '个人';
      key = 'bonusStaffName';
      break;
    case 'USER_CAMPUS':
      label = '学习中心团队';
      break;
    case 'USER_BRANCH':
      label = '分公司团队';
      break;
  }
  let flag = enableFlg === 1 ? '（无效）' : '';
  return (
    <Col span={6}>
      <span>{label}：</span>
      <span>
        {props.data[key]}
        {flag}
      </span>
      <span>（{amount}元）;</span>
    </Col>
  );
}

class ShowLiability extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  render() {
    const { campus, attribution } = this.props;
    const {} = this.state;

    return (
      <div>
        <FormItem
          name="学习中心责任"
          labelWidth={124}
          className="hom-form-item-wrapper"
          style={{ padding: 0, marginBottom: 0 }}
        >
          <Row>
            {campus.map((item, index) => (
              <CampusShow data={item} key={index} />
            ))}
          </Row>
        </FormItem>
        <FormItem
          name="归属类型"
          labelWidth={124}
          className="hom-form-item-wrapper"
          style={{ padding: 0, marginBottom: 0 }}
        >
          <Row>
            {attribution.map((item, index) => (
              <AttributionShow data={item} key={index} />
            ))}
          </Row>
        </FormItem>
      </div>
    );
  }
}

export default connect()(ShowLiability);
