/**
 * Created by Haolin<haolinhom@gmail.com> on 2018/7/9.
 */
export default {
  name: 'calc',
  changeToStr: function (arg) {
    arg = typeof arg !== 'number' ? Number(arg) : arg;
    let argStr = arg.toString();
    // if (argStr.length >= 17) {
    //   console.log("参数 ",argStr," 超出安全长度！计算结果可能有误差！");
    // }
    let e = argStr.indexOf('e');
    if (e === -1) {
      return argStr;
    } else {
      let a1 = argStr.slice(0, e),
        a0 = '';
      if (a1.indexOf('-') !== -1) {
        a1 = a1.slice(1);
        a0 = '-';
      }
      if (a1.indexOf('.') !== -1) {
        a1 = a1.slice(0, 1) + a1.slice(2);
      }
      let digit = Number(argStr.slice(e + 2));
      let iniStr;
      if (arg > 0) {
        iniStr = '';
      } else {
        iniStr = '0.';
      }
      for (let i = 0; i < digit - 1; i++) {
        iniStr += '0';
      }
      if (arg > 0) {
        return a0 + a1 + iniStr;
      } else {
        return a0 + iniStr + a1;
      }
    }
  },
  add: function (arg1, arg2) {
    let arr1 = this.changeToStr(arg1).split('.');
    let arr2 = this.changeToStr(arg2).split('.');
    arr1[1] = arr1[1] || '';
    arr2[1] = arr2[1] || '';
    let max = Math.max(arr1[1].length, arr2[1].length);
    let maxLen = Math.pow(10, max);
    let result = (arg1 * maxLen + arg2 * maxLen) / maxLen;
    let temp = this.changeToStr(result).split('.');
    temp[1] = temp[1] || '';
    if (temp[1].length > max) {
      return result.toFixed(max);
    } else {
      return result;
    }
  },
  sub: function (arg1, arg2) {
    return this.add(arg1, -arg2);
  },
  mul: function (arg1, arg2) {
    let str1 = this.changeToStr(arg1);
    let str2 = this.changeToStr(arg2);
    let arr1 = str1.split('.');
    let arr2 = str2.split('.');
    arr1[1] = arr1[1] || '';
    arr2[1] = arr2[1] || '';
    let maxLen = arr1[1].length + arr2[1].length;
    let result = (Number(str1.replace('.', '')) * Number(str2.replace('.', ''))) / Math.pow(10, maxLen);
    let temp = this.changeToStr(result).split('.');
    if (temp[0].length < 12) {
      return Number(result.toFixed(11 - temp[0].length));
    } else {
      return result.toExponential(5);
    }
  },
  div: function (arg1, arg2) {
    let str1 = this.changeToStr(arg1);
    let str2 = this.changeToStr(arg2);
    let arr1 = str1.split('.');
    let arr2 = str2.split('.');
    arr1[1] = arr1[1] || '';
    arr2[1] = arr2[1] || '';
    let minLen = arr2[1].length - arr1[1].length;
    let result = (Number(str1.replace('.', '')) / Number(str2.replace('.', ''))) * Math.pow(10, minLen);
    let temp = this.changeToStr(result).split('.');
    if (temp[0].length < 12) {
      return Number(result.toFixed(11 - temp[0].length));
    } else {
      return result.toExponential(5);
    }
  },
};
