import React from 'react';
import PropTypes from 'prop-types';
import style from './index.less';
import Steps from 'PAGE/preferential/Activity/Components/Steps';

const EcsProcess = (props) => {
  return (
    <div className={style.ecsProcess}>
      <Steps currentIndex={props.step}>
        {props.process.map((item, index) => (
          <div key={index}>{item}</div>
        ))}
      </Steps>
    </div>
  );
};

EcsProcess.propTypes = {
  process: PropTypes.array.isRequired,
  step: PropTypes.number,
};

EcsProcess.defaultProps = {
  step: 0,
};

export default EcsProcess;
