/**
 * Created by Haolin<haolinhom@gmail.com> on 2018/6/20.
 */
import React from 'react';
import './styles.less';
import classnames from 'classnames';
import { pTypes, defaultP } from './PropTypes';

class Section extends React.Component {
  static propTypes = pTypes;
  static defaultProps = defaultP;

  render() {
    const { title, children, className, style, cover, coverVal, coverTitle = '请选择', handleClick } = this.props;
    const cls = {
      'Hom-section': 1,
      [className]: !!className,
    };
    return (
      <div className={classnames(cls)} style={style}>
        <div className="Hom-section-header">
          <div className="Hom-section-title">{title}</div>
        </div>
        <div className="Hom-section-body">{children}</div>
        {!cover && (
          <div
            className="Hom-section-cover"
            onClick={(e) => {
              handleClick(e);
            }}
            data-value={coverVal}
            title={coverTitle}
          >
            {' '}
          </div>
        )}
      </div>
    );
  }
}
export default Section;
