/**
 * 操作步骤计算
 * step 规则
 * 0 目标成功申请/目标失败申请/申请退费
 * 1 会计审批
 * 2 （目标失败）出纳审批/（目标成功）完成/（中途退费）出纳审批
 * 3 （目标失败）完成/（中途退费）完成
 *
 * @param {string} status 课程状态
 * @param {string} auditStatus 审批状态
 * @param {string} chooseResult 目标成功或失败：1 成功；2 失败
 * @return {number}
 */
function ecsProcessStep(status, auditStatus, chooseResult) {
  let step;
  switch (status) {
    case '2':
    case '4':
      step = 1;
      break;
    case '3':
    case '0':
      if (auditStatus === 'RAUDIT') {
        step = chooseResult === 1 ? 2 : 3;
      } else if (auditStatus === 'ACCOUNTANT_RAUDIT') {
        step = 2;
      } else if (auditStatus === 'AUDIT_FAILED') {
        step = 0;
      }
      break;
    default:
      step = -1;
  }
  return step;
}

export { ecsProcessStep };
