import React from 'react';
import PropTypes from 'prop-types';
import SinglePanel from './SinglePanel';
import MultiPanel from './MultiPanel';

class SyncConfirm extends React.Component {
  constructor(props) {
    super(props);

    this.state = {
      loading: false,
      loadingTip: null,
      dataSource: [],
    };
  }

  static PropTypes = {
    showSingle: PropTypes.bool,
    miniClassId: PropTypes.string,
  };

  render() {
    let {
      onClose,
      subjectName,
      classTime,
      teacherName,
      classroomName,
      studyManagerName,
      showSingle,
      miniClassId,
      teacherId,
      studyManagerId,
      classRoomId,
      selectedRow,
      subjectId,
      classroomId,
      courseHours,
      everyCourseClassNum,
      everyCourseClassNumMin,
    } = this.props;

    return (
      <div>
        {showSingle ? (
          <SinglePanel
            onClose={onClose}
            subjectId={subjectId}
            subjectName={subjectName}
            classTime={classTime}
            teacherId={teacherId}
            teacherName={teacherName}
            studyManagerId={studyManagerId}
            studyManagerName={studyManagerName}
            classroomId={classroomId}
            classroomName={classroomName}
            miniClassId={miniClassId}
            courseHours={courseHours}
            everyCourseClassNum={everyCourseClassNum}
            everyCourseClassNumMin={everyCourseClassNumMin}
          />
        ) : (
          <MultiPanel
            onClose={onClose}
            teacherId={teacherId}
            teacherName={teacherName}
            studyManagerId={studyManagerId}
            studyManagerName={studyManagerName}
            classRoomId={classRoomId}
            classroomName={classroomName}
            selectedRow={selectedRow || []}
          />
        )}
      </div>
    );
  }
}

export default SyncConfirm;
