import React from 'react';
import { Timeline } from 'antd';
import styles from './styles.less';

class ApprovalInfo extends React.Component {
  constructor(props) {
    super(props);
  }

  render() {
    const { data } = this.props;

    return (
      <Timeline>
        {data.map((item, index) => (
          <Timeline.Item key={index}>
            <div className={styles.approvalItemTime}>{item.operationTime}</div>
            <div className={styles.approvalItemOperation}>
              <span>操作: {item.operationName}</span>
              <span>操作人: {item.operatorName}</span>
            </div>
            <div className={styles.approvalItemRemark}>审批备注: {item.auditRemark || '--'}</div>
          </Timeline.Item>
        ))}
      </Timeline>
    );
  }
}

export default ApprovalInfo;
