import React from 'react';
import Select from 'COMPONENT/Select';
import Modal from 'COMPONENT/Modal';
import showMessage from 'COMPONENT/utils/globalTips/showMessage';
import styles from './styles.less';

class ApprovalSelect extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      selected: null,
    };
  }

  handleSelect = (val) => {
    this.setState({
      selected: val,
    });
  };

  onConfirm = () => {
    const { selected } = this.state;
    if (!selected) {
      showMessage('请选择接收人', 'error');
      return;
    }

    this.props.onConfirm(selected);
  };

  render() {
    const { visible, dict = [], onClose } = this.props;
    const { error } = this.state;

    return (
      <Modal
        toggle
        visible={visible}
        width={600}
        onCancel={onClose}
        onOk={this.onConfirm}
        error={error}
        title={<span>请选择下工序接收人</span>}
      >
        <div className={styles.modalContent}>
          接收人:&nbsp;
          <div className={styles.selectContent}>
            <Select dict={dict} onSelect={this.handleSelect} />
          </div>
        </div>
      </Modal>
    );
  }
}

export default ApprovalSelect;
