import React from 'react';
import PropTypes from 'prop-types';
import style from './index.less';

const classPrefix = 'Field';

const Field = (props) => {
  return (
    <div className={style[classPrefix]}>
      {props.label && <div className={style[`${classPrefix}-label`]}>{props.label}</div>}
      {props.children}
    </div>
  );
};
Field.propTypes = {
  label: PropTypes.string,
};

export default Field;
