import React from 'react';
import Page from 'COMPONENT/Page';
import styles from './styles.less';
import { Tabs } from 'antd';
import TransferAvailable from './TransferAvailable';
import TransferAudited from './TransferAudited';

const TabPane = Tabs.TabPane;

class FollowCustomer extends React.Component {
  constructor(props) {
    super(props);

    this.state = {
      defaultActiveKey: 'available',
    };
  }

  render() {
    const { defaultActiveKey } = this.state;
    return (
      <Page route={this.props.route} title={false} fitWindowHeight={true}>
        <div className="custom-tabs Page-scroller" style={{ height: '100%' }}>
          <Tabs
            className={styles.customTabs}
            tabBarStyle={{ border: 'none', margin: '19px 0 25px 0' }}
            defaultActiveKey={defaultActiveKey}
          >
            <TabPane key="available" tab="待签单">
              <TransferAvailable />
            </TabPane>
            <TabPane key="unavailable" tab="已签单">
              <TransferAudited />
            </TabPane>
          </Tabs>
        </div>
      </Page>
    );
  }
}

export default FollowCustomer;
