/**
 * 格式化新签页面旧boss跳转URL
 *
 * @param params.customerId 客户ID
 * @param params.studentId 学生ID
 * @param params.studentName 学生姓名
 * @param params.gradeId 年级ID
 * @param params.schoolId 学校ID
 * @param params.schoolName 学校名称
 * @param params.blCampusId 合同学习中心
 * @param params.transferIntroduceId 介绍人ID
 * @param params.intentionCampusId 意向学习中心
 * @return {string}
 */
export function formatSignNewUrl(params, isNormal) {
  const {
    customerId,
    studentId,
    studentName,
    gradeId,
    schoolId,
    schoolName,
    transferIntroduceId,
    intentionCampusId,
    blCampusId,
  } = params;
  const url =
    `` +
    `function/contract/editContractReactFeat.html` +
    `?customerId=${customerId}` +
    `&studentId=${studentId}` +
    `&studentType=POTENTIAL` +
    `&contractType=NEW_CONTRACT` +
    `&source=following` +
    `&consultorStudentName=${studentName}` +
    `&studentGrade=${gradeId}` +
    `&pointialStudentIndex=` +
    `&schoolId=${schoolId}` +
    `&schoolName=${schoolName}` +
    `&transferIntroduceId=${!isNormal ? transferIntroduceId : ''}` +
    `&intentionCampusId=${intentionCampusId}` +
    `&blCampusId=${blCampusId}`;

  return url;
}
