import React from 'react';
import PropTypes from 'prop-types';
import { Modal } from 'COMPONENT';
import Main from '../Main';

class ModalAddTransferCustomer extends React.Component {
  static propTypes = {
    afterConfirm: PropTypes.func,
    onCancel: PropTypes.func.isRequired,
    formItemCfg: PropTypes.object,
    id: PropTypes.string,
  };

  static defaultProps = {
    id: 'ModalAddTransferCustomer',
  };

  onConfirm = () => {
    const submitBtn = document.querySelector(`#${this.props.id} #AddTransferCustomer-submit-btn`);
    if (submitBtn) {
      submitBtn.click();
    }
  };

  render() {
    return (
      <Modal title="添加学生" widthSize="XL" onCancel={this.props.onCancel} onOk={this.onConfirm}>
        <div id={this.props.id}>
          <Main afterConfirm={this.props.afterConfirm} formItemCfg={this.props.formItemCfg} btnGroupVisible={false} />
        </div>
      </Modal>
    );
  }
}

export default ModalAddTransferCustomer;
