import { findOrganizationById, getSchoolByBlCampus, getRegionList } from 'SERVICE/common';
import { getCitys, getStudentListByCusContact, saveTransferCustomer } from 'SERVICE/customer';

const regionList = async () => {
  const res = await getRegionList();
  return res.map((ele) => {
    return { val: ele.id, text: ele.name };
  });
};

const organization = async (params) => {
  return await findOrganizationById(params);
};

const cityList = async (params) => {
  const res = await getCitys(params);
  return res.map((ele) => {
    return { val: ele.id, text: ele.name };
  });
};

const schoolList = async (params) => {
  const res = await getSchoolByBlCampus(params);
  const value = res.value || {};
  return Object.keys(value).map((ele) => {
    return { val: ele, text: value[ele] };
  });
};

const studentList = async (params) => {
  return await getStudentListByCusContact(params);
};

export default {
  regionList,
  organization,
  cityList,
  schoolList,
  studentList,
  saveTransferCustomer,
};
