import {
  getResourcePoolCustomer,
  getUsersForNetWorkSelection,
  groupBatchAllocate,
  exportResourcePoolStudent,
} from 'SERVICE/netWorkbench';

// 导出学生
const exportResourcePool = async (params) => {
  const data = await exportResourcePoolStudent(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};
// 获取列表
const getResourcePoolList = async (params) => {
  const data = await getResourcePoolCustomer(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};
const distributeCustomerForNetWork = async (params) => {
  const data = await groupBatchAllocate(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data.data || {};
};

const userForNetWorkDict = async (params) => {
  const res = await getUsersForNetWorkSelection(params);
  const userDictObj = res.reduce((obj, ele) => {
    if (!obj[ele.orgId]) {
      obj[ele.orgId] = {
        label: ele.orgName,
        options: [],
      };
    }
    obj[ele.orgId].options.push({
      val: ele.userId,
      text: ele.userName,
      group: ele.orgName,
    });
    return obj;
  }, {});
  return Object.keys(userDictObj).reduce((arr, ele) => {
    arr.push(userDictObj[ele]);
    return arr;
  }, []);
};

export { exportResourcePool, getResourcePoolList, userForNetWorkDict, distributeCustomerForNetWork };
