import React from 'react';
import Modal from 'COMPONENT/Modal';
import FormItem from 'COMPONENT/FormItem';
import Select from 'COMPONENT/Select';
import showMessage from 'COMPONENT/utils/globalTips/showMessage';
import getWrappedInstance from 'UTIL/getWrappedInstance';
import DistributeDetailModal from './DistributeDetailModal';
import * as loaders from '../loaders';
import { Row, Col } from 'antd';

class DistrbuteResourceModal extends React.Component {
  constructor(props) {
    super(props);

    this.state = {
      loading: true,
      showDistributeDetailModal: false,
      distributeDetail: [],
      userId: '',
      userDict: [],
    };
  }

  onCommit = async () => {
    try {
      const { onClose, onCommit, data } = this.props;

      if (!this.state.userId) {
        this._modal.showOkTips(`请选择分配对象`);
        return;
      }

      this.setState({ loading: true });
      const params = {
        ids: data.map((pool) => pool.id),
        deliverTargetId: this.state.userId.substring(0, this.state.userId.indexOf('-')),
      };
      const { results } = await loaders.distributeCustomerForNetWork(params);
      this.setState({
        showDistributeDetailModal: true,
        distributeDetail: results,
      });
    } catch (e) {
      showMessage('操作失败：' + res.resultMessage, 'error');
      console.log(e);
    }
    this.setState({ loading: false });
  };

  onClose = (isReload) => {
    const { onClose } = this.props;

    this.setState({
      showDistributeDetailModal: false,
    });
    onClose(isReload);
  };
  componentDidMount() {
    this.setState({ loading: true });

    const {} = this.props;
    loaders
      .userForNetWorkDict({
        'job[]': ['XQYYFZR'],
      })
      .then((res) => {
        const userDict = res.map((group) => {
          group.options = group.options.map((option) => {
            option.val = option.val + '-' + option.group + '-' + option.text;
            return option;
          });
          return group;
        });
        this.setState({ userDict, loading: false });
      });
  }

  render() {
    const { onClose } = this.props;
    const { userId, userDict, loading, showDistributeDetailModal, distributeDetail } = this.state;

    return (
      <Modal
        loading={loading}
        title="资源分配"
        onCancel={this.onClose}
        okText="保存"
        onOk={this.onCommit}
        ref={(c) => (this._modal = getWrappedInstance(c))}
        width={650}
      >
        <Row>
          <Col span={24}>
            <FormItem name="分配对象" required="true">
              <Select
                placeholder="请选择分配对象"
                dict={userDict}
                value={userId}
                showSearch
                onChange={(val) => this.setState({ userId: val })}
                filter={(searchKey, option) => {
                  return option.val.indexOf(searchKey) >= 0;
                }}
              />
            </FormItem>
          </Col>
        </Row>
        {showDistributeDetailModal && (
          <DistributeDetailModal distributeDetail={distributeDetail} onClose={() => this.onClose(true)} />
        )}
      </Modal>
    );
  }
}

export default DistrbuteResourceModal;
