import React from 'react';
import Modal from 'COMPONENT/Modal';
import List from 'COMPONENT/List';
const { COL_WIDTH_M, COL_WIDTH_XL } = List;
const columns = [
  { title: '学生姓名', key: 'studentName', dataIndex: 'studentName', width: COL_WIDTH_M },
  { title: '客户姓名', key: 'customerName', dataIndex: 'customerName', width: COL_WIDTH_M },
  { title: '手机号码', key: 'contact', dataIndex: 'contact', width: COL_WIDTH_M },
  {
    title: '分配结果',
    key: 'businessErrorMessage',
    dataIndex: 'businessErrorMessage',
    width: COL_WIDTH_XL,
    render: (text, record) => {
      return record.success ? '分配成功' : text;
    },
  },
];

export default class DistributeDetailModal extends React.Component {
  constructor(props) {
    super(props);
  }

  render() {
    const { onClose, distributeDetail } = this.props;
    return (
      <Modal title="分配结果" width={800} cancelText="关闭" onCancel={onClose} okBtnShow={false}>
        <List columns={columns} dataSource={distributeDetail} />
      </Modal>
    );
  }
}
