import React from 'react';
import { StaffSelect } from 'COMPONENT';
import { Form, Row, Col } from 'antd';

const FormItem = Form.Item;
const formItemCol = {
  labelCol: { span: 8 },
  wrapperCol: { span: 15 },
};

class AssignForm extends React.Component {
  constructor(props) {
    super(props);

    this.state = {
      followup: {},
    };
  }

  render() {
    const { getFieldDecorator } = this.props.form;
    const { followup } = this.state;

    return (
      <div>
        <Row justify="start" type="flex">
          <Col span={24}>
            <FormItem label="分配跟进人" {...formItemCol}>
              {getFieldDecorator('followupUser', {
                rules: [{ required: true, message: '请选择跟进人' }],
              })(
                <StaffSelect
                  placeholder="请选择跟进人"
                  initialValue={{
                    value: followup.val,
                    text: followup.text,
                  }}
                  searchType="ByRoleCode"
                  searchParam={{ roleCode: 'CONSULTOR' }}
                  onChange={(selected) => {
                    this.setState({ followup: selected });
                  }}
                />,
              )}
            </FormItem>
          </Col>
        </Row>
      </div>
    );
  }
}

export default AssignForm;
