import React from 'react';
import { TextArea, StaffSelect } from 'COMPONENT';
import { Form, Row, Col, Radio } from 'antd';

const FormItem = Form.Item;
const RadioGroup = Radio.Group;
const formItemCol = {
  labelCol: { span: 8 },
  wrapperCol: { span: 15 },
};

class AuditForm extends React.Component {
  constructor(props) {
    super(props);

    this.state = {
      followup: {},
    };
  }

  render() {
    const { getFieldDecorator, getFieldValue } = this.props.form;
    const { followup } = this.state;

    return (
      <div>
        <Row justify="start" type="flex">
          <Col span={24}>
            <FormItem label="审核意见" {...formItemCol}>
              {getFieldDecorator('auditStatus', {
                rules: [{ required: true, message: '请选择审核意见' }],
              })(
                <RadioGroup>
                  <Radio value="1">通过</Radio>
                  <Radio value="9">不通过</Radio>
                </RadioGroup>,
              )}
            </FormItem>
          </Col>
        </Row>
        <Row justify="start" type="flex">
          <Col span={24}>
            {getFieldValue('auditStatus') == '1' && (
              <FormItem label="分配跟进人" {...formItemCol}>
                {getFieldDecorator(
                  'followupUser',
                  {},
                )(
                  <StaffSelect
                    placeholder="请选择跟进人"
                    initialValue={{
                      value: followup.val,
                      text: followup.text,
                    }}
                    searchType="ByRoleCode"
                    searchParam={{ roleCode: 'CONSULTOR' }}
                    onChange={(selected) => {
                      this.setState({ followup: selected });
                    }}
                  />,
                )}
              </FormItem>
            )}
            {getFieldValue('auditStatus') == '9' && (
              <FormItem label="备注" {...formItemCol}>
                {getFieldDecorator('auditRemark', {
                  rules: [{ required: true, message: '请输入备注' }],
                })(<TextArea maxLength={64} rows={6} wordCount={true} />)}
              </FormItem>
            )}
          </Col>
        </Row>
      </div>
    );
  }
}

export default AuditForm;
