import React from 'react';
import NoPermission from 'BLOC/NoPermissionPage';
import TableList from './TableList';
import { Page } from 'COMPONENT';
import { isOpenOnSwitchAndResource } from 'SERVICE/customer';
class VerifyOldStudentRegister extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      isNoPermission: true,
      loading: true,
    };
  }
  componentDidMount() {
    this.init();
  }
  init = async () => {
    // 判断是否有权限
    const { resultCode, data } = await isOpenOnSwitchAndResource({
      resourceId: 'verifyOldStudentRegister',
      switchId: 'SC_BRANCH_SIGN_TRANSFER',
    });
    if (resultCode === 0) {
      this.setState({
        isNoPermission: !data,
        loading: false,
      });
    }
  };
  render() {
    const child = this.state.isNoPermission ? (
      <Page route={{ name: '' }} title="" loading={this.state.loading}>
        <NoPermission />
      </Page>
    ) : (
      <TableList route={this.props.route} />
    );
    return child;
  }
}

export default VerifyOldStudentRegister;
