import React from 'react';
import Icon from 'COMPONENT/Icon';
import styles from './imgsItem.less';
import LazyLoad from 'react-lazyload';

export default class Item extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  render() {
    return (
      <div className={styles.item + ' ' + 'scrollItem'} onClick={this.props.onClick}>
        {this.props.item.auditStatus === 'VALIDATE' && (
          <div className={styles.mask}>
            <Icon type="check" color="white" size={45} />
          </div>
        )}

        <LazyLoad overflow={true}>
          <img src={this.props.item.completeUrl} alt="" />
        </LazyLoad>
        {!this.props.showFrame && (
          <div className={styles.hoverMask}>
            <div>{'实际：' + this.props.item.realHours}</div>
          </div>
        )}

        {this.props.showFrame && (
          <div className={styles.uncheckMask}>
            <div>{'实际：' + this.props.item.realHours}</div>
          </div>
        )}
      </div>
    );
  }
}
