import React from 'react';
import styles from './index.less';
import Popover from 'COMPONENT/Popover';
import Item from './imgItems';

export default class PictureWall extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      showLoaded: false,
    };
  }

  componentDidMount() {}

  componentWillReceiveProps(nextProps) {
    if (this.props.data !== nextProps.data) {
      this.setState({ showLoaded: false });
    }
  }

  shouldComponentUpdate(nextProps, nextState) {
    if (this.props.index === nextProps.index && nextProps.data === this.props.data) {
      return false;
    }
    return true;
  }

  scroll = () => {
    let { showLoaded } = this.state;
    let $contains = document.querySelector('.scrollContains');
    let H = $contains.offsetHeight;
    if ($contains.scrollTop > 0 && showLoaded === false) {
      this.setState({ showLoaded: true });
    }
  };

  render() {
    let { detailData, data } = this.props;
    let { showLoaded } = this.state;
    let unit = data[0].realHours.includes('课时') ? '课时' : '小时';
    let title = detailData['detailDict'].map((v, k) => {
      return (
        <div className={styles.wrap} key={k}>
          <span>{v.text}</span>
          <span>{v.num}</span>
        </div>
      );
    });
    return (
      <div className={'calcWidth'} style={{ height: '100%', margin: '0 auto' }}>
        <div className={styles.top}>
          <div className={styles.uncheck}>
            <span>通过{unit}</span>
            <span>
              {detailData['valid']} / {detailData['total']}
            </span>
          </div>
          <div className={'showdetails'}>
            <Popover
              title={title}
              trigger={'click'}
              placement={'bottomLeft'}
              className="detailsview"
              getPopupContainer={() => document.querySelector('.showdetails')}
            >
              <span>查看明细</span>
            </Popover>
          </div>
        </div>
        <div className={'scrollContains'} onScroll={this.scroll}>
          {data.map((v, k) => {
            return (
              <Item
                key={k}
                item={v}
                showFrame={this.props.index === k ? true : false}
                onClick={(e) => this.props.updateIndex(k)}
              />
            );
          })}
          {showLoaded && <div className={styles.loaded}>全部加载完毕</div>}
        </div>
      </div>
    );
  }
}
