import React from 'react';
import styles from './showBig.less';
import Checkbox from 'COMPONENT/Checkbox';
import Button from 'COMPONENT/Button';

export default class ShowBig extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      // show: false,
      show: false,
      showTips: false,
    };
  }

  componentDidMount() {
    let existCookis = document.cookie;
    if (!existCookis.includes('show')) {
      this.setState({ show: true });
    }
    // existCookis.
    /*拖拽功能*/
    this.addEvent(this.$img, 'mousedown', (ev) => {
      let oEvent = this.prEvent(ev);
      let oParent = this.$img.parentNode;
      let disX = oEvent.clientX - this.$img.offsetLeft;
      let disY = oEvent.clientY - this.$img.offsetTop;
      let tag = true;
      let startMove = (ev) => {
        if (tag) {
          let oEvent = ev || window.event,
            l = oEvent.clientX - disX,
            t = oEvent.clientY - disY;
          this.$img.style.left = l + 'px';
          this.$img.style.top = t + 'px';
          oParent.onselectstart = () => {
            return false;
          };
        }
      };
      let endMove = (ev) => {
        tag = false;
        oParent.onselectstart = null;
        this.removeEvent(oParent, 'mousemove', startMove);
        this.removeEvent(oParent, 'mouseup', endMove);
      };
      this.addEvent(oParent, 'mouseout', endMove);
      this.addEvent(oParent, 'mousemove', startMove);
      this.addEvent(oParent, 'mouseup', endMove);
      return false;
    });

    /*以鼠标位置为中心的滑轮放大功能*/
    let self = this;
    this.addWheelEvent(this.$img, function (delta) {
      let ratioL = (this.clientX - 267 - self.$img.offsetLeft) / self.$img.offsetWidth;
      // let ratioL = (this.clientX - self.$img.offsetLeft) / self.$img.offsetWidth;
      let ratioT = (this.clientY - 210 - self.$img.offsetTop) / self.$img.offsetHeight;
      // let ratioT = (this.clientY - self.$img.offsetTop) / self.$img.offsetHeight;
      let ratioDelta = !delta ? 1 + 0.1 : 1 - 0.1;
      let w = parseInt(self.$img.offsetWidth * ratioDelta);
      let h = parseInt(self.$img.offsetHeight * ratioDelta);
      let l = Math.round(this.clientX - 267 - w * ratioL);
      // let l = Math.round(this.clientX - (w * ratioL));
      let t = Math.round(this.clientY - 210 - h * ratioT);
      // let t = Math.round(this.clientY - (h * ratioT));
      self.$img.style.width = w + 'px';
      self.$img.style.height = h + 'px';
      self.$img.style.left = l + 'px';
      self.$img.style.top = t + 'px';
    });
  }

  addEvent = (obj, sType, fn) => {
    if (obj.addEventListener) {
      obj.addEventListener(sType, fn, false);
    } else {
      obj.attachEvent('on' + sType, fn);
    }
  };
  removeEvent = (obj, sType, fn) => {
    obj.removeEventListener(sType, fn, false);
  };
  prEvent = (ev) => {
    let oEvent = ev || window.event;
    if (oEvent.preventDefault) {
      oEvent.preventDefault();
    }
    return oEvent;
  };
  addWheelEvent = (obj, callback) => {
    let wheel = (ev) => {
      let oEvent = this.prEvent(ev),
        delta = oEvent.detail ? oEvent.detail > 0 : oEvent.wheelDelta < 0;
      callback && callback.call(oEvent, delta);
      return false;
    };
    this.addEvent(obj, 'mousewheel', wheel);
  };

  onChange = (e) => {
    this.setState({ noWarning: e.target.checked });
  };
  showTips = () => {
    let { show } = this.state;
    if (show && !this.props.inArrow) {
      this.setState({ showTips: true });
    }
  };
  closeTips = () => {
    let { noWarning } = this.state;
    if (noWarning) {
      document.cookie = 'show=' + false + ';expires=Wed,01 Jan 2025 23:59:59 GMT';
      this.setState({ show: false });
    }
    this.setState({ showTips: false });
  };
  resetRatio = () => {
    this.$img.style.top = '50%';
    this.$img.style.left = '50%';
    this.$img.style.width = null;
    this.$img.style.height = null;
  };

  render() {
    let { showTips } = this.state;
    let { src, inArrow, outArrow, ...props } = this.props;
    return (
      <div onMouseEnter={this.showTips} onMouseLeave={this.props.outArrow}>
        <img src={src} alt="" {...props} ref={(e) => (this.$img = e)} />
        {showTips && (
          <div className={styles.mask}>
            <div>
              <div>可通过鼠标滚轮放大或缩小</div>
              <div>
                <Checkbox onChange={this.onChange}>不再提示</Checkbox>
              </div>
              <div>
                <Button onClick={this.closeTips}>关闭</Button>
              </div>
            </div>
          </div>
        )}
      </div>
    );
  }
}
