import moment from 'moment';

/**
 * 格式化学习中心字段请求参数
 *
 * @param campusType {string} 学习中心类型
 * @param campusTypeCampusIds {Array} 学习中心ids
 */
export function formatCampusTypeCampusIds(campusType, campusTypeCampusIds) {
  let campusParam = {};

  switch (campusType) {
    case '3':
      campusParam.deductionCampusIds = campusTypeCampusIds;
      break;
    case '4':
      campusParam.refundCampusIds = campusTypeCampusIds;
      break;
    case '5':
      campusParam.intoStudentCampusIds = campusTypeCampusIds;
      break;
    case '6':
      campusParam.electronicAccountCampusIds = campusTypeCampusIds;
      break;
    default:
      break;
  }

  return campusParam;
}

/**
 * 格式化时间
 *
 * @param date
 * @return {string}
 */
export function formatTime(date) {
  if (!date) {
    return '';
  }

  return moment(new Date(date)).format('YYYY-MM-DD HH:mm');
}
