import { tabArray } from '../config';

const defaultTabs = [];
const defaultTabKey = '';

const defaultDicts = {
  yearDict: [], // 年份
  smallClassTypeDict: [], // 班级类型
  gradeDict: [], // 年级
  subjectDict: [], // 科目
};

export const defaultTabSearch = {};
export const defaultTabList = {
  listLoading: false,
  list: [], // 列表数据
  pageNo: 1, // 当前页码
  pageSize: 20, // 每页记录数
  totalRecords: 0, // 总记录数
  countRow: null, // 汇总行数据
};
export const defaultTabItems = formatTabItems();

export const defaultState = {
  tabs: defaultTabs,
  tab_key: defaultTabKey,
  dicts: defaultDicts,
  ...defaultTabItems,
};

// 自动生成每个tab的store
function formatTabItems() {
  let tabStore = {};

  tabArray.forEach((item) => {
    const storeKey = `tab_${item.key}`;

    tabStore[storeKey] = {
      ...defaultTabSearch,
      ...defaultTabList,
    };
  });

  return tabStore;
}
