// 咨询师roleCode
export const COUNSELOR_CODE = 'CONSULTOR';

/**
 * 通过用户信息判断是否为咨询师
 * @Attention 不能判断是主组织的咨询师还是副组织的咨询师
 * @param user
 */
export function judgeCounselor(user = {}) {
  if (!user) {
    return false;
  }

  const roleCode = user.roleCode || '';

  return roleCode.indexOf(COUNSELOR_CODE) > -1;
}

/**
 * 通过roleCode判断是否为咨询师
 * @param roleCode
 */
export function isRealCounselor(roleCode = '') {
  if (!roleCode) {
    return false;
  }

  return roleCode === COUNSELOR_CODE;
}
