/**
 * 图文列表排序
 */
import React from 'react';
import styles from './styles.less';
import ArticleCard from '../ArticleCard';
import Reorder from 'react-reorder';
import classnames from 'classnames';

const ListItem = (props) => {
  const {
    item,
    sharedProps: { isTopUser, columnType, menuItem },
  } = props;
  return (
    <div>
      <ArticleCard menuItem={menuItem} data={item} isTopUser={isTopUser} columnType={columnType} type="sort" />
    </div>
  );
};

class SortList extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  sortChange = (event, item, index, newIndex, list) => {
    this.props.onChange(list);
  };

  render() {
    const { list, isTopUser, columnType, colCount, menuItem } = this.props;
    const itemCls = {
      [styles.sortItem]: 1,
      [styles['sortItem' + colCount]]: colCount > 2,
    };

    return (
      <div className={styles.wrap}>
        <Reorder
          itemKey={'id'}
          list={list}
          template={ListItem}
          callback={this.sortChange}
          listClass={styles.sortList}
          itemClass={classnames(itemCls)}
          sharedProps={{ isTopUser, columnType, menuItem }}
        />
      </div>
    );
  }
}

export default SortList;
