import React from 'react';
import Ueditor from 'COMPONENT/Ueditor';
import IconButton from 'COMPONENT/IconButton';
import styles from './imageText.less';
import extraStyles from './uploadCarousel.less';
import { Row, Col } from 'antd';
import UploadCarousel from './uploadCarousel';

class ImageText extends React.Component {
  constructor(props) {
    super(props);
  }

  getContent = () => {
    let content = this.Ueditor.getContent();
    let title = this.Ueditor.getTitle();
    return { content, title };
  };
  setContent = (content) => {
    this.Ueditor.setContent(content);
  };
  setTitle = (title) => {
    this.Ueditor.setTitle(title);
  };

  render() {
    let { content } = this.props;
    const ueConfig = {
      initialContent: '请在此处输入正文内容',
      toolbars: [
        [
          'bold',
          'italic',
          'underline',
          '|',
          'subtitle',
          'blockquote',
          'insertorderedlist',
          'insertunorderedlist',
          '|',
          'indent',
          'justifyleft',
          'justifyright',
          'justifycenter',
          'justifyjustify',
          '|',
          'link',
          'simpleupload',
          'insertvideo',
          'horizontal',
          'removeformat',
          '|',
        ],
      ],
      videoUrlPrefix: '',
    };
    let { carouselClick, coverClick, showType, title, facePic } = this.props;
    showType = showType ? showType : 'showCover';
    return (
      <div className={styles.imageTextContains}>
        <Row gutter={0}>
          <Col span={8}>
            <div className={styles.carousel}>
              <div className={styles.title}>{showType === 'carousel' ? '轮播图' : '封面图'}</div>
              <div className={extraStyles.uploadContains}>
                {showType === 'carousel' && (
                  <span onClick={carouselClick} className={extraStyles.centerWrap}>
                    {!facePic && (
                      <span>
                        <div>
                          <IconButton type="carousel_mc" size={36} />
                        </div>
                        <div>轮播图</div>
                      </span>
                    )}
                    {facePic && <img src={facePic} alt="" />}
                  </span>
                )}
                {showType !== 'carousel' && (
                  <span onClick={coverClick} className={extraStyles.centerWrap}>
                    {!facePic && (
                      <span>
                        <div>
                          <IconButton type="image_mc" size={36} />
                        </div>
                        <div>封面图</div>
                      </span>
                    )}
                    {facePic && <img src={facePic} alt="" />}
                  </span>
                )}
              </div>
            </div>
          </Col>
          <Col span={16}>
            <div className={styles.edit}>
              <Ueditor hasTitle={true} ueConfig={ueConfig} title={title} ref={(e) => (this.Ueditor = e)} />
            </div>
          </Col>
        </Row>
      </div>
    );
  }
}

export default ImageText;
