import React from 'react';
import { Row, Col } from 'antd';
import styles from './index.less';
import Checkbox from 'COMPONENT/Checkbox';
import { connect } from 'dva';

const CheckboxGroup = Checkbox.Group;

class Label extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      refreshData: {},
    };
  }

  onChange = (checkedValue, v) => {
    let { data } = this.props;
    let { updateTags, tagsArray } = this.props;
    updateTags('tags', checkedValue, v);
  };
  openTagManagePage = () => {
    const { dispatch, mode, route, orgId, useType } = this.props;
    dispatch({
      type: 'main/openPage',
      payload: { path: `/${route.path}/TagManage`, params: { orgId, mode: useType }, refresh: true },
    });
  };
  refreshLabel = async () => {
    let data = await this.props.getTagList();
    this.props.updateTagList(data);
  };

  render() {
    let { data } = this.props;
    // let {refreshData} = this.state;
    let typeName = Object.keys(data);
    // if (typeName.length === 0) {
    //   typeName = Object.keys(refreshData);
    //   data = refreshData;
    // }
    // typeName = [];
    return (
      <div className={styles.labelContains}>
        <div className={styles.title}>标签</div>
        <div className={styles.content}>
          {typeName.length > 0 ? (
            typeName.map((v, k) => {
              return (
                <div className={styles.item} key={k}>
                  <div className={styles.itemName}>{v}</div>
                  <div>
                    <CheckboxGroup
                      options={data[v]}
                      defaultValue={[...data[v].filter((V, K) => V.checked === true).map((value, key) => value.value)]}
                      onChange={(e) => this.onChange(e, v)}
                    />
                  </div>
                </div>
              );
            })
          ) : (
            <div className={styles.nodataTips}>
              点击<span onClick={this.openTagManagePage}>添加分类</span> <span onClick={this.refreshLabel}>刷新</span>
            </div>
          )}
        </div>
      </div>
    );
  }
}

export default connect()(Label);
