import React from 'react';
import Input from 'COMPONENT/Input';
import styles from './index.less';
import extraStyles from './uploadCarousel.less';
import IconButton from 'COMPONENT/IconButton';

class Title extends React.Component {
  constructor(props) {
    super(props);
  }

  render() {
    let { carouselClick, coverClick, showType, title, facePic } = this.props;
    showType = showType ? showType : 'showCover';
    return (
      <div className={styles.titleContains}>
        <div>
          <div className={styles.title}>标题</div>
          <div className={styles.input}>
            <Input value={title} onChange={(e) => this.props.updateTitle('title', e.target.value)} />
          </div>
          <div className={styles.title}>{showType === 'carousel' ? '轮播图' : '封面图'}</div>
          <div style={{ paddingLeft: 20 }}>
            <div className={extraStyles.uploadContains}>
              {showType === 'carousel' && (
                <span onClick={carouselClick} className={extraStyles.centerWrap}>
                  {!facePic && (
                    <span>
                      <div>
                        <IconButton type="carousel_mc" size={36} />
                      </div>
                      <div>轮播图</div>
                    </span>
                  )}
                  {facePic && <img src={facePic} alt="" />}
                </span>
              )}
              {showType !== 'carousel' && (
                <span onClick={coverClick} className={extraStyles.centerWrap}>
                  {!facePic && (
                    <span>
                      {/*<div></div>*/}
                      <div>
                        <IconButton type="image_mc" size={36} />
                      </div>
                      <div> 封面图 </div>
                    </span>
                  )}
                  {facePic && <img src={facePic} alt="" />}
                </span>
              )}
            </div>
          </div>
        </div>
      </div>
    );
  }
}

export default Title;
