/**
 * 添加分类
 */
import React from 'react';
import ReactDOM from 'react-dom';
import classnames from 'classnames';
import { Popover } from 'antd';
import styles from './styles.less';
import TextLink from 'COMPONENT/TextLink';
import Input from 'COMPONENT/Input';

class AddCategoryPopConfirm extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      visible: false,
      title: null,
      checking: false,
    };
  }

  ok = () => {
    const { onOk } = this.props;
    const { title, checking } = this.state;
    if (!checking) {
      this.setState({ checking: true });
    }
    if (!title) {
      return;
    }
    this.setState({ visible: false, title: null, checking: false });
    onOk(title);
  };

  render() {
    const { children, onOk, getPopupContainer } = this.props;
    const { visible, title, checking } = this.state;

    const content = (
      <div className={styles.content} ref={(c) => (this.$content = ReactDOM.findDOMNode(c))}>
        <div className={styles.header}>请输入分类名称：</div>
        <div className={styles.body}>
          <Input
            value={title}
            onChange={(e) => this.setState({ title: e.target.value })}
            validator={{ rules: ['required'], silent: !checking }}
            maxLength={6}
            wordCount={true}
            style={{ width: '100%' }}
          />
        </div>
        <div className={styles.footer}>
          <TextLink onClick={this.ok}>确定</TextLink>
          <TextLink type="secondary" style={{ marginLeft: 20 }} onClick={() => this.setState({ visible: false })}>
            取消
          </TextLink>
        </div>
      </div>
    );

    return (
      <Popover
        content={content}
        trigger="click"
        visible={visible}
        onVisibleChange={(visible) => this.setState({ visible })}
        placement="bottomLeft"
        getPopupContainer={getPopupContainer}
      >
        {children}
      </Popover>
    );
  }
}

export default AddCategoryPopConfirm;
