const MODE_BROWSER = 'VISITOR';
const MODE_WORKBENCH = 'LOGIN_USER';

const TOP_ORG_ID = '000001';
const TOP_ORG_NAME = '星火集团';

const STATUS_UNPUBLISH = 'UN_PUBLISH';
const STATUS_PUBLISHED = 'PUBLISH';
const STATUS_TOPUBLISH = 'TO_PUBLISH';

const publishStatusDict = [
  { val: STATUS_UNPUBLISH, text: '待发布' },
  { val: STATUS_PUBLISHED, text: '已发布' },
  { val: STATUS_TOPUBLISH, text: '预约发布' },
];

const BELONG_TYPE_TOP = 'GROUNP';
const BELONG_TYPE_BRANCH = 'BRENCH';
const BELONG_TYPE_CAMPUS = 'CAMPUS';
const BELONG_TYPE_PERSONAL = 'PERSONAL';
const belongTypeDict = [
  { val: BELONG_TYPE_TOP, text: '集团' },
  { val: BELONG_TYPE_BRANCH, text: '分公司' },
];

const RECOMMEND_NO = '0';
const RECOMMEND_YES = '1';
const recommendDict = [
  { val: '0', text: '否' },
  { val: '1', text: '是' },
];

const consultantDict = [{ val: 'all', text: '全部' }];

const getMenuDict = function (menuTree) {
  let dict = [];

  menuTree.forEach((m) => {
    const { id, title, children, showContentNum } = m;
    const hasChildren = children && children.length > 0;
    dict.push({ val: id, text: title, hasChildren, showContentNum });
    if (hasChildren) {
      children.forEach((c) => {
        dict.push({ val: c.id, text: c.title, level: 2, parentId: id, showContentNum: c.showContentNum });
      });
    }
  });

  return dict;
};

const LAYOUT_TYPE_4 = '4';
const LAYOUT_TYPE_9 = '9';
const layoutTypeDict = [
  { val: LAYOUT_TYPE_4, text: '一屏4篇' },
  { val: LAYOUT_TYPE_9, text: '一屏9篇' },
];

const defaultListParams = {
  articleName: '', // {string} 查询条件 图文名称
  belongType: '', // {string} 查询条件 所属类型
  publishStatus: '', // {string} 查询条件 发布状态
  recommend: '', // {string} 查询条件 首页推荐
  sortName: 'time', // {string} 排序字段
  sortType: 'desc', // {string} 排序方式
  //新增咨询师筛选项
  consultant: consultantDict[0].val,
  campusId: null,
  consultorId: null,
};

const ARTICLE_TYPE_PICTURE = 'PICTURE';
const ARTICLE_TYPE_DOCUMENT = 'DOCUMENT';
const ARTICLE_TYPE_LINK = 'LINK';
const ARTICLE_TYPE_VIDEO = 'VIDEO';

const MAX_CAROUSEL_COUNT = 8888888888;
const MAX_CAROUSEL_TIPS = `最多只能发布${MAX_CAROUSEL_COUNT}个轮播图`;
// 最大子菜单数量
const MAX_MENU_COUNT = 20;

const PERSONALINFO = '个性化资料';
// 咨询师roleCode
const CONSULTOR = 'CONSULTOR';
const CHECK_CAMPUS_INFO = 'CHECK_CAMPUS_INFO';

// 内部资料权限
const AUTH_INTERNAL = 'ARTICLE_INTERNAL_DATA';
// 个人资料权限
const AUTH_PERSONAL = 'ARTICLE_PERSONAL_DATA';

// 卡片COL样式
const colStyle = { padding: 10, boxSizing: 'border-box' };

export {
  MODE_BROWSER,
  MODE_WORKBENCH,
  TOP_ORG_ID,
  TOP_ORG_NAME,
  STATUS_UNPUBLISH,
  STATUS_PUBLISHED,
  STATUS_TOPUBLISH,
  publishStatusDict,
  BELONG_TYPE_TOP,
  BELONG_TYPE_BRANCH,
  BELONG_TYPE_CAMPUS,
  BELONG_TYPE_PERSONAL,
  belongTypeDict,
  RECOMMEND_NO,
  RECOMMEND_YES,
  recommendDict,
  consultantDict,
  getMenuDict,
  LAYOUT_TYPE_4,
  LAYOUT_TYPE_9,
  layoutTypeDict,
  defaultListParams,
  ARTICLE_TYPE_PICTURE,
  ARTICLE_TYPE_DOCUMENT,
  ARTICLE_TYPE_LINK,
  ARTICLE_TYPE_VIDEO,
  MAX_CAROUSEL_COUNT,
  MAX_CAROUSEL_TIPS,
  MAX_MENU_COUNT,
  PERSONALINFO,
  CONSULTOR,
  CHECK_CAMPUS_INFO,
  AUTH_INTERNAL,
  AUTH_PERSONAL,
  colStyle,
};
