import React from 'react';
import ReactDOM from 'react-dom';
import { Tooltip } from 'antd';
import styles from './cell.less';

class Cell extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  componentDidMount() {
    setTimeout(() => {
      this.refreshTooltip();
    }, 500);
  }

  refreshTooltip = () => {
    let H = 24;
    let ofSetH = (this.$hidden && this.$hidden.offsetHeight) || 0;
    this.setState({ hasTooltip: ofSetH > H ? true : false });
  };

  render() {
    let { text } = this.props;
    let { hasTooltip } = this.state;
    return (
      <div className={styles.wrap}>
        <Tooltip title={hasTooltip ? text : null}>
          <span className={styles.textEllipsis} ref={(e) => (this.$span = e)}>
            {text}
          </span>
        </Tooltip>
        <div className={styles.hidden}>
          <div ref={(e) => (this.$hidden = e)}>{text}</div>
        </div>
      </div>
    );
  }
}

export default Cell;
