import React from 'react';
import Upload from '../Upload';
import styles from './firstTabsItem.less';

import Tabs, { Tab } from 'COMPONENT/Tabs';
import Radio from 'COMPONENT/Radio';
import Button from 'COMPONENT/Button';
import { Switch } from 'antd';
import showMessage from 'COMPONENT/utils/globalTips/showMessage';

const RadioGroup = Radio.Group;
const mapOrder = {
  0: '一',
  1: '二',
  2: '三',
  3: '四',
  4: '五',
  5: '六',
  6: '七',
  7: '八',
  8: '九',
  9: '十',
  10: '十一',
  11: '十二',
  12: '十三',
  13: '十四',
  14: '十五',
};
import { saveIconList, publishIconList } from 'SERVICE/ipadFrameManage';

class TabsItem extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      saveObject: {},
      tagsArray: [],
      newAddtag: false,
    };
  }

  value = 1;

  // shouldComponentUpdate(nextProps, nextState) {
  //   return nextProps.data !== this.props.data;
  // }

  componentWillReceiveProps(nextProps) {
    let { data } = nextProps;
    if (data[0]) {
      this.value = data[0].showType;
      this.setState({});
    }
  }

  /**
   * 记录图片url地址
   * @param v {object} 第几套图标
   * @param V {object} 每套图标中单个目录信息对象
   * @param src {string} 阿里云图片地址
   * @param status {string} 选中还是未选中
   */
  updateSrc = (v, V, src, status, k) => {
    let { saveObject, tagsArray } = this.state;
    let { id } = v;
    id = id ? id : 'newAdd';

    saveObject[id] = saveObject[id] ? saveObject[id] : [];
    let index = saveObject[id].findIndex((value, key) => {
      return V.menuName == value.menuName;
    });
    if (index === -1) {
      saveObject[id].push({ menuName: V.menuName, menuId: V.menuId, [status]: src });
    } else {
      saveObject[id][index][status] = src;
    }

    if (k === undefined) {
      this.setState({ newAddtag: true, clear: false });
    } else {
      tagsArray[k] = true;
      this.setState({ tagsArray });
    }
  };

  /**
   * 图标管理保存
   * @param id
   */
  saveIconList = (id, k) => {
    let { saveObject, tagsArray } = this.state;
    let { data: propsData, onSaveSuccess } = this.props;
    let saveLists = saveObject[id] || [];
    let data = propsData.find((v, k) => {
      return v.id === id;
    });
    data = data ? data : propsData[0];
    let bindIcoVos = data.bindIcoVos.map((v, k) => {
      let obj = saveLists.find((V, K) => {
        return V.menuName == v.menuName;
      });
      let grayIco, icoUrl;
      if (obj) {
        grayIco = obj.grayIco;
        icoUrl = obj.icoUrl;
      }
      if (id === 'newAdd') {
        return {
          grayIco: grayIco ? grayIco : null,
          icoId: null,
          icoUrl: icoUrl ? icoUrl : null,
          id: null,
          menuId: v.menuId,
        };
      } else {
        return {
          grayIco: grayIco ? grayIco : v.grayIco,
          icoId: v.icoId,
          icoUrl: icoUrl ? icoUrl : v.icoUrl,
          id: v.id,
          menuId: v.menuId,
        };
      }
    });
    let apiParams = {
      bindIcoVos,
      id: id === 'newAdd' ? null : id,
      menuLevel: data.menuLevel,
      publishUser: data.publishUser,
      status: id === 'newAdd' ? '1' : data.status,
      menuId: null,
      showType: null, //一级目录图标没有模式选项
    };
    this.props.showLoading();
    saveIconList(apiParams)
      .then(async (res) => {
        showMessage('保存成功', 'success');
        onSaveSuccess();
        this.props.hideLoading();
        tagsArray[k] = false;
        this.setState({ tagsArray, clear: id === 'newAdd' ? true : false, newAddtag: false });
      })
      .catch((res) => {
        this.props.hideLoading();
      });
  };

  /**
   * 启用图标和取消启用
   * @param checked {Boolean} switch是否开启
   * @param id {number} 图标对应id
   */
  onChange = (checked, id) => {
    // let {iconList} = this.state;
    let { data: propsData, onSaveSuccess } = this.props;
    let status;

    //检查当前这一套的图标是否完整，才允许启用；
    let data = propsData.find((v, k) => {
      return v.id === id;
    });
    if (data) {
      let bindIcoVos = data.bindIcoVos;
      let len = bindIcoVos.length;
      for (let i = 0; i < len; i++) {
        if (!bindIcoVos[i].icoUrl || !bindIcoVos[i].grayIco) {
          showMessage('请将图标补充完整再启用!');
          return;
        }
      }
    }
    if (checked) {
      status = 0;
    } else {
      return;
      status = 1;
    }

    publishIconList({ id, menuLevel: 1 }).then((res) => {
      showMessage('启用成功', 'success');
      onSaveSuccess();
    });
  };

  mapShowPreviewData = (id) => {
    let { saveObject } = this.state;
    let { data: propsData } = this.props;
    let saveLists = saveObject[id] || [];
    let data = propsData.find((v, k) => {
      return v.id === id;
    });
    data = data ? data : propsData[0];
    let bindIcoVos = data.bindIcoVos.map((v, k) => {
      let obj = saveLists.find((V, K) => {
        return V.menuName == v.menuName;
      });
      let grayIco, icoUrl;
      if (obj) {
        grayIco = obj.grayIco;
        icoUrl = obj.icoUrl;
      }
      if (id === 'newAdd') {
        return {
          grayIco: grayIco ? grayIco : null,
          icoId: null,
          icoUrl: icoUrl ? icoUrl : null,
          id: null,
          menuId: v.menuId,
        };
      } else {
        return {
          grayIco: grayIco ? grayIco : v.grayIco,
          icoId: v.icoId,
          icoUrl: icoUrl ? icoUrl : v.icoUrl,
          id: v.id,
          menuId: v.menuId,
        };
      }
    });

    this.props.showPreview(bindIcoVos);
  };

  render() {
    let { data } = this.props;
    let { tagsArray, newAddtag, clear } = this.state;
    return (
      <div>
        {data.map((v, k) => {
          return (
            <div key={k} className={'item'}>
              <div className={styles.top}>
                <div className={styles.title}>第{mapOrder[k]}套图标</div>
                <Switch
                  checked={v.status === '0' ? true : false}
                  onChange={(e) => this.onChange(e, v.id)}
                  checkedChildren="启用"
                  unCheckedChildren="关闭"
                />
                {/*<a href="#" className={styles.handle} onClick={e => this.props.showPreview(k)}>*/}
                <a className={styles.handle} onClick={(e) => this.mapShowPreviewData(v.id)}>
                  效果预览
                </a>
              </div>
              <div className={styles.content}>
                <div className={styles.normal}>
                  <div className={styles.label}>正常状态</div>
                  {v.bindIcoVos.map((V, K) => {
                    return (
                      <div className={styles.iconUpload} key={K}>
                        <Upload srcProps={V.grayIco} upDateSrc={(src) => this.updateSrc(v, V, src, 'grayIco', k)} />
                        <span>{V.menuName}</span>
                      </div>
                    );
                  })}
                </div>
                <div className={styles.normal}>
                  <div className={styles.label}>选中状态</div>
                  {v.bindIcoVos.map((V, K) => {
                    return (
                      <div className={styles.iconUpload} key={K}>
                        <Upload srcProps={V.icoUrl} upDateSrc={(src) => this.updateSrc(v, V, src, 'icoUrl', k)} />
                        <span>{V.menuName}</span>
                      </div>
                    );
                  })}
                </div>
              </div>
              <div className={styles.btn}>
                <Button
                  type="primary"
                  onClick={(e) => this.saveIconList(v.id, k)}
                  disabled={tagsArray[k] ? false : true}
                >
                  {tagsArray[k] ? '保存' : '已保存'}
                </Button>
              </div>
            </div>
          );
        })}

        <div className={'item'}>
          <div className={styles.top}>
            <div className={styles.title}>第{mapOrder[data.length]}套图标</div>
            <a href="#" className={styles.handle} onClick={(e) => this.mapShowPreviewData('newAdd')}>
              效果预览
            </a>
          </div>
          <div className={styles.content}>
            <div className={styles.normal}>
              <div className={styles.label}>正常状态</div>
              {data[0] &&
                data[0].bindIcoVos.map((V, K) => {
                  return (
                    <div className={styles.iconUpload} key={K}>
                      <Upload srcProps={''} clear={clear} upDateSrc={(src) => this.updateSrc({}, V, src, 'grayIco')} />
                      <span>{V.menuName}</span>
                    </div>
                  );
                })}
            </div>
            <div className={styles.normal}>
              <div className={styles.label}>选中状态</div>
              {data[0] &&
                data[0].bindIcoVos.map((V, K) => {
                  return (
                    <div className={styles.iconUpload} key={K}>
                      <Upload srcProps={''} clear={clear} upDateSrc={(src) => this.updateSrc({}, V, src, 'icoUrl')} />
                      <span>{V.menuName}</span>
                    </div>
                  );
                })}
            </div>
          </div>
          <div className={styles.btn}>
            <Button type="primary" disabled={!newAddtag} onClick={(e) => this.saveIconList('newAdd')}>
              保存
            </Button>
          </div>
        </div>
      </div>
    );
  }
}

export default TabsItem;
