import React from 'react';
import Modal from 'COMPONENT/Modal';
import styles from './preview.less';
import IpadContent from 'ASSET/imgs/padContent.png';

class Preview extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      name: '',
    };
  }

  onOk = () => {};

  render() {
    let { previewList, onClose } = this.props;
    return (
      <Modal
        loading={false}
        onOk={onClose}
        title="预览"
        width={716}
        okBtnShow={false}
        closable={true}
        cancelBtnShow={false}
        onCancel={onClose}
        className={styles.modal}
      >
        <div className={styles.ipadContains}>
          <div className={styles.frame}>
            <div className={styles.menu}>
              <div className={styles.content}>
                {previewList.map((v, k) => {
                  return (
                    <span key={k}>
                      <img src={v.grayIco} alt="" />
                      <div>{v.menuName}</div>
                    </span>
                  );
                })}
              </div>
            </div>
            <img src={IpadContent} alt="" />
          </div>
        </div>
      </Modal>
    );
  }
}

export default Preview;
