import React from 'react';
import styles from '../index.less';
import ShowMessage from 'COMPONENT/utils/globalTips/showMessage';

export default class Player extends React.Component {
  onError = (e) => {
    ShowMessage('网络错误，播放音频失败！');
  };
  render() {
    const { audioData: { filePath, showName } = {} } = this.props;
    if (!(showName && filePath)) {
      return null;
    }
    return (
      <div className={styles.recordingAudioWrapper}>
        <span className={styles.title}>{`正在播放-${showName}`}</span>
        <audio ref={(refs) => (this.refs = refs)} onError={this.onError} src={filePath} controls autoPlay />
      </div>
    );
  }
}
