import React from 'react';
import Modal from 'COMPONENT/Modal';
import FormItem from 'COMPONENT/FormItem';
import TextArea from 'COMPONENT/TextArea';
import showMessage from 'SRC/components/utils/globalTips/showMessage';

class RemarkModal extends React.Component {
  state = {
    textInputValue: this.props.value,
  };
  onConfirmModal = () => {
    const { textInputValue } = this.state;
    this.props.onConfirm({
      value: textInputValue || '',
    });
  };
  render() {
    const { onClose } = this.props;
    const { textInputValue } = this.state;
    const { onConfirmModal } = this;
    return (
      <Modal title="备注" onCancel={onClose} width={650} okText="确定" onOk={onConfirmModal}>
        <FormItem name="备注">
          <TextArea
            maxLength={200}
            rows={6}
            placeholder="请填写备注"
            value={textInputValue}
            onChange={(e) => this.setState({ textInputValue: e.target.value })}
          />
        </FormItem>
        <span style={{ paddingLeft: '50px' }}>
          <span style={{ color: 'red' }}>{`${textInputValue ? textInputValue.length : 0}`}</span>/200
        </span>
      </Modal>
    );
  }
}

export default RemarkModal;
