import api from 'SERVICE/ipadBackEnd';

const loadVoiceRecord = async (params) => {
  const data = await api.loadVoiceRecord(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

const saveVoiceRemark = async (params) => {
  const data = await api.saveVoiceRemark(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};
const getVoiceRole = async (params) => {
  const data = await api.getVoiceRole(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};
const getOrganizationList = async (params) => {
  const data = await api.getOrganizationList(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return Array.isArray(data.data) ? data.data.map((org) => ({ text: org.name, val: org.id })) : [];
};

export { loadVoiceRecord, saveVoiceRemark, getVoiceRole, getOrganizationList };
