import { listVisitUser, getInviteDetailByNo } from 'SERVICE/marketActivityManage';

// // 已迁移接口
// const getVisitUser = async (params) => {
//   const {pageNo,pageSize, ...extraParams} = params
//   const { data, resultMessage } = await listVisitUser({
//     current: pageNo,
//     size: pageSize,
//     params: extraParams
//   })
//   return {
//     records: data.records,
//     total: data.total,
//     resultMessage
//   }
// }

const getVisitUser = async (params) => {
  const { data, resultMessage } = await listVisitUser(params);
  return {
    records: data.records,
    total: data.total,
    resultMessage,
  };
};

const getInviteDetail = async (params) => {
  const res = await getInviteDetailByNo(params);
  if (res.resultCode !== 0) {
    throw new Error(res.resultMessage);
  }
  return res;
};

export { getVisitUser, getInviteDetail };
