import React from 'react';
import Modal from 'COMPONENT/Modal';
import FormItem from 'COMPONENT/FormItem';
import Select from 'COMPONENT/Select';
import showMessage from 'COMPONENT/utils/globalTips/showMessage';

class TransferSchoolModal extends React.Component {
  static defaultProps = {
    campusDict: [],
    order: {},
  };
  state = {
    intentionCampusId: null,
  };
  onConfirmModal = () => {
    const { intentionCampusId } = this.state;
    const { order } = this.props;
    if (!intentionCampusId) {
      showMessage('请选择转入校区！');
      return false;
    }
    this.props.onConfirm({
      intentionCampusId,
      studentNo: order.studentNo,
    });
  };

  render() {
    const { onClose, campusDict, order } = this.props;
    const { intentionCampusId } = this.state;
    const { onConfirmModal } = this;

    const filterCampusDict = campusDict.filter((campus) => campus.val !== order.intentionCampusId);
    return (
      <Modal title="转校" onCancel={onClose} width={500} okText="确定" onOk={onConfirmModal}>
        <FormItem name="学生名称" labelWidth={80}>
          <span>{order.studentName}</span>
        </FormItem>
        <FormItem name="意向校区" labelWidth={80}>
          <span>{order.intentionCampusName}</span>
        </FormItem>
        <FormItem name="转入校区" required="true" labelWidth={80}>
          <Select
            placeholder="请选择校区"
            dict={filterCampusDict}
            value={intentionCampusId}
            allowClear={true}
            showSearch={true}
            onChange={(intentionCampusId) => this.setState({ intentionCampusId })}
          />
        </FormItem>
      </Modal>
    );
  }
}

export default TransferSchoolModal;
