import React from 'react';
import style from './FormDetail.less';
import ContentBlock from '../components/ContentBlock';
import TopicDetail from '../components/TopicDetail';

const classPrefix = 'FormDetail';

const FormDetail = (props) => {
  return (
    <div className={style[classPrefix]} style={props.style || null}>
      <ContentBlock title="信息收集" bodyClassName={props.bodyClassName}>
        {props.list.map((item) => (
          <TopicDetail className={style[`${classPrefix}-topicWrap`]} {...item} key={item.id} />
        ))}
      </ContentBlock>
    </div>
  );
};
FormDetail.defaultProps = {
  bodyClassName: '',
};

export default FormDetail;
