/**
 * Created by Haolin on 2019/5/29.
 */
import React from 'react';
import { connect } from 'dva';
import style from './index.less';
import { storeName, validityDict } from '../store/constants';
import MultiSelect from 'COMPONENT/MultiSelect';
import Select from 'COMPONENT/Select';
import Button from 'COMPONENT/Button';

const classPrefix = 'IndexBar';

const ItemWrap = (props) => {
  let widthStyle = props.width ? { width: props.width } : null;
  return (
    <div className={style[`${classPrefix}-ItemWrap`]} style={widthStyle}>
      {props.children}
    </div>
  );
};

class IndexBar extends React.Component {
  constructor(props) {
    super(props);
    this.updateBranch = this.updateBranch.bind(this);
    this.updateValidity = this.updateValidity.bind(this);
    this.reset = this.reset.bind(this);
  }

  updateBranch(val) {
    this.props.dispatch({
      type: `${storeName}/updateState`,
      payload: {
        sKey_branch: val,
      },
    });
  }

  updateValidity(val) {
    this.props.dispatch({
      type: `${storeName}/updateState`,
      payload: {
        sKey_validity: val,
      },
    });
  }

  reset() {
    this.props.dispatch({
      type: `${storeName}/updateState`,
      payload: {
        sKey_branch: [],
        sKey_validity: null,
      },
    });
  }

  render() {
    return (
      <div className={style[classPrefix]}>
        <ItemWrap width={180}>
          <MultiSelect
            placeholder="分公司"
            dict={this.props.branchDict}
            value={this.props.sKey_branch}
            onChange={this.updateBranch}
            showSearch
          />
        </ItemWrap>
        <ItemWrap width={180}>
          <Select
            placeholder="是否有效"
            dict={validityDict}
            value={this.props.sKey_validity}
            onChange={this.updateValidity}
          />
        </ItemWrap>
        <ItemWrap>
          <Button type="primary" onClick={this.props.onSearch}>
            查询
          </Button>
        </ItemWrap>
        <ItemWrap>
          <Button type="default" onClick={this.reset}>
            重置
          </Button>
        </ItemWrap>
        <ItemWrap>
          <Button type="primary" onClick={this.props.onAdd}>
            新增
          </Button>
        </ItemWrap>
      </div>
    );
  }
}

const mapStateToProps = (state) => {
  return {
    branchDict: state.dict.branch,
    sKey_branch: state[storeName].sKey_branch,
    sKey_validity: state[storeName].sKey_validity,
  };
};

export default connect(mapStateToProps)(IndexBar);
