import React from 'react';
import PropTypes from 'prop-types';
import style from './index.less';
import Icon from 'COMPONENT/Icon';

const classPrefix = 'AddFormTopicBtn';

const AddFormTopicBtn = (props) => {
  return (
    <div className={style[classPrefix]} onClick={props.onClick}>
      <div className={style[`${classPrefix}-content`]}>
        <Icon type="plus" size={16} color={'#999'} />
        <span className={style[`${classPrefix}-text`]}>{props.text}</span>
      </div>
    </div>
  );
};
AddFormTopicBtn.propTypes = {
  text: PropTypes.string,
  onClick: PropTypes.func,
};
AddFormTopicBtn.defaultProps = {
  text: '添加',
  onClick: () => {},
};

export default AddFormTopicBtn;
