import React from 'react';
import PropTypes from 'prop-types';
import style from './index.less';
import classNames from 'classnames';

const classPrefix = 'ContentBlock';

const ContentBlock = (props) => {
  return (
    <div className={style[classPrefix]}>
      <div className={style[`${classPrefix}-header`]}>
        <div className={style[`${classPrefix}-title`]}>{props.title}</div>
      </div>
      <div className={classNames(style[`${classPrefix}-body`], props.bodyClassName)} style={props.bodyStyle}>
        {props.children}
      </div>
    </div>
  );
};
ContentBlock.PropTypes = {
  title: PropTypes.string,
  bodyClassName: PropTypes.string,
  bodyStyle: PropTypes.object,
};
ContentBlock.defaultProps = {
  bodyClassName: '',
  bodyStyle: null,
};

export default ContentBlock;
