import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import style from './index.less';

const classPrefix = 'Label';

const Label = (props) => {
  return (
    <div className={classNames(style[classPrefix], props.required ? style.required : '', props.classname)}>
      {props.name}
    </div>
  );
};
Label.propTypes = {
  name: PropTypes.string.isRequired,
  required: PropTypes.bool,
  classname: PropTypes.string,
};

export default Label;
