import {
  getFollowupCustomersForPlat,
  getCustomerMeetingConfirm,
  getLastAppointmentRecord,
  updateAppointCustomer,
  findCustomerDynamicStatusByCustomerStudentId,
  findCustomerById,
  setDeleteStudent,
  getUsersByRoleSign,
  saveFollowRecord,
  getCustomerOverviewForPlat,
  getNetWorkFollowupCustomers,
  getUsersForNetWorkSelection,
  distributeCustomerForNetWork,
  checkPilotCampusCustomer,
  customerOverviewForNetWork,
} from 'SERVICE/netWorkbench';

const getFollowupCustomersForPlatList = async (params) => {
  const apiData = await getFollowupCustomersForPlat(params);
  return {
    page: apiData.page,
    total: apiData.total,
    records: apiData.records,
    rows: apiData.rows,
  };
};

const customerMeetingConfirm = async (params) => {
  return await getCustomerMeetingConfirm(params);
};

const lastAppointmentRecord = async (params) => {
  return await getLastAppointmentRecord(params);
};

const updateAppointmentRecord = async (params) => {
  return await updateAppointCustomer(params);
};

const customerDynamicStatus = async (params) => {
  return await findCustomerDynamicStatusByCustomerStudentId(params);
};

const customer = async (params) => {
  return await findCustomerById(params);
};

const userDict = async (params) => {
  const res = await getUsersByRoleSign(params);
  const userDictObj = res.reduce((obj, ele) => {
    if (!obj[ele.orgId]) {
      obj[ele.orgId] = {
        label: ele.orgName,
        options: [],
      };
    }
    obj[ele.orgId].options.push({
      val: ele.userId,
      text: ele.userName,
      group: ele.orgName,
    });
    return obj;
  }, {});
  return Object.keys(userDictObj).reduce((arr, ele) => {
    arr.push(userDictObj[ele]);
    return arr;
  }, []);
};

const userForNetWorkDict = async (params) => {
  const res = await getUsersForNetWorkSelection(params);
  const userDictObj = res.reduce((obj, ele) => {
    if (!obj[ele.orgId]) {
      obj[ele.orgId] = {
        label: ele.orgName,
        options: [],
      };
    }
    obj[ele.orgId].options.push({
      val: ele.userId,
      text: ele.userName,
      group: ele.orgName,
    });
    return obj;
  }, {});
  return Object.keys(userDictObj).reduce((arr, ele) => {
    arr.push(userDictObj[ele]);
    return arr;
  }, []);
};

export default {
  getFollowupCustomersForPlatList,
  customerMeetingConfirm,
  lastAppointmentRecord,
  updateAppointmentRecord,
  customerDynamicStatus,
  customer,
  setDeleteStudent,
  userDict,
  saveFollowRecord,
  getCustomerOverviewForPlat,
  getNetWorkFollowupCustomers,
  userForNetWorkDict,
  distributeCustomerForNetWork,
  checkPilotCampusCustomer,
  customerOverviewForNetWork,
};
