import React from 'react';
import styles from './styles.module.less';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import { runFunc } from 'UTIL/common';

const InputButton = (props) => {
  return (
    <div
      className={classNames('ant-input', 'ant-input-lg', styles.inputButton, props.className)}
      style={props.style}
      onClick={() => {
        runFunc(props.onClick, props.text, props.value);
      }}
    >
      <span className={classNames(styles.text, props.text ? styles.textActive : '')} title={props.text}>
        {props.text || props.placeholder}
      </span>
      <input className={styles.hide} type="text" value={props.value} />
      {props.slot}
    </div>
  );
};

InputButton.propTypes = {
  placeholder: PropTypes.string,
  text: PropTypes.string,
  value: PropTypes.string,
  onClick: PropTypes.func,
  className: PropTypes.string,
  style: PropTypes.object,
  slot: PropTypes.node,
};

export default InputButton;
