import React from 'react';
import { Row, Col } from 'antd';
import { getFieldWithFiller } from 'COMPONENT/utils/form';
import styles from '../styles.less';

const statusMap = {
  STAY_FOLLOW: '待跟进',
  FOLLOWING: '跟进中',
};
export default class CustomerInfo extends React.Component {
  constructor(props) {
    super(props);
  }

  render() {
    const { customer } = this.props;
    return (
      <div>
        <Row className={styles.edit_form_item} gutter={10}>
          <Col span={6}>
            <span className={styles.label}>学生姓名：</span>
            <span className={styles.info}>{getFieldWithFiller(customer.studentName)}</span>
          </Col>
          <Col span={6}>
            <span className={styles.label}>年级：</span>
            <span className={styles.info}>{getFieldWithFiller(customer.gradeName)}</span>
          </Col>
          <Col span={6}>
            <span className={styles.label}>学校：</span>
            <span className={styles.info}>{getFieldWithFiller(customer.schoolName)}</span>
          </Col>
          <Col span={6}>
            <span className={styles.label}>学生电话：</span>
            <span className={styles.info}>{getFieldWithFiller(customer.studentContact)}</span>
          </Col>
        </Row>
        <Row className={styles.edit_form_item} gutter={10}>
          <Col span={6}>
            <span className={styles.label}>客户姓名：</span>
            <span className={styles.info}>{getFieldWithFiller(customer.customerName)}</span>
          </Col>
          <Col span={6}>
            <span className={styles.label}>客户电话：</span>
            <span className={styles.info}>{getFieldWithFiller(customer.customerContact)}</span>
          </Col>
          <Col span={6}>
            <span className={styles.label}>出生日期：</span>
            <span className={styles.info}>{getFieldWithFiller(customer.birthday)}</span>
          </Col>
          <Col span={6}>
            <span className={styles.label}>客户身份证：</span>
            <span className={styles.info}>{getFieldWithFiller(customer.idCardNo)}</span>
          </Col>
        </Row>
        <Row className={styles.edit_form_item} gutter={10}>
          <Col span={6}>
            <span className={styles.label}>父亲姓名：</span>
            <span className={styles.info}>{getFieldWithFiller(customer.fatherName)}</span>
          </Col>
          <Col span={6}>
            <span className={styles.label}>父亲电话：</span>
            <span className={styles.info}>{getFieldWithFiller(customer.fatherPhone)}</span>
          </Col>
          <Col span={6}>
            <span className={styles.label}>母亲姓名：</span>
            <span className={styles.info}>{getFieldWithFiller(customer.motherName)}</span>
          </Col>
          <Col span={6}>
            <span className={styles.label}>母亲电话：</span>
            <span className={styles.info}>{getFieldWithFiller(customer.motherPhone)}</span>
          </Col>
        </Row>
        <Row className={styles.edit_form_item} gutter={10}>
          <Col span={6}>
            <span className={styles.label}>家庭住址：</span>
            <span className={styles.info}>{getFieldWithFiller(customer.address)}</span>
          </Col>
          <Col span={12}>
            <span className={styles.label}>备注：</span>
            <span className={styles.info}>{getFieldWithFiller(customer.remark)}</span>
          </Col>
        </Row>
        <Row className={styles.edit_form_item} gutter={10}>
          <Col span={6}>
            <span className={styles.label}>所属组织：</span>
            <span className={styles.info}>{getFieldWithFiller(customer.blOrganizationName)}</span>
          </Col>
          <Col span={6}>
            <span className={styles.label}>分配人：</span>
            <span className={styles.info}>
              {+customer.isImport ? '' : getFieldWithFiller(customer.deliverOperateUserName)}
            </span>
          </Col>
          <Col span={6}>
            <span className={styles.label}>跟进人：</span>
            <span className={styles.info}>{getFieldWithFiller(customer.deliverTargetName)}</span>
          </Col>
        </Row>
        <Row className={styles.edit_form_item} gutter={10}>
          <Col span={6}>
            <span className={styles.label}>跟进状态：</span>
            <span className={styles.info}>{getFieldWithFiller(statusMap[customer.dealStatus])}</span>
          </Col>
          <Col span={6}>
            <span className={styles.label}>资源入口：</span>
            <span className={styles.info}>{getFieldWithFiller(customer.resEntranceName)}</span>
          </Col>
          <Col span={6}>
            <span className={styles.label}>资源来源：</span>
            <span className={styles.info}>{getFieldWithFiller(customer.cusTypeName)}</span>
          </Col>
          <Col span={6}>
            <span className={styles.label}>来源细分：</span>
            <span className={styles.info}>{getFieldWithFiller(customer.cusOrgName)}</span>
          </Col>
        </Row>
      </div>
    );
  }
}
