import React from 'react';
import CustomerPanel from './views/CustomerPanel';
import CustomerTabsPanel from './views/CustomerTabsPanel';
import { Page, Loading } from 'COMPONENT';

export default class CustomerDetail extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      customerInfo: null,
    };
  }

  getCustomerInfo = (customerInfo) => {
    this.setState({ customerInfo });
  };

  render() {
    return (
      <Page route={this.props.route}>
        <CustomerPanel {...this.props} getCustomerInfo={this.getCustomerInfo} />
        {this.state.customerInfo ? (
          <CustomerTabsPanel {...this.props} customerInfo={this.state.customerInfo} />
        ) : (
          <Loading loading={true} />
        )}
      </Page>
    );
  }
}
