import { List } from 'COMPONENT';
import moment from 'moment';

const { COL_WIDTH_M, COL_WIDTH_L } = List;

export default [
  {
    title: '客户姓名',
    dataIndex: 'customerName',
    key: 'customerName',
    width: COL_WIDTH_L,
  },
  {
    title: '学生姓名',
    dataIndex: 'studentName',
    key: 'studentName',
    width: COL_WIDTH_L,
  },
  {
    title: '学校',
    dataIndex: 'schoolName',
    key: 'schoolName',
    width: COL_WIDTH_M,
  },
  {
    title: '年级',
    dataIndex: 'gradeName',
    key: 'gradeName',
    width: COL_WIDTH_M,
  },
  {
    title: '资源入口',
    dataIndex: 'resEntranceName',
    key: 'resEntranceName',
  },
  {
    title: '最新跟进记录',
    dataIndex: 'lastFollowUpContent',
    key: 'lastFollowUpContent',
    width: 150,
  },
  {
    title: '最新跟进时间',
    dataIndex: 'lastFollowUpTime',
    key: 'lastFollowUpTime',
    width: 140,
    render: (text) => {
      if (!text) return '';

      return moment(Number(text)).format('YYYY-MM-DD HH:mm:ss');
    },
  },
  {
    title: '意向度',
    dataIndex: 'intentionName',
    key: 'intentionName',
    width: 80,
  },
  {
    title: '未跟进天数',
    dataIndex: 'countDay',
    key: 'countDay',
    width: 100,
    render: (text, row) => {
      let compareTime = row.lastFollowUpTime || row.deliverTime || row.createTime;

      if (!compareTime) return '';

      let currentTimestamp = Date.now();
      let preTimestamp = new Date(compareTime).getTime();
      let time = currentTimestamp - preTimestamp;
      let day = Math.floor(time / (24 * 60 * 60 * 1000));

      return day;
    },
  },
  {
    title: '创建日期',
    dataIndex: 'createTime',
    key: 'createTime',
    width: 150,
    render: (text) => {
      if (!text) return '';

      return moment(Number(text)).format('YYYY-MM-DD HH:mm:ss');
    },
  },
];
