import { List } from 'COMPONENT';
import moment from 'moment';
const { COL_WIDTH_M, COL_WIDTH_L } = List;

export default [
  {
    title: '客户姓名',
    dataIndex: 'customerName',
    key: 'customerName',
    width: COL_WIDTH_L,
  },
  {
    title: '学生姓名',
    dataIndex: 'studentName',
    key: 'studentName',
    width: COL_WIDTH_L,
  },
  {
    title: '客户电话',
    dataIndex: 'customerContact',
    key: 'customerContact',
    width: COL_WIDTH_L,
  },
  {
    title: '资源入口',
    dataIndex: 'resEntranceName',
    key: 'resEntranceName',
    width: COL_WIDTH_L,
  },
  {
    title: '年级',
    dataIndex: 'gradeName',
    key: 'gradeName',
    width: COL_WIDTH_M,
  },
  {
    title: '跟进人',
    dataIndex: 'deliverTargetName',
    key: 'deliverTargetName',
    width: COL_WIDTH_L,
  },
  {
    title: '流失时间',
    dataIndex: 'createTime',
    key: 'createTime',
    width: COL_WIDTH_L,
    render: (text, row) => {
      if (!row.createTime) return '';

      return moment(Number(row.createTime)).format('YYYY-MM-DD HH:mm:ss');
    },
  },
  {
    title: '流失原因',
    dataIndex: 'reason',
    key: 'reason',
    width: COL_WIDTH_L,
  },
  {
    title: '创建时间',
    dataIndex: 'resourceCreateTime',
    key: 'resourceCreateTime',
    width: COL_WIDTH_L,
    render: (text) => {
      if (!text) return '';

      return moment(Number(text)).format('YYYY-MM-DD HH:mm:ss');
    },
  },
];
