import moment from 'moment';
import { List } from 'COMPONENT';
const { COL_WIDTH_M, COL_WIDTH_L } = List;

export default [
  {
    title: '客户姓名',
    dataIndex: 'customerName',
    key: 'customerName',
    width: COL_WIDTH_L,
  },
  {
    title: '学生姓名',
    dataIndex: 'studentName',
    key: 'studentName',
    width: COL_WIDTH_L,
  },
  {
    title: '客户电话',
    dataIndex: 'customerContact',
    key: 'customerContact',
    width: COL_WIDTH_L,
  },
  {
    title: '资源入口',
    dataIndex: 'resEntranceName',
    key: 'resEntranceName',
    width: COL_WIDTH_L,
  },
  {
    title: '年级',
    dataIndex: 'gradeName',
    key: 'gradeName',
    width: COL_WIDTH_M,
  },
  {
    title: '转化时间',
    dataIndex: 'createTime',
    key: 'createTime',
    width: 160,
    render: (text) => {
      if (!text) return '';

      return moment(Number(text)).format('YYYY-MM-DD HH:mm:ss');
    },
  },
  {
    title: '转化学习中心',
    dataIndex: 'transformToOrganizationName',
    key: 'transformToOrganizationName',
    width: COL_WIDTH_L,
  },
  {
    title: '跟进人',
    dataIndex: 'deliverTargetName',
    key: 'deliverTargetName',
    width: COL_WIDTH_L,
  },
  {
    title: '是否签单',
    dataIndex: 'firstContractId',
    key: 'firstContractId',
    width: COL_WIDTH_L,
    render: (text, row) => {
      return row.firstContractId ? '是' : '否';
    },
  },
  {
    title: '首次签单金额',
    dataIndex: 'firstContractAmount',
    key: 'firstContractAmount',
    width: COL_WIDTH_L,
    render: (text) => {
      return text || '';
    },
  },
  {
    title: '首次签单时间',
    dataIndex: 'firstContractTime',
    key: 'firstContractTime',
    width: COL_WIDTH_L,
    render: (text) => {
      if (!text) return '';

      return moment(Number(text)).format('YYYY-MM-DD HH:mm:ss');
    },
  },
  {
    title: '创建时间',
    dataIndex: 'resourceCreateTime',
    key: 'resourceCreateTime',
    width: 160,
    render: (text) => {
      if (!text) return '';

      return moment(Number(text)).format('YYYY-MM-DD HH:mm:ss');
    },
  },
];
