import { getBrTeacherOption } from 'SERVICE/personnelManage';

/**
 * 状态
 */
export const statusDict = [
  { val: '0', text: '可用' },
  { val: '1', text: '禁用' },
];

/**
 * 性别
 */
export const sexDict = [
  { val: '0', text: '女' },
  { val: '1', text: '男' },
];

/**
 * 用户类型
 */
export const workTypeDict = [
  { val: 'FULL_TIME', text: '全职' },
  { val: 'PART_TIME', text: '兼职' },
];

/**
 * 获取B角班主任
 * @param userId
 */
export async function loadBTeacherDict(userId = '') {
  try {
    let result = await getBrTeacherOption({ userId: userId });
    return formatDict(result.data || []);
  } catch (e) {
    return [];
  }
}

export function formatDict(data = [], valKey = 'userId', textKey = 'userName') {
  let dict = [];

  data.forEach((item) => {
    dict.push({
      val: item[valKey],
      text: item[textKey],
    });
  });

  return dict;
}

export function formatDictValue(value, dict = []) {
  let text = '';

  if (!dict || dict.length <= 0) {
    text = value;
  } else {
    dict.forEach((item) => {
      if (item.val === value) {
        text = item.text;
        return false;
      }
    });
  }

  return text;
}
