import React from 'react';
import Modal from 'COMPONENT/Modal';
import { Row, Col } from 'antd';
import FormItem from 'COMPONENT/FormItem';

class TeacherDetailModal extends React.Component {
  static defaultProps = {
    row: {
      name: null, // 教师名称
      university: null, // 毕业院校
      pic_url: null, // 头像
      teachingStyle: null, // 教学风格
    },
  };

  constructor(props) {
    super(props);

    this.state = {};
  }

  componentDidMount() {}

  render() {
    const { row } = this.props;

    return (
      <Modal loading={false} onCancel={this.props.onClose} title="详情" width={680} okBtnShow={false} cancelText="关闭">
        <Row gutter={10}>
          <Col span={24}>
            <FormItem name="教师名称">{row.name}</FormItem>

            <FormItem name="毕业院校">{row.university || '暂无'}</FormItem>

            <FormItem name="教师宣传照">
              {(row.pic_url && (
                <img src={row.pic_url} style={{ width: '100px', height: '100px', display: 'block' }} />
              )) ||
                '未上传'}
            </FormItem>

            <FormItem name="教学特点">{row.teachingStyle}</FormItem>
          </Col>
        </Row>
      </Modal>
    );
  }
}

export default TeacherDetailModal;
