/**
 * Created by luoming on 2018/3/27
 */
import React from 'react';
import Checkbox from 'COMPONENT/Checkbox';
import styles from './index.less';
import { Pagination } from 'antd';

import Tabs from 'COMPONENT/Tabs';

const Tab = Tabs.Tab;
export default class ChangeTab extends React.PureComponent {
  constructor(props) {
    super(props);
    this.state = {
      activeKey: 0,
    };
  }

  onChange = (activeKey) => {
    const { handleKey } = this.props;
    this.setState({ activeKey });
    handleKey(activeKey);
  };
  render() {
    let { count = 0, selectCount = 0, DontShowList, paginations = [] } = this.props;
    let { activeKey } = this.state;
    const [productsPagination = null, selectedProductsPagination = null] = paginations;
    return (
      <div className={styles.changeTabs}>
        <Tabs onChange={this.onChange} activeKey={activeKey}>
          <Tab title="筛选产品" className={styles.tab}>
            <div className={styles.tabTop}>
              <Checkbox value="A" onChange={(e) => DontShowList(e)}>
                已参与优惠产品不显示
              </Checkbox>
              {productsPagination}
            </div>
            {this.props.children[0]}
          </Tab>
          <Tab title="已选产品" className={styles.tab + (selectCount === 0 ? ' hideTab' : '')}>
            <div className={styles.tabTop}>
              <Checkbox value="B" onChange={(e) => DontShowList(e)}>
                已参与优惠产品不显示
              </Checkbox>
              {selectedProductsPagination}
            </div>
            {this.props.children[1]}
          </Tab>
        </Tabs>
      </div>
    );
  }
}
