import {
  PROMOTION_FULL_SALE_NORMAL,
  PROMOTION_DISCOUNT_PRODUCT,
  SUM_AUT,
  WIN_SPR,
  PRODUCT_NUMS,
} from '../../../config';

// 满减促销-满减、折扣促销-产品折扣
const promotionTypeAllow = [PROMOTION_FULL_SALE_NORMAL, PROMOTION_DISCOUNT_PRODUCT];
// 暑秋、寒春连报
const continuityAllow = [SUM_AUT, WIN_SPR];

export function submitDataAdapter(data) {
  // 暂时只对`ruleVos`进行处理
  if (
    promotionTypeAllow.includes(data.promotionTypeId) &&
    continuityAllow.includes(data.continuityType) &&
    Array.isArray(data.ruleVos)
  ) {
    data.ruleVos.forEach((rule) => {
      // 满`产品数`的优惠
      if (rule.ruleUnit === PRODUCT_NUMS && Array.isArray(rule.detailList) && rule.detailList.length === 2) {
        rule.quarterPromotionA = rule.detailList[0].promotion;
        rule.quarterPromotionB = rule.detailList[1].promotion;
        // `promotion`字段暂时维持传null
        rule.promotion = null;
        // FIXME: 暂时保留`detailList`字段
        // rule.detailList = null;
      }
    });
  }

  return data;
}

export function detailDataAdapter(data) {
  // 暂时只对`ruleVos`进行处理
  if (
    promotionTypeAllow.includes(data.promotionType) &&
    continuityAllow.includes(data.continuityType) &&
    Array.isArray(data.ruleVos)
  ) {
    const [quarter1, quarter2] = data.continuityType.split('_');
    data.ruleVos.forEach((rule) => {
      // 满`产品数`的优惠
      if (rule.ruleUnit === PRODUCT_NUMS && !rule.detailList) {
        rule.detailList = [
          { promotion: rule.quarterPromotionA || 0, quarter: quarter1 },
          { promotion: rule.quarterPromotionB || 0, quarter: quarter2 },
        ];
        rule.promotion = null;
      }
    });
  }

  return data;
}
