import moment from 'moment';
import { dateFormatter, continuityTypeDict } from '../config';
import { getDictTextByVal } from 'UTIL/dict';
const upCaseNumber = ['一', '二', '三', '四', '五', '六', '七', '八', '九', '十'];

/**
 * 简单转换一下方案数字，暂不做扩展
 * @param index 选中方案index 10以内
 */
export function formatIndexNumber(index = 0) {
  if (index > 9) {
    return '';
  }

  return upCaseNumber[index];
}

/**
 * 活动时间
 * @param record
 * @param splitStr
 */
export function renderActivityDate(record, splitStr = '-') {
  const { startDate, endDate } = record;

  return (
    <span>
      {moment(startDate).format(dateFormatter)} {splitStr} {moment(endDate).format(dateFormatter)}
    </span>
  );
}

/**
 * 连报条件
 * @param record
 */
export function renderContinuityType(record) {
  const { continuityType } = record;

  return getDictTextByVal(continuityTypeDict, continuityType);
}
