import React from 'react';
import style from './styles.module.less';
import classNames from 'classnames';
import PropType from 'prop-types';

const SlotWrap = (props) => {
  return (
    <div className={classNames(style.slotWrap, props.className)} style={{ left: props.left }}>
      {props.children}
    </div>
  );
};
SlotWrap.propTypes = {
  left: PropType.oneOfType([PropType.number, PropType.string]),
};
SlotWrap.defaultProps = {
  left: 0,
};

export default SlotWrap;
