import React from 'react';
import style from './styles.module.less';
import PropType from 'prop-types';
import classNames from 'classnames';
import SlotWrap from '../SlotWrap';
import { Tooltip } from 'antd';
import { Icon } from 'SRC/components';

const TipIcon = (props) => {
  return (
    <SlotWrap className={classNames(style.tipIconWrap, props.className)} left={props.left}>
      <Tooltip title={props.title} placement="right">
        <Icon className={style.tipIcon} type="warning" size={20} />
      </Tooltip>
    </SlotWrap>
  );
};
TipIcon.propTypes = {
  title: PropType.string.isRequired,
  className: PropType.string,
  left: PropType.oneOfType([PropType.number, PropType.string]),
};
TipIcon.defaultProps = {
  left: 320,
};

export default TipIcon;
