/**
 * @description 具体修改配置在config中有，因config文件公共使用较多，所以单独拓展
 * @author jianglu
 */

import {
  ruleTextCfg,
  PRODUCT_TYPE_SMALL_CLASS,
  PRODUCT_TYPE_ONE_TO_ONE,
  PRODUCT_TYPE_ONE_TO_MANY,
  LIMIT_SCOPE_FINITE,
  LIMIT_SCOPE_PRODUCT_TYPE,
} from '../config';

/**
 * @description 合同状态
 */
export const contractStateDict = [
  { text: '不限制', val: 0 },
  { text: '新签', val: 2 },
  { text: '续报', val: 1 },
];

/**
 * @description 扩展extendTextCfg
 */

// 一对一、一对多 件产品
export const ANOTHER_PRODUCT_NUMS = 'ANOTHER_PRODUCT_NUMS';

export const extendRuleTextCfg = Object.assign(
  {
    [ANOTHER_PRODUCT_NUMS]: '个小时',
  },
  ruleTextCfg,
);

// 产品类型
export const xhbossProductTypeDict = [
  { text: '小班', val: PRODUCT_TYPE_SMALL_CLASS },
  { text: '1对1', val: PRODUCT_TYPE_ONE_TO_ONE },
  { text: '1对多', val: PRODUCT_TYPE_ONE_TO_MANY },
];

// 优惠券限制范围(提交数据时需转为number)
export const limitScopeDict = [
  { text: '不限制产品', val: LIMIT_SCOPE_PRODUCT_TYPE },
  { text: '限制产品', val: LIMIT_SCOPE_FINITE },
];

// 产品类型商品
export const ProductTypeCate = ['SMALL_CLASS', 'ONE_ON_ONE_COURSE', 'ONE_ON_MANY'];
