import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import style from './index.style.less';

const MoreInfoBtn = (props) => {
  return (
    <div
      className={classNames(style.moreInfoBtn, { [style.moreInfoBtnActive]: props.trigger })}
      onClick={props.onClick}
    >
      <span className={style.moreInfoBtnText}>{props.trigger ? props.activeText : props.text}</span>
      <span className={classNames('DropdownMenu-arrow', { 'DropdownMenu-arrow-up': props.trigger })} />
    </div>
  );
};

MoreInfoBtn.propTypes = {
  trigger: PropTypes.bool,
  text: PropTypes.string,
  activeText: PropTypes.string,
  onClick: PropTypes.func,
};

MoreInfoBtn.defaultProps = {
  trigger: false,
  text: '更多',
  activeText: '收起',
};

export default MoreInfoBtn;
