/**
 * 优惠券平台类型
 * */
// 常规-满减券(报读及boss中使用)
const BOSS = 'BOSS';
// 营销-满减券(市场活动、讲座、系列课使用)
const INSIGHT_MARKET = 'INSIGHT_MARKET';

const bossProductTypeDict = [
  { text: '小班', val: 'SMALL_CLASS' },
  { text: '双师', val: 'TWO_TEACHER' },
];

const dateFormat = 'YYYY-MM-DD';
const timeFormat = 'HH:mm:ss';
const rangeFormat = `${dateFormat} ${timeFormat}`;
const defaultBeginTime = '00:00:00';
const defaultEndTime = '23:59:59';

// 小班
const PRODUCT_TYPE_SMALL_CLASS = 'SMALL_CLASS';

// 1对1
const PRODUCT_TYPE_ONE_TO_ONE = 'ONE_ON_ONE_COURSE';

// 1对多
const PRODUCT_TYPE_ONE_TO_MANY = 'ONE_ON_MANY';

// 星火产品类型字典
const xhbossProductTypeDict = [
  { text: '小班', val: PRODUCT_TYPE_SMALL_CLASS },
  { text: '1对1', val: PRODUCT_TYPE_ONE_TO_ONE },
  { text: '1对多', val: PRODUCT_TYPE_ONE_TO_MANY },
];

// 双师产品
const PRODUCT_TYPE_SHUANG_SHI = 'TWO_TEACHER';

// 双师产品类型字典
const ssbossProductTypeDict = [
  { text: '双师', val: PRODUCT_TYPE_SHUANG_SHI },
  { text: '小班', val: PRODUCT_TYPE_SMALL_CLASS },
];

// 优惠券
const COUPON = 'COUPON';

// 现金券
const COUPON_CASH = 'COUPON_CASH';
// 现金抵扣券
const COUPON_CASH_DEPOSIT = 'COUPON_CASH_DEPOSIT';
// 抵扣券
const COUPON_DEPOSIT = 'COUPON_DEPOSIT';
// 满减券
const COUPON_FULL_SALE = 'COUPON_FULL_SALE';

// 满减
const COUPON_FULL_SALE_NORMAL = 'COUPON_FULL_SALE_NORMAL';
// 每满减
const COUPON_FULL_SALE_EVERY = 'COUPON_FULL_SALE_EVERY';
// 件产品（班）
const PRODUCT_NUMS = 'PRODUCT_NUMS';
// 课时产品
const COURSE_HOURS = 'NATURE_MINUTES';
// 元
const MONEY = 'MONEY';

// 优惠规则字段名称
const ruleTextCfg = {
  [COUPON_FULL_SALE_NORMAL]: '满',
  [COUPON_FULL_SALE_EVERY]: '每满',
  [PRODUCT_NUMS]: '个班',
  [MONEY]: '元',
};

/**
 * 使用渠道
 */

// 全部
const USE_CHANNEL_ALL = 'ALL';

// 转介绍
const USE_CHANNEL_TRANSFER = 'TRANSFER';

// 使用渠道中文名称
const useChannelLabelMap = {
  [USE_CHANNEL_ALL]: '不限',
  [USE_CHANNEL_TRANSFER]: '转介绍',
};

// 优惠券限制范围(提交数据时需转为number)
const LIMIT_SCOPE_INFINITE = '1';
const LIMIT_SCOPE_FINITE = '2';
const LIMIT_SCOPE_PRODUCT_TYPE = '3';

const limitScopeDict = [
  { text: '通用无限制', val: LIMIT_SCOPE_INFINITE },
  { text: '限制产品类型', val: LIMIT_SCOPE_PRODUCT_TYPE },
  { text: '限制商品', val: LIMIT_SCOPE_FINITE },
];

// 家长
const CUSTOMER = 'CUSTOMER';
// 学生
const STUDENT = 'STUDENT';
// 发放对象
const publishObjectCfg = {
  [CUSTOMER]: '家长',
  [STUDENT]: '学生',
};
const publishObjectDict = [
  { text: publishObjectCfg[CUSTOMER], val: CUSTOMER },
  { text: publishObjectCfg[STUDENT], val: STUDENT },
];

// 不可叠加
const notStackable = '0';
// 可叠加
const stackable = '1';
// 叠加方式
const superpositionCfg = {
  [notStackable]: '不可叠加',
  [stackable]: '可叠加',
};
const superpositionDict = [
  { text: superpositionCfg[notStackable], val: notStackable },
  { text: superpositionCfg[stackable], val: stackable },
];

// 不限制
const ALL = 'ALL';
// 每个手机号限领 1 张
const PHONE_ONE_TIME = 'PHONE_ONE_TIME';
// 每个学生 ID 限领 1 张
const ONE_TIME = 'ONE_TIME';
// 每个学生 ID 每天限领 1 张
const EVERY_DAY = 'EVERY_DAY';

// 别名
const RECEIVE_LIMIT_INFINITE = 'ALL';
const RECEIVE_LIMIT_FOR_PHONE = 'PHONE_ONE_TIME';
const RECEIVE_LIMIT_FOR_STUD = 'ONE_TIME';

// 领取限制
const receiveLimitCfg = {
  [ALL]: '不限制',
  [PHONE_ONE_TIME]: '每个手机号限领 1 张',
  [ONE_TIME]: '每个学生限领 1 张',
  [EVERY_DAY]: '每个学生每天限领 1 张',
};
const receiveLimitDict = [
  { text: receiveLimitCfg[ALL], val: ALL },
  { text: receiveLimitCfg[PHONE_ONE_TIME], val: PHONE_ONE_TIME },
  { text: receiveLimitCfg[ONE_TIME], val: ONE_TIME },
  { text: receiveLimitCfg[EVERY_DAY], val: EVERY_DAY },
];

// 固定有效期
const PERIOD_VALID_REGULAR = '0';
// 相对有效期
const PERIOD_VALID_RELATIVE = '1';
// 有效期方式
const periodValidCfg = {
  [PERIOD_VALID_REGULAR]: '固定有效期',
  [PERIOD_VALID_RELATIVE]: '相对有效期',
};
const periodValidDict = [
  { text: periodValidCfg[PERIOD_VALID_REGULAR], val: PERIOD_VALID_REGULAR },
  { text: periodValidCfg[PERIOD_VALID_RELATIVE], val: PERIOD_VALID_RELATIVE },
];

const SUM = 'SUM';
const AUT = 'AUT';
const WIN = 'WIN';
const SPR = 'SPR';

const quarterTextCfg = {
  [SUM]: '暑假',
  [AUT]: '秋季',
  [WIN]: '寒假',
  [SPR]: '春季',
};

const NONE = 'NONE';
const SUM_AUT = `${SUM}_${AUT}`;
const WIN_SPR = `${WIN}_${SPR}`;

const continuityTextCfg = {
  [NONE]: '不连报',
  [SUM_AUT]: '暑秋连报',
  [WIN_SPR]: '寒春连报',
};

const continuityDict = [
  { text: continuityTextCfg[NONE], val: NONE },
  { text: continuityTextCfg[SUM_AUT], val: SUM_AUT },
  { text: continuityTextCfg[WIN_SPR], val: WIN_SPR },
];

const AUDIT_UNREVIEW = '0';
const AUDIT_REVIEWED = '1';
const AUDIT_REVIEWING = '2';
const AUDIT_Fail = '3';
const AUDIT_INVALID = '-1';

const auditStatusTextCfg = {
  [AUDIT_UNREVIEW]: '未审核',
  [AUDIT_REVIEWED]: '审核通过',
  [AUDIT_REVIEWING]: '审核中',
  [AUDIT_Fail]: '审核不通过',
  [AUDIT_INVALID]: '已下架',
};

const auditStatusDict = [
  { text: auditStatusTextCfg[AUDIT_UNREVIEW], val: AUDIT_UNREVIEW },
  { text: auditStatusTextCfg[AUDIT_REVIEWED], val: AUDIT_REVIEWED },
  { text: auditStatusTextCfg[AUDIT_REVIEWING], val: AUDIT_REVIEWING },
  { text: auditStatusTextCfg[AUDIT_Fail], val: AUDIT_Fail },
  { text: auditStatusTextCfg[AUDIT_INVALID], val: AUDIT_INVALID },
];

// 优惠券展示平台
const SHOW_SCOPE_H5 = 'H5';
const SHOW_SCOPE_OTHERS = 'OTHERS';
const SHOW_SCOPE_SHAONIANGONG_MINI_PROGRAM = 'SHAONIANGONG_MINI_PROGRAM';
const showScopeDict = [
  // SHOW_SCOPE_OTHERS: 实际为`其他`，暂时代替`星火教育`
  { text: '星火教育', val: SHOW_SCOPE_OTHERS },
  { text: '火星青少宫', val: SHOW_SCOPE_SHAONIANGONG_MINI_PROGRAM },
];

export {
  COUPON,
  COUPON_CASH,
  COUPON_CASH_DEPOSIT,
  COUPON_DEPOSIT,
  useChannelLabelMap,
  LIMIT_SCOPE_INFINITE,
  LIMIT_SCOPE_FINITE,
  LIMIT_SCOPE_PRODUCT_TYPE,
  PRODUCT_TYPE_SMALL_CLASS,
  PRODUCT_TYPE_ONE_TO_ONE,
  PRODUCT_TYPE_ONE_TO_MANY,
  xhbossProductTypeDict,
  ssbossProductTypeDict,
  RECEIVE_LIMIT_INFINITE,
  RECEIVE_LIMIT_FOR_PHONE,
  RECEIVE_LIMIT_FOR_STUD,
  limitScopeDict,
  CUSTOMER,
  STUDENT,
  publishObjectCfg,
  publishObjectDict,
  ALL,
  PHONE_ONE_TIME,
  ONE_TIME,
  EVERY_DAY,
  receiveLimitCfg,
  receiveLimitDict,
  notStackable,
  stackable,
  superpositionCfg,
  superpositionDict,
  PERIOD_VALID_REGULAR,
  PERIOD_VALID_RELATIVE,
  periodValidCfg,
  periodValidDict,
  BOSS,
  INSIGHT_MARKET,
  bossProductTypeDict,
  dateFormat,
  timeFormat,
  rangeFormat,
  defaultBeginTime,
  defaultEndTime,
  SUM,
  AUT,
  WIN,
  SPR,
  quarterTextCfg,
  NONE,
  SUM_AUT,
  WIN_SPR,
  continuityTextCfg,
  continuityDict,
  AUDIT_UNREVIEW,
  AUDIT_REVIEWED,
  AUDIT_REVIEWING,
  AUDIT_Fail,
  AUDIT_INVALID,
  auditStatusTextCfg,
  auditStatusDict,
  COUPON_FULL_SALE,
  COUPON_FULL_SALE_NORMAL,
  PRODUCT_NUMS,
  COURSE_HOURS,
  MONEY,
  ruleTextCfg,
  SHOW_SCOPE_H5,
  SHOW_SCOPE_OTHERS,
  SHOW_SCOPE_SHAONIANGONG_MINI_PROGRAM,
  showScopeDict,
};
