import { OSS_PRD_PREFIX } from 'CONST/ossConfig';

const storeName = 'deductionCoupon';

// 不连报
const noContinue = 'NONE';
// 客户类型：全部
const all = 'ALL';
// 相同科目连报
const sameSubjectContinue = {
  noNeed: 0,
  need: 1,
};
// 双师
const TWO_TEACHER_VAL = 'TWO_TEACHER';
// 小班
const SMALL_CLASS_VAL = 'SMALL_CLASS';
// 优惠券
const COUPON = 'COUPON';
// 无门槛优惠券
const COUPON_REDEEM = 'COUPON_REDEEM';
// 满减券
const COUPON_FULL_SALE = 'COUPON_FULL_SALE';
// 满减
const COUPON_FULL_SALE_NORMAL = 'COUPON_FULL_SALE_NORMAL';
// 每满减
const COUPON_FULL_SALE_EVERY = 'COUPON_FULL_SALE_EVERY';
// 件产品
const PRODUCT_NUMS = 'PRODUCT_NUMS';
// 元
const MONEY = 'MONEY';

// 券状态
const status = {
  5: '未领取',
  0: '未使用',
  4: '已占用',
  1: '已使用',
  3: '已过期',
  2: '撤回',
};

// 获取方式枚举
const acquisition_mode = [
  {
    val: 0,
    text: '不需领取',
  },
  {
    val: 1,
    text: '需领取',
  },
];

// 叠加方式字典
const SUPERPOSITION_DISABLE = 0;
const SUPERPOSITION_ENABLE = 1;
const superpositionDict = [
  { val: SUPERPOSITION_DISABLE, text: '不可叠加' },
  { val: SUPERPOSITION_ENABLE, text: '可叠加' },
];

const superpositionMap = superpositionDict.reduce((obj, cur) => {
  obj[cur.val] = cur.text;
  return obj;
}, {});

const importTemplateUrl = `${OSS_PRD_PREFIX}/%E4%BC%98%E6%83%A0%E5%88%B8%E5%AF%BC%E5%85%A5%E6%A8%A1%E6%9D%BF.xlsx`;

// 有效期方式
const PERIOD_VALID_REGULAR = '0';
const PERIOD_VALID_RELATIVE = '1';
const periodValidDict = [
  { text: '固定有效期', val: PERIOD_VALID_REGULAR },
  { text: '相对有效期', val: PERIOD_VALID_RELATIVE },
];

// 优惠券限制范围(提交数据时需转为number)
const LIMIT_SCOPE_INFINITE = '1';
const LIMIT_SCOPE_FINITE = '2';
const limitScopeDict = [
  { text: '通用无限制', val: LIMIT_SCOPE_INFINITE },
  { text: '限制商品', val: LIMIT_SCOPE_FINITE },
];

// 优惠券使用平台 {APP, MINI_PROGRAM: 小程序, H5}
const USE_SCOPE_H5 = 'H5';
const useScopeDict = [{ text: 'H5', val: USE_SCOPE_H5 }];

// 优惠券展示平台
const SHOW_SCOPE_H5 = 'H5';
const SHOW_SCOPE_OTHERS = 'OTHERS';
const showScopeDict = [
  { text: 'H5', val: SHOW_SCOPE_H5 },
  { text: '其他', val: SHOW_SCOPE_OTHERS },
];

// 课时转小时或课时转分钟的倍数
const COURSE_HOURS_TRANSFORM_MULTIPLE = 60;

export {
  storeName,
  noContinue,
  all,
  sameSubjectContinue,
  TWO_TEACHER_VAL,
  SMALL_CLASS_VAL,
  COUPON,
  COUPON_REDEEM,
  COUPON_FULL_SALE,
  COUPON_FULL_SALE_NORMAL,
  COUPON_FULL_SALE_EVERY,
  PRODUCT_NUMS,
  MONEY,
  status,
  acquisition_mode,
  SUPERPOSITION_DISABLE,
  SUPERPOSITION_ENABLE,
  superpositionDict,
  importTemplateUrl,
  superpositionMap,
  PERIOD_VALID_REGULAR,
  PERIOD_VALID_RELATIVE,
  periodValidDict,
  LIMIT_SCOPE_INFINITE,
  LIMIT_SCOPE_FINITE,
  limitScopeDict,
  USE_SCOPE_H5,
  useScopeDict,
  SHOW_SCOPE_H5,
  showScopeDict,
  COURSE_HOURS_TRANSFORM_MULTIPLE,
};
