import React from 'react';
import style from './styles.module.less';
import PropType from 'prop-types';
import classNames from 'classnames';
import { Tooltip } from 'antd';
import { Icon } from 'SRC/components';

const TipWrap = (props) => {
  return (
    <div className={classNames(props.className)}>
      <div className={style.tipChildren}>{props.children}</div>
      <Tooltip title={props.title} placement={props.placement}>
        <Icon className={style.tipIcon} type="warning" size={20} />
      </Tooltip>
    </div>
  );
};
TipWrap.propTypes = {
  title: PropType.string.isRequired,
  placement: PropType.string,
  className: PropType.string,
};
TipWrap.defaultProps = {
  placement: 'top',
};

export default TipWrap;
