import React from 'react';
import styles from './index.less';
import { calcBossPlatType } from '../../../util';

/**
 * 图标
 *
 * @param props.status
 * @param props.promotionPlatType
 * @return {*}
 * @constructor
 */
const CouponIcon = (props) => {
  const { status, promotionPlatType } = props;

  const isValid = status === '0';
  const isBoss = calcBossPlatType(promotionPlatType);
  const title = isBoss ? '常规-满减券' : '营销-满减券';

  return (
    <span className={styles.iconWrap} data-status={isValid} data-boss={isBoss}>
      {title}
    </span>
  );
};

export default CouponIcon;
