import React from 'react';
import { List, Modal, Button } from 'COMPONENT';
const { COL_WIDTH_S, COL_WIDTH_M, COL_WIDTH_XL } = List;
import { querySelectedProductByCoupon } from 'SERVICE/preferential';
import styles from './style.less';

export default class StdDetailModal extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      loading: false,
      data: [],
    };
  }

  columns = [
    {
      title: '产品类型',
      key: 'productTypeName',
      width: COL_WIDTH_XL,
      render: (record) => {
        return record.productId ? record.categoryName : record.typeName;
      },
    },
    { title: '产品名称', key: 'name', dataIndex: 'name', width: COL_WIDTH_M },
  ];

  componentDidMount() {
    this.initContent();
  }

  initContent = async () => {
    const { initData = {} } = this.props;
    const { id } = initData;
    this.setState({
      loading: true,
    });
    const detail = await querySelectedProductByCoupon({
      promotionInfoId: id,
    });
    this.setState({ loading: false, data: detail.data });
  };

  render() {
    const { loading, data } = this.state;
    const { onCancel, onEdit, initData } = this.props;
    const { publishNum } = initData;
    return (
      <Modal title="详情" width={600} cancelText="关闭" onCancel={onCancel} okBtnShow={false} loading={loading}>
        <div className={styles.modalViewWrapper}>
          {/*
          {
            (publishNum === 0) &&
            <Button size='small' className={styles.modalEditBtn} onClick={onEdit}>编辑</Button>
          }
*/}
          <List columns={this.columns} dataSource={data} />
        </div>
      </Modal>
    );
  }
}
