/**
 * 优惠券平台类型
 * */
// 常规-满减券(报读及boss中使用)
const BOSS = 'BOSS';
// 营销-满减券(市场活动、讲座、系列课使用)
const INSIGHT_MARKET = 'INSIGHT_MARKET';
const promotionPlatTypeDict = [
  { text: '常规-满减券', val: BOSS },
  { text: '营销-满减券', val: INSIGHT_MARKET },
];

const COUPON_NORMAL = 'COUPON_NORMAL';
const COUPON_MARKET = 'COUPON_MARKET';

const promotionNatureDict = [
  { text: '常规-满减券', val: COUPON_NORMAL },
  { text: '营销-满减券', val: COUPON_MARKET },
];

// 营销产品类型
const PRODUCT_TYPE_EXP_CLASS = 'EXPERIENCE_CLASS';
const PRODUCT_TYPE_LECTURE = 'LECTURE';
const PRODUCT_TYPE_SERIES_CLASS = 'SERIES_CLASS';
const PRODUCT_TYPE_MARKET_ACTIVITY = 'MARKETING_ACTIVITY';
const insightProductTypeDict = [
  { text: '体验课', val: PRODUCT_TYPE_EXP_CLASS },
  { text: '讲座', val: PRODUCT_TYPE_LECTURE },
  { text: '系列课', val: PRODUCT_TYPE_SERIES_CLASS },
  { text: '市场活动', val: PRODUCT_TYPE_MARKET_ACTIVITY },
];

const bossProductTypeDict = [
  { text: '小班', val: 'SMALL_CLASS' },
  { text: '双师', val: 'TWO_TEACHER' },
];

// 优惠券类型
const PROMOTION_VARIETY_EXP_CLASS = 'EXP_CLASS';
const PROMOTION_VARIETY_LECTURE = 'LECTURE';
const PROMOTION_VARIETY_SERIES_CLASS = 'SERIES_CLASS';
const PROMOTION_VARIETY_MARKET_ACTIVITY = 'MARKET_ACTIVITY';
const promotionVarietyDict = [
  { text: '体验课券', val: PROMOTION_VARIETY_EXP_CLASS, tip: '仅适用于流量营销平台的引流活动' },
  { text: '讲座券', val: PROMOTION_VARIETY_LECTURE, tip: '仅适用于流量营销平台的讲座活动' },
  { text: '系列课券', val: PROMOTION_VARIETY_SERIES_CLASS, tip: '仅适用于流量营销平台的系列课活动' },
  // { text: '市场活动券', val: PROMOTION_VARIETY_MARKET_ACTIVITY, tip: '仅适用于流量营销平台的市场活动' },
];

// 优惠券类型转换为对应产品类型
const promotionVarietyMapProductType = {
  [PROMOTION_VARIETY_EXP_CLASS]: PRODUCT_TYPE_EXP_CLASS,
  [PROMOTION_VARIETY_LECTURE]: PRODUCT_TYPE_LECTURE,
  [PROMOTION_VARIETY_SERIES_CLASS]: PRODUCT_TYPE_SERIES_CLASS,
  [PROMOTION_VARIETY_MARKET_ACTIVITY]: PRODUCT_TYPE_MARKET_ACTIVITY,
};

// 优惠券限制范围(提交数据时需转为number)
const LIMIT_SCOPE_INFINITE = '1';
const LIMIT_SCOPE_FINITE = '2';
const limitScopeDict = [
  { text: '通用无限制', val: LIMIT_SCOPE_INFINITE },
  { text: '限制商品', val: LIMIT_SCOPE_FINITE },
];

// 优惠券
const COUPON = 'COUPON';
// 满减券
const COUPON_FULL_SALE = 'COUPON_FULL_SALE';

// 满减
const COUPON_FULL_SALE_NORMAL = 'COUPON_FULL_SALE_NORMAL';
// 每满减
const COUPON_FULL_SALE_EVERY = 'COUPON_FULL_SALE_EVERY';
// 件产品
const PRODUCT_NUMS = 'PRODUCT_NUMS';
// 元
const MONEY = 'MONEY';

const ruleTextCfg = {
  [COUPON_FULL_SALE_NORMAL]: '满',
  [COUPON_FULL_SALE_EVERY]: '每满',
  [PRODUCT_NUMS]: '个班',
  [MONEY]: '元',
};
const ruleUintCfgByPlatType = {
  [BOSS]: PRODUCT_NUMS,
  [INSIGHT_MARKET]: MONEY,
};

const SUM = 'SUM';
const AUT = 'AUT';
const WIN = 'WIN';
const SPR = 'SPR';

const quarterTextCfg = {
  [SUM]: '暑假',
  [AUT]: '秋季',
  [WIN]: '寒假',
  [SPR]: '春季',
};

const NONE = 'NONE';
const SUM_AUT = `${SUM}_${AUT}`;
const WIN_SPR = `${WIN}_${SPR}`;
const continuityDict = [
  { text: '不连报', val: NONE },
  { text: '暑秋连报', val: 'SUM_AUT' },
  { text: '寒春连报', val: 'WIN_SPR' },
];

const couponStatusDict = [
  { text: '有效', val: '0' },
  { text: '无效', val: '1' },
];

const superpositionDict = [
  { text: '不可叠加', val: '0' },
  { text: '可叠加', val: '1' },
];

const NOT_ASSIGN_SOMEONE = '1';
const ASSIGN_SOMEONE = '2';
const userRangeDict = [
  { text: '不指定对象', val: NOT_ASSIGN_SOMEONE },
  { text: '指定对象', val: ASSIGN_SOMEONE },
];

const NO_NEED_RECEIVE = '0';
const NEED_RECEIVE = '1';
const needToReceiveDict = [
  { text: '不需领取', val: NO_NEED_RECEIVE },
  { text: '需领取', val: NEED_RECEIVE },
];

const PERIOD_VALID_REGULAR = '0';
const PERIOD_VALID_RELATIVE = '1';
const periodValidDict = [
  { text: '固定有效期', val: PERIOD_VALID_REGULAR },
  { text: '相对有效期', val: PERIOD_VALID_RELATIVE },
];

// 优惠券使用平台 {APP, MINI_PROGRAM: 小程序, H5}
const USE_SCOPE_H5 = 'H5';
const useScopeDict = [{ text: 'H5', val: USE_SCOPE_H5 }];

// 优惠券展示平台
const SHOW_SCOPE_H5 = 'H5';
const SHOW_SCOPE_OTHERS = 'OTHERS';
const showScopeDict = [
  { text: 'H5', val: SHOW_SCOPE_H5 },
  { text: '其他', val: SHOW_SCOPE_OTHERS },
];

const dateFormat = 'YYYY-MM-DD';
const timeFormat = 'HH:mm:ss';
const rangeFormat = `${dateFormat} ${timeFormat}`;

export {
  BOSS,
  INSIGHT_MARKET,
  PRODUCT_TYPE_EXP_CLASS,
  PRODUCT_TYPE_LECTURE,
  PRODUCT_TYPE_SERIES_CLASS,
  PRODUCT_TYPE_MARKET_ACTIVITY,
  insightProductTypeDict,
  promotionPlatTypeDict,
  COUPON_NORMAL,
  COUPON_MARKET,
  promotionNatureDict,
  PROMOTION_VARIETY_EXP_CLASS,
  promotionVarietyDict,
  promotionVarietyMapProductType,
  LIMIT_SCOPE_INFINITE,
  LIMIT_SCOPE_FINITE,
  limitScopeDict,
  ruleTextCfg,
  ruleUintCfgByPlatType,
  COUPON,
  COUPON_FULL_SALE,
  COUPON_FULL_SALE_NORMAL,
  COUPON_FULL_SALE_EVERY,
  PRODUCT_NUMS,
  MONEY,
  bossProductTypeDict,
  SUM,
  AUT,
  WIN,
  SPR,
  quarterTextCfg,
  NONE,
  SUM_AUT,
  WIN_SPR,
  continuityDict,
  couponStatusDict,
  superpositionDict,
  NOT_ASSIGN_SOMEONE,
  ASSIGN_SOMEONE,
  userRangeDict,
  NEED_RECEIVE,
  NO_NEED_RECEIVE,
  needToReceiveDict,
  periodValidDict,
  PERIOD_VALID_REGULAR,
  PERIOD_VALID_RELATIVE,
  useScopeDict,
  showScopeDict,
  dateFormat,
  timeFormat,
  rangeFormat,
};
