import { BOSS, INSIGHT_MARKET, LIMIT_SCOPE_FINITE } from './config';

/**
 * 判断是否为BOSS平台
 * tips: 需兼容旧数据
 *
 * @param promotionPlatType 旧数据为null
 * @return {boolean}
 */
export function calcBossPlatType(promotionPlatType) {
  return !promotionPlatType || promotionPlatType === BOSS;
}

/**
 * 判断是否为营销平台
 *
 * @param promotionPlatType
 * @return {boolean}
 */
export function calcIMPlatType(promotionPlatType) {
  return promotionPlatType === INSIGHT_MARKET;
}

/**
 * 判断优惠券是否限制范围（商品数量/范围）
 *
 * @param limitScope
 * @return {*|boolean}
 */
export function calcLimitScopeFinite(limitScope) {
  return limitScope && limitScope == LIMIT_SCOPE_FINITE;
}
