/**
 * Created by luoming on 2018/3/31
 */
import React from 'react';
import { Row, Col } from 'antd';
import IconButton from 'COMPONENT/IconButton';
import moment from 'moment';
import { mapPromotionType, getTextByDictMultipleValue } from '../../../Activity/common';

import styles from './index.less';

export default class Card extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  copyCode = (e) => {
    //隐藏了一个input标签 借用input标签的select()方法 将值保存到剪切板上
    this.code.select();
    document.execCommand('copy');
  };
  onClick = (data) => {
    const { status, id } = data;
    if (status === '1') {
      return;
    }
    this.props.showModal(id);
  };

  render() {
    let { expanded } = this.state;
    let { data, branchDict } = this.props;
    let { branchVos } = data;
    let branchIds = branchVos.map((v, k) => {
      return v.branchId;
    });
    const str = getTextByDictMultipleValue(branchDict, branchIds);

    let { ruleVos, promotionTypeName, hightAmount } = data;
    let condition = '';
    if (promotionTypeName === '满减') {
      ruleVos.forEach((v, k) => {
        condition += `满${v.promotionRule}${v.ruleUnit === 'MONEY' ? '元' : '课时'}减${v.promotion}元；`;
      });
    } else if (promotionTypeName === '每满减') {
      condition += `每满${ruleVos[0].promotionRule}${ruleVos[0].ruleUnit === 'MONEY' ? '元' : '课时'}减${
        ruleVos[0].promotion
      }元，最高减${hightAmount}元；`;
    } else {
      ruleVos.forEach((v, k) => {
        condition += `满${v.promotionRule}${promotionTypeName === '现金折扣' ? '元' : '课时'}折${v.promotion}%；`;
      });
    }

    return (
      <div className={styles.wrap + (expanded ? ' expanded' : '')}>
        <Row className={styles.closedRow}>
          <Col span={4}>
            <span>{data.promotionName}</span>
            <span className={styles.sign} style={{ background: data.status === '0' ? '#7AD689' : '#ccc' }}>
              {data.status === '0' ? '有效' : '无效'} <span></span>
            </span>
          </Col>
          <Col span={12}>
            <div className={styles.conditions}>
              <div>
                <div>有效时间</div>
                <div>
                  {moment(data.startDate).format('YYYY-MM-DD HH:mm:ss') +
                    '至' +
                    moment(data.endDate).format('YYYY-MM-DD HH:mm:ss')}
                </div>
              </div>
              <div>
                <div>满足条件</div>
                <div>{condition}</div>
              </div>
              {!expanded && (
                <span className={styles.downBtn}>
                  <IconButton type="down" onClick={(e) => this.setState({ expanded: true })} />
                </span>
              )}
            </div>
          </Col>
          <Col span={6}>
            <span className={styles.code}>{data.code}</span>
          </Col>
          <Col span={2}>
            <span onClick={(e) => this.onClick(data)} className={data.status === '0' ? styles.valid : styles.unValid}>
              获取码
            </span>
          </Col>
        </Row>
        <Row className={styles.sub}>
          <Col span={16} offset={4} style={{ position: 'relative' }}>
            <div className={styles.expandedRow}>
              <span>
                <div>客户条件</div>
                <div>{data.customerConditionName}</div>
              </span>
              <span>
                <div style={{ minWidth: 75 }}>所属分公司</div>
                <div>{str}</div>
              </span>
              <span>
                <div>合同条件</div>
                <div>{data.contractConditionName}</div>
              </span>
              <span>
                <div>备注</div>
                <div>{data.remark}</div>
              </span>
            </div>
            {expanded && (
              <span className={styles.upBtn}>
                <IconButton type="up" onClick={(e) => this.setState({ expanded: false })} />
              </span>
            )}
          </Col>
        </Row>
      </div>
    );
  }
}
