import React from 'react';
import Modal from 'COMPONENT/Modal';
import Input from 'COMPONENT/Input';
// import styles from './index.less';
import { getPromoCode } from 'SERVICE/preferential';
import showMessage from 'COMPONENT/utils/globalTips/showMessage';
export default class GetCode extends React.Component {
  state = {};
  async componentDidMount() {
    this.setState({ loading: true });
    let {
      data: { promotionCode },
    } = await getPromoCode({ id: this.props.id });
    this.setState({ loading: false, promotionCode });
    console.log(promotionCode);
  }

  copyCode = () => {
    console.log(this.code);
    //隐藏了一个input标签 借用input标签的select()方法 将值保存到剪切板上
    this.code.select();
    document.execCommand('copy');
    showMessage('促销码已复制到剪切板!', 'success');
  };
  render() {
    const { onClose } = this.props;
    const { loading, promotionCode } = this.state;
    return (
      <Modal
        loading={loading}
        onClose={onClose}
        title={null}
        width={520}
        noLine
        cancelBtnShow={false}
        okBtnShow={false}
        closable
        ref={(e) => (this.$modal = e)}
      >
        <input
          type="text"
          ref={(e) => (this.code = e)}
          value={promotionCode}
          style={{ opacity: 0, position: 'absolute', pointerEvents: 'none' }}
        />
        <h3 style={{ paddingTop: 40, textAlign: 'center' }}>{promotionCode}</h3>
        <div
          style={{ paddingTop: 40, textAlign: 'center', color: '#6d67ff', cursor: 'pointer' }}
          onClick={this.copyCode}
        >
          复制码
        </div>
      </Modal>
    );
  }
}
