import React from 'react';
import { Popover } from 'COMPONENT';
import style from './index.style.less';

const DetailWithPop = (props) => {
  const data = props.data || [];
  let checkLen = data.length > 1;
  const popList = data.slice(1);
  return (
    <span>
      {checkLen ? (
        <Popover
          overlayClassName={style.detailWithPopover}
          maxWidth={200}
          content={popList.map((item, index) => (
            <p className={style.detailWithPopItem} key={index}>
              {item}
            </p>
          ))}
          getPopupContainer={(ele) => ele.parentNode}
        >
          <span className={style.detailWithPop}>{data[0]}</span>
        </Popover>
      ) : (
        <span>{data[0]}</span>
      )}
    </span>
  );
};

export default DetailWithPop;
