import React from 'react';
import PropTypes from 'prop-types';
import { Modal } from 'COMPONENT';

import style from './styles.module.less';

const ModalImportRemind = (props) => {
  return (
    <Modal
      title="导入提醒"
      visible={true}
      widthSize="s"
      onOk={props.onConfirm}
      onCancel={props.onCancel}
      cancelBtnShow={false}
    >
      <div>
        文件导入中！可在
        <span className={style.reminder} onClick={props.onBtnClick}>
          历史导入
        </span>
        中查看
      </div>
    </Modal>
  );
};

ModalImportRemind.propTypes = {
  onConfirm: PropTypes.func.isRequired,
  onCancel: PropTypes.func.isRequired,
  onBtnClick: PropTypes.func.isRequired,
};

export default ModalImportRemind;
