/**
 * 优惠券平台类型
 * */
// 常规-满减券(报读及boss中使用)
const BOSS = 'BOSS';
// 营销-满减券(市场活动、讲座、系列课使用)
const INSIGHT_MARKET = 'INSIGHT_MARKET';

const bossProductTypeDict = [
  { text: '小班', val: 'SMALL_CLASS' },
  { text: '双师', val: 'TWO_TEACHER' },
];

const couponStatusDict = [
  { text: '有效', val: '0' },
  { text: '无效', val: '1' },
];

const dateFormat = 'YYYY-MM-DD';
const timeFormat = 'HH:mm:ss';
const rangeFormat = `${dateFormat} ${timeFormat}`;

//----------------------------------------------------------------------------------------------------------------------
// 小班
const PRODUCT_TYPE_SMALL_CLASS = 'SMALL_CLASS';

// 1对1
const PRODUCT_TYPE_ONE_TO_ONE = 'ONE_ON_ONE_COURSE';

// 1对多
const PRODUCT_TYPE_ONE_TO_MANY = 'ONE_ON_MANY';

// 星火产品类型字典
const xhbossProductTypeDict = [
  { text: '小班', val: PRODUCT_TYPE_SMALL_CLASS },
  { text: '1对1', val: PRODUCT_TYPE_ONE_TO_ONE },
  { text: '1对多', val: PRODUCT_TYPE_ONE_TO_MANY },
];

// 双师产品
const PRODUCT_TYPE_SHUANG_SHI = 'TWO_TEACHER';

// 双师产品类型字典
const ssbossProductTypeDict = [
  { text: '双师', val: PRODUCT_TYPE_SHUANG_SHI },
  { text: '小班', val: PRODUCT_TYPE_SMALL_CLASS },
];

// 优惠券
const COUPON = 'COUPON';
//
const COUPON_REDEEM = 'COUPON_REDEEM';
// 代金券
const COUPON_CASH = 'COUPON_CASH';
//
const COUPON_CASH_REDEEM = 'COUPON_CASH_REDEEM';

/**
 * 使用渠道
 */

// 全部
const USE_CHANNEL_ALL = 'ALL';

// 转介绍
const USE_CHANNEL_TRANSFER = 'TRANSFER';

// 使用渠道中文名称
const useChannelLabelMap = {
  [USE_CHANNEL_ALL]: '不限',
  [USE_CHANNEL_TRANSFER]: '转介绍',
};

// 优惠券限制范围(提交数据时需转为number)
const LIMIT_SCOPE_INFINITE = '1';
const LIMIT_SCOPE_FINITE = '2';
const LIMIT_SCOPE_PRODUCT_TYPE = '3';

const limitScopeDict = [
  { text: '通用无限制', val: LIMIT_SCOPE_INFINITE },
  // { text: '限制产品类型', val: LIMIT_SCOPE_PRODUCT_TYPE },
  { text: '限制商品', val: LIMIT_SCOPE_FINITE },
];

// 家长
const CUSTOMER = 'CUSTOMER';
// 学生
const STUDENT = 'STUDENT';
// 发放对象
const publishObjectCfg = {
  [CUSTOMER]: '家长',
  [STUDENT]: '学生',
};
const publishObjectDict = [
  { text: publishObjectCfg[CUSTOMER], val: CUSTOMER },
  { text: publishObjectCfg[STUDENT], val: STUDENT },
];

// 不可叠加
const notStackable = '0';
// 可叠加
const stackable = '1';
// 叠加方式
const superpositionCfg = {
  [notStackable]: '不可叠加',
  [stackable]: '可叠加',
};
const superpositionDict = [
  { text: superpositionCfg[notStackable], val: notStackable },
  { text: superpositionCfg[stackable], val: stackable },
];

// 不限制
const ALL = 'ALL';
// 每个手机号限领 1 张
const PHONE_ONE_TIME = 'PHONE_ONE_TIME';
// 每个学生 ID 限领 1 张
const ONE_TIME = 'ONE_TIME';
// 每个学生 ID 每天限领 1 张
const EVERY_DAY = 'EVERY_DAY';

// 别名
const RECEIVE_LIMIT_INFINITE = 'ALL';
const RECEIVE_LIMIT_FOR_PHONE = 'PHONE_ONE_TIME';
const RECEIVE_LIMIT_FOR_STUD = 'ONE_TIME';

// 领取限制
const receiveLimitCfg = {
  [ALL]: '不限制',
  [PHONE_ONE_TIME]: '每个手机号限领 1 张',
  [ONE_TIME]: '每个学生限领 1 张',
  [EVERY_DAY]: '每个学生每天限领 1 张',
};
const receiveLimitDict = [
  { text: receiveLimitCfg[ALL], val: ALL },
  { text: receiveLimitCfg[PHONE_ONE_TIME], val: PHONE_ONE_TIME },
  { text: receiveLimitCfg[ONE_TIME], val: ONE_TIME },
  { text: receiveLimitCfg[EVERY_DAY], val: EVERY_DAY },
];

// 固定有效期
const PERIOD_VALID_REGULAR = '0';
// 相对有效期
const PERIOD_VALID_RELATIVE = '1';
// 有效期方式
const periodValidCfg = {
  [PERIOD_VALID_REGULAR]: '固定有效期',
  [PERIOD_VALID_RELATIVE]: '相对有效期',
};
const periodValidDict = [
  { text: periodValidCfg[PERIOD_VALID_REGULAR], val: PERIOD_VALID_REGULAR },
  { text: periodValidCfg[PERIOD_VALID_RELATIVE], val: PERIOD_VALID_RELATIVE },
];

export {
  COUPON,
  COUPON_REDEEM,
  COUPON_CASH,
  COUPON_CASH_REDEEM,
  useChannelLabelMap,
  LIMIT_SCOPE_INFINITE,
  LIMIT_SCOPE_FINITE,
  LIMIT_SCOPE_PRODUCT_TYPE,
  PRODUCT_TYPE_SMALL_CLASS,
  PRODUCT_TYPE_ONE_TO_ONE,
  PRODUCT_TYPE_ONE_TO_MANY,
  xhbossProductTypeDict,
  ssbossProductTypeDict,
  PRODUCT_TYPE_SHUANG_SHI,
  RECEIVE_LIMIT_INFINITE,
  RECEIVE_LIMIT_FOR_PHONE,
  RECEIVE_LIMIT_FOR_STUD,
  limitScopeDict,
  CUSTOMER,
  STUDENT,
  publishObjectCfg,
  publishObjectDict,
  ALL,
  PHONE_ONE_TIME,
  ONE_TIME,
  EVERY_DAY,
  receiveLimitCfg,
  receiveLimitDict,
  notStackable,
  stackable,
  superpositionCfg,
  superpositionDict,
  PERIOD_VALID_REGULAR,
  PERIOD_VALID_RELATIVE,
  periodValidCfg,
  periodValidDict,
  //--------------------------------------------------------------------------------------------------------------------
  BOSS,
  INSIGHT_MARKET,
  bossProductTypeDict,
  couponStatusDict,
  dateFormat,
  timeFormat,
  rangeFormat,
};
