import React from 'react';
import Popover from 'COMPONENT/Popover';
import FormItem from 'COMPONENT/FormItem';
import { Row, Col } from 'antd';
import { getSummaryBySubjectGroupList } from '../utils';
import styles from './styles.less';
import { getDictTextByVal } from 'UTIL/dict';

class TotalHoursPlanPop extends React.Component {
  getTotalHoursPlanInfo = () => {
    const { quarterDict, subjectGroupList } = this.props;
    const formCfg = {
      labelWidth: 45,
    };
    return (
      <div className={styles.subjectPopWrap}>
        {subjectGroupList.map((g, idx) => {
          const summary = getSummaryBySubjectGroupList([g]);
          return (
            <Row key={idx} className={styles.subjectPopRow}>
              <Col span={2}>
                <div className={styles.tag}>{getDictTextByVal(quarterDict, g.quarterId).slice(0, 1)}</div>
              </Col>
              <Col span={7}>
                <FormItem {...formCfg} name="科次数">
                  {summary.totalSubjectNums}
                </FormItem>
              </Col>
              <Col span={7}>
                <FormItem {...formCfg} name="讲数">
                  {summary.totalTeachNums}
                </FormItem>
              </Col>
              <Col span={7}>
                <FormItem {...formCfg} name="课时数">
                  {summary.totalHours}
                </FormItem>
              </Col>
            </Row>
          );
        })}
      </div>
    );
  };

  render() {
    const { children } = this.props;
    return (
      <Popover content={this.getTotalHoursPlanInfo()} placement="bottom" trigger="click">
        {children}
      </Popover>
    );
  }
}

export default TotalHoursPlanPop;
