/*
* courseHours	课时	string
  subjectNums	科目数	string
  teachNums 讲数 string
* */
const getSummaryBySubjectGroupList = (subjectGroupList) => {
  if (!subjectGroupList || subjectGroupList.length === 0) {
    return null;
  }
  let totalSubjectNums = 0;
  let totalTeachNums = 0;
  let totalHours = 0;
  subjectGroupList.forEach((g) => {
    g.subjects.forEach((s) => {
      const courseHours = typeof s.courseHours === 'number' && s.courseHours ? parseFloat(s.courseHours) : 0;
      const teachNums = typeof s.teachNums === 'number' && s.teachNums ? parseInt(s.teachNums) : 0;
      const subjectNums = typeof s.subjectNums === 'number' && s.subjectNums ? parseInt(s.subjectNums) : 0;
      totalSubjectNums += subjectNums;
      totalTeachNums += teachNums * subjectNums;
      totalHours += courseHours * teachNums * subjectNums;
    });
  });
  return { totalSubjectNums, totalTeachNums, totalHours: totalHours.toFixed(1) };
};

export default {
  getSummaryBySubjectGroupList,
};
