import React from 'react';
import { List } from 'COMPONENT';

const { COL_WIDTH_M } = List;

export default class ProductList extends React.Component {
  columns = [
    {
      title: '产品名称',
      dataIndex: 'name',
      key: 'name',
      width: COL_WIDTH_M,
    },
    {
      title: '产品系列',
      dataIndex: 'courseSeriesName',
      key: 'courseSeriesName',
      width: COL_WIDTH_M,
    },
    {
      title: '班级类型',
      dataIndex: 'classTypeName',
      key: 'classTypeName',
      width: COL_WIDTH_M,
    },
    {
      title: '产品季度',
      dataIndex: 'quarterName',
      key: 'quarterName',
      width: COL_WIDTH_M,
    },
    {
      title: '年级',
      dataIndex: 'gradeName',
      key: 'gradeName',
      width: COL_WIDTH_M,
    },
  ];

  constructor(props) {
    super(props);
    this.state = {
      pagination: {
        total: 0,
        current: 1,
        pageSize: 20,
      },
    };

    this.onPageChange = this.onPageChange.bind(this);
  }

  onPageChange({ pageSize, current }) {
    const { pagination } = this.state;
    this.setState({
      pagination: {
        ...pagination,
        pageSize,
        current,
      },
    });
  }

  render() {
    const { pagination } = this.state;

    return (
      <List dataSource={this.props.list} columns={this.columns} pagination={pagination} onChange={this.onPageChange} />
    );
  }
}
