import moment from 'moment';
import { List } from 'COMPONENT';
const { COL_WIDTH_M, COL_WIDTH_XL } = List;

export const Columns = [
  {
    title: '产品名称',
    dataIndex: 'name',
    key: 'name',
    fixed: 'left',
    width: COL_WIDTH_XL,
  },
  {
    title: '所属分公司',
    dataIndex: 'organizationName',
    key: 'organizationName',
    width: COL_WIDTH_M,
  },
  {
    title: '产品系列',
    dataIndex: 'courseSeriesName',
    key: 'courseSeriesName',
    width: COL_WIDTH_M,
  },
  {
    title: '班级类型',
    dataIndex: 'classTypeName',
    key: 'classTypeName',
    width: COL_WIDTH_M,
  },
  {
    title: '年级',
    dataIndex: 'gradeName',
    key: 'gradeName',
    width: COL_WIDTH_M,
  },
  {
    title: '总课时数',
    dataIndex: 'miniClassTotalHours',
    key: 'miniClassTotalHours',
    width: COL_WIDTH_M,
  },
  {
    title: '生效日期',
    dataIndex: 'validStartDate',
    key: 'validStartDate',
    width: 160,
    render: function (val) {
      return val ? moment(val).format('YYYY-MM-DD hh:mm:ss') : '';
    },
  },
  {
    title: '截止日期',
    dataIndex: 'validEndDate',
    key: 'validEndDate',
    width: 160,
    render: function (val) {
      return val ? moment(val).format('YYYY-MM-DD hh:mm:ss') : '';
    },
  },
];
