import React, { PropTypes } from 'react';
import { Selected } from 'COMPONENT/ShoppingCart';
import { runFunc } from 'UTIL/common';
import style from './styles.module.less';

const MoreInfo = (props) => {
  return (
    <div className={style.MoreInfo}>
      <div className={style.MoreInfoLabel}>{props.label}</div>
      <div className={style.MoreInfoText}>
        <p>{props.text || '-'}</p>
      </div>
    </div>
  );
};
MoreInfo.propTypes = {
  label: PropTypes.string.isRequired,
  text: PropTypes.oneOfType([PropTypes.string, PropTypes.number]),
};

const Content = (props) => {
  return (
    <div className={style.Content}>
      <div className={style.title}>
        <span className={style.titleType}>{props.name || props.productName}</span>
      </div>
      <div>
        {props.gradeName && <span>{props.gradeName}·</span>}
        {props.courseSeriesName && <span>{props.courseSeriesName}·</span>}
        {props.classTypeName && <span>{props.classTypeName}</span>}
      </div>
    </div>
  );
};

const SelectedCard = (props) => {
  return (
    <Selected
      className={style.SelectedCard}
      onDelete={() => {
        runFunc(props.onDelete, props.index);
      }}
      showMoreVisible={false}
    >
      <Content {...props} />
    </Selected>
  );
};

export default SelectedCard;
