import React from 'react';
import { connect } from 'dva';
import Modal from 'COMPONENT/Modal';
import { STORE_NAME } from '../../store/config';

class ConfirmModal extends React.Component {
  static defaultProps = {
    onClose: () => {},
  };

  constructor(props) {
    super(props);
  }

  render() {
    const { tab_key, productList } = this.props;
    const tips = (tab_key === '1' && '您确定关联选中产品吗？') || '您确定取消已关联的产品吗？';

    return (
      <Modal
        loading={false}
        onClose={this.props.onClose}
        onOk={this.props.onOk}
        cancelText="我再想想"
        okText="我已确认"
        title={tips}
        width={320}
      >
        <div style={{ height: '60px', lineHeight: '60px' }}>取消产品数：{productList ? productList.length : 0}</div>
      </Modal>
    );
  }
}

const mapStateToProps = (state) => {
  const tabStore = state[STORE_NAME.tab];
  const { tab_key, tab_one, tab_two } = tabStore;
  const productList = tab_key === '1' ? tab_one.allPageChecked : tab_two.allPageChecked;

  return {
    tab_key,
    productList,
  };
};

export default connect(mapStateToProps)(ConfirmModal);
