import React from 'react';
import TextLink from 'COMPONENT/TextLink';
import style from './index.less';
import SelectedListModal from '../SelectedListModal';

class SelectedNumber extends React.Component {
  static defaultProps = {
    paneKey: '1', // 1: 未关联产品 2：以关联产品
  };

  constructor(props) {
    super(props);

    this.state = {
      showModal: false,
    };

    this.onShowModal = this.onShowModal.bind(this);
  }

  onShowModal(checkedLen) {
    if (checkedLen <= 0) {
      return false;
    }

    this.setState({ showModal: true });
  }

  render() {
    const { showModal } = this.state;
    const { paneKey, checkedList, list } = this.props;
    const tips =
      paneKey === '1'
        ? '（选择多个优惠时，如有一个优惠不存在产品中，该产品将被显示出来）'
        : '（选择多个优惠时，只有当多个优惠同时存在产品中，该产品才会被显示出来）';
    const listLen = (list && list.length) || 0;
    const checkedLen = (checkedList && checkedList.length) || 0;

    return (
      <div className={style.wrap}>
        <span className={style.num}>筛选数：{listLen}</span>
        <TextLink
          style={{ marginRight: 10 }}
          onClick={(e) => {
            this.onShowModal(checkedLen);
          }}
        >
          已选：{checkedLen}
        </TextLink>
        <span className={style.tips}>{tips}</span>
        {showModal && (
          <SelectedListModal
            {...this.props}
            onClose={() => {
              this.setState({ showModal: false });
            }}
          />
        )}
      </div>
    );
  }
}

export default SelectedNumber;
