import React from 'react';
import { connect } from 'dva';
import TempStorage from 'COMPONENT/TempStorage';
import style from './index.less';
import { STORE_NAME } from '../../../../store/config';

/**
 * 渲染折叠面板头部元素
 * @param props
 */
class PanelHeader extends React.Component {
  constructor(props) {
    super(props);

    this.onSelectedDelete = this.onSelectedDelete.bind(this);
  }

  /**
   * 删除选中优惠列表
   * @param record
   * @param index
   */
  onSelectedDelete(record, index) {
    const { checkedPromotion, dispatch } = this.props;
    let checkedResult = (checkedPromotion && [...checkedPromotion]) || [];

    checkedResult.forEach((item, i) => {
      if (item.id === record.id) {
        checkedResult.splice(i, 1);
        return false;
      }
    });

    dispatch({
      type: `${STORE_NAME.promotion}/onCheckedChange`,
      payload: {},
      doUpdateState: () => {
        dispatch({
          type: `${STORE_NAME.promotion}/updateState`,
          payload: { allPageChecked: checkedResult },
        });
      },
      doResetTabData: () => {
        dispatch({ type: `${STORE_NAME.tab}/resetTabListAndChecked` });
      },
    });
  }

  render() {
    const { checkedPromotion } = this.props;

    return (
      <TempStorage
        className={style.wrap}
        label="已选"
        isLabelCount
        optionTextKey="name"
        tagType={2}
        source={checkedPromotion || []}
        onDelete={this.onSelectedDelete}
      />
    );
  }
}

const mapStateToProps = (state) => {
  const { allPageChecked } = state[STORE_NAME.promotion];

  return {
    checkedPromotion: allPageChecked,
  };
};

export default connect(mapStateToProps)(PanelHeader);
