import { clone } from 'lodash';
import { defaultState } from './state';
import { STORE_NAME } from '../config';

export default {
  namespace: STORE_NAME.branch,
  state: {
    ...clone(defaultState),
  },
  reducers: {
    updateState(state, { payload }) {
      return {
        ...state,
        ...payload,
      };
    },
  },
  effects: {
    *resetPage(action, { put }) {
      yield put({
        type: 'updateState',
        payload: {
          ...clone(defaultState),
        },
      });
    },

    /**
     * 切换分公司
     * @param payload
     * @param put
     * @return {IterableIterator<*>}
     */
    *onBranchChange({ payload }, { put }) {
      yield put({
        type: 'updateState',
        payload: { ...payload },
      });

      yield put({
        type: `${STORE_NAME.promotion}/onRefresh`,
      });

      yield put({
        type: `${STORE_NAME.tab}/resetTabListAndChecked`,
      });
    },
  },
};
