import { getPromotionListByBranchId } from 'SERVICE/product';

export async function loadPromotionList(param) {
  try {
    const response = await getPromotionListByBranchId(param);
    return formatResponse(response);
  } catch (e) {
    return formatResponse({});
  }
}

/**
 * 格式化请求结果, 给列表添加id、name字段
 * @param response
 * @return {{total: (*|number), list: (*|Array)}}
 */
export function formatResponse(response = {}) {
  let data = response.rows || [];
  let total = response.records || 0;

  data.forEach((item) => {
    item.id = item.promotionId;
    item.name = item.promotionName;
  });

  // 前端写死一个所有优惠
  data.unshift({
    id: '-1',
    name: '所有优惠',
    promotionId: '-1',
    promotionName: '所有优惠',
  });

  return {
    list: data,
    total: total,
  };
}
