import { getProductListByPromotion } from 'SERVICE/product';

export async function loadProductList(param) {
  try {
    const response = await getProductListByPromotion(param);
    return formatResponse(response);
  } catch (e) {
    return formatResponse({});
  }
}

/**
 * 格式化请求结果, 给列表添加key字段
 * @param response
 * @return {{total: (*|number), list: (*|Array)}}
 */
export function formatResponse(response = {}) {
  let data = response.rows || [];
  let total = response.records || 0;

  data.forEach((item, index) => {
    item.key = index;
    item.id = item.productId;
    item.name = item.productName;
  });

  return {
    list: data,
    total: total,
  };
}
