import Modal from 'COMPONENT/Modal';
import { getOtherRelationProduct } from 'SERVICE/product';
import moment from 'moment';

//当前年份
const currentYearText = moment().year() + '';

/**
 * 加载其他关联产品字典
 * @param {[string]} organizationIds 组织机构ID数组
 * @param {string} category 产品类型
 */
const loadLinkProductsDict = async (organizationIds, category) => {
  if (organizationIds && organizationIds.length > 0) {
    const apiData = await getOtherRelationProduct({ organizationId: organizationIds.join(','), category }, true);
    const data = apiData || [];
    const dict = data.map((d) => {
      return { val: d.id, text: d.name, branchName: d.branchName, status: d.status };
    });
    return dict;
  } else {
    return null;
  }
};

export default {
  currentYearText,
  loadLinkProductsDict,
};
