import React from 'react';
import Page from 'COMPONENT/Page';
import Button from 'COMPONENT/Button';
import styles from './styles.less';
import AddCustomerMain from 'PAGE/common/AddCustomerMain';
import { WORKBENCH_RECEPTION } from 'PAGE/common/utils';
import getWrappedInstance from 'UTIL/getWrappedInstance';
import PopTip from 'COMPONENT/PopTip';
class AddCustomer extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      loading: false, // {boolean} 等待状态
      saveTipsVis: false,
      saveTips: null,
    };
  }

  showSaveTips = (text) => {
    this.setState({ saveTipsVis: true, saveTips: text || '请正确填写信息' });
  };

  render() {
    const { loading, saveTipsVis, saveTips } = this.state;

    return (
      <Page route={this.props.route} loading={loading} ref={(c) => (this.pageRef = c)}>
        <div className={styles.wrap}>
          <AddCustomerMain
            onLoadingStart={() => this.setState({ loading: true })}
            onLoadingEnd={() => this.setState({ loading: false })}
            onError={this.showSaveTips}
            onSaveSuccess={this.addCustomerMainRef ? this.addCustomerMainRef.reset : null}
            ref={(c) => (this.addCustomerMainRef = getWrappedInstance(c))}
            workBench={WORKBENCH_RECEPTION}
            callType="FRONT_DESK"
          />
          <div className={styles.footer}>
            <PopTip
              visible={saveTipsVis}
              content={saveTips}
              onClose={() => this.setState({ saveTipsVis: false })}
              getPopupContainer={(ele) => ele.parentNode}
            >
              <Button type={'primary'} onClick={this.addCustomerMainRef ? this.addCustomerMainRef.onOk : null}>
                保存客户
              </Button>
            </PopTip>
          </div>
        </div>
      </Page>
    );
  }
}
export default AddCustomer;
