/**
 * Created by Haolin on 2019/2/11.
 */
import React from 'react';
import { connect } from 'dva';
import style from './index.less';
import Page from 'COMPONENT/Page';
import Main from './Main';
import Drawer from './components/Drawer';
import ExportHistory from './Views/ExportHistory';

class ExportCenter extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      loading: false,
      activePage: null,
    };
  }
  static classPrefix = 'ExportCenter';
  // 初始化导出历史列表
  static initHistoryList() {
    GlobalEvent.emit('ExportHistory:init_list');
  }

  render() {
    const { route } = this.props;
    const { loading } = this.state;
    const prefix = ExportCenter.classPrefix;

    return (
      <Page title={false} className={style[prefix]} fitWindowHeight={true} loading={loading} route={route}>
        <Main />
        <Drawer btnNode="导出历史" onOpen={ExportCenter.initHistoryList}>
          <ExportHistory />
        </Drawer>
      </Page>
    );
  }
}

const mapStateToProps = (state) => {
  return {};
};

export default connect(mapStateToProps)(ExportCenter);
