/**
 * Created by Haolin<haolinhom@gmail.com> on 2019/2/16.
 */
import CourseConsume from './Views/CourseConsume';
import Refund from './Views/Refund';
/**
 * 菜单配置
 * @key key 菜单的key值(唯一)
 * @key optionName 菜单的选项名
 * @key icon 附在菜单左侧的icon(可选，只支持antD-2.x-icon)
 * @key auth 权限配置(可选)
 * @key component 菜单对应的页面组件(与items 2选1)
 * @key items 子菜单(与component 2选1)
 * */
const menuConfig = [
  {
    key: 'financialStatements',
    optionName: '财务报表',
    icon: 'file-text',
    auth: 'BTN_EXPORT_CENTER_FINANCIAL',
    items: [
      {
        key: 'courseConsume',
        optionName: '课消记录',
        component: <CourseConsume />,
        auth: 'BTN_EXPORT_CENTER_COURSE_CONSUME',
      },
      {
        key: 'refund',
        optionName: '退费记录',
        component: <Refund />,
        auth: 'BTN_EXPORT_CENTER_REFUND',
      },
    ],
  },
];

export default menuConfig;
