import { followRateReport, followRateReportNewDetails, followRateReportUnFollowDetails } from 'SERVICE/customer';
import { exportFollowRateReport } from 'SERVICE/exportFile';

const getFollowRateReport = async (params) => {
  const res = await followRateReport(params);
  if (res.resultCode !== 0) {
    throw new Error(res.resultMessage);
  }
  return res.data || [];
};

const exportFile = async (params) => {
  const res = await exportFollowRateReport(params);
  if (res.resultCode !== 0) {
    throw new Error(res.resultMessage);
  }
  return res;
};

export default {
  getFollowRateReport,
  followRateReportNewDetails,
  followRateReportUnFollowDetails,
  exportFile,
};
