/**
 * 导出Excel
 */
import { urlBase } from 'CONST/config';
import { makeQueryString } from 'UTIL/http/index';

export function exportExcel(params) {
  const { apiUrl, data, fileName, success, fail } = params;
  const paramsString = makeQueryString(data);
  return new Promise((resolve, reject) => {
    let request = new XMLHttpRequest();
    request.open('get', urlBase + apiUrl + (paramsString ? '?' + paramsString : ''), true);
    request.responseType = 'blob';
    request.setRequestHeader('Content-type', 'application/json');
    request.onload = function () {
      if (this.status === 200) {
        let blob = this.response;
        let reader = new FileReader();
        reader.readAsDataURL(blob);
        reader.onload = function (event) {
          resolve();
          let a = document.createElement('a');
          a.href = window.URL.createObjectURL(request.response);
          a.download = fileName + '.xls';
          document.body.appendChild(a);
          a.click();
          a.remove();
          if (success) {
            success();
          }
        };
      } else {
        let reader = new FileReader();
        reader.addEventListener('loadend', (event) => {
          let text = event.srcElement.result;
          reject(JSON.parse(text));
        });
        reader.readAsText(this.response);
      }
    };
    request.onerror = (error) => {
      reject(error);
      if (fail) {
        fail(error);
      }
    };
    request.send(JSON.stringify(data));
  });
}
