export function computedTotal(data = [], fields) {
  if (data.length === 0) {
    return [];
  }
  const numFields = [];
  fields.forEach((field) => {
    if (field.children) {
      numFields.push(...field.children.map((item) => item.dataIndex || item.key));
    } else {
      numFields.push(field.dataIndex || field.key);
    }
  });
  const totalRow = data.reduce(
    (prev, row) => {
      return numFields.reduce((totalRow, field) => {
        if (totalRow[field] === undefined) {
          totalRow[field] = 0;
        }

        totalRow[field] += row[field];

        return totalRow;
      }, prev);
    },
    {
      id: -1,
      productType: '合计: ',
    },
  );
  const newData = data.concat(totalRow);
  return newData.map((item, index) => ({ ...item, id: item.id == null ? index : item.id }));
}

/**
 * 计算百分比
 *
 * @param data {number}
 * @return {string}
 */
export function calcPercentAndRound(data) {
  if (Object.prototype.toString.call(data) === '[object Number]') {
    return Math.round(data * 10000) / 100 + '%';
  }

  return '';
}
