/**
 * Created by luoming on 2018/3/6
 */
let typeOption = {
  color: ['#6BE6C1', '#626C91', '#48BFFF'],
  title: {
    text: '收款类型笔数占比',
    left: '60%',
    top: '5%',
    textStyle: {
      fontSize: 16,
      color: '#363636',
    },
  },
  tooltip: {
    show: false,
    trigger: 'item',
    formatter: '{a} <br/>{b} : {c} ({d}%)',
  },
  legend: {
    orient: 'vertical',
    left: '60%',
    top: '-5%',
    itemWidth: 14,
    itemHeight: 14,
    itemGap: -5,
    selectedMode: false,
    // icon: 'circle',
    data: [],
    formatter: function (name) {
      return '{a|' + name + '}' + '\n' + '{b|' + (0.5 * 100).toFixed(2) + '%}' + '{c|' + '900笔' + '}';
    },
    textStyle: {
      height: 38,
      rich: {
        a: {
          fontSize: 14,
          verticalAlign: 'top',
          align: 'left',
          color: '#666666',
          padding: [10, 0, 10, 0],
        },
        b: {
          fontSize: 12,
          align: 'left',
          color: '#363636',
        },
        c: {
          fontSize: 20,
          align: 'left',
          color: '#363636',
          lineHeight: 20,
        },
      },
    },
  },
  series: [
    {
      name: '收款笔数占比',
      type: 'pie',
      radius: ['55%', '70%'],
      center: ['30%', '50%'],
      avoidLabelOverlap: false,
      label: {
        normal: {
          show: false,
          position: 'center',
        },
        emphasis: {
          show: true,
          formatter: (Object) => {
            return '{a|' + Object.name + '}' + '\n' + '{b|' + Object.percent + '%}' + '{c|' + Object.value + '笔}';
          },
          textStyle: {
            fontSize: '20',
            fontWeight: 'normal',
            rich: {
              a: {
                color: '#666666',
                padding: [10, 0, 0, 0],
              },
              b: {
                align: 'left',
                color: '#363636',
                padding: [-17, 10, 0, 0],
                lineHeight: 25,
              },
              c: {
                align: 'left',
                color: '#363636',
                padding: [-17, 10, 0, 10],
                lineHeight: 25,
              },
            },
          },
        },
      },
      labelLine: {
        normal: {
          show: false,
        },
      },
      data: [],
      itemStyle: {
        emphasis: {
          shadowBlur: 10,
          shadowOffsetX: 0,
          shadowColor: 'rgba(0, 0, 0, 0.5)',
        },
      },
    },
  ],
};
let moneyOption = {
  color: ['#6BE6C1', '#626C91', '#48BFFF'],
  title: {
    text: '收款类型金额占比',
    left: '60%',
    top: '5%',
    textStyle: {
      fontSize: 16,
      color: '#363636',
    },
  },
  tooltip: {
    show: false,
    trigger: 'item',
    formatter: '{a} <br/>{b} : {c} ({d}%)',
  },
  legend: {
    orient: 'vertical',
    left: '58%',
    top: '-5%',
    itemWidth: 14,
    itemHeight: 14,
    itemGap: -5,
    selectedMode: false,
    // icon: 'circle',
    data: [],
    formatter: function (name) {
      return '{a|' + name + '}' + '\n' + '{b|' + (0.5 * 100).toFixed(2) + '%}' + '{c|' + '900笔' + '}';
    },
    textStyle: {
      height: 38,
      rich: {
        a: {
          fontSize: 14,
          verticalAlign: 'top',
          align: 'left',
          color: '#666666',
          padding: [10, 0, 10, 0],
        },
        b: {
          fontSize: 12,
          align: 'left',
          color: '#363636',
        },
        c: {
          fontSize: 20,
          align: 'left',
          color: '#363636',
          padding: [0, 10, 0, 0],
          lineHeight: 20,
        },
      },
    },
  },
  series: [
    {
      name: '访问来源',
      type: 'pie',
      radius: ['55%', '70%'],
      center: ['30%', '50%'],
      avoidLabelOverlap: false,
      label: {
        normal: {
          show: false,
          position: 'center',
        },
        emphasis: {
          show: true,
          formatter: (Object) => {
            return '{a|' + Object.name + '}' + '\n' + '{b|' + Object.percent + '%}' + '{c|' + Object.value + '}';
          },
          textStyle: {
            fontSize: '20',
            fontWeight: 'normal',
            rich: {
              a: {
                color: '#666666',
                padding: [10, 0, 0, 0],
              },
              b: {
                align: 'left',
                color: '#363636',
                padding: [-17, 10, 0, 0],
                lineHeight: 25,
              },
              c: {
                align: 'left',
                color: '#363636',
                padding: [-17, 10, 0, 10],
                lineHeight: 25,
              },
            },
          },
        },
      },
      labelLine: {
        normal: {
          show: false,
        },
      },
      data: [],
      itemStyle: {
        emphasis: {
          shadowBlur: 10,
          shadowOffsetX: 0,
          shadowColor: 'rgba(0, 0, 0, 0.5)',
        },
      },
    },
  ],
};

export default { typeOption, moneyOption };
