import {
  getMiniClassScoreReport,
  getMiniClassScoreReportDetail,
  printMiniClassScoreReport,
  printMiniClassScoreReportByClass,
} from 'SERVICE/miniClassScoreReport';

const loadMiniClassScoreReport = async (params) => {
  const data = await getMiniClassScoreReport(params);
  return data;
};

const loadMiniClassScoreReportDetail = async (params) => {
  const data = await getMiniClassScoreReportDetail(params);
  return data;
};

const exportMiniClassScoreReport = async (params) => {
  const data = await printMiniClassScoreReport(params);
  const { resultCode, resultMessage, data: url } = data;
  return { resultCode, resultMessage, url };
};

const exportMiniClassScoreReportByClass = async (params) => {
  const data = await printMiniClassScoreReportByClass(params);
  const { resultCode, resultMessage, data: url } = data;
  return { resultCode, resultMessage, url };
};

export default {
  loadMiniClassScoreReport,
  loadMiniClassScoreReportDetail,
  exportMiniClassScoreReport,
  exportMiniClassScoreReportByClass,
};
