import React from 'react';
import PropTypes from 'prop-types';
import style from './index.less';

const classPrefix = 'Info';

const InfoWrap = (props) => {
  return <div className={style[`${classPrefix}-wrap`]}>{props.children}</div>;
};

const Info = (props) => {
  return (
    <div className={style[classPrefix]}>
      <span className={style[`${classPrefix}-label`]}>{props.label}</span>
      <span className={style[`${classPrefix}-text`]}>{props.text || '-'}</span>
      {props.text && props.unit && <span className={style[`${classPrefix}-unit`]}>{props.unit}</span>}
    </div>
  );
};
Info.protoTypes = {
  label: PropTypes.string.isRequired,
  text: PropTypes.string,
  unit: PropTypes.string,
};

Info.InfoWrap = InfoWrap;

export default Info;
