import { Tooltip } from 'antd';
import commonStyles from './styles.less';

export const renderMultiLine = (detail) => {
  if (!detail) return null;
  const lines = typeof detail === 'string' ? detail.split(',') : detail;
  const displayLines = lines.slice(0, 2);
  const otherLines = lines.slice(2);
  //弹出框内容
  const content = (
    <div>
      {otherLines.map((branch, index) => {
        return (
          <p style={{ lineHeight: 2 }} key={index}>
            {branch}
          </p>
        );
      })}
    </div>
  );
  if (!lines.length) {
    return null;
  }
  //超出两个才省略
  if (lines.length <= 2) {
    return (
      <div>
        <p>{displayLines[0]} ;</p>
        <p>{displayLines[1]}</p>
      </div>
    );
  } else {
    return (
      <Tooltip placement="top" overlayClassName={commonStyles.maxHeight} title={content}>
        <p>{displayLines[0]} ;</p>
        <p>{displayLines[1]}</p>
        <p>...</p>
      </Tooltip>
    );
  }
};
