import { addAdPage, getAdList, getBranch, upDownAd } from 'SERVICE/signUpOnline';

const loadList = async (params) => {
  const data = await getAdList(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data.data;
};
const editAdStatus = async (params) => {
  const data = await upDownAd(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

const addAd = async (params) => {
  const data = await addAdPage(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};
const getBranchDict = async (params) => {
  const data = await getBranch(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return (data.data || []).map((item) => ({ val: item.id, text: item.name }));
};

export default {
  loadList,
  editAdStatus,
  addAd,
  getBranchDict,
};
