import {
  getCarOrderList,
  getDownloadUrl,
  findCartDetail,
  findOrderDetail,
  getStudentInfoById,
} from 'SERVICE/signUpOnline';

const getList = async (params) => {
  try {
    const response = await getCarOrderList(params);
    if (response.resultCode !== 0) {
      throw new Error(response.resultMessage);
    }
    return response.data;
  } catch (err) {
    console.error(err);
    throw new Error(err.text);
  }
};

const getOrderDetail = async (params) => {
  try {
    const response = await findOrderDetail(params);
    if (response.resultCode !== 0) {
      throw new Error(response.resultMessage);
    }
    return response.data;
  } catch (err) {
    console.error(err);
    throw new Error(err.text);
  }
};
const getCartDetail = async (params) => {
  try {
    const response = await findCartDetail(params);
    if (response.resultCode !== 0) {
      throw new Error(response.resultMessage);
    }
    return response.data;
  } catch (err) {
    console.error(err);
    throw new Error(err.text);
  }
};

const getOrderDownloadUrl = async (params) => {
  try {
    const response = await getDownloadUrl(params);
    if (response.resultCode !== 0) {
      throw new Error(response.resultMessage);
    }
    return response.data;
  } catch (err) {
    console.error(err);
    throw new Error(err.text);
  }
};

const getStudentDataById = async (params) => {
  try {
    const response = await getStudentInfoById(params);
    if (response.resultCode !== 0) {
      throw new Error(response.resultMessage);
    }
    return response.data;
  } catch (err) {
    console.error(err);
    throw new Error(err.text);
  }
};

/**
 * 导出模板
 */
const exportDemo = async ({ href, download } = {}) => {
  const link = document.createElement('a');
  const body = document.querySelector('body');
  link.href = href;
  console.log(link.href);
  link.download = download;
  // fix Firefox
  link.style.display = 'none';
  body.appendChild(link);
  link.click();
  body.removeChild(link);
};

export { getOrderDetail, getList, exportDemo, getOrderDownloadUrl, getCartDetail, getStudentDataById };
