import { loadListApi, loadDetailApi, addApi, editApi, changeStatusApi, getClassTreeApi } from 'SERVICE/signUpOnline';

/**
 * 获取列表数据
 */
const loadList = async (params) => {
  // const data = await request('/EnrollManagerStudentQualificationController/listEnrollManagerStudentQualificationInfos.do?'+makeQueryString(params))
  // return data.data
  const data = await loadListApi(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
  // return new Promise(function(resolve, reject){
  //   setTimeout(function(){
  //     resolve({
  //       rowCount: 30,
  //       pageNo: 1,
  //       datas: [
  //         { id: '12312', name: '2018年珠海分公司十人课堂暑假一期初三报读周期', branchName: '东莞分公司',
  //           productTypeName: '十人课堂', yearName: '2018', quarterName: '春季', gradeName: '六年级',
  //           subjectName: '语文', status: '无效', originalEnrollStartTime: '2018-07-01 12:00:00', originalEnrollEndTime: '2018-07-08 00:00:00',
  //           freeEnrollEndTime: '2018-07-25 00:00:00', freeEnrollStartTime: '2018-07-16 00:00:00', acrossEnrollStartTime: '2018-07-08 00:00:00',
  //           acrossEnrollEndTime: '2018-07-16 00:00:00'
  //         },
  //         { id: '34534', name: '2018年珠海分公司十人课堂暑假一期初三报读周期', branchName: '东莞分公司',
  //           productTypeName: '十人课堂', yearName: '2018', quarterName: '春季', gradeName: '六年级',
  //           subjectName: '语文', status: '有效', originalEnrollStartTime: '2018-07-01 12:00:00', originalEnrollEndTime: '2018-07-08 00:00:00',
  //           freeEnrollEndTime: '2018-07-25 00:00:00', freeEnrollStartTime: '2018-07-16 00:00:00', acrossEnrollStartTime: '2018-07-08 00:00:00',
  //           acrossEnrollEndTime: '2018-07-16 00:00:00'
  //         }
  //       ]
  //     })
  //   }, 1000)
  // })
};

/**
 * 获取详情
 */
const loadDetail = async (params) => {
  const data = await loadDetailApi(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
  // return new Promise((resolve, reject)=>{
  //   setTimeout(()=>{
  //     resolve({
  //       acrossEnrollEndTime: '2018-07-28 03:34:23', acrossEnrollStartTime: '2018-06-28 03:34:23', classIds: 'fwe',
  //       freeEnrollEndTime: '2018-08-28 03:34:23', freeEnrollStartTime: '2018-07-28 03:34:23', name: '第一个报读周期小班-珠海分公司2',
  //       originalEnrollEndTime: '2018-06-28 03:34:23', originalEnrollStartTime: '2018-06-13 03:34:16', remark: '备注备注',
  //       branchId: '000002', productTypeId: 'ONE_ON_MANY', yearId: 'DAT0000000244', quarterId: 'DAT0000000232',
  //       gradeId: '402881e647ce90330147ce94ef900007', subjectId: 'DAT0000000015',
  //     })
  //   }, 1000)
  // })
};

/**
 * 新增
 */
const add = async (params) => {
  // const data = await request('/EnrollManagerStudentQualificationController/addEnrollManagerStudentQualification.do', {
  //   body: params,
  //   body: makeQueryString(params),
  //   headers: {
  //     "Content-Type": "application/x-www-form-urlencoded"
  //   }
  // })
  // return data.data
  const data = await addApi(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

/**
 * 编辑
 */
const edit = async (params) => {
  // const data = await request('/EnrollManagerStudentQualificationController/updateEnrollManagerStudentQualification.do', {
  //   method: 'POST',
  //   body: makeQueryString(params),
  //   headers: {
  //     "Content-Type": "application/x-www-form-urlencoded"
  //   },
  // })
  // return data.data
  const data = await editApi(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

/**
 * 改变状态
 */
const changeStatus = async (params) => {
  // return new Promise((resolve, reject)=>{
  //   setTimeout(()=>{
  //     resolve({
  //       resultCode: 0,
  //       resultMessage: '修改成功'
  //     })
  //   }, 1000)
  // })
  const data = await changeStatusApi(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

/**
 * 获取班课信息
 */
const getClassTree = async (params) => {
  // return new Promise((resolve, reject)=>{
  //   setTimeout(()=>{
  //     resolve([
  //       {
  //         campusId: 'wer',
  //         campusName: '柠溪学习中心',
  //         classes: [
  //           { classId: 'fwe', className: '2018春季班', periodName: '第一个报读周期'}
  //         ]
  //       },
  //       {
  //         campusId: 'ryh',
  //         campusName: '香洲学习中心',
  //         classes: [
  //           { classId: 'asg', className: '2017冬季班', periodName: null}
  //         ]
  //       }
  //     ])
  //   }, 1000)
  // })
  const data = await getClassTreeApi(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

export default {
  loadList,
  loadDetail,
  add,
  edit,
  changeStatus,
  getClassTree,
};
