import { loadQuartersApi, addQuarterApi, delQuarterApi } from 'SERVICE/signUpOnline';

const loadQuarters = async () => {
  // return new Promise(resolve => {
  //   setTimeout(() => {
  //     resolve([
  //       { id: '23rt4e', productTypeName: '双师', productTypeId: 'TWO_TEACHER', quarterId: ['DAT0000000230'], quarterName: '寒假', yearName: '2018', yearId: 'DAT0000000244' },
  //       { id: 'dfb', productTypeName: '双师', productTypeId: 'TWO_TEACHER', quarterId: ['DAT0000000230'], quarterName: '寒假', yearName: '2018', yearId: 'DAT0000000244' },
  //       { id: 'bet', productTypeName: '双师', productTypeId: 'TWO_TEACHER', quarterId: ['DAT0000000230'], quarterName: '寒假', yearName: '2018', yearId: 'DAT0000000244' },
  //     ])
  //   }, 1000)
  // })
  try {
    const response = await loadQuartersApi();
    if (response.resultCode !== 0) {
      throw new Error(response.resultMessage);
    }
    return response.data;
  } catch (err) {
    throw new Error(err.text || err.message);
  }
};

const addQuarter = async (params) => {
  try {
    const response = await addQuarterApi(params);
    if (response.resultCode !== 0) {
      throw new Error(response.resultMessage);
    }
    return response.data;
  } catch (err) {
    throw new Error(err.text || err.message);
  }
};

const delQuarter = async (params) => {
  try {
    const response = await delQuarterApi(params);
    if (response.resultCode !== 0) {
      throw new Error(response.resultMessage);
    }
    return response.data;
  } catch (err) {
    throw new Error(err.text || err.message);
  }
};

export default {
  loadQuarters,
  addQuarter,
  delQuarter,
};
