/**
 * Created by Haolin on 2018/8/14.
 */
import React from 'react';
import { Calendar } from 'antd';
import moment from 'moment';
import './style.less';

class Cal extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      activeDay: null,
    };
  }

  /**
   * 更新state
   * */
  updateState = (newState) => {
    this.setState((prevState, props) => {
      return {
        ...newState,
      };
    });
  };

  /**
   * 格式化
   * */
  formatDate = (params) => {
    const { type, date } = params;
    let y = date.getFullYear();
    let m = date.getMonth() + 1;
    let d = date.getDate();
    m = m < 10 ? '0' + m : m.toString();
    d = d < 10 ? '0' + d : d.toString();
    if (type === 'result') {
      m = '-' + m;
      d = '-' + d;
    }
    return y.toString() + m + d;
  };

  /**
   * 选择日期
   * */
  chooseDate = (params) => {
    const { _d } = params;
    const { date, handleActive, handleDate } = this.props;
    let dateObj = new Date(_d);
    //格式化数据
    let saveData = this.formatDate({ type: 'save', date: dateObj });
    let resultData = this.formatDate({ type: 'result', date: dateObj });
    //更新 activeDay
    this.updateState({ activeDay: saveData });
    let type = 'new';
    if (date.length > 0 && date.findIndex((item) => item === saveData) !== -1) {
      type = 'switch';
    }
    //为父组件设置activeDay 及 当前日期新增默认的开始时间与结束时间
    handleActive({ type, activeDay: saveData, activeDayStr: resultData });
    //触发handleDate
    handleDate({
      type,
      chosen: saveData,
      result: resultData,
    });
  };

  calCell = (date) => {
    console.log(date);
    let dateObj = new Date(date);
    let check = this.formatDate({ type: 'save', date: dateObj });
    const propsDate = this.props.date;
    const { activeDay } = this.state;
    let cellClass = 'hom-calendar-day-cell';
    if (propsDate.length > 0 && propsDate.findIndex((item) => item === check) !== -1) {
      cellClass = cellClass + ' chosen';
    }
    if (activeDay === check) {
      cellClass = cellClass + ' active';
    }
    let day = dateObj.getDate();
    return (
      <div className="hom-calendar-cell">
        <div className={cellClass}>{day}</div>
      </div>
    );
  };

  render() {
    const {} = this.props;
    const {} = this.state;

    return (
      <Calendar
        className="hom-calendar"
        fullscreen={false}
        dateFullCellRender={this.calCell}
        onSelect={this.chooseDate}
      />
    );
  }
}

export default Cal;
