/**
 * Created by Haolin on 2019/4/9.
 */
import React from 'react';
import { connect } from 'dva';
import { Row, Col } from 'antd';
import Modal from 'COMPONENT/Modal';
import Button from 'COMPONENT/Button';
import Input from 'COMPONENT/Input';
import showMessage from 'COMPONENT/utils/globalTips/showMessage';

const ModalFooterBtn = (props) => {
  const { text, handleClick, disabled } = props;
  return (
    <div>
      <Button type="primary" onClick={handleClick} disabled={disabled}>
        {text}
      </Button>
    </div>
  );
};

class ModalShareLink extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      name: '分享 - 考场预约链接',
      loading: false,
    };
    this.inputId = 'ShareLink';
    this.copyLink = this.copyLink.bind(this);
  }
  static classPrefix = 'ModalShareLink';
  componentDidMount() {}
  componentWillUnmount() {}
  // 复制链接
  copyLink() {
    const input = document.querySelector(`#${this.inputId}`);
    input.select();
    if (document.execCommand('copy')) {
      document.execCommand('copy');
      showMessage('复制成功', 'success');
    }
  }

  render() {
    const { onCancel, url } = this.props;
    const { name, loading } = this.state;
    const prefix = ModalShareLink.classPrefix;

    return (
      <Modal
        title={name}
        className={style[prefix]}
        loading={loading}
        widthSize="S"
        onCancel={onCancel}
        cancelBtnShow={false}
        okText="复制链接"
        onOk={this.copyLink}
      >
        <Row style={{ marginBottom: 12 }}>
          <Col span={24}>
            <Input id={this.inputId} defaultValue={url} />
          </Col>
        </Row>
        <Row>
          <Col span={24}>
            <div>注：家长可以通过访问链接进行考场预约。</div>
          </Col>
        </Row>
      </Modal>
    );
  }
}

const mapStateToProps = (state) => {
  return {};
};

export default connect(mapStateToProps)(ModalShareLink);
