import React from 'react';
import { Modal, FormItem, Input } from 'COMPONENT';
import ShowMessage from 'COMPONENT/utils/globalTips/showMessage';
import styles from './styles.less';

const defaultInputId = 'SIGN_UP_SHARE_LINK_ID';
class ShareLinkModal extends React.Component {
  constructor(props) {
    super(props);
  }

  onConfirm = () => {
    // 复制input的内容
    const shareInput = document.querySelector(`#${defaultInputId}`);
    shareInput && shareInput.select();
    if (document.execCommand('copy')) {
      document.execCommand('copy');
      ShowMessage('复制成功', 'success');
    } else {
      ShowMessage('当前浏览器不支持复制功能', 'error');
    }
  };
  render() {
    const { onClose, shareLink } = this.props;

    return (
      <Modal title="分享-课程链接" onCancel={onClose} okText="复制" onOk={this.onConfirm} width={430}>
        <div className={styles.shareLinkWrapper}>
          <FormItem name="分享链接" alt={shareLink}>
            <Input id={defaultInputId} placeholder="分享链接" defaultValue={shareLink} />
          </FormItem>
          <div>家长可以通过访问链接进入选课页</div>
        </div>
      </Modal>
    );
  }
}

export default ShareLinkModal;
