import { SYSTEM_MARK } from 'CONST/config';
import {
  loadMiniList,
  loadSmallClassList,
  getNewSelectOption,
  loadSmallClassTeacher,
  /*双师*/
  loadTwoTeacherMiniList,
  loadTwoTeacherList,
  getTwoTeacherNewSelectOption,
  loadTwoTeacherTeacher,
  // 1对1
  loadOTOMiniList,
  loadOTOList,
  updateOtOStatus,
  getBranchDict,
  getBranchCampusDict,
} from '../loader';
const isTwoTeacher = SYSTEM_MARK === 'TWO_TEACHER';
const productTypeMap = {
  TWO_TEACHER: 'TWO_TEACHER',
  SMALL_CLASS: 'SMALL_CLASS',
  ONE_TO_ONE: 'ONE_TO_ONE',
};

// 双师的字典只有双师类型 ，星火的有小班1对1
const defaultProductTypeId = isTwoTeacher ? productTypeMap.TWO_TEACHER : productTypeMap.SMALL_CLASS;

const xingHuoLoader = {
  loadList: loadMiniList,
  loadClassList: loadSmallClassList,
  getSelectOption: getNewSelectOption,
  loadTeacher: loadSmallClassTeacher,
  getBranchDict,
  getBranchCampusDict,
};
const twoTeacherLoader = {
  loadList: loadTwoTeacherMiniList,
  loadClassList: loadTwoTeacherList,
  getSelectOption: getTwoTeacherNewSelectOption,
  loadTeacher: loadTwoTeacherTeacher,
  getBranchDict,
  getBranchCampusDict,
};

const oneToOneLoader = {
  loadList: loadOTOMiniList,
  loadClassList: loadOTOList,
  getSelectOption: getNewSelectOption,
  loadTeacher: loadSmallClassTeacher,
  updateOtOStatus,
  getBranchDict,
  getBranchCampusDict,
};
const newCmallLoader = isTwoTeacher ? twoTeacherLoader : xingHuoLoader;
export { isTwoTeacher, productTypeMap, defaultProductTypeId, newCmallLoader, oneToOneLoader };
