import { loadSectionList, sectionDetail, addSection, editSection, invalidSection } from 'SERVICE/signUpOnline';
import { httpPost } from 'UTIL/http';
/**
 * 获取列表数据
 */
const loadList = async (params) => {
  // const data = await request('/EnrollManagerStudentQualificationController/listEnrollManagerStudentQualificationInfos.do?'+makeQueryString(params))
  // return data.data
  const data = await loadSectionList(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

/**
 * 获取详情
 */
const loadDetail = async (params) => {
  const data = await sectionDetail(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

/**
 * 新增
 */
const add = async (params) => {
  const data = await addSection(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

/**
 * 编辑
 */
const edit = async (params) => {
  const data = await editSection(params);
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

/**
 * 改变状态
 */
const changeStatus = async (params) => {
  const { id, ...extraParams } = params;
  const data = await httpPost({
    url: `SectionChargeController/invalidSectionSetting.do?sectionId=${id}`,
    method: 'POST',
    dataType: 'json',
  });
  if (data.resultCode !== 0) {
    throw new Error(data.resultMessage);
  }
  return data;
};

export default {
  loadList,
  loadDetail,
  add,
  edit,
  changeStatus,
};
