import { getAllCity, editStudentCity, listStudentData } from 'SERVICE/signUpOnline';
/**
 * 获取列表数据
 */
const loadStudentList = async (params = {}) => {
  const { pageNo, pageSize, ...extraParams } = params;
  const res = await listStudentData({
    current: pageNo,
    size: pageSize,
    params: extraParams,
  });
  if (res.code !== 200) {
    throw { text: res.msg };
  }
  return res.data;
};

const getAllCityData = async (params = {}) => {
  const res = await getAllCity(params);
  if (res.code !== 200) {
    throw { text: res.msg };
  }
  return res.data;
};

const editStdCity = async (params = {}) => {
  const res = await editStudentCity(params);
  if (res.code !== 200) {
    throw { text: res.msg };
  }
  return res.data;
};

export default {
  loadStudentList,
  editStdCity,
  getAllCityData,
};
