/**
 * Created by Haolin on 2018/9/3.
 *
 * 此组件其他地方有引用 Edit by Haolin on 2018/12/7
 */
import React from 'react';
import Popover from 'COMPONENT/Popover';
import Button from 'COMPONENT/Button';
import classNames from 'classnames';
import style from './style.less';

const PopBtnWarp = (props) => {
  const {
    data: { text, onClick, btnClass, disabled },
    index,
    callback,
  } = props;
  return (
    <div>
      {disabled ? (
        <div className={classNames(style['button-wrap-pop-btn-disabled'], 'not-close-pop', btnClass)}>{text}</div>
      ) : (
        <div
          className={classNames(style['button-wrap-pop-btn'], 'not-close-pop', btnClass)}
          onClick={() => callback(onClick)}
          key={index}
        >
          {text}
        </div>
      )}
    </div>
  );
};

class ButtonWrap extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      popMenuVisible: false,
    };
  }
  static defaultProps = {
    btnType: 'default',
    popPlacement: 'top',
    popClass: '',
    btnClass: '',
    btnDisabled: false,
  };

  componentDidMount() {
    window.addEventListener('click', this.popClose, false);
  }

  componentWillUnmount() {
    window.removeEventListener('click', this.popClose, false);
  }

  popClose = (e) => {
    const { popMenuVisible } = this.state;
    let tag = e.target;
    if (popMenuVisible && tag.className.indexOf('not-close-pop') === -1) {
      this.setState((prevState) => ({ popMenuVisible: false }));
    }
  };

  /**
   * 切换气泡弹窗显示状态
   * */
  popToggle = () => {
    this.setState((prevState) => ({ popMenuVisible: !prevState.popMenuVisible }));
  };
  /**
   * 气泡弹窗按钮点击事件
   * */
  popBtnAction = (fnc) => {
    this.popToggle();
    fnc();
  };

  render() {
    const { type, actions, btnText, btnType, btnClass, btnStyle, popPlacement, popClass, popStyle, btnDisabled } =
      this.props;
    const { popMenuVisible } = this.state;

    return (
      <Popover
        visible={popMenuVisible}
        content={actions.map((item, index) => (
          <PopBtnWarp data={item} index={index} callback={this.popBtnAction} key={index} />
        ))}
        placement={popPlacement}
        overlayClassName={classNames('button-wrap-pop-ant', popClass)}
        overlayStyle={popStyle}
      >
        <Button
          type={btnType}
          onClick={this.popToggle}
          className={classNames('not-close-pop', btnClass)}
          style={btnStyle}
          disabled={btnDisabled}
        >
          {btnText}
        </Button>
      </Popover>
    );
  }
}

export default ButtonWrap;
