/**
 * Created by Haolin on 2018/8/27.
 */
import React from 'react';
import './style.less';
import { cloneDeep } from 'lodash';

const DataRow = (props) => {
  const {
    data: { index, studentName, phoneNum, grade, appointmentDate, appointmentTime, subject },
  } = props;
  return (
    <tr>
      <td className="item-index">{index}</td>
      <td className="item-name">{studentName}</td>
      <td className="item-phone">{buildPhoneNum(phoneNum)}</td>
      <td className="item-grade">{grade}</td>
      <td className="item-time">{appointmentTime}</td>
      <td className="item-subject">{subject}</td>
      <td className="item-remark"> </td>
    </tr>
  );
};
function buildPhoneNum(str) {
  if (str && str !== '') {
    let begin = str.slice(0, 3);
    let end = str.slice(7);
    return begin + '****' + end;
  } else {
    return '';
  }
}

class PrintTable extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  /**
   * 更新state
   * */
  updateState = (newState) => {
    this.setState((prevState, props) => {
      return {
        ...newState,
      };
    });
  };

  render() {
    const { data } = this.props;
    const {} = this.state;

    let needNum = 30 - data.length;
    let trData = [];
    if (needNum > 0) {
      let origin = {
        id: '',
        index: '',
        studentName: '',
        phoneNum: '',
        branch: '',
        campus: '',
        grade: '',
        appointmentDate: '',
        appointmentTime: '',
        examPoint: '',
        pointLvl: '',
        takeStateVal: '',
        takeState: '',
        appointmentType: '',
        subject: '',
      };
      let list = data.slice(0);
      for (let i = 0; i < needNum; i++) {
        list.push(origin);
      }
      trData = list;
    } else {
      trData = data;
    }

    return (
      <div className="StdntApptMgmt-print">
        <table>
          <thead>
            <tr>
              <th className="item-index">序号</th>
              <th className="item-name">学生姓名</th>
              <th className="item-phone">手机号码</th>
              <th className="item-grade">年级</th>
              <th className="item-time">预约时间</th>
              <th className="item-subject">科目</th>
              <th className="item-remark">备注</th>
            </tr>
          </thead>
          <tbody>
            {trData.map((item, index) => (
              <DataRow data={item} key={index} />
            ))}
          </tbody>
        </table>
      </div>
    );
  }
}

export default PrintTable;
