import { loadPromotionByTimeApi, loadProductByPromotionIdApi, getIsmorePromotionId } from 'SERVICE/signUpOnline';

const loadPromotionByTime = async (params) => {
  try {
    const response = await loadPromotionByTimeApi(params);
    if (response.resultCode !== 0) {
      throw new Error(response.resultMessage);
    }
    return response.data;
  } catch (err) {
    throw new Error(err.text);
  }

  // return new Promise(resolve => {
  //   setTimeout(()=>{
  //     resolve([
  //       {
  //         promotionId: 2455,
  //         hightAmount: 1,
  //         promotionLittleTypeName: '满减码',
  //         promotionName: '满减码（每满减课时）',
  //         promotionTypeName: '每满减',
  //         ruleVos: [
  //           {
  //             createTime: '2018-06-27 17:01:14.0',
  //             createUser: null,
  //             giftVos: [],
  //             id: 10182,
  //             modifyTime: null,
  //             modifyUser: null,
  //             productId: null,
  //             promotion: 1,
  //             promotionId: 10142,
  //             promotionIds: 0,
  //             promotionRule: 2,
  //             ruleName: null,
  //             ruleUnit: 'COURSE_HOURS',
  //             ruleUnitName: '课时',
  //             unit: 'MONEY',
  //             unitName: '金额',
  //             useNum: null
  //           }
  //         ]
  //       },
  //       {
  //         promotionId: 3568,
  //         hightAmount: 1,
  //         promotionLittleTypeName: '满减码',
  //         promotionName: '满减码（每满减课时）',
  //         promotionTypeName: '每满减',
  //         ruleVos: [
  //           {
  //             createTime: '2018-06-27 17:01:14.0',
  //             createUser: null,
  //             giftVos: [],
  //             id: 2346,
  //             modifyTime: null,
  //             modifyUser: null,
  //             productId: null,
  //             promotion: 1,
  //             promotionId: 10142,
  //             promotionIds: 0,
  //             promotionRule: 2,
  //             ruleName: null,
  //             ruleUnit: 'COURSE_HOURS',
  //             ruleUnitName: '课时',
  //             unit: 'MONEY',
  //             unitName: '金额',
  //             useNum: null
  //           }
  //         ]
  //       },
  //     ])
  //   },1000)
  // })
};

const loadProducts = async (id) => {
  try {
    const response = await loadProductByPromotionIdApi({ promotionId: id });
    if (response.resultCode !== 0) {
      throw new Error(response.resultMessage);
    }
    return response.data;
  } catch (err) {
    throw new Error(err.text);
  }
  // return new Promise(resolve => {
  //   setTimeout(() => {
  //     resolve([
  //       { productName: '提升班', promotionId: 'b24btg' },
  //       { productName: '收心班', promotionId: 'bq4t' },
  //       { productName: '加油班', promotionId: 'r5jh2546' },
  //     ])
  //   }, 1000)
  // })
};

export default {
  loadPromotionByTime,
  loadProducts,
  getIsmorePromotionId,
};
