import React from 'react';
import ListCard from '../ListCard';
import styles from './styles.less';

class ListSec extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  componentDidMount() {}

  render() {
    const { year, data, followModeDict, onView, onEdit, onDelete, userId, auth } = this.props;

    return (
      <div className={styles.wrap}>
        <div className={styles.header}>{year}</div>
        <div className={styles.body}>
          {data.map((da, idx) => {
            const { id } = da;
            return (
              <ListCard
                key={id}
                data={da}
                followModeDict={followModeDict}
                onEdit={() => onEdit(id)}
                onDelete={() => onDelete(id)}
                hasLine={idx < data.length - 1}
                userId={userId}
                auth={auth}
              />
            );
          })}
        </div>
      </div>
    );
  }
}

export default ListSec;
