import React from 'react';
import PropTypes from 'prop-types';
import styles from './styles.module.less';
import { Wrapper } from 'COMPONENT';

const Block = (props) => {
  return (
    <Wrapper
      className={styles.block}
      header={
        props.title && (
          <div className={styles.title}>
            <span className={styles.titleMark} />
            {props.title}
          </div>
        )
      }
    >
      {props.children}
    </Wrapper>
  );
};

Block.propTypes = {
  title: PropTypes.string,
  children: PropTypes.node,
};

export default Block;
