import React from 'react';
import PropTypes from 'prop-types';
import { Input } from 'COMPONENT';
import { runFunc } from 'UTIL/common';

class _Input extends React.Component {
  static propTypes = {
    max: PropTypes.number,
  };

  static defaultProps = {
    max: Infinity,
  };

  constructor(props) {
    super(props);

    this.onChange = this.onChange.bind(this);
  }

  onChange(e) {
    if (e.target.value.length > this.props.max) {
      e.target.value = e.target.value.slice(0, this.props.max);
    }
    runFunc(this.props.onChange, e);
  }

  render() {
    const { onChange, ...restProps } = this.props;

    return <Input {...restProps} onChange={this.onChange} />;
  }
}

export default _Input;
