import React from 'react';
import PropTypes from 'prop-types';
import styles from './styles.module.less';
import { Popover } from 'antd';

const ViewMsmTemplate = (props) => {
  return (
    <div className={styles.ViewMsmTemplate}>
      <span>新增关联家长提交后，需要发送短信让家长确认，家长确认后才能关联成功。</span>
      {props.content && (
        <span className={styles.pointer}>
          <span>（查看</span>
          <Popover
            overlayClassName={styles.msmTemplateOverlay}
            content={
              <p className={styles.msmTemplate}>
                <span>发送内容：</span>
                <span>{props.content}</span>
              </p>
            }
          >
            <span className={styles.target}>短信模板</span>
          </Popover>
          <span>）</span>
        </span>
      )}
    </div>
  );
};

ViewMsmTemplate.propTypes = {
  content: PropTypes.string,
};

export default ViewMsmTemplate;
