/**
 * Created by luoming on 2018/4/18
 */
import React from 'react';
import echarts from 'ASSET/js/echarts.min.js';
import IconButton from 'COMPONENT/IconButton';
import NoData from 'COMPONENT/NoData';
import styles from './index.less';
import { option, option2, option3, option4, option5 } from './options';

console.log(option);
const mapObj = {};

class ChartBlock extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  componentDidMount() {
    let echartsObj1 = echarts.init(this.echarts1);
    let echartsObj2 = echarts.init(this.echarts2);
    let echartsObj3 = echarts.init(this.echarts3);
    let echartsObj4 = echarts.init(this.echarts4);
    let echartsObj5 = echarts.init(this.echarts5);
    this.echartsObj1 = echartsObj1;
    this.echartsObj2 = echartsObj2;
    this.echartsObj3 = echartsObj3;
    this.echartsObj4 = echartsObj4;
    this.echartsObj5 = echartsObj5;

    // this.initCharts({},{});
    window.addEventListener('resize', this.resize, false);
  }

  initCharts = (data, rules) => {
    let { route } = this.props;
    let prefixTitle = route === 'StudentProgressRate' ? '' : '我的';
    if (data) {
      let { status } = this.props;
      let {
        statisticalRate,
        progressRate,
        flatRate,
        graduatingReadingSubjectCount,
        graduatingStatisticalSubjectCount,
        nonGraduatingReadingSubjectCount,
        nonGraduatingStatisticalSubjectCount,
        backwardRate,
        backwardRateBranchRank,
        backwardRateCampusRank,
        backwardRateRank,
        backwardSubjectCount,
        flatRateBranchRank,
        flatRateCampusRank,
        flatRateRank,
        flatSubjectCount,
        progressRateBranchRank,
        progressRateCampusRank,
        progressRateRank,
        progressSubjectCount,
        statisticalSubjectCount,
        validStatisticalSubjectCount,
        readingSubjectCount,
        statisticalRateStatus,
      } = data;

      let validCountStandard, graduateStandard, nonGraduateStandard, showRanking;
      if (route === 'StudentProgressRate') {
        if (backwardRateRank) {
          validCountStandard = rules.branchValidSubjectCount;
          graduateStandard = (graduatingReadingSubjectCount * rules.branchGraduatingRate) / 100;
          nonGraduateStandard = (nonGraduatingReadingSubjectCount * rules.branchNonGraduatingRate) / 100;
        }
        if (backwardRateBranchRank) {
          validCountStandard = rules.campusValidSubjectCount;
          graduateStandard = (graduatingReadingSubjectCount * rules.campusGraduatingRate) / 100;
          nonGraduateStandard = (nonGraduatingReadingSubjectCount * rules.campusNonGraduatingRate) / 100;
        }
        if (backwardRateCampusRank) {
          validCountStandard = rules.subjectGroupValidSubjectCount;
          graduateStandard = (graduatingReadingSubjectCount * rules.subjectGroupGraduatingRate) / 100;
          nonGraduateStandard = (nonGraduatingReadingSubjectCount * rules.subjectGroupNonGraduatingRate) / 100;
        }
      } else if (route === 'ManagerProgressRate') {
        validCountStandard = rules.studyManagerValidSubjectCount;
        graduateStandard = (graduatingReadingSubjectCount * rules.studyManagerGraduatingRate) / 100;
        nonGraduateStandard = (nonGraduatingReadingSubjectCount * rules.studyManagerNonGraduatingRate) / 100;
      } else {
        validCountStandard = rules.teacherValidSubjectCount;
        graduateStandard = (graduatingReadingSubjectCount * rules.teacherGraduatingRate) / 100;
        nonGraduateStandard = (nonGraduatingReadingSubjectCount * rules.teacherNonGraduatingRate) / 100;
      }

      console.log(rules);
      console.log(validStatisticalSubjectCount);
      console.log(validCountStandard);
      console.log(graduatingStatisticalSubjectCount);
      console.log(graduateStandard);
      console.log(nonGraduatingStatisticalSubjectCount);
      console.log(nonGraduateStandard);

      // (validStatisticalSubjectCount>=validCountStandard) &&
      // (graduatingStatisticalSubjectCount>= graduateStandard) &&
      // (nonGraduatingStatisticalSubjectCount>= nonGraduateStandard)&&
      // (showRanking=true);

      // console.log(showRanking);
      this.setState({
        statisticalRateStatus,
        statisticalRate,
        progressRate,
        flatRate,
        backwardRate,
        backwardRateBranchRank,
        backwardRateCampusRank,
        backwardRateRank,
        backwardSubjectCount,
        flatRateBranchRank,
        flatRateCampusRank,
        flatRateRank,
        flatSubjectCount,
        progressRateBranchRank,
        progressRateCampusRank,
        progressRateRank,
        progressSubjectCount,
        statisticalSubjectCount,
        validStatisticalSubjectCount,
        readingSubjectCount,
        validCountStandard,
        graduateStandard,
        graduatingStatisticalSubjectCount,
        nonGraduateStandard,
        nonGraduatingStatisticalSubjectCount,
        status,
      });
      option.series[0].data[0].value = parseFloat(statisticalRate) || 0;
      let value1 = 100 - parseFloat(statisticalRate);
      value1 = value1 ? value1 : value1 === 0 ? 0 : 100;
      option.series[0].data[1].value = value1;

      option2.series[0].data[0].value = parseFloat(progressRate) || 0;
      let value2 = 100 - parseFloat(progressRate);
      value2 = value2 ? value2 : value2 === 0 ? 0 : 100;
      option2.series[0].data[1].value = value2;

      option3.series[0].data[0].value = parseFloat(flatRate) || 0;
      let value3 = 100 - parseFloat(flatRate);
      value3 = value3 ? value3 : value3 === 0 ? 0 : 100;
      option3.series[0].data[1].value = value3;

      option4.series[0].data[0].value = parseFloat(backwardRate) || 0;
      let value4 = 100 - parseFloat(backwardRate);
      value4 = value4 ? value4 : value4 === 0 ? 0 : 100;
      option4.series[0].data[1].value = value4;

      option5.series[0].data = [
        parseFloat(statisticalRate),
        parseFloat(progressRate),
        parseFloat(flatRate),
        parseFloat(backwardRate),
      ];

      if (prefixTitle) {
        option.title.text = '{a|}{b|我的统计率 }';
        option2.title.text = '{a|}{b|我的进步率 }';
        option3.title.text = '{a|}{b|我的持平率 }';
        option4.title.text = '{a|}{b|我的退步率 }';
      }
      this.echartsObj1.setOption(option);
      this.echartsObj2.setOption(option2);
      this.echartsObj3.setOption(option3);
      this.echartsObj4.setOption(option4);
      this.echartsObj5.setOption(option5);
      this.setState({ showDetail: true });
    } else {
      this.echartsObj1.clear();
      this.echartsObj2.clear();
      this.echartsObj3.clear();
      this.echartsObj4.clear();
      this.echartsObj5.clear();
      this.setState({ showDetail: false });
    }
  };

  resize = () => {
    this.echartsObj1.resize();
    this.echartsObj2.resize();
    this.echartsObj3.resize();
    this.echartsObj4.resize();
    this.echartsObj5.resize();
  };

  componentWillUnmount() {
    //销毁实例
    this.echartsObj1.dispose();
    this.echartsObj2.dispose();
    this.echartsObj3.dispose();
    this.echartsObj4.dispose();
    this.echartsObj5.dispose();
    window.removeEventListener('resize', this.resize, false);
  }

  render() {
    let {
      statisticalRate,
      progressRate,
      flatRate,
      backwardRate,
      backwardRateBranchRank,
      backwardRateCampusRank,
      backwardRateRank,
      backwardSubjectCount,
      flatRateBranchRank,
      flatRateCampusRank,
      flatRateRank,
      flatSubjectCount,
      progressRateBranchRank,
      progressRateCampusRank,
      progressRateRank,
      progressSubjectCount,
      statisticalSubjectCount,
      validStatisticalSubjectCount = 10,
      readingSubjectCount,
      validCountStandard = 30,
      graduateStandard,
      nonGraduateStandard,
      status,
      showDetail,
      graduatingStatisticalSubjectCount,
      nonGraduatingStatisticalSubjectCount,
      statisticalRateStatus,
    } = this.state;
    let { route } = this.props;

    let graduateNum = Math.round(graduateStandard) - graduatingStatisticalSubjectCount;
    let nonGraduateNum = Math.round(nonGraduateStandard) - nonGraduatingStatisticalSubjectCount;
    let prefixTitle = route === 'StudentProgressRate' ? '' : '我的';

    return (
      <div className={styles.chartBlock}>
        <div className={styles.title}>{prefixTitle + '指标概览'}</div>
        <div>{this.props.children}</div>
        <div className={styles.charts + ' ' + (!showDetail ? 'hidden' : '')}>
          <div>
            <div>
              <div style={{ height: 300 }} ref={(e) => (this.echarts1 = e)}></div>
              {showDetail && (
                <div className={styles.content}>
                  <div>
                    {statisticalRate}
                    {statisticalRateStatus === 'N' && (
                      <IconButton
                        style={{ position: 'absolute', bottom: 8, right: -20 }}
                        title={{
                          placement: 'bottom',
                          overlayClassName: 'compareTips',
                          title: '无效',
                        }}
                        type="warning"
                      />
                    )}
                  </div>
                  <div></div>
                </div>
              )}
            </div>
            {showDetail && (
              <div className={styles.info}>
                <div>
                  <span>有效统计科次</span>
                  <span>
                    {validCountStandard > validStatisticalSubjectCount && (
                      <IconButton
                        style={{ position: 'absolute', top: 3, right: 30 }}
                        title={{
                          placement: 'bottom',
                          overlayClassName: 'compareTips',
                          title: `有效统计科次需达到${validCountStandard}个`,
                        }}
                        type="warning"
                      />
                    )}
                    {validStatisticalSubjectCount}
                  </span>
                </div>
                <div>
                  <span>已统计科次</span>
                  <span>
                    {(graduateNum > 0 || nonGraduateNum > 0) && (
                      <IconButton
                        style={{ position: 'absolute', top: 3, right: 30 }}
                        title={{
                          placement: 'bottom',
                          overlayClassName: 'compareTips',
                          title:
                            (graduateNum > 0 ? `毕业班科次还需统计${graduateNum}个；` : '') +
                            (nonGraduateNum > 0 ? `非毕业班科次还需统计${nonGraduateNum}个；` : ''),
                        }}
                        type="warning"
                      />
                    )}
                    {statisticalSubjectCount}
                  </span>
                </div>
                <div>
                  <span>在读科次</span>
                  <span>{readingSubjectCount}</span>
                </div>
              </div>
            )}
          </div>
          <div>
            <div>
              <div style={{ height: 300 }} ref={(e) => (this.echarts2 = e)}></div>
              {showDetail && (
                <div className={styles.content}>
                  <div>
                    {progressRate}
                    {statisticalRateStatus === 'N' && (
                      <IconButton
                        style={{ position: 'absolute', bottom: 8, right: -20 }}
                        title={{
                          placement: 'bottom',
                          overlayClassName: 'compareTips',
                          title: '统计率未达标',
                        }}
                        type="warning"
                      />
                    )}
                  </div>
                  <div>
                    <span>进步科次</span>
                    <span>{progressSubjectCount}</span>
                  </div>
                </div>
              )}
            </div>
            {showDetail && (
              <div className={styles.info}>
                <div>
                  <span>集团排名</span>
                  <span>
                    {progressRateRank ? (
                      <span>
                        {statisticalRateStatus !== 'N' ? (
                          progressRateRank
                        ) : (
                          <span>
                            <IconButton
                              style={{ position: 'absolute', top: 3, right: 55 }}
                              title={{
                                placement: 'bottom',
                                overlayClassName: 'compareTips',
                                title: `统计率未达标`,
                              }}
                              type="warning"
                            />
                            N/A
                          </span>
                        )}
                      </span>
                    ) : (
                      '-'
                    )}
                  </span>
                </div>
                <div>
                  <span>分公司排名</span>
                  <span>
                    {progressRateBranchRank ? (
                      <span>
                        {statisticalRateStatus !== 'N' ? (
                          progressRateBranchRank
                        ) : (
                          <span>
                            <IconButton
                              style={{ position: 'absolute', top: 3, right: 55 }}
                              title={{
                                placement: 'bottom',
                                overlayClassName: 'compareTips',
                                title: `统计率未达标`,
                              }}
                              type="warning"
                            />
                            N/A
                          </span>
                        )}
                      </span>
                    ) : (
                      '-'
                    )}
                  </span>
                </div>
                <div>
                  <span>学习中心排名</span>
                  <span>
                    {progressRateCampusRank ? (
                      <span>
                        {statisticalRateStatus !== 'N' ? (
                          progressRateCampusRank
                        ) : (
                          <span>
                            <IconButton
                              style={{ position: 'absolute', top: 3, right: 55 }}
                              title={{
                                placement: 'bottom',
                                overlayClassName: 'compareTips',
                                title: `统计率未达标`,
                              }}
                              type="warning"
                            />
                            N/A
                          </span>
                        )}
                      </span>
                    ) : (
                      '-'
                    )}
                  </span>
                </div>
              </div>
            )}
          </div>
          <div>
            <div>
              <div style={{ height: 300 }} ref={(e) => (this.echarts3 = e)}></div>
              {showDetail && (
                <div className={styles.content}>
                  <div>
                    {flatRate}
                    {statisticalRateStatus === 'N' && (
                      <IconButton
                        style={{ position: 'absolute', bottom: 8, right: -20 }}
                        title={{
                          placement: 'bottom',
                          overlayClassName: 'compareTips',
                          title: '统计率未达标',
                        }}
                        type="warning"
                      />
                    )}
                  </div>
                  <div>
                    <span>持平科次</span>
                    <span>{flatSubjectCount}</span>
                  </div>
                </div>
              )}
            </div>
            {showDetail && (
              <div className={styles.info}>
                <div>
                  <span>集团排名</span>
                  <span>
                    {flatRateRank ? (
                      <span>
                        {statisticalRateStatus !== 'N' ? (
                          flatRateRank
                        ) : (
                          <span>
                            <IconButton
                              style={{ position: 'absolute', top: 3, right: 55 }}
                              title={{
                                placement: 'bottom',
                                overlayClassName: 'compareTips',
                                title: `统计率未达标`,
                              }}
                              type="warning"
                            />
                            N/A
                          </span>
                        )}
                      </span>
                    ) : (
                      '-'
                    )}
                  </span>
                </div>
                <div>
                  <span>分公司排名</span>
                  <span>
                    {flatRateBranchRank ? (
                      <span>
                        {statisticalRateStatus !== 'N' ? (
                          flatRateBranchRank
                        ) : (
                          <span>
                            <IconButton
                              style={{ position: 'absolute', top: 3, right: 55 }}
                              title={{
                                placement: 'bottom',
                                overlayClassName: 'compareTips',
                                title: `统计率未达标`,
                              }}
                              type="warning"
                            />
                            N/A
                          </span>
                        )}
                      </span>
                    ) : (
                      '-'
                    )}
                  </span>
                </div>
                <div>
                  <span>学习中心排名</span>
                  <span>
                    {flatRateCampusRank ? (
                      <span>
                        {statisticalRateStatus !== 'N' ? (
                          flatRateCampusRank
                        ) : (
                          <span>
                            <IconButton
                              style={{ position: 'absolute', top: 3, right: 55 }}
                              title={{
                                placement: 'bottom',
                                overlayClassName: 'compareTips',
                                title: `统计率未达标`,
                              }}
                              type="warning"
                            />
                            N/A
                          </span>
                        )}
                      </span>
                    ) : (
                      '-'
                    )}
                  </span>
                </div>
              </div>
            )}
          </div>
          <div>
            <div>
              <div style={{ height: 300 }} ref={(e) => (this.echarts4 = e)}></div>
              {showDetail && (
                <div className={styles.content}>
                  <div>
                    {backwardRate}
                    {statisticalRateStatus === 'N' && (
                      <IconButton
                        style={{ position: 'absolute', bottom: 8, right: -20 }}
                        title={{
                          placement: 'bottom',
                          overlayClassName: 'compareTips',
                          title: '统计率未达标',
                        }}
                        type="warning"
                      />
                    )}
                  </div>
                  <div>
                    <span>退步科次</span>
                    <span>{backwardSubjectCount}</span>
                  </div>
                </div>
              )}
            </div>
            {showDetail && (
              <div className={styles.info} style={{ borderRight: 'none' }}>
                <div>
                  <span>集团排名</span>
                  <span>
                    {backwardRateRank ? (
                      <span>
                        {statisticalRateStatus !== 'N' ? (
                          backwardRateRank
                        ) : (
                          <span>
                            <IconButton
                              style={{ position: 'absolute', top: 3, right: 55 }}
                              title={{
                                placement: 'bottom',
                                overlayClassName: 'compareTips',
                                title: `统计率未达标`,
                              }}
                              type="warning"
                            />
                            N/A
                          </span>
                        )}
                      </span>
                    ) : (
                      '-'
                    )}
                  </span>
                </div>
                <div>
                  <span>分公司排名</span>
                  <span>
                    {backwardRateBranchRank ? (
                      <span>
                        {statisticalRateStatus !== 'N' ? (
                          backwardRateBranchRank
                        ) : (
                          <span>
                            <IconButton
                              style={{ position: 'absolute', top: 3, right: 55 }}
                              title={{
                                placement: 'bottom',
                                overlayClassName: 'compareTips',
                                title: `统计率未达标`,
                              }}
                              type="warning"
                            />
                            N/A
                          </span>
                        )}
                      </span>
                    ) : (
                      '-'
                    )}
                  </span>
                </div>
                <div>
                  <span>学习中心排名</span>
                  <span>
                    {backwardRateCampusRank ? (
                      <span>
                        {statisticalRateStatus !== 'N' ? (
                          backwardRateCampusRank
                        ) : (
                          <span>
                            <IconButton
                              style={{ position: 'absolute', top: 3, right: 55 }}
                              title={{
                                placement: 'bottom',
                                overlayClassName: 'compareTips',
                                title: `统计率未达标`,
                              }}
                              type="warning"
                            />
                            N/A
                          </span>
                        )}
                      </span>
                    ) : (
                      '-'
                    )}
                  </span>
                </div>
              </div>
            )}
          </div>
          <div className={styles.five}>
            <div ref={(e) => (this.echarts5 = e)} style={{ height: 360 }}></div>
          </div>
        </div>
        {!showDetail && <NoData />}
      </div>
    );
  }
}

export default ChartBlock;
