/**
 * Created by luoming on 2018/4/18
 */
import React from 'react';
import Button from 'COMPONENT/Button';
import Popover from 'COMPONENT/Popover';
import IconButton from 'COMPONENT/IconButton';
import styles from './index.less';
import { getDictTextByVal } from 'UTIL/dict';
export default class HandleBar extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }
  click = () => {
    this.props.showRuleSetting();
    this.setState({ visible: false });
  };

  render() {
    let { visible } = this.state;
    let {
      showScoreSetting,
      data,
      dict: { schoolYearDict, semesterDict, examinationTypeDict },
      showRuleBtn,
    } = this.props;
    const content = (
      <div className={'tips'}>
        <div>该操作可能影响成绩统计与进步率分析结果，是否继续？</div>
        <div>
          <Button onClick={this.click} type="primary">
            是
          </Button>
          <Button onClick={(e) => this.setState({ visible: false })}>否</Button>
        </div>
      </div>
    );
    return (
      <div className={styles.hanleBar}>
        <div>
          <div className={styles.title}>对比成绩</div>
          <div>
            <span>{getDictTextByVal(schoolYearDict, data.schoolYear)}</span>
            <span>{getDictTextByVal(semesterDict, data.semester)}</span>
            <span>{getDictTextByVal(examinationTypeDict, data.examinationType)}</span>
            <IconButton
              type={'edit_mc'}
              style={{ position: 'absolute', top: 25, right: -25 }}
              onClick={(e) => showScoreSetting()}
            />
          </div>
        </div>
        <div>
          {showRuleBtn && (
            <Popover
              trigger="click"
              visible={visible}
              content={content}
              placement="bottomRight"
              overlayClassName="settingProgressRule"
              onVisibleChange={(visible) => this.setState({ visible })}
            >
              <Button type="primary">统计率规则设置</Button>
            </Popover>
          )}
        </div>
      </div>
    );
  }
}
