/**
 * Created by luoming on 2018/4/19
 */
import React from 'react';
import getWrappedInstance from 'UTIL/getWrappedInstance';
import Modal from 'COMPONENT/Modal';
import Select from 'COMPONENT/Select';
import styles from './score.less';

export default class ScoreSetting extends React.Component {
  constructor(props) {
    super(props);
    let {
      dict: { schoolYearDict, semesterDict, examinationTypeDict },
      data: { schoolYear, semester, examinationType },
    } = this.props;
    this.state = {
      schoolYearDict,
      schoolYear,
      semesterDict,
      semester,
      examinationTypeDict,
      examinationType,
    };
  }

  componentDidMount() {}

  onOk = () => {
    let { onOk } = this.props;
    let error = (text) => getWrappedInstance(this.$modal).showOkTips(text);
    let { schoolYear, semester, examinationType } = this.state;
    console.log(schoolYear, semester, examinationType);
    if (!schoolYear) {
      error('请选择学年！');
      return;
    }
    if (!semester) {
      error('请选择学期！');
      return;
    }
    if (!examinationType) {
      error('请选择考试类型！');
      return;
    }
    onOk({ schoolYear, semester, examinationType });
  };

  render() {
    let { loading, schoolYearDict, schoolYear, semesterDict, semester, examinationTypeDict, examinationType } =
      this.state;
    let { onClose } = this.props;
    return (
      <Modal
        loading={loading}
        onCancel={onClose}
        onOk={this.onOk}
        title="修改对比成绩设置"
        width={640}
        noLine={true}
        closable={false}
        className={styles.modal}
        ref={(e) => (this.$modal = e)}
      >
        <div className={styles.scoreSetting}>
          <div className={styles.header}>
            <div>学年</div>
            <div>学期</div>
            <div>考试类型</div>
          </div>
          <div className={styles.content}>
            <div>
              <Select
                placeholder="学年"
                dict={schoolYearDict}
                value={schoolYear}
                onChange={(val) => this.setState({ schoolYear: val })}
                style={{ marginTop: 6 }}
              />
            </div>
            <div>
              <Select
                placeholder="学期"
                dict={semesterDict}
                value={semester}
                onChange={(val) => this.setState({ semester: val })}
                style={{ marginTop: 6 }}
              />
            </div>
            <div>
              <Select
                placeholder="考试类型"
                dict={examinationTypeDict}
                value={examinationType}
                onChange={(val) => this.setState({ examinationType: val })}
                style={{ marginTop: 6 }}
              />
            </div>
          </div>
        </div>
      </Modal>
    );
  }
}
