import React from 'react';
import { PopTip, Button } from 'COMPONENT';

/**
 * Page组件底部toolbar
 * */
const RenderFooter = (props) => {
  const { handlePrev, handleNext, currentIndex, popTipVisible, onClose, content } = props;
  return (
    <div style={{ display: 'flex', justifyContent: 'flex-end' }}>
      <PopTip content={content} visible={popTipVisible} onClose={onClose}>
        <Button type="primary" onClick={handleNext}>
          {currentIndex < 1 ? '下一步' : '生成资格'}
        </Button>
      </PopTip>
      {currentIndex <= 1 && currentIndex > 0 && (
        <Button style={{ marginLeft: '20px' }} onClick={handlePrev}>
          上一步
        </Button>
      )}
    </div>
  );
};

export default RenderFooter;
