/**
 * Created by luoming on 2018/3/23
 */
import React from 'react';
import Icon from 'COMPONENT/Icon';
import styles from './index.less';

export default class Steps extends React.Component {
  constructor(props) {
    super(props);
  }

  render() {
    let { currentIndex } = this.props;
    let len = this.props.children.length;
    return (
      <div className={styles.steps} style={{ maxWidth: 200 * len }}>
        {this.props.children.map((v, k) => {
          let { children } = v.props;
          return (
            <div key={children} style={{ width: 100 / len + '%' }}>
              <div
                className={
                  styles.stepCount + (currentIndex === k ? ' active' : '') + (currentIndex > k ? ' completed' : '')
                }
              >
                <span>
                  {currentIndex <= k ? <span>{k + 1}</span> : <Icon type="check" color="#6D67FF" size={16} />}
                </span>
              </div>
              <div key={children}>{children}</div>
            </div>
          );
        })}
      </div>
    );
  }
}
