import React from 'react';
import styles from './styles.less';
import List from 'COMPONENT/List';
import Button from 'COMPONENT/Button';

class CheckStudentsList extends React.Component {
  constructor(props) {
    super(props);

    this.stste = {};
  }

  render() {
    // const { studentDataSource } = this.props
    const {
      openSelectClass,
      students,
      openSelectStudent,
      classIds,
      studentIds,
      deleteStudent,
      restoreDeleteStudent,
      deleteStudentOfSelectStudent,
      current,
      total,
      searchStudents,
      deleteStudents,
    } = this.props;
    const classColumns = [
      {
        title: '序号',
        width: 108,
        render(currentValue, currentRowData, index) {
          return index + 1;
        },
      },
      {
        title: '学生名称',
        width: 118,
        dataIndex: 'studentName',
        render(currentValue, currentRowData, index) {
          if (deleteStudents.includes(currentRowData.studentId)) {
            return <span className={styles.disabled}>{currentRowData.studentName}</span>;
          } else {
            return <span>{currentRowData.studentName}</span>;
          }
        },
      },
      {
        title: '学生编号',
        width: 164,
        dataIndex: 'studentId',
        render(currentValue, currentRowData, index) {
          if (deleteStudents.includes(currentRowData.studentId)) {
            return <span className={styles.disabled}>{currentRowData.studentId}</span>;
          } else {
            return <span>{currentRowData.studentId}</span>;
          }
        },
      },
      {
        title: '客户号码',
        width: 146,
        dataIndex: 'contact',
        render: (currentValue, currentRowData, index) => {
          if (deleteStudents.includes(currentRowData.studentId) && currentValue !== null) {
            return (
              <span className={styles.disabled}>
                {currentValue.slice(0, 3)}****{currentValue.slice(7)}
              </span>
            );
          } else if (currentValue !== null) {
            return currentValue.slice(0, 3) + '****' + currentValue.slice(7);
          } else {
            return '';
          }
        },
      },
      {
        title: '班级名称',
        width: 430,
        dataIndex: 'className',
        width: 320,
        render(currentValue, currentRowData, index) {
          if (deleteStudents.includes(currentRowData.studentId)) {
            return <span className={styles.disabled}>{currentRowData.className}</span>;
          } else {
            return <span>{currentRowData.className}</span>;
          }
        },
      },
      {
        title: '操作',
        width: 110,
        dataIndex: '',
        render(currentValue, currentRowData, index) {
          if (deleteStudents.includes(currentRowData.studentId)) {
            return (
              <span
                onClick={() => {
                  restoreDeleteStudent(currentRowData.studentId);
                }}
                className={styles.operateButton}
              >
                恢复
              </span>
            );
          } else {
            return (
              <span
                onClick={() => {
                  deleteStudent(currentRowData.studentId);
                }}
                className={styles.operateButton}
              >
                删除
              </span>
            );
          }
        },
      },
    ];
    const studentColumns = [
      {
        title: '序号',
        width: 108,
        render(currentValue, currentRowData, index) {
          return index + 1;
        },
      },
      {
        title: '学生名称',
        width: 118,
        dataIndex: 'studentName',
        render(currentValue, currentRowData, index) {
          if (deleteStudents.includes(currentRowData.studentId)) {
            return <span className={styles.disabled}>{currentRowData.studentName}</span>;
          } else {
            return <span>{currentRowData.studentName}</span>;
          }
        },
      },
      {
        title: '学生编号',
        width: 164,
        dataIndex: 'studentId',
        render(currentValue, currentRowData, index) {
          if (deleteStudents.includes(currentRowData.studentId)) {
            return <span className={styles.disabled}>{currentRowData.studentId}</span>;
          } else {
            return <span>{currentRowData.studentId}</span>;
          }
        },
      },
      {
        title: '客户号码',
        width: 146,
        dataIndex: 'contact',
        render: (currentValue, currentRowData, index) => {
          if (deleteStudents.includes(currentRowData.studentId)) {
            return (
              <span className={styles.disabled}>
                {currentValue.slice(0, 3)}****{currentValue.slice(7)}
              </span>
            );
          } else {
            return currentValue.slice(0, 3) + '****' + currentValue.slice(7);
          }
        },
      },
      {
        title: '班级名称',
        width: 430,
        dataIndex: 'className',
        width: 320,
        render(currentValue, currentRowData, index) {
          if (deleteStudents.includes(currentRowData.studentId)) {
            return <span className={styles.disabled}>{currentRowData.className}</span>;
          } else {
            return <span>{currentRowData.className}</span>;
          }
        },
      },
      {
        title: '操作',
        width: 110,
        dataIndex: '',
        render(currentValue, currentRowData, index) {
          if (deleteStudents.includes(currentRowData.studentId)) {
            return (
              <span
                onClick={() => {
                  restoreDeleteStudent(currentRowData.studentId);
                }}
                className={styles.operateButton}
              >
                恢复
              </span>
            );
          } else {
            return (
              <span
                onClick={() => {
                  deleteStudentOfSelectStudent(currentRowData.studentId);
                }}
                className={styles.operateButton}
              >
                删除
              </span>
            );
          }
        },
      },
    ];
    let pagination = {
      current,
      total,
    };
    let columns = [
      { title: '序号', width: 108 },
      { title: '学生名称', width: 118 },
      { title: '客户号码', width: 164 },
      { title: '学生编号', width: 146 },
      { title: '班级名称', width: 430 },
      { title: '操作', width: 110 },
    ];
    return (
      <div className={styles.paddingLeft}>
        <div className={styles.changeStudent}>
          <h1>选择学生</h1>
          <div>
            <Button onClick={openSelectClass} disabled={!!studentIds} key={1} className={styles.selectClass}>
              选择班级
            </Button>
            <Button onClick={openSelectStudent} disabled={!!classIds} key={2}>
              选择学生
            </Button>
          </div>
        </div>
        {!studentIds && !classIds && <List dataSource={students} columns={columns}></List>}
        {!studentIds && !!classIds && (
          <List
            dataSource={students}
            columns={classColumns}
            pagination={pagination}
            onChange={(pagination) => {
              searchStudents(pagination.current, pagination.pageSize);
            }}
          ></List>
        )}
        {!classIds && !!studentIds && <List dataSource={students} columns={studentColumns}></List>}
      </div>
    );
  }
}

export default CheckStudentsList;
