//折线图配置对象1 // 正常情形
let option = {
  color: ['#FFB744', '#8E82FF'],
  legend: {
    selectedMode: false,
    left: 10,
    top: 10,
    itemHeight: 7,
    itemWidth: 7,
    itemGap: 30,
    textStyle: {
      color: '#666',
    },
    data: [
      { name: '基准成绩', icon: 'circle' },
      { name: '对比成绩', icon: 'circle' },
    ],
  },
  tooltip: {
    trigger: 'axis',
    axisPointer: {
      lineStyle: {
        width: 0,
      },
    },
    textStyle: {
      fontSize: 12,
    },
  },
  toolbox: {
    show: true,
    feature: {
      dataZoom: {
        yAxisIndex: 'none',
      },
      dataView: { readOnly: false },
      magicType: { type: ['line', 'bar'] },
      restore: {},
      saveAsImage: {},
    },
  },
  grid: {
    top: 60,
    bottom: 40,
    left: 20,
  },
  yAxis: {
    show: false,
    type: 'value',
    axisLabel: {
      formatter: '',
    },
    splitLine: {
      show: false,
    },
    max: function (value) {
      return value.max;
    },
    min: 'dataMin',
  },
  xAxis: {
    type: 'category',
    show: false,
    boundaryGap: false,
    data: [],
    // 注意这里不建议写成 [5, 6, 9, 13, 19, 33]，否则不能被 markPoint / markLine 用『具体值』索引到。
  },
  visualMap: {
    show: false,
    dimension: 0,
    pieces: [{ gte: 1, lte: 3, color: '#8E82FF' }],
    outOfRange: {
      color: '#aaa',
    },
    seriesIndex: 0,
  },
  series: [
    {
      type: 'line',
      name: '对比成绩',
      symbol: 'circle',
      symbolSize: 6,
      data: [],
      markPoint: {
        label: {
          normal: {
            show: true,
            formatter: (params) => {
              return params.data.coord[1] - 5;
            },
          },
        },
        data: [
          {
            coord: [],
            itemStyle: {
              normal: {
                color: '#8E82FF',
              },
            },
          },
          {
            coord: [],
          },
        ],
        symbolOffset: [0, -10],
      },
      smooth: true,
      connectNulls: true,
      hoverAnimation: false,
    },
    {
      type: 'line',
      name: '基准成绩',
      symbol: 'circle',
      symbolSize: 6,
      lineStyle: {
        normal: {
          color: 'transparent',
        },
      },
      data: [],
      smooth: true,
      hoverAnimation: false,
    },
    {
      type: 'line',
      name: '',
      symbol: 'circle',
      symbolSize: 6,
      lineStyle: {
        normal: {
          type: 'dashed',
          color: '#aaa',
        },
      },
      data: [],
      smooth: true,
      hoverAnimation: false,
    },
    {
      type: 'line',
      name: '',
      symbol: 'circle',
      symbolSize: 6,
      lineStyle: {
        normal: {
          type: 'dashed',
          color: '#aaa',
        },
      },
      data: [],
      smooth: true,
      hoverAnimation: false,
    },
  ],
};
//配置对象2  //重合情形
let option2 = {
  color: ['#8E82FF', '#FFB744'],
  legend: {
    selectedMode: false,
    left: 10,
    top: 10,
    itemHeight: 7,
    itemWidth: 7,
    itemGap: 30,
    textStyle: {
      color: '#666',
    },
    data: [
      { name: '基准成绩', icon: 'circle' },
      { name: '对比成绩', icon: 'circle' },
    ],
  },
  tooltip: {
    trigger: 'axis',
    formatter: (params) => {},
    axisPointer: {
      lineStyle: {
        width: 0,
      },
    },
    textStyle: {
      fontSize: 12,
    },
  },
  toolbox: {
    show: true,
    feature: {
      dataZoom: {
        yAxisIndex: 'none',
      },
      dataView: { readOnly: false },
      magicType: { type: ['line', 'bar'] },
      restore: {},
      saveAsImage: {},
    },
  },
  grid: {
    top: 60,
    bottom: 40,
    left: 20,
  },
  yAxis: {
    show: false,
    type: 'value',
    axisLabel: {
      formatter: '',
    },
    max: function (value) {
      return value.max;
    },
    min: 'dataMin',
    splitLine: {
      show: false,
    },
  },
  xAxis: {
    type: 'category',
    show: false,
    boundaryGap: false,
    data: [],
  },
  series: [
    {
      type: 'line',
      name: '基准成绩',
      symbol: 'circle',
      symbolSize: 6,
      connectNulls: true,
      lineStyle: {
        normal: {
          color: '#ccc',
        },
      },
      data: [],
      markPoint: {
        label: {
          normal: {
            show: true,
            formatter: (params) => {
              return params.data.coord[1] - 5;
            },
          },
        },
        data: [
          {
            coord: [],
            itemStyle: {
              normal: { color: '#8E82FF', borderWidth: 2, borderColor: '#FFB744' },
            },
          },
        ],
        symbolOffset: [0, -10],
      },
      smooth: true,
      hoverAnimation: false,
    },
    {
      type: 'line',
      name: '对比成绩',
      symbol: 'circle',
      symbolSize: 6,
      lineStyle: {
        normal: {
          color: 'transparent',
        },
      },
      data: [],
      smooth: true,
      hoverAnimation: false,
    },
    {
      type: 'line',
      name: '',
      symbol: 'circle',
      symbolSize: 6,
      lineStyle: {
        normal: {
          type: 'dashed',
          color: '#aaa',
        },
      },
      data: [],
      smooth: true,
      hoverAnimation: false,
    },
    {
      type: 'line',
      name: '',
      symbol: 'circle',
      symbolSize: 6,
      lineStyle: {
        normal: {
          type: 'dashed',
          color: '#aaa',
        },
      },
      data: [],
      smooth: true,
      hoverAnimation: false,
    },
  ],
};
//配置对象3 //无效情形
let option3 = {
  color: ['#8E82FF', '#FFB744'],
  legend: {
    selectedMode: false,
    left: 10,
    top: 10,
    itemHeight: 7,
    itemWidth: 7,
    itemGap: 30,
    textStyle: {
      color: '#666',
    },
    data: [
      {
        name: '基准成绩',
        icon: 'circle',
      },
      { name: '对比成绩', icon: 'circle' },
    ],
  },
  tooltip: {
    trigger: 'axis',
    axisPointer: {
      snap: true,
      lineStyle: {
        width: 0,
      },
    },
    textStyle: {
      fontSize: 12,
    },
  },
  toolbox: {
    show: true,
    feature: {
      dataZoom: {
        yAxisIndex: 'none',
      },
      dataView: { readOnly: false },
      magicType: { type: ['line', 'bar'] },
      restore: {},
      saveAsImage: {},
    },
  },
  grid: {
    bottom: 40,
    // top: 40,
    left: 20,
  },
  yAxis: {
    show: false,
    type: 'value',
    max: function (value) {
      return value.max * 2;
    },
    // min:'dataMin',
    axisLabel: {
      formatter: '',
    },
    splitLine: {
      show: false,
    },
  },
  xAxis: {
    type: 'category',
    show: false,
    boundaryGap: false,
    data: [],
  },
  series: [
    {
      type: 'line',
      name: '基准成绩',
      symbol: 'circle',
      symbolSize: 6,
      lineStyle: {
        normal: {
          type: 'dashed',
        },
      },
      data: [],
      markPoint: {
        label: {
          normal: {
            show: true,
            formatter: (params) => {
              if (params.dataIndex === 1) {
                return 'N/A';
              } else {
                return params.data.coord[1] - 5;
              }
            },
          },
        },
        data: [
          {
            coord: [],
          },
          {
            coord: [],
            itemStyle: {
              normal: {
                color: '#FFB744',
              },
            },
          },
        ],
        symbolOffset: [0, -10],
      },
      smooth: true,
      hoverAnimation: false,
    },
    {
      type: 'line',
      name: '对比成绩',
      symbol: 'circle',
      symbolSize: 6,
      data: [],
      smooth: true,
      hoverAnimation: false,
    },
  ],
};

export { option, option2, option3 };
