import React from 'react';
import styles from './styles.less';

class TopInfo extends React.Component {
  constructor(props) {
    super(props);
  }

  render() {
    let { studentName, type, studyManageName, headTeacherName } = this.props;
    return (
      <div
        style={{
          height: 70,
          borderRadius: 6,
          marginBottom: 10,
          backgroundColor: '#fff',
          padding: '0 20px',
          border: '1px solid #ededed',
        }}
      >
        <div className={styles.headTitle}>成绩管理</div>
        <div className={styles.info}>
          <div>
            <span>学生</span>
            <span>{studentName}</span>
          </div>
          <div>
            <span>
              {type === 'normal' || type === 'oneToOne' || type === 'oneToMany'
                ? '学管师'
                : type === 'other'
                ? '老师'
                : '班主任'}
            </span>
            <span>
              {type === 'normal' || type === 'oneToOne' || type === 'oneToMany' ? studyManageName : headTeacherName}
            </span>
          </div>
        </div>
      </div>
    );
  }
}

export default TopInfo;
