import React from 'react';
import Modal from 'COMPONENT/Modal';
import Block from 'COMPONENT/Block';
import List from 'COMPONENT/List';
import Select from 'COMPONENT/Select';

const { COL_WIDTH_XS, COL_WIDTH_S, COL_WIDTH_M, COL_WIDTH_L, COL_WIDTH_XL } = List;

class ModelView extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      loading: false,
      judgementDict: null,
      judge: null,
    };
  }

  onOk = () => {};
  render() {
    let { loading, judgementDict, judge } = this.state;
    let { onClose } = this.props;
    let list = [
      { subject: '语文', judge: '进步', remarks: '有效' },
      { subject: '数学', judge: '进步', remarks: '有效' },
      { subject: '英语', judge: '进步', remarks: '有效' },
      { subject: '政治', judge: '进步', remarks: '无效' },
    ];
    let columns = [
      { title: '科目', dataIndex: 'subject', width: COL_WIDTH_M, key: 'subject' },
      { title: '进步判定', dataIndex: 'judge', width: COL_WIDTH_M, key: 'judge' },
      { title: '备注', dataIndex: 'remarks', width: COL_WIDTH_M, key: 'remarks' },
      {
        title: '操作',
        width: COL_WIDTH_M,
        render: (record, idx) => {
          let changeAble = record.remarks === '有效' ? false : true;
          return (
            <Select
              dict={judgementDict}
              value={judge}
              onChange={(val) => this.setState({ judge: val })}
              disabled={changeAble}
            />
          );
        },
      },
    ];
    return (
      <Modal
        loading={loading}
        onCancel={onClose}
        onOk={this.onOk}
        title="进步判定更改"
        width={1012}
        okBtnShow={true}
        cancelText="取消"
        okText="保存"
      >
        <Block title={name} style={{ marginTop: -10 }}>
          <List dataSource={list} columns={columns} />
        </Block>
      </Modal>
    );
  }
}

export default ModelView;
