/**
 * Created by luoming on 2018/3/13
 */
import React from 'react';
import styles from './index.less';
import { Row, Col } from 'antd';
import Item from './item';
import Icon from 'COMPONENT/Icon';

export default class Block extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  shouldComponentUpdate(nextProps, nextState) {
    return (
      this.props.data !== nextProps.data ||
      this.props.showAll !== nextProps.showAll ||
      this.props.colCount !== nextProps.colCount
    );
  }
  render() {
    let { data, showAll, colCount, dropDownClick, showAllClick, showModalClick, className, account, auth } = this.props;
    return (
      <div className={className}>
        <div className={styles.title}>{data.title}</div>
        <Row>
          {data.list
            .filter((V, K) => {
              return K < colCount * 2;
            })
            .map((v, k) => {
              return (
                <Col span={24 / colCount} key={k}>
                  <Item
                    data={v}
                    className={styles.item}
                    title={data.title}
                    dropDownClick={dropDownClick}
                    showModalClick={showModalClick}
                    account={account}
                    auth={auth}
                  />
                </Col>
              );
            })}
        </Row>
        {showAll && (
          <Row>
            {data.list
              .filter((V, K) => {
                return K >= colCount * 2;
              })
              .map((v, k) => {
                return (
                  <Col span={24 / colCount} key={k}>
                    <Item
                      data={v}
                      className={styles.item}
                      title={data.title}
                      dropDownClick={dropDownClick}
                      showModalClick={showModalClick}
                      account={account}
                      auth={auth}
                    />
                  </Col>
                );
              })}
          </Row>
        )}
        {data.list.length > colCount * 2 && (
          <div onClick={(e) => showAllClick(data)} className={styles.showAll}>
            <span>{showAll ? '全部收起' : '全部展开'}</span>
            {showAll ? <Icon type={'up'} size={12} /> : <Icon type={'down'} size={12} />}
          </div>
        )}
      </div>
    );
  }
}
