/**
 * Created by luoming on 2018/3/13
 */
import React from 'react';
import styles from './item.less';
import styleVars from 'COMPONENT/theme/variables';
import DropdownMenu from 'COMPONENT/DropdownMenu';
import Icon from 'COMPONENT/Icon';

const dropdownCfg = {
  color: styleVars.fontColor,
  activeColor: styleVars.primaryColor,
  disabledColor: styleVars.fontColorTips,
};
export default class Item extends React.Component {
  constructor(props) {
    super(props);
  }

  dropDownClick = (e, type, id, title) => {
    e.domEvent.stopPropagation();
    let { dropDownClick } = this.props;
    dropDownClick(type, id, title);
  };

  render() {
    let { data, account, dropDownClick, showModalClick, title, auth, ...props } = this.props;
    let FileRecordLen = data.studentFileRecordVos.length;
    let moreMenus = [{ text: '删除', onClick: (e) => this.dropDownClick(e, 'delete', data['id'], title) }];
    if (auth === 'all' || auth === 'oneOnOne') {
      moreMenus.unshift({ text: '编辑', onClick: (e) => this.dropDownClick(e, 'edit', data['id'], title) });
    } else if (auth === 'jiazhanghui' && (title === '家长会' || title === '其他')) {
      moreMenus.unshift({ text: '编辑', onClick: (e) => this.dropDownClick(e, 'edit', data['id'], title) });
    }

    return (
      <div {...props} onClick={() => showModalClick(data['id'], title, data)}>
        <div className={styles.top}>
          <div>{data.title}</div>
          {account === data.createUserName && (
            <div onClick={(e) => e.stopPropagation()}>
              <DropdownMenu
                menus={moreMenus}
                iconType="more"
                {...dropdownCfg}
                dropdownClassName={'student-file'}
                placement="bottomRight"
              />
            </div>
          )}
        </div>
        <div className={styles.mid}>
          {data.miniClassList.length > 0 && <span>十人课堂</span>}
          {data.subjectList.length > 0 && <span>1对1</span>}
        </div>
        <div className={styles.sub}>
          <div>{data.createTime}</div>
          {FileRecordLen > 0 && (
            <div>
              <Icon type="attachment" size={14} />
              <span>{FileRecordLen}</span>
            </div>
          )}
        </div>
      </div>
    );
  }
}
