import React from 'react';
import { getDictTextByVal } from '../../../../utils/dict/index';
import styles from './styles.less';
import TextLink from 'COMPONENT/TextLink';
import Icon from 'COMPONENT/Icon';
import styVars from 'COMPONENT/theme/variables';

class ScoreLevelCell extends React.Component {
  state = {
    expand: false,
  };

  getScoreLevelItem = (sl) => {
    const { scoreLevel, scoreLevelDict } = this.props;
    return (
      <div key={sl.type} className={styles.scoreLevelItem}>
        <div className={styles.scoreLevelDot} />
        <div className={styles.scoreLevelName}>{`${getDictTextByVal(scoreLevelDict, sl.type)}：`}</div>
        <div className={styles.scoreLevelScore}>{`${sl.end}~${sl.start}`}</div>
      </div>
    );
  };

  render() {
    const { data } = this.props;
    const { expand } = this.state;
    const showData = expand ? data : data.slice(0, 3);
    return (
      <div className={styles.scoreLevelsCell} onScroll={(e) => e.stopPropagation()}>
        {showData.map((sl) => this.getScoreLevelItem(sl))}
        {data.length > 3 && (
          <TextLink
            onClick={() => {
              this.setState({ expand: !expand });
              this.props.onRefreshList(expand ? 121 : 173);
            }}
          >
            <Icon
              type={expand ? 'triangle_up' : 'triangle_down'}
              size={12}
              color={styVars.primaryColor}
              style={{ position: 'relative', top: 1, left: -1, marginRight: 5 }}
            />
            {expand ? '收起' : '更多'}
          </TextLink>
        )}
      </div>
    );
  }
}

export default ScoreLevelCell;
