import { Tooltip } from 'antd';
import styles from './styles.less';

export const RenderMultiLine = ({ detail, maxLine }) => {
  if (!detail) return null;
  const lines = detail.split(',');
  const displayLines = lines.slice(0, maxLine);
  const otherLines = lines.slice(maxLine);
  //弹出框内容
  const content = (
    <div>
      {otherLines.map((branch, index) => {
        return (
          <p style={{ lineHeight: 2 }} key={index}>
            {branch}
          </p>
        );
      })}
    </div>
  );
  //超出maxLine个才省略
  if (lines.length <= maxLine) {
    return (
      <div>
        {displayLines.map((val, index) => {
          return <p key={index}>{val}</p>;
        })}
      </div>
    );
  } else {
    return (
      <Tooltip placement="top" overlayClassName={styles.maxHeight} title={content}>
        {displayLines
          .filter((val, index) => {
            return index < maxLine;
          })
          .map((val, index) => {
            return <p key={index}>{val}</p>;
          })}
        <p style={{ textIndent: Math.floor(displayLines[0].length / 2) + 'em' }}>...</p>
      </Tooltip>
    );
  }
};
