import React from 'react';
import style from './styles.module.less';
import PropTypes from 'prop-types';

const InfoBlock = (props) => {
  return (
    <div className={style.InfoBlock} style={props.style}>
      <div className={style.InfoBlockHeader}>
        {props.title ? (
          <div className={style.InfoBlockTitle}>
            <i className={style.InfoBlockTitleGutter}></i>
            {props.title}
          </div>
        ) : (
          props.subTitle && (
            <div className={style.InfoBlockSubTitle}>
              <span className={style.titleMark} />
              <span>{props.subTitle}</span>
            </div>
          )
        )}
        {props.toolbar && <div className={style.InfoBlockToolbar}>{props.toolbar}</div>}
      </div>
      {props.children && <div className={style.InfoBlockBody}>{props.children}</div>}
    </div>
  );
};

InfoBlock.propTypes = {
  title: PropTypes.node,
  subTitle: PropTypes.node,
  toolbar: PropTypes.any,
  style: PropTypes.object,
};

export default InfoBlock;
