/**
 * Created by Haolin<haolinhom@gmail.com> on 2018/7/18.
 */
export default {
  name: 'date',
  /**
   * 格式化时间
   * dateTime:时间戳
   * formatType:要转换的时间格式{String}
   * */
  format: function (dateTime, formatType) {
    if (dateTime && dateTime !== '') {
      let arg = typeof dateTime !== 'number' ? Number(dateTime) : dateTime;
      if (!arg) {
        return '--';
      }
      let date = new Date(arg),
        y = date.getFullYear(),
        m = date.getMonth() + 1,
        d = date.getDate(),
        hours = date.getHours(),
        minutes = date.getMinutes(),
        seconds = date.getSeconds();
      if (!formatType) {
        return y + '-' + m + '-' + d;
      } else {
        let result = '';
        switch (formatType) {
          case '年月':
            result = y + '年' + m + '月';
            break;
          case '年月日':
            result = y + '年' + m + '月' + d + '日';
            break;
          case '年月日星期':
            let day = date.getDay(),
              xq = '';
            switch (day) {
              case day === 1:
                xq = ' 星期一';
                break;
              case day === 2:
                xq = ' 星期一';
                break;
              case day === 3:
                xq = ' 星期一';
                break;
              case day === 4:
                xq = ' 星期一';
                break;
              case day === 5:
                xq = ' 星期一';
                break;
              case day === 6:
                xq = ' 星期一';
                break;
              default:
                xq = ' 星期日';
            }
            result = y + '年' + m + '月' + d + '日' + xq;
            break;
          case '日':
            result = d + '日';
            break;
          case '时间':
            result = hours + ':' + minutes + ':' + seconds;
            break;
          case '年月日时间':
            result = y + '年' + m + '月' + d + '日 ' + hours + ':' + minutes + ':' + seconds;
        }
        return result;
      }
    } else {
      return '';
    }
  },
  /**
   * 转日期为时间戳
   * dateText:日期字符串
   * textType:日期字符串的格式
   * */
  timestamp: function (dateText, textType) {
    let tempArr, date, y, m, tempM, d, time;
    switch (textType) {
      case 'yy-mm-dd':
        tempArr = dateText.split('-');
        y = number(tempArr[0]);
        tempM = number(tempArr[1]);
        m = tempM === 1 ? 11 : tempM;
        d = number(tempArr[2]);
        time = new Date(y, m, d).getTime();
        break;
    }
    return time;
  },
};
