import React from 'react';
import { Switch } from 'antd';
import styles from './styles.less';
import { saveIncrementSaveSwitchConfig } from '../loaders';
import showMessage from 'COMPONENT/utils/globalTips/showMessage';

class SwitchItems extends React.Component {
  constructor(props) {
    super(props);
  }

  async onSwitch(checked, item, key) {
    const { switchId, handleSwitchItem } = this.props;
    //console.log(switchId, checked, item);

    const res = await saveIncrementSaveSwitchConfig({
      campusIds: [switchId],
      configs: [item.config],
      switchFlag: checked ? 'OPEN' : 'CLOSE',
    });

    if (res && res.resultCode === 0) {
      handleSwitchItem(key, checked);
      showMessage('操作成功', 'success');
    } else {
      showMessage(`${item.name} ${item.config} 切换状态失败`);
    }
  }

  render() {
    const { switchList, switchTitle } = this.props;
    return (
      <div className={styles.switchblock}>
        <h3 className={styles.switchtitle}>{switchTitle}</h3>
        <table className={styles.switchtable}>
          <tbody className={'ant-table-body'}>
            {switchList.map((item, key) => (
              <tr key={key}>
                <td>{item.name}</td>
                <td>
                  <Switch
                    checkedChildren={'开'}
                    unCheckedChildren={'关'}
                    checked={item.flag}
                    onChange={(checked) => this.onSwitch(checked, item, key)}
                  />
                </td>
              </tr>
            ))}
          </tbody>
        </table>
      </div>
    );
  }
}

export default SwitchItems;
