import React from 'react';
import styles from './styles.less';
import styleVars from 'COMPONENT/theme/variables';
import IconButton from 'COMPONENT/IconButton';
import QrcodeFileUpLoad from 'COMPONENT/QrcodeFileUpload';

const iconCfg = {
  color: styleVars.fontColorTips,
  hoverColor: '#fff',
};

class CodeUploadPop extends React.Component {
  render() {
    const { visible, onClose, onReceiveData } = this.props;

    return (
      <div className={styles.wrap} style={{ display: visible ? 'block' : 'none' }}>
        <IconButton {...iconCfg} type="cross" onClick={onClose} size={18} className={styles.closeBtn} />
        {visible && (
          <div className={styles.imgWrap}>
            <QrcodeFileUpLoad height={360} width={360} callback={onReceiveData} />
          </div>
        )}
      </div>
    );
  }
}

export default CodeUploadPop;
