import React from 'react';
import ReactDOM from 'react-dom';
import Block from 'COMPONENT/Block';
import TextLink from 'COMPONENT/TextLink';
import Button from 'COMPONENT/Button';
import PopTip from 'COMPONENT/PopTip';
import styles from './styles.less';

class EditBlock extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      saveTipsVis: false,
      saveTips: null,
    };
  }

  showSaveTips = (text) => {
    this.setState({ saveTipsVis: true, saveTips: text || '请正确填写信息' });
  };

  render() {
    const { title, editable, editing, onStartEdit, content, onSave, onCancel } = this.props;
    const { saveTipsVis, saveTips } = this.state;

    return (
      <div className={styles.wrap} ref={(c) => (this.$wrap = ReactDOM.findDOMNode(c))}>
        <Block
          title={title}
          headerToolBar={editable && !editing && <TextLink onClick={onStartEdit}>编辑</TextLink>}
          className={styles.wrap}
        >
          <div className={styles.content}>{content}</div>
          {editing && (
            <div className={styles.footer}>
              <PopTip
                visible={saveTipsVis}
                content={saveTips}
                onClose={() => this.setState({ saveTipsVis: false })}
                getPopupContainer={(ele) => ele.parentNode}
              >
                <Button onClick={onSave} type="primary">
                  保存
                </Button>
              </PopTip>
              <Button onClick={onCancel} style={{ marginLeft: 20 }}>
                取消
              </Button>
            </div>
          )}
        </Block>
      </div>
    );
  }
}

export default EditBlock;
