const BOSS_ORG_TYPE_GROUP = 'GROUNP';
const BOSS_ORG_TYPE_BRANCH = 'BRENCH';
const SUB_ORG_TYPE_SELF = '0';
const SUB_ORG_TYPE_SUB = '1';
const subOrgTypeDict = [
  { val: SUB_ORG_TYPE_SELF, text: '本部门' },
  { val: SUB_ORG_TYPE_SUB, text: '子部门' },
];
const STATUS_VALID = '1';
const STATUS_INVALID = '0';
const statusDict = [
  { val: STATUS_VALID, text: '有效' },
  { val: STATUS_INVALID, text: '无效' },
];
const YES_NO_TRUE = '1';
const YES_NO_FALSE = '0';
const yesNoDict = [
  { val: YES_NO_TRUE, text: '是' },
  { val: YES_NO_FALSE, text: '否' },
];

const CIRC_TYPE_1 = '1';
const CIRC_TYPE_2 = '0';

const circTypeDict = [
  { val: CIRC_TYPE_1, text: '周期回收' },
  { val: CIRC_TYPE_2, text: '不回收' },
];

const recourcePoolCycleTypeDict = [
  { val: CIRC_TYPE_1, text: '周期性回收' },
  { val: CIRC_TYPE_2, text: '不回收' },
];

const circTypeMap = circTypeDict.reduce((acc, { val, text }) => {
  acc[val] = text;
  return acc;
}, {});

// 资源池类型，1-外呼；2-常规(Integer)
const ResourceTypeOut = 1;
const ResourceTypeNormal = 0;
const ResourceStatusValid = '1';
const ResourceStatusInValid = '0';
const BRANCH = 'BRANCH';

function isBranch(val) {
  return val === BRANCH || val === BOSS_ORG_TYPE_BRANCH;
}

export default {
  recourcePoolCycleTypeDict,
  circTypeMap,
  isBranch,
  BRANCH,
  ResourceTypeOut,
  ResourceStatusValid,
  ResourceStatusInValid,
  ResourceTypeNormal,
  BOSS_ORG_TYPE_GROUP,
  BOSS_ORG_TYPE_BRANCH,
  SUB_ORG_TYPE_SELF,
  SUB_ORG_TYPE_SUB,
  subOrgTypeDict,
  STATUS_VALID,
  STATUS_INVALID,
  statusDict,
  YES_NO_TRUE,
  YES_NO_FALSE,
  yesNoDict,
  CIRC_TYPE_1,
  CIRC_TYPE_2,
  circTypeDict,
};
