import React from 'react';
import { connect } from 'dva';
import { Table } from 'antd';

class OperationRecord extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      tableData: props.data,
      columns: [
        {
          title: '时间',
          dataIndex: 'createTime',
          width: 150,
        },
        {
          title: '操作详情',
          dataIndex: 'logInfo',
        },
        {
          title: '调整原因',
          dataIndex: 'opReason',
          width: 400,
        },
        {
          title: '操作人',
          dataIndex: 'createUserName',
          width: 150,
        },
      ],
    };
  }

  componentWillReceiveProps(nextProps) {
    this.setState({
      tableData: nextProps.data,
    });
  }

  render() {
    let { tableData, columns } = this.state;
    return (
      <Table
        columns={columns}
        dataSource={tableData}
        pagination={{ showQuickJumper: true, pageSize: 5, showSizeChanger: true, pageSizeOptions: ['5', '10', '20'] }}
      />
    );
  }
}

export default connect()(OperationRecord);
