import React from 'react';
import ReactDOM from 'react-dom';
import TreeSelectComp from 'COMPONENT/TreeSelect';
import styles from './styles.less';
import { findFirstParent } from 'COMPONENT/utils/dom';

export default class TreeSelect extends React.Component {
  searchKeyChangable = true;

  componentDidMount() {
    this.$root = ReactDOM.findDOMNode(this.rootRef);
    this.$root.addEventListener('click', this.rootClick, false);
  }

  rootClick = (e) => {
    if (!this.$searchIptWrap) {
      setTimeout(() => {
        this.$searchIptWrap = this.$root.querySelector('.ant-select-search__field__wrap');
        this.$searchIptWrap.innerHTML = '';
        this.$searchIpt = document.createElement('input');
        this.$searchIpt.setAttribute('class', styles.searchInput);
        this.$searchIpt.placeholder = '请输入内容搜索';
        //this.$searchIpt.addEventListener('keydown', this.searchIptChange, false)
        this.$searchIpt.addEventListener('input', this.searchIptChange, false);
        this.$searchIpt.addEventListener('compositionstart', this.searchIptCompositionstart, false);
        this.$searchIpt.addEventListener('compositionend', this.searchIptCompositionend, false);
        this.$searchIptWrap.appendChild(this.$searchIpt);
        this.$searchIpt.focus();
      }, 100);
    } else {
      const $dropdown = findFirstParent(e.target, '.ant-select-dropdown');
      if (!$dropdown) {
        setTimeout(() => {
          this.$searchIpt.focus();
        }, 100);
        if (this.$searchIpt.value) {
          this.$searchIpt.value = '';
          this.searchIptChange();
        }
      }
    }
  };

  componentWillUnmount() {
    this.$root.removeEventListener('click', this.rootClick, false);
    if (this.$searchIpt) {
      //this.$searchIpt.removeEventListener('keydown', this.searchIptChange, false)
      this.$searchIpt.removeEventListener('input', this.searchIptChange, false);
      this.$searchIpt.removeEventListener('compositionstart', this.searchIptCompositionstart, false);
      this.$searchIpt.removeEventListener('compositionend', this.searchIptCompositionend, false);
    }
  }

  searchIptCompositionstart = () => {
    this.searchKeyChangable = false;
  };

  searchIptCompositionend = () => {
    this.searchKeyChangable = true;
    this.searchIptChange();
  };

  searchIptChange = () => {
    if (this.searchKeyChangable) {
      this.props.onSearchKeyChange(this.$searchIpt.value);
    }
  };

  searchIptKeydown = (e) => {
    if (e.keyCode === 13) {
      e.stopPropagation();
      e.preventDefault();
    }
  };

  render() {
    return (
      <div ref={(c) => (this.rootRef = c)}>
        <TreeSelectComp {...this.props} getPopupContainer={() => ReactDOM.findDOMNode(this.rootRef)} />
      </div>
    );
  }
}
