/**
 * 获取分公司资源列表
 *
 * @return {Promise<*>}
 */
export function mockLoadResourceList() {
  return new Promise((resolve) => {
    setTimeout(() => {
      resolve([
        {
          id: '1',
          name: '东莞分公司',
          expand: true,
          children: [
            { id: '1', name: '东莞分公司部门', status: 'NORMAL' },
            { id: '2', name: '虎门学习中心', status: 'NORMAL' },
            { id: '3', name: '南城学习中心', status: 'EMERGENCY' },
            { id: '4', name: '常平学习中心', status: 'EMERGENCY' },
            { id: '5', name: '樟木头学习中心', status: 'NORMAL' },
            { id: '6', name: '虎门学习中心', status: 'NORMAL' },
            { id: '7', name: '虎门学习中心', status: 'NORMAL' },
            { id: '8', name: '虎门学习中心', status: 'NORMAL' },
            { id: '9', name: '虎门学习中心', status: 'NORMAL' },
            { id: '10', name: '虎门学习中心', status: 'NORMAL' },
            { id: '11', name: '虎门学习中心', status: 'NORMAL' },
            { id: '12', name: '虎门学习中心', status: 'NORMAL' },
            { id: '13', name: '虎门学习中心', status: 'NORMAL' },
            { id: '14', name: '虎门学习中心', status: 'NORMAL' },
          ],
        },
        {
          id: '2',
          name: '杭州分公司',
          expand: false,
          children: [
            { id: '1', name: '杭州分公司部门', status: 'EMERGENCY' },
            { id: '2', name: '解放路学习中心', status: 'EMERGENCY' },
            { id: '3', name: '城西学习中心', status: 'NORMAL' },
          ],
        },
      ]);
    }, 200);
  });
}

/**
 * 模拟切换
 *
 * @return {Promise<*>}
 */
export function mockSwitchBranchStatus(params) {
  return new Promise((resolve) => {
    setTimeout(() => {
      const rsp = {
        resultCode: 0,
        resultMessage: 'success',
        data: null,
      };

      resolve(rsp);
    }, 800);
  });
}
