import React from 'react';
import ReactDOM from 'react-dom';
import { Select as AntdSelect } from 'antd';
import Validator from 'COMPONENT/Validator';
const { Option, OptGroup } = AntdSelect;

export default class Select extends React.Component {
  render() {
    const { size: sizeProp, validator, value, placeholder, showSearch, dict, ...props } = this.props;
    let size = 'large';
    if (sizeProp === 'small') {
      size = 'default';
    } else if (sizeProp === 'xSmall') {
      size = 'small';
    }
    const optionNodes = (dict || []).map((item, i) => {
      if (item.label) {
        //带有分组的选项
        return (
          <OptGroup key={i} label={item.label}>
            {item.options &&
              item.options.map((option, j) => {
                return (
                  <Option
                    key={j}
                    value={option.val}
                    disabled={option.disabled}
                    title={option.title}
                    className={option.hide ? 'Select-option-hide' : ''}
                  >
                    {option.text}
                  </Option>
                );
              })}
          </OptGroup>
        );
      } else {
        return (
          <Option
            key={i}
            value={item.val}
            disabled={item.disabled}
            title={item.title}
            className={item.hide ? 'Select-option-hide' : ''}
          >
            {item.text}
          </Option>
        );
      }
    });
    let select = (
      <div ref={(c) => (this.rootRef = c)}>
        <AntdSelect
          size={size}
          value={value === '' || value === null ? undefined : value}
          placeholder={placeholder || '请选择'}
          showSearch={showSearch === false ? false : true}
          {...props}
          allowClear={true}
          getPopupContainer={() => ReactDOM.findDOMNode(this.rootRef)}
        >
          {optionNodes}
        </AntdSelect>
      </div>
    );

    if (validator) {
      select = (
        <Validator value={this.props.value} {...validator}>
          {select}
        </Validator>
      );
    }
    return select;
  }
}
