import { Tree } from 'antd';
const TreeNode = Tree.TreeNode;

const SPARK_ID = '15460069240996864';
const getTreeNode = (data) => {
  const { value, title, children, valid, isLeaf, orgType } = data;
  if (!isLeaf) {
    return (
      <TreeNode key={value} value={value} title={title} dataRef={data}>
        {children && children.length > 0 ? children.map((d) => getTreeNode(d)) : null}
      </TreeNode>
    );
  } else {
    return <TreeNode key={value} value={value} title={title} isLeaf={true} dataRef={data} />;
  }
};
export default {
  SPARK_ID,
  getTreeNode,
};
