import {
  findUserById,
  editUserPersonal,
  updateOrgStatusById,
  findOrganizationNew,
  updateOrgStatusByIdNew,
} from 'SERVICE/system';

const loadOrganization = async (params) => {
  const data = await findOrganizationNew(params);
  const list = data.map((branch) => {
    const { branchId, branchName, organizations, emergency, normal } = branch;
    return {
      id: branchId,
      name: branchName,
      emergency: emergency,
      normal: normal,
      children: organizations.map((campus) => {
        const { organizationId, organizationName, stateOfEmergency } = campus;
        return { id: organizationId, name: organizationName, status: stateOfEmergency };
      }),
    };
  });
  return list;
};

export default {
  findUserById,
  editUserPersonal,
  updateOrgStatusById,
  loadOrganization,
  updateOrgStatusByIdNew,
};
