function irregularRecursion(tree, leaf) {
  for (let i = 0; i < tree.length; i++) {
    if (tree[i].value === leaf.parentId) {
      tree[i].children.push(leaf);
      break;
    } else if (tree[i].children.length > 0) {
      tree[i].children = irregularRecursion(tree[i].children, leaf);
    }
  }
  return tree;
}

function resolveIrregular(data, unUse) {
  while (unUse.length > 0) {
    const leaf = unUse.shift();
    data = irregularRecursion(data, leaf);
  }

  return data;
}

function levelDataRecursion(data, unUse = []) {
  if (data.length > 1) {
    let tagData = data.shift();
    for (let i = 0; i < data.length; i++) {
      tagData = tagData.concat(unUse);
      unUse = [];
      while (tagData.length > 0) {
        const tag = tagData.shift();
        let parentIndex = data[i].findIndex((item) => item.value === tag.parentId);
        if (parentIndex > -1) {
          data[i][parentIndex].children.push(tag);
        } else {
          unUse.push(tag);
        }
      }
    }
    return levelDataRecursion(data, unUse);
  }

  if (unUse.length > 0) {
    return resolveIrregular(data[0], unUse);
  }

  return data[0];
}

export function orgDictAdapter(data) {
  let levelMap = {};
  for (let i = 0; i < data.length; i++) {
    // boss的数据 并且是 有效的
    if (data[i].bossUse === 0 && data[i].status === 0) {
      const level = data[i].orgLevel.length;
      if (!levelMap[level]) {
        levelMap[level] = [];
      }
      levelMap[level].push({
        value: data[i].id,
        label: data[i].name,
        children: [],
        parentId: data[i].parentId,
        hasChildren: data[i].hasChildren,
        level,
      });
    }
  }

  let levelData = [];
  Object.keys(levelMap)
    .sort((a, b) => a - b)
    .forEach((key) => {
      levelData.unshift(levelMap[key]);
    });

  return levelDataRecursion(levelData);
}
