function addNavs(routes) {
  return routes.map((route) => {
    if (route.isRoot) {
      return route;
    }
    const array = route.path.split('/');
    if (array.length > 1) {
      const navInfos = array.slice(0, array.length - 1);
      const navs = navInfos.map((nav, i) => {
        let p = navInfos.slice(0, i + 1).join('/');
        return {
          path: `/${p}`,
          name: routes.find((r) => r.path === p).name,
        };
      });
      return { ...route, navs };
    }
    return route;
  });
}

export default {
  addNavs,
};
