/**
 * Created by luoming on 2018/3/3
 */
import { addNavs } from '../common';
import PosEnd from './PosEnd';
// import addContract from './addContract'
import performanceInquiry from './performanceInquiry';
import registerModel from 'UTIL/registerModel';

const routes = [
  ...PosEnd,
  // ...addContract,
  ...performanceInquiry,
  // 合规化合同签订(限制混签)
  {
    path: 'signContractPro',
    name: '添加合同(新)',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/contract/signContractPro/store'));
        registerModel(require('PAGE/contract/signContractPro/alilogStore'));
        cb(null, require('PAGE/contract/signContractPro'));
      });
    },
  },
  {
    path: 'signContractPro/:params',
    name: '添加合同(新)',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/contract/signContractPro/store'));
        registerModel(require('PAGE/contract/signContractPro/alilogStore'));
        cb(null, require('PAGE/contract/signContractPro'));
      });
    },
  },
  // 合同签订
  {
    path: 'signContract',
    name: '添加合同(新)',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/contract/signContract/store'));
        registerModel(require('PAGE/contract/signContract/alilogStore'));
        cb(null, require('PAGE/contract/signContract'));
      });
    },
  },
  {
    path: 'signContract/:params',
    name: '添加合同(新)',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/contract/signContract/store'));
        registerModel(require('PAGE/contract/signContract/alilogStore'));
        cb(null, require('PAGE/contract/signContract'));
      });
    },
  },
  {
    path: 'contractListMgmt',
    name: '合同列表(管理)',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/contract/ContractListMgmt/store'));
        cb(null, require('PAGE/contract/ContractListMgmt'));
      });
    },
  },
  {
    path: 'ContractEnsureAlarm',
    name: '合同确认超期预警',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/contract/ContractEnsureAlarm'));
      });
    },
  },
  {
    path: 'performanceStatisticsOld',
    name: '业绩科次统计',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/contract/PerformanceStatisticsOld'));
      });
    },
  },
  {
    path: 'WrongFundHistory',
    name: '错误收款记录',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/contract/WrongFundHistory'));
      });
    },
  },
  {
    path: 'ProductGradeError',
    name: '产品年级错误明细页',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/contract/ProductGradeError'));
      });
    },
  },
  {
    path: 'flowMarketingTurnover',
    name: '流量营销流水',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/contract/FlowMarketingTurnover/store'));
        cb(null, require('PAGE/contract/FlowMarketingTurnover'));
      });
    },
  },
  {
    path: 'EditContractDetail',
    name: '合同修改详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/contract/EditContractDetail'));
      });
    },
  },
  {
    path: 'EditContractDetail/:currentId',
    name: '合同修改详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/contract/EditContractDetail'));
      });
    },
  },
  {
    path: 'EditContractDetail/:currentId/:prevId',
    name: '合同修改详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/contract/EditContractDetail'));
      });
    },
  },
  {
    path: 'confirmHistory',
    name: '确认历史合同',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/contract/ConfirmHistory'));
      });
    },
  },
  {
    path: 'fundTransferRecord',
    name: '资金调转记录',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/contract/FundTransferRecord'));
      });
    },
  },
  {
    path: 'fundTransferRecord/performanceAllocation',
    name: '业绩分配',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/contract/FundTransferRecord/PerformanceAllocation'));
      });
    },
  },
  {
    path: 'fundTransferRecord/dutyAllocation',
    name: '责任分配',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/contract/FundTransferRecord/DutyAllocation'));
      });
    },
  },
  {
    path: 'deductPerformance',
    name: '退费扣款明细',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/contract/DeductPerformance'));
      });
    },
  },
  {
    name: '工商主体关系配置',
    path: 'industrialRelConfig',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/contract/industrialRelConfig'));
      });
    },
  },
  {
    name: '广电合作流水',
    path: 'broadcastCooperateBankStatement',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/contract/broadcastCooperateBankStatement'));
      });
    },
  },
  {
    name: '第三方平台收款审批',
    path: 'thirdPlatformAuditList',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/contract/thirdPlatformAuditList'));
      });
    },
  },
  {
    name: '教育平台管理',
    path: 'educationManagementPlatform',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/contract/educationManagementPlatform'));
      });
    },
  },
  {
    name: '教育平台支付数据列表',
    path: 'educationPlatformPayment',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/contract/educationPlatformPayment'));
      });
    },
  },
];

export default addNavs(routes);
