import { addNavs } from '../common';
import ClassSchedule from './ClassSchedule';
import twoTeacher from './twoTeacher';
import registerModel from 'UTIL/registerModel';
import ClassAdjustment from './ClassAdjustment';

let routes = [
  {
    path: 'LocalNetworkClass',
    name: '本地网课',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/BigClass/index'));
      });
    },
  },
  {
    path: 'LocalNetworkClass/create',
    name: '新增/编辑',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/BigClass/create'));
      });
    },
  },
  {
    path: 'LocalNetworkClass/detail',
    name: '详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/BigClass/detail'));
      });
    },
  },
  {
    path: 'LocalClassCourseDetail',
    name: '课程',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/BigClass/courseDetail'));
      });
    },
  },
  {
    path: 'CoursePromiseClassManage',
    name: '精英班学生管理（班主任）',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/PromiseClassManage'));
      });
    },
  },
  {
    path: 'PromiseClassDetail',
    name: '精英班履行详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/PromiseClassDetail'));
      });
    },
  },
  {
    path: 'PromiseClassPlan',
    name: '精英班学生课程规划',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/PromiseClassPlan'));
      });
    },
  },
  {
    path: 'CourseTemplateManage',
    name: '校历与课程模板管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/CourseTemplateManage'));
      });
    },
  },
  {
    path: 'ScheduleByCourseTemplate',
    name: '课程模板排课',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/ScheduleByCourseTemplate'));
      });
    },
  },
  {
    path: 'reEnroll',
    name: '原班续报关联',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/ReEnroll'));
      });
    },
  },
  {
    path: 'ReEnrollLinkRecord',
    name: '批量关联记录',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/ReEnroll/LinkRecord'));
      });
    },
  },
  {
    path: 'continueRegManage',
    name: '续报关联',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/continueRegManage/ContinueReg/Index'));
      });
    },
  },
  {
    path: 'continueRegManage/LinkStd',
    name: '人续',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/continueRegManage/ContinueReg/LinkStd'));
      });
    },
  },
  {
    path: 'continueRegManage/LinkClass',
    name: '班续',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/continueRegManage/ContinueReg/LinkClass'));
      });
    },
  },
  {
    path: 'LinkClassRecord',
    name: '平移班续记录',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/continueRegManage/LinkClassRecord'));
      });
    },
  },
  {
    path: 'reEnroll/Relevance',
    name: '关联续报班课',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/ReEnroll/Relevance'));
      });
    },
  },
  {
    path: 'reEnroll/ImportLink',
    name: '导入关联关系',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/ReEnroll/ImportLink'));
      });
    },
  },
  {
    path: 'MiniClassCourseManage',
    name: '小班本周课表(新)',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/miniClassManage/ScheduleManage'));
      });
    },
  },
  {
    path: 'MiniClassReEnroll',
    name: '小班学生续报',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/miniClassManage/MiniClassReEnroll'));
      });
    },
  },
  {
    path: 'miniClassScheduleAttendanceReminder',
    name: '小班排课考勤提醒',
    getComponent(_, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/miniClassManage/MiniClassScheduleAttendanceReminder'));
      });
    },
  },
  {
    path: 'attendanceMakeUpClass',
    name: '小班缺勤学生列表',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/miniClassManage/AttendanceMakeUpClass'));
      });
    },
  },
  {
    path: 'oneToOneScheduleAttendanceReminder',
    name: '1对1排课考勤提醒',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/course/OneToOneClassManage/ScheduleAttendanceReminder/store/index'));
        cb(null, require('PAGE/course/OneToOneClassManage/ScheduleAttendanceReminder'));
      });
    },
  },
  {
    path: 'oneToMoreScheduleAttendanceReminder',
    name: '一对多排课考勤提醒',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/oneToMoreClassManage/OneToMoreScheduleAttendanceReminder'));
      });
    },
  },
  {
    path: 'BatchBuildClassRecords',
    name: '小班批量导入记录',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/BatchBuildClassRecords'));
      });
    },
  },
  {
    path: 'EnrollLinkContinueReg',
    name: '续报关联',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/continueRegManage/ContinueReg/Index'));
      });
    },
  },
  {
    path: 'ClassinFailedSyncRecordDownload',
    name: 'classin同步失败记录下载',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/ClassinFailedSyncRecordDownload'));
      });
    },
  },
  // 预退班回班审批记录
  {
    path: 'bankClassApprovalRecords',
    name: '预退班回班审批记录',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/BackClassApprovalRecords'));
      });
    },
  },
  // 小班扣费失败记录
  {
    path: 'SmallClassChargeErrorRecord',
    name: '小班扣费失败记录',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/SmallClassChargeErrorRecord'));
      });
    },
  },
  // 批量修改课程
  {
    path: 'miniClassBatchModifyCourse',
    name: '小班课程列表',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/course/miniClassManage/BatchModifyCourse'));
      });
    },
  },
];

routes = [...routes, ...ClassSchedule, ...twoTeacher, ...ClassAdjustment];

export default addNavs(routes);
