import { addNavs } from '../common';
import registerModel from 'UTIL/registerModel';

const routes = [
  {
    path: 'CustomerMapAnalyze',
    name: '学生地域分析',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/customer/CustomerMapAnalyze'));
      });
    },
  },
  {
    path: 'CustomerAddCustomer',
    name: '客户录入',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/customer/AddCustomer'));
      });
    },
  },
  {
    path: 'TransferCampusAudit',
    name: '转校客户审核',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/customer/TransferCampusAudit'));
      });
    },
  },
  {
    path: 'CustomerAddTransferCustomer',
    name: '转介绍登记',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/customer/AddTransferCustomer'));
      });
    },
  },
  {
    path: 'InvalidResourcePool',
    name: '无效资源池',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/customer/InvalidResourcePool/store'));
        cb(null, require('PAGE/customer/InvalidResourcePool'));
      });
    },
  },
  {
    path: 'oldStudentRegister',
    name: '老生激活登记记录',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/customer/OldStudentRegister'));
      });
    },
  },
  {
    path: 'oldStudentRegister/add',
    name: '老生激活登记记录-激活',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/customer/OldStudentRegister/Add.js'));
      });
    },
  },
  {
    path: 'oldStudentRegister/detail',
    name: '老生激活登记记录详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/customer/OldStudentRegister/detail.js'));
      });
    },
  },
  {
    path: 'verifyOldStudentRegister',
    name: '老生激活登记记录',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/customer/VerifyOldStudentRegister'));
      });
    },
  },
  {
    path: 'verifyOldStudentRegister/detail',
    name: '老生激活登记记录详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/customer/OldStudentRegister/detail.js'));
      });
    },
  },
  {
    path: 'PrimarySchoolResourceRegister',
    name: '小学资源登记',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/customer/PrimarySchoolResource/register.js'));
      });
    },
  },
  {
    path: 'PrimarySchoolResourceAudit',
    name: '小学资源审核',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/customer/PrimarySchoolResource/audit.js'));
      });
    },
  },
];

export default addNavs(routes);
