const routes = [
  {
    path: 'docComponentsInfo',
    name: '组件概述',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages'));
      });
    },
  },
  {
    path: 'docBadage',
    name: '标记',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Badage'));
      });
    },
  },
  {
    path: 'docBlock',
    name: '内容区块',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Block'));
      });
    },
  },
  {
    path: 'docButton',
    name: '按钮',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Button'));
      });
    },
  },
  {
    path: 'docCheckbox',
    name: '复选按钮',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Checkbox'));
      });
    },
  },
  {
    path: 'docDatePicker',
    name: '日期选择',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/DatePicker'));
      });
    },
  },
  {
    path: 'docDotButton',
    name: '点状按钮',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/DotButton'));
      });
    },
  },
  {
    path: 'docDropdownMenu',
    name: '下拉菜单',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/DropdownMenu'));
      });
    },
  },
  {
    path: 'docFileIcon',
    name: '文件图标',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/FileIcon'));
      });
    },
  },
  {
    path: 'docFileList',
    name: '文件列表',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/FileList'));
      });
    },
  },
  {
    path: 'docFormItem',
    name: '表单项目',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/FormItem'));
      });
    },
  },
  {
    path: 'docIcon',
    name: '图标',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Icon'));
      });
    },
  },
  {
    path: 'docIconButton',
    name: '图标按钮',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/IconButton'));
      });
    },
  },
  {
    path: 'docInput',
    name: '文本框',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Input'));
      });
    },
  },
  {
    path: 'docInputNumber',
    name: '数字框',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/InputNumber'));
      });
    },
  },
  {
    path: 'docInputTag',
    name: '可输入标签',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/InputTag'));
      });
    },
  },
  {
    path: 'docList',
    name: '列表',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/List'));
      });
    },
  },
  {
    path: 'docLoading',
    name: '等待动画',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Loading'));
      });
    },
  },
  {
    path: 'docModal',
    name: '模态框',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Modal'));
      });
    },
  },
  {
    path: 'docMonthPicker',
    name: '月份选择',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/MonthPicker'));
      });
    },
  },
  {
    path: 'docMultiSelect',
    name: '多选框',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/MultiSelect'));
      });
    },
  },
  {
    path: 'docPage',
    name: '页面',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Page'));
      });
    },
  },
  {
    path: 'docPageLayout',
    name: '页面结构示例',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Page/LayoutDemo'));
      });
    },
  },
  {
    path: 'docPageFitWindow',
    name: '页面适应工作区高度示例',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Page/FitWindowDemo'));
      });
    },
  },
  {
    path: 'docPageLevel',
    name: '页面层级示例',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Page/LevelDemo'));
      });
    },
  },
  {
    path: 'docPageLevel/Level2',
    name: '第二级页面',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Page/Level2Demo'));
      });
    },
  },
  {
    path: 'docPageLevel/Level2/Level3',
    name: '第三级页面',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Page/Level3Demo'));
      });
    },
  },
  {
    path: 'docPageNet',
    name: '页面网络请求交互示例',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Page/NetDemo'));
      });
    },
  },
  {
    path: 'docPopover',
    name: '气泡弹框',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Popover'));
      });
    },
  },
  {
    path: 'docRadio',
    name: '单选按钮',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Radio'));
      });
    },
  },
  {
    path: 'docSearch',
    name: '筛选器',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Search'));
      });
    },
  },
  {
    path: 'docSearch2',
    name: '筛选器2',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Search2'));
      });
    },
  },
  {
    path: 'docSearchBar',
    name: '搜索栏',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/SearchBar'));
      });
    },
  },
  {
    path: 'docSection',
    name: '页面板块',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Section'));
      });
    },
  },
  {
    path: 'docSectionBasicDemo',
    name: '多板块页面示例',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Section/BasicDemo'));
      });
    },
  },
  {
    path: 'docSelect',
    name: '选择框',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Select'));
      });
    },
  },
  {
    path: 'docSortButton',
    name: '排序按钮',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/SortButton'));
      });
    },
  },
  {
    path: 'docTabs',
    name: '页签组',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Tabs'));
      });
    },
  },
  {
    path: 'docTag',
    name: '标签',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Tag'));
      });
    },
  },
  {
    path: 'docTagSelect',
    name: '标签多选框',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/TagSelect'));
      });
    },
  },
  {
    path: 'docTextArea',
    name: '多行输入框',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/TextArea'));
      });
    },
  },
  {
    path: 'docTextLink',
    name: '文字链接',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/TextLink'));
      });
    },
  },
  {
    path: 'docTimePicker',
    name: '时间选择',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/TimePicker'));
      });
    },
  },
  {
    path: 'docTreeMultiSelect',
    name: '树多选框',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/TreeMultiSelect'));
      });
    },
  },
  {
    path: 'docTreeSelect',
    name: '树选择框',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/TreeSelect'));
      });
    },
  },
  {
    path: 'docEditor',
    name: '富文本编辑器',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Editor'));
      });
    },
  },
  /**
   * 工具包页面
   */
  {
    path: 'docValidator',
    name: '输入校验',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Validator'));
      });
    },
  },
  {
    path: 'docShareQRCode',
    name: '分享二维码',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/ShareQRCode'));
      });
    },
  },
  {
    path: 'docDeck',
    name: '自定义列表(卡堆)',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/Deck'));
      });
    },
  },
  {
    path: 'docSearchButton',
    name: '筛选按钮',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/SearchButton'));
      });
    },
  },
  {
    path: 'docSearchButtonDemo',
    name: '筛选按钮Demo',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('DOC/compPages/SearchButton/Demo'));
      });
    },
  },
];

export default routes;
