import { addNavs } from '../common';
import registerModel from 'UTIL/registerModel';

const routes = [
  {
    path: 'MarketActivity',
    name: '引流活动',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/marketActivityManage/MarketActivity'));
      });
    },
  },
  {
    path: 'RefundDetail',
    name: '退款审批',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/marketActivityManage/RefundDetail'));
      });
    },
  },
  {
    path: 'MarketActivityOrderList',
    name: '引流活动订单',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/marketActivityManage/MarketActivityOrderList'));
      });
    },
  },
  {
    path: 'MarketActivity/MarketActivityDetail',
    name: '详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/marketActivityManage/MarketActivity/detail'));
      });
    },
  },
  {
    path: 'MarketActivity/AddActivity',
    name: '新增',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/marketActivityManage/MarketActivity/detail'));
      });
    },
  },
  {
    path: 'MarketActivity/EditActivity',
    name: '修改',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/marketActivityManage/MarketActivity/detail'));
      });
    },
  },
  {
    path: 'ClientPage',
    name: '新注册',
    getComponent(nextState, cb) {
      require.ensure([], () => {
        cb(null, require('PAGE/marketActivityManage/MarketActivity/Client'));
      });
    },
  },
  {
    path: 'VisitClientPage',
    name: '访问客户',
    getComponent(nextState, cb) {
      require.ensure([], () => {
        cb(null, require('PAGE/marketActivityManage/MarketActivity/VisitClient'));
      });
    },
  },
  {
    path: 'Questionnaire',
    name: '更多信息',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/marketActivityManage/Questionnaire/store'));
        cb(null, require('PAGE/marketActivityManage/Questionnaire'));
      });
    },
  },
  {
    path: 'Questionnaire/Add',
    name: '新增',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/marketActivityManage/Questionnaire/QuestionForm'));
      });
    },
  },
  {
    path: 'Questionnaire/Edit',
    name: '修改',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/marketActivityManage/Questionnaire/QuestionForm'));
      });
    },
  },
  {
    path: 'Questionnaire/Detail',
    name: '详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/marketActivityManage/Questionnaire/Detail'));
      });
    },
  },
];

export default addNavs(routes);
