import { addNavs } from '../common';
import { SYSTEM_MARK } from 'CONST/config';

const routes = [
  {
    path: 'ExamSiteMgmt',
    name: '考场管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/signUpOnline/ExamSiteMgmt'));
      });
    },
  },
  {
    path: 'StdntApptMgmt',
    name: '学生预约管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/signUpOnline/StdntApptMgmt'));
      });
    },
  },
  {
    path: 'EnrollPeriod',
    name: '续报活动管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/signUpOnline/EnrollPeriod'));
      });
    },
  },
  {
    path: 'FreeEnroll',
    name: '自由报读管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/signUpOnline/FreeEnroll'));
      });
    },
  },
  {
    path: 'FreeEnroll/FreeEnrollDetail',
    name: '班课列表',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/signUpOnline/FreeEnroll/detail'));
      });
    },
  },
  {
    path: 'EnrollQuarter',
    name: '报读季度设置',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/signUpOnline/EnrollQuarter'));
      });
    },
  },
  {
    path: 'AdvanceSightUp',
    name: '报名订单管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/signUpOnline/AdvanceSightUp'));
      });
    },
  },
  {
    path: 'SectionPayment',
    name: '分段收费',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/signUpOnline/SectionPayment'));
      });
    },
  },
  {
    path: 'AdManagement',
    name: '宣传页管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/signUpOnline/AdManagement'));
      });
    },
  },
  {
    path: 'NewSignUpCourseManage',
    name: '新在线报读课程管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/signUpOnline/NewSignUpCourseManage'));
      });
    },
  },
  {
    path: 'OTONewSignUpCourseManage',
    name: '1对1新在线报读课程管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/signUpOnline/NewSignUpCourseManage/oneToOne'));
      });
    },
  },
  {
    path: 'NewSignUpCourseManage/EditCourseCompact',
    name: '完善课程信息',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/signUpOnline/NextCompact'));
      });
    },
  },
  {
    path: 'NewSignUpCampusCustomer',
    name: '学习中心客服配置',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/signUpOnline/NewSignUpCampusCustomer'));
      });
    },
  },
  {
    path: 'EnrollLinkContinueReg',
    name: '续报关联',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/continueRegManage/ContinueReg/Index'));
      });
    },
  },
  {
    path: 'SightUpCustomer',
    name: '报读学生查询',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/signUpOnline/SightUpCustomer'));
      });
    },
  },
].filter((config) => {
  // 临时屏蔽掉双师环境的 "报读学生查询" 页面
  if (SYSTEM_MARK === 'TWO_TEACHER' && config.path === 'SightUpCustomer') {
    return false;
  }
  return true;
});

export default addNavs(routes);
