import { addNavs } from '../common';
import ScoreManage from './ScoreManage';
import ScoreTemplate from './ScoreTemplate';
import StudentFile from './StudentFile';
import registerModel from 'UTIL/registerModel';

let routes = [
  {
    path: 'StudentFollowVisit',
    name: '跟进回访',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/student/FollowVisit'));
      });
    },
  },
  {
    path: 'studentLinkParent',
    name: '关联家长',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/student/LinkParent'));
      });
    },
  },
  {
    path: 'studentLinkParent/:params',
    name: '关联家长',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/student/LinkParent'));
      });
    },
  },
  {
    path: 'consultantStudentList',
    name: '学生列表（咨询）',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/student/ConsultantStudentList'));
      });
    },
  },
];

let progressRateRoutes = [
  {
    path: 'StudentProgressRate',
    name: '1对1进步率',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/student/ProgressRate'));
      });
    },
  },
  {
    path: 'ManagerProgressRate',
    name: '1对1学管师进步率',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/student/ProgressRate'));
      });
    },
  },
  {
    path: 'TeacherProgressRate',
    name: '1对1老师进步率',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/student/ProgressRate'));
      });
    },
  },
  {
    path: 'StudentTestPaperManage',
    name: '试卷管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/student/TestPaperManage'));
      });
    },
  },
  {
    path: 'StudentTestPaperManage/Detail',
    name: '试卷详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/student/TestPaperManage/Detail'));
      });
    },
  },
  {
    path: 'TutorialScoreManager',
    name: '课外辅导成绩管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/student/TutorialScoreManager'));
      });
    },
  },
  {
    path: 'TutorialScoreManager/Import',
    name: '导入成绩',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        registerModel(require('PAGE/student/TutorialScoreManager/importScore/store/index.js')),
          cb(null, require('PAGE/student/TutorialScoreManager/importScore'));
      });
    },
  },
  {
    path: 'QualificationManager',
    name: '报读资格管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/student/QualificationManager'));
      });
    },
  },
  {
    path: 'QualificationManager/addNewqualification',
    name: '报读资格管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/student/QualificationManager/addNewqualification'));
      });
    },
  },
];

const modifyStudentSchoolRoutes = [
  {
    path: 'ModifyStudentSchool',
    name: '学生列表',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/student/ModifyStudentSchool'));
      });
    },
  },
];

routes = [
  ...progressRateRoutes,
  ...routes,
  ...ScoreManage,
  ...ScoreTemplate,
  ...StudentFile,
  ...modifyStudentSchoolRoutes,
];

export default addNavs(routes);
