import { addNavs } from '../common';

const routes = [
  {
    path: 'SystemSwitchEmergencyState',
    name: '紧急状态切换',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/SwitchEmergencyState'));
      });
    },
  },
  {
    path: 'SSResourceOfEmergency',
    name: '紧急资源切换',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/SwitchEmergencyResource'));
      });
    },
  },
  {
    path: 'SystemOrgTree',
    name: '组织架构管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/OrgTree'));
      });
    },
  },
  {
    path: 'SystemUserManage',
    name: '用户管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/UserManage'));
      });
    },
  },
  {
    path: 'SystemUserManage/Detail',
    name: '用户详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/UserManage/Detail'));
      });
    },
  },
  {
    path: 'SystemRoleManage',
    name: '角色管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/RoleManage'));
      });
    },
  },
  {
    path: 'SystemRoleManage/AddRole',
    name: '新增角色',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/RoleManage/AddRole'));
      });
    },
  },
  {
    path: 'SystemRoleManage/ModifyRole',
    name: '修改角色',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/RoleManage/ModifyRole'));
      });
    },
  },
  {
    path: 'SystemRoleManage/ViewRole',
    name: '角色详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/RoleManage/ViewRole'));
      });
    },
  },
  {
    path: 'SystemRoleManage/CopyRole',
    name: '复制角色',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/RoleManage/CopyRole'));
      });
    },
  },
  {
    path: 'cleanExpiredProduct',
    name: '过季产品清理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/CleanExpiredProduct'));
      });
    },
  },
  {
    path: 'cleanExpiredProduct/detail',
    name: '查看详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/CleanExpiredProduct/Detail'));
      });
    },
  },
  {
    path: 'ParamsManage',
    name: '系统参数管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/ParamsManage'));
      });
    },
  },
  {
    path: 'ParamsManage/Detail',
    name: '查看详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/ParamsManage/ParamsManageDetail'));
      });
    },
  },
  {
    path: 'UserPersonalManage',
    name: '个人信息维护',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/UserPersonalManage'));
      });
    },
  },
  {
    path: 'SwitchEmergencyConfig',
    name: '切换权限配置',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/SwitchEmergencyConfig'));
      });
    },
  },
  {
    path: 'RoleTemplateManage',
    name: '人事岗位角色配置',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/RoleTemplateManage'));
      });
    },
  },
  {
    path: 'RoleTemplateManage/Detail',
    name: '查看详情',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/RoleTemplateManage/Detail'));
      });
    },
  },
  {
    path: 'CollectionTypeSwitcher',
    name: '收款类型切换',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/CollectionTypeSwitcher'));
      });
    },
  },
  {
    path: 'assignCallAgent',
    name: '坐席管理',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/callSetting/AssignCallAgent'));
      });
    },
  },
  {
    path: 'bindCallAgent',
    name: '坐席绑定',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/callSetting/BindCallAgent'));
      });
    },
  },
  {
    path: 'teacherTeachableSubject',
    name: '老师可教科目',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/TeacherTeachableSubject'));
      });
    },
  },
  {
    path: 'teacherCoursePlan',
    name: '季度排课计划',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/TeacherCoursePlan'));
      });
    },
  },
  {
    path: 'teacherRegularModifyHistory',
    name: '限课规则修改记录',
    getComponent(nextState, cb) {
      require.ensure([], (require) => {
        cb(null, require('PAGE/system/TeacherRegularModifyHistory'));
      });
    },
  },
];

export default addNavs(routes);
