import buildApi from './buildApi';

/**
 * ipad后端结构管理接口 Api配置信息，key为Api唯一标识，value为object-->{ url, method }，或者string-->url（method默认为GET）
 */
const config = {
  getTagList: 'cmsContent/getCmsSignList.do', //获取标签信息列表
  saveContent: { url: 'cmsContent/saveCmsContent.do', method: 'POST', dataType: 'json' }, //保存内容
  savePersonalContent: { url: 'cmsContent/saveCmsContentConsulant.do', method: 'POST', dataType: 'json' }, //保存个性化资料内容
  getContentById: 'cmsContent/getCmsContentById.do', //获取内容详情
  saveTags: { url: 'cmsContent/saveCmsContentSign.do', methods: 'POST', dataType: 'json' },
  getContentByIdIpad: 'ipad/getCmsContentByIdUnLogin.do',
  findPageCmsContentPublishLogList: {
    url: 'cmsContent/findPageCmsContentPublishLogList.do',
    method: 'POST',
    dataType: 'json',
  },
  // 获取个人资料列表
  getCmsContentList: { url: 'cmsContent/selectCmsContent.do', method: 'POST', dataType: 'json' },
};

export default buildApi(config);
