import { buildStrictFetchApi } from './buildApi';

const ContrConfig = {
  getAttendanceAuditList: {
    url: '/eduboss/boss-xinghuo-api/workflow/pageAttendanceApproveRecord',
    method: 'POST',
    dataType: 'json',
  },
  // 原路退统计
  getOriginReturnStatistics: {
    url: '/eduboss/RefundWorkflowController/listBackTrackRefundWorkDetail.do',
    method: 'POST',
    dataType: 'json',
  },
  // 原路退费导出
  exportOriginReturnStatistics: {
    url: '/eduboss/RefundWorkflowController/getExportListBackTrackRefundWorkDetailToExcel.do',
    method: 'POST',
    dataType: 'json',
  },
  // 根据退费流程ID获取退费确认信息
  getConfirmingNo: {
    url: '/eduboss/RefundWorkflowController/getConfirmingNo.do',
    method: 'GET',
    dataType: 'json',
  },
  getConfirmingInfo: {
    url: '/eduboss/RefundWorkflowController/getConfirmingInfo.do',
    method: 'GET',
    dataType: 'json',
  },
  // 根据退费流程ID发送退费信息
  sendConfirmSmsMessage: {
    url: '/eduboss/RefundWorkflowController/sendConfirmSmsMessage.do',
    method: 'POST',
    dataType: 'json',
  },
  // 线下确认
  confirmRefund: {
    url: '/eduboss/RefundWorkflowController/confirmRefund.do',
    method: 'POST',
    dataType: 'json',
  },
  // 撤销流程
  abortRefundWorkflowById: {
    url: '/eduboss/RefundWorkflowController/abortRefundWorkflowById.do',
    method: 'GET',
    dataType: 'json',
  },
  // 撤销流程
  abortPromiseRefund: {
    url: '/eduboss/PromiseClassController/abortPromiseRefund.do',
    method: 'GET',
    dataType: 'json',
  },
};

const xhbossApiReqMap = buildStrictFetchApi(ContrConfig);

export default {
  ...xhbossApiReqMap,
};
