import { buildStrictFetchApi } from './buildApi';

const ContrConfig = {
  // 查询在线课程绑定的小班
  getSmallClassCourseByOnlineId: {
    url: '/eduboss/boss-xinghuo-api/course/OnlineClass/pageOnlineMiniClassByOnlineClassId',
    method: 'POST',
    dataType: 'json',
  },
  // 查询未绑定在线课程的小班
  getSmallClassCourse: {
    url: '/eduboss/boss-xinghuo-api/course/OnlineClass/pageOnlineMiniClassNotBindOnlineClass',
    method: 'POST',
    dataType: 'json',
  },
  // 新增
  createBisClass: {
    url: ' /eduboss/boss-xinghuo-api/course/OnlineClass/saveOnlineClass',
    method: 'POST',
    dataType: 'json',
  },
  // 编辑
  editBisClass: {
    url: ' /eduboss/boss-xinghuo-api/course/OnlineClass/modifyOnlineClass',
    method: 'POST',
    dataType: 'json',
  },
  // 删除
  deleteBisClass: {
    url: ' /eduboss/boss-xinghuo-api/course/OnlineClass/deleteOnlineClass',
    method: 'GET',
  },
  // 查询大班列表
  getBisClass: {
    url: ' /eduboss/boss-xinghuo-api/course/OnlineClass/pageOnlineClassVos',
    method: 'POST',
    dataType: 'json',
  },
  // 查询大班详情
  getBisClassDetail: {
    url: ' /eduboss/boss-xinghuo-api/course/OnlineClass/getOnlineClassVoById',
    method: 'GET',
  },
  // 查询大班操作记录
  getBisClassOperation: {
    url: ' /eduboss/boss-xinghuo-api/course/OnlineClass/pageChangeLogsByOnlineClassId',
    method: 'POST',
    dataType: 'json',
  },
  // 获取学生收件信息列表
  getStudentReceiveInfoList: {
    url: ' /eduboss/boss-xinghuo-api/course/OnlineClass/pageStudentDeliveryInfoForClassVo',
    method: 'POST',
    dataType: 'json',
  },
  // 获取某个学生收件信息详情
  getStudentReceiveInfoById: {
    url: ' /eduboss/boss-xinghuo-api/course/OnlineClass/getStudentDeliveryInfoByContractProductId',
    method: 'GET',
  },
  // 保存学生收件信息
  saveStudentReceiveInfo: {
    url: ' /eduboss/boss-xinghuo-api/course/OnlineClass/saveStudentDeliveryInfo',
    method: 'POST',
    dataType: 'json',
  },
  // 导出表格
  exportReceiverTable: {
    url: '/eduboss/ExportCenterController/exportStudentDeliveryInfoToExcel.do',
    method: 'GET',
  },
  // 查询大班下课程列表
  getBigClassCourse: {
    url: '/eduboss/boss-xinghuo-api/course/OnlineClass/listOnlineClassCourseByClassId',
    method: 'GET',
  },
  addBigClassCourse: {
    url: '/eduboss/boss-xinghuo-api/course/OnlineClass/bulkSaveOnlineClassCourse',
    method: 'POST',
    dataType: 'json',
  },
  // 删除大班下课程
  deleteBigClassCourse: {
    url: '/eduboss/boss-xinghuo-api/course/OnlineClass/deleteOnlineClassCourse',
    method: 'GET',
  },
  // 编辑大班课程
  editBigClassCourse: {
    url: '/eduboss/boss-xinghuo-api/course/OnlineClass/modifyOnlineClassCourse',
    method: 'POST',
    dataType: 'json',
  },
};

const xhbossApiReqMap = buildStrictFetchApi(ContrConfig);

export default {
  ...xhbossApiReqMap,
};
