import buildApi, { buildStrictFetchApi } from './buildApi';

/**
 * Api配置信息，key为Api唯一标识，value为object-->{ url, method }，或者string-->url（method默认为GET）
 */
const eduBossConfig = {
  /*
    getSmallClassListOnModal: { url: 'SmallClassController/getSmallClassListOnModal.do', method: 'POST', dataType: 'json' }, //获取已排小班列表
    getMiniClassCourseDateInfo: 'SmallClassController/getMiniClassCourseDateInfo.do',  // 获取课程日期列表miniClassId
    */
  getConsultorCustomerFolowup: 'CustomerAction/getConsultorCustomerFolowup.do', // 获取预约上门客户
  getConsultorNextFollowing: 'CustomerAction/getConsultorNextFollowing.do', // 获取预约跟进电话客户
  getConsultorFollowingList: 'CustomerAction/getConsultorFollowingList.do', // 咨询师跟进列表
  getConsultorSignUpList: 'CustomerAction/getConsultorSignUpList.do', // 咨询师签单客户列表
  getConsultorLostList: 'CustomerAction/getConsultorLostList.do', // 咨询师流失客户列表
  findCustomerStudentByCusStuId: 'CustomerAction/findCustomerStudentByCusStuId.do', // 详情
  getConsultorStudentFollowingList: 'CustomerAction/getConsultorStudentFollowingList.do', // 客户详情跟进记录
  findCustomerDynamicStatusByCustomerStudentId: 'CustomerAction/findCustomerDynamicStatusByCustomerStudentId.do', // 客户动态
  updateCustomerStudent: { url: 'CustomerAction/updateCustomerStudent.do', method: 'POST', dataType: 'json' }, //修改客户信息
  getFollowingRecordNew: 'CustomerAction/getFollowingRecordNew.do', //   咨询师工作台-跟进客户-查询今天最新一条跟进记录
  signForCustomerComeOn: {
    url: 'CustomerAction/signForCustomerComeOn.do',
    method: 'POST',
    dataType: 'json',
  }, // 登记上门 (咨询师对已预约的客户登记上门)
  signForCustomerComeOnWithoutAppoint: {
    url: 'CustomerAction/signForCustomerComeOnWithoutAppoint.do',
    method: 'POST',
    dataType: 'json',
  }, // 登记上门 (咨询师对未预约的客户登记上门)
  saveConsultorCustomerStudent: {
    url: 'CustomerAction/saveConsultorCustomerStudent.do',
    method: 'POST',
    dataType: 'json',
  }, //咨询师新增客户
  saveConsultorFollowRecord: { url: 'CustomerAction/saveConsultorFollowRecord.do', method: 'POST', dataType: 'json' }, //咨询师保存跟进记录
  // 咨询师保存跟进记录(意向度选择`无效客户`时调用)
  saveConsultorInvalidFollowRecord: { url: 'CustomerAction/invalidResource.do', method: 'POST', dataType: 'json' },
  getStudentListByCusContact: 'CustomerAction/getStudentListByCusContact.do', // 根据客户电话查找学生
  obtainCustomerInternet: { url: 'CustomerAction/obtainCustomerInternet.do', method: 'POST' }, //咨询师获取网络客户
  obtainCustomerAgain: { url: 'CustomerAction/obtainCustomerAgain.do', method: 'POST' }, //咨询师重新获取
  updateCustomerStudentStatus: {
    url: 'CustomerAction/updateCustomerStudentStatus.do',
    method: 'POST',
    dataType: 'json',
  }, //修改已签约客户状态
  getDataPanelSalesFunnel: 'CustomerAction/getDataPanelSalesFunnel.do', // 数据看板-销售漏斗
  getDataPanelSalesFunnelCustomerInfo: 'CustomerAction/getDataPanelSalesFunnelCustomerInfo.do', // 数据看板-销售漏斗 客户信息
  getCampusCustomerFollowUpInfo: 'CustomerAction/getCampusCustomerFollowUpInfo.do', // 主管数据-学习中心咨询师跟进信息
  getCampusCustomerAppointmentInfo: 'CustomerAction/getCampusCustomerAppointmentInfo.do', // 主管数据-学习中心预约上门情况
  getBranchPerformanceRank: 'CustomerAction/getBranchPerformanceRank.do', // 分公司业绩排名
  judgeCampusPower: 'CustomerAction/judgeCampusPower.do', // 判断是否有所属学习中心
  getStudentDynamicsInCampus: 'managerData/getStudentDynamicsInCampus.do',
  getStudentFollowupRecordsInCampus: 'managerData/getStudentFollowupRecordsInCampus.do',
  getFollowupCustomersForOrgManager: 'managerData/getFollowupCustomersForOrgManager.do',
  getSignedCustomersForOrgManager: 'managerData/getSignedCustomersForOrgManager.do',
  getLostCustomersForOrgManager: 'managerData/getLostCustomersForOrgManager.do',
  getSalesFunnel: 'CustomerAction/v2/getSalesFunnel.do',
  getSalesFunnelDetailsInfo: 'CustomerAction/v2/getSalesFunnelDetailsInfo.do',
  submitStudentTransferApply: {
    url: 'CustomerAction/v2/submitStudentTransferApply.do',
    method: 'POST',
    dataType: 'json',
  },
  listStudentTransferApplyBySelf: 'CustomerAction/v2/listStudentTransferApplyBySelf.do',
  listStudentTransferApplyForCampusAudit: 'CustomerAction/v2/listStudentTransferApplyForCampusAudit.do',
  listStudentTransferApplyForCampusReceive: 'CustomerAction/v2/listStudentTransferApplyForCampusReceive.do',
  auditStudentTransferApply: {
    url: 'CustomerAction/v2/auditStudentTransferApply.do',
    method: 'POST',
    dataType: 'json',
  },
  receiveStudentTransferApply: {
    url: 'CustomerAction/v2/receiveStudentTransferApply.do',
    method: 'POST',
    dataType: 'json',
  },
  getStudentTransferApplyDetailInfo: 'CustomerAction/v2/getStudentTransferApplyDetailInfo.do',
  crmResourceVisibility: 'CustomerAction/v2/crmResourceVisibility.do',
  canSign: 'CustomerAction/canSign.do',
  // 入学测报告
  getStudentExamReport: 'StudentController/getStudentExamReport.do',
};

let xhBossApiConfig = {
  // 我的跟进记录(带通话记录)
  getMyCustomerFollowUpWrappers: {
    url: '/crm/customerFollowUp/getMyCustomerFollowUpWrappers',
    method: 'POST',
    dataType: 'json',
  },
  // 我的跟进记录(带通话记录)
  pageMyCurrentCustomerFollowUps: {
    url: '/crm/customerFollowUp/pageMyCurrentCustomerFollowUps',
    method: 'POST',
    dataType: 'json',
  },
  // 学习中心跟进情况(带通话记录)
  getCustomerFollowUpWrappers: {
    url: '/crm/customerFollowUp/getCustomerFollowUpWrappers',
    method: 'POST',
    dataType: 'json',
  },
  // 保存跟进记录(带callId)
  saveCustomerFollowUp: {
    url: '/crm/customerFollowUp/saveCustomerFollowUp',
    method: 'POST',
    dataType: 'json',
  },
  // 保存无效跟进记录(带callId)
  invalidCustomerResource: {
    url: '/crm/customerFollowUp/invalidCustomerResource',
    method: 'POST',
    dataType: 'json',
  },
};

const xhBossApiUriPrefix = '/eduboss/boss-xinghuo-api';

Object.keys(xhBossApiConfig).forEach((key) => {
  xhBossApiConfig[key].url = `${xhBossApiUriPrefix}${xhBossApiConfig[key].url}`;
});

const config = {
  ...buildApi(eduBossConfig),
  ...buildStrictFetchApi(xhBossApiConfig),
};

export default config;
