import buildApi, { insightBuildApi } from './buildApi';
import { OSS_PRD_PREFIX } from 'CONST/ossConfig';

// boss结构
const config = {
  loadScoreListApi: '/AchievementMgrController/getList.do',
  exportScoreExcelApi: '/AchievementMgrController/batchExport.do',
  importScoreExcelApi: '/AchievementMgrController/batchImport.do',
  achievementBatchImport: '/AchievementMgrController/achievementBatchImport.do',
  exportDemoApi: `${OSS_PRD_PREFIX}/%E6%88%90%E7%BB%A9%E7%AE%A1%E7%90%86%E5%AF%BC%E5%85%A5%E6%A8%A1%E6%9D%BF20180526.xls`,
  loadScoreDetailApi: '/AchievementMgrController/getDetail.do',
  loadPaperDictApi: '/PaperController/getPaperListBybranchIdAndName.do',
  loadPaperDetailApi: '/PaperController/getPaperListBybranchIdAndId.do',
  addScoreBatchApi: { url: '/AchievementMgrController/matchSave.do', method: 'POST', dataType: 'json' },
  addScoreApi: { url: '/AchievementMgrController/add.do', method: 'POST', dataType: 'json' },
  editScoreApi: { url: '/AchievementMgrController/update.do', method: 'POST', dataType: 'json' },
  delScoreApi: { url: '/AchievementMgrController/delete.do', method: 'POST' },
  delScoreApiGroup: { url: '/AchievementMgrController/plentyDelete.do', method: 'POST', dataType: 'json' },
  loadTagListApi: '/EnrollManagerStudentQualificationController/listEnrollManagerStudentQualificationInfos.do',
  loadTagDetailApi: '/EnrollManagerStudentQualificationController/getEnrollManagerStudentQualification.do',
  addTagApi: {
    url: '/EnrollManagerStudentQualificationController/addEnrollManagerStudentQualification.do',
    method: 'POST',
    dataType: 'json',
  },
  editTagApi: {
    url: '/EnrollManagerStudentQualificationController/updateEnrollManagerStudentQualification.do',
    method: 'POST',
    dataType: 'json',
  },
  loadContactApi: '/CustomerAction/getAutoCompleteContact.do',
  loadStudentApi: '/CustomerAction/findCustomerById.do',
  delEnrollManagerStudentQualification:
    '/EnrollManagerStudentQualificationController/delEnrollManagerStudentQualification.do', // 删除资质
  getClassStudentQualificationInfo: {
    url: '/EnrollManagerStudentQualificationController/getClassStudentQualificationInfo.do',
    method: 'POST',
    dataType: 'json',
  }, //获取班级中的学生信息
  getClassStudentQualification: {
    url: '/EnrollManagerStudentQualificationController/getClassStudentQualification.do',
    method: 'POST',
    dataType: 'json',
  }, //获取班级列表
  getSingleStudentQualificationInfo:
    '/EnrollManagerStudentQualificationController/getSingleStudentQualificationInfo.do', //获取单个学生信息
  addBatchStudentQualification: {
    url: '/EnrollManagerStudentQualificationController/addBatchStudentQualification.do',
    method: 'POST',
    dataType: 'json',
  }, //批量添加资质
};

// 新报读的接口
const newXhmallConfig = {
  //查询设置报读资格限制
  getQualificationLimitDetail: 'qualificationLimit/getEnrollManagerQualificationLimits',
  // 保存，更新设置报读资格限制
  updateQualificationLimit: {
    url: 'qualificationLimit/addOrUpdateEnrollManagerQualificationLimits',
    method: 'POST',
    dataType: 'json',
  }, //批量添加资质
};
const oldConfigApi = buildApi(config);
const hasChoreXhmallConfig = insightBuildApi(newXhmallConfig);
const totalInterfaceMap = {
  ...oldConfigApi,
  ...hasChoreXhmallConfig,
};
export default totalInterfaceMap;
