import { buildStrictFetchApi } from './buildApi';

// 入学测评-散测
let config = {
  getJxDict: {
    url: '/exam/paper/listDict',
    method: 'GET',
    dataType: 'json',
  },
  // 获取试卷列表
  getPaperList: {
    url: '/exam/paper/pagePapers',
    method: 'POST',
    dataType: 'json',
  },
  // 获取试卷题目信息
  getPaperQuestionList: {
    url: '/exam/report/getPaperQuestion',
    method: 'GET',
    dataType: 'json',
  },
  // 提交学生答案(录入分数)
  addPaperQuestionList: {
    url: '/exam/report/submitAnswer',
    method: 'POST',
    dataType: 'json',
  },
  // 获取报告列表
  getPaperReportList: {
    url: '/exam/report/pageReports',
    method: 'POST',
    dataType: 'json',
  },
  // 根据学生学号查询报告列表
  getPaperReportByStudentId: {
    url: '/exam/report/listReportsByStudentId',
    method: 'GET',
    dataType: 'json',
  },
  // 获取学生答案(修改/查看分数)
  getStudentPaperQuestion: {
    url: '/exam/report/getStudentAnswer',
    method: 'GET',
    dataType: 'json',
  },
  // 修改学生答案(修改分数)
  editStudentPaperQuestion: {
    url: '/exam/report/updateAnswer',
    method: 'POST',
    dataType: 'json',
  },
  // 删除(无效)报告
  deletePaperReport: {
    url: '/exam/report/deleteReport',
    method: 'POST',
  },
  // 获取考试导入状态
  getImportState: {
    url: '/exam/report/getImportState',
    method: 'GET',
    dataType: 'json',
  },
};

const uriPrefix = '/eduboss/boss-xinghuo-api';

Object.keys(config).forEach((item) => {
  config[item].url = `${uriPrefix}${config[item].url}`;
});

export default buildStrictFetchApi(config);
