import buildApi from './buildApi';

/**
 * Api配置信息，key为Api唯一标识，value为object-->{ url, method }，或者string-->url（method默认为GET）
 */
const config = {
  getAllBrenchAndGroup: 'cmsMenu/getAllBrenchAndGroup.do', //获取集团和分公司列表
  getCmsMenuList: 'cmsMenu/getCmsMenuList.do', //获取目录列表信息
  getCmsContentList: 'cmsContent/getCmsContentList.do', //获取内容列表
  getPersonalContentList: 'cmsContent/getCmsContentConsulantList.do', //获取个性化资料内容列表
  setShowMenuContent: { url: 'cmsMenu/setShowMenuContent.do', method: 'POST', dataType: 'json' }, //一二级内容切换和显示规则

  publishContent: { url: 'cmsContent/publishContent.do', method: 'POST', dataType: 'json' }, //发布内容
  publishFrontContent: { url: 'cmsContent/publishFrontContent.do', method: 'POST', dataType: 'json' }, //发布轮播图
  saveCmsCotentAuth: { url: 'cmsContent/saveCmsCotentAuth.do', method: 'POST', dataType: 'json' }, //内容可见范围设置
  deleteContent: { url: 'cmsContent/deleteContent.do', method: 'POST' }, //删除内容
  getCmsContentById: 'cmsContent/getCmsContentById.do', //获取内容详情
  // 复制图文
  copyContent: { url: 'cmsContent/copyContent.do', method: 'POST', dataType: 'json' },
  // 转移图文/修改文件目录
  updateMenuId: { url: 'cmsContent/updateMenuId.do', method: 'POST', dataType: 'json' },
  // 新增/修改目录
  saveCmsMenu: { url: 'cmsMenu/saveCmsMenu.do', method: 'POST', dataType: 'json' },
  // 删除目录
  deleteCmsMenu: 'cmsMenu/deleteCmsMenuNew.do',
  getCmsSignList: 'cmsContent/getCmsSignList.do', //获取标签信息列表
  saveMultiCmsSign: { url: 'cmsContent/saveMultiCmsSign.do', method: 'POST', dataType: 'json' }, //保存标签-批量
  pushContentToFront: { url: 'cmsContent/pushContentToFront.do', method: 'POST' }, //首页推荐
  cacelContentToFront: { url: 'cmsContent/cacelContentToFront.do', method: 'POST' }, //首页推荐-取消
  deleteSignById: { url: 'cmsContent/deleteSignById.do', method: 'POST', dataType: 'json' }, //删除标签类型
  saveCmsContentOrder: { url: 'cmsContent/saveCmsContentOrder.do', method: 'POST', dataType: 'json' }, //排序管理-内容
  saveCmsMenuContentNum: { url: 'cmsMenu/saveCmsMenuContentNum.do', method: 'POST' }, //设置菜单的排版数
  getConsultor: 'cmsContent/getConsultorByCampusId.do',
  // 录音文件管理
  loadVoiceRecord: 'padVoiceRecord/findPageByVoiceRecord.do', //录音列表
  saveVoiceRemark: { url: 'padVoiceRecord/saveRemark.do', method: 'POST' }, //保存备注
  getVoiceRole: 'padVoiceRecord/getCurrentRole.do', // 获取录音管理角色
  getOrganizationList: 'padVoiceRecord/getOrganizationList.do', // 获取录音管理角色组织架构
};

export default buildApi(config);
