import buildApi from './buildApi';

/**
 * ipad后端结构管理接口 Api配置信息，key为Api唯一标识，value为object-->{ url, method }，或者string-->url（method默认为GET）
 */
const config = {
  getMenuList: 'cmsMenu/getCmsMenuList.do', //获取目录列表信息
  changeMenuList: { url: 'cmsMenu/saveCmsMenu.do', method: 'POST', dataType: 'json' }, //新增修改目录
  getCompanyList: 'cmsMenu/getAllBrenchAndGroup.do', //获取集团分公司列表
  getIconList: 'cmsMenu/getMenuIcoList.do', //获取图标列表
  changeVisibleRange: { url: 'cmsMenu/saveCmsMenuAuth.do', method: 'POST', dataType: 'json' }, //目录可见范围设置
  changeMenuOrder: { url: 'cmsMenu/saveCmsMenuOrder.do', method: 'POST', dataType: 'json' }, //目录排序
  deleteMenu: { url: 'cmsMenu/deleteCmsMenu.do', method: 'POST' }, //删除目录
  saveIconList: { url: 'cmsMenu/saveCmsMenuIco.do', method: 'POST', dataType: 'json' }, //图片管理
  publishIconList: { url: 'cmsMenu/publicMenuIco.do', method: 'POST', dataType: 'json' }, //发布图标
};

export default buildApi(config);
