import { fetchGet, fetchPost } from 'UTIL/http';
import { jiaoXueBaseUrl } from 'CONST/otherSystemConfig';

const buildFetch = (config) => {
  let output = {};
  Object.keys(config).forEach((key) => {
    const detail = config[key];
    const isObject = typeof detail === 'object';
    const func = isObject && detail.method === 'POST' ? fetchPost : fetchGet;
    const url = jiaoXueBaseUrl + (isObject ? detail.url : detail);
    output[key] = ({ params, headers, handleError }) =>
      func({ url, params, dataType: detail.dataType, headers, sendHeaderUserId: false }, handleError);
  });
  return output;
};

const config = {
  getTeaToken: 'v1/oauth2/callback/boss',
  queryBossTutorPlanList: { url: 'v1/boss/bossTutorPlan/queryBossTutorPlanList', method: 'POST', dataType: 'json' },
  createBossTutorPlan: { url: 'v1/boss/bossTutorPlan/createBossTutorPlan', method: 'POST', dataType: 'json' },
  delBossTutorPlan: { url: 'v1/boss/bossTutorPlan/delBossTutorPlan', method: 'POST', dataType: 'json' },
};

const xhPackJxApiConfig = {
  getJxDict: {
    url: '/eduboss/boss-xinghuo-api/exam/paper/listDict',
    method: 'GET',
    dataType: 'json',
  },
};

export default {
  ...buildFetch(config),
  // FIXME 待合并0716上线的代码后，替换`buildFetch`为`buildStrictFetchApi`
  ...buildFetch(xhPackJxApiConfig),
};
