import buildApi, { cmallBuildApi } from './buildApi';
/*
 * 沿用就boss的接口请在 oldBossConfig 内编写
 * 后续新报读的接口 cmallConfig
 * */

const oldBossConfig = {
  /* ------旧boss接口 不用迁移---------*/
  //oldBossInterface 老boss接口还是走旧的接口地址
  getProductList: 'ProductController/getProductList.do',
  calculatePromotion: 'PromotionController/calculatePromotion.do',
  getProductActivePromotionList: 'PromotionController/getProductActivePromotionList.do',
  checkAllowAddStudent4MiniClass: 'CourseController/checkAllowAddStudent4MiniClass.do',
  checkAllowAddStudent4TwoTeacherClass: 'CourseController/checkAllowAddStudent4TwoTeacherClass.do',
};

/*-----------还未迁移的报读接口------------------*/
const oldCmallConfig = {
  // 获取短信模板
  getMsgTemp: 'MarketActivityController/getSmsTemplate.do',
  getProductByIds: 'MarketActivityController/getProductByIds.do',
  // 更新活动分享数量
  updateShareNum: {
    url: 'MarketActivityController/updateShareNum.do',
    method: 'POST',
    dataType: 'json',
  },
  // 流量分享-获取分享二维码链接
  shareByInsight: {
    url: 'MarketActivityController/getInsightShareUrl.do',
    method: 'POST',
    dataType: 'json',
  },
  // 订单选择跟进人
  dispatchOrder: {
    url: 'MarketActivityController/dispatchOrder.do',
    method: 'POST',
    dataType: 'json',
  },
  // 审核失败
  cancelOrder: {
    url: 'MarketActivityController/cancelOrder.do',
    method: 'POST',
    dataType: 'json',
  },
  // 审核成功
  openOrder: {
    url: 'MarketActivityController/openOrder.do',
    method: 'POST',
    dataType: 'json',
  },
  // 获取引流活动优惠价格
  getRechargeMoney: 'MarketActivityController/getRechargeMoney.do',

  // 退款列表
  listRefund: 'MarketActivityController/listRefund.do',
  // 申请退款或者拒绝退款
  applyRefund: {
    url: 'MarketActivityController/applyRefund.do',
    method: 'POST',
    dataType: 'json',
  },
  // 获取引流活动订单详情
  getOrderDetailByOrderNo: 'MarketActivityController/getOrderDetailByOrderNo.do',
  // 修改学生信息(订单页)
  editStudentInfo: {
    url: 'MarketActivityController/editStudentInfo.do',
    method: 'POST',
    dataType: 'json',
  },
  // 订单页转校
  transferSchool: {
    url: 'MarketActivityController/changeIntentionCampus.do',
    method: 'POST',
    dataType: 'json',
  },
  // 导出活动注册用户
  exportRegistUser: {
    url: 'MarketActivityController/exportRegistUser.do',
    method: 'POST',
    dataType: 'json',
  },
  // 导出活动访问客户
  exportVisitUser: {
    url: 'MarketActivityController/exportVisitUser.do',
    method: 'POST',
    dataType: 'json',
  },
  // 获取活动注册用户
  listRegistUser: {
    url: 'MarketActivityController/listRegistUser.do',
    method: 'POST',
    dataType: 'json',
  },
  // 查询问卷(引流附带信息)
  listAllQuestionnaires: 'QuestionnaireController/listAllQuestionnaires.do',
  // 新增/修改问卷(引流附带信息)
  saveQuestionnaire: {
    url: 'QuestionnaireController/saveQuestionnaire.do',
    method: 'POST',
    dataType: 'json',
  },
  // 修改问卷状态
  updateQuestionnaireStatus: 'QuestionnaireController/updateQuestionnaireStatus.do',
  // 查询问卷详情
  selectById: 'QuestionnaireController/selectById.do',
  // 查询引流活动学生的答卷详情
  selectQuestionnaireById: 'QuestionnaireController/selectQuestionnaireById.do',
  // 查询问卷是否有答卷(引流活动id与问卷id)
  selectAnswerCount: 'QuestionnaireController/selectAnswerCount.do',
  // 获取拼团订单拼团记录
  getInviteData: 'MarketActivityController/listInviteStudentByOrderNo.do',
  //邀请人转介绍接口
  getInviteDetailByNo: {
    url: 'MarketActivityController/listInviteInfoByStudentNo.do',
    method: 'POST',
    dataType: 'json',
  },
  // 获取流量平台具体数据
  getInsightActivityData: 'MarketActivityController/getActivityStatisticalData.do',
  // 详情活动
  findActivityDetail: 'MarketActivityController/findActivityDetail.do',
  // 获取活动访问客户
  listVisitUser: {
    url: 'MarketActivityController/listVisitUser.do',
    method: 'POST',
    dataType: 'json',
  },
  // 退款审核通过
  passRefund: {
    url: 'MarketActivityController/auditRefundPass.do',
    method: 'POST',
    dataType: 'json',
  },
  // 退款审核不通过
  disPassRefund: {
    url: 'MarketActivityController/auditRefundNotPass.do',
    method: 'POST',
    dataType: 'json',
  },
  // 添加活动
  addActivity: {
    url: 'MarketActivityController/addActivity.do',
    method: 'POST',
    dataType: 'json',
  },
  // 修改活动
  editActivity: {
    url: 'MarketActivityController/editActivity.do',
    method: 'POST',
    dataType: 'json',
  },
  // 获取分享的字典数据
  getDataDict: 'MarketActivityController/getDataDict.do',
  listStudentByCustomer: {
    url: 'MarketActivityController/listStudentByCustomer.do',
  },
  createStudent: {
    url: 'MarketActivityController/createStudent.do',
    method: 'POST',
    dataType: 'json',
  },
};

const newCmallConfig = {
  //报读接口 走报读的新地址
  listActivity: {
    url: 'MarketActivityController/listActivity',
    method: 'POST',
    dataType: 'json',
  },
  //订单详情
  getOrderCount: 'MarketActivityController/getOrderCount',
  // 订单列表
  listPageOrder: {
    url: 'MarketActivityController/listPageOrder',
    method: 'POST',
    dataType: 'json',
  },
  // // 详情活动
  // findActivityDetail:"MarketActivityController/findActivityDetail",
  // // 添加活动
  // addActivity:{url:"MarketActivityController/addActivity",method:"POST",dataType:"json"},
  // // 修改活动
  // editActivity:{url:"MarketActivityController/editActivity",method:"POST",dataType:"json"},
  // // 获取活动访问客户
  // listVisitUser: {
  //   url: "MarketActivityController/listVisitUser",
  //   method: 'POST',
  //   dataType: 'json'
  // },
  // // 退款审核通过
  // passRefund:{url:"MarketActivityController/auditRefundPass",method:"POST",dataType:"json"},
  // // 退款审核不通过
  // disPassRefund:{url:"MarketActivityController/auditRefundNotPass",method:"POST",dataType:"json"},
  // // 获取分享的字典数据
  // getDataDict:"MarketActivityController/getDataDict",
  listOrderRemark: {
    url: 'MarketActivityController/listRemark',
    method: 'POST',
    dataType: 'json',
  },
  addOrderRemark: {
    url: 'MarketActivityController/addRemark',
    method: 'POST',
    dataType: 'json',
  },
  listOrderRemarkDetail: {
    url: 'MarketActivityController/remarkDetail',
  },
  exportActivityOrder: {
    url: 'MarketActivityController/exportActivityOrder',
    method: 'POST',
    dataType: 'json',
  },
};
const hasChoreCmallConfig = cmallBuildApi(newCmallConfig);
const oldCmallConfigMap = buildApi(oldCmallConfig);
const oldBossInterfaceMap = buildApi(oldBossConfig);
const totalInterfaceMap = {
  ...oldCmallConfigMap,
  ...oldBossInterfaceMap,
  ...hasChoreCmallConfig,
};
export default totalInterfaceMap;
