import buildApi from './buildApi';

const config = {
  getFollowupCustomersForPlat: 'CustomerAction/getFollowupCustomersForPlat.do',
  getCustomerMeetingConfirm: 'CustomerAction/getCustomerMeetingConfirm.do',
  getLastAppointmentRecord: 'CustomerAction/getLastAppointmentRecord.do',
  updateAppointCustomer: {
    url: 'CustomerAction/updateAppointCustomer.do',
    method: 'POST',
  },
  findCustomerDynamicStatusByCustomerStudentId: 'CustomerAction/findCustomerDynamicStatusByCustomerStudentId.do',
  findCustomerById: 'CustomerAction/findCustomerById.do',
  getCitys: 'SystemAction/getCitys.do',
  checkCustomerContact: 'CustomerAction/checkCustomerContact.do',
  getStudentListByCusContact: 'CustomerAction/getStudentListByCusContact.do',
  checkPilotCampus: 'CustomerAction/v2/checkPilotCampus.do',
  saveOrUpdateCustomer: {
    url: 'CustomerAction/v2/saveOrUpdateCustomer.do',
    method: 'POST',
    dataType: 'json',
  },
  getRelatedStudentsByCusId: 'CustomerAction/getRelatedStudentsByCusId.do',
  saveFollowRecord: {
    url: 'CustomerAction/saveFollowRecord.do',
    method: 'POST',
  },
  setDeleteStudent: {
    url: 'CustomerAction/setDeleteStudent.do',
    method: 'POST',
  },
  getUsersByRoleSign: 'CommonAction/getUsersByRoleSign.do',
  getCustomerOverviewForPlat: 'CustomerAction/getCustomerOverviewForPlat.do',
  getNetWorkCustomerList: 'CustomerAction/v2/getNetWorkCustomerList.do',
  getNetWorkFollowupCustomers: 'CustomerAction/v2/getNetWorkFollowupCustomers.do',
  getUsersForNetWorkSelection: 'CustomerAction/v2/getUsersForNetWorkSelection.do',
  distributeCustomerForNetWork: {
    url: 'CustomerAction/v2/distributeCustomerForNetWork.do',
    method: 'POST',
    dataType: 'json',
  },
  checkPilotCampusCustomer: 'CustomerAction/v2/checkPilotCampusCustomer.do',
  findCustomerInfoForNetWork: 'CustomerAction/v2/findCustomerInfoForNetWork.do',
  customerOverviewForNetWork: 'CustomerAction/v2/customerOverviewForNetWork.do',
  // 网络资源池
  getResourcePoolCustomer: 'networkCustomerResource/list.do',
  //批量分配网络资源
  groupBatchAllocate: {
    url: 'networkCustomerResource/batchAllocate.do',
    method: 'POST',
    dataType: 'json',
  },
  //导出网络资源池学生
  exportResourcePoolStudent: {
    url: 'ExportCenterController/exportClassingNetworkStudent.do',
    method: 'POST',
    dataType: 'json',
  },
};

export default buildApi(config);
