import buildApi from './buildApi';

const outcallPrefix = 'boss-xinghuo-api';

const config = {
  // 添加跟进记录
  followCustomer: {
    url: outcallPrefix + '/crm/customerFollowUp/saveCustomerStudentResourceFollowUp',
    method: 'POST',
    dataType: 'json',
  },
  // 设为无效客户
  disabledCustomer: {
    url: outcallPrefix + '/crm/customerFollowUp/invalidCustomerStudentResource',
    method: 'POST',
    dataType: 'json',
  },
  // 预约客户
  appointmentMetting: {
    url: outcallPrefix + '/crm/resourceRecord/transform/appointmentTransform',
    method: 'POST',
    dataType: 'json',
  },
  // 邀请进群
  inviteToGroup: {
    url: outcallPrefix + '/crm/resourceRecord/transform/communityTransform',
    method: 'POST',
    dataType: 'json',
  },
  distributeCustomerList: {
    url: 'boss-xinghuo-api/crm/resourceRecord/pageAllRecords', // 外呼资源池列表
    method: 'POST',
    dataType: 'json',
  },
  outCallResourcePools: {
    url: 'boss-xinghuo-api/crm/resource/pool/listResourcePools', // 外呼资源树
    method: 'POST',
    dataType: 'json',
  },
  distributeCustomer: {
    url: 'boss-xinghuo-api/crm/resourceRecord/allocateCustomerStudentResource', // 分配客户
    method: 'POST',
    dataType: 'json',
  },
  getFollowList: {
    url: outcallPrefix + '/crm/resourceRecord/pageFollowingCustomerStudentResource',
    method: 'POST',
    dataType: 'json',
  },
  getTransferList: {
    url: outcallPrefix + '/crm/resourceRecord/transform/page',
    method: 'POST',
    dataType: 'json',
  },
  getLossList: {
    url: outcallPrefix + '/crm/resourceRecord/gain/page',
    method: 'POST',
    dataType: 'json',
  },
  getInvalidList: {
    url: outcallPrefix + '/crm/resourceRecord/invalid/page',
    method: 'POST',
    dataType: 'json',
  },
  addOutcallCustomer: {
    url: outcallPrefix + '/crm/resourceRecord/saveCustomerStudentResource',
    method: 'POST',
    dataType: 'json',
  },
  getCustomerDetail: 'boss-xinghuo-api/crm/resourceRecord/getCustomerStudentResource', // 获取客户详情
  updateCustomer: {
    // 更新客户
    url: 'boss-xinghuo-api/crm/resourceRecord/updateCustomerStudentResource',
    method: 'POST',
    dataType: 'json',
  },
  getStudentListByCusContact: 'CustomerAction/getStudentListByCusContact.do', // 根据客户电话查找学生
  // 客户数据导入
  importCustomerData: {
    url: 'boss-xinghuo-api/crm/customer/importCustomerData',
    method: 'POST',
    dataType: 'json',
  },
  // 保存跟进记录
  saveFollowUpData: {
    url: 'boss-xinghuo-api/crm/customerFollowUp/saveCustomerStudentResourceFollowUp',
    method: 'POST',
    dataType: 'json',
  },
  // 保存无效跟进记录
  saveInvalidFollowUpData: {
    url: 'boss-xinghuo-api/crm/customerFollowUp/invalidCustomerStudentResource',
    method: 'POST',
    dataType: 'json',
  },
};

export default buildApi(config);
