import buildApi from './buildApi';

/**
 * Api配置信息，key为Api唯一标识，value为object-->{ url, method }，或者string-->url（method默认为GET）
 */
const config = {
  // testApi: {url: 'ProductController/getProductPageList.do', method: 'POST'},
  // 获取教师列表
  getTeacherList: { url: 'UserTeacherAttributeController/listUserTeacherAttribute.do', method: 'GET' },
  // 根据用户id查找老师信息
  getTeacherById: { url: 'SystemAction/findUserTeacherAttribute.do', method: 'GET' },
  // 保存老师信息
  updateTeacherAttribute: { url: 'SystemAction/editUserTeacherAttribute.do', method: 'POST' },

  // 获取学习中心班主任列表
  getBrTeacherOption: { url: 'UserInfoController/canSetBrTeacherList.do', method: 'GET' },
  getHeaderMasterList: { url: 'UserInfoController/teacherRelationList.do', method: 'GET' },
  updateHeaderMaster: { url: 'UserInfoController/setBrTeacher.do', method: 'POST' },

  // ----------- 带课班级相关接口 start --------------------
  //分页获取带班数量限制规则列表
  getNumberLimitRule: { url: 'boss-xinghuo-api/miniClass/numberLimitRule/page', method: 'POST', dataType: 'json' },

  // 更改状态
  switchStatus: { url: 'boss-xinghuo-api/miniClass/numberLimitRule/switchStatus', method: 'POST', dataType: 'json' },

  // 获取规则详情
  getObjectById: { url: `boss-xinghuo-api/miniClass/numberLimitRule/19`, method: 'GET' },

  // 修改小班带班数限制规则
  updateLimitRule: { url: 'boss-xinghuo-api/miniClass/numberLimitRule/update', method: 'POST', dataType: 'json' },

  // 添加小班带班数限制规则
  addLimitRule: { url: 'boss-xinghuo-api/miniClass/numberLimitRule/add', method: 'POST', dataType: 'json' },
  // ----------- 带课班级相关接口 end ----------------------
};
export default buildApi(config);
