/**
 * Created by luoming on 2018/3/22
 */
import buildApi from './buildApi';

/**
 * 优惠活动接口 Api配置信息，key为Api唯一标识，value为object-->{ url, method }，或者string-->url（method默认为GET）
 */
const config = {
  // 获取基础数据
  getSelectOption: 'CommonAction/getSelectOptionNew.do',
  // 获取列表数据
  getPromotionList: 'PromotionController/getPromotionInfo.do',
  // 保存优惠信息
  savePromotion: { url: 'PromotionController/savePromotionInfo.do', method: 'POST', dataType: 'json' },
  // 查询学生名下是否有未使用抵扣券
  listUnUsedPromotionInfoByStudentId: 'PromotionController/listUnUsedPromotionInfoByStudentId.do',
  // 获取产品列表
  getProductList: 'ProductController/getProductPageListForPromotion.do',
  // 获取优惠详情
  getPromotionInfoById: 'PromotionController/getPromotionInfoById.do',
  // 获取审批列表
  listWorkflowDynamic: 'workflow/listWorkflowDynamic.do',
  // 获取优惠活动审批人
  previewSavePromotionInfo: {
    url: 'PromotionController/previewSavePromotionInfo.do',
    method: 'POST',
    dataType: 'json',
  },
  //无效优惠
  invalidPromotionById: { url: 'PromotionController/invalidPromotion.do', method: 'POST' },
  //删除优惠
  deletePromotionById: { url: 'PromotionController/deletePromotionInfo.do', method: 'POST' },
  //获取促销码
  getPromoCode: { url: 'PromotionController/createPromotionCode.do', method: 'POST' },
  // 获取优惠券的关联产品
  getPromotionProductById: 'PromotionController/querySelectedProduct.do',
  /**
   * 获取单个学生信息
   * */
  queryStudentsForSendCoupons: 'PromotionController/queryStudentsForSendCoupons.do',
  /**
   * 获取班级列表
   * */
  getClassStudentQualification: {
    url: 'EnrollManagerStudentQualificationController/getClassStudentQualification.do',
    method: 'POST',
    dataType: 'json',
  },
  /**
   * 按班级查找班级下的学生
   * */
  getClassStudentQualificationInfo: {
    url: 'EnrollManagerStudentQualificationController/getClassStudentQualificationInfo.do',
    method: 'POST',
    dataType: 'json',
  },
  /**
   * 根据客户手机号查询可发券客户信息和学生信息
   */
  getCustInfoForSendingCoupon: {
    url: 'PromotionController/queryCustomerForSendCoupons.do',
    method: 'GET',
  },
  /**
   * 获取优惠券使用说明模板(新增/编辑)
   * */
  getRemarkTemplates: 'PromotionController/getRemarkTemplates.do',
  /**
   * 优惠券发券
   * */
  sendPromotionCoupons: { url: 'PromotionController/sendPromotionCoupons.do', method: 'POST', dataType: 'json' },
  /**
   * 发券历史
   * */
  listSendPromotionCouponsHistory: 'PromotionController/listSendPromotionCouponsHistory.do',
  /**
   * 撤回优惠券
   * */
  undoPromotionCoupon: { url: 'PromotionController/undoPromotionCoupon.do', method: 'POST', dataType: 'json' },
  /**
   * 用券情况
   * */
  listUsedCouponsHistory: 'PromotionController/listUsedCouponsHistory.do',
  /**
   * 优惠券的总折扣金额
   * */
  getTotalUsedCouponsDiscount: 'PromotionController/getTotalUsedCouponsDiscount.do',
  /**
   * 导出用券情况excel
   * */
  exportUsedCouponsHistory: {
    url: 'PromotionController/exportUsedCouponsHistory.do',
    method: 'POST',
    dataType: 'json',
  },
  // 获取满减券发券短信模板
  getSmsTemplate: 'PromotionController/getSmsTemplate.do',

  // 导入满减券
  importStudentSendCoupon: { url: 'PromotionController/importStudentSendCoupon.do', method: 'POST', dataType: 'json' },
  // 导入记录列表(满减券)
  listImportRecord: 'PromotionController/listImportRecord.do',
  // 导出导入失败excel(满减券)
  exportImportRecord: 'PromotionController/exportImportRecord.do',

  // 叠加优惠-查询叠加优惠详情列表
  listPromotionPackage: { url: 'PromotionPackageController/listPromotionPackage.do', method: 'GET' },
  // 叠加优惠-设置有效叠加优惠
  setValid: { url: 'PromotionPackageController/setValid.do', method: 'POST', dataType: 'json' },
  // 叠加优惠-设置无效叠加优惠
  setUnValid: { url: 'PromotionPackageController/setUnValid.do', method: 'POST', dataType: 'json' },
  // 叠加优惠-新增、修改叠加优惠
  savePromotionPackage: { url: 'PromotionPackageController/savePromotionPackage.do', method: 'POST', dataType: 'json' },
  // 叠加优惠-根据ID查询叠加优惠详情
  getPromotionPackageById: 'PromotionPackageController/getPromotionPackageById.do',
  // 导入历史
  findPageByImportCoupon: 'PromotionController/findPageByImportCoupon.do',
  // 导入发券
  importCouponByPromotionInfo: {
    url: '/PromotionController/importCouponByPromotionInfo.do',
    method: 'POST',
    dataType: 'json',
  },
  // 发券历史 - 导出
  exportPromotionSendCoupon: { url: '/ExportCenterController/exportPromotionSendCoupon.do', dataType: 'json' },
  //查询优惠已选产品
  querySelectedProductByCoupon: 'PromotionController/querySelectedProduct.do',
  // 获取满减券可选产品
  querySelectProduct: 'PromotionController/querySelectProduct.do',

  // 提交券审批申请
  submitAudit: {
    url: 'PromotionController/submitAudit.do',
    method: 'POST',
    dataType: 'json',
  },
  // 撤回券审批申请
  recallAudit: {
    url: 'PromotionController/recallAudit.do',
    method: 'POST',
    dataType: 'json',
  },
  // 券审核通过
  auditPass: {
    url: 'PromotionController/auditPass.do',
    method: 'POST',
    dataType: 'json',
  },
  // 券审核不通过
  auditNotPass: {
    url: 'PromotionController/auditNotPass.do',
    method: 'POST',
    dataType: 'json',
  },
  // 查询买券历史、用券历史（抵扣券）
  getBuyingUsingCouponRecord: {
    url: 'PromotionController/listBuyCouponAndUseCouponHistory.do',
    method: 'GET',
  },
  // 导出买券历史、用券历史（抵扣券）
  exportBuyingUsingCouponRecord: {
    url: 'ExportCenterController/exportBuyCouponAndUseCouponHistory.do',
    method: 'GET',
  },
  //
  batchUpdateCouponValidPeriod: {
    url: 'PromotionController/batchUpdateCouponValidPeriod.do',
    method: 'POST',
    dataType: 'json',
  },

  // ==========================定金券相关接口=====================================
  // 分公司字典
  listUserAllBranchByResourceId: {
    url: 'boss-xinghuo-api/organization/listUserAllBranchByResourceId',
    method: 'GET',
  },
  // 分公司下学习中心字典
  listUserAllCampusByResourceIdAndBranchId: {
    url: 'boss-xinghuo-api/organization/listUserAllCampusByResourceIdAndBranchId',
    method: 'GET',
  },
  // 列表
  pageDepositOnlyOrder: {
    url: 'boss-xinghuo-api/depositCoupon/pageDepositOnlyOrder',
    method: 'POST',
    dataType: 'json',
  },
  // 导出
  pageDepositOnlyOrderExport: {
    url: 'boss-xinghuo-api/depositCoupon/pageDepositOnlyOrder?isExport=pull',
    method: 'POST',
    dataType: 'json',
  },
  // ==========================定金券相关接口=====================================
};

export default buildApi(config);
