import buildApi from './buildApi';

/**
 * Api配置信息，key为Api唯一标识，value为object-->{ url, method }，或者string-->url（method默认为GET）
 */
const config = {
  saveClassinKey: { url: 'boss-xinghuo-api/course/classin/saveRegisterConfig', method: 'POST', dataType: 'json' }, // 注册classin
  cleanUpSynchronizedCourse: {
    url: 'boss-xinghuo-api/course/classin/cleanUpSynchronizedCourse',
    method: 'POST',
    dataType: 'json',
  }, //  一键清除
  batchSetUpAutoSyncConfig: {
    url: 'boss-xinghuo-api/course/classin/batchSetUpAutoSyncConfig',
    method: 'POST',
    dataType: 'json',
  }, // 批量更新classin 自动同步配置
  getPageConfig: { url: 'boss-xinghuo-api/course/classin/pageConfig', method: 'POST', dataType: 'json' }, // 查询校区classin配置
  getProductPageList: { url: 'ProductController/getProductPageList.do', method: 'POST' }, //获取产品列表
  getProductById: { url: 'ProductController/getProductById.do', method: 'POST' }, //根据ID获取产品详情
  getProductByIds: { url: 'ProductController/getProductByIds.do', method: 'POST' }, //根据多个ID获取产品详情
  saveOrUpdateProduct: { url: 'ProductController/saveOrUpdateProduct.do', method: 'POST', dataType: 'json' }, // 新增修改产品
  saveOrUpdateMultiProduct: { url: 'ProductController/saveOrUpdateMultiProduct.do', method: 'POST', dataType: 'json' }, // 批量新增修改产品
  getOtherRelationProduct: 'ProductController/getOtherRelationProduct.do', // 获取关联产品 organizationId category
  cancelProduct: { url: 'ProductController/cancelProduct.do', method: 'POST' }, //删除或无效产品
  getTextBookInfoList: { url: 'ProductController/getTextBookInfoList.do', method: 'POST' }, //获取教材列表

  loadImportHistoryApi: { url: 'ProductImportController/getProductImportRecordList.do', method: 'POST' },
  loadImportDetailApi: { url: 'ProductImportController/getProductImportRecordDetailList.do', method: 'POST' },
  loadOriginDetailApi: { url: 'ProductImportController/getProductHistory.do', method: 'POST' },

  // 根据分公司id查询优惠列表
  getPromotionListByBranchId: 'PromotionController/getPromotionListByBranchId.do',
  // 根据优惠查询产品列表
  getProductListByPromotion: {
    url: 'ProductController/getProductListByPromotion.do',
    method: 'POST',
    dataType: 'json',
  },
  // 保存产品优惠关联
  saveProductPromotion: { url: 'ProductController/saveProductPromotion.do', method: 'POST', dataType: 'json' },
  /**
   * @desc 20210426 分段收费
   */
  getPeriodChargeList: {
    url: 'boss-xinghuo-api/product/segmentCharge/config/pageProductSegmentChargeConfig',
    method: 'POST',
    dataType: 'json',
  },
  // 增加分段收费
  AddPeriodCharge: {
    url: 'boss-xinghuo-api/product/segmentCharge/config/addProductSegmentChargeConfig',
    method: 'POST',
    dataType: 'json',
  },
  // 修改分段收费
  EditPeriodCharge: {
    url: 'boss-xinghuo-api/product/segmentCharge/config/updateProductSegmentChargeConfig',
    method: 'POST',
    dataType: 'json',
  },
  // 无效分段
  inValidPeriodCharge: {
    url: 'boss-xinghuo-api/product/segmentCharge/config/unValidProductSegmentChargeConfig',
    method: 'POST',
    dataType: 'json',
  },
  // 获取分段收费详情
  getPeriodChargeById: {
    url: 'boss-xinghuo-api/product/segmentCharge/config/getProductSegmentChargeConfigById',
  },
  // 获取分段收费操作详情
  getPeriodChargeLog: {
    url: 'boss-xinghuo-api/product/segmentCharge/config/pageProductSegmentChargeConfigLog',
    method: 'POST',
    dataType: 'json',
  },
  // 搜索分段收费产品列表
  searchPeriodChargeProductList: {
    url: 'boss-xinghuo-api/product/pageProductByOrgId',
    method: 'POST',
    dataType: 'json',
  },
  // 获取分段收费产品列表
  getPeriodChargeProductList: {
    url: 'boss-xinghuo-api/product/segmentCharge/config/pageProductSegmentChargeConfigDetail',
    method: 'POST',
    dataType: 'json',
  },
  // 查询分段收费资源组织列表
  getUserBranchList: 'boss-xinghuo-api/organization/listUserAllBranchByResourceId',
};

export default buildApi(config);
