import buildApi from './buildApi';

const config = {
  // 学管、咨询师业绩排名报表
  getBonusReport: 'performanceRanking/bonusReport.do',
  // 现金流业绩排名报表
  getCashFlowReport: 'performanceRanking/cashFlowReport.do',
  // 咨询师、学管师报表导出
  exportBonusReport: { url: 'ExportCenterController/exportBonusReport.do', method: 'POST', dataType: 'json' },
  // 现金流报表导出
  exportCashFlowReport: { url: 'ExportCenterController/exportCashFlowReport.do', method: 'POST', dataType: 'json' },
  // 现金流报表查询
  getReceiptMonthlyStatisticsList: { url: 'ReportController/getReceiptMonthlyStatisticsList.do', dataType: 'json' },
  // 收款凭证审核查询
  getCampusFundsAuditRate: { url: 'OdsMonthPaymentRecieptController/getCampusFundsAuditRate.do', dataType: 'json' },
  // 收款凭证 - 审核表单 - 查询
  printReceiptMonthlyStatisticsStatistics: {
    url: 'ReportEvidenceAuditController/printReceiptMonthlyStatisticsStatistics.do',
    dataType: 'json',
  },
  // 营收数据 - 按年级分页查询
  getIncomeStatisticsByGrade: {
    method: 'POST',
    dataType: 'json',
    url: 'boss-xinghuo-api/incomeStatistics/pageByGrade',
  },
  exportIncomeStatisticsByGrade: {
    method: 'POST',
    dataType: 'json',
    url: 'boss-xinghuo-api/incomeStatistics/pageByGrade?isExport=pull',
  },
  // 营收数据 - 按年级学段分页查询
  getIncomeStatisticsByGradeSegment: {
    method: 'POST',
    dataType: 'json',
    url: 'boss-xinghuo-api/incomeStatistics/pageByGradeSegment',
  },
  // （学段和年级）获取查询数据的最大更新时间
  getMaxUpdateTimeByGradeOrSegment: {
    method: 'POST',
    dataType: 'json',
    url: 'boss-xinghuo-api/incomeStatistics/getMaxUpdateTimeByGradeOrSegment',
  },
  exportIncomeStatisticsByGradeSegment: {
    url: 'boss-xinghuo-api/incomeStatistics/pageByGradeSegment?isExport=pull',
    method: 'POST',
    dataType: 'json',
  },
  // 收款凭证 - 确认通过
  auditPaymentReceiptCampusMonthlyStatistics: {
    url: 'ReportEvidenceAuditController/auditPaymentReceiptCampusMonthlyStatistics.do',
    dataType: 'json',
  },
  // 收款凭证 - 调整 - 列表请求
  findPaymentReceiptCampusMonthlyStatisticsAdjustSummary: {
    url: 'ReportEvidenceAuditController/findPaymentReceiptCampusMonthlyStatisticsAdjustSummary.do',
    method: 'POST',
  },
  // 收款凭证 - 调整 - 删除项
  deleteAdjustItem: {
    url: 'ReportEvidenceAuditController/deletePaymentReceiptCampusMonthlyStatisticsAdjustItem.do',
    method: 'POST',
  },
  //  收款凭证 - 调整 - 修改项
  editAdjustItem: {
    url: 'ReportEvidenceAuditController/editPaymentReceiptCampusMonthlyStatisticsAdjustItem.do',
    method: 'POST',
    dataType: 'json',
  },
  // 收款凭证 - 调整 - 修改凭证备注
  editAdjustSummary: {
    url: 'ReportEvidenceAuditController/editPaymentReceiptCampusMonthlyStatisticsAdjustSummary.do',
    method: 'POST',
    dataType: 'json',
  },
  // 营收凭证 - 列表查询
  getIncomeMonthlyStatisticsList: { url: 'ReportController/getIncomeMonthlyStatisticsList.do', dataType: 'json' },
  getIncomingAnalyze: { url: 'ReportAction/getIncomingAnalyze.do', dataType: 'json' },
  // 营收凭证 - 调整 - 列表请求
  findAdjustSummary: {
    url: 'ReportEvidenceAuditController/findIncomeCampusMonthlyStatisticsAdjustSummary.do',
    method: 'POST',
  },
  // 营收凭证 - 审核查询
  findIncomeAuditRate: { url: 'IncomeEvidenceController/findIncomeAuditRate.do', method: 'POST' },
  // 营收凭证 - 审核表单 - 查询
  printIncomeMonthlyStatistics: {
    url: 'ReportEvidenceAuditController/printIncomeMonthlyStatistics.do',
    dataType: 'json',
  },
  // 收款凭证 - 确认通过
  auditIncomeCampusMonthlyStatistics: {
    url: 'ReportEvidenceAuditController/auditIncomeCampusMonthlyStatistics.do',
    dataType: 'json',
  },
  // 收款凭证 - 调整 - 删除项
  deleteIncomeAdjustItem: {
    url: 'ReportEvidenceAuditController/deleteIncomeCampusMonthlyStatisticsAdjustItem.do',
    method: 'POST',
  },
  //  收款凭证 - 调整 - 修改项
  editIncomeAdjustItem: {
    url: 'ReportEvidenceAuditController/editIncomeCampusMonthlyStatisticsAdjustItem.do',
    method: 'POST',
    dataType: 'json',
  },
  // 收款凭证 - 调整 - 修改凭证备注
  editIncomeAdjustSummary: {
    url: 'ReportEvidenceAuditController/editIncomeCampusMonthlyStatisticsAdjustSummary.do',
    method: 'POST',
    dataType: 'json',
  },
  getListStaffBonus: {
    method: 'POST',
    dataType: 'json',
    url: 'boss-xinghuo-api/bonus/pageStaffBonus',
  },
  exportListStaffBonus: {
    method: 'POST',
    dataType: 'json',
    url: 'boss-xinghuo-api/bonus/pageStaffBonus?isExport=pull',
  },
  getListCampusBonus: {
    method: 'POST',
    dataType: 'json',
    url: 'boss-xinghuo-api/bonus/pageCampusBonus',
  },
};

export default buildApi(config);
