import buildApi from './buildApi';

/**
 * 成绩管理接口 Api配置信息，key为Api唯一标识，value为object-->{ url, method }，或者string-->url（method默认为GET）
 */
const config = {
  getScoreList: 'StudentAchievementController/findPageStudentAchievement.do', //分页查询学生成绩
  importStudentAchievement: {
    method: 'POST',
    dataType: 'json',
    url: 'StudentAchievementController/importStudentAchievement.do',
  }, // 导入学生成绩
  saveNewScore: { url: 'StudentAchievementController/saveFullStudentAchievement.do', method: 'POST', dataType: 'json' }, //新增或修改学生成绩
  getOTOSubiect: 'StudentAchievementController/getSubjectsByBenchmark.do', //根据学生成绩查询在读一对一科目
  getTemplate: 'AchievementController/findMostConsistentTemplateGrade.do', //根据学生成绩查询最符合的模板
  getSubjectByScoreID: 'StudentAchievementController/listAllAchievementSubjectByAchievementId.do', //根据学生成绩编号查询所有成绩科目
  getComparedScoreById: 'StudentAchievementController/findStudentAchievementById.do', //根据成绩编号查询对比成绩
  getSubjectSelected: 'StudentAchievementController/getStudentAchievementSelectByStudentId.do', //根据学生编号查询学生成绩select
  getSelectOption: 'CommonAction/getSelectOption.do', //获取学年，学期，考试类型
  getCityAndGradeById: 'StudentAchievementController/findStudentCityGradeVoByStudentId.do',
  getComparedListById: 'StudentAchievementController/listAllAchievementComparisonByStudentId.do', //根据学生编号查询成绩对比记录列表
  saveBaseAndCompared: {
    url: 'StudentAchievementController/saveFullAchievementComparison.do',
    method: 'POST',
    dataType: 'json',
  }, //保存对比和基准数据
  deleteScore: 'StudentAchievementController/deleteStudentAchievementByAchievementId.do', //根据学生成绩编号删除学生成绩
  getBaseScoreById: 'StudentAchievementController/listAllAchievementBenchmarkByComparisonId.do', //根据成绩对比编号查询学生基准科目列表
  getComparedDetails: 'StudentAchievementController/findAchievementComparisonDetailById.do', //获取对比详情，图表显示
  setJudgeResult: {
    url: 'StudentAchievementController/updateStandardCategoryForAchievementBenchmark.do',
    method: 'POST',
    dataType: 'json',
  }, //进步判定更改
  getComparedDetailsAuto: 'StudentAchievementController/findLastAchievementComparisonDetail.do', //根据学生编号查询最近的成绩对比详情vo
  checkScoreHasChange: {
    url: 'StudentAchievementController/checkHashRelatedAchievementBenchmark.do',
    method: 'POST',
    dataType: 'json',
  }, //检查成绩是否改动
  deleteEvidence: 'StudentAchievementController/deleteStudentAchievementEvidence.do', //删除学生成绩凭证
  getTemplateById: 'AchievementController/listAllTemplateGradeByTemplateId.do', //根据模板id查询模板

  getSubjectStatisticsInfo: 'SubjectStatistics/getSubjectStatisticsInfo.do', //获取一对一进步率
  getOrgRankList: 'SubjectStatistics/getOrgRankInfo.do', //获取统计率列表
  getOrgRankInfoForLevel: 'SubjectStatistics/getOrgRankInfoForLevel.do', //获取统计率子列表
  getStudentInfos: 'SubjectStatistics/getStudentStatisticalInfos.do', //查看学生信息
  getTop50RankInfos: 'SubjectStatistics/getTop50RankInfos.do', //获取集团榜单
  getRules: 'SubjectStatistics/getOneToOneStatisticalRule.do', //获取统计率规则
  saveRules: { url: 'SubjectStatistics/updateOneToOneStatisticalRule.do', dataType: 'json', method: 'POST' }, //修改保存统计规则
  getYearAndSemester: 'SubjectStatistics/getCurrentSchoolYearAndSemester.do',
  getGroupList: 'SubjectStatistics/getSubjectGroupList.do', //获取科组集
  getInfosByTeacher: 'SubjectStatistics/getStudentInfosForTeacher.do', //老师学生列表
  getInfoByManager: 'SubjectStatistics/getStudentInfosForStudyManager.do', //学管师学生列表
  exportTop50: 'SubjectStatistics/exportTop50RankInfos.do', //top50导出
  exportManager: 'SubjectStatistics/exportStudentInfosForStudyManager.do', //学管师导出
  exportTeacher: 'SubjectStatistics/exportStudentInfosForTeacher.do', //老师导出
  exportOrg: 'SubjectStatistics/exportOrgRankInfo.do',
  //成绩管理->新增
  getSchoolYearRange: 'StudentAchievementController/getSchoolYearRange.do', //获取学期时间段
};

export default buildApi(config);
