import buildApi, { insightBuildApi } from './buildApi';
/*
 * 沿用就boss的接口请在 oldBossConfig 内编写
 * 后续新报读的接口 cmallConfig
 * */

//在线报读管理
const config = {
  getExamSiteList: { url: 'ExamRoomController/getExamRoomList.do', method: 'POST', dataType: 'json' }, //查询考场列表
  addExamSite: { url: 'ExamRoomController/saveExamRoom.do', method: 'POST', dataType: 'json' }, //新增/修改考场
  deleteExamSite: 'ExamRoomController/deleteExamRoomById.do', //删除考场

  getStdnApptList: { url: 'ExamRoomController/getExamAppointmentList.do', method: 'POST', dataType: 'json' }, //查询学生预约列表
  addStdnAppt: { url: 'ExamRoomController/saveOrUpdateExamAppointment.do', method: 'POST', dataType: 'json' }, //新增/修改学生预约
  exportStdnApptList: { url: 'ExamRoomController/getExamAppointmentList.do', method: 'POST', dataType: 'json' }, //导出学生预约列表
  exportStdnScoreList: {
    url: 'ExamRoomController/exportExamAppointmentReportCard.do',
    method: 'POST',
    dataType: 'json',
  }, //导出学生预约列表
  confirmStdnArrival: { url: 'ExamRoomController/confirmArrivedExamRoom.do', method: 'POST', dataType: 'json' }, //确认考生到场
  getExamAppointmentInfo: 'ExamRoomController/getExamAppointmentInfo.do', //查询可预约考场信息(时间段)
  deleteExamRoomTime: { url: 'ExamRoomController/deleteExamRoomTime.do', method: 'POST' }, //删除考场时间
  getReceptionistGroupByCampus: 'CommonAction/getReceptionistGroupByCampus.do?showBelong=1&job[]=ZXS&job[]=ZXZG', // 获取前台分配咨询师
  //报读周期管理
  loadListApi: 'EnrollPeriodController/listEnrollPeriodInfos.do',
  loadDetailApi: 'EnrollPeriodController/getEnrollPeriodInfoById.do',
  addApi: { url: 'EnrollPeriodController/addEnrollPeriod.do', method: 'POST', dataType: 'json' },
  editApi: { url: 'EnrollPeriodController/updateEnrollPeriod.do', method: 'POST', dataType: 'json' },
  changeStatusApi: 'EnrollPeriodController/invalidEnrollPeriod.do',
  getClassTreeApi: 'EnrollPeriodController/listClassInfos.do',
  loadPromotionByTimeApi: '/EnrollPeriodController/getPromotionByTime.do',
  loadProductByPromotionIdApi: '/EnrollPeriodController/getProductByPromotionId.do',

  //报读季度设置
  loadQuartersApi: '/EnrollPeriodController/listEnrollClassSet.do',
  addQuarterApi: '/EnrollPeriodController/addEnrollClassSet.do',
  delQuarterApi: '/EnrollPeriodController/delEnrollClassSet.do',

  //自由报读
  loadFreeListApi: 'EnrollPeriodController/listEnrollFreeClass.do',
  addFreeApi: { url: 'EnrollPeriodController/addEnrollFreeClass.do', method: 'POST', dataType: 'json' },
  loadFreeDetailApi: 'EnrollPeriodController/getEnrollFreeInfoById.do',
  editFreeApi: { url: 'EnrollPeriodController/updateEnrollFree.do', method: 'POST', dataType: 'json' },
  changeFreeStatusApi: 'EnrollPeriodController/invalidEnrollFree.do',
  loadDetailListApi: 'EnrollPeriodController/listEnrollFreeClassDetail.do',
  toggleLimitApi: { url: 'EnrollPeriodController/updateEnrollFreeClassLimit.do', method: 'POST', dataType: 'json' },
  toggleOnlineApi: { url: 'EnrollPeriodController/updateEnrollFreeClassOnline.do', method: 'POST', dataType: 'json' },
  getIsmorePromotionId: 'EnrollPeriodController/getIsmorePromotionId.do',

  //分段收费
  loadSectionList: 'SectionChargeController/listSectionSetting.do',
  editSection: { url: 'SectionChargeController/editSectionSetting.do', method: 'POST', dataType: 'json' },
  addSection: { url: 'SectionChargeController/addSectionSetting.do', method: 'POST', dataType: 'json' },
  sectionDetail: 'SectionChargeController/findSectionDetail.do',
  invalidSection: { url: 'SectionChargeController/invalidSectionSetting.do', method: 'POST', dataType: 'json' },

  // 获取下载链接
  getDownloadUrl: {
    url: 'CartAndOrderManagerController/exportCartAndOrderListExcel.do',
    method: 'POST',
    dataType: 'json',
  },
  // 购客车详情
  findCartDetail: 'CartAndOrderManagerController/findCartDetail.do',
  // 订单详情
  findOrderDetail: 'CartAndOrderManagerController/findOrderDetail.do',

  /*报读宣传页管理*/
  // 添加宣传页
  addAdPage: { url: 'bossMobileAdvertisementController/add.do', method: 'POST', dataType: 'json' },
  // 获取宣传页详情
  getAdList: 'bossMobileAdvertisementController/page.do',
  // 获取所有分公司字典（不区分权限）
  getBranch: 'bossMobileAdvertisementController/getGroupAndBranchList.do',
  // 上下架宣传页
  upDownAd: { url: 'bossMobileAdvertisementController/update.do', method: 'POST', dataType: 'json' },
  /*报读分享*/
  //  获取分享数据字典
  getDataDict: 'EnrollPeriodController/getOnlineShare.do',
  // 保存分享字典数据
  saveShareData: { url: 'EnrollPeriodController/saveOnlineShare.do', method: 'POST', dataType: 'json' },
  getUserInfoByUserId: 'UserController/getUserInfoByUserId.do', //获取用户主组织架构详情
  getStudentInfoById: 'CartAndOrderManagerController/listStudentsByIds.do', //根据学生id查找学生信息
  // 报读详情(报名订单管理)
  getCarOrderList: { url: 'CartAndOrderManagerController/listCartAndOrder.do', method: 'POST', dataType: 'json' },
};

// 新在线报读后台
const newCmallConfig = {
  /*星火小班一对一的*/
  listMiniClass: { url: 'enrollMiniClass/listMiniClass', method: 'POST', dataType: 'json' }, //课程管理列表
  getClassList: { url: 'enrollMiniClass/getClassList', method: 'POST', dataType: 'json' }, // 小班班级列表
  loadSmallTc: { url: 'enrollMiniClass/listTeacherDropdown', method: 'POST', dataType: 'json' }, // 小班老师列表
  getSelectOption: { url: 'enrollMiniClass/getSelectOption', method: 'GET' }, // 获取新报读通用字典

  /*双师的*/
  listTwoTeacherMiniClass: { url: 'enrollTwoTeacherClass/listTwoTeacherClass', method: 'POST', dataType: 'json' }, //课程管理列表
  getTwoTeacherClassList: { url: 'enrollTwoTeacherClass/getClassList', method: 'POST', dataType: 'json' }, // 双师班级列表
  loadTwoTeacherTc: { url: 'enrollTwoTeacherClass/listTeacherDropdown', method: 'POST', dataType: 'json' }, // 双师老师列表
  getTwoTeacherSelectOption: { url: 'enrollTwoTeacherClass/getSelectOption', method: 'GET' }, // 获取新报读通用字典

  /*一对一*/
  listOneToOneMiniClass: { url: 'enrollSparkOneToOne/getSparkOneToOneCourseList', method: 'POST', dataType: 'json' }, //课程管理列表
  getOneToOneClassList: { url: 'enrollSparkOneToOne/getSparkOneToOneProductList', method: 'POST', dataType: 'json' }, // 小班班级列表
  updateOneToOneCourse: { url: 'enrollSparkOneToOne/active', method: 'POST', dataType: 'json' }, // 小班班级列表

  cmallGetBranchDict: { url: 'common/selectOrgByIdAndTypeOption', method: 'POST', dataType: 'json' }, // 获取权限分公司字典
  cmallGetCampusByLoginUser: { url: 'common/getCampusByLoginUser', method: 'POST', dataType: 'json' }, //所属学习中心

  //
  getAllCity: 'student/listCity', //获取所有城市列表
  editStudentCity: { url: 'student/updateStudentEnrollCity', method: 'POST', dataType: 'json' }, //修改学生城市
  listStudentData: { url: 'student/pageStudent', method: 'POST', dataType: 'json' }, //学生列表
};

const oldChoreCmallConfig = buildApi(config);
const hasChoreCmallConfig = insightBuildApi(newCmallConfig);
const totalInterfaceMap = {
  ...oldChoreCmallConfig,
  ...hasChoreCmallConfig,
};
export default totalInterfaceMap;
