import { buildStrictFetchApi } from './buildApi';

/**
 * 通话管理请求配置表
 */
const basicReqMap = {
  /**
   * 发送短信验证码
   * request {string} phone 手机号码
   */
  sendVerificationCode: {
    url: '/sms/sendCode',
    method: 'GET',
  },
};

// 接口 uri 前缀
const uriPrefix = '/eduboss/boss-xinghuo-api';

// 加工过的请求配置表
const exactReqMap = Object.keys(basicReqMap).reduce((prev, name) => {
  const reqConfig = basicReqMap[name];

  prev[name] = {
    ...reqConfig,
    url: uriPrefix + reqConfig.url,
  };

  return prev;
}, {});

export default buildStrictFetchApi(exactReqMap);
