import buildApi from './buildApi';

/**
 * Api配置信息，key为Api唯一标识，value为object-->{ url, method }，或者string-->url（method默认为GET）
 */
const config = {
  // 添加智能排课设置
  addTeacherCourseSchedule: {
    url: 'boss-xinghuo-api/miniClass/courseLimitRule/add',
    method: 'POST',
    dataType: 'json',
  },
  //   更新智能排课设置
  updateTeacherCourseSchedule: {
    url: 'boss-xinghuo-api/miniClass/courseLimitRule/update',
    method: 'POST',
    dataType: 'json',
  },
  //   获取老师季度排课列表
  getSeasonSubjectList: {
    url: 'boss-xinghuo-api/miniClass/teacherSubjectLimitRule/page',
    method: 'POST',
    dataType: 'json',
  },
  // 启用科目
  enableTeacherSubject: {
    url: 'boss-xinghuo-api/miniClass/teacherSubjectLimitRule/onStatus',
    method: 'POST',
    dataType: 'json',
  },
  // 禁用科目
  disableTeacherSubject: {
    url: 'boss-xinghuo-api/miniClass/teacherSubjectLimitRule/offStatus',
    method: 'POST',
    dataType: 'json',
  },
  //   修改科目层次
  updateClassLevel: {
    url: 'boss-xinghuo-api/miniClass/teacherSubjectLimitRule/updateClassCategory',
    method: 'POST',
    dataType: 'json',
  },
  // 获取季度可教课程可选层级
  getLevelCategory: {
    url: 'boss-xinghuo-api/dataDict/listByCategory',
    method: 'GET',
  },
};

export const api = buildApi(config);

// 获取智能排课配置详情
export const getTeacherCourseSchedule = (id) => {
  return buildApi({
    getTeacherCourseSchedule: {
      url: `boss-xinghuo-api/miniClass/courseLimitRule/getByTeacherId?teacherId=${id}`,
      method: 'POST',
      dataType: 'json',
    },
  })['getTeacherCourseSchedule'];
};

// 根据id获取规则详情
export const getRegularDetailById = (id) => {
  return buildApi({
    getRegularDetailById: {
      url: `boss-xinghuo-api/miniClass/numberLimitRule/${id}`,
      method: 'GET',
    },
  })['getRegularDetailById'];
};
