import buildApi from './buildApi';

/**
 * Api配置信息，key为Api唯一标识，value为object-->{ url, method }，或者string-->url（method默认为GET）
 */
const config = {
  // 获取科目可选老师列表
  getTeacherList: 'TeacherSubjectController/getTeacherListSelection.do',
  getTeacherListSelectionV2: 'TeacherSubjectController/getTeacherListSelectionV2.do',
  //   获取老师操作历史
  getTeacherOperateHistory: {
    url: 'boss-xinghuo-api/teacher/subject/log/page',
    method: 'POST',
    dataType: 'json',
  },
  // 获取老师可教课程
  getTeacherTeachableSubject: {
    url: 'TeacherSubjectController/getTeacherSubjectList.do',
    method: 'GET',
  },
  // 切换老师选中的课程的状态
  toggleTeacherSubjectStatus: {
    url: 'TeacherSubjectController/disableTeacherSubjectById.do',
    method: 'GET',
  },
  //   删除课程
  deleteTeacherSubject: {
    url: 'TeacherSubjectController/deleteTeacherSubject.do',
    method: 'GET',
  },
  //   新增课程
  addTeacherSubject: {
    url: 'TeacherSubjectController/editTeacherSubject.do',
    method: 'GET',
  },
  //   老师选中的课程
  disableTeacherSubject: {
    url: 'TeacherSubjectController/disableTeacherSubjectById.do',
    method: 'GET',
  },
  // 获取老师限课规则详情
  getTeacherScheduleDetail: {
    url: 'boss-xinghuo-api/miniClass/numberLimitRule/getByTypeAndObjectId',
    method: 'GET',
  },
  // 获取老师已配置的限课规则
  getTeacherLimitRegularList: {
    url: 'boss-xinghuo-api/miniClass/numberLimitRule/getByTypeAndObjectId',
    method: 'POST',
    dataType: 'json',
  },
  // 获取系统已设置的规则列表
  getConfigRegularList: {
    url: 'boss-xinghuo-api/miniClass/numberLimitRule/page',
    method: 'POST',
    dataType: 'json',
  },
  // 老师添加限课规则
  addTeacherRegular: {
    url: 'boss-xinghuo-api/miniClass/numberLimitRule/add',
    method: 'POST',
    dataType: 'json',
  },
  // 老师修改限课规则
  updateTeacherRegular: {
    url: 'boss-xinghuo-api/miniClass/numberLimitRule/update',
    method: 'POST',
    dataType: 'json',
  },
  //删除老师规则
  deleteTeacherRegular: {
    url: 'boss-xinghuo-api/miniClass/numberLimitRule/delete',
    method: 'POST',
    dataType: 'json',
  },
  //删除老师规则
  syncTeacherSubject: {
    url: 'boss-xinghuo-api/miniClass/teacherSubjectLimitRule/syncTeacherSubject',
    method: 'POST',
    dataType: 'json',
  },
  // 获取规则修改历史
  getSubjectModifyHistory: {
    url: 'boss-xinghuo-api/miniClass/numberLimitRule/pageLog',
    method: 'POST',
    dataType: 'json',
  },
  // 导入规则
  importRegulatFile: {
    url: 'boss-xinghuo-api/miniClass/numberLimitRule/importExcel',
    method: 'POST',
    dataType: 'json',
  },
};

export default buildApi(config);
