import {
  CALL_LOGIN_STATUS_OFFLINE,
  CALL_LOGIN_STATUS_CALLING,
  CALL_LOGIN_STATUS_ABNORMAL,
  CALL_LOGIN_STATUS_RINGING,
} from 'CONST/callConfig';
import showMessage from 'COMPONENT/utils/globalTips/showMessage';

/**
 * 外呼前校验坐席状态(agentLoginStatus)
 *
 * @param {number} agentLoginStatus
 * @param {boolean} isNeedTips
 * @return {boolean} isCanCall
 * */
export function checkAgentBeforeCall(agentLoginStatus, isNeedTips = true) {
  let isCanCall;
  switch (agentLoginStatus) {
    case CALL_LOGIN_STATUS_OFFLINE:
      isNeedTips && showMessage('当前坐席未登录，请登录坐席后再尝试', 'error');
      isCanCall = false;
      break;
    case CALL_LOGIN_STATUS_RINGING:
      isNeedTips && showMessage('当前坐席正在接通电话中，请稍后再尝试', 'error');
      break;
    case CALL_LOGIN_STATUS_CALLING:
      isNeedTips && showMessage('当前坐席正在通话中，请挂断电话后再尝试', 'error');
      isCanCall = false;
      break;
    case CALL_LOGIN_STATUS_ABNORMAL:
      isNeedTips && showMessage('当前坐席异常，请重新登录坐席后再尝试', 'error');
      isCanCall = false;
      break;
    default:
      isCanCall = true;
  }
  return isCanCall;
}
