import { peiYou, twoTeacher, prd } from 'CONST/buildEnv';
import { runFunc } from '../common';

/**
 * GrowingIO主动上报
 * */
const gioReport = {
  report(gioEvent, eventType, ...params) {
    if (process.env) {
      if (process.env.BUILD_ENV && [prd, twoTeacher, peiYou].includes(process.env.BUILD_ENV)) {
        if (this.checkGio()) {
          return runFunc(gio, gioEvent, eventType, ...params);
        }
      }
      if (process.env.NODE_ENV === 'development') {
        console.log(`%c** gioReport.report.${gioEvent}.${eventType} **`, 'color:#6D67FF;', ...params);
      }
    }
  },
  // 发送事件
  track(...params) {
    this.report('track', ...params);
  },
  // 发送页面级变量
  pageSet(...params) {
    this.report('page.set', ...params);
  },
  // 发送转化变量
  evarSet(...params) {
    this.report('evar.set', ...params);
  },
  // 清除登录用户ID
  clearUserId() {
    if (this.checkGio()) {
      runFunc(gio, 'clearUserId');
    }
  },
  checkGio() {
    return window.hasOwnProperty('gio');
  },

  /**
   * 上报`pageOpen`埋点事件
   *
   * @param params {Object}
   * @param params.pageName {string}
   * @param params.pagePath {string}
   * @param params.menuLevel {string}
   * */
  _openPage(params) {
    this.track('pageOpen', params);
  },
};

export default gioReport;
