import showMessage from 'COMPONENT/utils/globalTips/showMessage';

export function promiseHandler(promise, responseAopHandler = (response) => false) {
  return (Array.isArray(promise) ? Promise.all(promise) : promise)
    .then((responses) => {
      const aopRes = responseAopHandler(responses);
      return aopRes ? [responses, null] : [null, responses];
    })
    .catch((err) => {
      // for debug only
      console.log(err);

      return [err, null];
    });
}

export function requestWrapper(...promises) {
  return promiseHandler(promises.length === 1 ? promises[0] : promises, (responses) => {
    let hasError = false;
    (Array.isArray(responses) ? responses : [responses]).forEach((response) => {
      const { resultMessage } = response;
      if (resultMessage) {
        hasError = true;
        showMessage(resultMessage, 'error');
      }
    });
    return hasError;
  });
}
