/**
 * 账户信息按钮
 */
import React from 'react';
import { connect } from 'dva';
import { Icon as AntdIcon, Button } from 'antd';
import Popover from 'COMPONENT/Popover';
import { logout } from 'SERVICE/account';
import { logoutSystem } from 'SERVICE/system';
import styles from './styles.less';
import Icon from 'COMPONENT/Icon';
import gioReport from 'UTIL/gioReport';

class Header extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      userIconType: 'head_mc', // {string} 用户图标按钮的状态
    };
  }

  doLogout = () => {
    logoutSystem().then(() => {
      gioReport.clearUserId();
      logout();
    });
  };

  render() {
    const {
      account: {
        user: { name, campusName, roleName },
      },
    } = this.props;
    const { userIconType } = this.state;

    return (
      <Popover
        placement="bottomRight"
        title={
          <span>
            <span style={{ marginRight: 8 }}>姓名：</span>
            {name}
          </span>
        }
        content={
          <div>
            <div style={{ width: 220 }}>
              <span style={{ marginRight: 8 }}>组织架构：</span>
              {campusName}
            </div>
            <div style={{ paddingTop: 4, width: 220 }}>
              <span style={{ marginRight: 8 }}>角色：</span>
              {roleName}
            </div>
            <div className={styles.logoutBtn}>
              <Button type="primary" size="large" onClick={this.doLogout}>
                <AntdIcon type="logout" />
                安全退出
              </Button>
            </div>
          </div>
        }
      >
        <Icon type={userIconType} size={32} style={{ cursor: 'pointer' }} className="vMiddleItem" />
      </Popover>
    );
  }
}

const mapStateToProps = (state) => {
  return {
    account: state.account,
  };
};

export default connect(mapStateToProps)(Header);
