import React from 'react';
import PropTypes from 'prop-types';
import { Radio, Icon as AntdIcon } from 'antd';
import { Icon } from 'COMPONENT';
import { CALL_WAY_WEB, CALL_WAY_SIP, CALL_WAY_PHONE } from 'CONST/callConfig';

import styles from './styles.module.less';

const RadioButton = Radio.Button;
const RadioGroup = Radio.Group;

class CallWayPanel extends React.Component {
  constructor(props) {
    super(props);

    this.handleCallWayChange = this.handleCallWayChange.bind(this);
    this.handlePhoneSettingClick = this.handlePhoneSettingClick.bind(this);
  }

  handleCallWayChange(e) {
    this.props.onChange(Number(e.target.value));
  }

  handlePhoneSettingClick(e) {
    this.props.onPhoneSetting();
  }

  render() {
    const { callWay, phoneNumber } = this.props;

    return (
      <RadioGroup className={styles.callWayRadioGroup} onChange={this.handleCallWayChange} value={callWay}>
        <RadioButton className={styles.callWayRadio} value={CALL_WAY_WEB}>
          <AntdIcon className={styles.callWayRadioIcon} type="phone" />
          <span className={styles.callWayRadioLabel}>网络电话</span>
        </RadioButton>
        <RadioButton className={styles.callWayRadio} value={CALL_WAY_SIP}>
          <Icon className={styles.callWayRadioIcon} type="sip-phone" />
          <span className={styles.callWayRadioLabel}>SIP话机</span>
        </RadioButton>
        {/* <RadioButton className={styles.callWayRadio} value={CALL_WAY_PHONE}>
          <AntdIcon className={styles.callWayRadioIcon} type="mobile" />
          <span className={styles.callWayRadioLabel}>手机</span>
          <span className={styles.callWayRadioLabelExt}>{phoneNumber}</span>
          <span
            className={styles.callWayPhoneUpdating}
            onClick={this.handlePhoneSettingClick}
          >
            {phoneNumber ? '修改' : '设置'}
          </span>
        </RadioButton> */}
      </RadioGroup>
    );
  }
}

CallWayPanel.propTypes = {
  phoneNumber: PropTypes.string,
  callWay: PropTypes.number,
};

export default CallWayPanel;
