import React from 'react';
import PropTypes from 'prop-types';
import style from './styles.module.less';
import TextLink from 'COMPONENT/TextLink';

const classPrefix = 'RemindCard';

const RemindCard = (props) => {
  return (
    <div className={style[classPrefix]}>
      <div className={style[`${classPrefix}-text`]}>{props.text}</div>
      <div className={style[`${classPrefix}-action`]}>
        <TextLink onClick={props.onClick}>马上跟进</TextLink>
      </div>
    </div>
  );
};

RemindCard.propTypes = {
  text: PropTypes.string.isRequired,
  onClick: PropTypes.func.isRequired,
};

export default RemindCard;
