import {
  FOLLOW_UP,
  VISIT,
  INITIATIVE_NEW_RESOURCE_PERSONAL,
  GENERAL_NEW_RESOURCE_PERSONAL,
  NEW_RESOURCE_POOL,
  NEW_NETWORK_RESOURCE,
} from 'MODEL/CrmNotification/config';
import moment from 'moment';

const dateFormat = 'YYYY-MM-DD';

const handleCrmTodoCfg = {
  [FOLLOW_UP](params) {
    const today = moment(new Date()).format(dateFormat);
    return {
      nextFollowTime: today,
      nextFollowTimeEnd: today,
      remindType: FOLLOW_UP,
    };
  },
  [VISIT](params) {
    const today = moment(new Date()).format(dateFormat);
    return {
      appointmentTime: today,
      appointmentTimeEnd: today,
      remindType: VISIT,
    };
  },
  [INITIATIVE_NEW_RESOURCE_PERSONAL](params) {
    // const today = moment(new Date()).format(dateFormat);
    return {
      // createDateStart: today,
      // createDateEnd: today,
      resEntranceType: 'INITIATIVE',
      remindType: INITIATIVE_NEW_RESOURCE_PERSONAL,
    };
  },
  [GENERAL_NEW_RESOURCE_PERSONAL](params) {
    // const today = moment(new Date()).format(dateFormat);
    return {
      // createDateStart: today,
      // createDateEnd: today,
      resEntranceType: 'GENERAL',
      remindType: GENERAL_NEW_RESOURCE_PERSONAL,
    };
  },
  [NEW_RESOURCE_POOL](params) {
    const today = moment(new Date()).format(dateFormat);
    return `isTodo=true&deliverTargetId=${params.campusId}&deliverBeginDate=${today}&deliverEndDate=${today}`;
  },
  [NEW_NETWORK_RESOURCE](params) {
    const today = moment(new Date()).format(dateFormat);
    return {
      createDateStart: today,
    };
  },
};

export { handleCrmTodoCfg };
