import React from 'react';
import { Row, Col } from 'antd';
import Popover from 'COMPONENT/Popover';
import QrCode from 'COMPONENT/QrCode';
import appQRcode from 'CONST/imgs/appDownloadQrcode';
import { OSS_PRD_PREFIX } from 'CONST/ossConfig';
import styles from './styles.module.less';

class DownloadWidget extends React.Component {
  constructor(props) {
    super(props);

    this.state = {
      qrcode: '#icon-qrcode',
      pos: '#icon-pos',
      finger: '#icon-finger',
      pointer: '#icon-pointer',
      env: '#icon-env',
      pc: '#icon-pc',
      xPad: '#icon-xPad',
    };
  }

  render() {
    return (
      <div className={styles.panel}>
        <div className={styles.title}>
          <div className={styles.titleText}>工具软件下载</div>
        </div>

        <div className={styles.tips}>对于考勤业务、电话机连接,本系统提供了硬件指纹考勤和打印功能</div>

        <div className={styles.content}>
          <Row>
            <Col className={styles.contentCol} span={8}>
              <div className={styles.appIcon}>
                <Popover
                  content={
                    <div>
                      <QrCode id="Dashboard-xPad-QrCode" text="https://www.pgyer.com/xpadEn" />
                      <p style={{ paddingTop: '6px' }}>扫码后输入密码: 1234</p>
                    </div>
                  }
                >
                  <span
                    onMouseEnter={() => {
                      this.setState({ xPad: '#icon-xPad-active' });
                    }}
                    onMouseLeave={() => {
                      this.setState({ xPad: '#icon-xPad' });
                    }}
                  >
                    <svg className="arrow-left" style={{ width: 38, height: 38 }}>
                      <use xlinkHref={this.state.xPad} />
                    </svg>
                  </span>
                </Popover>
              </div>
              <div className={styles.appLabel}>晓顾问</div>
            </Col>
            <Col className={styles.contentCol} span={8}>
              <div className={styles.appIcon}>
                <a href={`${OSS_PRD_PREFIX}/Eduboss_.NET4.exe`}>
                  <span
                    onMouseEnter={(e) => {
                      this.setState({ env: '#icon-env-select' });
                    }}
                    onMouseLeave={(e) => {
                      this.setState({ env: '#icon-env' });
                    }}
                  >
                    <svg className="arrow-left" style={{ width: 38, height: 38 }}>
                      <use xlinkHref={this.state.env} />
                    </svg>
                  </span>
                </a>
              </div>
              <div className={styles.appLabel}>.NET运行系统</div>
            </Col>
            <Col className={styles.contentCol} span={8}>
              <div className={styles.appIcon}>
                <a href={`${OSS_PRD_PREFIX}/EdubossPrinterDriver.exe`}>
                  <span
                    onMouseEnter={(e) => {
                      this.setState({ pointer: '#icon-pointer-select' });
                    }}
                    onMouseLeave={(e) => {
                      this.setState({ pointer: '#icon-pointer' });
                    }}
                  >
                    <svg className="arrow-left" style={{ width: 38, height: 38 }}>
                      <use xlinkHref={this.state.pointer} />
                    </svg>
                  </span>
                </a>
              </div>
              <div className={styles.appLabel}>小票热敏打印器</div>
            </Col>
          </Row>
          <Row>
            <Col className={styles.contentCol} span={8}>
              <div className={styles.appIcon}>
                <a href={`${OSS_PRD_PREFIX}/FingerprintDriver.exe`}>
                  <span
                    onMouseEnter={(e) => {
                      this.setState({ finger: '#icon-finger-select' });
                    }}
                    onMouseLeave={(e) => {
                      this.setState({ finger: '#icon-finger' });
                    }}
                  >
                    <svg className="arrow-left" style={{ width: 38, height: 38 }}>
                      <use xlinkHref={this.state.finger} />
                    </svg>
                  </span>
                </a>
              </div>
              <div className={styles.appLabel}>指纹机驱动</div>
            </Col>
            <Col className={styles.contentCol} span={8}>
              <div className={styles.appIcon}>
                <a href={`${OSS_PRD_PREFIX}/CardDriver.zip`}>
                  <span
                    onMouseEnter={(e) => {
                      this.setState({ pos: '#icon-pos-select' });
                    }}
                    onMouseLeave={(e) => {
                      this.setState({ pos: '#icon-pos' });
                    }}
                  >
                    <svg className="arrow-left" style={{ width: 38, height: 38 }}>
                      <use xlinkHref={this.state.pos} />
                    </svg>
                  </span>
                </a>
              </div>
              <div className={styles.appLabel}>刷卡机驱动</div>
            </Col>
            {/*<Col className={styles.contentCol} span={8}>
              <div className={styles.appIcon}>
                <Popover
                  content={
                    <img
                      src={appQRcode}
                      alt=""
                      style={{ width: 110, height: 110 }}
                    />
                  }
                >
                  <span
                    onMouseEnter={(e) => {
                      this.setState({ qrcode: '#icon-qrcode-select' });
                    }}
                    onMouseLeave={(e) => {
                      this.setState({ qrcode: '#icon-qrcode' });
                    }}
                  >
                    <svg
                      className="arrow-left"
                      style={{ width: 38, height: 38 }}
                    >
                      <use xlinkHref={this.state.qrcode} />
                    </svg>
                  </span>
                </Popover>
              </div>
              <div className={styles.appLabel}>晓助手</div>
              </Col>*/}
            <Col className={styles.contentCol} span={8}>
              <div className={styles.appIcon}>
                <a href={`${OSS_PRD_PREFIX}/EdubossClient.exe`}>
                  <span
                    onMouseEnter={(e) => {
                      this.setState({ pc: '#icon-pc-select' });
                    }}
                    onMouseLeave={(e) => {
                      this.setState({ pc: '#icon-pc' });
                    }}
                  >
                    <svg className="arrow-left" style={{ width: 38, height: 38 }}>
                      <use xlinkHref={this.state.pc} />
                    </svg>
                  </span>
                </a>
              </div>
              <div className={styles.appLabel}>校长系统PC端</div>
            </Col>
          </Row>
        </div>
      </div>
    );
  }
}

export default DownloadWidget;
