/**
 * Created by Haolin on 2019/2/12.
 */
import React from 'react';
import { connect } from 'dva';
import style from './index.less';
import { Icon } from 'antd';
import Popover from 'COMPONENT/Popover';
import FileList from './FileList';

class ExportNotification extends React.Component {
  constructor(props) {
    super(props);
  }
  static classPrefix = 'ExportNotification';
  // 弹窗开启时通知 FileList 更新数据
  static togglePop(bool) {
    if (bool) {
      GlobalEvent.emit('ExportNotification:refresh_list');
    }
  }

  render() {
    const { exportNotice } = this.props;
    const prefix = ExportNotification.classPrefix;

    return (
      <div id={style[prefix]}>
        <Popover
          overlayClassName={style[`${prefix}-pop`]}
          content={<FileList />}
          trigger="click"
          onVisibleChange={ExportNotification.togglePop}
        >
          <Icon className={style[prefix]} type="bell" />
        </Popover>
        <Popover
          overlayClassName={style[`${prefix}-notice`]}
          content="成功提交导出任务，可在此处下载导出文件！"
          visible={exportNotice}
        >
          <div className={style[`${prefix}-empty`]}> </div>
        </Popover>
      </div>
    );
  }
}

const mapStateToProps = (state) => {
  return {
    exportNotice: state.main.exportNotice,
  };
};

export default connect(mapStateToProps)(ExportNotification);
