/**
 * 通用页面集合组件，负责一个标签页下的页面管理，如根据路由显示隐藏页面
 * @property {[object]} pages 所有页面 [{ id, content }]
 * @property {string} activePageId 激活状态的页面ID
 */
import React from 'react';
import './styles.less';

class PageBook extends React.Component {
  render() {
    const { pages, activePageId } = this.props;
    return (
      <div className="PageBook">
        {pages.map((p) => (
          <div className={'PageBook-page' + (p.id === activePageId ? '' : ' PageBook-page-inactive')} key={p.id}>
            {p.content}
          </div>
        ))}
      </div>
    );
  }
}

export default PageBook;
