/**
 * 侧边菜单收起状态时的弹出子菜单
 */
import React from 'react';
import { Menu } from 'antd';
import Popover from 'COMPONENT/Popover';
import { objectDeepEquals } from 'COMPONENT/utils/basic/obj';
import PopMenuContent from './PopMenuContent';
import Icon from './Icon';

class PopMenu extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      openKeys: this.props.initOpenKeys || [],
    };
  }

  shouldComponentUpdate(nextProps, nextState) {
    if (nextProps.visible === true && this.props.visible === true) {
      return false;
    }
    return true;
  }

  openChange = (openKeys) => {
    this.setState({ openKeys });
  };

  visibleChange = (visible) => {
    const { onVisibleChange } = this.props;
    onVisibleChange(visible, this.state.openKeys);
  };

  render() {
    const { visible, onVisibleChange, subMenus, iconId, initOpenKeys, initSelectedKeys } = this.props;
    return (
      <Popover
        overlayClassName="MainContainer-menu-pop"
        placement="rightTop"
        visible={visible}
        onVisibleChange={this.visibleChange}
        content={
          <PopMenuContent
            visible={visible}
            initOpenKeys={initOpenKeys}
            openChange={this.openChange}
            menuId={this.props.menuId}
            initSelectedKeys={initSelectedKeys}
          >
            {subMenus}
          </PopMenuContent>
        }
      >
        <span className="MainContainer-menu-folderTitle">
          <span>
            <Icon type={iconId} className="menu-svg" />
          </span>
          <span className="MainContainer-menu-text"></span>
        </span>
      </Popover>
    );
  }
}

export default PopMenu;
