/**
 * 侧边菜单收起状态时的弹出子菜单内容
 */
import React from 'react';
import ReactDOM from 'react-dom';
import { Menu } from 'antd';
import Popover from 'COMPONENT/Popover';
import { objectDeepEquals } from 'COMPONENT/utils/basic/obj';
import getWindowSize from 'UTIL/getWindowSize';
import { findFirstParent } from 'COMPONENT/utils/dom';

class PopMenuContent extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      openKeys: this.props.initOpenKeys || [],
      maxHeight: 550,
    };
  }

  componentDidMount() {
    setTimeout(() => {
      const winH = getWindowSize().height;
      const $wrap = ReactDOM.findDOMNode(this.wrap);
      const $popover = findFirstParent($wrap, '.MainContainer-menu-pop');
      this.setState({ maxHeight: winH - $popover.offsetTop - 3 });
    }, 500);
  }

  componentDidUpdate() {}

  openChange = (keys) => {
    const { openKeys } = this.state;
    let newKeys;
    if (keys.length === 2) {
      newKeys = keys.filter((k) => k !== openKeys[0]);
    } else {
      newKeys = keys;
    }
    this.setState({ openKeys: newKeys });
    this.props.openChange(newKeys);
  };

  render() {
    const { visible, children, initSelectedKeys } = this.props;
    const { openKeys, maxHeight } = this.state;
    return (
      <div className="MainContainer-menu-pop-wrap" style={{ maxHeight }} ref={(c) => (this.wrap = c)}>
        <Menu
          key={visible ? 'pop_menu' : 'pop_menu_none'}
          theme="dark"
          mode="inline"
          openKeys={openKeys}
          onOpenChange={this.openChange}
          defaultSelectedKeys={initSelectedKeys}
        >
          {children}
        </Menu>
      </div>
    );
  }
}

export default PopMenuContent;
