import React from 'react';
import styles from './index.less';
import { Spin } from 'antd';
import { getContentByIdIpad } from 'SERVICE/articleEdit';

class Ipad extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      title: '',
      content: '',
      loading: false,
    };
  }

  async componentDidMount() {
    let {
      location: {
        query: { token },
      },
    } = this.props;
    let { id } = this.props.params;
    this.setState({ loading: true });
    let {
      data: { title, content },
    } = await getContentByIdIpad({ id, token });
    this.setState({ title, content, loading: false });
  }

  render() {
    let { title, content } = this.state;
    return (
      <div className={styles.content}>
        <h1 dangerouslySetInnerHTML={{ __html: title }}></h1>
        <div dangerouslySetInnerHTML={{ __html: content }}></div>
      </div>
    );
  }
}

export default Ipad;
