import React from 'react';
import style from './index.less';
import Paragraph from '../../components/Paragraph';
import printGuideImg from '../../assets/print_guide.png';

const classPrefix = 'GuideContent';

const GuideContent = (props) => {
  return (
    <div className={style[classPrefix]}>
      <Paragraph>打印设置说明：</Paragraph>
      <Paragraph>1、建议使用谷歌浏览器；</Paragraph>
      <Paragraph>2、打印时建议按照下方截图的样式配置打印机；</Paragraph>
      <Paragraph>
        3、当合同出现多个分页且需要调整部分内容在同一页时（比如需要保证最后甲乙方签字盖章的两行内容在同一页面），
        请将打印中“更多设置”-“边距”的“默认”改为“自定义”，再手动调整边距大小；
      </Paragraph>
      <img className={style[`${classPrefix}-img`]} src={printGuideImg} alt="打印设置指引.png" />
    </div>
  );
};

export default GuideContent;
