import React from 'react';
import style from './index.less';
import PropTypes from 'prop-types';
import classNames from 'classnames';

const classPrefix = 'GuideBtn';

const GuideBtn = (props) => {
  return (
    <button className={classNames(style[classPrefix], 'print-hide')} onClick={props.onClick} style={props.style}>
      {props.text}
    </button>
  );
};
GuideBtn.propTypes = {
  text: PropTypes.string.isRequired,
  onClick: PropTypes.func.isRequired,
  style: PropTypes.object,
};
GuideBtn.defaultProps = {
  style: null,
};

export default GuideBtn;
