import React from 'react';
import { connect } from 'dva';
import { loadTemplate } from '../utils';
import { TEACH_STUDENT_REPORT, TEACH_DEFAULT } from '../config';
import Index from '../Index';

class TeachStudentReport extends React.Component {
  constructor(props) {
    super(props);
    this.init = this.init.bind(this);
    this.updateState = this.updateState.bind(this);
    this.state = {
      loading: false,
      data: null,
      template: undefined,
    };
    this.studentId = null;
    this.examId = null;
    this.templateCode = null;
  }

  componentDidMount() {
    this.init();
  }

  async init() {
    this.setState({ loading: true });

    let payload = {
      data: {
        stuTicket: null,
        examId: null,
      },
      template: undefined,
    };

    this.studentId = this.props.params.studentId;
    this.examId = this.props.params.examId;
    this.templateCode = this.props.params.templateCode || TEACH_DEFAULT;

    if (this.studentId) {
      payload.data.stuTicket = this.studentId;
    }

    if (this.examId) {
      payload.data.examId = this.examId;
    }

    if (this.templateCode) {
      payload.template = await loadTemplate(TEACH_STUDENT_REPORT, this.templateCode);
    }

    this.setState(payload);
  }

  updateState(payload) {
    this.setState(payload);
  }

  render() {
    return (
      <Index
        loading={this.state.loading}
        data={this.state.data || []}
        template={this.state.template}
        handleChange={this.updateState}
        editBtnVisible={false}
      />
    );
  }
}

const mapStateToProps = (state) => {
  return {};
};

export default connect(mapStateToProps)(TeachStudentReport);
