import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import style from './index.less';
import { A4Cfg } from '../../config';

const classPrefix = 'A4';

const A4 = (props) => {
  return (
    <div
      id={props.id}
      className={classNames(/*style[classPrefix], */ props.wrapClass, 'print-no-padding-t-b')}
      style={{
        ...(Array.isArray(props.paddingCfg) ? { padding: `${props.paddingCfg[0]}px ${props.paddingCfg[1]}px` } : {}),
        ...(props.fixHeight ? { maxHeight: A4Cfg.height, height: A4Cfg.height, overflowY: 'hidden' } : {}),
        ...props.wrapStyle,
      }}
    >
      {props.children}
    </div>
  );
};
A4.propTypes = {
  id: PropTypes.string,
  paddingCfg: PropTypes.arrayOf(PropTypes.number),
  fixHeight: PropTypes.bool,
  wrapStyle: PropTypes.object,
  wrapClass: PropTypes.string,
};
A4.defaultProps = {
  id: null,
  paddingCfg: null,
  fixHeight: false,
  wrapStyle: null,
  wrapClass: '',
};

export default A4;
