import React from 'react';
import style from './index.less';
import PropTypes from 'prop-types';
import classNames from 'classnames';

const classPrefix = 'CheckBox';

const CheckBox = (props) => {
  return (
    <span className={style[classPrefix]} style={props.style}>
      <span
        className={classNames(style[`${classPrefix}-border`], { disabled: props.disabled })}
        onClick={props.onClick}
      >
        {props.value && <span className={style[`${classPrefix}-tick`]} />}
      </span>
      {props.children && <span className={style[`${classPrefix}-label`]}>{props.children}</span>}
    </span>
  );
};
CheckBox.propTypes = {
  value: PropTypes.bool,
  disabled: PropTypes.bool,
};
CheckBox.defaultProps = {
  value: false,
  disabled: false,
};

export default CheckBox;
