import React from 'react';
import style from './index.less';
import PropTypes from 'prop-types';
import classNames from 'classnames';

const classPrefix = 'Content';

const Content = (props) => {
  return (
    <div className={style[classPrefix]} style={props.isAlignCenter ? { alignItems: 'center' } : {}}>
      <span className={style[`${classPrefix}-label`]}>{props.label}</span>
      <span className={classNames(style[`${classPrefix}-main`], { flex: props.flex })} style={props.mainStyle}>
        {props.children}
      </span>
    </div>
  );
};
Content.propTypes = {
  label: PropTypes.oneOfType([PropTypes.element, PropTypes.string]).isRequired,
  flex: PropTypes.bool,
  mainStyle: PropTypes.object,
  isAlignCenter: PropTypes.bool,
};
Content.defaultProps = {
  flex: false,
  mainStyle: null,
  isAlignCenter: false,
};

export default Content;
