import React from 'react';
import style from './index.less';
import PropTypes from 'prop-types';
import classNames from 'classnames';

const classPrefix = 'Contract';

const Contract = (props) => {
  return (
    <article className={classNames(style[classPrefix], 'print-no-padding-t-b')}>
      {typeof props.title === 'string' ? (
        <h1 className={style[`${classPrefix}-header`]}>{props.title}</h1>
      ) : (
        <h1>{props.title}</h1>
      )}
      <section className={style[`${classPrefix}-body`]} style={props.wrapStyle}>
        {props.children}
      </section>
    </article>
  );
};
Contract.propTypes = {
  title: PropTypes.node,
  wrapStyle: PropTypes.object,
};

export default Contract;
