import React from 'react';
import style from './index.less';
import PropTypes from 'prop-types';
import { onInputChange } from '../../utils';

const classPrefix = 'InputSimple';

const InputSimple = (props) => {
  const className = props.className ? style[classPrefix] + ' ' + props.className : style[classPrefix];

  return (
    <div className={className} style={props.width && { width: props.width }}>
      <input
        className={style[`${classPrefix}-area`]}
        type="text"
        value={props.value || ''}
        onChange={onInputChange(props.onChange)}
        onBlur={onInputChange(props.onBlur)}
      />
      <div className={style[`${classPrefix}-underline`]} />
      {props.disabled && <div className={style[`${classPrefix}-disabled`]} />}
    </div>
  );
};
InputSimple.propTypes = {
  width: PropTypes.number,
  disabled: PropTypes.bool,
};
InputSimple.defaultProps = {
  width: null,
  disabled: false,
};

export default InputSimple;
