import React from 'react';
import PropTypes from 'prop-types';
import './print.less';
import { Row, Col } from 'antd';
import A4 from '../../../components/A4';
import Contract from '../../../components/Contract';
import Paragraph from '../../../components/Paragraph';
import Content from '../../../components/Content';
import Input from '../../../components/Input';
import CheckBox from '../../../components/CheckBox';
import SignedSealed from '../../../components/SignedSealed';

const GUANG_DONG = (props) => {
  return (
    <A4>
      <Contract title="广东省校外培训机构培训服务合同">
        <Paragraph>甲方（教学方）：</Paragraph>
        <Paragraph>
          <Content label="机构名称（与办学许可证一致）：">
            <Input
              value={props.data.institutionName}
              onChange={(val) => {
                props.handleChange('institutionName', val);
              }}
            />
          </Content>
        </Paragraph>
        <Paragraph>
          <Content label="办学地址（与办学许可证一致）：" flex>
            <Input
              plus
              maxFontNum={27}
              value={props.data.schoolAddress}
              onChange={(val) => {
                props.handleChange('schoolAddress', val);
              }}
            />
          </Content>
        </Paragraph>
        <Paragraph>
          <Row>
            <Col span={11}>
              <Content label="审批机关 ：">
                <Input
                  value={props.data.examineOrganization}
                  onChange={(val) => {
                    props.handleChange('examineOrganization', val);
                  }}
                />
              </Content>
            </Col>
            <Col span={13}>
              <Content label="登记注册机关：">
                <Input
                  value={props.data.registrationAuthority}
                  onChange={(val) => {
                    props.handleChange('registrationAuthority', val);
                  }}
                />
              </Content>
            </Col>
          </Row>
        </Paragraph>

        <Paragraph>
          <Content label="办学许可证编号：">
            <Input
              value={props.data.schoolLicenseNumber}
              onChange={(val) => {
                props.handleChange('schoolLicenseNumber', val);
              }}
            />
          </Content>
        </Paragraph>
        <Paragraph>
          <Content label="办学许可证有效期：">
            <Input
              value={props.data.schoolLicenseTime}
              onChange={(val) => {
                props.handleChange('schoolLicenseTime', val);
              }}
            />
          </Content>
        </Paragraph>

        <Paragraph>
          <Row>
            <Col span={11}>
              <Content label="统一社会信用代码：">
                <Input
                  value={props.data.socialCode}
                  onChange={(val) => {
                    props.handleChange('socialCode', val);
                  }}
                />
              </Content>
            </Col>
            <Col span={13}>
              <Content label="法人证（营业执照）有效期：">
                <Input
                  value={props.data.businessLicenseTime}
                  onChange={(val) => {
                    props.handleChange('businessLicenseTime', val);
                  }}
                />
              </Content>
            </Col>
          </Row>
        </Paragraph>
        <Paragraph>
          <Row>
            <Col span={11}>
              <Content label="联系人：">
                <Input
                  value={props.data.contactPerson}
                  onChange={(val) => {
                    props.handleChange('contactPerson', val);
                  }}
                />
              </Content>
            </Col>
            <Col span={13}>
              <Content label="联系电话：">
                <Input
                  value={props.data.contactPhoneNumber}
                  onChange={(val) => {
                    props.handleChange('contactPhoneNumber', val);
                  }}
                />
              </Content>
            </Col>
          </Row>
        </Paragraph>

        <Paragraph>
          <Row>
            <Col span={11}>
              <Content label="电子邮箱：">
                <Input
                  value={props.data.schoolEmail}
                  onChange={(val) => {
                    props.handleChange('schoolEmail', val);
                  }}
                />
              </Content>
            </Col>
          </Row>
        </Paragraph>

        <Paragraph>乙方（学习方）：</Paragraph>
        <Paragraph>
          <Row>
            <Col span={8}>
              <Content label="学生姓名：">
                <Input
                  value={props.data.studentName}
                  onChange={(val) => {
                    props.handleChange('studentName', val);
                  }}
                />
              </Content>
            </Col>
            <Col span={4}>
              <Content label="性别：">
                <Input
                  value={props.data.studentGender}
                  onChange={(val) => {
                    props.handleChange('studentGender', val);
                  }}
                />
              </Content>
            </Col>
            <Col span={12}>
              <Content label="出生日期：">
                <Input
                  value={props.data.studentBirthday}
                  onChange={(val) => {
                    props.handleChange('studentBirthday', val);
                  }}
                />
              </Content>
            </Col>
          </Row>
        </Paragraph>

        <Paragraph>
          <Row>
            <Col span={12}>
              <Content label="身份证号：">
                <Input
                  value={props.data.studentIdNumber}
                  onChange={(val) => {
                    props.handleChange('studentIdNumber', val);
                  }}
                />
              </Content>
            </Col>
          </Row>
        </Paragraph>
        <Paragraph>
          <Row>
            <Col span={12}>
              <Content label="就读学校：">
                <Input
                  value={props.data.schoolName}
                  onChange={(val) => {
                    props.handleChange('schoolName', val);
                  }}
                />
              </Content>
            </Col>
            <Col span={12}>
              <Content label="就读年级：">
                <Input
                  value={props.data.studentGrade}
                  onChange={(val) => {
                    props.handleChange('studentGrade', val);
                  }}
                />
              </Content>
            </Col>
          </Row>
        </Paragraph>
        <Paragraph>
          <Row>
            <Col span={12}>
              <Content label="联系电话：">
                <Input
                  value={props.data.studentPhone}
                  onChange={(val) => {
                    props.handleChange('studentPhone', val);
                  }}
                />
              </Content>
            </Col>
          </Row>
        </Paragraph>

        <Paragraph>
          <Row>
            <Col span={11}>
              <Content label="付款人姓名（必填）：">
                <Input
                  value={props.data.payerName}
                  onChange={(val) => {
                    props.handleChange('payerName', val);
                  }}
                />
              </Content>
            </Col>
            <Col span={13}>
              <Content label="付款人身份证号（必填）：">
                <Input
                  value={props.data.payerIdCardNo}
                  onChange={(val) => {
                    props.handleChange('payerIdCardNo', val);
                  }}
                />
              </Content>
            </Col>
          </Row>
        </Paragraph>
        <Paragraph>
          <Row>
            <Col span={11}>
              <Content label="付款人联系电话（必填）：">
                <Input
                  value={props.data.payerPhone}
                  onChange={(val) => {
                    props.handleChange('payerPhone', val);
                  }}
                />
              </Content>
            </Col>
          </Row>
        </Paragraph>

        <Paragraph>
          <Row>
            <Col span={11}>
              <Content label="监护人姓名：">
                <Input
                  value={props.data.customer}
                  onChange={(val) => {
                    props.handleChange('customer', val);
                  }}
                />
              </Content>
            </Col>
            <Col span={13}>
              <Content label="与学生关系：">
                <Input
                  value={props.data.relation}
                  onChange={(val) => {
                    props.handleChange('relation', val);
                  }}
                />
              </Content>
            </Col>
          </Row>
        </Paragraph>

        <Paragraph>
          <Row>
            <Col span={11}>
              <Content label="身份证号：">
                <Input
                  value={props.data.customerIdNumber}
                  onChange={(val) => {
                    props.handleChange('customerIdNumber', val);
                  }}
                />
              </Content>
            </Col>
          </Row>
        </Paragraph>
        <Paragraph>
          <Row>
            <Col span={11}>
              <Content label="联系电话：">
                <Input
                  value={props.data.customerPhone}
                  onChange={(val) => {
                    props.handleChange('customerPhone', val);
                  }}
                />
              </Content>
            </Col>
            <Col span={13}>
              <Content label="联系地址：" flex>
                <Input
                  plus
                  maxFontNum={17}
                  value={props.data.customerAdress}
                  onChange={(val) => {
                    props.handleChange('customerAdress', val);
                  }}
                />
              </Content>
            </Col>
          </Row>
        </Paragraph>
        <Paragraph>
          <Row>
            <Col span={11}>
              <Content label="电子邮箱：">
                <Input
                  value={props.data.customerEmail}
                  onChange={(val) => {
                    props.handleChange('customerEmail', val);
                  }}
                />
              </Content>
            </Col>
          </Row>
        </Paragraph>

        <Paragraph>
          根据《中华人民共和国合同法》《中华人民共和国民办教育促进法》等有关法律、法规的规定，甲乙双方遵循平等、自愿、
          公平、诚实、信用的原则，遵循教育规律和青少年健康成长规律，经协商一致，订立本合同。
        </Paragraph>
        <Paragraph>第一条 本合同适用培训对象（学生）为18岁以下的未成年人。</Paragraph>
        <Paragraph>第二条 培训服务</Paragraph>

        <Paragraph>
          <Content label="课程名称：" flex>
            <Input
              plus
              maxFontNum={36.5}
              value={props.data.className}
              onChange={(val) => {
                props.handleChange('className', val);
              }}
            />
          </Content>
        </Paragraph>
        <Paragraph>
          <Content label="班级编号：">
            <Input
              value={props.data.classNumber}
              onChange={(val) => {
                props.handleChange('classNumber', val);
              }}
            />
          </Content>
        </Paragraph>
        <Paragraph>
          <Row>
            <Col span={12}>
              <Content label="课程顾问（经办人）：">
                <Input
                  value={props.data.classCounselor}
                  onChange={(val) => {
                    props.handleChange('classCounselor', val);
                  }}
                />
              </Content>
            </Col>
            <Col span={12}>
              <Content label="总课时数：（节）">
                <Input
                  value={props.data.classHour}
                  onChange={(val) => {
                    props.handleChange('classHour', val);
                  }}
                />
              </Content>
            </Col>
          </Row>
        </Paragraph>
        <Paragraph>
          <Row>
            <Col span={12}>
              <Content label="每次培训课时：（节）">
                <Input
                  value={props.data.onceClassHour}
                  onChange={(val) => {
                    props.handleChange('onceClassHour', val);
                  }}
                />
              </Content>
            </Col>
            <Col span={12}>
              <Content label="上课时间：">
                <Input
                  value={props.data.classStartTime}
                  onChange={(val) => {
                    props.handleChange('classStartTime', val);
                  }}
                />
              </Content>
            </Col>
          </Row>
        </Paragraph>
        <Paragraph>
          <Row>
            <Col span={12}>
              <Content label="开课日期：">
                <Input
                  value={props.data.openingDate}
                  onChange={(val) => {
                    props.handleChange('openingDate', val);
                  }}
                />
              </Content>
            </Col>
            <Col span={12}>
              <Content label="预计结课日期：">
                <Input
                  value={props.data.finishDate}
                  onChange={(val) => {
                    props.handleChange('finishDate', val);
                  }}
                />
              </Content>
            </Col>
          </Row>
        </Paragraph>

        <Paragraph>培训方式：</Paragraph>
        <Paragraph>
          <CheckBox
            value={props.data.pxOneToOne}
            onClick={() => {
              props.handleChange('pxOneToOne', !props.data.pxOneToOne);
            }}
          >
            一对一面授
          </CheckBox>
          <CheckBox
            value={props.data.pxSmallClass}
            onClick={() => {
              props.handleChange('pxSmallClass', !props.data.pxSmallClass);
            }}
          >
            小班额面授课（班级限额
            <Input
              value={props.data.pxSmallClassPersonNumber}
              onChange={(val) => {
                props.handleChange('pxSmallClassPersonNumber', val);
              }}
              width={43}
            />
            人）
          </CheckBox>
          <CheckBox
            value={props.data.pxWebucation}
            onClick={() => {
              props.handleChange('pxWebucation', !props.data.pxWebucation);
            }}
          >
            网络教育
          </CheckBox>
          <CheckBox
            value={props.data.pxBigClass}
            onClick={() => {
              props.handleChange('pxBigClass', !props.data.pxBigClass);
            }}
          >
            大班额面授课
          </CheckBox>
        </Paragraph>
        <Paragraph>
          <CheckBox
            value={props.data.pxOtherStudyWay}
            onClick={() => {
              props.handleChange('pxOtherStudyWay', !props.data.pxOtherStudyWay);
            }}
          >
            其他方式：
            <Input
              value={props.data.pxOtherStudeWayDetails}
              onChange={(val) => {
                props.handleChange('pxOtherStudeWayDetails', val);
              }}
              width={200}
            />
          </CheckBox>
        </Paragraph>
        <Paragraph>
          <Content label="授课教师：" flex={true}>
            <CheckBox
              value={props.data.specifyTheTeacher}
              onClick={() => {
                props.handleChange('specifyTheTeacher', !props.data.specifyTheTeacher);
              }}
            >
              指定教师姓名：
              <Input
                value={props.data.specifyTheTeacherName}
                onChange={(val) => {
                  props.handleChange('specifyTheTeacherName', val);
                }}
                width={65}
              />
            </CheckBox>
            <CheckBox
              value={props.data.notSpecifyTheTeacher}
              onClick={() => {
                props.handleChange('notSpecifyTheTeacher', !props.data.notSpecifyTheTeacher);
              }}
            >
              不指定
            </CheckBox>
            <span style={{ marginRight: '14px' }}>是否有教师资格证</span>
            <CheckBox
              value={props.data.hasTeacherCertification}
              onClick={() => {
                props.handleChange('hasTeacherCertification', !props.data.hasTeacherCertification);
              }}
            >
              有
            </CheckBox>
            <CheckBox
              value={props.data.noTeacherCertification}
              onClick={() => {
                props.handleChange('noTeacherCertification', !props.data.noTeacherCertification);
              }}
            >
              没有
            </CheckBox>
          </Content>
        </Paragraph>
        <Paragraph>
          <Content label="培训地点：">
            <Input
              value={props.data.trainingAddress}
              onChange={(val) => {
                props.handleChange('trainingAddress', val);
              }}
            />
          </Content>
        </Paragraph>

        <Paragraph>第三条 培训收费</Paragraph>
        <Paragraph>
          <Content label="（一）培训费用合计：">
            <Input
              value={props.data.trainingCostMajuscule}
              onChange={(val) => {
                props.handleChange('trainingCostMajuscule', val);
              }}
              width={210}
            />
            （大写）
            <Input
              value={props.data.trainingCost}
              onChange={(val) => {
                props.handleChange('trainingCost', val);
              }}
              width={80}
            />
            （小写）元。
          </Content>
        </Paragraph>
        <Paragraph indent={2}>
          <Content label="课时费：">
            <Input
              value={props.data.classFee}
              onChange={(val) => {
                props.handleChange('classFee', val);
              }}
              width={71}
            />
            元。
            <Input
              value={props.data.classFeeForOne}
              onChange={(val) => {
                props.handleChange('classFeeForOne', val);
              }}
              width={71}
            />
            元/节。
          </Content>
        </Paragraph>
        <Paragraph indent={2}>
          <Content label="培训资料费：" flex>
            <Input
              value={props.data.trainingMaterialsFee}
              onChange={(val) => {
                props.handleChange('trainingMaterialsFee', val);
              }}
              width={71}
            />
            元，包括：
            <Input
              plus
              maxFontNum={22.5}
              value={props.data.trainingMaterialContent}
              onChange={(val) => {
                props.handleChange('trainingMaterialContent', val);
              }}
              width={329}
            />
          </Content>
        </Paragraph>
        <Paragraph indent={2}>
          <Content label="其他费用：" flex>
            <Input
              value={props.data.otherFee}
              onChange={(val) => {
                props.handleChange('otherFee', val);
              }}
              width={71}
            />
            元，包括：
            <Input
              plus
              maxFontNum={23.5}
              value={props.data.otherContent}
              onChange={(val) => {
                props.handleChange('otherContent', val);
              }}
              width={344}
            />
          </Content>
        </Paragraph>

        <Paragraph>（二）付费时间</Paragraph>
        {(props.data.payFund || []).map((item, index) => (
          <Paragraph indent={2} key={index}>
            乙方于
            <Input value={item.payYear} width={37} disabled />
            年
            <Input value={item.payMonth} width={22} disabled />
            月
            <Input value={item.payDay} width={22} disabled />
            日付款共计
            <Input value={item.payMoney} width={79} disabled />
            元。
          </Paragraph>
        ))}

        <Paragraph>（三）付费方式</Paragraph>
        <Paragraph indent={2}>
          <CheckBox
            value={props.data.cash}
            onClick={() => {
              props.handleChange('cash', !props.data.cash);
            }}
          >
            现金
          </CheckBox>
          <CheckBox
            value={props.data.bankTransfer}
            onClick={() => {
              props.handleChange('bankTransfer', !props.data.bankTransfer);
            }}
          >
            银行卡
          </CheckBox>
          <CheckBox
            value={props.data.transferAccounts}
            onClick={() => {
              props.handleChange('transferAccounts', !props.data.transferAccounts);
            }}
          >
            转账
          </CheckBox>
          <CheckBox
            value={props.data.thirdPartyPayment}
            onClick={() => {
              props.handleChange('thirdPartyPayment', !props.data.thirdPartyPayment);
            }}
          >
            第三方支付
          </CheckBox>
          <CheckBox
            value={props.data.otherPayWay}
            onClick={() => {
              props.handleChange('otherPayWay', !props.data.otherPayWay);
            }}
          >
            其他：
            <Input
              value={props.data.otherPayWayContent}
              onChange={(val) => {
                props.handleChange('otherPayWayContent', val);
              }}
              width={180}
            />
          </CheckBox>
        </Paragraph>
        <Paragraph indent={2}>
          <Content label="学杂费专用账户开户银行：">
            <Input
              value={props.data.accountBank}
              onChange={(val) => {
                props.handleChange('accountBank', val);
              }}
            />
          </Content>
        </Paragraph>
        <Paragraph indent={2}>
          <Content label="学杂费专用账户：">
            <Input
              value={props.data.account}
              onChange={(val) => {
                props.handleChange('account', val);
              }}
            />
          </Content>
        </Paragraph>
        <Paragraph>
          （四）甲方不得一次性收取时间跨度超过三个月的费用。甲方应当依照相关规定开设并使用学杂费专用账户，足额留存学习保障金，
          保障其收取的学杂费主要用于教学活动。甲方收取培训费用后应当及时向乙方开具合法票据。
        </Paragraph>

        <Paragraph>第四条 合同的生效</Paragraph>
        <Paragraph>从乙方支付培训费用开始，本合同生效。</Paragraph>
        <Paragraph>第五条 合同的变更</Paragraph>

        <Paragraph>
          （一）合同一方需要变更合同约定的内容，合同双方应提前
          <Input
            value={props.data.predate}
            onChange={(val) => {
              props.handleChange('predate', val);
            }}
            width={29}
          />
          日协商一致。
        </Paragraph>

        <Paragraph>（二）甲方或乙方更改联系方式或其他信息时应及时告知另一方。</Paragraph>
        <Paragraph>第六条 教学管理</Paragraph>
        <Paragraph>（一）甲方应依照法律、法规相关规定对乙方进行管理，乙方应遵守甲方的依法管理。</Paragraph>
        <Paragraph>（二）甲方应为监护人提供学生接受培训的表现、成绩等信息。</Paragraph>
        <Paragraph>（三）甲、乙双方未经对方同意，不得将本合同项下的课程转让于第三方。</Paragraph>
        <Paragraph>
          （四）甲方应在其办学场所醒目位置公示教育培训资质证书、收费项目、收费标准，
          并提供与其资质和承诺相符的教育培训项目。
        </Paragraph>
        <Paragraph>
          （五）甲方应当加强消防、食品、公共卫生等安全管理，落实安全防范措施，建立健全安全管理制度和应急预警处理机制，
          防范各类安全责任事故发生，保障学生安全。
        </Paragraph>
        <Paragraph wrapStyle={{ display: 'flex' }}>
          （六）学生上课结束后，应由其监护人接走，甲方应保证其安全，不得允许其私自离开（经乙方书面授权声明的除外）。
        </Paragraph>
        <Paragraph>第七条 保密事项</Paragraph>
        <Paragraph>
          （一）甲方不得泄露、散布乙方的个人隐私和信息，不得擅自将乙方的姓名、肖像、影像用于商业宣传。
          如甲方违反保密义务的，乙方有权解除合同、要求甲方立即停止侵权行为并要求甲方赔偿损失。
        </Paragraph>
        <Paragraph>
          （二）乙方应当尊重甲方的知识产权，不得擅自对教学培训活动进行拍照、录像、录音。对于甲方拥有知识产权的教学材料或课件，
          乙方不得擅自复制、散发、销售，及通过互联网进行扩散和传播。
          如乙方违反保密义务的，甲方有权解除合同、要求乙方立即停止侵权行为并要求乙方赔偿甲方因此产生的一切损失。
        </Paragraph>
        <Paragraph>第八条 违约责任</Paragraph>
        <Paragraph>（一）甲方因自身原因要求解除培训合同，或没有按合同约定提供服务时，应退还剩余培训费用。</Paragraph>

        <Paragraph>
          （二）乙方因自身原因要求解除合同时，
          <CheckBox
            value={props.data.refund}
            onClick={() => {
              props.handleChange('refund', !props.data.refund);
            }}
          >
            甲方应退还剩余费用。
          </CheckBox>
        </Paragraph>
        <Paragraph indent={2}>
          <CheckBox
            value={props.data.otherRefund}
            onClick={() => {
              props.handleChange('otherRefund', !props.data.otherRefund);
            }}
          >
            <Input
              value={props.data.otherRefunds}
              onChange={(val) => {
                props.handleChange('otherRefunds', val);
              }}
              width={400}
            />
          </CheckBox>
        </Paragraph>
        <Paragraph>
          （三）甲方应在合同解除后
          <Input
            value={props.data.workday}
            onChange={(val) => {
              props.handleChange('workday', val);
            }}
            width={29}
          />
          工作日内退还应退费用，应退金额参照《广东省民办非学历教育机构退费管理办法》（粤教职〔2003〕100号）执行。
        </Paragraph>
        <Paragraph>（四）甲乙双方违反本合同约定之行为均属违约行为，应承担相应的法律责任。</Paragraph>

        <Paragraph>第九条 争议处理</Paragraph>
        <Paragraph>
          本合同在履行中如发生争议，双方应当协商解决，协商或者调解不成的，按下列第
          <Input
            value={props.data.defaultWay}
            onChange={(val) => {
              props.handleChange('defaultWay', val);
            }}
            width={44}
          />
          种方式
        </Paragraph>
        <Paragraph indent={0}>处理：</Paragraph>
        <Paragraph>
          （一）向
          <Input
            value={props.data.firstWay}
            onChange={(val) => {
              props.handleChange('firstWay', val);
            }}
            width={200}
          />
          人民法院提起诉讼。
        </Paragraph>
        <Paragraph>
          （二）向
          <Input
            value={props.data.secondWay}
            onChange={(val) => {
              props.handleChange('secondWay', val);
            }}
            width={200}
          />
          仲裁委员会申请仲裁。
        </Paragraph>

        <Paragraph>第十条 其他约定事项</Paragraph>
        <Paragraph>
          <Input
            plus
            maxFontNum={42}
            value={props.data.otherThings}
            onChange={(val) => {
              props.handleChange('otherThings', val);
            }}
          />
        </Paragraph>

        <Paragraph>第十一条 未尽事宜</Paragraph>
        <Paragraph>本合同及其附件以及补充协议中未约定的事宜，均按照国家有关法律、法规和规章执行。</Paragraph>
        <Paragraph>
          本合同正本连同补充协议共
          <Input width={40} disabled />
          页，一式二份，甲乙双方各执一份，各份具有同等法律效力。
        </Paragraph>

        <Paragraph>
          <SignedSealed
            contractYear={props.data.contractYear}
            contractMonth={props.data.contractMonth}
            contractDay={props.data.contractDay}
            handleChange={props.handleChange}
          />
        </Paragraph>
      </Contract>
    </A4>
  );
};
GUANG_DONG.propTypes = {
  data: PropTypes.oneOfType([PropTypes.object, PropTypes.array]),
  handleChange: PropTypes.func,
};

export default GUANG_DONG;
