import React from 'react';
import './print.less';
import Iframe from 'COMPONENT/Iframe';
import { A4Cfg } from '../../../config';
import { teachReportPageUrl } from '../../../TeachStudentReport/config';

class TEACH_DEFAULT extends React.Component {
  constructor(props) {
    super(props);
    this.init = this.init.bind(this);
    this.listenIframeMsg = this.listenIframeMsg.bind(this);
    this.handleIframeMsg = this.handleIframeMsg.bind(this);
    this.state = {
      iframeUrl: null,
      iframeHeight: 0,
    };
    this.iframeWindow = null;
  }

  componentDidMount() {
    this.init();
    window.addEventListener('message', this.listenIframeMsg, false);
  }

  componentWillUnmount() {
    window.removeEventListener('message', this.listenIframeMsg, false);
  }

  init() {
    const { stuTicket, examId } = this.props.data;
    this.setState({
      // TODO: 教学还未提供 teachReportPageUrl 链接; url search还未确认参数key及val
      iframeUrl: `${teachReportPageUrl}?stuTicket=${stuTicket}&examId=${examId}&origin=boss`,
    });
  }

  listenIframeMsg(e) {
    if (e.origin === teachReportPageUrl) {
      this.handleIframeMsg(e.data);
    }
  }

  handleIframeMsg(params) {
    console.log(params);
    if (params.type === 'DID_MOUNT') {
      this.setState({ iframeHeight: TEACH_DEFAULT.calcIframeHeight(params.data) }, () => {
        this.props.handleChange({ loading: false });
      });
    }
  }

  static calcIframeHeight(pageSize) {
    return A4Cfg.height * pageSize + (pageSize - 1) * A4Cfg.marginBottom;
  }

  render() {
    return (
      <div>
        {this.state.iframeUrl && (
          <Iframe
            src={this.state.iframeUrl}
            width={A4Cfg.width}
            height={this.state.iframeHeight}
            style={{ margin: '0 auto' }}
          />
        )}
      </div>
    );
  }
}

export default TEACH_DEFAULT;
