import React from 'react';
import classNames from 'classnames';
import style from './index.less';
import Modal from 'COMPONENT/Modal';
import Paragraph from '../Paragraph';
import printGuideImg from '../../assets/print_guide.png';

const classPrefix = 'ModalGuide';

const ModalGuide = (props) => {
  return (
    <Modal
      title="打印配置指引"
      className={classNames(style[classPrefix], 'print-hide')}
      widthSize="L"
      onCancel={props.onCancel}
      okBtnShow={false}
    >
      <Paragraph>打印设置说明：</Paragraph>
      <Paragraph>1、建议使用谷歌浏览器；</Paragraph>
      <Paragraph>2、打印时建议按照下方截图的样式配置打印机；</Paragraph>
      <img className={style[`${classPrefix}-img`]} src={printGuideImg} alt="打印设置指引.png" />
    </Modal>
  );
};

export default ModalGuide;
