import React, { Component } from 'react';
import Iframe from 'COMPONENT/Iframe';
import { pdfViewerHref } from 'CONST/config';

class OnlinePDFViewer extends Component {
  static defaultProps = {
    // pdf 线上地址
    url: '',
    loading: false,
    onLoadStart: () => {},
    onLoad: ({ doc = '' }) => doc,
  };

  constructor(props) {
    super(props);
  }

  componentDidMount() {
    this.props.onLoadStart();
  }

  getIframeSrc = () => {
    const { url = '' } = this.props;

    if (!/^(http|\/\/)/.test(url)) {
      return '';
    }

    const encodedFileUrl = window.encodeURIComponent(window.decodeURIComponent(url));

    return pdfViewerHref.replace('${URL}', encodedFileUrl);
  };

  onIframeLoad = (contentWindow) => {
    this.props.onLoad({
      doc: this.props.url,
    });
  };

  render() {
    const iframeSrc = this.getIframeSrc();

    if (!iframeSrc) {
      return null;
    }

    const style = {
      visibility: this.props.loading ? 'hidden' : 'initial',
    };

    return <Iframe id="" name="" style={style} src={iframeSrc} onLoad={this.onIframeLoad} />;
  }
}

export default OnlinePDFViewer;
