import React from 'react';
import style from './index.less';
import PropTypes from 'prop-types';
import classNames from 'classnames';

const classPrefix = 'Paragraph';

const Paragraph = (props) => {
  return (
    <div className={style[classPrefix]} style={props.style}>
      {typeof props.children === 'string' ? (
        <span className={style[`${classPrefix}-text`]}>
          <span className={`indent-${props.indent}`} />
          {props.children}
        </span>
      ) : (
        <div className={classNames(style[`${classPrefix}-wrap`], `indent-${props.indent}`)} style={props.wrapStyle}>
          {props.children}
        </div>
      )}
    </div>
  );
};
Paragraph.propTypes = {
  indent: PropTypes.oneOf([0, 1, 2]),
  style: PropTypes.object,
  wrapStyle: PropTypes.object,
};
Paragraph.defaultProps = {
  indent: 1,
  style: null,
  wrapStyle: null,
};

export default Paragraph;
